(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23641,        619]
NotebookOptionsPosition[     22508,        576]
NotebookOutlinePosition[     23134,        600]
CellTagsIndexPosition[     23091,        597]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Basic Statistics of Movable Points", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"Reverse", "@", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{"mean", ",", 
          RowBox[{"{", 
           RowBox[{"Red", ",", 
            RowBox[{"Tooltip", "[", 
             RowBox[{
              RowBox[{"Disk", "[", 
               RowBox[{
                RowBox[{"Mean", "[", "r", "]"}], ",", ".02"}], "]"}], ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<arithmetic mean = \>\"", ",", 
                 RowBox[{"Mean", "[", "r", "]"}]}], "}"}], "]"}]}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"median", ",", 
          RowBox[{"{", 
           RowBox[{"Blue", ",", 
            RowBox[{"Tooltip", "[", 
             RowBox[{
              RowBox[{"Disk", "[", 
               RowBox[{
                RowBox[{"Median", "[", "r", "]"}], ",", ".02"}], "]"}], ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<median = \>\"", ",", 
                 RowBox[{"Median", "[", "r", "]"}]}], "}"}], "]"}]}], "]"}]}],
            "}"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"rms", ",", 
          RowBox[{"{", 
           RowBox[{"Green", ",", 
            RowBox[{"Tooltip", "[", 
             RowBox[{
              RowBox[{"Disk", "[", 
               RowBox[{
                RowBox[{"RootMeanSquare", "[", "r", "]"}], ",", ".02"}], 
               "]"}], ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<root mean square = \>\"", ",", 
                 RowBox[{"RootMeanSquare", "[", "r", "]"}]}], "}"}], "]"}]}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"gmean", ",", 
          RowBox[{"{", 
           RowBox[{"Pink", ",", 
            RowBox[{"Tooltip", "[", 
             RowBox[{
              RowBox[{"Disk", "[", 
               RowBox[{
                RowBox[{"GeometricMean", "[", "r", "]"}], ",", ".02"}], "]"}],
               ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<geometric mean = \>\"", ",", 
                 RowBox[{"GeometricMean", "[", "r", "]"}]}], "}"}], "]"}]}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"{", "}"}]}], "]"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{"hmean", ",", 
          RowBox[{"{", 
           RowBox[{"Purple", ",", 
            RowBox[{"Tooltip", "[", 
             RowBox[{
              RowBox[{"Disk", "[", 
               RowBox[{
                RowBox[{"HarmonicMean", "[", "r", "]"}], ",", ".02"}], "]"}], 
              ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{"\"\<harmonic mean = \>\"", ",", 
                 RowBox[{"HarmonicMean", "[", "r", "]"}]}], "}"}], "]"}]}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"{", "}"}]}], "]"}]}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".1"}], ",", "2.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".1"}], ",", "2.1"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", 
       RowBox[{"RandomReal", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "2"}], "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.01", ",", "0.01"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.99", ",", "1.99"}], "}"}], ",", "Locator", ",", 
     RowBox[{"LocatorAutoCreate", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "\[Infinity]"}], "}"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mean", ",", "True", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Disk", "[", "]"}]}], "}"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "6"}], ",", 
            RowBox[{"BaselinePosition", "\[Rule]", 
             RowBox[{"(", 
              RowBox[{"Center", "\[Rule]", "Center"}], ")"}]}]}], "]"}], ",", 
          "\"\<  arithmetic mean\>\""}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"median", ",", "True", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Blue", ",", 
              RowBox[{"Disk", "[", "]"}]}], "}"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "6"}], ",", 
            RowBox[{"BaselinePosition", "\[Rule]", 
             RowBox[{"(", 
              RowBox[{"Center", "\[Rule]", "Center"}], ")"}]}]}], "]"}], ",", 
          "\"\<  median\>\""}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rms", ",", "False", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Green", ",", 
              RowBox[{"Disk", "[", "]"}]}], "}"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "6"}], ",", 
            RowBox[{"BaselinePosition", "\[Rule]", 
             RowBox[{"(", 
              RowBox[{"Center", "\[Rule]", "Center"}], ")"}]}]}], "]"}], ",", 
          "\"\<  root mean square\>\""}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"gmean", ",", "False", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Pink", ",", 
              RowBox[{"Disk", "[", "]"}]}], "}"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "6"}], ",", 
            RowBox[{"BaselinePosition", "\[Rule]", 
             RowBox[{"(", 
              RowBox[{"Center", "\[Rule]", "Center"}], ")"}]}]}], "]"}], ",", 
          "\"\<  geometric mean\>\""}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hmean", ",", "False", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Purple", ",", 
              RowBox[{"Disk", "[", "]"}]}], "}"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "6"}], ",", 
            RowBox[{"BaselinePosition", "\[Rule]", 
             RowBox[{"(", 
              RowBox[{"Center", "\[Rule]", "Center"}], ")"}]}]}], "]"}], ",", 
          "\"\<  harmonic mean\>\""}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "Top", ",", "Left", ",", "Left", ",", "Left", ",", "Left", ",", "Left"}],
      "}"}]}], ",", 
   RowBox[{"ControllerLinking", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "4", ",", "5", ",", "6"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.371677495765338*^9, 3.371677606345586*^9}, {
   3.371677738223118*^9, 3.3716777558172054`*^9}, {3.3716778706162844`*^9, 
   3.371677899976223*^9}, {3.371678027728676*^9, 3.371678041900823*^9}, {
   3.3716781672313547`*^9, 3.371678174247114*^9}, {3.3716782521704855`*^9, 
   3.3716782621863027`*^9}, {3.3716783663601775`*^9, 3.371678380297945*^9}, {
   3.3716784530180917`*^9, 3.3716784893625393`*^9}, {3.3716786648034077`*^9, 
   3.371678677366149*^9}, {3.3716789136988115`*^9, 3.3716793405820074`*^9}, {
   3.371679387551659*^9, 3.3716794337556715`*^9}, {3.3716795492266383`*^9, 
   3.3716796194154863`*^9}, {3.371679651728606*^9, 3.371679713182911*^9}, {
   3.3716798553731413`*^9, 3.371679855670022*^9}, {3.376404144516008*^9, 
   3.3764041476209593`*^9}, {3.376404183143124*^9, 3.376404211224009*^9}, {
   3.376404405783402*^9, 3.376404411572195*^9}, {3.3786500149168777`*^9, 
   3.3786500189143677`*^9}, {3.3804709486475782`*^9, 
   3.3804709632916107`*^9}, {3.380470995238991*^9, 3.380471060360888*^9}, {
   3.3804711074533663`*^9, 3.380471151550851*^9}, {3.380471186171081*^9, 
   3.3804713078553953`*^9}, {3.3804713589007998`*^9, 
   3.3804713789931192`*^9}, {3.380471445517362*^9, 3.380471450402763*^9}, {
   3.3804715116486187`*^9, 3.380471536345723*^9}, {3.380471606126482*^9, 
   3.380471620523044*^9}, {3.3804716773763933`*^9, 3.380471693856206*^9}, {
   3.381498732937772*^9, 3.381498770369289*^9}, {3.381498914947736*^9, 
   3.381499042468925*^9}, {3.381499134087351*^9, 3.381499215387401*^9}, {
   3.382569195208362*^9, 3.3825692228961287`*^9}, {3.3863483459118433`*^9, 
   3.386348349673807*^9}, {3.386348602790806*^9, 3.3863486211173353`*^9}, {
   3.386348749232959*^9, 3.386348774078253*^9}, {3.386348851979574*^9, 
   3.3863488877774057`*^9}, {3.386348919895152*^9, 3.386348924960883*^9}, {
   3.386349982926257*^9, 3.3863499940284643`*^9}, {3.386350032077737*^9, 
   3.386350034848752*^9}},
 CellID->266325895],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`gmean$$ = False, $CellContext`hmean$$ = 
    False, $CellContext`mean$$ = True, $CellContext`median$$ = 
    True, $CellContext`r$$ = {{0.7703049002364796, 0.7595883068701843}, {
    0.8654249856233405, 0.24718576504863016`}, {1.384060269884713, 
    1.8823780879914915`}, {0.18148443345646537`, 1.6328054164176953`}, {
    1.9134564365707214`, 1.2798002958099093`}}, $CellContext`rms$$ = False, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r$$], {{0.7703049002364796, 0.7595883068701843}, {
       0.8654249856233405, 0.24718576504863016`}, {1.384060269884713, 
       1.8823780879914915`}, {0.18148443345646537`, 1.6328054164176953`}, {
       1.9134564365707214`, 1.2798002958099093`}}}, {0.01, 0.01}, {1.99, 
      1.99}}, {{
       Hold[$CellContext`mean$$], True, 
       Row[{
         Graphics[{
           RGBColor[1, 0, 0], 
           Disk[{0, 0}]}, ImageSize -> 6, 
          BaselinePosition -> (Center -> Center)], "  arithmetic mean"}]}, {
      True, False}}, {{
       Hold[$CellContext`median$$], True, 
       Row[{
         Graphics[{
           RGBColor[0, 0, 1], 
           Disk[{0, 0}]}, ImageSize -> 6, 
          BaselinePosition -> (Center -> Center)], "  median"}]}, {
      True, False}}, {{
       Hold[$CellContext`rms$$], False, 
       Row[{
         Graphics[{
           RGBColor[0, 1, 0], 
           Disk[{0, 0}]}, ImageSize -> 6, 
          BaselinePosition -> (Center -> Center)], "  root mean square"}]}, {
      True, False}}, {{
       Hold[$CellContext`gmean$$], False, 
       Row[{
         Graphics[{
           RGBColor[1, 0.5, 0.5], 
           Disk[{0, 0}]}, ImageSize -> 6, 
          BaselinePosition -> (Center -> Center)], "  geometric mean"}]}, {
      True, False}}, {{
       Hold[$CellContext`hmean$$], False, 
       Row[{
         Graphics[{
           RGBColor[0.5, 0, 0.5], 
           Disk[{0, 0}]}, ImageSize -> 6, 
          BaselinePosition -> (Center -> Center)], "  harmonic mean"}]}, {
      True, False}}}, Typeset`size$$ = {400., {198., 202.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`r$420434$$ = {0, 0}, $CellContext`mean$420435$$ = 
    False, $CellContext`median$420436$$ = False, $CellContext`rms$420437$$ = 
    False, $CellContext`gmean$420438$$ = False, $CellContext`hmean$420439$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`gmean$$ = False, $CellContext`hmean$$ = 
        False, $CellContext`mean$$ = True, $CellContext`median$$ = 
        True, $CellContext`r$$ = {{0.7703049002364796, 0.7595883068701843}, {
         0.8654249856233405, 0.24718576504863016`}, {1.384060269884713, 
         1.8823780879914915`}, {0.18148443345646537`, 1.6328054164176953`}, {
         1.9134564365707214`, 1.2798002958099093`}}, $CellContext`rms$$ = 
        False}, "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$420434$$, {0, 0}], 
        Hold[$CellContext`mean$$, $CellContext`mean$420435$$, False], 
        Hold[$CellContext`median$$, $CellContext`median$420436$$, False], 
        Hold[$CellContext`rms$$, $CellContext`rms$420437$$, False], 
        Hold[$CellContext`gmean$$, $CellContext`gmean$420438$$, False], 
        Hold[$CellContext`hmean$$, $CellContext`hmean$420439$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[
        Reverse[{
          If[$CellContext`mean$$, {Red, 
            Tooltip[
             Disk[
              Mean[$CellContext`r$$], 0.02], 
             Row[{"arithmetic mean = ", 
               Mean[$CellContext`r$$]}]]}, {}], 
          If[$CellContext`median$$, {Blue, 
            Tooltip[
             Disk[
              Median[$CellContext`r$$], 0.02], 
             Row[{"median = ", 
               Median[$CellContext`r$$]}]]}, {}], 
          If[$CellContext`rms$$, {Green, 
            Tooltip[
             Disk[
              RootMeanSquare[$CellContext`r$$], 0.02], 
             Row[{"root mean square = ", 
               RootMeanSquare[$CellContext`r$$]}]]}, {}], 
          If[$CellContext`gmean$$, {Pink, 
            Tooltip[
             Disk[
              GeometricMean[$CellContext`r$$], 0.02], 
             Row[{"geometric mean = ", 
               GeometricMean[$CellContext`r$$]}]]}, {}], 
          If[$CellContext`hmean$$, {Purple, 
            Tooltip[
             Disk[
              HarmonicMean[$CellContext`r$$], 0.02], 
             Row[{"harmonic mean = ", 
               HarmonicMean[$CellContext`r$$]}]]}, {}]}], 
        PlotRange -> {{-0.1, 2.1}, {-0.1, 2.1}}, ImageSize -> 400], 
      "Specifications" :> {{{$CellContext`r$$, {{0.7703049002364796, 
          0.7595883068701843}, {0.8654249856233405, 0.24718576504863016`}, {
          1.384060269884713, 1.8823780879914915`}, {0.18148443345646537`, 
          1.6328054164176953`}, {1.9134564365707214`, 
          1.2798002958099093`}}}, {0.01, 0.01}, {1.99, 1.99}, ControlType -> 
         Locator, LocatorAutoCreate -> {1, 
           DirectedInfinity[1]}}, {{$CellContext`mean$$, True, 
          Row[{
            Graphics[{
              RGBColor[1, 0, 0], 
              Disk[{0, 0}]}, ImageSize -> 6, 
             BaselinePosition -> (Center -> Center)], 
            "  arithmetic mean"}]}, {True, False}, ControlPlacement -> 
         Left}, {{$CellContext`median$$, True, 
          Row[{
            Graphics[{
              RGBColor[0, 0, 1], 
              Disk[{0, 0}]}, ImageSize -> 6, 
             BaselinePosition -> (Center -> Center)], "  median"}]}, {
         True, False}}, {{$CellContext`rms$$, False, 
          Row[{
            Graphics[{
              RGBColor[0, 1, 0], 
              Disk[{0, 0}]}, ImageSize -> 6, 
             BaselinePosition -> (Center -> Center)], 
            "  root mean square"}]}, {
         True, False}}, {{$CellContext`gmean$$, False, 
          Row[{
            Graphics[{
              RGBColor[1, 0.5, 0.5], 
              Disk[{0, 0}]}, ImageSize -> 6, 
             BaselinePosition -> (Center -> Center)], "  geometric mean"}]}, {
         True, False}}, {{$CellContext`hmean$$, False, 
          Row[{
            Graphics[{
              RGBColor[0.5, 0, 0.5], 
              Disk[{0, 0}]}, ImageSize -> 6, 
             BaselinePosition -> (Center -> Center)], "  harmonic mean"}]}, {
         True, False}}}, 
      "Options" :> {
       ControlPlacement -> {Top, Left, Left, Left, Left, Left}, 
        ControllerLinking -> True, AutorunSequencing -> {1, 4, 5, 6}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{558., {223.375, 228.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->1240862318]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Basic Statistics of Movable Points",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/BasicStatisticsOfMovablePoints/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/BasicStatisticsOfMovablePoints/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/BasicStatisticsOfMovablePoints/\
",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/BasicStatisticsOfMovablePoints/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/BasicStatisticsOfMovablePoints/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Stephen Wolfram", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->157709082],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
BasicStatisticsOfMovablePoints"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
ClosingSaveDialog->False,
Editable->True,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Basic Statistics of Movable Points - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (May 22, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 226, 4, 67, "Section"],
Cell[CellGroupData[{
Cell[841, 31, 10035, 246, 70, "Input",
 CellID->266325895],
Cell[10879, 279, 7448, 162, 470, "Output",
 CellID->1240862318]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18373, 447, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[18749, 458, 981, 29, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19767, 492, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[20107, 503, 206, 6, 18, "Text",
 CellID->157709082],
Cell[20316, 511, 967, 27, 114, "Text"],
Cell[21286, 540, 1206, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
