(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   1116637,      17525]
NotebookOptionsPosition[   1113650,      17435]
NotebookOutlinePosition[   1114267,      17459]
CellTagsIndexPosition[   1114224,      17456]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Designing Optical Systems", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"micronsToColor", "[", "m_", "]"}], ":=", 
  RowBox[{"RGBColor", "[", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.3183098861837907"}], "*", 
       RowBox[{"ArcTan", "[", 
        RowBox[{"63.75", " ", "-", " ", 
         RowBox[{"0.25", "*", 
          RowBox[{"Abs", "[", 
           RowBox[{
            RowBox[{"-", "500."}], " ", "+", " ", 
            RowBox[{"2.", "*", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"100.", " ", "+", " ", 
                RowBox[{"500.", "*", "m"}]}], ",", " ", "500."}], "]"}]}]}], 
           "]"}]}]}], "]"}]}], " ", "+", " ", "\n", "    ", 
      RowBox[{"0.3183098861837907", "*", 
       RowBox[{"ArcTan", "[", 
        RowBox[{"43.", " ", "-", " ", 
         RowBox[{"0.1", "*", 
          RowBox[{"Abs", "[", 
           RowBox[{
            RowBox[{"-", "500."}], " ", "+", " ", 
            RowBox[{"2.", "*", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"100.", " ", "+", " ", 
                RowBox[{"500.", "*", "m"}]}], ",", " ", "500."}], "]"}]}]}], 
           "]"}]}]}], "]"}]}]}], "]"}], ",", " ", "\n", "  ", 
    RowBox[{"Abs", "[", 
     RowBox[{
      RowBox[{"0.3183098861837907", "*", 
       RowBox[{"ArcTan", "[", 
        RowBox[{"60.", " ", "-", " ", 
         RowBox[{"0.2", "*", 
          RowBox[{"Abs", "[", 
           RowBox[{
            RowBox[{"-", "500."}], " ", "+", " ", 
            RowBox[{"2.", "*", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"100.", " ", "+", " ", 
                RowBox[{"500.", "*", "m"}]}], ",", " ", "500."}], "]"}]}]}], 
           "]"}]}]}], "]"}]}], " ", "-", " ", "\n", "    ", 
      RowBox[{"0.3183098861837907", "*", 
       RowBox[{"ArcTan", "[", 
        RowBox[{"18.", " ", "-", " ", 
         RowBox[{"0.1", "*", 
          RowBox[{"Abs", "[", 
           RowBox[{
            RowBox[{"-", "500."}], " ", "+", " ", 
            RowBox[{"2.", "*", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"100.", " ", "+", " ", 
                RowBox[{"500.", "*", "m"}]}], ",", " ", "500."}], "]"}]}]}], 
           "]"}]}]}], "]"}]}]}], "]"}], ",", " ", "\n", "  ", 
    RowBox[{"Abs", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.3183098861837907"}], "*", 
       RowBox[{"ArcTan", "[", 
        RowBox[{"10.", " ", "-", " ", 
         RowBox[{"0.2", "*", 
          RowBox[{"Abs", "[", 
           RowBox[{
            RowBox[{"-", "500."}], " ", "+", " ", 
            RowBox[{"2.", "*", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"100.", " ", "+", " ", 
                RowBox[{"500.", "*", "m"}]}], ",", " ", "500."}], "]"}]}]}], 
           "]"}]}]}], "]"}]}], " ", "+", " ", "\n", "    ", 
      RowBox[{"0.3183098861837907", "*", 
       RowBox[{"ArcTan", "[", 
        RowBox[{"22.5", " ", "-", " ", 
         RowBox[{"0.125", "*", 
          RowBox[{"Abs", "[", 
           RowBox[{
            RowBox[{"-", "500."}], " ", "+", " ", 
            RowBox[{"2.", "*", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{"100.", " ", "+", " ", 
                RowBox[{"500.", "*", "m"}]}], ",", " ", "500."}], "]"}]}]}], 
           "]"}]}]}], "]"}]}]}], "]"}]}], "]"}], " "}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.3516067790842*^9, 3.35160679253517*^9}, 
   3.387986826773117*^9},
 CellID->381487141],

Cell["\<\
rayfunction = Compile[{as1, wl1, xs1, ys1, aa, ab, apa, apb, ca1, ca2, cb1, \
cb2, ta, tb, xa1, xb1, ya1, yb1}, 
 Module[{activeregion, allcreatedamplitudes, allcreatedrays, 
   allowzeroraylength, alternateindex, amplitude, axismagnitude, 
   axismatrix, clonedata, clonegenerationnumber, cloneinput, 
   clonenumber, cloneposition, clonereportedrays, clonerotation, 
   clonescale, clonescalevector, clonesorthistogram, clonetraceinput, 
   clonetraceoutput, closestdistances, closestposition, closestpositions, 
   closestraylength, completedray, componentnumber, cosangle, 
   crossmatrix, deflecteddummyrayspresent, deflectedlocalrays, deflectedrays, \

   deflectedrayspresent, dummymatrix, dummymatrixlist, dummyvector, 
   frontid, generationlimit, generationnumber, holeintersections, 
   holeQ, holeQlist, hor, index, index1, 
   index2, inrays, intensity, intensityscale, 
   intersectionnumber, intersections, intersectionslist, 
   intersectionspresent, localdummyoutrayspresent, localoutrays, 
   localoutrayspresent, magnitude, maxclonegenerationnumber, maximumposition, \

   minimumraylength, minresonateraylength, n12, newcomponentnumber, 
   newdeflectedrays, newdistance, newsurfaceid, newsurfacenumber, 
   nonintersectingrays, normalizedpolarization, oldgenerationnumber, 
   opticallength, originalray, originalraytilt, originalrotation, 
   originalsurfnorm, outrays, parallelamplitude, PAxis, 
   perpendicularamplitude, phaseshift, pol1, pol2, 
   pol3, previoustilt, propagate, propagatedrays, r1, 
   r2, r3, r4, r5, r6, r7, 
   r8, r9, ray1, ray2, ray3, RayL, 
   rayslot, raysreported, raytiltx, raytiltz, 
   reporteddummyrayspresent, reportedlocalrays, reportedrays, 
   reportedrayspresent, resonateintersections, resonatenumber, 
   resonateraylength, rex, rey, rez, rotationaxis, 
   rsx, RSx, rsy, RSy, rsz, RSz, RTx, RTy, RTz, rx, 
   rxhlp, ry, ryhlp, rz, rzhlp, SCx, SCy, 
   sid, sinangle, sno1, sno2, sno3, 
   sno4, surfaceid, surfacenumber, surfacerotationmatrix, 
   surfacetranslationvector, surfnorm, symr1, symr2, 
   symr3, symr4, symr5, symr6, symr7, 
   symr8, symr9, tempclonedata, terminatedeflection, 
   thresholdintensity, tiltmagnitude, transmatrix, TV1, TV10, TV2, TV3, TV4, \
TV5, TV6, TV7, TV8, 
   TV9, u, unfilteredintersections, unit, uu, ver, 
   wavelength, XAxis, xunit, YAxis, yunit, 
   ZAxis, zunit}, activeregion = 1.; 
   allcreatedamplitudes = {{0. + 0.*I, 0. + 0.*I, 0. + 0.*I}}; allcreatedrays \
= {{1.}}; 
   allowzeroraylength = True; alternateindex = 1.; amplitude = {1. + 0.*I, 0. \
+ 0.*I, 0. + 0.*I}; 
   axismagnitude = 1.; axismatrix = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., \
1.}}; clonedata = {{1.}}; 
   clonegenerationnumber = 1.; cloneinput = {1.}; clonenumber = 1; 
   cloneposition = {0., 0., 0.}; clonereportedrays = {{1.}}; clonerotation = \
{{1.}}; 
   clonescale = 1.; clonescalevector = {1.}; clonesorthistogram = {1}; 
   clonetraceinput = {{1.}}; clonetraceoutput = {{1.}}; closestdistances = \
{1.}; 
   closestposition = 0; closestpositions = {0}; closestraylength = 1.; 
   completedray = {1.}; componentnumber = -1.; cosangle = 1.; 
   crossmatrix = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}; \
deflecteddummyrayspresent = False; 
   deflectedlocalrays = {{1.}}; deflectedrays = {{1.}}; deflectedrayspresent \
= False; 
   dummymatrix = {{1.}}; dummymatrixlist = {{{1.}}}; dummyvector = {1.}; 
   frontid = 1.; generationlimit = 200.; generationnumber = 1.; 
   holeintersections = {{-1., 0., 0.}}; holeQ = False; holeQlist = {0}; 
   hor = 1. + 0.*I; index = 1.; index1 = 1.; index2 = 1.; 
   inrays = {{1.}}; intensity = 1.; intensityscale = 1.; 
   intersectionnumber = 1.; intersections = {{-1., 0., 0.}}; \
intersectionslist = {{{-1., 0., 0.}}}; 
   intersectionspresent = False; localdummyoutrayspresent = False; \
localoutrays = {{1.}}; 
   localoutrayspresent = False; magnitude = 1.; maxclonegenerationnumber = \
1.; 
   maximumposition = 1; minimumraylength = 0.0001; minresonateraylength = 1.; \

   n12 = 1.; newcomponentnumber = -1.; newdeflectedrays = {{1.}}; 
   newdistance = 1.; newsurfaceid = -1.; newsurfacenumber = -1.; 
   nonintersectingrays = {{1.}}; normalizedpolarization = {1., 1.}; \
oldgenerationnumber = 1.; 
   opticallength = 1.; originalray = {1.}; originalraytilt = {1.}; 
   originalrotation = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}; \
originalsurfnorm = {{1.}}; 
   outrays = {{1.}}; parallelamplitude = 1. + 0.*I; PAxis = {1., 0., 0.}; 
   perpendicularamplitude = 1. + 0.*I; phaseshift = 0.; pol1 = 1.; pol2 = 1.; \

   pol3 = 1.; previoustilt = {1., 0., 0.}; propagate = True; 
   propagatedrays = {{1.}}; r1 = 1.; r2 = 1.; r3 = 1.; 
   r4 = 1.; r5 = 1.; r6 = 1.; r7 = 1.; r8 = 1.; 
   r9 = 1.; ray1 = 1.; ray2 = 1.; ray3 = 1.; RayL = 1.; 
   rayslot = 1.; raysreported = False; raytiltx = 1.; raytiltz = 1.; 
   reporteddummyrayspresent = False; reportedlocalrays = {{1.}}; reportedrays \
= {{1.}}; 
   reportedrayspresent = False; resonateintersections = {{-1., 0., 0.}}; \
resonatenumber = 0; 
   resonateraylength = 1.; rex = 1.; rey = 1.; rez = 1.; 
   rsx = 1.; RSx = 1.; rsy = 1.; RSy = 1.; rsz = 1.; RSz = 1.; RTx = 1.; RTy \
= 1.; RTz = 1.; 
   rx = 1.; rxhlp = 1.; ry = 1.; ryhlp = 1.; rz = 1.; 
   rzhlp = 1.; SCx = 1.; SCy = 1.; sid = 1.; sinangle = 1.; sno1 = 1.; 
   sno2 = 1.; sno3 = 1.; sno4 = 1.; surfaceid = -1.; 
   surfacenumber = -1.; surfacerotationmatrix = {{1., 0., 0.}, {0., 1., 0.}, \
{0., 0., 1.}}; 
   surfacetranslationvector = {0., 0., 0.}; surfnorm = {{1.}}; symr1 = 1.; 
   symr2 = 1.; symr3 = 1.; symr4 = 1.; symr5 = 1.; 
   symr6 = 1.; symr7 = 1.; symr8 = 1.; symr9 = 1.; 
   tempclonedata = {{1.}}; terminatedeflection = False; thresholdintensity = \
1.; 
   tiltmagnitude = 1.; transmatrix = {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., \
1.}}}; TV1 = 1.; TV10 = 1.; TV2 = 1.; 
   TV3 = 1.; TV4 = 1.; TV5 = 1.; TV6 = 1.; TV7 = 1.; TV8 = 1.; TV9 = 1.; u = \
{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}; 
   unfilteredintersections = {{-1., 0., 0.}}; unit = {{1., 0., 0.}, {0., 1., \
0.}, {0., 0., 1.}}; 
   uu = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}; ver = 0. + 0.*I; \
wavelength = 1.; 
   XAxis = {1., 0., 0.}; xunit = 1.; YAxis = {1., 0., 0.}; yunit = 1.; 
   ZAxis = {1., 0., 0.}; zunit = 1.; propagatedrays = 
    Join[{symr1, symr2, symr3, symr4, symr5, 
        symr6, symr7, symr8, symr9} = 
       {Cos[as1*Degree], Sin[as1*Degree], 0, -Sin[as1*Degree], \
Cos[as1*Degree], 0, 0, 0, 1}; 
      (({rsx, rsy, rsz, rex, rey, 
           rez, r1, r2, r3, r4, 
           r5, r6, r7, r8, r9, 
           wavelength, intensity, intensityscale, ray1, 
           index, opticallength, phaseshift, componentnumber, 
           surfacenumber, surfaceid, ray2, ray3, sid, 
           frontid, sno1, sno2, sno3, sno4, 
           rayslot, oldgenerationnumber, intersectionnumber, pol1, 
           pol2, pol3} = #1; wavelength = wl1; 
         {TV1, TV2, TV3} = {rsx*symr1 + rsy*symr4 + 
            rsz*symr7 + xs1, rsx*symr2 + 
            rsy*symr5 + rsz*symr8 + ys1, 
           rsx*symr3 + rsy*symr6 + 
            rsz*symr9}; {rsx, rsy, rsz} = 
          {TV1, TV2, TV3}; {TV1, TV2, TV3} = {rex*symr1 + rey*symr4 + 
            rez*symr7 + xs1, rex*symr2 + 
            rey*symr5 + rez*symr8 + ys1, 
           rex*symr3 + rey*symr6 + 
            rez*symr9}; {rex, rey, rez} = 
          {TV1, TV2, TV3}; {TV1, TV2, TV3} = {r1*symr1 + r2*symr4 + 
            r3*symr7, r1*symr2 + r2*
             symr5 + r3*symr8, r1*symr3 + 
            r2*symr6 + r3*symr9}; 
         {TV4, TV5, TV6} = {r4*symr1 + r5*symr4 + 
            r6*symr7, r4*symr2 + r5*
             symr5 + r6*symr8, r4*symr3 + 
            r5*symr6 + r6*symr9}; 
         {TV7, TV8, TV9} = {r7*symr1 + r8*symr4 + 
            r9*symr7, r7*symr2 + r8*
             symr5 + r9*symr8, r7*symr3 + 
            r8*symr6 + r9*symr9}; 
         {{r1, r2, r3}, {r4, r5, 
            r6}, {r7, r8, r9}} = 
          {{TV1, TV2, TV3}, {TV4, TV5, TV6}, {TV7, TV8, TV9}}; {rsx, rsy, \
rsz, 
          rex, rey, rez, r1, r2, 
          r3, r4, r5, r6, r7, r8, 
          r9, wavelength, intensity, intensityscale, 
          ray1, index, opticallength, phaseshift, 
          componentnumber, surfacenumber, surfaceid, ray2, 
          ray3, sid, frontid, sno1, sno2, 
          sno3, sno4, rayslot, generationnumber, 
          intersectionnumber, pol1, pol2, pol3}) & ) /@ 
       {{0., 0., 0., 0., 0., 0., 0.9659258262890683, 0.25881904510252074, 0., \
-0.25881904510252074, 0.9659258262890683, 0., 0., 0., 1., 0.532, 100., 
         0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 16497., 1., 11., 1., 0., 1., 0., 0., 0., 1., 0.}, 
        {0., 0., 0., 0., 0., 0., 0.9781476007338057, 0.20791169081775934, 0., \
-0.20791169081775934, 0.9781476007338057, 0., 0., 0., 1., 0.532, 100., 
         0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 16497., 2., 11., 2., 0., 1., 0., 0., 0., 1., 0.}, 
        {0., 0., 0., 0., 0., 0., 0.9876883405951378, 0.15643446504023087, 0., \
-0.15643446504023087, 0.9876883405951378, 0., 0., 0., 1., 0.532, 100., 
         0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 16497., 3., 11., 3., 0., 1., 0., 0., 0., 1., 0.}, 
        {0., 0., 0., 0., 0., 0., 0.9945218953682733, 0.10452846326765348, 0., \
-0.10452846326765348, 0.9945218953682733, 0., 0., 0., 1., 0.532, 100., 
         0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 16497., 4., 11., 4., 0., 1., 0., 0., 0., 1., 0.}, 
        {0., 0., 0., 0., 0., 0., 0.9986295347545738, 0.052335956242943835, \
0., -0.052335956242943835, 0.9986295347545738, 0., 0., 0., 1., 0.532, 100., 
         0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 16497., 5., 11., 5., 0., 1., 0., 0., 0., 1., 0.}, 
        {0., 0., 0., 0., 0., 0., 1., 0., 0., 0., 1., 0., 0., 0., 1., 0.532, \
100., 0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 
         16497., 6., 11., 6., 0., 1., 0., 0., 0., 1., 0.}, {0., 0., 0., 0., \
0., 0., 0.9986295347545738, -0.052335956242943835, 0., 0.052335956242943835, 
         0.9986295347545738, 0., 0., 0., 1., 0.532, 100., \
0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., 0., \
16497., 16497., 7., 11., 7., 0., 
         1., 0., 0., 0., 1., 0.}, {0., 0., 0., 0., 0., 0., \
0.9945218953682733, -0.10452846326765348, 0., 0.10452846326765348, \
0.9945218953682733, 0., 0., 0., 1., 
         0.532, 100., 0.09090909090909091, 0., 1.0002694514570802, 0., 0., \
1., 0., 0., 0., 0., 16497., 16497., 8., 11., 8., 0., 1., 0., 0., 0., 1., 0.}, \

        {0., 0., 0., 0., 0., 0., 0.9876883405951378, -0.15643446504023087, \
0., 0.15643446504023087, 0.9876883405951378, 0., 0., 0., 1., 0.532, 100., 
         0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 16497., 9., 11., 9., 0., 1., 0., 0., 0., 1., 0.}, 
        {0., 0., 0., 0., 0., 0., 0.9781476007338057, -0.20791169081775934, \
0., 0.20791169081775934, 0.9781476007338057, 0., 0., 0., 1., 0.532, 100., 
         0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 16497., 10., 11., 10., 0., 1., 0., 0., 0., 1., 0.}, 
        {0., 0., 0., 0., 0., 0., 0.9659258262890683, -0.25881904510252074, \
0., 0.25881904510252074, 0.9659258262890683, 0., 0., 0., 1., 0.532, 100., 
         0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 16497., 11., 11., 11., 0., 1., 0., 0., 0., 1., 0.}}]; 
   propagatedrays = (({rsx, rsy, rsz, rex, 
         rey, rez, r1, r2, r3, 
         r4, r5, r6, r7, r8, r9, 
         wavelength, intensity, intensityscale, ray1, 
         index, opticallength, phaseshift, componentnumber, 
         surfacenumber, surfaceid, ray2, ray3, sid, 
         frontid, sno1, sno2, sno3, sno4, 
         rayslot, oldgenerationnumber, intersectionnumber, pol1, 
         pol2, pol3} = #1; componentnumber = 1.; frontid = 1.; 
       {rsx, rsy, rsz, rex, rey, 
        rez, r1, r2, r3, r4, r5, 
        r6, r7, r8, r9, wavelength, 
        intensity, intensityscale, ray1, index, 
        opticallength, phaseshift, componentnumber, surfacenumber, 
        surfaceid, ray2, ray3, sid, frontid, 
        sno1, sno2, sno3, sno4, rayslot, 
        generationnumber, intersectionnumber, pol1, pol2, 
        pol3}) & ) /@ propagatedrays; thresholdintensity = 1.; 
   generationlimit = 200.; reportedrays = 
    {{rsx, rsy, rsz, rex, rey, 
      rez, r1, r2, r3, r4, r5, 
      r6, r7, r8, r9, wavelength, 
      intensity, intensityscale, ray1, index, 
      opticallength, phaseshift, componentnumber, surfacenumber, 
      surfaceid, ray2, ray3, sid, frontid, 
      sno1, sno2, sno3, sno4, rayslot, 
      generationnumber, intersectionnumber, pol1, pol2, 
      pol3}}; generationnumber = 0.; (inrays = propagatedrays; 
    outrays = {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
       1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}; \
deflectedrayspresent = True; 
    reportedrayspresent = False; propagate = True; 
    While[deflectedrayspresent && propagate, generationnumber += 1.; 
      (deflecteddummyrayspresent = False; deflectedrayspresent = False; 
       reportedrayspresent = False; reporteddummyrayspresent = True; \
localdummyoutrayspresent = 
        False; localoutrayspresent = False; {deflectedlocalrays, \
localoutrays, 
         reportedlocalrays} = (Flatten[#1, 1] & ) /@ 
         Transpose[(({rsx, rsy, rsz, rex, rey, 
               rez, r1, r2, r3, r4, 
               r5, r6, r7, r8, r9, 
               wavelength, intensity, intensityscale, ray1, 
               index, opticallength, phaseshift, componentnumber, 
               surfacenumber, surfaceid, ray2, ray3, 
               sid, frontid, sno1, sno2, sno3, 
               sno4, rayslot, oldgenerationnumber, intersectionnumber, 
               pol1, pol2, pol3} = #1; If[intensity > 
                thresholdintensity && generationnumber < generationlimit, 
              (resonatenumber = 0; resonateraylength = \
1.7976931348623157*^308; 
                resonateintersections = {{-1., 0., 0.}}; \
MapIndexed[If[#1[[1,1]] > -1. && #1[[1,1]] < resonateraylength, 
                   resonateraylength = #1[[1,1]]; resonateintersections = #1; \
resonatenumber = 
                     First[#2], resonatenumber] & , intersectionslist = \
{{{-1., 0., 0.}}}; 
                  holeQlist = {0}; ({rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     oldgenerationnumber, intersectionnumber, pol1, pol2, 
                     pol3} = #1; index1 = index; xunit = 
                    r1*Re[Cos[0.017453292519943295*aa]] + \
r2*Re[Sin[0.017453292519943295*aa]]; 
                   yunit = r2*Re[Cos[0.017453292519943295*aa]] - 1.*r1*
                      Re[Sin[0.017453292519943295*aa]]; zunit = \
r3*Re[Cos[0.017453292519943295*aa]^2 + 
                       Sin[0.017453292519943295*aa]^2]; xunit = Chop[xunit]; \
yunit = 
                    Chop[yunit]; zunit = Chop[zunit]; magnitude = 
                    (xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = 
                    xunit/magnitude; yunit = yunit/
                     magnitude; zunit = zunit/magnitude; 
                   rx = (rex - 1.*Re[xa1])*Re[Cos[0.017453292519943295*aa]] + \
(rey - 1.*Re[ya1])*
                      Re[Sin[0.017453292519943295*aa]]; ry = (rey - \
1.*Re[ya1])*Re[Cos[0.017453292519943295*aa]] - 
                     1.*(rex - 1.*Re[xa1])*Re[Sin[0.017453292519943295*aa]]; \
rz = rez*
                     Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]; rx = Chop[rx]; 
                   ry = Chop[ry]; rz = Chop[rz]; 
                   terminatedeflection = False; intersections = {{-1., 0., \
0.}}; intersections = 
                    Block[{TempVar, TempVar1, TempVar2, TempVar3, RayL, SCx, \
SCy}, TempVar1 = 1.; TempVar2 = 1.; TempVar3 = 1.; TempVar = {{-1., 0., 0.}}; \
RayL = 1.; 
                      SCx = 1.; SCy = 1.; TempVar1 = rx^2 + ry^2 + rz^2; \
TempVar2 = 
                       rx*xunit + ry*yunit + rz*
                         zunit - xunit/ca1; TempVar3 = -TempVar1 + TempVar2^2 \
+ (2*rx)/ca1; 
                      TempVar3 = Re[TempVar3]; If[N[Chop[TempVar3]] >= 0., \
TempVar3 = Sqrt[TempVar3]; TempVar = {{RayL, SCx, SCy} = {-TempVar2 - \
TempVar3, 
                             ry - (TempVar2 + TempVar3)*yunit, rz - (TempVar2 \
+ TempVar3)*
                               zunit}; If[N[Chop[RayL]] >= 0. && SCx^2 + \
SCy^2 <= 0.25*Abs[apa]^2 && Abs[ry + 
                                 RayL*yunit - SCx] + Abs[rz + RayL*zunit - \
SCy] + 
                               Abs[-ca1^(-1) + rx + RayL*xunit + \
Sqrt[ca1^(-2) - SCx^2 - SCy^2]/Sign[ca1]] < 1.*^-7, 
                            {RayL, SCx, SCy}, {-1., 0., 0.}], {RayL, SCx, \
SCy} = {-TempVar2 + TempVar3, ry + (-TempVar2 + TempVar3)*
                               yunit, rz + (-TempVar2 + TempVar3)*zunit}; \
If[N[Chop[RayL]] >= 0. && 
                             SCx^2 + SCy^2 <= 0.25*Abs[apa]^2 && Abs[ry + \
RayL*yunit - SCx] + 
                               Abs[rz + RayL*zunit - SCy] + Abs[-ca1^(-1) + \
rx + 
                                 RayL*xunit + Sqrt[ca1^(-2) - SCx^2 - \
SCy^2]/Sign[ca1]] < 1.*^-7, {RayL, SCx, SCy}, {-1., 0., 0.}]}; 
                        If[TempVar[[1]] == TempVar[[2]], {TempVar[[1]]}, \
TempVar], {{-1., 0., 0.}}]]; AppendTo[intersections, {-1., 0., 0.}]; 
                   holeQ = False; If[ !(Chop[surfaceid - 16519.] == 0. || \
N[Chop[ray1]] < 
                        0.0001) || generationnumber == 1., \
minresonateraylength = 0., 
                    minresonateraylength = 0.0001]; Block[{RayL, SCx, SCy}, \
RayL = 1.; SCx = 1.; SCy = 1.; dummymatrix = 
                      Union[Select[intersections, ({RayL, SCx, SCy} = #1; \
{RayL, SCx, SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= 
                            minresonateraylength) & ]]; intersections = \
dummymatrix]; 
                   unfilteredintersections = intersections; \
If[Length[intersections] > 1, 
                    dummymatrix = Take[intersections, {2}]; intersections = 
                      dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; 
                   If[holeQ, AppendTo[holeQlist, 1], AppendTo[holeQlist, 0]]; \

                   {rsx, rsy, rsz, rex, rey, 
                     rez, r1, r2, r3, r4, 
                     r5, r6, r7, r8, r9, 
                     wavelength, intensity, intensityscale, ray1, 
                     index, opticallength, phaseshift, componentnumber, 
                     surfacenumber, surfaceid, ray2, ray3, 
                     sid, frontid, sno1, sno2, sno3, 
                     sno4, rayslot, oldgenerationnumber, intersectionnumber, 
                     pol1, pol2, pol3} = #1; index1 = 
                    index; xunit = r1*Re[Cos[0.017453292519943295*aa]] + r2*
                      Re[Sin[0.017453292519943295*aa]]; yunit = \
r2*Re[Cos[0.017453292519943295*aa]] - 
                     1.*r1*Re[Sin[0.017453292519943295*aa]]; zunit = r3*
                     Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]; xunit = Chop[xunit]; 
                   yunit = Chop[yunit]; zunit = Chop[zunit]; 
                   magnitude = (xunit^2 + yunit^2 + zunit^2)^2^(-1); 
                   xunit = xunit/magnitude; yunit = 
                    yunit/magnitude; zunit = zunit/
                     magnitude; rx = Re[Cos[0.017453292519943295*aa]]*(rex - 
                       1.*Re[xa1 + ta*Cos[0.017453292519943295*aa]]) + \
Re[Sin[0.017453292519943295*aa]]*(rey - 
                       1.*Re[ya1 + ta*Sin[0.017453292519943295*aa]]); ry = \
-1.*(rex - 
                       1.*Re[xa1 + \
ta*Cos[0.017453292519943295*aa]])*Re[Sin[0.017453292519943295*aa]] + \
Re[Cos[0.017453292519943295*aa]]*(rey - 
                       1.*Re[ya1 + ta*Sin[0.017453292519943295*aa]]); rz = \
rez*Re[Cos[0.017453292519943295*aa]^2 + 
                       Sin[0.017453292519943295*aa]^2]; rx = Chop[rx]; ry = 
                    Chop[ry]; rz = Chop[rz]; terminatedeflection = False; 
                   intersections = {{-1., 0., 0.}}; intersections = \
Block[{TempVar, TempVar1, TempVar2, TempVar3, RayL, 
                      SCx, SCy}, TempVar1 = 1.; TempVar2 = 1.; TempVar3 = 1.; \
TempVar = {{-1., 0., 0.}}; RayL = 1.; SCx = 1.; SCy = 1.; TempVar1 = 
                       rx^2 + ry^2 + rz^2; TempVar2 = rx*
                         xunit + ry*yunit + rz*zunit - 
                        xunit/ca2; TempVar3 = -TempVar1 + TempVar2^2 + \
(2*rx)/ca2; TempVar3 = Re[TempVar3]; 
                      If[N[Chop[TempVar3]] >= 0., TempVar3 = Sqrt[TempVar3]; \
TempVar = {{RayL, SCx, SCy} = {-TempVar2 - TempVar3, ry - 
                              (TempVar2 + TempVar3)*yunit, rz - (TempVar2 + \
TempVar3)*zunit}; 
                           If[N[Chop[RayL]] >= 0. && SCx^2 + SCy^2 <= \
0.25*Abs[apa]^2 && Abs[ry + RayL*yunit - SCx] + 
                               Abs[rz + RayL*zunit - SCy] + Abs[-ca2^(-1) + \
rx + 
                                 RayL*xunit + Sqrt[ca2^(-2) - SCx^2 - \
SCy^2]/Sign[ca2]] < 1.*^-7, {RayL, SCx, SCy}, {-1., 0., 0.}], 
                          {RayL, SCx, SCy} = {-TempVar2 + TempVar3, ry + \
(-TempVar2 + TempVar3)*yunit, 
                             rz + (-TempVar2 + TempVar3)*zunit}; \
If[N[Chop[RayL]] >= 0. && SCx^2 + SCy^2 <= 
                              0.25*Abs[apa]^2 && Abs[ry + RayL*yunit - SCx] + \
Abs[rz + 
                                 RayL*zunit - SCy] + Abs[-ca2^(-1) + rx + \
RayL*xunit + 
                                 Sqrt[ca2^(-2) - SCx^2 - SCy^2]/Sign[ca2]] < \
1.*^-7, {RayL, SCx, SCy}, {-1., 0., 0.}]}; If[TempVar[[1]] == TempVar[[2]], 
                         {TempVar[[1]]}, TempVar], {{-1., 0., 0.}}]]; \
AppendTo[intersections, {-1., 0., 0.}]; holeQ = 
                    False; If[ !(Chop[surfaceid - 16520.] == 0. || \
N[Chop[ray1]] < 0.0001) || 
                     generationnumber == 1., minresonateraylength = 0., \
minresonateraylength = 
                     0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; SCx = 1.; \
SCy = 1.; dummymatrix = Union[Select[
                        intersections, ({RayL, SCx, SCy} = #1; {RayL, SCx, \
SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= 
                            minresonateraylength) & ]]; intersections = \
dummymatrix]; 
                   unfilteredintersections = intersections; \
If[Length[intersections] > 1, 
                    dummymatrix = Take[intersections, {2}]; intersections = 
                      dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; 
                   If[holeQ, AppendTo[holeQlist, 1], AppendTo[holeQlist, 0]]; \

                   {rsx, rsy, rsz, rex, rey, 
                     rez, r1, r2, r3, r4, 
                     r5, r6, r7, r8, r9, 
                     wavelength, intensity, intensityscale, ray1, 
                     index, opticallength, phaseshift, componentnumber, 
                     surfacenumber, surfaceid, ray2, ray3, 
                     sid, frontid, sno1, sno2, sno3, 
                     sno4, rayslot, oldgenerationnumber, intersectionnumber, 
                     pol1, pol2, pol3} = #1; index1 = 
                    index; xunit = r1*Re[Cos[0.017453292519943295*ab]] + r2*
                      Re[Sin[0.017453292519943295*ab]]; yunit = \
r2*Re[Cos[0.017453292519943295*ab]] - 
                     1.*r1*Re[Sin[0.017453292519943295*ab]]; zunit = r3*
                     Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]; xunit = Chop[xunit]; 
                   yunit = Chop[yunit]; zunit = Chop[zunit]; 
                   magnitude = (xunit^2 + yunit^2 + zunit^2)^2^(-1); 
                   xunit = xunit/magnitude; yunit = 
                    yunit/magnitude; zunit = zunit/
                     magnitude; rx = (rex - \
1.*Re[xb1])*Re[Cos[0.017453292519943295*ab]] + 
                     (rey - 1.*Re[yb1])*Re[Sin[0.017453292519943295*ab]]; ry \
= (rey - 1.*Re[yb1])*
                      Re[Cos[0.017453292519943295*ab]] - 1.*(rex - \
1.*Re[xb1])*Re[Sin[0.017453292519943295*ab]]; rz = 
                    rez*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]; rx = 
                    Chop[rx]; ry = Chop[ry]; rz = 
                    Chop[rz]; terminatedeflection = False; intersections = \
{{-1., 0., 0.}}; 
                   intersections = Block[{TempVar, TempVar1, TempVar2, \
TempVar3, RayL, SCx, SCy}, TempVar1 = 1.; TempVar2 = 1.; TempVar3 = 1.; 
                      TempVar = {{-1., 0., 0.}}; RayL = 1.; SCx = 1.; SCy = \
1.; TempVar1 = rx^2 + ry^2 + 
                        rz^2; TempVar2 = rx*xunit + ry*
                         yunit + rz*zunit - xunit/cb1; 
                      TempVar3 = -TempVar1 + TempVar2^2 + (2*rx)/cb1; \
TempVar3 = Re[TempVar3]; If[N[Chop[TempVar3]] >= 0., 
                       TempVar3 = Sqrt[TempVar3]; TempVar = {{RayL, SCx, SCy} \
= {-TempVar2 - TempVar3, ry - (TempVar2 + TempVar3)*
                               yunit, rz - (TempVar2 + TempVar3)*zunit}; \
If[N[Chop[RayL]] >= 0. && 
                             SCx^2 + SCy^2 <= 0.25*Abs[apb]^2 && Abs[ry + \
RayL*yunit - SCx] + 
                               Abs[rz + RayL*zunit - SCy] + Abs[-cb1^(-1) + \
rx + 
                                 RayL*xunit + Sqrt[cb1^(-2) - SCx^2 - \
SCy^2]/Sign[cb1]] < 1.*^-7, {RayL, SCx, SCy}, {-1., 0., 0.}], 
                          {RayL, SCx, SCy} = {-TempVar2 + TempVar3, ry + \
(-TempVar2 + TempVar3)*yunit, 
                             rz + (-TempVar2 + TempVar3)*zunit}; \
If[N[Chop[RayL]] >= 0. && SCx^2 + SCy^2 <= 
                              0.25*Abs[apb]^2 && Abs[ry + RayL*yunit - SCx] + \
Abs[rz + 
                                 RayL*zunit - SCy] + Abs[-cb1^(-1) + rx + \
RayL*xunit + 
                                 Sqrt[cb1^(-2) - SCx^2 - SCy^2]/Sign[cb1]] < \
1.*^-7, {RayL, SCx, SCy}, {-1., 0., 0.}]}; If[TempVar[[1]] == TempVar[[2]], 
                         {TempVar[[1]]}, TempVar], {{-1., 0., 0.}}]]; \
AppendTo[intersections, {-1., 0., 0.}]; holeQ = 
                    False; If[ !(Chop[surfaceid - 16547.] == 0. || \
N[Chop[ray1]] < 0.0001) || 
                     generationnumber == 1., minresonateraylength = 0., \
minresonateraylength = 
                     0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; SCx = 1.; \
SCy = 1.; dummymatrix = Union[Select[
                        intersections, ({RayL, SCx, SCy} = #1; {RayL, SCx, \
SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= 
                            minresonateraylength) & ]]; intersections = \
dummymatrix]; 
                   unfilteredintersections = intersections; \
If[Length[intersections] > 1, 
                    dummymatrix = Take[intersections, {2}]; intersections = 
                      dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; 
                   If[holeQ, AppendTo[holeQlist, 1], AppendTo[holeQlist, 0]]; \

                   {rsx, rsy, rsz, rex, rey, 
                     rez, r1, r2, r3, r4, 
                     r5, r6, r7, r8, r9, 
                     wavelength, intensity, intensityscale, ray1, 
                     index, opticallength, phaseshift, componentnumber, 
                     surfacenumber, surfaceid, ray2, ray3, 
                     sid, frontid, sno1, sno2, sno3, 
                     sno4, rayslot, oldgenerationnumber, intersectionnumber, 
                     pol1, pol2, pol3} = #1; index1 = 
                    index; xunit = r1*Re[Cos[0.017453292519943295*ab]] + r2*
                      Re[Sin[0.017453292519943295*ab]]; yunit = \
r2*Re[Cos[0.017453292519943295*ab]] - 
                     1.*r1*Re[Sin[0.017453292519943295*ab]]; zunit = r3*
                     Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]; xunit = Chop[xunit]; 
                   yunit = Chop[yunit]; zunit = Chop[zunit]; 
                   magnitude = (xunit^2 + yunit^2 + zunit^2)^2^(-1); 
                   xunit = xunit/magnitude; yunit = 
                    yunit/magnitude; zunit = zunit/
                     magnitude; rx = Re[Cos[0.017453292519943295*ab]]*(rex - 
                       1.*Re[xb1 + tb*Cos[0.017453292519943295*ab]]) + \
Re[Sin[0.017453292519943295*ab]]*(rey - 
                       1.*Re[yb1 + tb*Sin[0.017453292519943295*ab]]); ry = \
-1.*(rex - 
                       1.*Re[xb1 + \
tb*Cos[0.017453292519943295*ab]])*Re[Sin[0.017453292519943295*ab]] + \
Re[Cos[0.017453292519943295*ab]]*(rey - 
                       1.*Re[yb1 + tb*Sin[0.017453292519943295*ab]]); rz = \
rez*Re[Cos[0.017453292519943295*ab]^2 + 
                       Sin[0.017453292519943295*ab]^2]; rx = Chop[rx]; ry = 
                    Chop[ry]; rz = Chop[rz]; terminatedeflection = False; 
                   intersections = {{-1., 0., 0.}}; intersections = \
Block[{TempVar, TempVar1, TempVar2, TempVar3, RayL, 
                      SCx, SCy}, TempVar1 = 1.; TempVar2 = 1.; TempVar3 = 1.; \
TempVar = {{-1., 0., 0.}}; RayL = 1.; SCx = 1.; SCy = 1.; TempVar1 = 
                       rx^2 + ry^2 + rz^2; TempVar2 = rx*
                         xunit + ry*yunit + rz*zunit - 
                        xunit/cb2; TempVar3 = -TempVar1 + TempVar2^2 + \
(2*rx)/cb2; TempVar3 = Re[TempVar3]; 
                      If[N[Chop[TempVar3]] >= 0., TempVar3 = Sqrt[TempVar3]; \
TempVar = {{RayL, SCx, SCy} = {-TempVar2 - TempVar3, ry - 
                              (TempVar2 + TempVar3)*yunit, rz - (TempVar2 + \
TempVar3)*zunit}; 
                           If[N[Chop[RayL]] >= 0. && SCx^2 + SCy^2 <= \
0.25*Abs[apb]^2 && Abs[ry + RayL*yunit - SCx] + 
                               Abs[rz + RayL*zunit - SCy] + Abs[-cb2^(-1) + \
rx + 
                                 RayL*xunit + Sqrt[cb2^(-2) - SCx^2 - \
SCy^2]/Sign[cb2]] < 1.*^-7, {RayL, SCx, SCy}, {-1., 0., 0.}], 
                          {RayL, SCx, SCy} = {-TempVar2 + TempVar3, ry + \
(-TempVar2 + TempVar3)*yunit, 
                             rz + (-TempVar2 + TempVar3)*zunit}; \
If[N[Chop[RayL]] >= 0. && SCx^2 + SCy^2 <= 
                              0.25*Abs[apb]^2 && Abs[ry + RayL*yunit - SCx] + \
Abs[rz + 
                                 RayL*zunit - SCy] + Abs[-cb2^(-1) + rx + \
RayL*xunit + 
                                 Sqrt[cb2^(-2) - SCx^2 - SCy^2]/Sign[cb2]] < \
1.*^-7, {RayL, SCx, SCy}, {-1., 0., 0.}]}; If[TempVar[[1]] == TempVar[[2]], 
                         {TempVar[[1]]}, TempVar], {{-1., 0., 0.}}]]; \
AppendTo[intersections, {-1., 0., 0.}]; holeQ = 
                    False; If[ !(Chop[surfaceid - 16548.] == 0. || \
N[Chop[ray1]] < 0.0001) || 
                     generationnumber == 1., minresonateraylength = 0., \
minresonateraylength = 
                     0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; SCx = 1.; \
SCy = 1.; dummymatrix = Union[Select[
                        intersections, ({RayL, SCx, SCy} = #1; {RayL, SCx, \
SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= 
                            minresonateraylength) & ]]; intersections = \
dummymatrix]; 
                   unfilteredintersections = intersections; \
If[Length[intersections] > 1, 
                    dummymatrix = Take[intersections, {2}]; intersections = 
                      dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; 
                   If[holeQ, AppendTo[holeQlist, 1], AppendTo[holeQlist, \
0]]); 
                  holeQlist = Drop[holeQlist, 1]; Drop[intersectionslist, \
1]]); Which[
                resonatenumber == 1, {rsx, rsy, rsz, 
                   rex, rey, rez, r1, r2, 
                   r3, r4, r5, r6, r7, 
                   r8, r9, wavelength, intensity, 
                   intensityscale, ray1, index, opticallength, 
                   phaseshift, componentnumber, surfacenumber, surfaceid, 
                   ray2, ray3, sid, frontid, sno1, 
                   sno2, sno3, sno4, rayslot, 
                   oldgenerationnumber, intersectionnumber, pol1, pol2, 
                   pol3} = #1; index1 = index; xunit = 
                  r1*Re[Cos[0.017453292519943295*aa]] + \
r2*Re[Sin[0.017453292519943295*aa]]; 
                 yunit = r2*Re[Cos[0.017453292519943295*aa]] - 1.*r1*
                    Re[Sin[0.017453292519943295*aa]]; zunit = \
r3*Re[Cos[0.017453292519943295*aa]^2 + 
                     Sin[0.017453292519943295*aa]^2]; xunit = Chop[xunit]; \
yunit = 
                  Chop[yunit]; zunit = Chop[zunit]; magnitude = 
                  (xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = 
                  xunit/magnitude; yunit = yunit/
                   magnitude; zunit = zunit/magnitude; 
                 rx = (rex - 1.*Re[xa1])*Re[Cos[0.017453292519943295*aa]] + \
(rey - 1.*Re[ya1])*
                    Re[Sin[0.017453292519943295*aa]]; ry = (rey - \
1.*Re[ya1])*Re[Cos[0.017453292519943295*aa]] - 
                   1.*(rex - 1.*Re[xa1])*Re[Sin[0.017453292519943295*aa]]; rz \
= rez*
                   Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]; rx = Chop[rx]; 
                 ry = Chop[ry]; rz = Chop[rz]; 
                 terminatedeflection = False; intersections = {{-1., 0., \
0.}}; intersections = 
                  resonateintersections; holeQ = holeQlist[[
                    resonatenumber]] == 1; {newcomponentnumber, \
newsurfacenumber, 
                   newsurfaceid} = {1., 1., 16519.}; {componentnumber, \
surfacenumber, 
                   surfaceid} = {1., 1., 16519.}; {ray1, ray2, ray3} = 
                  intersections[[1]]; rsx = rex; rsy = 
                  rey; rsz = rez; rxhlp = rx + 
                   ray1*xunit; ryhlp = ry + ray1*
                    yunit; rzhlp = rz + ray1*zunit; 
                 rex = Re[xa1] + rxhlp*Re[Cos[0.017453292519943295*aa]] - \
1.*ryhlp*
                    Re[Sin[0.017453292519943295*aa]]; rey = Re[ya1] + \
ryhlp*Re[Cos[0.017453292519943295*aa]] + 
                   rxhlp*Re[Sin[0.017453292519943295*aa]]; rez = rzhlp*
                   Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]; rex = Chop[rex]; 
                 rey = Chop[rey]; rez = Chop[rez]; 
                 If[rex == 0 && rey == 0 && rez == 0, rex = 
                    rxhlp + Re[xa1]; rey = ryhlp + Re[ya1]; rez = 
                    rzhlp, rex]; intersectionnumber = intersectionnumber + 
                   1.; opticallength = opticallength + ray1*index1; 
                 completedray = {rsx, rsy, rsz, rex, 
                   rey, rez, r1, r2, r3, 
                   r4, r5, r6, r7, r8, 
                   r9, wavelength, intensity, intensityscale, 
                   ray1, index, opticallength, phaseshift, 
                   componentnumber, surfacenumber, surfaceid, ray2, 
                   ray3, sid, frontid, sno1, sno2, 
                   sno3, sno4, rayslot, generationnumber, 
                   intersectionnumber, pol1, pol2, pol3}; 
                 reportedrayspresent = True; intersectionspresent = True; \
deflectedrayspresent = 
                  True; localdummyoutrayspresent = True; (surfnorm = 
                   1.*Re[{{1., -1.*(ray2/Sign[ca1]/(ca1^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5), 
                       -1.*(ray3/Sign[ca1]/(ca1^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5)}, 
                      {ray2/Sign[ca1]/(ca1^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, \
1., 0.}, 
                      {ray3/Sign[ca1]/(ca1^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, \
0., 1.}}]; 
                  dummymatrix = \
({{(Re[Cos[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/
                         (Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^2 + Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*
                           Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), (-1.*Re[Sin[0.017453292519943295*aa]]*
                          Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^
                              2 + Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*
                                aa]^2]), 0.}, \
{(Re[Sin[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/
                         (Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^2 + Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*
                           Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), \
(Re[Cos[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^
                             2 + \
Sin[0.017453292519943295*aa]^2])/(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^2 + Sin[0.017453292519943295*
                                aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), 0.}, 
                       {0., 0., (Re[Cos[0.017453292519943295*aa]]^2 + \
Re[Sin[0.017453292519943295*aa]]^2)/(Re[Cos[0.017453292519943295*aa]]^2*
                           Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^
                              2 + Sin[0.017453292519943295*aa]^2])}} . #1 & ) \
/@ surfnorm; surfnorm = 
                   (#1/Sqrt[#1 . #1] & ) /@ dummymatrix; \
surfacerotationmatrix = {{Re[Cos[0.017453292519943295*aa]], 
                     Re[Sin[0.017453292519943295*aa]], 0.}, \
{-1.*Re[Sin[0.017453292519943295*aa]], Re[Cos[0.017453292519943295*aa]], 0.}, \

                    {0., 0., Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]}}; surfacetranslationvector = 
                   {Re[xa1], Re[ya1], 0.}; activeregion = 1.; completedray = \
{rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; componentnumber = 
                   newcomponentnumber; surfacenumber = newsurfacenumber; 
                  surfaceid = newsurfaceid; originalray = {rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; ZAxis = 
                   First[surfnorm]*Sign[First[surfnorm] . {r1, r2, 
                       r3}]; raytiltz = ZAxis . {r1, 
                     r2, r3}; raytiltx = 1 - raytiltz^2; 
                  If[raytiltx < 2.220446049250313*^-16, raytiltx = 0., \
raytiltx = 
                    Sqrt[raytiltx]]; XAxis = {r1, r2, 
                     r3} - ZAxis*raytiltz; If[Abs[raytiltx] < 1.*^-7, 
                   XAxis = surfnorm[[2]], XAxis = XAxis/
                     raytiltx]; YAxis = {-(ZAxis[[3]]*XAxis[[2]]) + 
                     ZAxis[[2]]*XAxis[[3]], ZAxis[[3]]*XAxis[[1]] - 
                     ZAxis[[1]]*XAxis[[3]], -(ZAxis[[2]]*XAxis[[1]]) + 
                     ZAxis[[1]]*XAxis[[2]]}; YAxis = YAxis/
                    Sqrt[YAxis . YAxis]; PAxis = ZAxis*
                     {r1, r2, r3} . XAxis - XAxis*
                     {r1, r2, r3} . ZAxis; PAxis = 
                   PAxis/Sqrt[PAxis . PAxis]; normalizedpolarization = 
                   {pol1, pol2, pol3}[[{1, 2}]]; normalizedpolarization = 
                   normalizedpolarization/Sqrt[normalizedpolarization . \
normalizedpolarization]; 
                  allcreatedamplitudes = {{0.*I, 0.*I, 0.*I}}; amplitude = \
Sqrt[intensity]*
                    (normalizedpolarization[[1]]*{r4, r5, r6} + 
                     normalizedpolarization[[2]]*{r7, r8, r9}*
                      Exp[I*pol3*0.017453292519943295]); \
perpendicularamplitude = amplitude . 
                    YAxis; parallelamplitude = amplitude . PAxis; 
                  If[activeregion*(surfacerotationmatrix . {r1, r2, 
                        r3})[[1]] > 0, index2 = Sqrt[2.2718929 - \
0.010108077*wavelength^2 + 
                       0.010592509/wavelength^2 + 0.00020816965/wavelength^4 \
- 7.6472538*^-6/
                        wavelength^6 + 4.9240991*^-7/wavelength^8]; index1 = 
                     index; If[Abs[index2 - index1] < 0.01, alternateindex = 
                       Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^
                           2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + 
                         2.830549017940716*^-12/wavelength^8]; \
If[Abs[alternateindex - index1] > 
                        Abs[index2 - index1], index1 = index2; 
                        index2 = alternateindex, index1 = alternateindex], 
                     index1 = Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/
                         wavelength^2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/
                         wavelength^6 + \
2.830549017940716*^-12/wavelength^8]], index2 = 
                     Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^
                         2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + 
                       2.830549017940716*^-12/wavelength^8]; index1 = index; 
                    If[Abs[index2 - index1] < 0.01, alternateindex = \
Sqrt[2.2718929 - 
                         0.010108077*wavelength^2 + 0.010592509/wavelength^2 \
+ 0.00020816965/
                          wavelength^4 - 7.6472538*^-6/wavelength^6 + \
4.9240991*^-7/wavelength^8]; 
                      If[Abs[alternateindex - index1] > Abs[index2 - index1], \

                       index1 = index2; index2 = alternateindex, 
                       index1 = alternateindex], index1 = Sqrt[2.2718929 - \
0.010108077*
                         wavelength^2 + 0.010592509/wavelength^2 + \
0.00020816965/wavelength^4 - 
                        7.6472538*^-6/wavelength^6 + \
4.9240991*^-7/wavelength^8]]]; n12 = 
                   index1/index2; index = index2; 
                  If[1 - n12^2*raytiltx^2 >= 0., dummyvector = n12*
                       {r1, r2, r3} + ZAxis*(-(n12*
                          raytiltz) + Sqrt[1 - n12^2*raytiltx^2]); {r1, 
                      r2, r3} = dummyvector; 1., 
                   If[{r1, r2, r3} . surfnorm[[1]] > 0, 
                     phaseshift = phaseshift + 0.5, 1.]; index2 = index1; 
                    index = index1; dummyvector = {r1, 
                       r2, r3} - 2*ZAxis*ZAxis . {r1, 
                         r2, r3}; {r1, r2, r3} = 
                     dummyvector; dummyvector = {pol1, pol2, 
                       pol3} + {0, 0, -180}; {pol1, pol2, pol3} = 
                     dummyvector; 1.]; allcreatedrays = {{rsx, rsy, 
                     rsz, rex, rey, rez, r1, 
                     r2, r3, r4, r5, r6, 
                     r7, r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     generationnumber, intersectionnumber, pol1, pol2, 
                     pol3}}; originalrotation = Partition[Take[originalray, \
{7, 15}], 3]; 
                  previoustilt = originalrotation[[1]]; transmatrix = 
                   MapIndexed[({rsx, rsy, rsz, rex, 
                        rey, rez, r1, r2, r3, 
                        r4, r5, r6, r7, r8, 
                        r9, wavelength, intensity, intensityscale, 
                        ray1, index, opticallength, phaseshift, 
                        componentnumber, surfacenumber, surfaceid, ray2, 
                        ray3, sid, frontid, sno1, sno2, 
                        sno3, sno4, rayslot, oldgenerationnumber, 
                        intersectionnumber, pol1, pol2, pol3} = #1; 
                      rotationaxis = Cross[{1., 0., 0.}, {r1, r2, r3}]; 
                      axismagnitude = Sqrt[rotationaxis . rotationaxis]; 
                      If[Chop[axismagnitude] != 0., rotationaxis = \
rotationaxis/
                          axismagnitude; axismatrix = (#1*rotationaxis & ) /@ \

                          rotationaxis; crossmatrix = {{0., \
-rotationaxis[[3]], 
                           rotationaxis[[2]]}, {rotationaxis[[3]], 0., \
-rotationaxis[[1]]}, 
                          {-rotationaxis[[2]], rotationaxis[[1]], 0.}}; \
cosangle = 
                         {1., 0., 0.} . {r1, r2, r3}; If[1. - cosangle < 
                          2.220446049250313*^-16, cosangle = 1.]; sinangle = \
1 - cosangle^2; 
                        If[sinangle < 2.220446049250313*^-16, sinangle = 0., \
sinangle = 
                          Sqrt[sinangle]]; axismatrix + ({{1., 0., 0.}, {0., \
1., 0.}, {0., 0., 1.}} - 
                           axismatrix)*cosangle + crossmatrix*sinangle, 
                       {{r1, r2, r3}, {r4, r5, 
                          r6}, {r7, r8, r9}} = 
                        If[Sign[{1., 0., 0.} . {r1, r2, r3}] === 1, {{1., 0., \
0.}, {0., 1., 0.}, 
                          {0., 0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., \
0., 1.}}]]) & , allcreatedrays]; 
                  allcreatedrays = MapIndexed[({rsx, rsy, rsz, 
                        rex, rey, rez, r1, r2, 
                        r3, r4, r5, r6, r7, 
                        r8, r9, wavelength, intensity, 
                        intensityscale, ray1, index, opticallength, 
                        phaseshift, componentnumber, surfacenumber, 
                        surfaceid, ray2, ray3, sid, 
                        frontid, sno1, sno2, sno3, 
                        sno4, rayslot, oldgenerationnumber, 
                        intersectionnumber, pol1, pol2, pol3} = #1; 
                      {{r1, r2, r3}, {r4, r5, 
                         r6}, {r7, r8, r9}} = 
                       Function[mm, (mm . #1 & ) /@ {{1., 0., 0.}, {0., 1., \
0.}, {0., 0., 1.}}][
                        transmatrix[[First[#2]]]]; tiltmagnitude = {r1, r2, 
                         r3} . {r1, r2, r3}; 
                      If[Abs[tiltmagnitude - 1.] > 1.*^-6, dummyvector = {r1, \

                           r2, r3}/Sqrt[tiltmagnitude]; {r1, 
                          r2, r3} = dummyvector; dummymatrix = 
                         (#1/Sqrt[#1 . #1] & ) /@ {{r1, r2, r3}, {r4, 
                            r5, r6}, {r7, r8, r9}}; 
                        {{r1, r2, r3}, {r4, r5, 
                           r6}, {r7, r8, r9}} = 
                         dummymatrix; 1., 1.]; If[allcreatedamplitudes != \
{{0.*I, 0.*I, 0.*I}}, 
                       amplitude = allcreatedamplitudes[[First[#2]]]; hor = 
                         {r4, r5, r6} . amplitude; 
                        ver = {r7, r8, r9} . amplitude; 
                        If[Abs[hor] > 0. || Abs[ver] > 0., {pol1, pol2, 
                            pol3} = {Abs[hor], Abs[ver], 0.}; dummyvector = 
                           {pol1, pol2, pol3}/Sqrt[{pol1, 
                               pol2, pol3} . {pol1, pol2, 
                               pol3}]; {pol1, pol2, pol3} = 
                           dummyvector; dummyvector = ReplacePart[{pol1, 
                             pol2, pol3}, (If[ver == 0., 0., Arg[ver]] - 
                              If[hor == 0., 0., Arg[hor]])/Degree, 3]; {pol1, \

                            pol2, pol3} = dummyvector]; 1., 1.]; {rsx, 
                       rsy, rsz, rex, rey, rez, 
                       r1, r2, r3, r4, r5, 
                       r6, r7, r8, r9, wavelength, 
                       intensity, intensityscale, ray1, index, 
                       opticallength, phaseshift, componentnumber, 
                       surfacenumber, surfaceid, ray2, ray3, 
                       sid, frontid, sno1, sno2, sno3, 
                       sno4, rayslot, generationnumber, intersectionnumber, 
                       pol1, pol2, pol3}) & , allcreatedrays]); 
                 {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1.}}, {completedray}}, 
                resonatenumber == 2, {rsx, rsy, rsz, 
                   rex, rey, rez, r1, r2, 
                   r3, r4, r5, r6, r7, 
                   r8, r9, wavelength, intensity, 
                   intensityscale, ray1, index, opticallength, 
                   phaseshift, componentnumber, surfacenumber, surfaceid, 
                   ray2, ray3, sid, frontid, sno1, 
                   sno2, sno3, sno4, rayslot, 
                   oldgenerationnumber, intersectionnumber, pol1, pol2, 
                   pol3} = #1; index1 = index; xunit = 
                  r1*Re[Cos[0.017453292519943295*aa]] + \
r2*Re[Sin[0.017453292519943295*aa]]; 
                 yunit = r2*Re[Cos[0.017453292519943295*aa]] - 1.*r1*
                    Re[Sin[0.017453292519943295*aa]]; zunit = \
r3*Re[Cos[0.017453292519943295*aa]^2 + 
                     Sin[0.017453292519943295*aa]^2]; xunit = Chop[xunit]; \
yunit = 
                  Chop[yunit]; zunit = Chop[zunit]; magnitude = 
                  (xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = 
                  xunit/magnitude; yunit = yunit/
                   magnitude; zunit = zunit/magnitude; 
                 rx = Re[Cos[0.017453292519943295*aa]]*(rex - 1.*Re[xa1 + \
ta*Cos[0.017453292519943295*aa]]) + 
                   Re[Sin[0.017453292519943295*aa]]*(rey - 1.*Re[ya1 + \
ta*Sin[0.017453292519943295*aa]]); ry = 
                  -1.*(rex - 1.*Re[xa1 + \
ta*Cos[0.017453292519943295*aa]])*Re[Sin[0.017453292519943295*aa]] + \
Re[Cos[0.017453292519943295*aa]]*
                    (rey - 1.*Re[ya1 + ta*Sin[0.017453292519943295*aa]]); rz \
= rez*
                   Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]; rx = Chop[rx]; 
                 ry = Chop[ry]; rz = Chop[rz]; 
                 terminatedeflection = False; intersections = {{-1., 0., \
0.}}; intersections = 
                  resonateintersections; holeQ = holeQlist[[
                    resonatenumber]] == 1; {newcomponentnumber, \
newsurfacenumber, 
                   newsurfaceid} = {1., 2., 16520.}; {componentnumber, \
surfacenumber, 
                   surfaceid} = {1., 2., 16520.}; {ray1, ray2, ray3} = 
                  intersections[[1]]; rsx = rex; rsy = 
                  rey; rsz = rez; rxhlp = rx + 
                   ray1*xunit; ryhlp = ry + ray1*
                    yunit; rzhlp = rz + ray1*zunit; 
                 rex = rxhlp*Re[Cos[0.017453292519943295*aa]] + Re[xa1 + \
ta*Cos[0.017453292519943295*aa]] - 
                   1.*ryhlp*Re[Sin[0.017453292519943295*aa]]; rey = ryhlp*
                    Re[Cos[0.017453292519943295*aa]] + \
rxhlp*Re[Sin[0.017453292519943295*aa]] + Re[ya1 + \
ta*Sin[0.017453292519943295*aa]]; 
                 rez = rzhlp*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]; 
                 rex = Chop[rex]; rey = Chop[rey]; 
                 rez = Chop[rez]; If[rex == 0 && rey == 0 && 
                   rez == 0, rex = rxhlp + Re[xa1 + \
ta*Cos[0.017453292519943295*aa]]; 
                   rey = ryhlp + Re[ya1 + ta*Sin[0.017453292519943295*aa]]; \
rez = 
                    rzhlp, rex]; intersectionnumber = intersectionnumber + 
                   1.; opticallength = opticallength + ray1*index1; 
                 completedray = {rsx, rsy, rsz, rex, 
                   rey, rez, r1, r2, r3, 
                   r4, r5, r6, r7, r8, 
                   r9, wavelength, intensity, intensityscale, 
                   ray1, index, opticallength, phaseshift, 
                   componentnumber, surfacenumber, surfaceid, ray2, 
                   ray3, sid, frontid, sno1, sno2, 
                   sno3, sno4, rayslot, generationnumber, 
                   intersectionnumber, pol1, pol2, pol3}; 
                 reportedrayspresent = True; intersectionspresent = True; \
deflectedrayspresent = 
                  True; localdummyoutrayspresent = True; (surfnorm = 
                   1.*Re[{{1., -1.*(ray2/Sign[ca2]/(ca2^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5), 
                       -1.*(ray3/Sign[ca2]/(ca2^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5)}, 
                      {ray2/Sign[ca2]/(ca2^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, \
1., 0.}, 
                      {ray3/Sign[ca2]/(ca2^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, \
0., 1.}}]; 
                  dummymatrix = \
({{(Re[Cos[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/
                         (Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^2 + Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*
                           Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), (-1.*Re[Sin[0.017453292519943295*aa]]*
                          Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^
                              2 + Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*
                                aa]^2]), 0.}, \
{(Re[Sin[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/
                         (Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^2 + Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*
                           Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), \
(Re[Cos[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^
                             2 + \
Sin[0.017453292519943295*aa]^2])/(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^2 + Sin[0.017453292519943295*
                                aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), 0.}, 
                       {0., 0., (Re[Cos[0.017453292519943295*aa]]^2 + \
Re[Sin[0.017453292519943295*aa]]^2)/(Re[Cos[0.017453292519943295*aa]]^2*
                           Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^
                              2 + Sin[0.017453292519943295*aa]^2])}} . #1 & ) \
/@ surfnorm; surfnorm = 
                   (#1/Sqrt[#1 . #1] & ) /@ dummymatrix; \
surfacerotationmatrix = {{Re[Cos[0.017453292519943295*aa]], 
                     Re[Sin[0.017453292519943295*aa]], 0.}, \
{-1.*Re[Sin[0.017453292519943295*aa]], Re[Cos[0.017453292519943295*aa]], 0.}, \

                    {0., 0., Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]}}; surfacetranslationvector = 
                   {Re[xa1 + ta*Cos[0.017453292519943295*aa]], Re[ya1 + \
ta*Sin[0.017453292519943295*aa]], 0.}; activeregion = -1.; 
                  completedray = {rsx, rsy, rsz, rex, 
                    rey, rez, r1, r2, r3, 
                    r4, r5, r6, r7, r8, 
                    r9, wavelength, intensity, intensityscale, 
                    ray1, index, opticallength, phaseshift, 
                    componentnumber, surfacenumber, surfaceid, ray2, 
                    ray3, sid, frontid, sno1, sno2, 
                    sno3, sno4, rayslot, generationnumber, 
                    intersectionnumber, pol1, pol2, pol3}; 
                  componentnumber = newcomponentnumber; surfacenumber = 
                   newsurfacenumber; surfaceid = newsurfaceid; originalray = 
                   {rsx, rsy, rsz, rex, rey, 
                    rez, r1, r2, r3, r4, 
                    r5, r6, r7, r8, r9, 
                    wavelength, intensity, intensityscale, ray1, 
                    index, opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; ZAxis = 
                   First[surfnorm]*Sign[First[surfnorm] . {r1, r2, 
                       r3}]; raytiltz = ZAxis . {r1, 
                     r2, r3}; raytiltx = 1 - raytiltz^2; 
                  If[raytiltx < 2.220446049250313*^-16, raytiltx = 0., \
raytiltx = 
                    Sqrt[raytiltx]]; XAxis = {r1, r2, 
                     r3} - ZAxis*raytiltz; If[Abs[raytiltx] < 1.*^-7, 
                   XAxis = surfnorm[[2]], XAxis = XAxis/
                     raytiltx]; YAxis = {-(ZAxis[[3]]*XAxis[[2]]) + 
                     ZAxis[[2]]*XAxis[[3]], ZAxis[[3]]*XAxis[[1]] - 
                     ZAxis[[1]]*XAxis[[3]], -(ZAxis[[2]]*XAxis[[1]]) + 
                     ZAxis[[1]]*XAxis[[2]]}; YAxis = YAxis/
                    Sqrt[YAxis . YAxis]; PAxis = ZAxis*
                     {r1, r2, r3} . XAxis - XAxis*
                     {r1, r2, r3} . ZAxis; PAxis = 
                   PAxis/Sqrt[PAxis . PAxis]; normalizedpolarization = 
                   {pol1, pol2, pol3}[[{1, 2}]]; normalizedpolarization = 
                   normalizedpolarization/Sqrt[normalizedpolarization . \
normalizedpolarization]; 
                  allcreatedamplitudes = {{0.*I, 0.*I, 0.*I}}; amplitude = \
Sqrt[intensity]*
                    (normalizedpolarization[[1]]*{r4, r5, r6} + 
                     normalizedpolarization[[2]]*{r7, r8, r9}*
                      Exp[I*pol3*0.017453292519943295]); \
perpendicularamplitude = amplitude . 
                    YAxis; parallelamplitude = amplitude . PAxis; 
                  If[activeregion*(surfacerotationmatrix . {r1, r2, 
                        r3})[[1]] > 0, index2 = Sqrt[2.2718929 - \
0.010108077*wavelength^2 + 
                       0.010592509/wavelength^2 + 0.00020816965/wavelength^4 \
- 7.6472538*^-6/
                        wavelength^6 + 4.9240991*^-7/wavelength^8]; index1 = 
                     index; If[Abs[index2 - index1] < 0.01, alternateindex = 
                       Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^
                           2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + 
                         2.830549017940716*^-12/wavelength^8]; \
If[Abs[alternateindex - index1] > 
                        Abs[index2 - index1], index1 = index2; 
                        index2 = alternateindex, index1 = alternateindex], 
                     index1 = Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/
                         wavelength^2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/
                         wavelength^6 + \
2.830549017940716*^-12/wavelength^8]], index2 = 
                     Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^
                         2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + 
                       2.830549017940716*^-12/wavelength^8]; index1 = index; 
                    If[Abs[index2 - index1] < 0.01, alternateindex = \
Sqrt[2.2718929 - 
                         0.010108077*wavelength^2 + 0.010592509/wavelength^2 \
+ 0.00020816965/
                          wavelength^4 - 7.6472538*^-6/wavelength^6 + \
4.9240991*^-7/wavelength^8]; 
                      If[Abs[alternateindex - index1] > Abs[index2 - index1], \

                       index1 = index2; index2 = alternateindex, 
                       index1 = alternateindex], index1 = Sqrt[2.2718929 - \
0.010108077*
                         wavelength^2 + 0.010592509/wavelength^2 + \
0.00020816965/wavelength^4 - 
                        7.6472538*^-6/wavelength^6 + \
4.9240991*^-7/wavelength^8]]]; n12 = 
                   index1/index2; index = index2; 
                  If[1 - n12^2*raytiltx^2 >= 0., dummyvector = n12*
                       {r1, r2, r3} + ZAxis*(-(n12*
                          raytiltz) + Sqrt[1 - n12^2*raytiltx^2]); {r1, 
                      r2, r3} = dummyvector; 1., 
                   If[{r1, r2, r3} . surfnorm[[1]] > 0, 
                     phaseshift = phaseshift + 0.5, 1.]; index2 = index1; 
                    index = index1; dummyvector = {r1, 
                       r2, r3} - 2*ZAxis*ZAxis . {r1, 
                         r2, r3}; {r1, r2, r3} = 
                     dummyvector; dummyvector = {pol1, pol2, 
                       pol3} + {0, 0, -180}; {pol1, pol2, pol3} = 
                     dummyvector; 1.]; allcreatedrays = {{rsx, rsy, 
                     rsz, rex, rey, rez, r1, 
                     r2, r3, r4, r5, r6, 
                     r7, r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     generationnumber, intersectionnumber, pol1, pol2, 
                     pol3}}; originalrotation = Partition[Take[originalray, \
{7, 15}], 3]; 
                  previoustilt = originalrotation[[1]]; transmatrix = 
                   MapIndexed[({rsx, rsy, rsz, rex, 
                        rey, rez, r1, r2, r3, 
                        r4, r5, r6, r7, r8, 
                        r9, wavelength, intensity, intensityscale, 
                        ray1, index, opticallength, phaseshift, 
                        componentnumber, surfacenumber, surfaceid, ray2, 
                        ray3, sid, frontid, sno1, sno2, 
                        sno3, sno4, rayslot, oldgenerationnumber, 
                        intersectionnumber, pol1, pol2, pol3} = #1; 
                      rotationaxis = Cross[{1., 0., 0.}, {r1, r2, r3}]; 
                      axismagnitude = Sqrt[rotationaxis . rotationaxis]; 
                      If[Chop[axismagnitude] != 0., rotationaxis = \
rotationaxis/
                          axismagnitude; axismatrix = (#1*rotationaxis & ) /@ \

                          rotationaxis; crossmatrix = {{0., \
-rotationaxis[[3]], 
                           rotationaxis[[2]]}, {rotationaxis[[3]], 0., \
-rotationaxis[[1]]}, 
                          {-rotationaxis[[2]], rotationaxis[[1]], 0.}}; \
cosangle = 
                         {1., 0., 0.} . {r1, r2, r3}; If[1. - cosangle < 
                          2.220446049250313*^-16, cosangle = 1.]; sinangle = \
1 - cosangle^2; 
                        If[sinangle < 2.220446049250313*^-16, sinangle = 0., \
sinangle = 
                          Sqrt[sinangle]]; axismatrix + ({{1., 0., 0.}, {0., \
1., 0.}, {0., 0., 1.}} - 
                           axismatrix)*cosangle + crossmatrix*sinangle, 
                       {{r1, r2, r3}, {r4, r5, 
                          r6}, {r7, r8, r9}} = 
                        If[Sign[{1., 0., 0.} . {r1, r2, r3}] === 1, {{1., 0., \
0.}, {0., 1., 0.}, 
                          {0., 0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., \
0., 1.}}]]) & , allcreatedrays]; 
                  allcreatedrays = MapIndexed[({rsx, rsy, rsz, 
                        rex, rey, rez, r1, r2, 
                        r3, r4, r5, r6, r7, 
                        r8, r9, wavelength, intensity, 
                        intensityscale, ray1, index, opticallength, 
                        phaseshift, componentnumber, surfacenumber, 
                        surfaceid, ray2, ray3, sid, 
                        frontid, sno1, sno2, sno3, 
                        sno4, rayslot, oldgenerationnumber, 
                        intersectionnumber, pol1, pol2, pol3} = #1; 
                      {{r1, r2, r3}, {r4, r5, 
                         r6}, {r7, r8, r9}} = 
                       Function[mm, (mm . #1 & ) /@ {{1., 0., 0.}, {0., 1., \
0.}, {0., 0., 1.}}][
                        transmatrix[[First[#2]]]]; tiltmagnitude = {r1, r2, 
                         r3} . {r1, r2, r3}; 
                      If[Abs[tiltmagnitude - 1.] > 1.*^-6, dummyvector = {r1, \

                           r2, r3}/Sqrt[tiltmagnitude]; {r1, 
                          r2, r3} = dummyvector; dummymatrix = 
                         (#1/Sqrt[#1 . #1] & ) /@ {{r1, r2, r3}, {r4, 
                            r5, r6}, {r7, r8, r9}}; 
                        {{r1, r2, r3}, {r4, r5, 
                           r6}, {r7, r8, r9}} = 
                         dummymatrix; 1., 1.]; If[allcreatedamplitudes != \
{{0.*I, 0.*I, 0.*I}}, 
                       amplitude = allcreatedamplitudes[[First[#2]]]; hor = 
                         {r4, r5, r6} . amplitude; 
                        ver = {r7, r8, r9} . amplitude; 
                        If[Abs[hor] > 0. || Abs[ver] > 0., {pol1, pol2, 
                            pol3} = {Abs[hor], Abs[ver], 0.}; dummyvector = 
                           {pol1, pol2, pol3}/Sqrt[{pol1, 
                               pol2, pol3} . {pol1, pol2, 
                               pol3}]; {pol1, pol2, pol3} = 
                           dummyvector; dummyvector = ReplacePart[{pol1, 
                             pol2, pol3}, (If[ver == 0., 0., Arg[ver]] - 
                              If[hor == 0., 0., Arg[hor]])/Degree, 3]; {pol1, \

                            pol2, pol3} = dummyvector]; 1., 1.]; {rsx, 
                       rsy, rsz, rex, rey, rez, 
                       r1, r2, r3, r4, r5, 
                       r6, r7, r8, r9, wavelength, 
                       intensity, intensityscale, ray1, index, 
                       opticallength, phaseshift, componentnumber, 
                       surfacenumber, surfaceid, ray2, ray3, 
                       sid, frontid, sno1, sno2, sno3, 
                       sno4, rayslot, generationnumber, intersectionnumber, 
                       pol1, pol2, pol3}) & , allcreatedrays]); 
                 {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1.}}, {completedray}}, 
                resonatenumber == 3, {rsx, rsy, rsz, 
                   rex, rey, rez, r1, r2, 
                   r3, r4, r5, r6, r7, 
                   r8, r9, wavelength, intensity, 
                   intensityscale, ray1, index, opticallength, 
                   phaseshift, componentnumber, surfacenumber, surfaceid, 
                   ray2, ray3, sid, frontid, sno1, 
                   sno2, sno3, sno4, rayslot, 
                   oldgenerationnumber, intersectionnumber, pol1, pol2, 
                   pol3} = #1; index1 = index; xunit = 
                  r1*Re[Cos[0.017453292519943295*ab]] + \
r2*Re[Sin[0.017453292519943295*ab]]; 
                 yunit = r2*Re[Cos[0.017453292519943295*ab]] - 1.*r1*
                    Re[Sin[0.017453292519943295*ab]]; zunit = \
r3*Re[Cos[0.017453292519943295*ab]^2 + 
                     Sin[0.017453292519943295*ab]^2]; xunit = Chop[xunit]; \
yunit = 
                  Chop[yunit]; zunit = Chop[zunit]; magnitude = 
                  (xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = 
                  xunit/magnitude; yunit = yunit/
                   magnitude; zunit = zunit/magnitude; 
                 rx = (rex - 1.*Re[xb1])*Re[Cos[0.017453292519943295*ab]] + \
(rey - 1.*Re[yb1])*
                    Re[Sin[0.017453292519943295*ab]]; ry = (rey - \
1.*Re[yb1])*Re[Cos[0.017453292519943295*ab]] - 
                   1.*(rex - 1.*Re[xb1])*Re[Sin[0.017453292519943295*ab]]; rz \
= rez*
                   Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]; rx = Chop[rx]; 
                 ry = Chop[ry]; rz = Chop[rz]; 
                 terminatedeflection = False; intersections = {{-1., 0., \
0.}}; intersections = 
                  resonateintersections; holeQ = holeQlist[[
                    resonatenumber]] == 1; {newcomponentnumber, \
newsurfacenumber, 
                   newsurfaceid} = {1., 3., 16547.}; {componentnumber, \
surfacenumber, 
                   surfaceid} = {1., 3., 16547.}; {ray1, ray2, ray3} = 
                  intersections[[1]]; rsx = rex; rsy = 
                  rey; rsz = rez; rxhlp = rx + 
                   ray1*xunit; ryhlp = ry + ray1*
                    yunit; rzhlp = rz + ray1*zunit; 
                 rex = Re[xb1] + rxhlp*Re[Cos[0.017453292519943295*ab]] - \
1.*ryhlp*
                    Re[Sin[0.017453292519943295*ab]]; rey = Re[yb1] + \
ryhlp*Re[Cos[0.017453292519943295*ab]] + 
                   rxhlp*Re[Sin[0.017453292519943295*ab]]; rez = rzhlp*
                   Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]; rex = Chop[rex]; 
                 rey = Chop[rey]; rez = Chop[rez]; 
                 If[rex == 0 && rey == 0 && rez == 0, rex = 
                    rxhlp + Re[xb1]; rey = ryhlp + Re[yb1]; rez = 
                    rzhlp, rex]; intersectionnumber = intersectionnumber + 
                   1.; opticallength = opticallength + ray1*index1; 
                 completedray = {rsx, rsy, rsz, rex, 
                   rey, rez, r1, r2, r3, 
                   r4, r5, r6, r7, r8, 
                   r9, wavelength, intensity, intensityscale, 
                   ray1, index, opticallength, phaseshift, 
                   componentnumber, surfacenumber, surfaceid, ray2, 
                   ray3, sid, frontid, sno1, sno2, 
                   sno3, sno4, rayslot, generationnumber, 
                   intersectionnumber, pol1, pol2, pol3}; 
                 reportedrayspresent = True; intersectionspresent = True; \
deflectedrayspresent = 
                  True; localdummyoutrayspresent = True; (surfnorm = 
                   1.*Re[{{1., -1.*(ray2/Sign[cb1]/(cb1^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5), 
                       -1.*(ray3/Sign[cb1]/(cb1^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5)}, 
                      {ray2/Sign[cb1]/(cb1^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, \
1., 0.}, 
                      {ray3/Sign[cb1]/(cb1^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, \
0., 1.}}]; 
                  dummymatrix = \
({{(Re[Cos[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/
                         (Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^2 + Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*
                           Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), (-1.*Re[Sin[0.017453292519943295*ab]]*
                          Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^
                              2 + Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*
                                ab]^2]), 0.}, \
{(Re[Sin[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/
                         (Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^2 + Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*
                           Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), \
(Re[Cos[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^
                             2 + \
Sin[0.017453292519943295*ab]^2])/(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^2 + Sin[0.017453292519943295*
                                ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), 0.}, 
                       {0., 0., (Re[Cos[0.017453292519943295*ab]]^2 + \
Re[Sin[0.017453292519943295*ab]]^2)/(Re[Cos[0.017453292519943295*ab]]^2*
                           Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^
                              2 + Sin[0.017453292519943295*ab]^2])}} . #1 & ) \
/@ surfnorm; surfnorm = 
                   (#1/Sqrt[#1 . #1] & ) /@ dummymatrix; \
surfacerotationmatrix = {{Re[Cos[0.017453292519943295*ab]], 
                     Re[Sin[0.017453292519943295*ab]], 0.}, \
{-1.*Re[Sin[0.017453292519943295*ab]], Re[Cos[0.017453292519943295*ab]], 0.}, \

                    {0., 0., Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]}}; surfacetranslationvector = 
                   {Re[xb1], Re[yb1], 0.}; activeregion = 1.; completedray = \
{rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; componentnumber = 
                   newcomponentnumber; surfacenumber = newsurfacenumber; 
                  surfaceid = newsurfaceid; originalray = {rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; ZAxis = 
                   First[surfnorm]*Sign[First[surfnorm] . {r1, r2, 
                       r3}]; raytiltz = ZAxis . {r1, 
                     r2, r3}; raytiltx = 1 - raytiltz^2; 
                  If[raytiltx < 2.220446049250313*^-16, raytiltx = 0., \
raytiltx = 
                    Sqrt[raytiltx]]; XAxis = {r1, r2, 
                     r3} - ZAxis*raytiltz; If[Abs[raytiltx] < 1.*^-7, 
                   XAxis = surfnorm[[2]], XAxis = XAxis/
                     raytiltx]; YAxis = {-(ZAxis[[3]]*XAxis[[2]]) + 
                     ZAxis[[2]]*XAxis[[3]], ZAxis[[3]]*XAxis[[1]] - 
                     ZAxis[[1]]*XAxis[[3]], -(ZAxis[[2]]*XAxis[[1]]) + 
                     ZAxis[[1]]*XAxis[[2]]}; YAxis = YAxis/
                    Sqrt[YAxis . YAxis]; PAxis = ZAxis*
                     {r1, r2, r3} . XAxis - XAxis*
                     {r1, r2, r3} . ZAxis; PAxis = 
                   PAxis/Sqrt[PAxis . PAxis]; normalizedpolarization = 
                   {pol1, pol2, pol3}[[{1, 2}]]; normalizedpolarization = 
                   normalizedpolarization/Sqrt[normalizedpolarization . \
normalizedpolarization]; 
                  allcreatedamplitudes = {{0.*I, 0.*I, 0.*I}}; amplitude = \
Sqrt[intensity]*
                    (normalizedpolarization[[1]]*{r4, r5, r6} + 
                     normalizedpolarization[[2]]*{r7, r8, r9}*
                      Exp[I*pol3*0.017453292519943295]); \
perpendicularamplitude = amplitude . 
                    YAxis; parallelamplitude = amplitude . PAxis; 
                  If[activeregion*(surfacerotationmatrix . {r1, r2, 
                        r3})[[1]] > 0, index2 = Sqrt[3.0539614 - \
0.011580432*wavelength^2 + 
                       0.039199816/wavelength^2 + 0.0029462812/wavelength^4 - \
0.00020371019000000004/
                        wavelength^6 + 0.000027633568999999998/wavelength^8]; \
index1 = 
                     index; If[Abs[index2 - index1] < 0.01, alternateindex = 
                       Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^
                           2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + 
                         2.830549017940716*^-12/wavelength^8]; \
If[Abs[alternateindex - index1] > 
                        Abs[index2 - index1], index1 = index2; 
                        index2 = alternateindex, index1 = alternateindex], 
                     index1 = Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/
                         wavelength^2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/
                         wavelength^6 + \
2.830549017940716*^-12/wavelength^8]], index2 = 
                     Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^
                         2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + 
                       2.830549017940716*^-12/wavelength^8]; index1 = index; 
                    If[Abs[index2 - index1] < 0.01, alternateindex = \
Sqrt[3.0539614 - 
                         0.011580432*wavelength^2 + 0.039199816/wavelength^2 \
+ 0.0029462812/
                          wavelength^4 - 0.00020371019000000004/wavelength^6 \
+ 0.000027633568999999998/
                          wavelength^8]; If[Abs[alternateindex - index1] > 
                        Abs[index2 - index1], index1 = index2; 
                        index2 = alternateindex, index1 = alternateindex], 
                     index1 = Sqrt[3.0539614 - 0.011580432*wavelength^2 + \
0.039199816/wavelength^
                          2 + 0.0029462812/wavelength^4 - \
0.00020371019000000004/wavelength^6 + 0.000027633568999999998/
                         wavelength^8]]]; n12 = index1/index2; 
                  index = index2; If[1 - n12^2*raytiltx^2 >= 0., 
                   dummyvector = n12*{r1, r2, r3} + 
                      ZAxis*(-(n12*raytiltz) + Sqrt[1 - n12^2*
                           raytiltx^2]); {r1, r2, r3} = 
                     dummyvector; 1., If[{r1, r2, r3} . 
                       surfnorm[[1]] > 0, phaseshift = phaseshift + 0.5, 1.]; \

                    index2 = index1; index = index1; 
                    dummyvector = {r1, r2, r3} - 
                      2*ZAxis*ZAxis . {r1, r2, r3}; 
                    {r1, r2, r3} = dummyvector; 
                    dummyvector = {pol1, pol2, pol3} + {0, 0, -180}; 
                    {pol1, pol2, pol3} = dummyvector; 1.]; 
                  allcreatedrays = {{rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     generationnumber, intersectionnumber, pol1, pol2, 
                     pol3}}; originalrotation = Partition[Take[originalray, \
{7, 15}], 3]; 
                  previoustilt = originalrotation[[1]]; transmatrix = 
                   MapIndexed[({rsx, rsy, rsz, rex, 
                        rey, rez, r1, r2, r3, 
                        r4, r5, r6, r7, r8, 
                        r9, wavelength, intensity, intensityscale, 
                        ray1, index, opticallength, phaseshift, 
                        componentnumber, surfacenumber, surfaceid, ray2, 
                        ray3, sid, frontid, sno1, sno2, 
                        sno3, sno4, rayslot, oldgenerationnumber, 
                        intersectionnumber, pol1, pol2, pol3} = #1; 
                      rotationaxis = Cross[{1., 0., 0.}, {r1, r2, r3}]; 
                      axismagnitude = Sqrt[rotationaxis . rotationaxis]; 
                      If[Chop[axismagnitude] != 0., rotationaxis = \
rotationaxis/
                          axismagnitude; axismatrix = (#1*rotationaxis & ) /@ \

                          rotationaxis; crossmatrix = {{0., \
-rotationaxis[[3]], 
                           rotationaxis[[2]]}, {rotationaxis[[3]], 0., \
-rotationaxis[[1]]}, 
                          {-rotationaxis[[2]], rotationaxis[[1]], 0.}}; \
cosangle = 
                         {1., 0., 0.} . {r1, r2, r3}; If[1. - cosangle < 
                          2.220446049250313*^-16, cosangle = 1.]; sinangle = \
1 - cosangle^2; 
                        If[sinangle < 2.220446049250313*^-16, sinangle = 0., \
sinangle = 
                          Sqrt[sinangle]]; axismatrix + ({{1., 0., 0.}, {0., \
1., 0.}, {0., 0., 1.}} - 
                           axismatrix)*cosangle + crossmatrix*sinangle, 
                       {{r1, r2, r3}, {r4, r5, 
                          r6}, {r7, r8, r9}} = 
                        If[Sign[{1., 0., 0.} . {r1, r2, r3}] === 1, {{1., 0., \
0.}, {0., 1., 0.}, 
                          {0., 0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., \
0., 1.}}]]) & , allcreatedrays]; 
                  allcreatedrays = MapIndexed[({rsx, rsy, rsz, 
                        rex, rey, rez, r1, r2, 
                        r3, r4, r5, r6, r7, 
                        r8, r9, wavelength, intensity, 
                        intensityscale, ray1, index, opticallength, 
                        phaseshift, componentnumber, surfacenumber, 
                        surfaceid, ray2, ray3, sid, 
                        frontid, sno1, sno2, sno3, 
                        sno4, rayslot, oldgenerationnumber, 
                        intersectionnumber, pol1, pol2, pol3} = #1; 
                      {{r1, r2, r3}, {r4, r5, 
                         r6}, {r7, r8, r9}} = 
                       Function[mm, (mm . #1 & ) /@ {{1., 0., 0.}, {0., 1., \
0.}, {0., 0., 1.}}][
                        transmatrix[[First[#2]]]]; tiltmagnitude = {r1, r2, 
                         r3} . {r1, r2, r3}; 
                      If[Abs[tiltmagnitude - 1.] > 1.*^-6, dummyvector = {r1, \

                           r2, r3}/Sqrt[tiltmagnitude]; {r1, 
                          r2, r3} = dummyvector; dummymatrix = 
                         (#1/Sqrt[#1 . #1] & ) /@ {{r1, r2, r3}, {r4, 
                            r5, r6}, {r7, r8, r9}}; 
                        {{r1, r2, r3}, {r4, r5, 
                           r6}, {r7, r8, r9}} = 
                         dummymatrix; 1., 1.]; If[allcreatedamplitudes != \
{{0.*I, 0.*I, 0.*I}}, 
                       amplitude = allcreatedamplitudes[[First[#2]]]; hor = 
                         {r4, r5, r6} . amplitude; 
                        ver = {r7, r8, r9} . amplitude; 
                        If[Abs[hor] > 0. || Abs[ver] > 0., {pol1, pol2, 
                            pol3} = {Abs[hor], Abs[ver], 0.}; dummyvector = 
                           {pol1, pol2, pol3}/Sqrt[{pol1, 
                               pol2, pol3} . {pol1, pol2, 
                               pol3}]; {pol1, pol2, pol3} = 
                           dummyvector; dummyvector = ReplacePart[{pol1, 
                             pol2, pol3}, (If[ver == 0., 0., Arg[ver]] - 
                              If[hor == 0., 0., Arg[hor]])/Degree, 3]; {pol1, \

                            pol2, pol3} = dummyvector]; 1., 1.]; {rsx, 
                       rsy, rsz, rex, rey, rez, 
                       r1, r2, r3, r4, r5, 
                       r6, r7, r8, r9, wavelength, 
                       intensity, intensityscale, ray1, index, 
                       opticallength, phaseshift, componentnumber, 
                       surfacenumber, surfaceid, ray2, ray3, 
                       sid, frontid, sno1, sno2, sno3, 
                       sno4, rayslot, generationnumber, intersectionnumber, 
                       pol1, pol2, pol3}) & , allcreatedrays]); 
                 {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1.}}, {completedray}}, 
                resonatenumber == 4, {rsx, rsy, rsz, 
                   rex, rey, rez, r1, r2, 
                   r3, r4, r5, r6, r7, 
                   r8, r9, wavelength, intensity, 
                   intensityscale, ray1, index, opticallength, 
                   phaseshift, componentnumber, surfacenumber, surfaceid, 
                   ray2, ray3, sid, frontid, sno1, 
                   sno2, sno3, sno4, rayslot, 
                   oldgenerationnumber, intersectionnumber, pol1, pol2, 
                   pol3} = #1; index1 = index; xunit = 
                  r1*Re[Cos[0.017453292519943295*ab]] + \
r2*Re[Sin[0.017453292519943295*ab]]; 
                 yunit = r2*Re[Cos[0.017453292519943295*ab]] - 1.*r1*
                    Re[Sin[0.017453292519943295*ab]]; zunit = \
r3*Re[Cos[0.017453292519943295*ab]^2 + 
                     Sin[0.017453292519943295*ab]^2]; xunit = Chop[xunit]; \
yunit = 
                  Chop[yunit]; zunit = Chop[zunit]; magnitude = 
                  (xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = 
                  xunit/magnitude; yunit = yunit/
                   magnitude; zunit = zunit/magnitude; 
                 rx = Re[Cos[0.017453292519943295*ab]]*(rex - 1.*Re[xb1 + \
tb*Cos[0.017453292519943295*ab]]) + 
                   Re[Sin[0.017453292519943295*ab]]*(rey - 1.*Re[yb1 + \
tb*Sin[0.017453292519943295*ab]]); ry = 
                  -1.*(rex - 1.*Re[xb1 + \
tb*Cos[0.017453292519943295*ab]])*Re[Sin[0.017453292519943295*ab]] + \
Re[Cos[0.017453292519943295*ab]]*
                    (rey - 1.*Re[yb1 + tb*Sin[0.017453292519943295*ab]]); rz \
= rez*
                   Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]; rx = Chop[rx]; 
                 ry = Chop[ry]; rz = Chop[rz]; 
                 terminatedeflection = False; intersections = {{-1., 0., \
0.}}; intersections = 
                  resonateintersections; holeQ = holeQlist[[
                    resonatenumber]] == 1; {newcomponentnumber, \
newsurfacenumber, 
                   newsurfaceid} = {1., 4., 16548.}; {componentnumber, \
surfacenumber, 
                   surfaceid} = {1., 4., 16548.}; {ray1, ray2, ray3} = 
                  intersections[[1]]; rsx = rex; rsy = 
                  rey; rsz = rez; rxhlp = rx + 
                   ray1*xunit; ryhlp = ry + ray1*
                    yunit; rzhlp = rz + ray1*zunit; 
                 rex = rxhlp*Re[Cos[0.017453292519943295*ab]] + Re[xb1 + \
tb*Cos[0.017453292519943295*ab]] - 
                   1.*ryhlp*Re[Sin[0.017453292519943295*ab]]; rey = ryhlp*
                    Re[Cos[0.017453292519943295*ab]] + \
rxhlp*Re[Sin[0.017453292519943295*ab]] + Re[yb1 + \
tb*Sin[0.017453292519943295*ab]]; 
                 rez = rzhlp*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]; 
                 rex = Chop[rex]; rey = Chop[rey]; 
                 rez = Chop[rez]; If[rex == 0 && rey == 0 && 
                   rez == 0, rex = rxhlp + Re[xb1 + \
tb*Cos[0.017453292519943295*ab]]; 
                   rey = ryhlp + Re[yb1 + tb*Sin[0.017453292519943295*ab]]; \
rez = 
                    rzhlp, rex]; intersectionnumber = intersectionnumber + 
                   1.; opticallength = opticallength + ray1*index1; 
                 completedray = {rsx, rsy, rsz, rex, 
                   rey, rez, r1, r2, r3, 
                   r4, r5, r6, r7, r8, 
                   r9, wavelength, intensity, intensityscale, 
                   ray1, index, opticallength, phaseshift, 
                   componentnumber, surfacenumber, surfaceid, ray2, 
                   ray3, sid, frontid, sno1, sno2, 
                   sno3, sno4, rayslot, generationnumber, 
                   intersectionnumber, pol1, pol2, pol3}; 
                 reportedrayspresent = True; intersectionspresent = True; \
deflectedrayspresent = 
                  True; localdummyoutrayspresent = True; (surfnorm = 
                   1.*Re[{{1., -1.*(ray2/Sign[cb2]/(cb2^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5), 
                       -1.*(ray3/Sign[cb2]/(cb2^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5)}, 
                      {ray2/Sign[cb2]/(cb2^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, \
1., 0.}, 
                      {ray3/Sign[cb2]/(cb2^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, \
0., 1.}}]; 
                  dummymatrix = \
({{(Re[Cos[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/
                         (Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^2 + Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*
                           Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), (-1.*Re[Sin[0.017453292519943295*ab]]*
                          Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^
                              2 + Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*
                                ab]^2]), 0.}, \
{(Re[Sin[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/
                         (Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^2 + Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*
                           Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), \
(Re[Cos[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^
                             2 + \
Sin[0.017453292519943295*ab]^2])/(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^2 + Sin[0.017453292519943295*
                                ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), 0.}, 
                       {0., 0., (Re[Cos[0.017453292519943295*ab]]^2 + \
Re[Sin[0.017453292519943295*ab]]^2)/(Re[Cos[0.017453292519943295*ab]]^2*
                           Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^
                              2 + Sin[0.017453292519943295*ab]^2])}} . #1 & ) \
/@ surfnorm; surfnorm = 
                   (#1/Sqrt[#1 . #1] & ) /@ dummymatrix; \
surfacerotationmatrix = {{Re[Cos[0.017453292519943295*ab]], 
                     Re[Sin[0.017453292519943295*ab]], 0.}, \
{-1.*Re[Sin[0.017453292519943295*ab]], Re[Cos[0.017453292519943295*ab]], 0.}, \

                    {0., 0., Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]}}; surfacetranslationvector = 
                   {Re[xb1 + tb*Cos[0.017453292519943295*ab]], Re[yb1 + \
tb*Sin[0.017453292519943295*ab]], 0.}; activeregion = -1.; 
                  completedray = {rsx, rsy, rsz, rex, 
                    rey, rez, r1, r2, r3, 
                    r4, r5, r6, r7, r8, 
                    r9, wavelength, intensity, intensityscale, 
                    ray1, index, opticallength, phaseshift, 
                    componentnumber, surfacenumber, surfaceid, ray2, 
                    ray3, sid, frontid, sno1, sno2, 
                    sno3, sno4, rayslot, generationnumber, 
                    intersectionnumber, pol1, pol2, pol3}; 
                  componentnumber = newcomponentnumber; surfacenumber = 
                   newsurfacenumber; surfaceid = newsurfaceid; originalray = 
                   {rsx, rsy, rsz, rex, rey, 
                    rez, r1, r2, r3, r4, 
                    r5, r6, r7, r8, r9, 
                    wavelength, intensity, intensityscale, ray1, 
                    index, opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; ZAxis = 
                   First[surfnorm]*Sign[First[surfnorm] . {r1, r2, 
                       r3}]; raytiltz = ZAxis . {r1, 
                     r2, r3}; raytiltx = 1 - raytiltz^2; 
                  If[raytiltx < 2.220446049250313*^-16, raytiltx = 0., \
raytiltx = 
                    Sqrt[raytiltx]]; XAxis = {r1, r2, 
                     r3} - ZAxis*raytiltz; If[Abs[raytiltx] < 1.*^-7, 
                   XAxis = surfnorm[[2]], XAxis = XAxis/
                     raytiltx]; YAxis = {-(ZAxis[[3]]*XAxis[[2]]) + 
                     ZAxis[[2]]*XAxis[[3]], ZAxis[[3]]*XAxis[[1]] - 
                     ZAxis[[1]]*XAxis[[3]], -(ZAxis[[2]]*XAxis[[1]]) + 
                     ZAxis[[1]]*XAxis[[2]]}; YAxis = YAxis/
                    Sqrt[YAxis . YAxis]; PAxis = ZAxis*
                     {r1, r2, r3} . XAxis - XAxis*
                     {r1, r2, r3} . ZAxis; PAxis = 
                   PAxis/Sqrt[PAxis . PAxis]; normalizedpolarization = 
                   {pol1, pol2, pol3}[[{1, 2}]]; normalizedpolarization = 
                   normalizedpolarization/Sqrt[normalizedpolarization . \
normalizedpolarization]; 
                  allcreatedamplitudes = {{0.*I, 0.*I, 0.*I}}; amplitude = \
Sqrt[intensity]*
                    (normalizedpolarization[[1]]*{r4, r5, r6} + 
                     normalizedpolarization[[2]]*{r7, r8, r9}*
                      Exp[I*pol3*0.017453292519943295]); \
perpendicularamplitude = amplitude . 
                    YAxis; parallelamplitude = amplitude . PAxis; 
                  If[activeregion*(surfacerotationmatrix . {r1, r2, 
                        r3})[[1]] > 0, index2 = Sqrt[3.0539614 - \
0.011580432*wavelength^2 + 
                       0.039199816/wavelength^2 + 0.0029462812/wavelength^4 - \
0.00020371019000000004/
                        wavelength^6 + 0.000027633568999999998/wavelength^8]; \
index1 = 
                     index; If[Abs[index2 - index1] < 0.01, alternateindex = 
                       Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^
                           2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + 
                         2.830549017940716*^-12/wavelength^8]; \
If[Abs[alternateindex - index1] > 
                        Abs[index2 - index1], index1 = index2; 
                        index2 = alternateindex, index1 = alternateindex], 
                     index1 = Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/
                         wavelength^2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/
                         wavelength^6 + \
2.830549017940716*^-12/wavelength^8]], index2 = 
                     Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^
                         2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + 
                       2.830549017940716*^-12/wavelength^8]; index1 = index; 
                    If[Abs[index2 - index1] < 0.01, alternateindex = \
Sqrt[3.0539614 - 
                         0.011580432*wavelength^2 + 0.039199816/wavelength^2 \
+ 0.0029462812/
                          wavelength^4 - 0.00020371019000000004/wavelength^6 \
+ 0.000027633568999999998/
                          wavelength^8]; If[Abs[alternateindex - index1] > 
                        Abs[index2 - index1], index1 = index2; 
                        index2 = alternateindex, index1 = alternateindex], 
                     index1 = Sqrt[3.0539614 - 0.011580432*wavelength^2 + \
0.039199816/wavelength^
                          2 + 0.0029462812/wavelength^4 - \
0.00020371019000000004/wavelength^6 + 0.000027633568999999998/
                         wavelength^8]]]; n12 = index1/index2; 
                  index = index2; If[1 - n12^2*raytiltx^2 >= 0., 
                   dummyvector = n12*{r1, r2, r3} + 
                      ZAxis*(-(n12*raytiltz) + Sqrt[1 - n12^2*
                           raytiltx^2]); {r1, r2, r3} = 
                     dummyvector; 1., If[{r1, r2, r3} . 
                       surfnorm[[1]] > 0, phaseshift = phaseshift + 0.5, 1.]; \

                    index2 = index1; index = index1; 
                    dummyvector = {r1, r2, r3} - 
                      2*ZAxis*ZAxis . {r1, r2, r3}; 
                    {r1, r2, r3} = dummyvector; 
                    dummyvector = {pol1, pol2, pol3} + {0, 0, -180}; 
                    {pol1, pol2, pol3} = dummyvector; 1.]; 
                  allcreatedrays = {{rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     generationnumber, intersectionnumber, pol1, pol2, 
                     pol3}}; originalrotation = Partition[Take[originalray, \
{7, 15}], 3]; 
                  previoustilt = originalrotation[[1]]; transmatrix = 
                   MapIndexed[({rsx, rsy, rsz, rex, 
                        rey, rez, r1, r2, r3, 
                        r4, r5, r6, r7, r8, 
                        r9, wavelength, intensity, intensityscale, 
                        ray1, index, opticallength, phaseshift, 
                        componentnumber, surfacenumber, surfaceid, ray2, 
                        ray3, sid, frontid, sno1, sno2, 
                        sno3, sno4, rayslot, oldgenerationnumber, 
                        intersectionnumber, pol1, pol2, pol3} = #1; 
                      rotationaxis = Cross[{1., 0., 0.}, {r1, r2, r3}]; 
                      axismagnitude = Sqrt[rotationaxis . rotationaxis]; 
                      If[Chop[axismagnitude] != 0., rotationaxis = \
rotationaxis/
                          axismagnitude; axismatrix = (#1*rotationaxis & ) /@ \

                          rotationaxis; crossmatrix = {{0., \
-rotationaxis[[3]], 
                           rotationaxis[[2]]}, {rotationaxis[[3]], 0., \
-rotationaxis[[1]]}, 
                          {-rotationaxis[[2]], rotationaxis[[1]], 0.}}; \
cosangle = 
                         {1., 0., 0.} . {r1, r2, r3}; If[1. - cosangle < 
                          2.220446049250313*^-16, cosangle = 1.]; sinangle = \
1 - cosangle^2; 
                        If[sinangle < 2.220446049250313*^-16, sinangle = 0., \
sinangle = 
                          Sqrt[sinangle]]; axismatrix + ({{1., 0., 0.}, {0., \
1., 0.}, {0., 0., 1.}} - 
                           axismatrix)*cosangle + crossmatrix*sinangle, 
                       {{r1, r2, r3}, {r4, r5, 
                          r6}, {r7, r8, r9}} = 
                        If[Sign[{1., 0., 0.} . {r1, r2, r3}] === 1, {{1., 0., \
0.}, {0., 1., 0.}, 
                          {0., 0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., \
0., 1.}}]]) & , allcreatedrays]; 
                  allcreatedrays = MapIndexed[({rsx, rsy, rsz, 
                        rex, rey, rez, r1, r2, 
                        r3, r4, r5, r6, r7, 
                        r8, r9, wavelength, intensity, 
                        intensityscale, ray1, index, opticallength, 
                        phaseshift, componentnumber, surfacenumber, 
                        surfaceid, ray2, ray3, sid, 
                        frontid, sno1, sno2, sno3, 
                        sno4, rayslot, oldgenerationnumber, 
                        intersectionnumber, pol1, pol2, pol3} = #1; 
                      {{r1, r2, r3}, {r4, r5, 
                         r6}, {r7, r8, r9}} = 
                       Function[mm, (mm . #1 & ) /@ {{1., 0., 0.}, {0., 1., \
0.}, {0., 0., 1.}}][
                        transmatrix[[First[#2]]]]; tiltmagnitude = {r1, r2, 
                         r3} . {r1, r2, r3}; 
                      If[Abs[tiltmagnitude - 1.] > 1.*^-6, dummyvector = {r1, \

                           r2, r3}/Sqrt[tiltmagnitude]; {r1, 
                          r2, r3} = dummyvector; dummymatrix = 
                         (#1/Sqrt[#1 . #1] & ) /@ {{r1, r2, r3}, {r4, 
                            r5, r6}, {r7, r8, r9}}; 
                        {{r1, r2, r3}, {r4, r5, 
                           r6}, {r7, r8, r9}} = 
                         dummymatrix; 1., 1.]; If[allcreatedamplitudes != \
{{0.*I, 0.*I, 0.*I}}, 
                       amplitude = allcreatedamplitudes[[First[#2]]]; hor = 
                         {r4, r5, r6} . amplitude; 
                        ver = {r7, r8, r9} . amplitude; 
                        If[Abs[hor] > 0. || Abs[ver] > 0., {pol1, pol2, 
                            pol3} = {Abs[hor], Abs[ver], 0.}; dummyvector = 
                           {pol1, pol2, pol3}/Sqrt[{pol1, 
                               pol2, pol3} . {pol1, pol2, 
                               pol3}]; {pol1, pol2, pol3} = 
                           dummyvector; dummyvector = ReplacePart[{pol1, 
                             pol2, pol3}, (If[ver == 0., 0., Arg[ver]] - 
                              If[hor == 0., 0., Arg[hor]])/Degree, 3]; {pol1, \

                            pol2, pol3} = dummyvector]; 1., 1.]; {rsx, 
                       rsy, rsz, rex, rey, rez, 
                       r1, r2, r3, r4, r5, 
                       r6, r7, r8, r9, wavelength, 
                       intensity, intensityscale, ray1, index, 
                       opticallength, phaseshift, componentnumber, 
                       surfacenumber, surfaceid, ray2, ray3, 
                       sid, frontid, sno1, sno2, sno3, 
                       sno4, rayslot, generationnumber, intersectionnumber, 
                       pol1, pol2, pol3}) & , allcreatedrays]); 
                 {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1.}}, {completedray}}, True, 
                deflecteddummyrayspresent = True; reporteddummyrayspresent = \
True; 
                 localoutrayspresent = True; {{{1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 
                    1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1.}}, {{rsx, rsy, 
                    rsz, rex, rey, rez, r1, 
                    r2, r3, r4, r5, r6, 
                    r7, r8, r9, wavelength, intensity, 
                    intensityscale, ray1, index, opticallength, 
                    phaseshift, componentnumber, surfacenumber, surfaceid, 
                    ray2, ray3, sid, frontid, sno1, 
                    sno2, sno3, sno4, rayslot, 
                    generationnumber, intersectionnumber, pol1, pol2, 
                    pol3}}, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., 
                    -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1.}}}], deflecteddummyrayspresent = True; 
               reporteddummyrayspresent = True; localdummyoutrayspresent = \
True; {{{1., 1., 1., 1., 1., 1., 1., 1., 1., 
                  1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., \
1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1.}}, 
                {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., 1., 1., 1., \
1., 1., 
                  1., 1., 1., 1., 1., 1., 1., 1., 1.}}, {{1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., \
1., 1., 
                  0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1.}}}]) & ) /@ inrays]; 
       If[deflectedrayspresent && deflecteddummyrayspresent, \
deflectedlocalrays = 
         Select[deflectedlocalrays, #1[[23]] > 0. & ]*1., 1.]; \
If[localoutrayspresent, 
        If[localdummyoutrayspresent, localoutrays = Select[localoutrays, \
#1[[23]] > 0. & ]; 1., 
          1.]; outrays = Join[outrays, localoutrays]; 1., 1.]; 
       If[reportedrayspresent && reporteddummyrayspresent, 
        reportedlocalrays = Select[reportedlocalrays, #1[[23]] > 0. & ]; 1., \
1.]); 
      If[reportedrayspresent, raysreported = True; reportedrays = 
         Join[reportedrays, {{-1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308}}, 
          reportedlocalrays]; 1., 1.]; inrays = deflectedlocalrays; 
      propagate = generationnumber < generationlimit]; 
    propagatedrays = If[Length[outrays] > 1, Drop[outrays, 1], outrays]; 
    If[generationnumber >= generationlimit && deflectedrayspresent, 
     propagatedrays = Join[propagatedrays, deflectedlocalrays]; 1., 1.]); 
   (inrays = propagatedrays; outrays = 
     {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
-1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., \
1., 1., 1., 1., 
       1., 1., 1., 1., 1., 1.}}; deflectedrayspresent = True; \
reportedrayspresent = False; 
    propagate = True; While[deflectedrayspresent && propagate, 
     generationnumber += 1.; (deflecteddummyrayspresent = False; \
deflectedrayspresent = False; 
       reportedrayspresent = False; reporteddummyrayspresent = True; \
localdummyoutrayspresent = 
        False; localoutrayspresent = False; {deflectedlocalrays, \
localoutrays, 
         reportedlocalrays} = (Flatten[#1, 1] & ) /@ 
         Transpose[(({rsx, rsy, rsz, rex, rey, 
               rez, r1, r2, r3, r4, 
               r5, r6, r7, r8, r9, 
               wavelength, intensity, intensityscale, ray1, 
               index, opticallength, phaseshift, componentnumber, 
               surfacenumber, surfaceid, ray2, ray3, 
               sid, frontid, sno1, sno2, sno3, 
               sno4, rayslot, oldgenerationnumber, intersectionnumber, 
               pol1, pol2, pol3} = #1; If[intensity > 
                thresholdintensity && generationnumber < generationlimit, 
              (resonatenumber = 0; resonateraylength = \
1.7976931348623157*^308; 
                resonateintersections = {{-1., 0., 0.}}; \
MapIndexed[If[#1[[1,1]] > -1. && #1[[1,1]] < resonateraylength, 
                   resonateraylength = #1[[1,1]]; resonateintersections = #1; \
resonatenumber = 
                     First[#2], resonatenumber] & , intersectionslist = \
{{{-1., 0., 0.}}}; 
                  holeQlist = {0}; ({rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     oldgenerationnumber, intersectionnumber, pol1, pol2, 
                     pol3} = #1; index1 = index; xunit = 
                    -1.*r1; yunit = -1.*r2; zunit = r3; 
                   xunit = Chop[xunit]; yunit = Chop[yunit]; 
                   zunit = Chop[zunit]; magnitude = (xunit^2 + 
                      yunit^2 + zunit^2)^2^(-1); xunit = xunit/
                     magnitude; yunit = yunit/magnitude; 
                   zunit = zunit/magnitude; rx = 
                    -1.*(-200. + rex); ry = -1.*rey; rz = 
                    rez; rx = Chop[rx]; ry = Chop[ry]; 
                   rz = Chop[rz]; terminatedeflection = False; 
                   intersections = {{-1., 0., 0.}}; intersections = \
If[Chop[xunit] != 0, 
                     {(If[N[Chop[#1[[1]]]] >= 0. && (#1[[2]] <= 75. && \
#1[[2]] >= -75. && #1[[3]] >= -75. && #1[[3]] <= 75.), {#1[[1]], #1[[2]], \
#1[[3]]}, 
                         {-1., 0., 0.}] & )[{-(rx/xunit), ry - (rx*
                           yunit)/xunit, rz - (rx*
                           zunit)/xunit}]}, {{-1., 0., 0.}}]; \
AppendTo[intersections, 
                    {-1., 0., 0.}]; holeQ = False; If[ !(Chop[surfaceid - \
16598.] == 0. || 
                       N[Chop[ray1]] < 0.0001) || generationnumber == 1., \
minresonateraylength = 
                     0., minresonateraylength = 0.0001]; Block[{RayL, SCx, \
SCy}, RayL = 1.; SCx = 1.; SCy = 1.; 
                     dummymatrix = Union[Select[intersections, ({RayL, SCx, \
SCy} = #1; {RayL, SCx, SCy} == 
                            {-1., 0., 0.} || N[Chop[RayL]] >= \
minresonateraylength) & ]]; intersections = 
                      dummymatrix]; unfilteredintersections = intersections; 
                   If[Length[intersections] > 1, dummymatrix = \
Take[intersections, {2}]; 
                     intersections = dummymatrix; 1., 1.]; \
AppendTo[intersectionslist, 
                    intersections]; If[holeQ, AppendTo[holeQlist, 1], 
                    AppendTo[holeQlist, 0]]; {rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     oldgenerationnumber, intersectionnumber, pol1, pol2, 
                     pol3} = #1; index1 = index; xunit = 
                    r2; yunit = -1.*r1; zunit = r3; 
                   xunit = Chop[xunit]; yunit = Chop[yunit]; 
                   zunit = Chop[zunit]; magnitude = (xunit^2 + 
                      yunit^2 + zunit^2)^2^(-1); xunit = xunit/
                     magnitude; yunit = yunit/magnitude; 
                   zunit = zunit/magnitude; rx = 
                    75. + rey; ry = -1.*(-100. + rex); rz = 
                    rez; rx = Chop[rx]; ry = Chop[ry]; 
                   rz = Chop[rz]; terminatedeflection = False; 
                   intersections = {{-1., 0., 0.}}; intersections = \
If[Chop[xunit] != 0, 
                     {(If[N[Chop[#1[[1]]]] >= 0. && (#1[[2]] <= 100. && \
#1[[2]] >= -100. && #1[[3]] >= -75. && #1[[3]] <= 75.), {#1[[1]], #1[[2]], \
#1[[3]]}, 
                         {-1., 0., 0.}] & )[{-(rx/xunit), ry - (rx*
                           yunit)/xunit, rz - (rx*
                           zunit)/xunit}]}, {{-1., 0., 0.}}]; \
AppendTo[intersections, 
                    {-1., 0., 0.}]; holeQ = False; If[ !(Chop[surfaceid - \
16599.] == 0. || 
                       N[Chop[ray1]] < 0.0001) || generationnumber == 1., \
minresonateraylength = 
                     0., minresonateraylength = 0.0001]; Block[{RayL, SCx, \
SCy}, RayL = 1.; SCx = 1.; SCy = 1.; 
                     dummymatrix = Union[Select[intersections, ({RayL, SCx, \
SCy} = #1; {RayL, SCx, SCy} == 
                            {-1., 0., 0.} || N[Chop[RayL]] >= \
minresonateraylength) & ]]; intersections = 
                      dummymatrix]; unfilteredintersections = intersections; 
                   If[Length[intersections] > 1, dummymatrix = \
Take[intersections, {2}]; 
                     intersections = dummymatrix; 1., 1.]; \
AppendTo[intersectionslist, 
                    intersections]; If[holeQ, AppendTo[holeQlist, 1], 
                    AppendTo[holeQlist, 0]]; {rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     oldgenerationnumber, intersectionnumber, pol1, pol2, 
                     pol3} = #1; index1 = index; xunit = 
                    r1; yunit = r2; zunit = r3; 
                   xunit = Chop[xunit]; yunit = Chop[yunit]; 
                   zunit = Chop[zunit]; magnitude = (xunit^2 + 
                      yunit^2 + zunit^2)^2^(-1); xunit = xunit/
                     magnitude; yunit = yunit/magnitude; 
                   zunit = zunit/magnitude; rx = rex; 
                   ry = rey; rz = rez; rx = 
                    Chop[rx]; ry = Chop[ry]; rz = 
                    Chop[rz]; terminatedeflection = False; intersections = \
{{-1., 0., 0.}}; 
                   intersections = If[Chop[xunit] != 0, {(If[N[Chop[#1[[1]]]] \
>= 0. && (#1[[2]] <= 75. && 
                           #1[[2]] >= -75. && #1[[3]] >= -75. && #1[[3]] <= \
75.), {#1[[1]], #1[[2]], #1[[3]]}, {-1., 0., 0.}] & )[{-(rx/
                          xunit), ry - (rx*yunit)/
                          xunit, rz - (rx*zunit)/
                          xunit}]}, {{-1., 0., 0.}}]; AppendTo[intersections, \
{-1., 0., 0.}]; 
                   holeQ = False; If[ !(Chop[surfaceid - 16600.] == 0. || \
N[Chop[ray1]] < 
                        0.0001) || generationnumber == 1., \
minresonateraylength = 0., 
                    minresonateraylength = 0.0001]; Block[{RayL, SCx, SCy}, \
RayL = 1.; SCx = 1.; SCy = 1.; dummymatrix = 
                      Union[Select[intersections, ({RayL, SCx, SCy} = #1; \
{RayL, SCx, SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= 
                            minresonateraylength) & ]]; intersections = \
dummymatrix]; 
                   unfilteredintersections = intersections; \
If[Length[intersections] > 1, 
                    dummymatrix = Take[intersections, {2}]; intersections = 
                      dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; 
                   If[holeQ, AppendTo[holeQlist, 1], AppendTo[holeQlist, 0]]; \

                   {rsx, rsy, rsz, rex, rey, 
                     rez, r1, r2, r3, r4, 
                     r5, r6, r7, r8, r9, 
                     wavelength, intensity, intensityscale, ray1, 
                     index, opticallength, phaseshift, componentnumber, 
                     surfacenumber, surfaceid, ray2, ray3, 
                     sid, frontid, sno1, sno2, sno3, 
                     sno4, rayslot, oldgenerationnumber, intersectionnumber, 
                     pol1, pol2, pol3} = #1; index1 = 
                    index; xunit = -1.*r2; yunit = r1; 
                   zunit = r3; xunit = Chop[xunit]; 
                   yunit = Chop[yunit]; zunit = Chop[zunit]; 
                   magnitude = (xunit^2 + yunit^2 + zunit^2)^2^(-1); 
                   xunit = xunit/magnitude; yunit = 
                    yunit/magnitude; zunit = zunit/
                     magnitude; rx = -1.*(-75. + rey); ry = 
                    -100. + rex; rz = rez; rx = 
                    Chop[rx]; ry = Chop[ry]; rz = 
                    Chop[rz]; terminatedeflection = False; intersections = \
{{-1., 0., 0.}}; 
                   intersections = If[Chop[xunit] != 0, {(If[N[Chop[#1[[1]]]] \
>= 0. && (#1[[2]] <= 100. && 
                           #1[[2]] >= -100. && #1[[3]] >= -75. && #1[[3]] <= \
75.), {#1[[1]], #1[[2]], #1[[3]]}, {-1., 0., 0.}] & )[{-(rx/
                          xunit), ry - (rx*yunit)/
                          xunit, rz - (rx*zunit)/
                          xunit}]}, {{-1., 0., 0.}}]; AppendTo[intersections, \
{-1., 0., 0.}]; 
                   holeQ = False; If[ !(Chop[surfaceid - 16601.] == 0. || \
N[Chop[ray1]] < 
                        0.0001) || generationnumber == 1., \
minresonateraylength = 0., 
                    minresonateraylength = 0.0001]; Block[{RayL, SCx, SCy}, \
RayL = 1.; SCx = 1.; SCy = 1.; dummymatrix = 
                      Union[Select[intersections, ({RayL, SCx, SCy} = #1; \
{RayL, SCx, SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= 
                            minresonateraylength) & ]]; intersections = \
dummymatrix]; 
                   unfilteredintersections = intersections; \
If[Length[intersections] > 1, 
                    dummymatrix = Take[intersections, {2}]; intersections = 
                      dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; 
                   If[holeQ, AppendTo[holeQlist, 1], AppendTo[holeQlist, 0]]; \

                   {rsx, rsy, rsz, rex, rey, 
                     rez, r1, r2, r3, r4, 
                     r5, r6, r7, r8, r9, 
                     wavelength, intensity, intensityscale, ray1, 
                     index, opticallength, phaseshift, componentnumber, 
                     surfacenumber, surfaceid, ray2, ray3, 
                     sid, frontid, sno1, sno2, sno3, 
                     sno4, rayslot, oldgenerationnumber, intersectionnumber, 
                     pol1, pol2, pol3} = #1; index1 = 
                    index; xunit = r3; yunit = r2; 
                   zunit = -1.*r1; xunit = Chop[xunit]; 
                   yunit = Chop[yunit]; zunit = Chop[zunit]; 
                   magnitude = (xunit^2 + yunit^2 + zunit^2)^2^(-1); 
                   xunit = xunit/magnitude; yunit = 
                    yunit/magnitude; zunit = zunit/
                     magnitude; rx = 75. + rez; ry = 
                    rey; rz = -1.*(-100. + rex); rx = 
                    Chop[rx]; ry = Chop[ry]; rz = 
                    Chop[rz]; terminatedeflection = False; intersections = \
{{-1., 0., 0.}}; 
                   intersections = If[Chop[xunit] != 0, {(If[N[Chop[#1[[1]]]] \
>= 0. && (#1[[2]] <= 75. && 
                           #1[[2]] >= -75. && #1[[3]] >= -100. && #1[[3]] <= \
100.), {#1[[1]], #1[[2]], #1[[3]]}, {-1., 0., 0.}] & )[{-(rx/
                          xunit), ry - (rx*yunit)/
                          xunit, rz - (rx*zunit)/
                          xunit}]}, {{-1., 0., 0.}}]; AppendTo[intersections, \
{-1., 0., 0.}]; 
                   holeQ = False; If[ !(Chop[surfaceid - 16602.] == 0. || \
N[Chop[ray1]] < 
                        0.0001) || generationnumber == 1., \
minresonateraylength = 0., 
                    minresonateraylength = 0.0001]; Block[{RayL, SCx, SCy}, \
RayL = 1.; SCx = 1.; SCy = 1.; dummymatrix = 
                      Union[Select[intersections, ({RayL, SCx, SCy} = #1; \
{RayL, SCx, SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= 
                            minresonateraylength) & ]]; intersections = \
dummymatrix]; 
                   unfilteredintersections = intersections; \
If[Length[intersections] > 1, 
                    dummymatrix = Take[intersections, {2}]; intersections = 
                      dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; 
                   If[holeQ, AppendTo[holeQlist, 1], AppendTo[holeQlist, 0]]; \

                   {rsx, rsy, rsz, rex, rey, 
                     rez, r1, r2, r3, r4, 
                     r5, r6, r7, r8, r9, 
                     wavelength, intensity, intensityscale, ray1, 
                     index, opticallength, phaseshift, componentnumber, 
                     surfacenumber, surfaceid, ray2, ray3, 
                     sid, frontid, sno1, sno2, sno3, 
                     sno4, rayslot, oldgenerationnumber, intersectionnumber, 
                     pol1, pol2, pol3} = #1; index1 = 
                    index; xunit = -1.*r3; yunit = 
                    -1.*r2; zunit = -1.*r1; xunit = 
                    Chop[xunit]; yunit = Chop[yunit]; zunit = 
                    Chop[zunit]; magnitude = (xunit^2 + yunit^2 + 
                      zunit^2)^2^(-1); xunit = xunit/magnitude; 
                   yunit = yunit/magnitude; zunit = 
                    zunit/magnitude; rx = -1.*(-75. + rez); 
                   ry = -1.*rey; rz = -1.*(-100. + rex); 
                   rx = Chop[rx]; ry = Chop[ry]; rz = 
                    Chop[rz]; terminatedeflection = False; intersections = \
{{-1., 0., 0.}}; 
                   intersections = If[Chop[xunit] != 0, {(If[N[Chop[#1[[1]]]] \
>= 0. && (#1[[2]] <= 75. && 
                           #1[[2]] >= -75. && #1[[3]] >= -100. && #1[[3]] <= \
100.), {#1[[1]], #1[[2]], #1[[3]]}, {-1., 0., 0.}] & )[{-(rx/
                          xunit), ry - (rx*yunit)/
                          xunit, rz - (rx*zunit)/
                          xunit}]}, {{-1., 0., 0.}}]; AppendTo[intersections, \
{-1., 0., 0.}]; 
                   holeQ = False; If[ !(Chop[surfaceid - 16603.] == 0. || \
N[Chop[ray1]] < 
                        0.0001) || generationnumber == 1., \
minresonateraylength = 0., 
                    minresonateraylength = 0.0001]; Block[{RayL, SCx, SCy}, \
RayL = 1.; SCx = 1.; SCy = 1.; dummymatrix = 
                      Union[Select[intersections, ({RayL, SCx, SCy} = #1; \
{RayL, SCx, SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= 
                            minresonateraylength) & ]]; intersections = \
dummymatrix]; 
                   unfilteredintersections = intersections; \
If[Length[intersections] > 1, 
                    dummymatrix = Take[intersections, {2}]; intersections = 
                      dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; 
                   If[holeQ, AppendTo[holeQlist, 1], AppendTo[holeQlist, \
0]]); 
                  holeQlist = Drop[holeQlist, 1]; Drop[intersectionslist, \
1]]); Which[
                resonatenumber == 1, {rsx, rsy, rsz, 
                   rex, rey, rez, r1, r2, 
                   r3, r4, r5, r6, r7, 
                   r8, r9, wavelength, intensity, 
                   intensityscale, ray1, index, opticallength, 
                   phaseshift, componentnumber, surfacenumber, surfaceid, 
                   ray2, ray3, sid, frontid, sno1, 
                   sno2, sno3, sno4, rayslot, 
                   oldgenerationnumber, intersectionnumber, pol1, pol2, 
                   pol3} = #1; index1 = index; xunit = 
                  -1.*r1; yunit = -1.*r2; zunit = r3; 
                 xunit = Chop[xunit]; yunit = Chop[yunit]; 
                 zunit = Chop[zunit]; magnitude = (xunit^2 + 
                    yunit^2 + zunit^2)^2^(-1); xunit = xunit/
                   magnitude; yunit = yunit/magnitude; 
                 zunit = zunit/magnitude; rx = 
                  -1.*(-200. + rex); ry = -1.*rey; rz = 
                  rez; rx = Chop[rx]; ry = Chop[ry]; 
                 rz = Chop[rz]; terminatedeflection = False; intersections = 
                  {{-1., 0., 0.}}; intersections = resonateintersections; \
holeQ = 
                  holeQlist[[resonatenumber]] == 1; {newcomponentnumber, 
                   newsurfacenumber, newsurfaceid} = {2., 1., 16598.}; \
{componentnumber, 
                   surfacenumber, surfaceid} = {2., 1., 16598.}; {ray1, ray2, \

                   ray3} = intersections[[1]]; rsx = rex; 
                 rsy = rey; rsz = rez; rxhlp = 
                  rx + ray1*xunit; ryhlp = ry + 
                   ray1*yunit; rzhlp = rz + ray1*
                    zunit; rex = 200. - 1.*rxhlp; rey = 
                  -1.*ryhlp; rez = rzhlp; rex = 
                  Chop[rex]; rey = Chop[rey]; rez = 
                  Chop[rez]; If[rex == 0 && rey == 0 && rez == 0, 
                  rex = 200. + rxhlp; rey = ryhlp; 
                   rez = rzhlp, rex]; intersectionnumber = 
                  intersectionnumber + 1.; opticallength = opticallength + 
                   ray1*index1; completedray = {rsx, 
                   rsy, rsz, rex, rey, rez, 
                   r1, r2, r3, r4, r5, 
                   r6, r7, r8, r9, wavelength, 
                   intensity, intensityscale, ray1, index, 
                   opticallength, phaseshift, componentnumber, surfacenumber, \

                   surfaceid, ray2, ray3, sid, frontid, 
                   sno1, sno2, sno3, sno4, rayslot, 
                   generationnumber, intersectionnumber, pol1, pol2, 
                   pol3}; reportedrayspresent = True; intersectionspresent = \
True; 
                 deflectedrayspresent = True; localdummyoutrayspresent = \
True; (surfnorm = 
                   1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; dummymatrix = \
({{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 1.}} . #1 & ) /@ 
                    surfnorm; surfnorm = (#1/Sqrt[#1 . #1] & ) /@ \
dummymatrix; 
                  surfacerotationmatrix = {{-1., 0, 0}, {0, -1., 0}, {0, 0, \
1.}}; surfacetranslationvector = 
                   {200., 0, 0}; activeregion = 0.; completedray = {rsx, rsy, \

                    rsz, rex, rey, rez, r1, 
                    r2, r3, r4, r5, r6, 
                    r7, r8, r9, wavelength, intensity, 
                    intensityscale, ray1, index, opticallength, 
                    phaseshift, componentnumber, surfacenumber, surfaceid, 
                    ray2, ray3, sid, frontid, sno1, 
                    sno2, sno3, sno4, rayslot, 
                    generationnumber, intersectionnumber, pol1, pol2, 
                    pol3}; componentnumber = newcomponentnumber; 
                  surfacenumber = newsurfacenumber; surfaceid = newsurfaceid; \

                  originalray = {rsx, rsy, rsz, rex, 
                    rey, rez, r1, r2, r3, 
                    r4, r5, r6, r7, r8, 
                    r9, wavelength, intensity, intensityscale, 
                    ray1, index, opticallength, phaseshift, 
                    componentnumber, surfacenumber, surfaceid, ray2, 
                    ray3, sid, frontid, sno1, sno2, 
                    sno3, sno4, rayslot, generationnumber, 
                    intersectionnumber, pol1, pol2, pol3}; 
                  intensity = 0.; allcreatedrays = {{rsx, rsy, 
                     rsz, rex, rey, rez, r1, 
                     r2, r3, r4, r5, r6, 
                     r7, r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     generationnumber, intersectionnumber, pol1, pol2, 
                     pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., \
-1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 
                  {completedray}}, resonatenumber == 2, {rsx, rsy, 
                   rsz, rex, rey, rez, r1, 
                   r2, r3, r4, r5, r6, 
                   r7, r8, r9, wavelength, intensity, 
                   intensityscale, ray1, index, opticallength, 
                   phaseshift, componentnumber, surfacenumber, surfaceid, 
                   ray2, ray3, sid, frontid, sno1, 
                   sno2, sno3, sno4, rayslot, 
                   oldgenerationnumber, intersectionnumber, pol1, pol2, 
                   pol3} = #1; index1 = index; xunit = 
                  r2; yunit = -1.*r1; zunit = r3; 
                 xunit = Chop[xunit]; yunit = Chop[yunit]; 
                 zunit = Chop[zunit]; magnitude = (xunit^2 + 
                    yunit^2 + zunit^2)^2^(-1); xunit = xunit/
                   magnitude; yunit = yunit/magnitude; 
                 zunit = zunit/magnitude; rx = 
                  75. + rey; ry = -1.*(-100. + rex); rz = 
                  rez; rx = Chop[rx]; ry = Chop[ry]; 
                 rz = Chop[rz]; terminatedeflection = False; intersections = 
                  {{-1., 0., 0.}}; intersections = resonateintersections; \
holeQ = 
                  holeQlist[[resonatenumber]] == 1; {newcomponentnumber, 
                   newsurfacenumber, newsurfaceid} = {2., 2., 16599.}; \
{componentnumber, 
                   surfacenumber, surfaceid} = {2., 2., 16599.}; {ray1, ray2, \

                   ray3} = intersections[[1]]; rsx = rex; 
                 rsy = rey; rsz = rez; rxhlp = 
                  rx + ray1*xunit; ryhlp = ry + 
                   ray1*yunit; rzhlp = rz + ray1*
                    zunit; rex = 100. - 1.*ryhlp; rey = 
                  -75. + rxhlp; rez = rzhlp; rex = 
                  Chop[rex]; rey = Chop[rey]; rez = 
                  Chop[rez]; If[rex == 0 && rey == 0 && rez == 0, 
                  rex = 100. + rxhlp; rey = -75. + ryhlp; 
                   rez = rzhlp, rex]; intersectionnumber = 
                  intersectionnumber + 1.; opticallength = opticallength + 
                   ray1*index1; completedray = {rsx, 
                   rsy, rsz, rex, rey, rez, 
                   r1, r2, r3, r4, r5, 
                   r6, r7, r8, r9, wavelength, 
                   intensity, intensityscale, ray1, index, 
                   opticallength, phaseshift, componentnumber, surfacenumber, \

                   surfaceid, ray2, ray3, sid, frontid, 
                   sno1, sno2, sno3, sno4, rayslot, 
                   generationnumber, intersectionnumber, pol1, pol2, 
                   pol3}; reportedrayspresent = True; intersectionspresent = \
True; 
                 deflectedrayspresent = True; localdummyoutrayspresent = \
True; (surfnorm = 
                   1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; dummymatrix = \
({{0., -1., 0.}, {1., 0., 0.}, {0., 0., 1.}} . #1 & ) /@ 
                    surfnorm; surfnorm = (#1/Sqrt[#1 . #1] & ) /@ \
dummymatrix; 
                  surfacerotationmatrix = {{0, 1., 0}, {-1., 0, 0}, {0, 0, \
1.}}; surfacetranslationvector = 
                   {100., -75., 0}; activeregion = 0.; completedray = {rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; componentnumber = 
                   newcomponentnumber; surfacenumber = newsurfacenumber; 
                  surfaceid = newsurfaceid; originalray = {rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; intensity = 0.; 
                  allcreatedrays = {{rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     generationnumber, intersectionnumber, pol1, pol2, 
                     pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., \
-1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 
                  {completedray}}, resonatenumber == 3, {rsx, rsy, 
                   rsz, rex, rey, rez, r1, 
                   r2, r3, r4, r5, r6, 
                   r7, r8, r9, wavelength, intensity, 
                   intensityscale, ray1, index, opticallength, 
                   phaseshift, componentnumber, surfacenumber, surfaceid, 
                   ray2, ray3, sid, frontid, sno1, 
                   sno2, sno3, sno4, rayslot, 
                   oldgenerationnumber, intersectionnumber, pol1, pol2, 
                   pol3} = #1; index1 = index; xunit = 
                  r1; yunit = r2; zunit = r3; 
                 xunit = Chop[xunit]; yunit = Chop[yunit]; 
                 zunit = Chop[zunit]; magnitude = (xunit^2 + 
                    yunit^2 + zunit^2)^2^(-1); xunit = xunit/
                   magnitude; yunit = yunit/magnitude; 
                 zunit = zunit/magnitude; rx = rex; 
                 ry = rey; rz = rez; rx = 
                  Chop[rx]; ry = Chop[ry]; rz = 
                  Chop[rz]; terminatedeflection = False; intersections = \
{{-1., 0., 0.}}; 
                 intersections = resonateintersections; holeQ = holeQlist[[
                    resonatenumber]] == 1; {newcomponentnumber, \
newsurfacenumber, 
                   newsurfaceid} = {2., 3., 16600.}; {componentnumber, \
surfacenumber, 
                   surfaceid} = {2., 3., 16600.}; {ray1, ray2, ray3} = 
                  intersections[[1]]; rsx = rex; rsy = 
                  rey; rsz = rez; rxhlp = rx + 
                   ray1*xunit; ryhlp = ry + ray1*
                    yunit; rzhlp = rz + ray1*zunit; 
                 rex = rxhlp; rey = ryhlp; rez = 
                  rzhlp; rex = Chop[rex]; rey = 
                  Chop[rey]; rez = Chop[rez]; If[rex == 0 && 
                   rey == 0 && rez == 0, rex = rxhlp; 
                   rey = ryhlp; rez = rzhlp, rex]; 
                 intersectionnumber = intersectionnumber + 1.; opticallength \
= 
                  opticallength + ray1*index1; completedray = 
                  {rsx, rsy, rsz, rex, rey, 
                   rez, r1, r2, r3, r4, 
                   r5, r6, r7, r8, r9, 
                   wavelength, intensity, intensityscale, ray1, 
                   index, opticallength, phaseshift, componentnumber, 
                   surfacenumber, surfaceid, ray2, ray3, 
                   sid, frontid, sno1, sno2, sno3, 
                   sno4, rayslot, generationnumber, intersectionnumber, 
                   pol1, pol2, pol3}; reportedrayspresent = True; 
                 intersectionspresent = True; deflectedrayspresent = True; 
                 localdummyoutrayspresent = True; (surfnorm = 1.*Re[{{1, 0, \
0}, {0, 1, 0}, {0, 0, 1}}]; 
                  dummymatrix = (#1 & ) /@ surfnorm; surfnorm = (#1/Sqrt[#1 . \
#1] & ) /@ 
                    dummymatrix; surfacerotationmatrix = {{1, 0, 0}, {0, 1, \
0}, {0, 0, 1}}; 
                  surfacetranslationvector = {0, 0, 0}; activeregion = 0.; \
completedray = 
                   {rsx, rsy, rsz, rex, rey, 
                    rez, r1, r2, r3, r4, 
                    r5, r6, r7, r8, r9, 
                    wavelength, intensity, intensityscale, ray1, 
                    index, opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; componentnumber = 
                   newcomponentnumber; surfacenumber = newsurfacenumber; 
                  surfaceid = newsurfaceid; originalray = {rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; intensity = 0.; 
                  allcreatedrays = {{rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     generationnumber, intersectionnumber, pol1, pol2, 
                     pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., \
-1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 
                  {completedray}}, resonatenumber == 4, {rsx, rsy, 
                   rsz, rex, rey, rez, r1, 
                   r2, r3, r4, r5, r6, 
                   r7, r8, r9, wavelength, intensity, 
                   intensityscale, ray1, index, opticallength, 
                   phaseshift, componentnumber, surfacenumber, surfaceid, 
                   ray2, ray3, sid, frontid, sno1, 
                   sno2, sno3, sno4, rayslot, 
                   oldgenerationnumber, intersectionnumber, pol1, pol2, 
                   pol3} = #1; index1 = index; xunit = 
                  -1.*r2; yunit = r1; zunit = r3; 
                 xunit = Chop[xunit]; yunit = Chop[yunit]; 
                 zunit = Chop[zunit]; magnitude = (xunit^2 + 
                    yunit^2 + zunit^2)^2^(-1); xunit = xunit/
                   magnitude; yunit = yunit/magnitude; 
                 zunit = zunit/magnitude; rx = 
                  -1.*(-75. + rey); ry = -100. + rex; rz = 
                  rez; rx = Chop[rx]; ry = Chop[ry]; 
                 rz = Chop[rz]; terminatedeflection = False; intersections = 
                  {{-1., 0., 0.}}; intersections = resonateintersections; \
holeQ = 
                  holeQlist[[resonatenumber]] == 1; {newcomponentnumber, 
                   newsurfacenumber, newsurfaceid} = {2., 4., 16601.}; \
{componentnumber, 
                   surfacenumber, surfaceid} = {2., 4., 16601.}; {ray1, ray2, \

                   ray3} = intersections[[1]]; rsx = rex; 
                 rsy = rey; rsz = rez; rxhlp = 
                  rx + ray1*xunit; ryhlp = ry + 
                   ray1*yunit; rzhlp = rz + ray1*
                    zunit; rex = 100. + ryhlp; rey = 
                  75. - 1.*rxhlp; rez = rzhlp; rex = 
                  Chop[rex]; rey = Chop[rey]; rez = 
                  Chop[rez]; If[rex == 0 && rey == 0 && rez == 0, 
                  rex = 100. + rxhlp; rey = 75. + ryhlp; 
                   rez = rzhlp, rex]; intersectionnumber = 
                  intersectionnumber + 1.; opticallength = opticallength + 
                   ray1*index1; completedray = {rsx, 
                   rsy, rsz, rex, rey, rez, 
                   r1, r2, r3, r4, r5, 
                   r6, r7, r8, r9, wavelength, 
                   intensity, intensityscale, ray1, index, 
                   opticallength, phaseshift, componentnumber, surfacenumber, \

                   surfaceid, ray2, ray3, sid, frontid, 
                   sno1, sno2, sno3, sno4, rayslot, 
                   generationnumber, intersectionnumber, pol1, pol2, 
                   pol3}; reportedrayspresent = True; intersectionspresent = \
True; 
                 deflectedrayspresent = True; localdummyoutrayspresent = \
True; (surfnorm = 
                   1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; dummymatrix = \
({{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 1.}} . #1 & ) /@ 
                    surfnorm; surfnorm = (#1/Sqrt[#1 . #1] & ) /@ \
dummymatrix; 
                  surfacerotationmatrix = {{0, -1., 0}, {1., 0, 0}, {0, 0, \
1.}}; surfacetranslationvector = 
                   {100., 75., 0}; activeregion = 0.; completedray = {rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; componentnumber = 
                   newcomponentnumber; surfacenumber = newsurfacenumber; 
                  surfaceid = newsurfaceid; originalray = {rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; intensity = 0.; 
                  allcreatedrays = {{rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     generationnumber, intersectionnumber, pol1, pol2, 
                     pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., \
-1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 
                  {completedray}}, resonatenumber == 5, {rsx, rsy, 
                   rsz, rex, rey, rez, r1, 
                   r2, r3, r4, r5, r6, 
                   r7, r8, r9, wavelength, intensity, 
                   intensityscale, ray1, index, opticallength, 
                   phaseshift, componentnumber, surfacenumber, surfaceid, 
                   ray2, ray3, sid, frontid, sno1, 
                   sno2, sno3, sno4, rayslot, 
                   oldgenerationnumber, intersectionnumber, pol1, pol2, 
                   pol3} = #1; index1 = index; xunit = 
                  r3; yunit = r2; zunit = -1.*r1; 
                 xunit = Chop[xunit]; yunit = Chop[yunit]; 
                 zunit = Chop[zunit]; magnitude = (xunit^2 + 
                    yunit^2 + zunit^2)^2^(-1); xunit = xunit/
                   magnitude; yunit = yunit/magnitude; 
                 zunit = zunit/magnitude; rx = 
                  75. + rez; ry = rey; rz = 
                  -1.*(-100. + rex); rx = Chop[rx]; ry = 
                  Chop[ry]; rz = Chop[rz]; terminatedeflection = False; 
                 intersections = {{-1., 0., 0.}}; intersections = \
resonateintersections; 
                 holeQ = holeQlist[[resonatenumber]] == 1; 
                 {newcomponentnumber, newsurfacenumber, newsurfaceid} = {2., \
5., 16602.}; 
                 {componentnumber, surfacenumber, surfaceid} = {2., 5., \
16602.}; 
                 {ray1, ray2, ray3} = intersections[[1]]; 
                 rsx = rex; rsy = rey; rsz = 
                  rez; rxhlp = rx + ray1*xunit; 
                 ryhlp = ry + ray1*yunit; rzhlp = 
                  rz + ray1*zunit; rex = 
                  100. - 1.*rzhlp; rey = ryhlp; rez = 
                  -75. + rxhlp; rex = Chop[rex]; rey = 
                  Chop[rey]; rez = Chop[rez]; If[rex == 0 && 
                   rey == 0 && rez == 0, rex = 100. + rxhlp; 
                   rey = ryhlp; rez = -75. + rzhlp, 
                  rex]; intersectionnumber = intersectionnumber + 1.; 
                 opticallength = opticallength + ray1*index1; 
                 completedray = {rsx, rsy, rsz, rex, 
                   rey, rez, r1, r2, r3, 
                   r4, r5, r6, r7, r8, 
                   r9, wavelength, intensity, intensityscale, 
                   ray1, index, opticallength, phaseshift, 
                   componentnumber, surfacenumber, surfaceid, ray2, 
                   ray3, sid, frontid, sno1, sno2, 
                   sno3, sno4, rayslot, generationnumber, 
                   intersectionnumber, pol1, pol2, pol3}; 
                 reportedrayspresent = True; intersectionspresent = True; \
deflectedrayspresent = 
                  True; localdummyoutrayspresent = True; (surfnorm = \
1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; 
                  dummymatrix = ({{0., 0., -1.}, {0., 1., 0.}, {1., 0., 0.}} \
. #1 & ) /@ surfnorm; 
                  surfnorm = (#1/Sqrt[#1 . #1] & ) /@ dummymatrix; \
surfacerotationmatrix = 
                   {{0, 0, 1.}, {0, 1., 0}, {-1., 0, 0}}; \
surfacetranslationvector = {100., 0, -75.}; activeregion = 0.; 
                  completedray = {rsx, rsy, rsz, rex, 
                    rey, rez, r1, r2, r3, 
                    r4, r5, r6, r7, r8, 
                    r9, wavelength, intensity, intensityscale, 
                    ray1, index, opticallength, phaseshift, 
                    componentnumber, surfacenumber, surfaceid, ray2, 
                    ray3, sid, frontid, sno1, sno2, 
                    sno3, sno4, rayslot, generationnumber, 
                    intersectionnumber, pol1, pol2, pol3}; 
                  componentnumber = newcomponentnumber; surfacenumber = 
                   newsurfacenumber; surfaceid = newsurfaceid; originalray = 
                   {rsx, rsy, rsz, rex, rey, 
                    rez, r1, r2, r3, r4, 
                    r5, r6, r7, r8, r9, 
                    wavelength, intensity, intensityscale, ray1, 
                    index, opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; intensity = 0.; 
                  allcreatedrays = {{rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     generationnumber, intersectionnumber, pol1, pol2, 
                     pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., \
-1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 
                  {completedray}}, resonatenumber == 6, {rsx, rsy, 
                   rsz, rex, rey, rez, r1, 
                   r2, r3, r4, r5, r6, 
                   r7, r8, r9, wavelength, intensity, 
                   intensityscale, ray1, index, opticallength, 
                   phaseshift, componentnumber, surfacenumber, surfaceid, 
                   ray2, ray3, sid, frontid, sno1, 
                   sno2, sno3, sno4, rayslot, 
                   oldgenerationnumber, intersectionnumber, pol1, pol2, 
                   pol3} = #1; index1 = index; xunit = 
                  -1.*r3; yunit = -1.*r2; zunit = 
                  -1.*r1; xunit = Chop[xunit]; yunit = 
                  Chop[yunit]; zunit = Chop[zunit]; magnitude = 
                  (xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = 
                  xunit/magnitude; yunit = yunit/
                   magnitude; zunit = zunit/magnitude; 
                 rx = -1.*(-75. + rez); ry = -1.*rey; 
                 rz = -1.*(-100. + rex); rx = Chop[rx]; 
                 ry = Chop[ry]; rz = Chop[rz]; 
                 terminatedeflection = False; intersections = {{-1., 0., \
0.}}; intersections = 
                  resonateintersections; holeQ = holeQlist[[
                    resonatenumber]] == 1; {newcomponentnumber, \
newsurfacenumber, 
                   newsurfaceid} = {2., 6., 16603.}; {componentnumber, \
surfacenumber, 
                   surfaceid} = {2., 6., 16603.}; {ray1, ray2, ray3} = 
                  intersections[[1]]; rsx = rex; rsy = 
                  rey; rsz = rez; rxhlp = rx + 
                   ray1*xunit; ryhlp = ry + ray1*
                    yunit; rzhlp = rz + ray1*zunit; 
                 rex = 100. - 1.*rzhlp; rey = -1.*ryhlp; 
                 rez = 75. - 1.*rxhlp; rex = Chop[rex]; 
                 rey = Chop[rey]; rez = Chop[rez]; 
                 If[rex == 0 && rey == 0 && rez == 0, rex = 
                    100. + rxhlp; rey = ryhlp; rez = 
                    75. + rzhlp, rex]; intersectionnumber = 
                  intersectionnumber + 1.; opticallength = opticallength + 
                   ray1*index1; completedray = {rsx, 
                   rsy, rsz, rex, rey, rez, 
                   r1, r2, r3, r4, r5, 
                   r6, r7, r8, r9, wavelength, 
                   intensity, intensityscale, ray1, index, 
                   opticallength, phaseshift, componentnumber, surfacenumber, \

                   surfaceid, ray2, ray3, sid, frontid, 
                   sno1, sno2, sno3, sno4, rayslot, 
                   generationnumber, intersectionnumber, pol1, pol2, 
                   pol3}; reportedrayspresent = True; intersectionspresent = \
True; 
                 deflectedrayspresent = True; localdummyoutrayspresent = \
True; (surfnorm = 
                   1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; dummymatrix = \
({{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 0.}} . #1 & ) /@ 
                    surfnorm; surfnorm = (#1/Sqrt[#1 . #1] & ) /@ \
dummymatrix; 
                  surfacerotationmatrix = {{0, 0, -1.}, {0, -1., 0}, {-1., 0, \
0}}; surfacetranslationvector = 
                   {100., 0, 75.}; activeregion = 0.; completedray = {rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; componentnumber = 
                   newcomponentnumber; surfacenumber = newsurfacenumber; 
                  surfaceid = newsurfaceid; originalray = {rsx, 
                    rsy, rsz, rex, rey, rez, 
                    r1, r2, r3, r4, r5, 
                    r6, r7, r8, r9, wavelength, 
                    intensity, intensityscale, ray1, index, 
                    opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}; intensity = 0.; 
                  allcreatedrays = {{rsx, rsy, rsz, 
                     rex, rey, rez, r1, r2, 
                     r3, r4, r5, r6, r7, 
                     r8, r9, wavelength, intensity, 
                     intensityscale, ray1, index, opticallength, 
                     phaseshift, componentnumber, surfacenumber, surfaceid, 
                     ray2, ray3, sid, frontid, sno1, 
                     sno2, sno3, sno4, rayslot, 
                     generationnumber, intersectionnumber, pol1, pol2, 
                     pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., \
-1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 
                  {completedray}}, True, deflecteddummyrayspresent = True; 
                 reporteddummyrayspresent = True; localoutrayspresent = True; \
{{{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., \
1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1.}}, 
                  {{rsx, rsy, rsz, rex, rey, 
                    rez, r1, r2, r3, r4, 
                    r5, r6, r7, r8, r9, 
                    wavelength, intensity, intensityscale, ray1, 
                    index, opticallength, phaseshift, componentnumber, 
                    surfacenumber, surfaceid, ray2, ray3, 
                    sid, frontid, sno1, sno2, sno3, 
                    sno4, rayslot, generationnumber, intersectionnumber, 
                    pol1, pol2, pol3}}, {{1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 
                    1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., \
-1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}}], 
              deflecteddummyrayspresent = True; reporteddummyrayspresent = \
True; 
               localdummyoutrayspresent = True; {{{1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 
                  1., 1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1.}}, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 
                  1., 1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., \
-1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 
                {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., 1., 1., 1., \
1., 1., 
                  1., 1., 1., 1., 1., 1., 1., 1., 1.}}}]) & ) /@ inrays]; 
       If[deflectedrayspresent && deflecteddummyrayspresent, \
deflectedlocalrays = 
         Select[deflectedlocalrays, #1[[23]] > 0. & ]*1., 1.]; \
If[localoutrayspresent, 
        If[localdummyoutrayspresent, localoutrays = Select[localoutrays, \
#1[[23]] > 0. & ]; 1., 
          1.]; outrays = Join[outrays, localoutrays]; 1., 1.]; 
       If[reportedrayspresent && reporteddummyrayspresent, 
        reportedlocalrays = Select[reportedlocalrays, #1[[23]] > 0. & ]; 1., \
1.]); 
      If[reportedrayspresent, raysreported = True; reportedrays = 
         Join[reportedrays, {{-1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \

            -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308}}, 
          reportedlocalrays]; 1., 1.]; inrays = deflectedlocalrays; 
      propagate = generationnumber < generationlimit]; 
    propagatedrays = If[Length[outrays] > 1, Drop[outrays, 1], outrays]; 
    If[generationnumber >= generationlimit && deflectedrayspresent, 
     propagatedrays = Join[propagatedrays, deflectedlocalrays]; 1., 1.]); 
   If[Length[reportedrays] > 2, reportedrays = Drop[reportedrays, 2], 
    reportedrays]; ({#1[[1]], #1[[2]], #1[[3]], #1[[4]], #1[[5]], #1[[6]]} & \
) /@ reportedrays]];\
\>", "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.3515511137689*^9, 3.35155113882209*^9}, {
   3.35156386273685*^9, 3.35156386696868*^9}, {3.35156727661647*^9, 
   3.35156727779012*^9}, {3.3516035963262*^9, 3.35160362441721*^9}, {
   3.35160492442588*^9, 3.35160495048182*^9}, {3.35160622609499*^9, 
   3.35160624585787*^9}, {3.35160636176969*^9, 3.35160636227739*^9}, 
   3.35160658180915*^9, {3.35161506931532*^9, 3.35161508979164*^9}, {
   3.351616270762*^9, 3.35161628611769*^9}, {3.35161990000432*^9, 
   3.35161991578381*^9}, 3.387986826773321*^9},
 CellID->471820287],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"rot", "[", 
    RowBox[{"pt_", ",", "a_", ",", "cen_"}], "]"}], ":=", 
   RowBox[{"cen", "+", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"-", "a"}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"-", "a"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Sin", "[", 
           RowBox[{"-", "a"}], "]"}]}], ",", 
         RowBox[{"Cos", "[", 
          RowBox[{"-", "a"}], "]"}]}], "}"}]}], "}"}], ".", 
     RowBox[{"(", 
      RowBox[{"pt", "-", "cen"}], ")"}]}]}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35161822430527*^9, 3.35161824161779*^9}, {
   3.35161855383989*^9, 3.35161856754187*^9}, {3.35161861806625*^9, 
   3.35161864778575*^9}, 3.387986826773469*^9},
 CellID->94849684],

Cell[BoxData[
 RowBox[{
  RowBox[{"surface", "[", 
   RowBox[{"r1_", ",", "r2_", ",", "ap_", ",", "x_", ",", "t_", ",", "y_"}], 
   "]"}], ":=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"r1", "+", "x", "-", 
         RowBox[{
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"r1", "^", "2"}], "-", 
            RowBox[{"yy", "^", "2"}]}], "]"}], "*", 
          RowBox[{"Sign", "[", "r1", "]"}]}]}], ",", 
        RowBox[{"y", "+", "yy"}]}], "}"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"yy", ",", 
        RowBox[{
         RowBox[{"-", "ap"}], "/", "2"}], ",", 
        RowBox[{"ap", "/", "2"}], ",", 
        RowBox[{"ap", "/", "20"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"Reverse", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"r2", "+", "x", "+", "t", "-", 
          RowBox[{
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"r2", "^", "2"}], "-", 
             RowBox[{"yy", "^", "2"}]}], "]"}], "*", 
           RowBox[{"Sign", "[", "r2", "]"}]}]}], ",", 
         RowBox[{"y", "+", "yy"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"yy", ",", 
         RowBox[{
          RowBox[{"-", "ap"}], "/", "2"}], ",", 
         RowBox[{"ap", "/", "2"}], ",", 
         RowBox[{"ap", "/", "20"}]}], "}"}]}], "]"}], "]"}]}], 
   "]"}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35154600449629*^9, 3.35154609639351*^9}, {
   3.35154617057917*^9, 3.35154621442025*^9}, {3.35154647803757*^9, 
   3.3515464808777*^9}, 3.35154677585316*^9, {3.35154779518237*^9, 
   3.35154780353233*^9}, {3.35154783603008*^9, 3.35154784808763*^9}, {
   3.35154791235964*^9, 3.3515479202278*^9}, {3.35154799514425*^9, 
   3.3515479980206*^9}, {3.35156224607055*^9, 3.35156234237067*^9}, {
   3.35156290124579*^9, 3.35156292267803*^9}, 3.387986826773614*^9},
 CellID->74345241],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"system", "[", 
    RowBox[{
    "as1_", ",", "as2_", ",", "wl1_", ",", "wl2_", ",", "xs1_", ",", "xs2_", 
     ",", "ys1_", ",", "ys2_", ",", "aa_", ",", "ab_", ",", "apa_", ",", 
     "apb_", ",", "ca1_", ",", "ca2_", ",", "cb1_", ",", "cb2_", ",", "ta_", 
     ",", "tb_", ",", "xa1_", ",", "xb1_", ",", "ya1_", ",", "yb1_"}], "]"}], 
   ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"micronsToColor", "[", "wl1", "]"}], ",", "\[IndentingNewLine]", 
     
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"wl1", "<", ".380"}], ")"}], "||", 
        RowBox[{"(", 
         RowBox[{"wl1", ">", ".780"}], ")"}]}], ",", 
       RowBox[{"AbsoluteDashing", "[", 
        RowBox[{"{", 
         RowBox[{"3", ",", "3"}], "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "}"}], "]"}]}], "]"}], ",", 
     RowBox[{"Line", "[", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"{", 
              RowBox[{"1", ",", "2"}], "}"}], "]"}], "]"}], ",", 
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"{", 
              RowBox[{"4", ",", "5"}], "}"}], "]"}], "]"}]}], "}"}], "&"}], 
        ",", 
        RowBox[{"rayfunction", "[", 
         RowBox[{
         "as1", ",", "wl1", ",", "xs1", ",", "ys1", ",", "aa", ",", "ab", ",",
           "apa", ",", "apb", ",", "ca1", ",", "ca2", ",", "cb1", ",", "cb2", 
          ",", "ta", ",", "tb", ",", "xa1", ",", "xb1", ",", "ya1", ",", 
          "yb1"}], "]"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"micronsToColor", "[", "wl2", "]"}], ",", "\[IndentingNewLine]", 
     
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"wl2", "<", ".380"}], ")"}], "||", 
        RowBox[{"(", 
         RowBox[{"wl2", ">", ".780"}], ")"}]}], ",", 
       RowBox[{"AbsoluteDashing", "[", 
        RowBox[{"{", 
         RowBox[{"3", ",", "3"}], "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "}"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"{", 
              RowBox[{"1", ",", "2"}], "}"}], "]"}], "]"}], ",", 
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"{", 
              RowBox[{"4", ",", "5"}], "}"}], "]"}], "]"}]}], "}"}], "&"}], 
        ",", 
        RowBox[{"rayfunction", "[", 
         RowBox[{
         "as2", ",", "wl2", ",", "xs2", ",", "ys2", ",", "aa", ",", "ab", ",",
           "apa", ",", "apb", ",", "ca1", ",", "ca2", ",", "cb1", ",", "cb2", 
          ",", "ta", ",", "tb", ",", "xa1", ",", "xb1", ",", "ya1", ",", 
          "yb1"}], "]"}]}], "]"}], "]"}]}], "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35154689467718*^9, 3.35154691017901*^9}, {
   3.35154800455981*^9, 3.35154804403945*^9}, {3.3515597320332*^9, 
   3.35155977468175*^9}, {3.35155986046713*^9, 3.35155986402298*^9}, {
   3.35156102242264*^9, 3.3515610442112*^9}, {3.35156127188803*^9, 
   3.35156127510882*^9}, {3.35156137850938*^9, 3.35156139945374*^9}, 
   3.35156186535645*^9, 3.35156242715277*^9, 3.35156263430281*^9, {
   3.35156271092562*^9, 3.35156276088703*^9}, {3.35156293239916*^9, 
   3.35156293698212*^9}, {3.35156360131485*^9, 3.3515636511667*^9}, {
   3.35156409970291*^9, 3.35156417550552*^9}, {3.35156975892133*^9, 
   3.3515698712103*^9}, {3.35156995630141*^9, 3.35156999050727*^9}, {
   3.35157006177892*^9, 3.35157006692418*^9}, {3.35157013549922*^9, 
   3.3515702863193*^9}, {3.3516063425249*^9, 3.3516063456263*^9}, {
   3.35160638670889*^9, 3.35160641646715*^9}, {3.35160647083026*^9, 
   3.35160647102564*^9}, 3.35160650622448*^9, {3.35160659020284*^9, 
   3.35160665344035*^9}, {3.35160668999078*^9, 3.3516066917562*^9}, {
   3.35160679951583*^9, 3.35160680171732*^9}, {3.35160698458434*^9, 
   3.35160708406631*^9}, {3.3516071187975*^9, 3.35160714745353*^9}, {
   3.3516074341297*^9, 3.35160751237254*^9}, {3.35161631607295*^9, 
   3.35161633024543*^9}, 3.35161700774248*^9, {3.35161705448866*^9, 
   3.35161706049997*^9}, 3.3879868267737617`*^9},
 CellID->58397636],

Cell[BoxData[
 RowBox[{
  RowBox[{"locatorSize", "=", "10"}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35162003142658*^9, 3.35162003632901*^9}, {
   3.35162008383437*^9, 3.35162008924256*^9}, {3.35162015147818*^9, 
   3.35162015194255*^9}, {3.36034246003973*^9, 3.36034246014595*^9}, 
   3.384458066921875*^9, {3.38445856696875*^9, 3.384458567515625*^9}, {
   3.384458694359375*^9, 3.3844586945*^9}, 3.387986826773922*^9},
 CellID->313739328],

Cell[BoxData[
 RowBox[{
  RowBox[{"locatorDot", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Lighter", "[", "Blue", "]"}], ",", 
     RowBox[{"Disk", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", ".5"}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35156944251442*^9, 3.35156944552142*^9}, {
   3.35156968266875*^9, 3.35156973205287*^9}, {3.35156988808833*^9, 
   3.35156990521855*^9}, {3.35160447790473*^9, 3.35160447920619*^9}, {
   3.35161762879993*^9, 3.35161762916341*^9}, 3.387986826774064*^9},
 CellID->17795521],

Cell[BoxData[
 RowBox[{
  RowBox[{"locatorMaster", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Lighter", "[", "Red", "]"}], ",", 
     RowBox[{"Disk", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", ".8"}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35156944251442*^9, 3.35156944552142*^9}, {
   3.35156968266875*^9, 3.35156973205287*^9}, {3.35156988808833*^9, 
   3.35156990521855*^9}, {3.35160447790473*^9, 3.35160447920619*^9}, {
   3.35160773521796*^9, 3.35160774553958*^9}, {3.35161762986095*^9, 
   3.3516176301424*^9}, 3.387986826774218*^9},
 CellID->92530898],

Cell[BoxData[
 RowBox[{
  RowBox[{"locatorLeftRight", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Lighter", "[", "Blue", "]"}], ",", 
     RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
     RowBox[{"Arrowheads", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".5", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".5"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35160436403508*^9, 3.3516043728527*^9}, {
   3.35161763120576*^9, 3.35161763161928*^9}, 3.387986826774376*^9},
 CellID->427279974],

Cell[BoxData[
 RowBox[{
  RowBox[{"locatorUpDown", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Lighter", "[", "Blue", "]"}], ",", 
     RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
     RowBox[{"Arrowheads", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".5", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".5"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35160436403508*^9, 3.3516043728527*^9}, {
   3.35160448563852*^9, 3.35160449223638*^9}, {3.35161763239926*^9, 
   3.35161763281343*^9}, 3.3879868267745237`*^9},
 CellID->236492157],

Cell[BoxData[
 RowBox[{
  RowBox[{"locatorAll", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Lighter", "[", "Blue", "]"}], ",", 
     RowBox[{"AbsoluteThickness", "[", "2", "]"}], ",", 
     RowBox[{"Arrowheads", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".5", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".5"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35160436403508*^9, 3.3516043728527*^9}, {
   3.35160441077557*^9, 3.35160442942191*^9}, {3.35161763352675*^9, 
   3.35161763395839*^9}, 3.387986826774684*^9},
 CellID->440062087],

Cell[BoxData[
 RowBox[{
  RowBox[{"locatorLeftRight", "=", 
   RowBox[{"locatorUpDown", "=", 
    RowBox[{"locatorAll", "=", "locatorDot"}]}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35160458257283*^9, 3.35160459205819*^9}, 
   3.3879868267748404`*^9},
 CellID->175376957],

Cell[BoxData[
 RowBox[{
  RowBox[{"lensWithControls", "[", 
   RowBox[{
    RowBox[{"Dynamic", "[", "r1_", "]"}], ",", 
    RowBox[{"Dynamic", "[", "r2_", "]"}], ",", 
    RowBox[{"Dynamic", "[", "a_", "]"}], ",", 
    RowBox[{"Dynamic", "[", "ap_", "]"}], ",", 
    RowBox[{"Dynamic", "[", "x_", "]"}], ",", 
    RowBox[{"Dynamic", "[", "t_", "]"}], ",", 
    RowBox[{"Dynamic", "[", "y_", "]"}]}], "]"}], ":=", 
  RowBox[{"{", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Dynamic", "[", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"Polygon", "[", 
        RowBox[{"surface", "[", 
         RowBox[{
          RowBox[{"1", "/", "r1"}], ",", 
          RowBox[{"1", "/", "r2"}], ",", "ap", ",", "x", ",", "t", ",", "y"}],
          "]"}], "]"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Locator", "[", 
     RowBox[{
      RowBox[{"Dynamic", "[", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"locatorMaster", ",", 
        RowBox[{"ImageSize", "\[Rule]", "locatorSize"}]}], "]"}]}], "]"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"Locator", "[", 
     RowBox[{
      RowBox[{"Dynamic", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "+", 
         RowBox[{"5", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cos", "[", "a", "]"}], ",", 
            RowBox[{"Sin", "[", "a", "]"}]}], "}"}]}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a", "=", 
           RowBox[{"Apply", "[", 
            RowBox[{"ArcTan", ",", 
             RowBox[{"#", "-", 
              RowBox[{"{", 
               RowBox[{"x", ",", "y"}], "}"}]}]}], "]"}]}], ")"}], "&"}]}], 
       "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"locatorDot", ",", 
        RowBox[{"ImageSize", "\[Rule]", "locatorSize"}]}], "]"}]}], "]"}], 
    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Locator", "[", 
     RowBox[{
      RowBox[{"Dynamic", "[", 
       RowBox[{
        RowBox[{"rot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "+", "t"}], ",", "y"}], "}"}], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"t", "=", 
           RowBox[{
            RowBox[{"First", "[", 
             RowBox[{"rot", "[", 
              RowBox[{"#", ",", 
               RowBox[{"-", "a"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "]"}], "-", "x"}]}], 
          ")"}], "&"}]}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"locatorLeftRight", ",", 
        RowBox[{"ImageSize", "\[Rule]", "locatorSize"}]}], "]"}]}], "]"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"Locator", "[", 
     RowBox[{
      RowBox[{"Dynamic", "[", 
       RowBox[{
        RowBox[{"rot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"1", "/", "r1"}], "+", "x", "-", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "/", "r1"}], ")"}], "^", "2"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"ap", "/", "2"}], ")"}], "^", "2"}]}], "]"}], "*",
                   
                  RowBox[{"Sign", "[", 
                   RowBox[{"1", "/", "r1"}], "]"}]}]}], ")"}], "+", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"1", "/", "r2"}], "+", "x", "-", 
                 RowBox[{
                  RowBox[{"Sqrt", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "/", "r2"}], ")"}], "^", "2"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"ap", "/", "2"}], ")"}], "^", "2"}]}], "]"}], "*",
                   
                  RowBox[{"Sign", "[", 
                   RowBox[{"1", "/", "r2"}], "]"}]}], "+", "t"}], ")"}]}], 
              ")"}], "/", "2"}], ",", 
            RowBox[{"y", "-", 
             RowBox[{"ap", "/", "2"}]}]}], "}"}], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"ap", "=", 
           RowBox[{"2", 
            RowBox[{"(", 
             RowBox[{"y", "-", 
              RowBox[{"Last", "[", 
               RowBox[{"rot", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"-", "a"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "]"}]}], ")"}]}]}],
           ")"}], "&"}]}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"locatorUpDown", ",", 
        RowBox[{"ImageSize", "\[Rule]", "locatorSize"}]}], "]"}]}], "]"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"Locator", "[", 
     RowBox[{
      RowBox[{"Dynamic", "[", 
       RowBox[{
        RowBox[{"rot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"1", "/", "r1"}], "+", "x", "-", 
             RowBox[{
              RowBox[{"Sqrt", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "/", "r1"}], ")"}], "^", "2"}], "-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"ap", "/", "2"}], ")"}], "^", "2"}]}], "]"}], "*", 
              RowBox[{"Sign", "[", 
               RowBox[{"1", "/", "r1"}], "]"}]}]}], ",", 
            RowBox[{"y", "+", 
             RowBox[{"ap", "/", "2"}]}]}], "}"}], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r1", "=", 
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"c", "=", 
               RowBox[{"First", "[", 
                RowBox[{"rot", "[", 
                 RowBox[{"#", ",", 
                  RowBox[{"-", "a"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "]"}]}], "}"}], 
             ",", 
             RowBox[{"-", 
              FractionBox[
               RowBox[{"8", " ", 
                RowBox[{"(", 
                 RowBox[{"x", "-", "c"}], ")"}]}], 
               RowBox[{
                SuperscriptBox["ap", "2"], "+", 
                RowBox[{"4", " ", 
                 SuperscriptBox["x", "2"]}], "-", 
                RowBox[{"8", " ", "x", " ", "c"}], "+", 
                RowBox[{"4", " ", 
                 SuperscriptBox["c", "2"]}]}]]}]}], "]"}]}], ")"}], "&"}]}], 
       "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"locatorLeftRight", ",", 
        RowBox[{"ImageSize", "\[Rule]", "locatorSize"}]}], "]"}]}], "]"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"Locator", "[", 
     RowBox[{
      RowBox[{"Dynamic", "[", 
       RowBox[{
        RowBox[{"rot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"1", "/", "r2"}], "+", "x", "-", 
             RowBox[{
              RowBox[{"Sqrt", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "/", "r2"}], ")"}], "^", "2"}], "-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"ap", "/", "2"}], ")"}], "^", "2"}]}], "]"}], "*", 
              RowBox[{"Sign", "[", 
               RowBox[{"1", "/", "r2"}], "]"}]}], "+", "t"}], ",", 
            RowBox[{"y", "+", 
             RowBox[{"ap", "/", "2"}]}]}], "}"}], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}]}], "]"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"c", "=", 
              RowBox[{"First", "[", 
               RowBox[{"rot", "[", 
                RowBox[{"#", ",", 
                 RowBox[{"-", "a"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "]"}]}], "}"}], 
            ",", 
            RowBox[{"r2", "=", 
             RowBox[{"-", 
              FractionBox[
               RowBox[{"8", " ", 
                RowBox[{"(", 
                 RowBox[{"x", "-", 
                  RowBox[{"(", 
                   RowBox[{"c", "-", "t"}], ")"}]}], ")"}]}], 
               RowBox[{
                SuperscriptBox["ap", "2"], "+", 
                RowBox[{"4", " ", 
                 SuperscriptBox["x", "2"]}], "-", 
                RowBox[{"8", " ", "x", " ", 
                 RowBox[{"(", 
                  RowBox[{"c", "-", "t"}], ")"}]}], "+", 
                RowBox[{"4", " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"c", "-", "t"}], ")"}], "2"]}]}]]}]}]}], "]"}], 
          ")"}], "&"}]}], "]"}], ",", 
      RowBox[{"Graphics", "[", 
       RowBox[{"locatorLeftRight", ",", 
        RowBox[{"ImageSize", "\[Rule]", "locatorSize"}]}], "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", "}"}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.35156158333187*^9, 3.3515616705934*^9}, {
   3.35156174130867*^9, 3.35156176942344*^9}, {3.35156205634584*^9, 
   3.35156207206692*^9}, {3.35156258653621*^9, 3.35156259854157*^9}, {
   3.35156269932869*^9, 3.35156270662449*^9}, {3.35156276663936*^9, 
   3.35156276850804*^9}, {3.35156295409387*^9, 3.35156300631016*^9}, {
   3.35156305315354*^9, 3.3515630587443*^9}, {3.35156368445751*^9, 
   3.35156368675794*^9}, 3.35156374025117*^9, {3.35156524592599*^9, 
   3.35156527708528*^9}, {3.35156532058664*^9, 3.35156533323177*^9}, {
   3.35156536961236*^9, 3.35156538453817*^9}, {3.35156554304039*^9, 
   3.3515655776234*^9}, {3.35156564516912*^9, 3.35156568175073*^9}, {
   3.35156572442531*^9, 3.35156573572749*^9}, {3.35156588239413*^9, 
   3.35156590207958*^9}, {3.35156597083963*^9, 3.35156599872112*^9}, {
   3.3515691712465*^9, 3.35156928787715*^9}, {3.35156931996031*^9, 
   3.35156934556331*^9}, {3.35156938159327*^9, 3.35156948335743*^9}, {
   3.35156953402721*^9, 3.35156953447658*^9}, {3.35156960245073*^9, 
   3.35156961916004*^9}, 3.35156965266077*^9, {3.35160438174142*^9, 
   3.35160440134179*^9}, {3.35160449895448*^9, 3.35160452006594*^9}, {
   3.35160769710241*^9, 3.35160772937073*^9}, {3.35161640391256*^9, 
   3.35161642742263*^9}, {3.35161647935516*^9, 3.35161652503378*^9}, {
   3.35161660939885*^9, 3.35161663056439*^9}, {3.35161696575069*^9, 
   3.3516170300641*^9}, {3.35161709573331*^9, 3.35161712762058*^9}, {
   3.35161715932375*^9, 3.35161716211855*^9}, {3.35161722250309*^9, 
   3.35161722713647*^9}, {3.35161728649707*^9, 3.3516173328172*^9}, {
   3.35161739343645*^9, 3.35161740298806*^9}, {3.35161748589356*^9, 
   3.35161750106167*^9}, {3.35161764073727*^9, 3.35161766760553*^9}, {
   3.35161835267174*^9, 3.35161835598566*^9}, {3.35161845412077*^9, 
   3.35161846680619*^9}, 3.35161850698935*^9, {3.35161857497847*^9, 
   3.35161859232761*^9}, {3.35161867111738*^9, 3.35161870303527*^9}, {
   3.35161883847887*^9, 3.35161884631137*^9}, 3.35161890811197*^9, 
   3.3516189572082*^9, {3.3516190097491*^9, 3.35161911368175*^9}, {
   3.3516201133505*^9, 3.35162012044627*^9}, {3.36000461531209*^9, 
   3.36000461577736*^9}, {3.38445794728125*^9, 3.38445797134375*^9}, {
   3.384459073625*^9, 3.384459103265625*^9}, {3.3844591495*^9, 
   3.384459152359375*^9}, 3.3879868267749863`*^9},
 CellID->347787142],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Attributes", "[", "LensLayout", "]"}], "=", 
   RowBox[{"{", "HoldAll", "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.36430561429624*^9, 3.36430562030043*^9}, 
   3.387986826775145*^9},
 CellID->521064781],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"LensLayout", "[", 
    RowBox[{"{", 
     RowBox[{
     "wavelength1_", ",", "wavelength2_", ",", "sourceAngle_", ",", 
      "sourceXY1_", ",", "sourceXY2_", ",", "lensAngle_", ",", 
      "thicknessAndAperture1_", ",", "thicknessAndAperture2_", ",", 
      "curvature1_", ",", "curvature2_", ",", "a_", ",", "b_"}], "}"}], "]"}],
    ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Dynamic", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"system", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"sourceAngle", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "/", "Degree"}], ",", 
            RowBox[{
             RowBox[{"sourceAngle", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "/", "Degree"}], ",", 
            "wavelength1", ",", "wavelength2", ",", 
            RowBox[{"sourceXY1", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"sourceXY2", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"sourceXY1", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"sourceXY2", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"lensAngle", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "/", "Degree"}], ",", 
            RowBox[{
             RowBox[{"lensAngle", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "/", "Degree"}], ",", 
            RowBox[{"thicknessAndAperture1", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"thicknessAndAperture2", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"curvature1", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"curvature1", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"curvature2", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"curvature2", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"thicknessAndAperture1", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"thicknessAndAperture2", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"a", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"b", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"a", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"b", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
          RowBox[{"Lighter", "[", "Blue", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{"sourceXY1", ",", 
             RowBox[{"sourceXY1", "+", 
              RowBox[{"10", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"sourceAngle", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"sourceAngle", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}]}]}], 
            "}"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{"sourceXY2", ",", 
             RowBox[{"sourceXY2", "+", 
              RowBox[{"10", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"sourceAngle", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"sourceAngle", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}]}]}], 
            "}"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Arrowheads", "\[Rule]", "Medium"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{"a", ",", 
             RowBox[{"a", "+", 
              RowBox[{"5", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"lensAngle", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"lensAngle", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}]}]}], 
            "}"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{"b", ",", 
             RowBox[{"b", "+", 
              RowBox[{"5", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Cos", "[", 
                  RowBox[{"lensAngle", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"lensAngle", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}]}]}], 
            "}"}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Locator", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "sourceXY1", "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"locatorAll", ",", 
           RowBox[{"ImageSize", "\[Rule]", "locatorSize"}]}], "]"}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Locator", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "sourceXY2", "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"locatorAll", ",", 
           RowBox[{"ImageSize", "\[Rule]", "locatorSize"}]}], "]"}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Locator", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", 
          RowBox[{
           RowBox[{"sourceXY1", "+", 
            RowBox[{"10", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"sourceAngle", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
               RowBox[{"Sin", "[", 
                RowBox[{"sourceAngle", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}]}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"sourceAngle", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "=", 
              RowBox[{"Apply", "[", 
               RowBox[{"ArcTan", ",", 
                RowBox[{"#", "-", "sourceXY1"}]}], "]"}]}], ")"}], "&"}]}], 
          "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"locatorAll", ",", 
           RowBox[{"ImageSize", "\[Rule]", "locatorSize"}]}], "]"}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Locator", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", 
          RowBox[{
           RowBox[{"sourceXY2", "+", 
            RowBox[{"10", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"sourceAngle", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
               RowBox[{"Sin", "[", 
                RowBox[{"sourceAngle", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}]}], ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"sourceAngle", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "=", 
              RowBox[{"Apply", "[", 
               RowBox[{"ArcTan", ",", 
                RowBox[{"#", "-", "sourceXY2"}]}], "]"}]}], ")"}], "&"}]}], 
          "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"locatorAll", ",", 
           RowBox[{"ImageSize", "\[Rule]", "locatorSize"}]}], "]"}]}], "]"}], 
       ",", "\[IndentingNewLine]", "Cyan", ",", 
       RowBox[{"Opacity", "[", "0.4", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"lensWithControls", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", 
          RowBox[{"curvature1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"curvature1", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"lensAngle", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"thicknessAndAperture1", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"a", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"thicknessAndAperture1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"a", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"RGBColor", "[", 
        RowBox[{".4", ",", ".6", ",", ".8"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"lensWithControls", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", 
          RowBox[{"curvature2", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"curvature2", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"lensAngle", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"thicknessAndAperture2", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"b", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"thicknessAndAperture2", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"b", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "205"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "80"}], ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.36430486146677*^9, 3.36430488511981*^9}, {
   3.36430546222972*^9, 3.36430548281923*^9}, {3.368293216563521*^9, 
   3.368293237788928*^9}, {3.368293388851396*^9, 3.3682934490471573`*^9}, {
   3.3682935053213263`*^9, 3.368293577984696*^9}, {3.3682938330886583`*^9, 
   3.368293947471753*^9}, {3.368293978053543*^9, 3.36829402200071*^9}, {
   3.368294191705482*^9, 3.368294224712907*^9}, {3.368294402885693*^9, 
   3.368294483119636*^9}, {3.368294634035795*^9, 3.368294667103263*^9}, {
   3.3682950595396233`*^9, 3.3682950895086927`*^9}, {3.368295189414628*^9, 
   3.368295255583227*^9}, {3.368295333189242*^9, 3.368295342824233*^9}, {
   3.3700083391982417`*^9, 3.370008339276366*^9}, {3.3844579759375*^9, 
   3.38445799025*^9}, {3.384459107265625*^9, 3.384459126796875*^9}, 
   3.38798682677529*^9},
 CellID->231788421],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Deploy", "[", 
    RowBox[{"LensLayout", "[", 
     RowBox[{"{", 
      RowBox[{
      "wavelength1", ",", "wavelength2", ",", "sourceAngle", ",", "sourceXY1",
        ",", "sourceXY2", ",", "lensAngle", ",", "thicknessAndAperture1", ",",
        "thicknessAndAperture2", ",", "curvature1", ",", "curvature2", ",", 
       "lensLocation1", ",", "lensLocation2"}], "}"}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "wavelength1", ",", "0.532", ",", 
       "\"\<\!\(\*SubscriptBox[\(\[Lambda]\), \(1\)]\)\>\""}], "}"}], ",", 
     ".2", ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "Manipulator"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "wavelength2", ",", "0.532", ",", 
       "\"\<\!\(\*SubscriptBox[\(\[Lambda]\), \(2\)]\)\>\""}], "}"}], ",", 
     ".2", ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "Manipulator"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sourceAngle", ",", 
       RowBox[{"{", 
        RowBox[{"0.", ",", "0."}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "Pi"}], ",", 
       RowBox[{"-", "Pi"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Pi", ",", "Pi"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sourceXY1", ",", 
       RowBox[{"{", 
        RowBox[{"0.", ",", "0."}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "80"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"200", ",", "80"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sourceXY2", ",", 
       RowBox[{"{", 
        RowBox[{"0.", ",", "10."}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "80"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"200", ",", "80"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lensAngle", ",", 
       RowBox[{"{", 
        RowBox[{"0.", ",", "0."}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "Pi"}], ",", 
       RowBox[{"-", "Pi"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Pi", ",", "Pi"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"thicknessAndAperture1", ",", 
       RowBox[{"{", 
        RowBox[{"10.", ",", "50."}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "100"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"thicknessAndAperture2", ",", 
       RowBox[{"{", 
        RowBox[{"10.", ",", "50."}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "100"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"curvature1", ",", 
       RowBox[{"{", 
        RowBox[{"0.01", ",", 
         RowBox[{"-", "0.01"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.03"}], ",", 
       RowBox[{"-", "0.03"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.03", ",", "0.03"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"curvature2", ",", 
       RowBox[{"{", 
        RowBox[{"0.01", ",", 
         RowBox[{"-", "0.01"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.03"}], ",", 
       RowBox[{"-", "0.03"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.03", ",", "0.03"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lensLocation1", ",", 
       RowBox[{"{", 
        RowBox[{"50.", ",", "0."}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "80"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"200", ",", "80"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lensLocation2", ",", 
       RowBox[{"{", 
        RowBox[{"75.", ",", "0."}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "80"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"200", ",", "80"}], "}"}]}], "}"}], ",", 
   RowBox[{"ControlType", "\[Rule]", "None"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "9", ",", "10"}], "}"}]}]}], "]"}]], "Input",\

 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.35696210375764*^9, {3.370008304354715*^9, 3.370008314307776*^9}, {
   3.370008367932433*^9, 3.370008425838312*^9}, {3.3700089734910574`*^9, 
   3.370008995209668*^9}, {3.3700090483655777`*^9, 3.370009049287447*^9}, {
   3.38445922021875*^9, 3.3844592205*^9}, 3.387986826775466*^9},
 CellID->1496021318],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`curvature1$$ = {
    0.01, -0.01}, $CellContext`curvature2$$ = {
    0.01, -0.01}, $CellContext`lensAngle$$ = {0., 
    0.}, $CellContext`lensLocation1$$ = {50., 
    0.}, $CellContext`lensLocation2$$ = {75., 
    0.}, $CellContext`sourceAngle$$ = {0., 0.}, $CellContext`sourceXY1$$ = {
    0., 0.}, $CellContext`sourceXY2$$ = {0., 
    10.}, $CellContext`thicknessAndAperture1$$ = {10., 
    50.}, $CellContext`thicknessAndAperture2$$ = {10., 
    50.}, $CellContext`wavelength1$$ = 0.532, $CellContext`wavelength2$$ = 
    0.532, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`wavelength1$$], 0.532, 
       "\!\(\*SubscriptBox[\(\[Lambda]\), \(1\)]\)"}, 0.2, 1}, {{
       Hold[$CellContext`wavelength2$$], 0.532, 
       "\!\(\*SubscriptBox[\(\[Lambda]\), \(2\)]\)"}, 0.2, 1}, {{
       Hold[$CellContext`sourceAngle$$], {0., 0.}}, {-Pi, -Pi}, {Pi, Pi}}, {{
       Hold[$CellContext`sourceXY1$$], {0., 0.}}, {0, -80}, {200, 80}}, {{
       Hold[$CellContext`sourceXY2$$], {0., 10.}}, {0, -80}, {200, 80}}, {{
       Hold[$CellContext`lensAngle$$], {0., 0.}}, {-Pi, -Pi}, {Pi, Pi}}, {{
       Hold[$CellContext`thicknessAndAperture1$$], {10., 50.}}, {0, 1}, {100, 
      100}}, {{
       Hold[$CellContext`thicknessAndAperture2$$], {10., 50.}}, {0, 1}, {100, 
      100}}, {{
       Hold[$CellContext`curvature1$$], {0.01, -0.01}}, {-0.03, -0.03}, {0.03,
       0.03}}, {{
       Hold[$CellContext`curvature2$$], {0.01, -0.01}}, {-0.03, -0.03}, {0.03,
       0.03}}, {{
       Hold[$CellContext`lensLocation1$$], {50., 0.}}, {0, -80}, {200, 
      80}}, {{
       Hold[$CellContext`lensLocation2$$], {75., 0.}}, {0, -80}, {200, 80}}}, 
    Typeset`size$$ = {500., {188., 193.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`sourceAngle$562246$$ = {0, 
    0}, $CellContext`sourceXY1$562247$$ = {0, 
    0}, $CellContext`sourceXY2$562248$$ = {0, 
    0}, $CellContext`lensAngle$562249$$ = {0, 
    0}, $CellContext`thicknessAndAperture1$562250$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`curvature1$$ = {
         0.01, -0.01}, $CellContext`curvature2$$ = {
         0.01, -0.01}, $CellContext`lensAngle$$ = {0., 
         0.}, $CellContext`lensLocation1$$ = {50., 
         0.}, $CellContext`lensLocation2$$ = {75., 
         0.}, $CellContext`sourceAngle$$ = {0., 
         0.}, $CellContext`sourceXY1$$ = {0., 
         0.}, $CellContext`sourceXY2$$ = {0., 
         10.}, $CellContext`thicknessAndAperture1$$ = {10., 
         50.}, $CellContext`thicknessAndAperture2$$ = {10., 
         50.}, $CellContext`wavelength1$$ = 0.532, $CellContext`wavelength2$$ = 
        0.532}, "ControllerVariables" :> {
        Hold[$CellContext`sourceAngle$$, $CellContext`sourceAngle$562246$$, {
         0, 0}], 
        Hold[$CellContext`sourceXY1$$, $CellContext`sourceXY1$562247$$, {0, 
         0}], 
        Hold[$CellContext`sourceXY2$$, $CellContext`sourceXY2$562248$$, {0, 
         0}], 
        Hold[$CellContext`lensAngle$$, $CellContext`lensAngle$562249$$, {0, 
         0}], 
        Hold[$CellContext`thicknessAndAperture1$$, \
$CellContext`thicknessAndAperture1$562250$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Deploy[
        $CellContext`LensLayout[{$CellContext`wavelength1$$, \
$CellContext`wavelength2$$, $CellContext`sourceAngle$$, \
$CellContext`sourceXY1$$, $CellContext`sourceXY2$$, $CellContext`lensAngle$$, \
$CellContext`thicknessAndAperture1$$, $CellContext`thicknessAndAperture2$$, \
$CellContext`curvature1$$, $CellContext`curvature2$$, \
$CellContext`lensLocation1$$, $CellContext`lensLocation2$$}]], 
      "Specifications" :> {{{$CellContext`wavelength1$$, 0.532, 
          "\!\(\*SubscriptBox[\(\[Lambda]\), \(1\)]\)"}, 0.2, 1, ControlType -> 
         Manipulator}, {{$CellContext`wavelength2$$, 0.532, 
          "\!\(\*SubscriptBox[\(\[Lambda]\), \(2\)]\)"}, 0.2, 1, ControlType -> 
         Manipulator}, {{$CellContext`sourceAngle$$, {0., 0.}}, {-Pi, -Pi}, {
         Pi, Pi}}, {{$CellContext`sourceXY1$$, {0., 0.}}, {0, -80}, {200, 
         80}}, {{$CellContext`sourceXY2$$, {0., 10.}}, {0, -80}, {200, 
         80}}, {{$CellContext`lensAngle$$, {0., 0.}}, {-Pi, -Pi}, {
         Pi, Pi}}, {{$CellContext`thicknessAndAperture1$$, {10., 50.}}, {0, 
         1}, {100, 
         100}}, {{$CellContext`thicknessAndAperture2$$, {10., 50.}}, {0, 1}, {
         100, 100}}, {{$CellContext`curvature1$$, {
          0.01, -0.01}}, {-0.03, -0.03}, {0.03, 
         0.03}}, {{$CellContext`curvature2$$, {
          0.01, -0.01}}, {-0.03, -0.03}, {0.03, 
         0.03}}, {{$CellContext`lensLocation1$$, {50., 0.}}, {0, -80}, {200, 
         80}}, {{$CellContext`lensLocation2$$, {75., 0.}}, {0, -80}, {200, 
         80}}}, "Options" :> {
       ControlType -> None, AutorunSequencing -> {1, 2, 9, 10}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{542., {245.375, 250.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({
       Attributes[$CellContext`LensLayout] = {
         HoldAll}, $CellContext`LensLayout[{
           Pattern[$CellContext`wavelength1, 
            Blank[]], 
           Pattern[$CellContext`wavelength2, 
            Blank[]], 
           Pattern[$CellContext`sourceAngle, 
            Blank[]], 
           Pattern[$CellContext`sourceXY1, 
            Blank[]], 
           Pattern[$CellContext`sourceXY2, 
            Blank[]], 
           Pattern[$CellContext`lensAngle, 
            Blank[]], 
           Pattern[$CellContext`thicknessAndAperture1, 
            Blank[]], 
           Pattern[$CellContext`thicknessAndAperture2, 
            Blank[]], 
           Pattern[$CellContext`curvature1, 
            Blank[]], 
           Pattern[$CellContext`curvature2, 
            Blank[]], 
           Pattern[$CellContext`a, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]]}] := Graphics[{
           Dynamic[{
             $CellContext`system[
             Part[$CellContext`sourceAngle, 1]/Degree, 
              Part[$CellContext`sourceAngle, 2]/
              Degree, $CellContext`wavelength1, $CellContext`wavelength2, 
              Part[$CellContext`sourceXY1, 1], 
              Part[$CellContext`sourceXY2, 1], 
              Part[$CellContext`sourceXY1, 2], 
              Part[$CellContext`sourceXY2, 2], 
              Part[$CellContext`lensAngle, 1]/Degree, 
              Part[$CellContext`lensAngle, 2]/Degree, 
              Part[$CellContext`thicknessAndAperture1, 2], 
              Part[$CellContext`thicknessAndAperture2, 2], 
              Part[$CellContext`curvature1, 1], 
              Part[$CellContext`curvature1, 2], 
              Part[$CellContext`curvature2, 1], 
              Part[$CellContext`curvature2, 2], 
              Part[$CellContext`thicknessAndAperture1, 1], 
              Part[$CellContext`thicknessAndAperture2, 1], 
              Part[$CellContext`a, 1], 
              Part[$CellContext`b, 1], 
              Part[$CellContext`a, 2], 
              Part[$CellContext`b, 2]], Arrowheads -> Large, 
             Lighter[Blue], 
             Arrow[{$CellContext`sourceXY1, $CellContext`sourceXY1 + 10 {
                  Cos[
                   Part[$CellContext`sourceAngle, 1]], 
                  Sin[
                   Part[$CellContext`sourceAngle, 1]]}}], 
             Arrow[{$CellContext`sourceXY2, $CellContext`sourceXY2 + 10 {
                  Cos[
                   Part[$CellContext`sourceAngle, 2]], 
                  Sin[
                   Part[$CellContext`sourceAngle, 2]]}}], Arrowheads -> 
             Medium, 
             Arrow[{$CellContext`a, $CellContext`a + 5 {
                  Cos[
                   Part[$CellContext`lensAngle, 1]], 
                  Sin[
                   Part[$CellContext`lensAngle, 1]]}}], 
             Arrow[{$CellContext`b, $CellContext`b + 5 {
                  Cos[
                   Part[$CellContext`lensAngle, 2]], 
                  Sin[
                   Part[$CellContext`lensAngle, 2]]}}]}], 
           Locator[
            Dynamic[$CellContext`sourceXY1], 
            
            Graphics[$CellContext`locatorAll, 
             ImageSize -> $CellContext`locatorSize]], 
           Locator[
            Dynamic[$CellContext`sourceXY2], 
            
            Graphics[$CellContext`locatorAll, 
             ImageSize -> $CellContext`locatorSize]], 
           Locator[
            Dynamic[$CellContext`sourceXY1 + 10 {
                Cos[
                 Part[$CellContext`sourceAngle, 1]], 
                Sin[
                 Part[$CellContext`sourceAngle, 1]]}, (
             Part[$CellContext`sourceAngle, 1] = 
             Apply[ArcTan, # - $CellContext`sourceXY1])& ], 
            
            Graphics[$CellContext`locatorAll, 
             ImageSize -> $CellContext`locatorSize]], 
           Locator[
            Dynamic[$CellContext`sourceXY2 + 10 {
                Cos[
                 Part[$CellContext`sourceAngle, 2]], 
                Sin[
                 Part[$CellContext`sourceAngle, 2]]}, (
             Part[$CellContext`sourceAngle, 2] = 
             Apply[ArcTan, # - $CellContext`sourceXY2])& ], 
            
            Graphics[$CellContext`locatorAll, 
             ImageSize -> $CellContext`locatorSize]], Cyan, 
           Opacity[0.4], 
           $CellContext`lensWithControls[
            Dynamic[
             Part[$CellContext`curvature1, 1]], 
            Dynamic[
             Part[$CellContext`curvature1, 2]], 
            Dynamic[
             Part[$CellContext`lensAngle, 1]], 
            Dynamic[
             Part[$CellContext`thicknessAndAperture1, 2]], 
            Dynamic[
             Part[$CellContext`a, 1]], 
            Dynamic[
             Part[$CellContext`thicknessAndAperture1, 1]], 
            Dynamic[
             Part[$CellContext`a, 2]]], 
           RGBColor[0.4, 0.6, 0.8], 
           $CellContext`lensWithControls[
            Dynamic[
             Part[$CellContext`curvature2, 1]], 
            Dynamic[
             Part[$CellContext`curvature2, 2]], 
            Dynamic[
             Part[$CellContext`lensAngle, 2]], 
            Dynamic[
             Part[$CellContext`thicknessAndAperture2, 2]], 
            Dynamic[
             Part[$CellContext`b, 1]], 
            Dynamic[
             Part[$CellContext`thicknessAndAperture2, 1]], 
            Dynamic[
             Part[$CellContext`b, 2]]]}, PlotRange -> {{-5, 205}, {-80, 80}}, 
          ImageSize -> 500], $CellContext`system[
          Pattern[$CellContext`as1, 
           Blank[]], 
          Pattern[$CellContext`as2, 
           Blank[]], 
          Pattern[$CellContext`wl1, 
           Blank[]], 
          Pattern[$CellContext`wl2, 
           Blank[]], 
          Pattern[$CellContext`xs1, 
           Blank[]], 
          Pattern[$CellContext`xs2, 
           Blank[]], 
          Pattern[$CellContext`ys1, 
           Blank[]], 
          Pattern[$CellContext`ys2, 
           Blank[]], 
          Pattern[$CellContext`aa, 
           Blank[]], 
          Pattern[$CellContext`ab, 
           Blank[]], 
          Pattern[$CellContext`apa, 
           Blank[]], 
          Pattern[$CellContext`apb, 
           Blank[]], 
          Pattern[$CellContext`ca1, 
           Blank[]], 
          Pattern[$CellContext`ca2, 
           Blank[]], 
          Pattern[$CellContext`cb1, 
           Blank[]], 
          Pattern[$CellContext`cb2, 
           Blank[]], 
          Pattern[$CellContext`ta, 
           Blank[]], 
          Pattern[$CellContext`tb, 
           Blank[]], 
          Pattern[$CellContext`xa1, 
           Blank[]], 
          Pattern[$CellContext`xb1, 
           Blank[]], 
          Pattern[$CellContext`ya1, 
           Blank[]], 
          Pattern[$CellContext`yb1, 
           Blank[]]] := {
          $CellContext`micronsToColor[$CellContext`wl1], 
          If[
           Or[$CellContext`wl1 < 0.38, $CellContext`wl1 > 0.78], 
           AbsoluteDashing[{3, 3}], 
           Dashing[{}]], 
          Line[
           Map[{
             Part[#, {1, 2}], 
             Part[#, {4, 5}]}& , 
            $CellContext`rayfunction[$CellContext`as1, $CellContext`wl1, \
$CellContext`xs1, $CellContext`ys1, $CellContext`aa, $CellContext`ab, \
$CellContext`apa, $CellContext`apb, $CellContext`ca1, $CellContext`ca2, \
$CellContext`cb1, $CellContext`cb2, $CellContext`ta, $CellContext`tb, \
$CellContext`xa1, $CellContext`xb1, $CellContext`ya1, $CellContext`yb1]]], 
          $CellContext`micronsToColor[$CellContext`wl2], 
          If[
           Or[$CellContext`wl2 < 0.38, $CellContext`wl2 > 0.78], 
           AbsoluteDashing[{3, 3}], 
           Dashing[{}]], 
          Line[
           Map[{
             Part[#, {1, 2}], 
             Part[#, {4, 5}]}& , 
            $CellContext`rayfunction[$CellContext`as2, $CellContext`wl2, \
$CellContext`xs2, $CellContext`ys2, $CellContext`aa, $CellContext`ab, \
$CellContext`apa, $CellContext`apb, $CellContext`ca1, $CellContext`ca2, \
$CellContext`cb1, $CellContext`cb2, $CellContext`ta, $CellContext`tb, \
$CellContext`xa1, $CellContext`xb1, $CellContext`ya1, $CellContext`yb1]]]}, \
$CellContext`micronsToColor[
          Pattern[$CellContext`m, 
           Blank[]]] := RGBColor[
          
          Abs[(-0.3183098861837907) 
            ArcTan[63.75 - 0.25 
              Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]] + 
           0.3183098861837907 
            ArcTan[43. - 0.1 
              Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]]], 
          Abs[
          0.3183098861837907 
            ArcTan[60. - 0.2 
              Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]] - 
           0.3183098861837907 
           ArcTan[18. - 0.1 
             Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]]], 
          
          Abs[(-0.3183098861837907) 
            ArcTan[10. - 0.2 
              Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]] + 
           0.3183098861837907 
            ArcTan[22.5 - 0.125 
              Abs[-500. + 
                2. Mod[100. + 500. $CellContext`m, 
                   500.]]]]], $CellContext`rayfunction = CompiledFunction[{
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real], 
           Blank[Real]}, {{3, 0, 0}, {3, 0, 1}, {3, 0, 2}, {3, 0, 3}, {3, 0, 
          4}, {3, 0, 5}, {3, 0, 6}, {3, 0, 7}, {3, 0, 8}, {3, 0, 9}, {3, 0, 
          10}, {3, 0, 11}, {3, 0, 12}, {3, 0, 13}, {3, 0, 14}, {3, 0, 15}, {3,
           0, 16}, {3, 0, 17}, {3, 2, 54}}, {25, 22, 134, 8, 
          82}, {{1, 5}, {8, 1., 18}, {8, 0., 19}, {8, 0., 20}, {
           9, 0., 1., 0}, {8, 0., 21}, {16, 20, 21, 1}, {22, 1, 0, 1}, {
           8, 0., 20}, {16, 19, 20, 0}, {19, 0, 1, 0}, {8, 0., 19}, {
           8, 0., 20}, {9, 0., 1., 1}, {8, 0., 21}, {16, 20, 21, 2}, {22, 2, 
           1, 2}, {8, 0., 20}, {16, 19, 20, 1}, {19, 1, 2, 1}, {8, 0., 19}, {
           8, 0., 20}, {9, 0., 1., 2}, {8, 0., 21}, {16, 20, 21, 3}, {22, 3, 
           2, 3}, {8, 0., 20}, {16, 19, 20, 2}, {19, 2, 3, 2}, {67, 0, 1, 2, 
           4, 0}, {68, 0, 1}, {45, {{1.}}, 3, 1, 1, 0}, {6, True, 0}, {
           8, 1., 19}, {8, 1., 20}, {8, 0., 21}, {9, 0., 1., 0}, {
           8, 0., 22}, {16, 21, 22, 1}, {22, 1, 0, 1}, {8, 0., 21}, {16, 20, 
           21, 0}, {19, 0, 1, 0}, {8, 0., 20}, {8, 0., 21}, {9, 0., 1., 1}, {
           8, 0., 22}, {16, 21, 22, 2}, {22, 2, 1, 2}, {8, 0., 21}, {16, 20, 
           21, 1}, {19, 1, 2, 1}, {8, 0., 20}, {8, 0., 21}, {9, 0., 1., 2}, {
           8, 0., 22}, {16, 21, 22, 3}, {22, 3, 2, 3}, {8, 0., 21}, {16, 20, 
           21, 2}, {19, 2, 3, 2}, {67, 0, 1, 2, 4, 2}, {8, 1., 20}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 3}, {
           45, {{1.}}, 3, 1, 1, 4}, {8, 1., 21}, {45, {1.}, 3, 1, 5}, {7, 1, 
           0}, {45, {0., 0., 0.}, 3, 3, 6}, {45, {{1.}}, 3, 1, 1, 7}, {
           45, {{1.}}, 3, 1, 1, 8}, {8, 1., 22}, {45, {1.}, 3, 1, 9}, {
           45, {1}, 2, 1, 10}, {45, {{1.}}, 3, 1, 1, 11}, {
           45, {{1.}}, 3, 1, 1, 12}, {45, {1.}, 3, 1, 13}, {7, 0, 1}, {
           45, {0}, 2, 1, 14}, {8, 1., 23}, {45, {1.}, 3, 1, 15}, {
           8, -1., 24}, {8, 1., 25}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 16}, {
           6, False, 1}, {45, {{1.}}, 3, 1, 1, 17}, {
           45, {{1.}}, 3, 1, 1, 18}, {6, False, 2}, {
           45, {{1.}}, 3, 1, 1, 19}, {45, {{{1.}}}, 3, 1, 1, 1, 20}, {
           45, {1.}, 3, 1, 21}, {8, 1., 26}, {8, 200., 27}, {8, 1., 28}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 22}, {6, False, 3}, {
           45, {0}, 2, 1, 23}, {8, 1., 29}, {8, 0., 30}, {9, 0., 1., 0}, {
           8, 0., 31}, {16, 30, 31, 1}, {22, 1, 0, 1}, {8, 0., 30}, {16, 29, 
           30, 0}, {19, 0, 1, 0}, {8, 1., 29}, {8, 1., 30}, {8, 1., 31}, {
           45, {{1.}}, 3, 1, 1, 24}, {8, 1., 32}, {8, 1., 33}, {8, 1., 34}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 25}, {
           45, {{{-1., 0., 0.}}}, 3, 1, 1, 3, 26}, {6, False, 4}, {
           6, False, 5}, {45, {{1.}}, 3, 1, 1, 27}, {6, False, 6}, {
           8, 1., 35}, {8, 1., 36}, {7, 1, 2}, {8, 0.0001, 37}, {8, 1., 38}, {
           8, 1., 39}, {8, -1., 40}, {45, {{1.}}, 3, 1, 1, 28}, {8, 1., 41}, {
           8, -1., 42}, {8, -1., 43}, {45, {{1.}}, 3, 1, 1, 29}, {
           45, {1., 1.}, 3, 2, 30}, {8, 1., 44}, {8, 1., 45}, {
           45, {1.}, 3, 1, 31}, {45, {1.}, 3, 1, 32}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 33}, {
           45, {{1.}}, 3, 1, 1, 34}, {45, {{1.}}, 3, 1, 1, 35}, {8, 1., 46}, {
           8, 0., 47}, {9, 0., 1., 1}, {8, 0., 48}, {16, 47, 48, 2}, {22, 2, 
           1, 2}, {8, 0., 47}, {16, 46, 47, 1}, {19, 1, 2, 1}, {
           45, {1., 0., 0.}, 3, 3, 36}, {8, 1., 46}, {8, 0., 47}, {
           9, 0., 1., 2}, {8, 0., 48}, {16, 47, 48, 3}, {22, 3, 2, 3}, {
           8, 0., 47}, {16, 46, 47, 2}, {19, 2, 3, 2}, {8, 0., 46}, {
           8, 1., 47}, {8, 1., 48}, {8, 1., 49}, {
           45, {1., 0., 0.}, 3, 3, 37}, {6, True, 7}, {
           45, {{1.}}, 3, 1, 1, 38}, {8, 1., 50}, {8, 1., 51}, {8, 1., 52}, {
           8, 1., 53}, {8, 1., 54}, {8, 1., 55}, {8, 1., 56}, {8, 1., 57}, {
           8, 1., 58}, {8, 1., 59}, {8, 1., 60}, {8, 1., 61}, {8, 1., 62}, {
           8, 1., 63}, {6, False, 8}, {8, 1., 64}, {8, 1., 65}, {
           6, False, 9}, {45, {{1.}}, 3, 1, 1, 39}, {
           45, {{1.}}, 3, 1, 1, 40}, {6, False, 10}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 41}, {7, 0, 3}, {8, 1., 66}, {
           8, 1., 67}, {8, 1., 68}, {8, 1., 69}, {8, 1., 70}, {8, 1., 71}, {
           8, 1., 72}, {8, 1., 73}, {8, 1., 74}, {8, 1., 75}, {8, 1., 76}, {
           8, 1., 77}, {8, 1., 78}, {8, 1., 79}, {8, 1., 80}, {8, 1., 81}, {
           8, 1., 82}, {8, 1., 83}, {8, 1., 84}, {8, 1., 85}, {8, 1., 86}, {
           8, 1., 87}, {8, 1., 88}, {8, 1., 89}, {8, 1., 90}, {8, 1., 91}, {
           8, 1., 92}, {8, -1., 93}, {8, -1., 94}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 42}, {
           45, {0., 0., 0.}, 3, 3, 43}, {45, {{1.}}, 3, 1, 1, 44}, {
           8, 1., 95}, {8, 1., 96}, {8, 1., 97}, {8, 1., 98}, {8, 1., 99}, {
           8, 1., 100}, {8, 1., 101}, {8, 1., 102}, {8, 1., 103}, {
           45, {{1.}}, 3, 1, 1, 45}, {6, False, 11}, {8, 1., 104}, {
           8, 1., 105}, {
           45, {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}}, 3, 1, 3, 3, 
            46}, {8, 1., 106}, {8, 1., 107}, {8, 1., 108}, {8, 1., 109}, {
           8, 1., 110}, {8, 1., 111}, {8, 1., 112}, {8, 1., 113}, {
           8, 1., 114}, {8, 1., 115}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 47}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 48}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 49}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 50}, {
           8, 0., 116}, {8, 0., 117}, {9, 0., 1., 3}, {8, 0., 118}, {16, 117, 
           118, 4}, {22, 4, 3, 4}, {8, 0., 117}, {16, 116, 117, 3}, {19, 3, 4,
            3}, {8, 1., 116}, {45, {1., 0., 0.}, 3, 3, 51}, {8, 1., 117}, {
           45, {1., 0., 0.}, 3, 3, 52}, {8, 1., 118}, {
           45, {1., 0., 0.}, 3, 3, 53}, {8, 1., 119}, {
           8, 0.017453292519943295`, 120}, {21, 0, 120, 121}, {93, 2, 3, 0, 
           121, 3, 0, 120}, {8, 0.017453292519943295`, 121}, {21, 0, 121, 
           122}, {93, 1, 3, 0, 122, 3, 0, 121}, {7, 0, 4}, {
           8, 0.017453292519943295`, 122}, {21, 0, 122, 123}, {93, 1, 3, 0, 
           123, 3, 0, 122}, {24, 122, 123}, {8, 0.017453292519943295`, 122}, {
           21, 0, 122, 124}, {93, 2, 3, 0, 124, 3, 0, 122}, {7, 0, 5}, {7, 0, 
           6}, {7, 0, 7}, {7, 1, 8}, {15, 0, 4, 124}, {15, 0, 5, 125}, {15, 0,
            6, 126}, {15, 0, 7, 127}, {15, 0, 8, 128}, {67, 120, 121, 124, 
           123, 122, 125, 126, 127, 128, 3, 54}, {7, 1, 4}, {70, 54, 0, 4, 0, 
           120}, {12, 120, 95}, {7, 2, 4}, {70, 54, 0, 4, 0, 120}, {12, 120, 
           96}, {7, 3, 4}, {70, 54, 0, 4, 0, 120}, {12, 120, 97}, {7, 4, 4}, {
           70, 54, 0, 4, 0, 120}, {12, 120, 98}, {7, 5, 4}, {70, 54, 0, 4, 0, 
           120}, {12, 120, 99}, {7, 6, 4}, {70, 54, 0, 4, 0, 120}, {12, 120, 
           100}, {7, 7, 4}, {70, 54, 0, 4, 0, 120}, {12, 120, 101}, {7, 8, 
           4}, {70, 54, 0, 4, 0, 120}, {12, 120, 102}, {7, 9, 4}, {70, 54, 0, 
           4, 0, 120}, {12, 120, 103}, {67, 95, 96, 97, 98, 99, 100, 101, 102,
            103, 3, 55}, {45, CompressedData["
1:eJxTTMoPSmViYGDgBmJ1BtKB6H4P97sv3tlPYJt8sHbCBXuYOJS/HyaP35QP
9guk9O+qsD2Eqot0cBOPLbnouh2u76lScJcU4wcc5uASRwUOMhcckGmEPjU0
PrHmEmcvNtDAUGX0x+e9/bcIpzU355yCmwPl74fJE7J/YMKNAUqrofGJNZf8
cIt5oj9FZfZ7+9LgFencbEfg5kD5+2HyhOwfmHDjgNJqaHxizSU/3I6l/5gi
f/m9fW64zeyEQ7vg5kD5+2HyhOwfmHATgNJqaHxizSU/3GSfCb09+uW9Pd/J
9x7HT6+CmwPl74fJE7J/YMJNBEqrofGJNZf8cKOO+QMVbhJQWg2NT7y7ibEX
G0BLb/th4rD0N7jTmwyUVkPjE2su1co3eLjByrvBXb4pQGk1ND6x5lKtPoWH
G6x+Hdz1qRKUVkPjE2su1dpv8HCDtecGd/tNBUqrofGJNZf8cEPrL8DDDdZ/
GNz9BTUcNLHmIuQBD8V/Rg==
            "], 3, 11, 39, 54}, {44, 54, 6}, {7, -1, 8}, {64, 6, 8, 3, 57}, {
           7, 0, 9}, {11, 9, 7}, {4, 301}, {70, 54, 0, 7, 1, 58}, {7, 1, 9}, {
           70, 58, 0, 9, 0, 120}, {12, 120, 70}, {7, 2, 9}, {70, 58, 0, 9, 0, 
           120}, {12, 120, 72}, {7, 3, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 
           74}, {7, 4, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 67}, {7, 5, 9}, {
           70, 58, 0, 9, 0, 120}, {12, 120, 68}, {7, 6, 9}, {70, 58, 0, 9, 0, 
           120}, {12, 120, 69}, {7, 7, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 
           50}, {7, 8, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 51}, {7, 9, 9}, {
           70, 58, 0, 9, 0, 120}, {12, 120, 52}, {7, 10, 9}, {70, 58, 0, 9, 0,
            120}, {12, 120, 53}, {7, 11, 9}, {70, 58, 0, 9, 0, 120}, {12, 120,
            54}, {7, 12, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 55}, {7, 13, 
           9}, {70, 58, 0, 9, 0, 120}, {12, 120, 56}, {7, 14, 9}, {70, 58, 0, 
           9, 0, 120}, {12, 120, 57}, {7, 15, 9}, {70, 58, 0, 9, 0, 120}, {12,
            120, 58}, {7, 16, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 116}, {7, 
           17, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 32}, {7, 18, 9}, {70, 58,
            0, 9, 0, 120}, {12, 120, 33}, {7, 19, 9}, {70, 58, 0, 9, 0, 
           120}, {12, 120, 59}, {7, 20, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 
           29}, {7, 21, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 45}, {7, 22, 
           9}, {70, 58, 0, 9, 0, 120}, {12, 120, 46}, {7, 23, 9}, {70, 58, 0, 
           9, 0, 120}, {12, 120, 24}, {7, 24, 9}, {70, 58, 0, 9, 0, 120}, {12,
            120, 94}, {7, 25, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 93}, {7, 
           26, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 60}, {7, 27, 9}, {70, 58,
            0, 9, 0, 120}, {12, 120, 61}, {7, 28, 9}, {70, 58, 0, 9, 0, 
           120}, {12, 120, 87}, {7, 29, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 
           26}, {7, 30, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 89}, {7, 31, 
           9}, {70, 58, 0, 9, 0, 120}, {12, 120, 90}, {7, 32, 9}, {70, 58, 0, 
           9, 0, 120}, {12, 120, 91}, {7, 33, 9}, {70, 58, 0, 9, 0, 120}, {12,
            120, 92}, {7, 34, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 63}, {7, 
           35, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 44}, {7, 36, 9}, {70, 58,
            0, 9, 0, 120}, {12, 120, 34}, {7, 37, 9}, {70, 58, 0, 9, 0, 
           120}, {12, 120, 47}, {7, 38, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 
           48}, {7, 39, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 49}, {67, 70, 
           72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 
           33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63,
            44, 34, 47, 48, 49, 3, 59}, {12, 1, 116}, {21, 70, 95, 120}, {21, 
           72, 98, 121}, {21, 74, 101, 123}, {18, 120, 121, 123, 2, 120}, {21,
            70, 96, 121}, {21, 72, 99, 123}, {21, 74, 102, 122}, {18, 121, 
           123, 122, 3, 121}, {21, 70, 97, 123}, {21, 72, 100, 122}, {21, 74, 
           103, 124}, {18, 123, 122, 124, 123}, {67, 120, 121, 123, 3, 58}, {
           7, 1, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 106}, {7, 2, 9}, {70, 
           58, 0, 9, 0, 120}, {12, 120, 108}, {7, 3, 9}, {70, 58, 0, 9, 0, 
           120}, {12, 120, 109}, {67, 106, 108, 109, 3, 60}, {67, 106, 108, 
           109, 3, 58}, {7, 1, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 70}, {7, 
           2, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 72}, {7, 3, 9}, {70, 58, 
           0, 9, 0, 120}, {12, 120, 74}, {67, 70, 72, 74, 3, 61}, {21, 67, 95,
            120}, {21, 68, 98, 121}, {21, 69, 101, 123}, {18, 120, 121, 123, 
           2, 120}, {21, 67, 96, 121}, {21, 68, 99, 123}, {21, 69, 102, 
           122}, {18, 121, 123, 122, 3, 121}, {21, 67, 97, 123}, {21, 68, 100,
            122}, {21, 69, 103, 124}, {18, 123, 122, 124, 123}, {67, 120, 121,
            123, 3, 58}, {7, 1, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 106}, {
           7, 2, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 108}, {7, 3, 9}, {70, 
           58, 0, 9, 0, 120}, {12, 120, 109}, {67, 106, 108, 109, 3, 62}, {67,
            106, 108, 109, 3, 58}, {7, 1, 9}, {70, 58, 0, 9, 0, 120}, {12, 
           120, 67}, {7, 2, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 68}, {7, 3, 
           9}, {70, 58, 0, 9, 0, 120}, {12, 120, 69}, {67, 67, 68, 69, 3, 
           63}, {21, 50, 95, 120}, {21, 51, 98, 121}, {21, 52, 101, 123}, {18,
            120, 121, 123, 120}, {21, 50, 96, 121}, {21, 51, 99, 123}, {21, 
           52, 102, 122}, {18, 121, 123, 122, 121}, {21, 50, 97, 123}, {21, 
           51, 100, 122}, {21, 52, 103, 124}, {18, 123, 122, 124, 123}, {67, 
           120, 121, 123, 3, 58}, {7, 1, 9}, {70, 58, 0, 9, 0, 120}, {12, 120,
            106}, {7, 2, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 108}, {7, 3, 
           9}, {70, 58, 0, 9, 0, 120}, {12, 120, 109}, {67, 106, 108, 109, 3, 
           64}, {21, 53, 95, 120}, {21, 54, 98, 121}, {21, 55, 101, 123}, {18,
            120, 121, 123, 120}, {21, 53, 96, 121}, {21, 54, 99, 123}, {21, 
           55, 102, 122}, {18, 121, 123, 122, 121}, {21, 53, 97, 123}, {21, 
           54, 100, 122}, {21, 55, 103, 124}, {18, 123, 122, 124, 123}, {67, 
           120, 121, 123, 3, 58}, {7, 1, 9}, {70, 58, 0, 9, 0, 120}, {12, 120,
            110}, {7, 2, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 111}, {7, 3, 
           9}, {70, 58, 0, 9, 0, 120}, {12, 120, 112}, {67, 110, 111, 112, 3, 
           56}, {21, 56, 95, 120}, {21, 57, 98, 121}, {21, 58, 101, 123}, {18,
            120, 121, 123, 120}, {21, 56, 96, 121}, {21, 57, 99, 123}, {21, 
           58, 102, 122}, {18, 121, 123, 122, 121}, {21, 56, 97, 123}, {21, 
           57, 100, 122}, {21, 58, 103, 124}, {18, 123, 122, 124, 123}, {67, 
           120, 121, 123, 3, 58}, {7, 1, 9}, {70, 58, 0, 9, 0, 120}, {12, 120,
            113}, {7, 2, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 114}, {7, 3, 
           9}, {70, 58, 0, 9, 0, 120}, {12, 120, 115}, {67, 113, 114, 115, 3, 
           65}, {67, 106, 108, 109, 3, 58}, {67, 110, 111, 112, 3, 66}, {67, 
           113, 114, 115, 3, 68}, {68, 58, 66, 68, 69}, {7, 1, 9}, {70, 69, 0,
            9, 1, 58}, {7, 1, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 50}, {7, 
           2, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 51}, {7, 3, 9}, {70, 58, 
           0, 9, 0, 120}, {12, 120, 52}, {67, 50, 51, 52, 3, 66}, {7, 2, 9}, {
           70, 69, 0, 9, 1, 58}, {7, 1, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 
           53}, {7, 2, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 54}, {7, 3, 9}, {
           70, 58, 0, 9, 0, 120}, {12, 120, 55}, {67, 53, 54, 55, 3, 68}, {7, 
           3, 9}, {70, 69, 0, 9, 1, 58}, {7, 1, 9}, {70, 58, 0, 9, 0, 120}, {
           12, 120, 56}, {7, 2, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 57}, {7,
            3, 9}, {70, 58, 0, 9, 0, 120}, {12, 120, 58}, {67, 56, 57, 58, 3, 
           70}, {68, 66, 68, 70, 58}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52,
            53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 
           60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 69}, {
           66, 8, 69, 57}, {5, 7, 6, -300}, {95, 0, 57, 55}, {46, 55, 38}, {
           44, 38, 5}, {7, -1, 6}, {64, 5, 6, 3, 57}, {7, 0, 9}, {11, 9, 8}, {
           4, 126}, {70, 38, 0, 8, 1, 54}, {7, 1, 9}, {70, 54, 0, 9, 0, 
           120}, {12, 120, 70}, {7, 2, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 
           72}, {7, 3, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 74}, {7, 4, 9}, {
           70, 54, 0, 9, 0, 120}, {12, 120, 67}, {7, 5, 9}, {70, 54, 0, 9, 0, 
           120}, {12, 120, 68}, {7, 6, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 
           69}, {7, 7, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 50}, {7, 8, 9}, {
           70, 54, 0, 9, 0, 120}, {12, 120, 51}, {7, 9, 9}, {70, 54, 0, 9, 0, 
           120}, {12, 120, 52}, {7, 10, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 
           53}, {7, 11, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 54}, {7, 12, 
           9}, {70, 54, 0, 9, 0, 120}, {12, 120, 55}, {7, 13, 9}, {70, 54, 0, 
           9, 0, 120}, {12, 120, 56}, {7, 14, 9}, {70, 54, 0, 9, 0, 120}, {12,
            120, 57}, {7, 15, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 58}, {7, 
           16, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 116}, {7, 17, 9}, {70, 
           54, 0, 9, 0, 120}, {12, 120, 32}, {7, 18, 9}, {70, 54, 0, 9, 0, 
           120}, {12, 120, 33}, {7, 19, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 
           59}, {7, 20, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 29}, {7, 21, 
           9}, {70, 54, 0, 9, 0, 120}, {12, 120, 45}, {7, 22, 9}, {70, 54, 0, 
           9, 0, 120}, {12, 120, 46}, {7, 23, 9}, {70, 54, 0, 9, 0, 120}, {12,
            120, 24}, {7, 24, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 94}, {7, 
           25, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 93}, {7, 26, 9}, {70, 54,
            0, 9, 0, 120}, {12, 120, 60}, {7, 27, 9}, {70, 54, 0, 9, 0, 
           120}, {12, 120, 61}, {7, 28, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 
           87}, {7, 29, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 26}, {7, 30, 
           9}, {70, 54, 0, 9, 0, 120}, {12, 120, 89}, {7, 31, 9}, {70, 54, 0, 
           9, 0, 120}, {12, 120, 90}, {7, 32, 9}, {70, 54, 0, 9, 0, 120}, {12,
            120, 91}, {7, 33, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 92}, {7, 
           34, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 63}, {7, 35, 9}, {70, 54,
            0, 9, 0, 120}, {12, 120, 44}, {7, 36, 9}, {70, 54, 0, 9, 0, 
           120}, {12, 120, 34}, {7, 37, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 
           47}, {7, 38, 9}, {70, 54, 0, 9, 0, 120}, {12, 120, 48}, {7, 39, 
           9}, {70, 54, 0, 9, 0, 120}, {12, 120, 49}, {67, 70, 72, 74, 67, 68,
            69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 
           46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48,
            49, 3, 67}, {8, 1., 120}, {12, 120, 24}, {8, 1., 120}, {12, 120, 
           26}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 
           58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 
           90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 54}, {66, 6, 54, 57}, {5, 8,
            5, -125}, {46, 57, 38}, {8, 1., 120}, {12, 120, 104}, {
           8, 200., 120}, {12, 120, 27}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           57}, {68, 57, 55}, {46, 55, 40}, {8, 0., 120}, {12, 120, 28}, {46, 
           38, 24}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 55}, {46, 55, 35}, {6, True, 12}, {10, 12, 2}, {
           6, False, 12}, {10, 12, 10}, {6, True, 12}, {10, 12, 7}, {3, 2, 
           3}, {10, 7, 13}, {4, 3}, {6, False, 12}, {10, 12, 13}, {3, 13, 
           11404}, {8, 1., 120}, {18, 28, 120, 121}, {12, 121, 28}, {
           6, False, 12}, {10, 12, 1}, {6, False, 12}, {10, 12, 2}, {
           6, False, 12}, {10, 12, 10}, {6, True, 12}, {10, 12, 9}, {
           6, False, 12}, {10, 12, 5}, {6, False, 12}, {10, 12, 6}, {44, 24, 
           4}, {7, -1, 11}, {7, 1, 16}, {64, 4, 16, 16, 11, 3, 57}, {7, 0, 
           5}, {11, 5, 6}, {4, 11184}, {70, 24, 0, 6, 1, 54}, {7, 1, 5}, {70, 
           54, 0, 5, 0, 122}, {12, 122, 70}, {7, 2, 5}, {70, 54, 0, 5, 0, 
           122}, {12, 122, 72}, {7, 3, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 
           74}, {7, 4, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 67}, {7, 5, 5}, {
           70, 54, 0, 5, 0, 122}, {12, 122, 68}, {7, 6, 5}, {70, 54, 0, 5, 0, 
           122}, {12, 122, 69}, {7, 7, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 
           50}, {7, 8, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 51}, {7, 9, 5}, {
           70, 54, 0, 5, 0, 122}, {12, 122, 52}, {7, 10, 5}, {70, 54, 0, 5, 0,
            122}, {12, 122, 53}, {7, 11, 5}, {70, 54, 0, 5, 0, 122}, {12, 122,
            54}, {7, 12, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 55}, {7, 13, 
           5}, {70, 54, 0, 5, 0, 122}, {12, 122, 56}, {7, 14, 5}, {70, 54, 0, 
           5, 0, 122}, {12, 122, 57}, {7, 15, 5}, {70, 54, 0, 5, 0, 122}, {12,
            122, 58}, {7, 16, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 116}, {7, 
           17, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 32}, {7, 18, 5}, {70, 54,
            0, 5, 0, 122}, {12, 122, 33}, {7, 19, 5}, {70, 54, 0, 5, 0, 
           122}, {12, 122, 59}, {7, 20, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 
           29}, {7, 21, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 45}, {7, 22, 
           5}, {70, 54, 0, 5, 0, 122}, {12, 122, 46}, {7, 23, 5}, {70, 54, 0, 
           5, 0, 122}, {12, 122, 24}, {7, 24, 5}, {70, 54, 0, 5, 0, 122}, {12,
            122, 94}, {7, 25, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 93}, {7, 
           26, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 60}, {7, 27, 5}, {70, 54,
            0, 5, 0, 122}, {12, 122, 61}, {7, 28, 5}, {70, 54, 0, 5, 0, 
           122}, {12, 122, 87}, {7, 29, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 
           26}, {7, 30, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 89}, {7, 31, 
           5}, {70, 54, 0, 5, 0, 122}, {12, 122, 90}, {7, 32, 5}, {70, 54, 0, 
           5, 0, 122}, {12, 122, 91}, {7, 33, 5}, {70, 54, 0, 5, 0, 122}, {12,
            122, 92}, {7, 34, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 63}, {7, 
           35, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 44}, {7, 36, 5}, {70, 54,
            0, 5, 0, 122}, {12, 122, 34}, {7, 37, 5}, {70, 54, 0, 5, 0, 
           122}, {12, 122, 47}, {7, 38, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 
           48}, {7, 39, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 49}, {67, 70, 
           72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 
           33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63,
            44, 34, 47, 48, 49, 3, 70}, {37, 104, 32, 16}, {3, 16, 4}, {37, 
           28, 27, 14}, {10, 14, 18}, {4, 3}, {6, False, 17}, {10, 17, 18}, {
           3, 18, 11048}, {7, 0, 5}, {11, 5, 3}, {
           8, 1.7976931348623157`*^308, 122}, {12, 122, 66}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 54}, {46, 54, 41}, {
           45, {{{-1., 0., 0.}}}, 3, 1, 1, 3, 54}, {46, 54, 26}, {
           45, {0}, 2, 1, 54}, {46, 54, 23}, {70, 24, 0, 6, 1, 54}, {7, 1, 
           5}, {70, 54, 0, 5, 0, 122}, {12, 122, 70}, {7, 2, 5}, {70, 54, 0, 
           5, 0, 122}, {12, 122, 72}, {7, 3, 5}, {70, 54, 0, 5, 0, 122}, {12, 
           122, 74}, {7, 4, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 67}, {7, 5, 
           5}, {70, 54, 0, 5, 0, 122}, {12, 122, 68}, {7, 6, 5}, {70, 54, 0, 
           5, 0, 122}, {12, 122, 69}, {7, 7, 5}, {70, 54, 0, 5, 0, 122}, {12, 
           122, 50}, {7, 8, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 51}, {7, 9, 
           5}, {70, 54, 0, 5, 0, 122}, {12, 122, 52}, {7, 10, 5}, {70, 54, 0, 
           5, 0, 122}, {12, 122, 53}, {7, 11, 5}, {70, 54, 0, 5, 0, 122}, {12,
            122, 54}, {7, 12, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 55}, {7, 
           13, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 56}, {7, 14, 5}, {70, 54,
            0, 5, 0, 122}, {12, 122, 57}, {7, 15, 5}, {70, 54, 0, 5, 0, 
           122}, {12, 122, 58}, {7, 16, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 
           116}, {7, 17, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 32}, {7, 18, 
           5}, {70, 54, 0, 5, 0, 122}, {12, 122, 33}, {7, 19, 5}, {70, 54, 0, 
           5, 0, 122}, {12, 122, 59}, {7, 20, 5}, {70, 54, 0, 5, 0, 122}, {12,
            122, 29}, {7, 21, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 45}, {7, 
           22, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 46}, {7, 23, 5}, {70, 54,
            0, 5, 0, 122}, {12, 122, 24}, {7, 24, 5}, {70, 54, 0, 5, 0, 
           122}, {12, 122, 94}, {7, 25, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 
           93}, {7, 26, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 60}, {7, 27, 
           5}, {70, 54, 0, 5, 0, 122}, {12, 122, 61}, {7, 28, 5}, {70, 54, 0, 
           5, 0, 122}, {12, 122, 87}, {7, 29, 5}, {70, 54, 0, 5, 0, 122}, {12,
            122, 26}, {7, 30, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 89}, {7, 
           31, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 90}, {7, 32, 5}, {70, 54,
            0, 5, 0, 122}, {12, 122, 91}, {7, 33, 5}, {70, 54, 0, 5, 0, 
           122}, {12, 122, 92}, {7, 34, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 
           63}, {7, 35, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 44}, {7, 36, 
           5}, {70, 54, 0, 5, 0, 122}, {12, 122, 34}, {7, 37, 5}, {70, 54, 0, 
           5, 0, 122}, {12, 122, 47}, {7, 38, 5}, {70, 54, 0, 5, 0, 122}, {12,
            122, 48}, {7, 39, 5}, {70, 54, 0, 5, 0, 122}, {12, 122, 49}, {67, 
           70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 44, 34, 47, 48, 49, 3, 59}, {12, 29, 30}, {
           8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 3, 0, 
           122, 3, 0, 123}, {21, 50, 123, 122}, {
           8, 0.017453292519943295`, 123}, {21, 123, 4, 123}, {93, 1, 3, 0, 
           123, 3, 0, 121}, {21, 51, 121, 123}, {18, 122, 123, 122}, {12, 122,
            117}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 
           3, 0, 122, 3, 0, 123}, {21, 51, 123, 122}, {8, 1., 123}, {
           8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 1, 3, 0, 
           121, 3, 0, 126}, {21, 123, 50, 126, 123}, {24, 123, 126}, {18, 122,
            126, 122}, {12, 122, 118}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 2, 3, 0, 122, 3, 0, 126}, {7, 2, 5}, {94, 264, 
           3, 0, 126, 2, 0, 5, 3, 0, 122}, {8, 0.017453292519943295`, 126}, {
           21, 126, 4, 126}, {93, 1, 3, 0, 126, 3, 0, 123}, {7, 2, 5}, {94, 
           264, 3, 0, 123, 2, 0, 5, 3, 0, 126}, {18, 122, 126, 122}, {21, 52, 
           122, 126}, {12, 126, 119}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 117, 
           3, 0, 126, 3, 0, 122}, {12, 122, 117}, {8, 1.*^-10, 122}, {94, 270,
            3, 0, 118, 3, 0, 122, 3, 0, 126}, {12, 126, 118}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 119, 3, 0, 126, 3, 0, 122}, {12, 
           122, 119}, {7, 2, 5}, {94, 264, 3, 0, 117, 2, 0, 5, 3, 0, 122}, {7,
            2, 5}, {94, 264, 3, 0, 118, 2, 0, 5, 3, 0, 126}, {7, 2, 5}, {94, 
           264, 3, 0, 119, 2, 0, 5, 3, 0, 123}, {18, 122, 126, 123, 122}, {7, 
           1, 5}, {7, 2, 13}, {15, 0, 5, 126}, {15, 0, 13, 123}, {94, 260, 3, 
           0, 126, 3, 0, 123, 3, 0, 121}, {94, 264, 3, 0, 122, 3, 0, 121, 3, 
           0, 126}, {12, 126, 35}, {7, 1, 5}, {94, 260, 2, 0, 5, 3, 0, 35, 3, 
           0, 126}, {21, 117, 126, 122}, {12, 122, 117}, {7, 1, 5}, {94, 260, 
           2, 0, 5, 3, 0, 35, 3, 0, 122}, {21, 118, 122, 126}, {12, 126, 
           118}, {7, 1, 5}, {94, 260, 2, 0, 5, 3, 0, 35, 3, 0, 126}, {21, 119,
            126, 122}, {12, 122, 119}, {8, 1., 122}, {21, 122, 14, 122}, {24, 
           122, 126}, {18, 67, 126, 122}, {8, 0.017453292519943295`, 126}, {
           21, 126, 4, 126}, {93, 2, 3, 0, 126, 3, 0, 121}, {21, 122, 121, 
           122}, {8, 1., 121}, {21, 121, 16, 121}, {24, 121, 126}, {18, 68, 
           126, 121}, {8, 0.017453292519943295`, 126}, {21, 126, 4, 126}, {93,
            1, 3, 0, 126, 3, 0, 123}, {21, 121, 123, 121}, {18, 122, 121, 
           122}, {12, 122, 79}, {8, 1., 122}, {21, 122, 16, 122}, {24, 122, 
           121}, {18, 68, 121, 122}, {8, 0.017453292519943295`, 121}, {21, 
           121, 4, 121}, {93, 2, 3, 0, 121, 3, 0, 123}, {21, 122, 123, 122}, {
           8, 1., 123}, {8, 1., 121}, {21, 121, 14, 121}, {24, 121, 126}, {18,
            67, 126, 121}, {8, 0.017453292519943295`, 126}, {21, 126, 4, 
           126}, {93, 1, 3, 0, 126, 3, 0, 125}, {21, 123, 121, 125, 123}, {24,
            123, 121}, {18, 122, 121, 122}, {12, 122, 81}, {
           8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 3, 0, 
           122, 3, 0, 121}, {7, 2, 5}, {94, 264, 3, 0, 121, 2, 0, 5, 3, 0, 
           122}, {8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 1, 
           3, 0, 121, 3, 0, 123}, {7, 2, 5}, {94, 264, 3, 0, 123, 2, 0, 5, 3, 
           0, 121}, {18, 122, 121, 122}, {21, 69, 122, 121}, {12, 121, 83}, {
           8, 1.*^-10, 121}, {94, 270, 3, 0, 79, 3, 0, 121, 3, 0, 122}, {12, 
           122, 79}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 81, 3, 0, 122, 3, 0, 
           121}, {12, 121, 81}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 83, 3, 0, 
           121, 3, 0, 122}, {12, 122, 83}, {6, False, 16}, {10, 16, 11}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 54}, {46, 54, 25}, {8, 1., 122}, {
           8, 1., 121}, {8, 1., 123}, {45, {{-1., 0., 0.}}, 3, 1, 3, 54}, {
           8, 1., 125}, {8, 1., 126}, {8, 1., 124}, {7, 2, 5}, {94, 264, 3, 0,
            79, 2, 0, 5, 3, 0, 127}, {7, 2, 5}, {94, 264, 3, 0, 81, 2, 0, 5, 
           3, 0, 120}, {7, 2, 5}, {94, 264, 3, 0, 83, 2, 0, 5, 3, 0, 128}, {
           18, 127, 120, 128, 127}, {12, 127, 122}, {21, 79, 117, 127}, {21, 
           81, 118, 120}, {21, 83, 119, 128}, {7, 1, 5}, {94, 260, 2, 0, 5, 3,
            0, 8, 3, 0, 129}, {21, 117, 129, 130}, {24, 130, 129}, {18, 127, 
           120, 128, 129, 127}, {12, 127, 121}, {24, 122, 127}, {7, 2, 5}, {
           94, 264, 3, 0, 121, 2, 0, 5, 3, 0, 120}, {7, 2, 5}, {15, 1, 5, 
           128}, {21, 128, 79, 128}, {7, 1, 5}, {94, 260, 2, 0, 5, 3, 0, 8, 3,
            0, 129}, {21, 128, 129, 128}, {18, 127, 120, 128, 127}, {12, 127, 
           123}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 123, 3, 0, 127, 3, 0, 
           120}, {8, 0., 127}, {39, 127, 120, 16}, {3, 16, 210}, {93, 55, 3, 
           0, 123, 3, 0, 120}, {12, 120, 123}, {24, 121, 120}, {24, 123, 
           127}, {18, 120, 127, 120}, {18, 121, 123, 127}, {21, 127, 118, 
           127}, {24, 127, 128}, {18, 81, 128, 127}, {18, 121, 123, 128}, {21,
            128, 119, 128}, {24, 128, 129}, {18, 83, 129, 128}, {67, 120, 127,
            128, 3, 61}, {7, 1, 5}, {70, 61, 0, 5, 0, 120}, {12, 120, 125}, {
           7, 2, 5}, {70, 61, 0, 5, 0, 120}, {12, 120, 126}, {7, 3, 5}, {70, 
           61, 0, 5, 0, 120}, {12, 120, 124}, {67, 125, 126, 124, 3, 62}, {
           8, 1.*^-10, 120}, {94, 270, 3, 0, 125, 3, 0, 120, 3, 0, 127}, {
           8, 0., 120}, {39, 120, 127, 14}, {3, 14, 62}, {7, 2, 5}, {94, 264, 
           3, 0, 126, 2, 0, 5, 3, 0, 127}, {7, 2, 5}, {94, 264, 3, 0, 124, 2, 
           0, 5, 3, 0, 120}, {18, 127, 120, 127}, {8, 0.25, 120}, {93, 36, 3, 
           0, 6, 3, 0, 128}, {7, 2, 5}, {94, 264, 3, 0, 128, 2, 0, 5, 3, 0, 
           129}, {21, 120, 129, 120}, {39, 127, 120, 17}, {3, 17, 46}, {21, 
           125, 118, 127}, {24, 126, 120}, {18, 81, 127, 120, 129}, {93, 36, 
           3, 0, 129, 3, 0, 127}, {21, 125, 119, 129}, {24, 124, 120}, {18, 
           83, 129, 120, 128}, {93, 36, 3, 0, 128, 3, 0, 129}, {7, 1, 5}, {94,
            260, 2, 0, 5, 3, 0, 8, 3, 0, 128}, {24, 128, 120}, {21, 125, 117, 
           128}, {7, 1, 5}, {7, 2, 13}, {94, 264, 3, 0, 8, 2, 0, 13, 3, 0, 
           130}, {94, 260, 2, 0, 5, 3, 0, 130, 3, 0, 131}, {7, 2, 5}, {94, 
           264, 3, 0, 126, 2, 0, 5, 3, 0, 130}, {24, 130, 132}, {7, 2, 5}, {
           94, 264, 3, 0, 124, 2, 0, 5, 3, 0, 130}, {24, 130, 133}, {18, 131, 
           132, 133, 131}, {93, 55, 3, 0, 131, 4, 0, 7}, {7, 1, 5}, {93, 42, 
           3, 0, 8, 2, 0, 13}, {15, 0, 5, 131}, {15, 0, 13, 132}, {94, 260, 3,
            0, 131, 3, 0, 132, 3, 0, 133}, {8, 0., 131}, {16, 133, 131, 5}, {
           22, 7, 5, 7}, {8, 0., 133}, {16, 120, 133, 5}, {8, 0., 131}, {16, 
           79, 131, 4}, {8, 0., 132}, {16, 128, 132, 6}, {19, 5, 4, 6, 7, 
           5}, {93, 36, 4, 0, 5, 3, 0, 120}, {18, 127, 129, 120, 127}, {
           8, 1.*^-7, 129}, {37, 127, 129, 20}, {10, 20, 19}, {4, 3}, {
           6, False, 21}, {10, 21, 19}, {10, 19, 20}, {4, 3}, {
           6, False, 17}, {10, 17, 20}, {3, 20, 4}, {67, 125, 126, 124, 3, 
           61}, {46, 61, 58}, {4, 3}, {45, {-1., 0., 0.}, 3, 3, 56}, {46, 56, 
           58}, {24, 121, 127}, {18, 127, 123, 127}, {24, 121, 129}, {18, 129,
            123, 129}, {21, 129, 118, 129}, {18, 81, 129, 120}, {24, 121, 
           129}, {18, 129, 123, 129}, {21, 129, 119, 129}, {18, 83, 129, 
           128}, {67, 127, 120, 128, 3, 62}, {7, 1, 5}, {70, 62, 0, 5, 0, 
           127}, {12, 127, 125}, {7, 2, 5}, {70, 62, 0, 5, 0, 127}, {12, 127, 
           126}, {7, 3, 5}, {70, 62, 0, 5, 0, 127}, {12, 127, 124}, {67, 125, 
           126, 124, 3, 61}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 125, 3, 0, 
           127, 3, 0, 120}, {8, 0., 127}, {39, 127, 120, 20}, {3, 20, 62}, {7,
            2, 5}, {94, 264, 3, 0, 126, 2, 0, 5, 3, 0, 120}, {7, 2, 5}, {94, 
           264, 3, 0, 124, 2, 0, 5, 3, 0, 127}, {18, 120, 127, 120}, {
           8, 0.25, 127}, {93, 36, 3, 0, 6, 3, 0, 128}, {7, 2, 5}, {94, 264, 
           3, 0, 128, 2, 0, 5, 3, 0, 129}, {21, 127, 129, 127}, {39, 120, 127,
            14}, {3, 14, 46}, {21, 125, 118, 120}, {24, 126, 127}, {18, 81, 
           120, 127, 129}, {93, 36, 3, 0, 129, 3, 0, 120}, {21, 125, 119, 
           129}, {24, 124, 127}, {18, 83, 129, 127, 128}, {93, 36, 3, 0, 128, 
           3, 0, 129}, {7, 1, 5}, {94, 260, 2, 0, 5, 3, 0, 8, 3, 0, 128}, {24,
            128, 127}, {21, 125, 117, 128}, {7, 1, 5}, {7, 2, 13}, {94, 264, 
           3, 0, 8, 2, 0, 13, 3, 0, 133}, {94, 260, 2, 0, 5, 3, 0, 133, 3, 0, 
           131}, {7, 2, 5}, {94, 264, 3, 0, 126, 2, 0, 5, 3, 0, 133}, {24, 
           133, 132}, {7, 2, 5}, {94, 264, 3, 0, 124, 2, 0, 5, 3, 0, 133}, {
           24, 133, 130}, {18, 131, 132, 130, 131}, {93, 55, 3, 0, 131, 4, 0, 
           5}, {7, 1, 5}, {93, 42, 3, 0, 8, 2, 0, 13}, {15, 0, 5, 131}, {15, 
           0, 13, 132}, {94, 260, 3, 0, 131, 3, 0, 132, 3, 0, 130}, {
           8, 0., 131}, {16, 130, 131, 7}, {22, 5, 7, 5}, {8, 0., 130}, {16, 
           127, 130, 7}, {8, 0., 131}, {16, 79, 131, 4}, {8, 0., 132}, {16, 
           128, 132, 6}, {19, 7, 4, 6, 5, 7}, {93, 36, 4, 0, 7, 3, 0, 127}, {
           18, 120, 129, 127, 120}, {8, 1.*^-7, 129}, {37, 120, 129, 19}, {10,
            19, 21}, {4, 3}, {6, False, 17}, {10, 17, 21}, {10, 21, 19}, {4, 
           3}, {6, False, 14}, {10, 14, 19}, {3, 19, 4}, {67, 125, 126, 124, 
           3, 62}, {46, 62, 69}, {4, 3}, {45, {-1., 0., 0.}, 3, 3, 56}, {46, 
           56, 69}, {68, 58, 69, 61}, {46, 61, 54}, {7, 1, 5}, {70, 54, 0, 5, 
           1, 61}, {7, 2, 5}, {70, 54, 0, 5, 1, 58}, {53, 61, 58, 0, 19}, {3, 
           19, 6}, {7, 1, 5}, {70, 54, 0, 5, 1, 61}, {68, 61, 58}, {46, 58, 
           61}, {4, 2}, {46, 54, 61}, {46, 61, 69}, {4, 3}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 58}, {46, 58, 69}, {46, 69, 25}, {
           45, {-1., 0., 0.}, 3, 3, 69}, {7, -1, 5}, {67, 5, 2, 54}, {68, 54, 
           61}, {74, 25, 69, 61, 58}, {46, 58, 25}, {6, False, 16}, {10, 16, 
           3}, {8, -16519., 124}, {18, 93, 124, 126}, {8, 1.*^-10, 124}, {94, 
           270, 3, 0, 126, 3, 0, 124, 3, 0, 125}, {8, 0., 126}, {34, 125, 126,
            0, 16}, {3, 16, 4}, {6, True, 19}, {10, 19, 21}, {4, 6}, {
           8, 1.*^-10, 125}, {94, 270, 3, 0, 59, 3, 0, 125, 3, 0, 126}, {
           8, 0.0001, 125}, {37, 126, 125, 20}, {10, 20, 21}, {43, 21, 16}, {
           3, 16, 4}, {6, True, 21}, {10, 21, 20}, {4, 4}, {8, 1., 126}, {34, 
           28, 126, 0, 19}, {10, 19, 20}, {3, 20, 4}, {8, 0., 126}, {12, 126, 
           38}, {4, 3}, {8, 0.0001, 126}, {12, 126, 38}, {8, 1., 126}, {
           8, 1., 125}, {8, 1., 124}, {7, 0, 5}, {7, 0, 13}, {46, 25, 58}, {
           44, 58, 15}, {7, 0, 17}, {64, 15, 2, 54}, {7, 0, 18}, {11, 18, 
           12}, {4, 35}, {70, 58, 0, 12, 1, 62}, {46, 62, 69}, {46, 69, 62}, {
           46, 62, 61}, {7, 1, 18}, {70, 61, 0, 18, 0, 121}, {12, 121, 126}, {
           7, 2, 18}, {70, 61, 0, 18, 0, 121}, {12, 121, 125}, {7, 3, 18}, {
           70, 61, 0, 18, 0, 121}, {12, 121, 124}, {67, 126, 125, 124, 3, 
           56}, {67, 126, 125, 124, 3, 61}, {45, {-1., 0., 0.}, 3, 3, 68}, {
           53, 61, 68, 0, 19}, {3, 19, 4}, {6, True, 20}, {10, 20, 21}, {4, 
           5}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 126, 3, 0, 121, 3, 0, 
           123}, {39, 38, 123, 16}, {10, 16, 21}, {3, 21, 6}, {7, 1, 18}, {17,
            5, 18, 19}, {11, 19, 5}, {11, 12, 18}, {4, 3}, {7, -1, 19}, {11, 
           19, 18}, {65, 17, 18, 54}, {5, 12, 15, -34}, {11, 5, 9}, {7, -1, 
           10}, {64, 9, 10, 3, 56}, {7, 0, 17}, {11, 17, 14}, {4, 14}, {7, 1, 
           17}, {17, 13, 17, 18}, {11, 18, 13}, {70, 54, 0, 13, 0, 18}, {
           7, -1, 17}, {33, 18, 17, 21}, {3, 21, 5}, {7, 1, 18}, {17, 13, 18, 
           17}, {11, 17, 13}, {4, -7}, {70, 58, 0, 13, 1, 61}, {66, 10, 61, 
           56}, {5, 14, 9, -13}, {95, 1, 56, 58}, {46, 58, 19}, {46, 19, 
           25}, {46, 25, 48}, {44, 25, 13}, {7, 1, 5}, {36, 5, 13, 21}, {3, 
           21, 6}, {45, {2}, 2, 1, 58}, {72, 25, 58, 1, 56}, {46, 56, 19}, {
           46, 19, 25}, {4, 1}, {7, -1, 13}, {67, 13, 2, 58}, {68, 58, 69}, {
           74, 26, 25, 69, 54}, {46, 54, 26}, {3, 3, 9}, {7, 1, 13}, {7, -1, 
           5}, {67, 5, 2, 54}, {68, 54, 58}, {49, 13, 0, 2, 1, 69}, {74, 23, 
           69, 58, 62}, {46, 62, 23}, {4, 8}, {7, 0, 13}, {7, -1, 5}, {67, 5, 
           2, 62}, {68, 62, 54}, {49, 13, 0, 2, 1, 58}, {74, 23, 58, 54, 
           69}, {46, 69, 23}, {70, 24, 0, 6, 1, 62}, {7, 1, 13}, {70, 62, 0, 
           13, 0, 124}, {12, 124, 70}, {7, 2, 13}, {70, 62, 0, 13, 0, 124}, {
           12, 124, 72}, {7, 3, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 74}, {
           7, 4, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 67}, {7, 5, 13}, {70,
            62, 0, 13, 0, 124}, {12, 124, 68}, {7, 6, 13}, {70, 62, 0, 13, 0, 
           124}, {12, 124, 69}, {7, 7, 13}, {70, 62, 0, 13, 0, 124}, {12, 124,
            50}, {7, 8, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 51}, {7, 9, 
           13}, {70, 62, 0, 13, 0, 124}, {12, 124, 52}, {7, 10, 13}, {70, 62, 
           0, 13, 0, 124}, {12, 124, 53}, {7, 11, 13}, {70, 62, 0, 13, 0, 
           124}, {12, 124, 54}, {7, 12, 13}, {70, 62, 0, 13, 0, 124}, {12, 
           124, 55}, {7, 13, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 56}, {7, 
           14, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 57}, {7, 15, 13}, {70, 
           62, 0, 13, 0, 124}, {12, 124, 58}, {7, 16, 13}, {70, 62, 0, 13, 0, 
           124}, {12, 124, 116}, {7, 17, 13}, {70, 62, 0, 13, 0, 124}, {12, 
           124, 32}, {7, 18, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 33}, {7, 
           19, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 59}, {7, 20, 13}, {70, 
           62, 0, 13, 0, 124}, {12, 124, 29}, {7, 21, 13}, {70, 62, 0, 13, 0, 
           124}, {12, 124, 45}, {7, 22, 13}, {70, 62, 0, 13, 0, 124}, {12, 
           124, 46}, {7, 23, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 24}, {7, 
           24, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 94}, {7, 25, 13}, {70, 
           62, 0, 13, 0, 124}, {12, 124, 93}, {7, 26, 13}, {70, 62, 0, 13, 0, 
           124}, {12, 124, 60}, {7, 27, 13}, {70, 62, 0, 13, 0, 124}, {12, 
           124, 61}, {7, 28, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 87}, {7, 
           29, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 26}, {7, 30, 13}, {70, 
           62, 0, 13, 0, 124}, {12, 124, 89}, {7, 31, 13}, {70, 62, 0, 13, 0, 
           124}, {12, 124, 90}, {7, 32, 13}, {70, 62, 0, 13, 0, 124}, {12, 
           124, 91}, {7, 33, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 92}, {7, 
           34, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 63}, {7, 35, 13}, {70, 
           62, 0, 13, 0, 124}, {12, 124, 44}, {7, 36, 13}, {70, 62, 0, 13, 0, 
           124}, {12, 124, 34}, {7, 37, 13}, {70, 62, 0, 13, 0, 124}, {12, 
           124, 47}, {7, 38, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 48}, {7, 
           39, 13}, {70, 62, 0, 13, 0, 124}, {12, 124, 49}, {67, 70, 72, 74, 
           67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 
           29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 44, 34,
            47, 48, 49, 3, 54}, {12, 29, 30}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 3, 0, 
           124, 3, 0, 125}, {21, 50, 125, 124}, {
           8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 1, 3, 0, 
           125, 3, 0, 126}, {21, 51, 126, 125}, {18, 124, 125, 124}, {12, 124,
            117}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 
           3, 0, 124, 3, 0, 125}, {21, 51, 125, 124}, {8, 1., 125}, {
           8, 0.017453292519943295`, 126}, {21, 126, 4, 126}, {93, 1, 3, 0, 
           126, 3, 0, 123}, {21, 125, 50, 123, 125}, {24, 125, 123}, {18, 124,
            123, 124}, {12, 124, 118}, {8, 0.017453292519943295`, 124}, {21, 
           124, 4, 124}, {93, 2, 3, 0, 124, 3, 0, 123}, {7, 2, 13}, {94, 264, 
           3, 0, 123, 2, 0, 13, 3, 0, 124}, {8, 0.017453292519943295`, 123}, {
           21, 123, 4, 123}, {93, 1, 3, 0, 123, 3, 0, 125}, {7, 2, 13}, {94, 
           264, 3, 0, 125, 2, 0, 13, 3, 0, 123}, {18, 124, 123, 124}, {21, 52,
            124, 123}, {12, 123, 119}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 117,
            3, 0, 123, 3, 0, 124}, {12, 124, 117}, {8, 1.*^-10, 124}, {94, 
           270, 3, 0, 118, 3, 0, 124, 3, 0, 123}, {12, 123, 118}, {
           8, 1.*^-10, 123}, {94, 270, 3, 0, 119, 3, 0, 123, 3, 0, 124}, {12, 
           124, 119}, {7, 2, 13}, {94, 264, 3, 0, 117, 2, 0, 13, 3, 0, 124}, {
           7, 2, 13}, {94, 264, 3, 0, 118, 2, 0, 13, 3, 0, 123}, {7, 2, 13}, {
           94, 264, 3, 0, 119, 2, 0, 13, 3, 0, 125}, {18, 124, 123, 125, 
           124}, {7, 1, 13}, {7, 2, 5}, {15, 0, 13, 123}, {15, 0, 5, 125}, {
           94, 260, 3, 0, 123, 3, 0, 125, 3, 0, 126}, {94, 264, 3, 0, 124, 3, 
           0, 126, 3, 0, 123}, {12, 123, 35}, {7, 1, 13}, {94, 260, 2, 0, 13, 
           3, 0, 35, 3, 0, 123}, {21, 117, 123, 124}, {12, 124, 117}, {7, 1, 
           13}, {94, 260, 2, 0, 13, 3, 0, 35, 3, 0, 124}, {21, 118, 124, 
           123}, {12, 123, 118}, {7, 1, 13}, {94, 260, 2, 0, 13, 3, 0, 35, 3, 
           0, 123}, {21, 119, 123, 124}, {12, 124, 119}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 3, 0, 
           124, 3, 0, 123}, {8, 1., 124}, {8, 0.017453292519943295`, 126}, {
           21, 126, 4, 126}, {93, 2, 3, 0, 126, 3, 0, 125}, {21, 12, 125, 
           126}, {18, 14, 126, 125}, {21, 124, 125, 124}, {24, 124, 125}, {18,
            67, 125, 124}, {21, 123, 124, 123}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 1, 3, 0, 
           124, 3, 0, 125}, {8, 1., 124}, {8, 0.017453292519943295`, 126}, {
           21, 126, 4, 126}, {93, 1, 3, 0, 126, 3, 0, 121}, {21, 12, 121, 
           126}, {18, 16, 126, 121}, {21, 124, 121, 124}, {24, 124, 121}, {18,
            68, 121, 124}, {21, 125, 124, 125}, {18, 123, 125, 123}, {12, 123,
            79}, {8, -1., 123}, {8, 1., 125}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 3, 0, 
           124, 3, 0, 121}, {21, 12, 121, 124}, {18, 14, 124, 121}, {21, 125, 
           121, 125}, {24, 125, 121}, {18, 67, 121, 125}, {
           8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 1, 3, 0, 
           121, 3, 0, 124}, {21, 123, 125, 124, 123}, {
           8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 2, 3, 0, 
           125, 3, 0, 124}, {8, 1., 125}, {8, 0.017453292519943295`, 121}, {
           21, 121, 4, 121}, {93, 1, 3, 0, 121, 3, 0, 126}, {21, 12, 126, 
           121}, {18, 16, 121, 126}, {21, 125, 126, 125}, {24, 125, 126}, {18,
            68, 126, 125}, {21, 124, 125, 124}, {18, 123, 124, 123}, {12, 123,
            81}, {8, 0.017453292519943295`, 123}, {21, 123, 4, 123}, {93, 2, 
           3, 0, 123, 3, 0, 124}, {7, 2, 13}, {94, 264, 3, 0, 124, 2, 0, 13, 
           3, 0, 123}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {
           93, 1, 3, 0, 124, 3, 0, 125}, {7, 2, 13}, {94, 264, 3, 0, 125, 2, 
           0, 13, 3, 0, 124}, {18, 123, 124, 123}, {21, 69, 123, 124}, {12, 
           124, 83}, {8, 1.*^-10, 124}, {94, 270, 3, 0, 79, 3, 0, 124, 3, 0, 
           123}, {12, 123, 79}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 81, 3, 0, 
           123, 3, 0, 124}, {12, 124, 81}, {8, 1.*^-10, 124}, {94, 270, 3, 0, 
           83, 3, 0, 124, 3, 0, 123}, {12, 123, 83}, {6, False, 21}, {10, 21, 
           11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 62}, {46, 62, 25}, {
           8, 1., 123}, {8, 1., 124}, {8, 1., 125}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 62}, {8, 1., 126}, {8, 1., 121}, {
           8, 1., 122}, {7, 2, 13}, {94, 264, 3, 0, 79, 2, 0, 13, 3, 0, 
           120}, {7, 2, 13}, {94, 264, 3, 0, 81, 2, 0, 13, 3, 0, 129}, {7, 2, 
           13}, {94, 264, 3, 0, 83, 2, 0, 13, 3, 0, 127}, {18, 120, 129, 127, 
           120}, {12, 120, 123}, {21, 79, 117, 120}, {21, 81, 118, 129}, {21, 
           83, 119, 127}, {7, 1, 13}, {94, 260, 2, 0, 13, 3, 0, 9, 3, 0, 
           128}, {21, 117, 128, 130}, {24, 130, 128}, {18, 120, 129, 127, 128,
            120}, {12, 120, 124}, {24, 123, 120}, {7, 2, 13}, {94, 264, 3, 0, 
           124, 2, 0, 13, 3, 0, 129}, {7, 2, 13}, {15, 1, 13, 127}, {21, 127, 
           79, 127}, {7, 1, 13}, {94, 260, 2, 0, 13, 3, 0, 9, 3, 0, 128}, {21,
            127, 128, 127}, {18, 120, 129, 127, 120}, {12, 120, 125}, {
           8, 1.*^-10, 120}, {94, 270, 3, 0, 125, 3, 0, 120, 3, 0, 129}, {
           8, 0., 120}, {39, 120, 129, 21}, {3, 21, 210}, {93, 55, 3, 0, 125, 
           3, 0, 129}, {12, 129, 125}, {24, 124, 129}, {24, 125, 120}, {18, 
           129, 120, 129}, {18, 124, 125, 120}, {21, 120, 118, 120}, {24, 120,
            127}, {18, 81, 127, 120}, {18, 124, 125, 127}, {21, 127, 119, 
           127}, {24, 127, 128}, {18, 83, 128, 127}, {67, 129, 120, 127, 3, 
           58}, {7, 1, 13}, {70, 58, 0, 13, 0, 129}, {12, 129, 126}, {7, 2, 
           13}, {70, 58, 0, 13, 0, 129}, {12, 129, 121}, {7, 3, 13}, {70, 58, 
           0, 13, 0, 129}, {12, 129, 122}, {67, 126, 121, 122, 3, 61}, {
           8, 1.*^-10, 129}, {94, 270, 3, 0, 126, 3, 0, 129, 3, 0, 120}, {
           8, 0., 129}, {39, 129, 120, 19}, {3, 19, 62}, {7, 2, 13}, {94, 264,
            3, 0, 121, 2, 0, 13, 3, 0, 120}, {7, 2, 13}, {94, 264, 3, 0, 122, 
           2, 0, 13, 3, 0, 129}, {18, 120, 129, 120}, {8, 0.25, 129}, {93, 36,
            3, 0, 6, 3, 0, 127}, {7, 2, 13}, {94, 264, 3, 0, 127, 2, 0, 13, 3,
            0, 128}, {21, 129, 128, 129}, {39, 120, 129, 20}, {3, 20, 46}, {
           21, 126, 118, 120}, {24, 121, 129}, {18, 81, 120, 129, 128}, {93, 
           36, 3, 0, 128, 3, 0, 120}, {21, 126, 119, 128}, {24, 122, 129}, {
           18, 83, 128, 129, 127}, {93, 36, 3, 0, 127, 3, 0, 128}, {7, 1, 
           13}, {94, 260, 2, 0, 13, 3, 0, 9, 3, 0, 127}, {24, 127, 129}, {21, 
           126, 117, 127}, {7, 1, 13}, {7, 2, 5}, {94, 264, 3, 0, 9, 2, 0, 5, 
           3, 0, 130}, {94, 260, 2, 0, 13, 3, 0, 130, 3, 0, 131}, {7, 2, 
           13}, {94, 264, 3, 0, 121, 2, 0, 13, 3, 0, 130}, {24, 130, 132}, {7,
            2, 13}, {94, 264, 3, 0, 122, 2, 0, 13, 3, 0, 130}, {24, 130, 
           133}, {18, 131, 132, 133, 131}, {93, 55, 3, 0, 131, 4, 0, 7}, {7, 
           1, 13}, {93, 42, 3, 0, 9, 2, 0, 5}, {15, 0, 13, 131}, {15, 0, 5, 
           132}, {94, 260, 3, 0, 131, 3, 0, 132, 3, 0, 133}, {8, 0., 131}, {
           16, 133, 131, 5}, {22, 7, 5, 7}, {8, 0., 133}, {16, 129, 133, 5}, {
           8, 0., 131}, {16, 79, 131, 4}, {8, 0., 132}, {16, 127, 132, 6}, {
           19, 5, 4, 6, 7, 5}, {93, 36, 4, 0, 5, 3, 0, 129}, {18, 120, 128, 
           129, 120}, {8, 1.*^-7, 128}, {37, 120, 128, 16}, {10, 16, 17}, {4, 
           3}, {6, False, 14}, {10, 14, 17}, {10, 17, 16}, {4, 3}, {
           6, False, 20}, {10, 20, 16}, {3, 16, 4}, {67, 126, 121, 122, 3, 
           58}, {46, 58, 60}, {4, 3}, {45, {-1., 0., 0.}, 3, 3, 68}, {46, 68, 
           60}, {24, 124, 120}, {18, 120, 125, 120}, {24, 124, 128}, {18, 128,
            125, 128}, {21, 128, 118, 128}, {18, 81, 128, 129}, {24, 124, 
           128}, {18, 128, 125, 128}, {21, 128, 119, 128}, {18, 83, 128, 
           127}, {67, 120, 129, 127, 3, 61}, {7, 1, 13}, {70, 61, 0, 13, 0, 
           120}, {12, 120, 126}, {7, 2, 13}, {70, 61, 0, 13, 0, 120}, {12, 
           120, 121}, {7, 3, 13}, {70, 61, 0, 13, 0, 120}, {12, 120, 122}, {
           67, 126, 121, 122, 3, 58}, {8, 1.*^-10, 120}, {94, 270, 3, 0, 126, 
           3, 0, 120, 3, 0, 129}, {8, 0., 120}, {39, 120, 129, 16}, {3, 16, 
           62}, {7, 2, 13}, {94, 264, 3, 0, 121, 2, 0, 13, 3, 0, 129}, {7, 2, 
           13}, {94, 264, 3, 0, 122, 2, 0, 13, 3, 0, 120}, {18, 129, 120, 
           129}, {8, 0.25, 120}, {93, 36, 3, 0, 6, 3, 0, 127}, {7, 2, 13}, {
           94, 264, 3, 0, 127, 2, 0, 13, 3, 0, 128}, {21, 120, 128, 120}, {39,
            129, 120, 19}, {3, 19, 46}, {21, 126, 118, 129}, {24, 121, 120}, {
           18, 81, 129, 120, 128}, {93, 36, 3, 0, 128, 3, 0, 129}, {21, 126, 
           119, 128}, {24, 122, 120}, {18, 83, 128, 120, 127}, {93, 36, 3, 0, 
           127, 3, 0, 128}, {7, 1, 13}, {94, 260, 2, 0, 13, 3, 0, 9, 3, 0, 
           127}, {24, 127, 120}, {21, 126, 117, 127}, {7, 1, 13}, {7, 2, 5}, {
           94, 264, 3, 0, 9, 2, 0, 5, 3, 0, 133}, {94, 260, 2, 0, 13, 3, 0, 
           133, 3, 0, 131}, {7, 2, 13}, {94, 264, 3, 0, 121, 2, 0, 13, 3, 0, 
           133}, {24, 133, 132}, {7, 2, 13}, {94, 264, 3, 0, 122, 2, 0, 13, 3,
            0, 133}, {24, 133, 130}, {18, 131, 132, 130, 131}, {93, 55, 3, 0, 
           131, 4, 0, 5}, {7, 1, 13}, {93, 42, 3, 0, 9, 2, 0, 5}, {15, 0, 13, 
           131}, {15, 0, 5, 132}, {94, 260, 3, 0, 131, 3, 0, 132, 3, 0, 
           130}, {8, 0., 131}, {16, 130, 131, 7}, {22, 5, 7, 5}, {
           8, 0., 130}, {16, 120, 130, 7}, {8, 0., 131}, {16, 79, 131, 4}, {
           8, 0., 132}, {16, 127, 132, 6}, {19, 7, 4, 6, 5, 7}, {93, 36, 4, 0,
            7, 3, 0, 120}, {18, 129, 128, 120, 129}, {8, 1.*^-7, 128}, {37, 
           129, 128, 17}, {10, 17, 14}, {4, 3}, {6, False, 20}, {10, 20, 
           14}, {10, 14, 17}, {4, 3}, {6, False, 19}, {10, 19, 17}, {3, 17, 
           4}, {67, 126, 121, 122, 3, 61}, {46, 61, 65}, {4, 3}, {
           45, {-1., 0., 0.}, 3, 3, 68}, {46, 68, 65}, {68, 60, 65, 58}, {46, 
           58, 62}, {7, 1, 13}, {70, 62, 0, 13, 1, 58}, {7, 2, 13}, {70, 62, 
           0, 13, 1, 60}, {53, 58, 60, 0, 17}, {3, 17, 6}, {7, 1, 13}, {70, 
           62, 0, 13, 1, 58}, {68, 58, 60}, {46, 60, 58}, {4, 2}, {46, 62, 
           58}, {46, 58, 65}, {4, 3}, {45, {{-1., 0., 0.}}, 3, 1, 3, 60}, {46,
            60, 65}, {46, 65, 25}, {45, {-1., 0., 0.}, 3, 3, 65}, {7, -1, 
           13}, {67, 13, 2, 62}, {68, 62, 58}, {74, 25, 65, 58, 60}, {46, 60, 
           25}, {6, False, 21}, {10, 21, 3}, {8, -16520., 122}, {18, 93, 122, 
           121}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 121, 3, 0, 122, 3, 0, 
           126}, {8, 0., 121}, {34, 126, 121, 0, 21}, {3, 21, 4}, {
           6, True, 17}, {10, 17, 14}, {4, 6}, {8, 1.*^-10, 126}, {94, 270, 3,
            0, 59, 3, 0, 126, 3, 0, 121}, {8, 0.0001, 126}, {37, 121, 126, 
           16}, {10, 16, 14}, {43, 14, 21}, {3, 21, 4}, {6, True, 14}, {10, 
           14, 16}, {4, 4}, {8, 1., 121}, {34, 28, 121, 0, 17}, {10, 17, 
           16}, {3, 16, 4}, {8, 0., 121}, {12, 121, 38}, {4, 3}, {
           8, 0.0001, 121}, {12, 121, 38}, {8, 1., 121}, {8, 1., 126}, {
           8, 1., 122}, {7, 0, 13}, {7, 0, 5}, {46, 25, 60}, {44, 60, 9}, {7, 
           0, 15}, {64, 9, 2, 62}, {7, 0, 12}, {11, 12, 17}, {4, 35}, {70, 60,
            0, 17, 1, 61}, {46, 61, 65}, {46, 65, 61}, {46, 61, 58}, {7, 1, 
           12}, {70, 58, 0, 12, 0, 124}, {12, 124, 121}, {7, 2, 12}, {70, 58, 
           0, 12, 0, 124}, {12, 124, 126}, {7, 3, 12}, {70, 58, 0, 12, 0, 
           124}, {12, 124, 122}, {67, 121, 126, 122, 3, 68}, {67, 121, 126, 
           122, 3, 58}, {45, {-1., 0., 0.}, 3, 3, 72}, {53, 58, 72, 0, 17}, {
           3, 17, 4}, {6, True, 16}, {10, 16, 14}, {4, 5}, {
           8, 1.*^-10, 124}, {94, 270, 3, 0, 121, 3, 0, 124, 3, 0, 125}, {39, 
           38, 125, 21}, {10, 21, 14}, {3, 14, 6}, {7, 1, 12}, {17, 13, 12, 
           19}, {11, 19, 13}, {11, 17, 12}, {4, 3}, {7, -1, 19}, {11, 19, 
           12}, {65, 15, 12, 62}, {5, 17, 9, -34}, {11, 13, 10}, {7, -1, 
           18}, {64, 10, 18, 3, 68}, {7, 0, 15}, {11, 15, 14}, {4, 14}, {7, 1,
            15}, {17, 5, 15, 12}, {11, 12, 5}, {70, 62, 0, 5, 0, 12}, {7, -1, 
           15}, {33, 12, 15, 14}, {3, 14, 5}, {7, 1, 12}, {17, 5, 12, 15}, {
           11, 15, 5}, {4, -7}, {70, 60, 0, 5, 1, 58}, {66, 18, 58, 68}, {5, 
           14, 10, -13}, {95, 1, 68, 60}, {46, 60, 19}, {46, 19, 25}, {46, 25,
            48}, {44, 25, 5}, {7, 1, 13}, {36, 13, 5, 14}, {3, 14, 6}, {
           45, {2}, 2, 1, 60}, {72, 25, 60, 1, 68}, {46, 68, 19}, {46, 19, 
           25}, {4, 1}, {7, -1, 5}, {67, 5, 2, 60}, {68, 60, 65}, {74, 26, 25,
            65, 62}, {46, 62, 26}, {3, 3, 9}, {7, 1, 5}, {7, -1, 13}, {67, 13,
            2, 62}, {68, 62, 60}, {49, 5, 0, 2, 1, 65}, {74, 23, 65, 60, 
           61}, {46, 61, 23}, {4, 8}, {7, 0, 5}, {7, -1, 13}, {67, 13, 2, 
           61}, {68, 61, 62}, {49, 5, 0, 2, 1, 60}, {74, 23, 60, 62, 65}, {46,
            65, 23}, {70, 24, 0, 6, 1, 61}, {7, 1, 5}, {70, 61, 0, 5, 0, 
           122}, {12, 122, 70}, {7, 2, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 
           72}, {7, 3, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 74}, {7, 4, 5}, {
           70, 61, 0, 5, 0, 122}, {12, 122, 67}, {7, 5, 5}, {70, 61, 0, 5, 0, 
           122}, {12, 122, 68}, {7, 6, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 
           69}, {7, 7, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 50}, {7, 8, 5}, {
           70, 61, 0, 5, 0, 122}, {12, 122, 51}, {7, 9, 5}, {70, 61, 0, 5, 0, 
           122}, {12, 122, 52}, {7, 10, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 
           53}, {7, 11, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 54}, {7, 12, 
           5}, {70, 61, 0, 5, 0, 122}, {12, 122, 55}, {7, 13, 5}, {70, 61, 0, 
           5, 0, 122}, {12, 122, 56}, {7, 14, 5}, {70, 61, 0, 5, 0, 122}, {12,
            122, 57}, {7, 15, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 58}, {7, 
           16, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 116}, {7, 17, 5}, {70, 
           61, 0, 5, 0, 122}, {12, 122, 32}, {7, 18, 5}, {70, 61, 0, 5, 0, 
           122}, {12, 122, 33}, {7, 19, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 
           59}, {7, 20, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 29}, {7, 21, 
           5}, {70, 61, 0, 5, 0, 122}, {12, 122, 45}, {7, 22, 5}, {70, 61, 0, 
           5, 0, 122}, {12, 122, 46}, {7, 23, 5}, {70, 61, 0, 5, 0, 122}, {12,
            122, 24}, {7, 24, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 94}, {7, 
           25, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 93}, {7, 26, 5}, {70, 61,
            0, 5, 0, 122}, {12, 122, 60}, {7, 27, 5}, {70, 61, 0, 5, 0, 
           122}, {12, 122, 61}, {7, 28, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 
           87}, {7, 29, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 26}, {7, 30, 
           5}, {70, 61, 0, 5, 0, 122}, {12, 122, 89}, {7, 31, 5}, {70, 61, 0, 
           5, 0, 122}, {12, 122, 90}, {7, 32, 5}, {70, 61, 0, 5, 0, 122}, {12,
            122, 91}, {7, 33, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 92}, {7, 
           34, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 63}, {7, 35, 5}, {70, 61,
            0, 5, 0, 122}, {12, 122, 44}, {7, 36, 5}, {70, 61, 0, 5, 0, 
           122}, {12, 122, 34}, {7, 37, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 
           47}, {7, 38, 5}, {70, 61, 0, 5, 0, 122}, {12, 122, 48}, {7, 39, 
           5}, {70, 61, 0, 5, 0, 122}, {12, 122, 49}, {67, 70, 72, 74, 67, 68,
            69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 
           46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48,
            49, 3, 62}, {12, 29, 30}, {8, 0.017453292519943295`, 122}, {21, 
           122, 5, 122}, {93, 2, 3, 0, 122, 3, 0, 126}, {21, 50, 126, 122}, {
           8, 0.017453292519943295`, 126}, {21, 126, 5, 126}, {93, 1, 3, 0, 
           126, 3, 0, 121}, {21, 51, 121, 126}, {18, 122, 126, 122}, {12, 122,
            117}, {8, 0.017453292519943295`, 122}, {21, 122, 5, 122}, {93, 2, 
           3, 0, 122, 3, 0, 126}, {21, 51, 126, 122}, {8, 1., 126}, {
           8, 0.017453292519943295`, 121}, {21, 121, 5, 121}, {93, 1, 3, 0, 
           121, 3, 0, 125}, {21, 126, 50, 125, 126}, {24, 126, 125}, {18, 122,
            125, 122}, {12, 122, 118}, {8, 0.017453292519943295`, 122}, {21, 
           122, 5, 122}, {93, 2, 3, 0, 122, 3, 0, 125}, {7, 2, 5}, {94, 264, 
           3, 0, 125, 2, 0, 5, 3, 0, 122}, {8, 0.017453292519943295`, 125}, {
           21, 125, 5, 125}, {93, 1, 3, 0, 125, 3, 0, 126}, {7, 2, 5}, {94, 
           264, 3, 0, 126, 2, 0, 5, 3, 0, 125}, {18, 122, 125, 122}, {21, 52, 
           122, 125}, {12, 125, 119}, {8, 1.*^-10, 125}, {94, 270, 3, 0, 117, 
           3, 0, 125, 3, 0, 122}, {12, 122, 117}, {8, 1.*^-10, 122}, {94, 270,
            3, 0, 118, 3, 0, 122, 3, 0, 125}, {12, 125, 118}, {
           8, 1.*^-10, 125}, {94, 270, 3, 0, 119, 3, 0, 125, 3, 0, 122}, {12, 
           122, 119}, {7, 2, 5}, {94, 264, 3, 0, 117, 2, 0, 5, 3, 0, 122}, {7,
            2, 5}, {94, 264, 3, 0, 118, 2, 0, 5, 3, 0, 125}, {7, 2, 5}, {94, 
           264, 3, 0, 119, 2, 0, 5, 3, 0, 126}, {18, 122, 125, 126, 122}, {7, 
           1, 5}, {7, 2, 13}, {15, 0, 5, 125}, {15, 0, 13, 126}, {94, 260, 3, 
           0, 125, 3, 0, 126, 3, 0, 121}, {94, 264, 3, 0, 122, 3, 0, 121, 3, 
           0, 125}, {12, 125, 35}, {7, 1, 5}, {94, 260, 2, 0, 5, 3, 0, 35, 3, 
           0, 125}, {21, 117, 125, 122}, {12, 122, 117}, {7, 1, 5}, {94, 260, 
           2, 0, 5, 3, 0, 35, 3, 0, 122}, {21, 118, 122, 125}, {12, 125, 
           118}, {7, 1, 5}, {94, 260, 2, 0, 5, 3, 0, 35, 3, 0, 125}, {21, 119,
            125, 122}, {12, 122, 119}, {8, 1., 122}, {21, 122, 15, 122}, {24, 
           122, 125}, {18, 67, 125, 122}, {8, 0.017453292519943295`, 125}, {
           21, 125, 5, 125}, {93, 2, 3, 0, 125, 3, 0, 121}, {21, 122, 121, 
           122}, {8, 1., 121}, {21, 121, 17, 121}, {24, 121, 125}, {18, 68, 
           125, 121}, {8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93,
            1, 3, 0, 125, 3, 0, 126}, {21, 121, 126, 121}, {18, 122, 121, 
           122}, {12, 122, 79}, {8, 1., 122}, {21, 122, 17, 122}, {24, 122, 
           121}, {18, 68, 121, 122}, {8, 0.017453292519943295`, 121}, {21, 
           121, 5, 121}, {93, 2, 3, 0, 121, 3, 0, 126}, {21, 122, 126, 122}, {
           8, 1., 126}, {8, 1., 121}, {21, 121, 15, 121}, {24, 121, 125}, {18,
            67, 125, 121}, {8, 0.017453292519943295`, 125}, {21, 125, 5, 
           125}, {93, 1, 3, 0, 125, 3, 0, 124}, {21, 126, 121, 124, 126}, {24,
            126, 121}, {18, 122, 121, 122}, {12, 122, 81}, {
           8, 0.017453292519943295`, 122}, {21, 122, 5, 122}, {93, 2, 3, 0, 
           122, 3, 0, 121}, {7, 2, 5}, {94, 264, 3, 0, 121, 2, 0, 5, 3, 0, 
           122}, {8, 0.017453292519943295`, 121}, {21, 121, 5, 121}, {93, 1, 
           3, 0, 121, 3, 0, 126}, {7, 2, 5}, {94, 264, 3, 0, 126, 2, 0, 5, 3, 
           0, 121}, {18, 122, 121, 122}, {21, 69, 122, 121}, {12, 121, 83}, {
           8, 1.*^-10, 121}, {94, 270, 3, 0, 79, 3, 0, 121, 3, 0, 122}, {12, 
           122, 79}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 81, 3, 0, 122, 3, 0, 
           121}, {12, 121, 81}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 83, 3, 0, 
           121, 3, 0, 122}, {12, 122, 83}, {6, False, 14}, {10, 14, 11}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 61}, {46, 61, 25}, {8, 1., 122}, {
           8, 1., 121}, {8, 1., 126}, {45, {{-1., 0., 0.}}, 3, 1, 3, 61}, {
           8, 1., 124}, {8, 1., 125}, {8, 1., 123}, {7, 2, 5}, {94, 264, 3, 0,
            79, 2, 0, 5, 3, 0, 129}, {7, 2, 5}, {94, 264, 3, 0, 81, 2, 0, 5, 
           3, 0, 128}, {7, 2, 5}, {94, 264, 3, 0, 83, 2, 0, 5, 3, 0, 120}, {
           18, 129, 128, 120, 129}, {12, 129, 122}, {21, 79, 117, 129}, {21, 
           81, 118, 128}, {21, 83, 119, 120}, {7, 1, 5}, {94, 260, 2, 0, 5, 3,
            0, 10, 3, 0, 127}, {21, 117, 127, 130}, {24, 130, 127}, {18, 129, 
           128, 120, 127, 129}, {12, 129, 121}, {24, 122, 129}, {7, 2, 5}, {
           94, 264, 3, 0, 121, 2, 0, 5, 3, 0, 128}, {7, 2, 5}, {15, 1, 5, 
           120}, {21, 120, 79, 120}, {7, 1, 5}, {94, 260, 2, 0, 5, 3, 0, 10, 
           3, 0, 127}, {21, 120, 127, 120}, {18, 129, 128, 120, 129}, {12, 
           129, 126}, {8, 1.*^-10, 129}, {94, 270, 3, 0, 126, 3, 0, 129, 3, 0,
            128}, {8, 0., 129}, {39, 129, 128, 14}, {3, 14, 210}, {93, 55, 3, 
           0, 126, 3, 0, 128}, {12, 128, 126}, {24, 121, 128}, {24, 126, 
           129}, {18, 128, 129, 128}, {18, 121, 126, 129}, {21, 129, 118, 
           129}, {24, 129, 120}, {18, 81, 120, 129}, {18, 121, 126, 120}, {21,
            120, 119, 120}, {24, 120, 127}, {18, 83, 127, 120}, {67, 128, 129,
            120, 3, 60}, {7, 1, 5}, {70, 60, 0, 5, 0, 128}, {12, 128, 124}, {
           7, 2, 5}, {70, 60, 0, 5, 0, 128}, {12, 128, 125}, {7, 3, 5}, {70, 
           60, 0, 5, 0, 128}, {12, 128, 123}, {67, 124, 125, 123, 3, 58}, {
           8, 1.*^-10, 128}, {94, 270, 3, 0, 124, 3, 0, 128, 3, 0, 129}, {
           8, 0., 128}, {39, 128, 129, 17}, {3, 17, 62}, {7, 2, 5}, {94, 264, 
           3, 0, 125, 2, 0, 5, 3, 0, 129}, {7, 2, 5}, {94, 264, 3, 0, 123, 2, 
           0, 5, 3, 0, 128}, {18, 129, 128, 129}, {8, 0.25, 128}, {93, 36, 3, 
           0, 7, 3, 0, 120}, {7, 2, 5}, {94, 264, 3, 0, 120, 2, 0, 5, 3, 0, 
           127}, {21, 128, 127, 128}, {39, 129, 128, 16}, {3, 16, 46}, {21, 
           124, 118, 129}, {24, 125, 128}, {18, 81, 129, 128, 127}, {93, 36, 
           3, 0, 127, 3, 0, 129}, {21, 124, 119, 127}, {24, 123, 128}, {18, 
           83, 127, 128, 120}, {93, 36, 3, 0, 120, 3, 0, 127}, {7, 1, 5}, {94,
            260, 2, 0, 5, 3, 0, 10, 3, 0, 120}, {24, 120, 128}, {21, 124, 117,
            120}, {7, 1, 5}, {7, 2, 13}, {94, 264, 3, 0, 10, 2, 0, 13, 3, 0, 
           130}, {94, 260, 2, 0, 5, 3, 0, 130, 3, 0, 131}, {7, 2, 5}, {94, 
           264, 3, 0, 125, 2, 0, 5, 3, 0, 130}, {24, 130, 132}, {7, 2, 5}, {
           94, 264, 3, 0, 123, 2, 0, 5, 3, 0, 130}, {24, 130, 133}, {18, 131, 
           132, 133, 131}, {93, 55, 3, 0, 131, 4, 0, 7}, {7, 1, 5}, {93, 42, 
           3, 0, 10, 2, 0, 13}, {15, 0, 5, 131}, {15, 0, 13, 132}, {94, 260, 
           3, 0, 131, 3, 0, 132, 3, 0, 133}, {8, 0., 131}, {16, 133, 131, 
           5}, {22, 7, 5, 7}, {8, 0., 133}, {16, 128, 133, 5}, {8, 0., 131}, {
           16, 79, 131, 4}, {8, 0., 132}, {16, 120, 132, 6}, {19, 5, 4, 6, 7, 
           5}, {93, 36, 4, 0, 5, 3, 0, 128}, {18, 129, 127, 128, 129}, {
           8, 1.*^-7, 127}, {37, 129, 127, 21}, {10, 21, 20}, {4, 3}, {
           6, False, 19}, {10, 19, 20}, {10, 20, 21}, {4, 3}, {
           6, False, 16}, {10, 16, 21}, {3, 21, 4}, {67, 124, 125, 123, 3, 
           60}, {46, 60, 67}, {4, 3}, {45, {-1., 0., 0.}, 3, 3, 72}, {46, 72, 
           67}, {24, 121, 129}, {18, 129, 126, 129}, {24, 121, 127}, {18, 127,
            126, 127}, {21, 127, 118, 127}, {18, 81, 127, 128}, {24, 121, 
           127}, {18, 127, 126, 127}, {21, 127, 119, 127}, {18, 83, 127, 
           120}, {67, 129, 128, 120, 3, 58}, {7, 1, 5}, {70, 58, 0, 5, 0, 
           129}, {12, 129, 124}, {7, 2, 5}, {70, 58, 0, 5, 0, 129}, {12, 129, 
           125}, {7, 3, 5}, {70, 58, 0, 5, 0, 129}, {12, 129, 123}, {67, 124, 
           125, 123, 3, 60}, {8, 1.*^-10, 129}, {94, 270, 3, 0, 124, 3, 0, 
           129, 3, 0, 128}, {8, 0., 129}, {39, 129, 128, 21}, {3, 21, 62}, {7,
            2, 5}, {94, 264, 3, 0, 125, 2, 0, 5, 3, 0, 128}, {7, 2, 5}, {94, 
           264, 3, 0, 123, 2, 0, 5, 3, 0, 129}, {18, 128, 129, 128}, {
           8, 0.25, 129}, {93, 36, 3, 0, 7, 3, 0, 120}, {7, 2, 5}, {94, 264, 
           3, 0, 120, 2, 0, 5, 3, 0, 127}, {21, 129, 127, 129}, {39, 128, 129,
            17}, {3, 17, 46}, {21, 124, 118, 128}, {24, 125, 129}, {18, 81, 
           128, 129, 127}, {93, 36, 3, 0, 127, 3, 0, 128}, {21, 124, 119, 
           127}, {24, 123, 129}, {18, 83, 127, 129, 120}, {93, 36, 3, 0, 120, 
           3, 0, 127}, {7, 1, 5}, {94, 260, 2, 0, 5, 3, 0, 10, 3, 0, 120}, {
           24, 120, 129}, {21, 124, 117, 120}, {7, 1, 5}, {7, 2, 13}, {94, 
           264, 3, 0, 10, 2, 0, 13, 3, 0, 133}, {94, 260, 2, 0, 5, 3, 0, 133, 
           3, 0, 131}, {7, 2, 5}, {94, 264, 3, 0, 125, 2, 0, 5, 3, 0, 133}, {
           24, 133, 132}, {7, 2, 5}, {94, 264, 3, 0, 123, 2, 0, 5, 3, 0, 
           133}, {24, 133, 130}, {18, 131, 132, 130, 131}, {93, 55, 3, 0, 131,
            4, 0, 5}, {7, 1, 5}, {93, 42, 3, 0, 10, 2, 0, 13}, {15, 0, 5, 
           131}, {15, 0, 13, 132}, {94, 260, 3, 0, 131, 3, 0, 132, 3, 0, 
           130}, {8, 0., 131}, {16, 130, 131, 7}, {22, 5, 7, 5}, {
           8, 0., 130}, {16, 129, 130, 7}, {8, 0., 131}, {16, 79, 131, 4}, {
           8, 0., 132}, {16, 120, 132, 6}, {19, 7, 4, 6, 5, 7}, {93, 36, 4, 0,
            7, 3, 0, 129}, {18, 128, 127, 129, 128}, {8, 1.*^-7, 127}, {37, 
           128, 127, 20}, {10, 20, 19}, {4, 3}, {6, False, 16}, {10, 16, 
           19}, {10, 19, 20}, {4, 3}, {6, False, 17}, {10, 17, 20}, {3, 20, 
           4}, {67, 124, 125, 123, 3, 58}, {46, 58, 55}, {4, 3}, {
           45, {-1., 0., 0.}, 3, 3, 72}, {46, 72, 55}, {68, 67, 55, 60}, {46, 
           60, 61}, {7, 1, 5}, {70, 61, 0, 5, 1, 60}, {7, 2, 5}, {70, 61, 0, 
           5, 1, 67}, {53, 60, 67, 0, 20}, {3, 20, 6}, {7, 1, 5}, {70, 61, 0, 
           5, 1, 60}, {68, 60, 67}, {46, 67, 60}, {4, 2}, {46, 61, 60}, {46, 
           60, 55}, {4, 3}, {45, {{-1., 0., 0.}}, 3, 1, 3, 67}, {46, 67, 
           55}, {46, 55, 25}, {45, {-1., 0., 0.}, 3, 3, 55}, {7, -1, 5}, {67, 
           5, 2, 61}, {68, 61, 60}, {74, 25, 55, 60, 67}, {46, 67, 25}, {
           6, False, 14}, {10, 14, 3}, {8, -16547., 123}, {18, 93, 123, 
           125}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 125, 3, 0, 123, 3, 0, 
           124}, {8, 0., 125}, {34, 124, 125, 0, 14}, {3, 14, 4}, {
           6, True, 20}, {10, 20, 19}, {4, 6}, {8, 1.*^-10, 124}, {94, 270, 3,
            0, 59, 3, 0, 124, 3, 0, 125}, {8, 0.0001, 124}, {37, 125, 124, 
           21}, {10, 21, 19}, {43, 19, 14}, {3, 14, 4}, {6, True, 19}, {10, 
           19, 21}, {4, 4}, {8, 1., 125}, {34, 28, 125, 0, 20}, {10, 20, 
           21}, {3, 21, 4}, {8, 0., 125}, {12, 125, 38}, {4, 3}, {
           8, 0.0001, 125}, {12, 125, 38}, {8, 1., 125}, {8, 1., 124}, {
           8, 1., 123}, {7, 0, 5}, {7, 0, 13}, {46, 25, 67}, {44, 67, 10}, {7,
            0, 9}, {64, 10, 2, 61}, {7, 0, 17}, {11, 17, 15}, {4, 35}, {70, 
           67, 0, 15, 1, 58}, {46, 58, 55}, {46, 55, 58}, {46, 58, 60}, {7, 1,
            17}, {70, 60, 0, 17, 0, 121}, {12, 121, 125}, {7, 2, 17}, {70, 60,
            0, 17, 0, 121}, {12, 121, 124}, {7, 3, 17}, {70, 60, 0, 17, 0, 
           121}, {12, 121, 123}, {67, 125, 124, 123, 3, 72}, {67, 125, 124, 
           123, 3, 60}, {45, {-1., 0., 0.}, 3, 3, 63}, {53, 60, 63, 0, 20}, {
           3, 20, 4}, {6, True, 21}, {10, 21, 19}, {4, 5}, {
           8, 1.*^-10, 121}, {94, 270, 3, 0, 125, 3, 0, 121, 3, 0, 126}, {39, 
           38, 126, 14}, {10, 14, 19}, {3, 19, 6}, {7, 1, 17}, {17, 5, 17, 
           19}, {11, 19, 5}, {11, 15, 17}, {4, 3}, {7, -1, 19}, {11, 19, 
           17}, {65, 9, 17, 61}, {5, 15, 10, -34}, {11, 5, 18}, {7, -1, 12}, {
           64, 18, 12, 3, 72}, {7, 0, 9}, {11, 9, 14}, {4, 14}, {7, 1, 9}, {
           17, 13, 9, 17}, {11, 17, 13}, {70, 61, 0, 13, 0, 17}, {7, -1, 9}, {
           33, 17, 9, 19}, {3, 19, 5}, {7, 1, 17}, {17, 13, 17, 9}, {11, 9, 
           13}, {4, -7}, {70, 67, 0, 13, 1, 60}, {66, 12, 60, 72}, {5, 14, 
           18, -13}, {95, 1, 72, 67}, {46, 67, 19}, {46, 19, 25}, {46, 25, 
           48}, {44, 25, 13}, {7, 1, 5}, {36, 5, 13, 19}, {3, 19, 6}, {
           45, {2}, 2, 1, 67}, {72, 25, 67, 1, 72}, {46, 72, 19}, {46, 19, 
           25}, {4, 1}, {7, -1, 13}, {67, 13, 2, 67}, {68, 67, 55}, {74, 26, 
           25, 55, 61}, {46, 61, 26}, {3, 3, 9}, {7, 1, 13}, {7, -1, 5}, {67, 
           5, 2, 61}, {68, 61, 67}, {49, 13, 0, 2, 1, 55}, {74, 23, 55, 67, 
           58}, {46, 58, 23}, {4, 8}, {7, 0, 13}, {7, -1, 5}, {67, 5, 2, 
           58}, {68, 58, 61}, {49, 13, 0, 2, 1, 67}, {74, 23, 67, 61, 55}, {
           46, 55, 23}, {70, 24, 0, 6, 1, 58}, {7, 1, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 70}, {7, 2, 13}, {70, 58, 0, 13, 0, 123}, {12, 123,
            72}, {7, 3, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 74}, {7, 4, 
           13}, {70, 58, 0, 13, 0, 123}, {12, 123, 67}, {7, 5, 13}, {70, 58, 
           0, 13, 0, 123}, {12, 123, 68}, {7, 6, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 69}, {7, 7, 13}, {70, 58, 0, 13, 0, 123}, {12, 123,
            50}, {7, 8, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 51}, {7, 9, 
           13}, {70, 58, 0, 13, 0, 123}, {12, 123, 52}, {7, 10, 13}, {70, 58, 
           0, 13, 0, 123}, {12, 123, 53}, {7, 11, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 54}, {7, 12, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 55}, {7, 13, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 56}, {7, 
           14, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 57}, {7, 15, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 58}, {7, 16, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 116}, {7, 17, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 32}, {7, 18, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 33}, {7, 
           19, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 59}, {7, 20, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 29}, {7, 21, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 45}, {7, 22, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 46}, {7, 23, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 24}, {7, 
           24, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 94}, {7, 25, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 93}, {7, 26, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 60}, {7, 27, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 61}, {7, 28, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 87}, {7, 
           29, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 26}, {7, 30, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 89}, {7, 31, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 90}, {7, 32, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 91}, {7, 33, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 92}, {7, 
           34, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 63}, {7, 35, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 44}, {7, 36, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 34}, {7, 37, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 47}, {7, 38, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 48}, {7, 
           39, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 49}, {67, 70, 72, 74, 
           67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 
           29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 44, 34,
            47, 48, 49, 3, 61}, {12, 29, 30}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 3, 0, 
           123, 3, 0, 124}, {21, 50, 124, 123}, {
           8, 0.017453292519943295`, 124}, {21, 124, 5, 124}, {93, 1, 3, 0, 
           124, 3, 0, 125}, {21, 51, 125, 124}, {18, 123, 124, 123}, {12, 123,
            117}, {8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 
           3, 0, 123, 3, 0, 124}, {21, 51, 124, 123}, {8, 1., 124}, {
           8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 1, 3, 0, 
           125, 3, 0, 126}, {21, 124, 50, 126, 124}, {24, 124, 126}, {18, 123,
            126, 123}, {12, 123, 118}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 2, 3, 0, 123, 3, 0, 126}, {7, 2, 13}, {94, 264, 
           3, 0, 126, 2, 0, 13, 3, 0, 123}, {8, 0.017453292519943295`, 126}, {
           21, 126, 5, 126}, {93, 1, 3, 0, 126, 3, 0, 124}, {7, 2, 13}, {94, 
           264, 3, 0, 124, 2, 0, 13, 3, 0, 126}, {18, 123, 126, 123}, {21, 52,
            123, 126}, {12, 126, 119}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 117,
            3, 0, 126, 3, 0, 123}, {12, 123, 117}, {8, 1.*^-10, 123}, {94, 
           270, 3, 0, 118, 3, 0, 123, 3, 0, 126}, {12, 126, 118}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 119, 3, 0, 126, 3, 0, 123}, {12, 
           123, 119}, {7, 2, 13}, {94, 264, 3, 0, 117, 2, 0, 13, 3, 0, 123}, {
           7, 2, 13}, {94, 264, 3, 0, 118, 2, 0, 13, 3, 0, 126}, {7, 2, 13}, {
           94, 264, 3, 0, 119, 2, 0, 13, 3, 0, 124}, {18, 123, 126, 124, 
           123}, {7, 1, 13}, {7, 2, 5}, {15, 0, 13, 126}, {15, 0, 5, 124}, {
           94, 260, 3, 0, 126, 3, 0, 124, 3, 0, 125}, {94, 264, 3, 0, 123, 3, 
           0, 125, 3, 0, 126}, {12, 126, 35}, {7, 1, 13}, {94, 260, 2, 0, 13, 
           3, 0, 35, 3, 0, 126}, {21, 117, 126, 123}, {12, 123, 117}, {7, 1, 
           13}, {94, 260, 2, 0, 13, 3, 0, 35, 3, 0, 123}, {21, 118, 123, 
           126}, {12, 126, 118}, {7, 1, 13}, {94, 260, 2, 0, 13, 3, 0, 35, 3, 
           0, 126}, {21, 119, 126, 123}, {12, 123, 119}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 3, 0, 
           123, 3, 0, 126}, {8, 1., 123}, {8, 0.017453292519943295`, 125}, {
           21, 125, 5, 125}, {93, 2, 3, 0, 125, 3, 0, 124}, {21, 13, 124, 
           125}, {18, 15, 125, 124}, {21, 123, 124, 123}, {24, 123, 124}, {18,
            67, 124, 123}, {21, 126, 123, 126}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 1, 3, 0, 
           123, 3, 0, 124}, {8, 1., 123}, {8, 0.017453292519943295`, 125}, {
           21, 125, 5, 125}, {93, 1, 3, 0, 125, 3, 0, 121}, {21, 13, 121, 
           125}, {18, 17, 125, 121}, {21, 123, 121, 123}, {24, 123, 121}, {18,
            68, 121, 123}, {21, 124, 123, 124}, {18, 126, 124, 126}, {12, 126,
            79}, {8, -1., 126}, {8, 1., 124}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 3, 0, 
           123, 3, 0, 121}, {21, 13, 121, 123}, {18, 15, 123, 121}, {21, 124, 
           121, 124}, {24, 124, 121}, {18, 67, 121, 124}, {
           8, 0.017453292519943295`, 121}, {21, 121, 5, 121}, {93, 1, 3, 0, 
           121, 3, 0, 123}, {21, 126, 124, 123, 126}, {
           8, 0.017453292519943295`, 124}, {21, 124, 5, 124}, {93, 2, 3, 0, 
           124, 3, 0, 123}, {8, 1., 124}, {8, 0.017453292519943295`, 121}, {
           21, 121, 5, 121}, {93, 1, 3, 0, 121, 3, 0, 125}, {21, 13, 125, 
           121}, {18, 17, 121, 125}, {21, 124, 125, 124}, {24, 124, 125}, {18,
            68, 125, 124}, {21, 123, 124, 123}, {18, 126, 123, 126}, {12, 126,
            81}, {8, 0.017453292519943295`, 126}, {21, 126, 5, 126}, {93, 2, 
           3, 0, 126, 3, 0, 123}, {7, 2, 13}, {94, 264, 3, 0, 123, 2, 0, 13, 
           3, 0, 126}, {8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {
           93, 1, 3, 0, 123, 3, 0, 124}, {7, 2, 13}, {94, 264, 3, 0, 124, 2, 
           0, 13, 3, 0, 123}, {18, 126, 123, 126}, {21, 69, 126, 123}, {12, 
           123, 83}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 79, 3, 0, 123, 3, 0, 
           126}, {12, 126, 79}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 81, 3, 0, 
           126, 3, 0, 123}, {12, 123, 81}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 
           83, 3, 0, 123, 3, 0, 126}, {12, 126, 83}, {6, False, 19}, {10, 19, 
           11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 58}, {46, 58, 25}, {
           8, 1., 126}, {8, 1., 123}, {8, 1., 124}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 58}, {8, 1., 125}, {8, 1., 121}, {
           8, 1., 122}, {7, 2, 13}, {94, 264, 3, 0, 79, 2, 0, 13, 3, 0, 
           128}, {7, 2, 13}, {94, 264, 3, 0, 81, 2, 0, 13, 3, 0, 127}, {7, 2, 
           13}, {94, 264, 3, 0, 83, 2, 0, 13, 3, 0, 129}, {18, 128, 127, 129, 
           128}, {12, 128, 126}, {21, 79, 117, 128}, {21, 81, 118, 127}, {21, 
           83, 119, 129}, {7, 1, 13}, {94, 260, 2, 0, 13, 3, 0, 11, 3, 0, 
           120}, {21, 117, 120, 130}, {24, 130, 120}, {18, 128, 127, 129, 120,
            128}, {12, 128, 123}, {24, 126, 128}, {7, 2, 13}, {94, 264, 3, 0, 
           123, 2, 0, 13, 3, 0, 127}, {7, 2, 13}, {15, 1, 13, 129}, {21, 129, 
           79, 129}, {7, 1, 13}, {94, 260, 2, 0, 13, 3, 0, 11, 3, 0, 120}, {
           21, 129, 120, 129}, {18, 128, 127, 129, 128}, {12, 128, 124}, {
           8, 1.*^-10, 128}, {94, 270, 3, 0, 124, 3, 0, 128, 3, 0, 127}, {
           8, 0., 128}, {39, 128, 127, 19}, {3, 19, 210}, {93, 55, 3, 0, 124, 
           3, 0, 127}, {12, 127, 124}, {24, 123, 127}, {24, 124, 128}, {18, 
           127, 128, 127}, {18, 123, 124, 128}, {21, 128, 118, 128}, {24, 128,
            129}, {18, 81, 129, 128}, {18, 123, 124, 129}, {21, 129, 119, 
           129}, {24, 129, 120}, {18, 83, 120, 129}, {67, 127, 128, 129, 3, 
           67}, {7, 1, 13}, {70, 67, 0, 13, 0, 127}, {12, 127, 125}, {7, 2, 
           13}, {70, 67, 0, 13, 0, 127}, {12, 127, 121}, {7, 3, 13}, {70, 67, 
           0, 13, 0, 127}, {12, 127, 122}, {67, 125, 121, 122, 3, 60}, {
           8, 1.*^-10, 127}, {94, 270, 3, 0, 125, 3, 0, 127, 3, 0, 128}, {
           8, 0., 127}, {39, 127, 128, 20}, {3, 20, 62}, {7, 2, 13}, {94, 264,
            3, 0, 121, 2, 0, 13, 3, 0, 128}, {7, 2, 13}, {94, 264, 3, 0, 122, 
           2, 0, 13, 3, 0, 127}, {18, 128, 127, 128}, {8, 0.25, 127}, {93, 36,
            3, 0, 7, 3, 0, 129}, {7, 2, 13}, {94, 264, 3, 0, 129, 2, 0, 13, 3,
            0, 120}, {21, 127, 120, 127}, {39, 128, 127, 21}, {3, 21, 46}, {
           21, 125, 118, 128}, {24, 121, 127}, {18, 81, 128, 127, 120}, {93, 
           36, 3, 0, 120, 3, 0, 128}, {21, 125, 119, 120}, {24, 122, 127}, {
           18, 83, 120, 127, 129}, {93, 36, 3, 0, 129, 3, 0, 120}, {7, 1, 
           13}, {94, 260, 2, 0, 13, 3, 0, 11, 3, 0, 129}, {24, 129, 127}, {21,
            125, 117, 129}, {7, 1, 13}, {7, 2, 5}, {94, 264, 3, 0, 11, 2, 0, 
           5, 3, 0, 130}, {94, 260, 2, 0, 13, 3, 0, 130, 3, 0, 131}, {7, 2, 
           13}, {94, 264, 3, 0, 121, 2, 0, 13, 3, 0, 130}, {24, 130, 132}, {7,
            2, 13}, {94, 264, 3, 0, 122, 2, 0, 13, 3, 0, 130}, {24, 130, 
           133}, {18, 131, 132, 133, 131}, {93, 55, 3, 0, 131, 4, 0, 7}, {7, 
           1, 13}, {93, 42, 3, 0, 11, 2, 0, 5}, {15, 0, 13, 131}, {15, 0, 5, 
           132}, {94, 260, 3, 0, 131, 3, 0, 132, 3, 0, 133}, {8, 0., 131}, {
           16, 133, 131, 5}, {22, 7, 5, 7}, {8, 0., 133}, {16, 127, 133, 5}, {
           8, 0., 131}, {16, 79, 131, 4}, {8, 0., 132}, {16, 129, 132, 6}, {
           19, 5, 4, 6, 7, 5}, {93, 36, 4, 0, 5, 3, 0, 127}, {18, 128, 120, 
           127, 128}, {8, 1.*^-7, 120}, {37, 128, 120, 14}, {10, 14, 16}, {4, 
           3}, {6, False, 17}, {10, 17, 16}, {10, 16, 14}, {4, 3}, {
           6, False, 21}, {10, 21, 14}, {3, 14, 4}, {67, 125, 121, 122, 3, 
           67}, {46, 67, 75}, {4, 3}, {45, {-1., 0., 0.}, 3, 3, 63}, {46, 63, 
           75}, {24, 123, 128}, {18, 128, 124, 128}, {24, 123, 120}, {18, 120,
            124, 120}, {21, 120, 118, 120}, {18, 81, 120, 127}, {24, 123, 
           120}, {18, 120, 124, 120}, {21, 120, 119, 120}, {18, 83, 120, 
           129}, {67, 128, 127, 129, 3, 60}, {7, 1, 13}, {70, 60, 0, 13, 0, 
           128}, {12, 128, 125}, {7, 2, 13}, {70, 60, 0, 13, 0, 128}, {12, 
           128, 121}, {7, 3, 13}, {70, 60, 0, 13, 0, 128}, {12, 128, 122}, {
           67, 125, 121, 122, 3, 67}, {8, 1.*^-10, 128}, {94, 270, 3, 0, 125, 
           3, 0, 128, 3, 0, 127}, {8, 0., 128}, {39, 128, 127, 14}, {3, 14, 
           62}, {7, 2, 13}, {94, 264, 3, 0, 121, 2, 0, 13, 3, 0, 127}, {7, 2, 
           13}, {94, 264, 3, 0, 122, 2, 0, 13, 3, 0, 128}, {18, 127, 128, 
           127}, {8, 0.25, 128}, {93, 36, 3, 0, 7, 3, 0, 129}, {7, 2, 13}, {
           94, 264, 3, 0, 129, 2, 0, 13, 3, 0, 120}, {21, 128, 120, 128}, {39,
            127, 128, 20}, {3, 20, 46}, {21, 125, 118, 127}, {24, 121, 128}, {
           18, 81, 127, 128, 120}, {93, 36, 3, 0, 120, 3, 0, 127}, {21, 125, 
           119, 120}, {24, 122, 128}, {18, 83, 120, 128, 129}, {93, 36, 3, 0, 
           129, 3, 0, 120}, {7, 1, 13}, {94, 260, 2, 0, 13, 3, 0, 11, 3, 0, 
           129}, {24, 129, 128}, {21, 125, 117, 129}, {7, 1, 13}, {7, 2, 5}, {
           94, 264, 3, 0, 11, 2, 0, 5, 3, 0, 133}, {94, 260, 2, 0, 13, 3, 0, 
           133, 3, 0, 131}, {7, 2, 13}, {94, 264, 3, 0, 121, 2, 0, 13, 3, 0, 
           133}, {24, 133, 132}, {7, 2, 13}, {94, 264, 3, 0, 122, 2, 0, 13, 3,
            0, 133}, {24, 133, 130}, {18, 131, 132, 130, 131}, {93, 55, 3, 0, 
           131, 4, 0, 5}, {7, 1, 13}, {93, 42, 3, 0, 11, 2, 0, 5}, {15, 0, 13,
            131}, {15, 0, 5, 132}, {94, 260, 3, 0, 131, 3, 0, 132, 3, 0, 
           130}, {8, 0., 131}, {16, 130, 131, 7}, {22, 5, 7, 5}, {
           8, 0., 130}, {16, 128, 130, 7}, {8, 0., 131}, {16, 79, 131, 4}, {
           8, 0., 132}, {16, 129, 132, 6}, {19, 7, 4, 6, 5, 7}, {93, 36, 4, 0,
            7, 3, 0, 128}, {18, 127, 120, 128, 127}, {8, 1.*^-7, 120}, {37, 
           127, 120, 16}, {10, 16, 17}, {4, 3}, {6, False, 21}, {10, 21, 
           17}, {10, 17, 16}, {4, 3}, {6, False, 20}, {10, 20, 16}, {3, 16, 
           4}, {67, 125, 121, 122, 3, 60}, {46, 60, 73}, {4, 3}, {
           45, {-1., 0., 0.}, 3, 3, 63}, {46, 63, 73}, {68, 75, 73, 67}, {46, 
           67, 58}, {7, 1, 13}, {70, 58, 0, 13, 1, 67}, {7, 2, 13}, {70, 58, 
           0, 13, 1, 75}, {53, 67, 75, 0, 16}, {3, 16, 6}, {7, 1, 13}, {70, 
           58, 0, 13, 1, 67}, {68, 67, 75}, {46, 75, 67}, {4, 2}, {46, 58, 
           67}, {46, 67, 73}, {4, 3}, {45, {{-1., 0., 0.}}, 3, 1, 3, 75}, {46,
            75, 73}, {46, 73, 25}, {45, {-1., 0., 0.}, 3, 3, 73}, {7, -1, 
           13}, {67, 13, 2, 58}, {68, 58, 67}, {74, 25, 73, 67, 75}, {46, 75, 
           25}, {6, False, 19}, {10, 19, 3}, {8, -16548., 122}, {18, 93, 122, 
           121}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 121, 3, 0, 122, 3, 0, 
           125}, {8, 0., 121}, {34, 125, 121, 0, 19}, {3, 19, 4}, {
           6, True, 16}, {10, 16, 17}, {4, 6}, {8, 1.*^-10, 125}, {94, 270, 3,
            0, 59, 3, 0, 125, 3, 0, 121}, {8, 0.0001, 125}, {37, 121, 125, 
           14}, {10, 14, 17}, {43, 17, 19}, {3, 19, 4}, {6, True, 17}, {10, 
           17, 14}, {4, 4}, {8, 1., 121}, {34, 28, 121, 0, 16}, {10, 16, 
           14}, {3, 14, 4}, {8, 0., 121}, {12, 121, 38}, {4, 3}, {
           8, 0.0001, 121}, {12, 121, 38}, {8, 1., 121}, {8, 1., 125}, {
           8, 1., 122}, {7, 0, 13}, {7, 0, 5}, {46, 25, 75}, {44, 75, 18}, {7,
            0, 10}, {64, 18, 2, 58}, {7, 0, 15}, {11, 15, 9}, {4, 35}, {70, 
           75, 0, 9, 1, 60}, {46, 60, 73}, {46, 73, 60}, {46, 60, 67}, {7, 1, 
           15}, {70, 67, 0, 15, 0, 123}, {12, 123, 121}, {7, 2, 15}, {70, 67, 
           0, 15, 0, 123}, {12, 123, 125}, {7, 3, 15}, {70, 67, 0, 15, 0, 
           123}, {12, 123, 122}, {67, 121, 125, 122, 3, 63}, {67, 121, 125, 
           122, 3, 67}, {45, {-1., 0., 0.}, 3, 3, 74}, {53, 67, 74, 0, 16}, {
           3, 16, 4}, {6, True, 14}, {10, 14, 17}, {4, 5}, {
           8, 1.*^-10, 123}, {94, 270, 3, 0, 121, 3, 0, 123, 3, 0, 124}, {39, 
           38, 124, 19}, {10, 19, 17}, {3, 17, 6}, {7, 1, 15}, {17, 13, 15, 
           19}, {11, 19, 13}, {11, 9, 15}, {4, 3}, {7, -1, 19}, {11, 19, 
           15}, {65, 10, 15, 58}, {5, 9, 18, -34}, {11, 13, 12}, {7, -1, 
           17}, {64, 12, 17, 3, 63}, {7, 0, 10}, {11, 10, 14}, {4, 14}, {7, 1,
            10}, {17, 5, 10, 15}, {11, 15, 5}, {70, 58, 0, 5, 0, 15}, {7, -1, 
           10}, {33, 15, 10, 17}, {3, 17, 5}, {7, 1, 15}, {17, 5, 15, 10}, {
           11, 10, 5}, {4, -7}, {70, 75, 0, 5, 1, 67}, {66, 17, 67, 63}, {5, 
           14, 12, -13}, {95, 1, 63, 75}, {46, 75, 19}, {46, 19, 25}, {46, 25,
            48}, {44, 25, 5}, {7, 1, 13}, {36, 13, 5, 17}, {3, 17, 6}, {
           45, {2}, 2, 1, 75}, {72, 25, 75, 1, 63}, {46, 63, 19}, {46, 19, 
           25}, {4, 1}, {7, -1, 5}, {67, 5, 2, 75}, {68, 75, 73}, {74, 26, 25,
            73, 58}, {46, 58, 26}, {3, 3, 9}, {7, 1, 5}, {7, -1, 13}, {67, 13,
            2, 58}, {68, 58, 75}, {49, 5, 0, 2, 1, 73}, {74, 23, 73, 75, 
           60}, {46, 60, 23}, {4, 8}, {7, 0, 5}, {7, -1, 13}, {67, 13, 2, 
           60}, {68, 60, 58}, {49, 5, 0, 2, 1, 75}, {74, 23, 75, 58, 73}, {46,
            73, 23}, {7, 1, 5}, {73, 23, 5, 0, 59}, {46, 59, 23}, {7, 1, 5}, {
           73, 26, 5, 0, 59}, {44, 59, 17}, {7, 0, 12}, {64, 17, 2, 73}, {7, 
           0, 15}, {11, 15, 14}, {4, 33}, {70, 59, 0, 14, 2, 56}, {7, 1, 
           15}, {7, 1, 18}, {70, 56, 0, 15, 0, 18, 0, 122}, {8, -1., 125}, {
           37, 125, 122, 19}, {3, 19, 8}, {70, 59, 0, 14, 2, 56}, {7, 1, 
           15}, {7, 1, 18}, {70, 56, 0, 15, 0, 18, 0, 122}, {37, 122, 66, 
           17}, {10, 17, 14}, {4, 3}, {6, False, 16}, {10, 16, 14}, {3, 14, 
           14}, {70, 59, 0, 14, 2, 56}, {7, 1, 15}, {7, 1, 18}, {70, 56, 0, 
           15, 0, 18, 0, 122}, {12, 122, 66}, {70, 59, 0, 14, 2, 56}, {46, 56,
            41}, {67, 14, 2, 56}, {7, 1, 15}, {70, 56, 0, 15, 0, 18}, {11, 18,
            3}, {11, 3, 18}, {4, 2}, {11, 3, 18}, {65, 12, 18, 73}, {5, 14, 
           17, -32}, {7, 1, 14}, {33, 3, 14, 14}, {3, 14, 2064}, {70, 24, 0, 
           6, 1, 59}, {7, 1, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 70}, {7, 
           2, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 72}, {7, 3, 14}, {70, 
           59, 0, 14, 0, 122}, {12, 122, 74}, {7, 4, 14}, {70, 59, 0, 14, 0, 
           122}, {12, 122, 67}, {7, 5, 14}, {70, 59, 0, 14, 0, 122}, {12, 122,
            68}, {7, 6, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 69}, {7, 7, 
           14}, {70, 59, 0, 14, 0, 122}, {12, 122, 50}, {7, 8, 14}, {70, 59, 
           0, 14, 0, 122}, {12, 122, 51}, {7, 9, 14}, {70, 59, 0, 14, 0, 
           122}, {12, 122, 52}, {7, 10, 14}, {70, 59, 0, 14, 0, 122}, {12, 
           122, 53}, {7, 11, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 54}, {7, 
           12, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 55}, {7, 13, 14}, {70, 
           59, 0, 14, 0, 122}, {12, 122, 56}, {7, 14, 14}, {70, 59, 0, 14, 0, 
           122}, {12, 122, 57}, {7, 15, 14}, {70, 59, 0, 14, 0, 122}, {12, 
           122, 58}, {7, 16, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 116}, {7,
            17, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 32}, {7, 18, 14}, {70,
            59, 0, 14, 0, 122}, {12, 122, 33}, {7, 19, 14}, {70, 59, 0, 14, 0,
            122}, {12, 122, 59}, {7, 20, 14}, {70, 59, 0, 14, 0, 122}, {12, 
           122, 29}, {7, 21, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 45}, {7, 
           22, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 46}, {7, 23, 14}, {70, 
           59, 0, 14, 0, 122}, {12, 122, 24}, {7, 24, 14}, {70, 59, 0, 14, 0, 
           122}, {12, 122, 94}, {7, 25, 14}, {70, 59, 0, 14, 0, 122}, {12, 
           122, 93}, {7, 26, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 60}, {7, 
           27, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 61}, {7, 28, 14}, {70, 
           59, 0, 14, 0, 122}, {12, 122, 87}, {7, 29, 14}, {70, 59, 0, 14, 0, 
           122}, {12, 122, 26}, {7, 30, 14}, {70, 59, 0, 14, 0, 122}, {12, 
           122, 89}, {7, 31, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 90}, {7, 
           32, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 91}, {7, 33, 14}, {70, 
           59, 0, 14, 0, 122}, {12, 122, 92}, {7, 34, 14}, {70, 59, 0, 14, 0, 
           122}, {12, 122, 63}, {7, 35, 14}, {70, 59, 0, 14, 0, 122}, {12, 
           122, 44}, {7, 36, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 34}, {7, 
           37, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 47}, {7, 38, 14}, {70, 
           59, 0, 14, 0, 122}, {12, 122, 48}, {7, 39, 14}, {70, 59, 0, 14, 0, 
           122}, {12, 122, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 56}, {12, 
           29, 30}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 
           2, 3, 0, 122, 3, 0, 125}, {21, 50, 125, 122}, {
           8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 1, 3, 0, 
           125, 3, 0, 121}, {21, 51, 121, 125}, {18, 122, 125, 122}, {12, 122,
            117}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 
           3, 0, 122, 3, 0, 125}, {21, 51, 125, 122}, {8, 1., 125}, {
           8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 1, 3, 0, 
           121, 3, 0, 124}, {21, 125, 50, 124, 125}, {24, 125, 124}, {18, 122,
            124, 122}, {12, 122, 118}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 2, 3, 0, 122, 3, 0, 124}, {7, 2, 14}, {94, 264, 
           3, 0, 124, 2, 0, 14, 3, 0, 122}, {8, 0.017453292519943295`, 124}, {
           21, 124, 4, 124}, {93, 1, 3, 0, 124, 3, 0, 125}, {7, 2, 14}, {94, 
           264, 3, 0, 125, 2, 0, 14, 3, 0, 124}, {18, 122, 124, 122}, {21, 52,
            122, 124}, {12, 124, 119}, {8, 1.*^-10, 124}, {94, 270, 3, 0, 117,
            3, 0, 124, 3, 0, 122}, {12, 122, 117}, {8, 1.*^-10, 122}, {94, 
           270, 3, 0, 118, 3, 0, 122, 3, 0, 124}, {12, 124, 118}, {
           8, 1.*^-10, 124}, {94, 270, 3, 0, 119, 3, 0, 124, 3, 0, 122}, {12, 
           122, 119}, {7, 2, 14}, {94, 264, 3, 0, 117, 2, 0, 14, 3, 0, 122}, {
           7, 2, 14}, {94, 264, 3, 0, 118, 2, 0, 14, 3, 0, 124}, {7, 2, 14}, {
           94, 264, 3, 0, 119, 2, 0, 14, 3, 0, 125}, {18, 122, 124, 125, 
           122}, {7, 1, 14}, {7, 2, 5}, {15, 0, 14, 124}, {15, 0, 5, 125}, {
           94, 260, 3, 0, 124, 3, 0, 125, 3, 0, 121}, {94, 264, 3, 0, 122, 3, 
           0, 121, 3, 0, 124}, {12, 124, 35}, {7, 1, 14}, {94, 260, 2, 0, 14, 
           3, 0, 35, 3, 0, 124}, {21, 117, 124, 122}, {12, 122, 117}, {7, 1, 
           14}, {94, 260, 2, 0, 14, 3, 0, 35, 3, 0, 122}, {21, 118, 122, 
           124}, {12, 124, 118}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 35, 3, 
           0, 124}, {21, 119, 124, 122}, {12, 122, 119}, {8, 1., 122}, {21, 
           122, 14, 122}, {24, 122, 124}, {18, 67, 124, 122}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 3, 0, 
           124, 3, 0, 121}, {21, 122, 121, 122}, {8, 1., 121}, {21, 121, 16, 
           121}, {24, 121, 124}, {18, 68, 124, 121}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 1, 3, 0, 
           124, 3, 0, 125}, {21, 121, 125, 121}, {18, 122, 121, 122}, {12, 
           122, 79}, {8, 1., 122}, {21, 122, 16, 122}, {24, 122, 121}, {18, 
           68, 121, 122}, {8, 0.017453292519943295`, 121}, {21, 121, 4, 
           121}, {93, 2, 3, 0, 121, 3, 0, 125}, {21, 122, 125, 122}, {
           8, 1., 125}, {8, 1., 121}, {21, 121, 14, 121}, {24, 121, 124}, {18,
            67, 124, 121}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 
           124}, {93, 1, 3, 0, 124, 3, 0, 123}, {21, 125, 121, 123, 125}, {24,
            125, 121}, {18, 122, 121, 122}, {12, 122, 81}, {
           8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 3, 0, 
           122, 3, 0, 121}, {7, 2, 14}, {94, 264, 3, 0, 121, 2, 0, 14, 3, 0, 
           122}, {8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 1, 
           3, 0, 121, 3, 0, 125}, {7, 2, 14}, {94, 264, 3, 0, 125, 2, 0, 14, 
           3, 0, 121}, {18, 122, 121, 122}, {21, 69, 122, 121}, {12, 121, 
           83}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 79, 3, 0, 121, 3, 0, 
           122}, {12, 122, 79}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 81, 3, 0, 
           122, 3, 0, 121}, {12, 121, 81}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 
           83, 3, 0, 121, 3, 0, 122}, {12, 122, 83}, {6, False, 19}, {10, 19, 
           11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 59}, {46, 59, 25}, {46, 41, 
           25}, {70, 23, 0, 3, 0, 14}, {7, 1, 5}, {33, 14, 5, 19}, {10, 19, 
           3}, {45, {1., 1., 16519.}, 3, 3, 59}, {7, 1, 14}, {70, 59, 0, 14, 
           0, 122}, {12, 122, 40}, {7, 2, 14}, {70, 59, 0, 14, 0, 122}, {12, 
           122, 43}, {7, 3, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 42}, {67, 
           40, 43, 42, 3, 69}, {45, {1., 1., 16519.}, 3, 3, 59}, {7, 1, 14}, {
           70, 59, 0, 14, 0, 122}, {12, 122, 24}, {7, 2, 14}, {70, 59, 0, 14, 
           0, 122}, {12, 122, 94}, {7, 3, 14}, {70, 59, 0, 14, 0, 122}, {12, 
           122, 93}, {67, 24, 94, 93, 3, 54}, {7, 1, 14}, {70, 25, 0, 14, 1, 
           59}, {7, 1, 14}, {70, 59, 0, 14, 0, 122}, {12, 122, 59}, {7, 2, 
           14}, {70, 59, 0, 14, 0, 122}, {12, 122, 60}, {7, 3, 14}, {70, 59, 
           0, 14, 0, 122}, {12, 122, 61}, {67, 59, 60, 61, 3, 68}, {12, 67, 
           70}, {12, 68, 72}, {12, 69, 74}, {21, 59, 117, 122}, {18, 79, 122, 
           121}, {12, 121, 80}, {21, 59, 118, 121}, {18, 81, 121, 122}, {12, 
           122, 82}, {21, 59, 119, 122}, {18, 83, 122, 121}, {12, 121, 84}, {
           8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 2, 3, 0, 
           121, 3, 0, 122}, {21, 80, 122, 121}, {8, 1., 122}, {
           8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 1, 3, 0, 
           125, 3, 0, 123}, {21, 122, 82, 123, 122}, {24, 122, 123}, {18, 14, 
           121, 123, 122}, {12, 122, 67}, {8, 0.017453292519943295`, 122}, {
           21, 122, 4, 122}, {93, 2, 3, 0, 122, 3, 0, 121}, {21, 82, 121, 
           122}, {8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 1, 
           3, 0, 121, 3, 0, 123}, {21, 80, 123, 121}, {18, 16, 122, 121, 
           123}, {12, 123, 68}, {8, 0.017453292519943295`, 123}, {21, 123, 4, 
           123}, {93, 2, 3, 0, 123, 3, 0, 122}, {7, 2, 14}, {94, 264, 3, 0, 
           122, 2, 0, 14, 3, 0, 123}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 121}, {7, 2, 14}, {94, 264, 
           3, 0, 121, 2, 0, 14, 3, 0, 122}, {18, 123, 122, 123}, {21, 84, 123,
            122}, {12, 122, 69}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 67, 3, 0, 
           122, 3, 0, 123}, {12, 123, 67}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 
           68, 3, 0, 123, 3, 0, 122}, {12, 122, 68}, {8, 1.*^-10, 122}, {94, 
           270, 3, 0, 69, 3, 0, 122, 3, 0, 123}, {12, 123, 69}, {7, 0, 14}, {
           15, 0, 14, 123}, {34, 67, 123, 0, 19}, {3, 19, 14}, {7, 0, 14}, {
           15, 0, 14, 123}, {34, 68, 123, 0, 17}, {3, 17, 6}, {7, 0, 14}, {15,
            0, 14, 123}, {34, 69, 123, 0, 16}, {10, 16, 21}, {4, 3}, {
           6, False, 20}, {10, 20, 21}, {10, 21, 16}, {4, 3}, {
           6, False, 17}, {10, 17, 16}, {3, 16, 7}, {18, 80, 14, 123}, {12, 
           123, 67}, {18, 82, 16, 123}, {12, 123, 68}, {12, 84, 69}, {4, 1}, {
           8, 1., 123}, {18, 34, 123, 122}, {12, 122, 34}, {21, 59, 30, 
           122}, {18, 45, 122, 123}, {12, 123, 45}, {67, 70, 72, 74, 67, 68, 
           69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 
           46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48,
            49, 3, 59}, {46, 59, 15}, {6, True, 16}, {10, 16, 10}, {
           6, True, 16}, {10, 16, 4}, {6, True, 16}, {10, 16, 2}, {
           6, True, 16}, {10, 16, 5}, {8, 1., 123}, {8, 1., 122}, {
           8, -1., 121}, {7, 1, 14}, {93, 42, 3, 0, 8, 2, 0, 5}, {15, 0, 14, 
           125}, {15, 0, 5, 124}, {94, 260, 3, 0, 125, 3, 0, 124, 3, 0, 
           126}, {7, 1, 14}, {7, 1, 5}, {7, 2, 13}, {94, 264, 3, 0, 8, 2, 0, 
           13, 3, 0, 125}, {94, 260, 2, 0, 5, 3, 0, 125, 3, 0, 124}, {
           8, 1., 125}, {7, 2, 5}, {94, 264, 3, 0, 60, 2, 0, 5, 3, 0, 127}, {
           21, 125, 127, 125}, {24, 125, 127}, {8, 1., 125}, {7, 2, 5}, {94, 
           264, 3, 0, 61, 2, 0, 5, 3, 0, 120}, {21, 125, 120, 125}, {24, 125, 
           120}, {18, 124, 127, 120, 124}, {8, 0.5, 127}, {94, 264, 3, 0, 124,
            3, 0, 127, 4, 0, 7}, {94, 260, 2, 0, 14, 4, 0, 7, 4, 0, 5}, {
           8, 0., 124}, {16, 60, 124, 7}, {8, 0., 127}, {16, 126, 127, 4}, {
           22, 7, 4, 5, 7}, {8, 0., 126}, {16, 121, 126, 5}, {22, 5, 7, 5}, {
           8, -1., 121}, {7, 1, 14}, {93, 42, 3, 0, 8, 2, 0, 5}, {15, 0, 14, 
           126}, {15, 0, 5, 124}, {94, 260, 3, 0, 126, 3, 0, 124, 3, 0, 
           127}, {7, 1, 14}, {7, 1, 5}, {7, 2, 13}, {94, 264, 3, 0, 8, 2, 0, 
           13, 3, 0, 126}, {94, 260, 2, 0, 5, 3, 0, 126, 3, 0, 124}, {
           8, 1., 126}, {7, 2, 5}, {94, 264, 3, 0, 60, 2, 0, 5, 3, 0, 120}, {
           21, 126, 120, 126}, {24, 126, 120}, {8, 1., 126}, {7, 2, 5}, {94, 
           264, 3, 0, 61, 2, 0, 5, 3, 0, 125}, {21, 126, 125, 126}, {24, 126, 
           125}, {18, 124, 120, 125, 124}, {8, 0.5, 120}, {94, 264, 3, 0, 124,
            3, 0, 120, 4, 0, 7}, {94, 260, 2, 0, 14, 4, 0, 7, 4, 0, 4}, {
           8, 0., 124}, {16, 61, 124, 7}, {8, 0., 120}, {16, 127, 120, 6}, {
           22, 7, 6, 4, 7}, {8, 0., 127}, {16, 121, 127, 4}, {22, 4, 7, 4}, {
           8, 0., 121}, {16, 122, 121, 7}, {67, 7, 5, 4, 4, 59}, {7, 1, 14}, {
           93, 42, 3, 0, 8, 2, 0, 5}, {15, 0, 14, 122}, {15, 0, 5, 121}, {94, 
           260, 3, 0, 122, 3, 0, 121, 3, 0, 127}, {7, 1, 14}, {7, 1, 5}, {7, 
           2, 13}, {94, 264, 3, 0, 8, 2, 0, 13, 3, 0, 122}, {94, 260, 2, 0, 5,
            3, 0, 122, 3, 0, 121}, {8, 1., 122}, {7, 2, 5}, {94, 264, 3, 0, 
           60, 2, 0, 5, 3, 0, 124}, {21, 122, 124, 122}, {24, 122, 124}, {
           8, 1., 122}, {7, 2, 5}, {94, 264, 3, 0, 61, 2, 0, 5, 3, 0, 120}, {
           21, 122, 120, 122}, {24, 122, 120}, {18, 121, 124, 120, 121}, {
           8, 0.5, 124}, {94, 264, 3, 0, 121, 3, 0, 124, 4, 0, 5}, {94, 260, 
           2, 0, 14, 4, 0, 5, 4, 0, 4}, {8, 0., 121}, {16, 60, 121, 5}, {
           8, 0., 124}, {16, 127, 124, 7}, {22, 5, 7, 4, 5}, {8, 1., 127}, {
           8, 0., 121}, {8, 0., 124}, {16, 127, 124, 4}, {8, 0., 120}, {16, 
           121, 120, 7}, {67, 5, 4, 7, 4, 65}, {7, 1, 14}, {93, 42, 3, 0, 8, 
           2, 0, 5}, {15, 0, 14, 127}, {15, 0, 5, 121}, {94, 260, 3, 0, 127, 
           3, 0, 121, 3, 0, 124}, {7, 1, 14}, {7, 1, 5}, {7, 2, 13}, {94, 264,
            3, 0, 8, 2, 0, 13, 3, 0, 127}, {94, 260, 2, 0, 5, 3, 0, 127, 3, 0,
            121}, {8, 1., 127}, {7, 2, 5}, {94, 264, 3, 0, 60, 2, 0, 5, 3, 0, 
           120}, {21, 127, 120, 127}, {24, 127, 120}, {8, 1., 127}, {7, 2, 
           5}, {94, 264, 3, 0, 61, 2, 0, 5, 3, 0, 122}, {21, 127, 122, 127}, {
           24, 127, 122}, {18, 121, 120, 122, 121}, {8, 0.5, 120}, {94, 264, 
           3, 0, 121, 3, 0, 120, 4, 0, 5}, {94, 260, 2, 0, 14, 4, 0, 5, 4, 0, 
           4}, {8, 0., 121}, {16, 61, 121, 5}, {8, 0., 120}, {16, 124, 120, 
           7}, {22, 5, 7, 4, 5}, {8, 0., 124}, {8, 1., 121}, {8, 0., 120}, {
           16, 124, 120, 4}, {8, 0., 122}, {16, 121, 122, 7}, {67, 5, 4, 7, 4,
            62}, {68, 59, 65, 62, 72}, {93, 40, 4, 2, 72, 3, 2, 59}, {94, 273,
            3, 0, 123, 3, 2, 59, 3, 2, 72}, {46, 72, 44}, {44, 44, 13}, {
           7, -1, 12}, {64, 13, 12, 3, 62}, {7, 0, 18}, {11, 18, 10}, {4, 
           274}, {8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 2, 
           3, 0, 121, 3, 0, 124}, {8, 0.017453292519943295`, 121}, {21, 121, 
           4, 121}, {93, 2, 3, 0, 121, 3, 0, 120}, {7, 2, 18}, {94, 264, 3, 0,
            120, 2, 0, 18, 3, 0, 121}, {8, 0.017453292519943295`, 120}, {21, 
           120, 4, 120}, {93, 1, 3, 0, 120, 3, 0, 122}, {7, 2, 18}, {94, 264, 
           3, 0, 122, 2, 0, 18, 3, 0, 120}, {18, 121, 120, 121}, {21, 124, 
           121, 124}, {7, 1, 18}, {8, 0.017453292519943295`, 121}, {21, 121, 
           4, 121}, {93, 2, 3, 0, 121, 3, 0, 120}, {7, 2, 17}, {94, 264, 3, 0,
            120, 2, 0, 17, 3, 0, 121}, {8, 0.017453292519943295`, 120}, {21, 
           120, 4, 120}, {93, 2, 3, 0, 120, 3, 0, 122}, {7, 2, 17}, {94, 264, 
           3, 0, 122, 2, 0, 17, 3, 0, 120}, {8, 0.017453292519943295`, 122}, {
           21, 122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 123}, {7, 2, 17}, {94, 
           264, 3, 0, 123, 2, 0, 17, 3, 0, 122}, {18, 120, 122, 120}, {21, 
           121, 120, 121}, {8, 0.017453292519943295`, 120}, {21, 120, 4, 
           120}, {93, 1, 3, 0, 120, 3, 0, 122}, {7, 2, 17}, {94, 264, 3, 0, 
           122, 2, 0, 17, 3, 0, 120}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 2, 3, 0, 122, 3, 0, 123}, {7, 2, 17}, {94, 264, 
           3, 0, 123, 2, 0, 17, 3, 0, 122}, {8, 0.017453292519943295`, 123}, {
           21, 123, 4, 123}, {93, 1, 3, 0, 123, 3, 0, 127}, {7, 2, 17}, {94, 
           264, 3, 0, 127, 2, 0, 17, 3, 0, 123}, {18, 122, 123, 122}, {21, 
           120, 122, 120}, {18, 121, 120, 121}, {94, 260, 2, 0, 18, 3, 0, 121,
            3, 0, 120}, {21, 124, 120, 124}, {8, -1., 120}, {
           8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 1, 3, 0, 
           121, 3, 0, 122}, {8, 0.017453292519943295`, 121}, {21, 121, 4, 
           121}, {93, 2, 3, 0, 121, 3, 0, 123}, {7, 2, 18}, {94, 264, 3, 0, 
           123, 2, 0, 18, 3, 0, 121}, {8, 0.017453292519943295`, 123}, {21, 
           123, 4, 123}, {93, 1, 3, 0, 123, 3, 0, 127}, {7, 2, 18}, {94, 264, 
           3, 0, 127, 2, 0, 18, 3, 0, 123}, {18, 121, 123, 121}, {21, 120, 
           122, 121, 120}, {7, 1, 18}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 2, 3, 0, 122, 3, 0, 121}, {7, 2, 17}, {94, 264, 
           3, 0, 121, 2, 0, 17, 3, 0, 122}, {8, 0.017453292519943295`, 121}, {
           21, 121, 4, 121}, {93, 2, 3, 0, 121, 3, 0, 123}, {7, 2, 17}, {94, 
           264, 3, 0, 123, 2, 0, 17, 3, 0, 121}, {
           8, 0.017453292519943295`, 123}, {21, 123, 4, 123}, {93, 1, 3, 0, 
           123, 3, 0, 127}, {7, 2, 17}, {94, 264, 3, 0, 127, 2, 0, 17, 3, 0, 
           123}, {18, 121, 123, 121}, {21, 122, 121, 122}, {
           8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 1, 3, 0, 
           121, 3, 0, 123}, {7, 2, 17}, {94, 264, 3, 0, 123, 2, 0, 17, 3, 0, 
           121}, {8, 0.017453292519943295`, 123}, {21, 123, 4, 123}, {93, 2, 
           3, 0, 123, 3, 0, 127}, {7, 2, 17}, {94, 264, 3, 0, 127, 2, 0, 17, 
           3, 0, 123}, {8, 0.017453292519943295`, 127}, {21, 127, 4, 127}, {
           93, 1, 3, 0, 127, 3, 0, 125}, {7, 2, 17}, {94, 264, 3, 0, 125, 2, 
           0, 17, 3, 0, 127}, {18, 123, 127, 123}, {21, 121, 123, 121}, {18, 
           122, 121, 122}, {94, 260, 2, 0, 18, 3, 0, 122, 3, 0, 121}, {21, 
           120, 121, 120}, {8, 0., 121}, {67, 124, 120, 121, 3, 72}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 1, 3, 0, 
           124, 3, 0, 120}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 
           124}, {93, 2, 3, 0, 124, 3, 0, 121}, {7, 2, 18}, {94, 264, 3, 0, 
           121, 2, 0, 18, 3, 0, 124}, {8, 0.017453292519943295`, 121}, {21, 
           121, 4, 121}, {93, 1, 3, 0, 121, 3, 0, 122}, {7, 2, 18}, {94, 264, 
           3, 0, 122, 2, 0, 18, 3, 0, 121}, {18, 124, 121, 124}, {21, 120, 
           124, 120}, {7, 1, 18}, {8, 0.017453292519943295`, 124}, {21, 124, 
           4, 124}, {93, 2, 3, 0, 124, 3, 0, 121}, {7, 2, 17}, {94, 264, 3, 0,
            121, 2, 0, 17, 3, 0, 124}, {8, 0.017453292519943295`, 121}, {21, 
           121, 4, 121}, {93, 2, 3, 0, 121, 3, 0, 122}, {7, 2, 17}, {94, 264, 
           3, 0, 122, 2, 0, 17, 3, 0, 121}, {8, 0.017453292519943295`, 122}, {
           21, 122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 123}, {7, 2, 17}, {94, 
           264, 3, 0, 123, 2, 0, 17, 3, 0, 122}, {18, 121, 122, 121}, {21, 
           124, 121, 124}, {8, 0.017453292519943295`, 121}, {21, 121, 4, 
           121}, {93, 1, 3, 0, 121, 3, 0, 122}, {7, 2, 17}, {94, 264, 3, 0, 
           122, 2, 0, 17, 3, 0, 121}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 2, 3, 0, 122, 3, 0, 123}, {7, 2, 17}, {94, 264, 
           3, 0, 123, 2, 0, 17, 3, 0, 122}, {8, 0.017453292519943295`, 123}, {
           21, 123, 4, 123}, {93, 1, 3, 0, 123, 3, 0, 127}, {7, 2, 17}, {94, 
           264, 3, 0, 127, 2, 0, 17, 3, 0, 123}, {18, 122, 123, 122}, {21, 
           121, 122, 121}, {18, 124, 121, 124}, {94, 260, 2, 0, 18, 3, 0, 124,
            3, 0, 121}, {21, 120, 121, 120}, {
           8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 2, 3, 0, 
           121, 3, 0, 124}, {8, 0.017453292519943295`, 121}, {21, 121, 4, 
           121}, {93, 2, 3, 0, 121, 3, 0, 122}, {7, 2, 18}, {94, 264, 3, 0, 
           122, 2, 0, 18, 3, 0, 121}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 123}, {7, 2, 18}, {94, 264, 
           3, 0, 123, 2, 0, 18, 3, 0, 122}, {18, 121, 122, 121}, {21, 124, 
           121, 124}, {7, 1, 18}, {8, 0.017453292519943295`, 121}, {21, 121, 
           4, 121}, {93, 2, 3, 0, 121, 3, 0, 122}, {7, 2, 17}, {94, 264, 3, 0,
            122, 2, 0, 17, 3, 0, 121}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 2, 3, 0, 122, 3, 0, 123}, {7, 2, 17}, {94, 264, 
           3, 0, 123, 2, 0, 17, 3, 0, 122}, {8, 0.017453292519943295`, 123}, {
           21, 123, 4, 123}, {93, 1, 3, 0, 123, 3, 0, 127}, {7, 2, 17}, {94, 
           264, 3, 0, 127, 2, 0, 17, 3, 0, 123}, {18, 122, 123, 122}, {21, 
           121, 122, 121}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 
           122}, {93, 1, 3, 0, 122, 3, 0, 123}, {7, 2, 17}, {94, 264, 3, 0, 
           123, 2, 0, 17, 3, 0, 122}, {8, 0.017453292519943295`, 123}, {21, 
           123, 4, 123}, {93, 2, 3, 0, 123, 3, 0, 127}, {7, 2, 17}, {94, 264, 
           3, 0, 127, 2, 0, 17, 3, 0, 123}, {8, 0.017453292519943295`, 127}, {
           21, 127, 4, 127}, {93, 1, 3, 0, 127, 3, 0, 125}, {7, 2, 17}, {94, 
           264, 3, 0, 125, 2, 0, 17, 3, 0, 127}, {18, 123, 127, 123}, {21, 
           122, 123, 122}, {18, 121, 122, 121}, {94, 260, 2, 0, 18, 3, 0, 121,
            3, 0, 122}, {21, 124, 122, 124}, {8, 0., 122}, {67, 120, 124, 122,
            3, 65}, {8, 0., 120}, {8, 0., 124}, {
           8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 3, 0, 
           122, 3, 0, 121}, {7, 2, 18}, {94, 264, 3, 0, 121, 2, 0, 18, 3, 0, 
           122}, {8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 1, 
           3, 0, 121, 3, 0, 123}, {7, 2, 18}, {94, 264, 3, 0, 123, 2, 0, 18, 
           3, 0, 121}, {18, 122, 121, 122}, {7, 1, 18}, {
           8, 0.017453292519943295`, 121}, {21, 121, 4, 121}, {93, 2, 3, 0, 
           121, 3, 0, 123}, {7, 2, 17}, {94, 264, 3, 0, 123, 2, 0, 17, 3, 0, 
           121}, {8, 0.017453292519943295`, 123}, {21, 123, 4, 123}, {93, 2, 
           3, 0, 123, 3, 0, 127}, {7, 2, 17}, {94, 264, 3, 0, 127, 2, 0, 17, 
           3, 0, 123}, {8, 0.017453292519943295`, 127}, {21, 127, 4, 127}, {
           93, 1, 3, 0, 127, 3, 0, 125}, {7, 2, 17}, {94, 264, 3, 0, 125, 2, 
           0, 17, 3, 0, 127}, {18, 123, 127, 123}, {21, 121, 123, 121}, {
           8, 0.017453292519943295`, 123}, {21, 123, 4, 123}, {93, 1, 3, 0, 
           123, 3, 0, 127}, {7, 2, 17}, {94, 264, 3, 0, 127, 2, 0, 17, 3, 0, 
           123}, {8, 0.017453292519943295`, 127}, {21, 127, 4, 127}, {93, 2, 
           3, 0, 127, 3, 0, 125}, {7, 2, 17}, {94, 264, 3, 0, 125, 2, 0, 17, 
           3, 0, 127}, {8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {
           93, 1, 3, 0, 125, 3, 0, 126}, {7, 2, 17}, {94, 264, 3, 0, 126, 2, 
           0, 17, 3, 0, 125}, {18, 127, 125, 127}, {21, 123, 127, 123}, {18, 
           121, 123, 121}, {94, 260, 2, 0, 18, 3, 0, 121, 3, 0, 123}, {21, 
           122, 123, 122}, {67, 120, 124, 122, 3, 55}, {68, 72, 65, 55, 61}, {
           70, 44, 0, 10, 1, 72}, {91, 61, 72, 65}, {66, 12, 65, 62}, {5, 10, 
           13, -273}, {46, 62, 19}, {44, 19, 5}, {7, -1, 13}, {64, 5, 13, 3, 
           62}, {7, 0, 18}, {11, 18, 12}, {4, 10}, {70, 19, 0, 12, 1, 65}, {7,
            1, 18}, {70, 19, 0, 12, 1, 61}, {70, 19, 0, 12, 1, 72}, {91, 61, 
           72, 120}, {93, 55, 3, 0, 120, 3, 0, 124}, {94, 260, 2, 0, 18, 3, 0,
            124, 3, 0, 120}, {94, 273, 3, 0, 120, 3, 1, 65, 3, 1, 61}, {66, 
           13, 61, 62}, {5, 12, 5, -9}, {46, 62, 44}, {
           8, 0.017453292519943295`, 120}, {21, 120, 4, 120}, {93, 2, 3, 0, 
           120, 3, 0, 124}, {8, 0.017453292519943295`, 120}, {21, 120, 4, 
           120}, {93, 1, 3, 0, 120, 3, 0, 122}, {8, 0., 120}, {67, 124, 122, 
           120, 3, 62}, {8, -1., 124}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 120}, {21, 124, 120, 124}, {
           8, 0.017453292519943295`, 120}, {21, 120, 4, 120}, {93, 2, 3, 0, 
           120, 3, 0, 122}, {8, 0., 120}, {67, 124, 122, 120, 3, 59}, {
           8, 0., 124}, {8, 0., 122}, {8, 0.017453292519943295`, 120}, {21, 
           120, 4, 120}, {93, 2, 3, 0, 120, 3, 0, 123}, {7, 2, 12}, {94, 264, 
           3, 0, 123, 2, 0, 12, 3, 0, 120}, {8, 0.017453292519943295`, 123}, {
           21, 123, 4, 123}, {93, 1, 3, 0, 123, 3, 0, 121}, {7, 2, 12}, {94, 
           264, 3, 0, 121, 2, 0, 12, 3, 0, 123}, {18, 120, 123, 120}, {67, 
           124, 122, 120, 3, 61}, {68, 62, 59, 61, 65}, {46, 65, 42}, {
           8, 0., 124}, {67, 14, 16, 124, 3, 65}, {46, 65, 43}, {
           8, 1., 124}, {12, 124, 18}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           65}, {46, 65, 15}, {12, 40, 24}, {12, 43, 94}, {12, 42, 93}, {67, 
           70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 28, 34, 47, 48, 49, 3, 65}, {46, 65, 31}, {7, 1, 12}, {70, 44,
            0, 12, 1, 65}, {7, 1, 12}, {70, 44, 0, 12, 1, 62}, {67, 50, 51, 
           52, 3, 59}, {91, 62, 59, 124}, {93, 42, 3, 0, 124, 2, 0, 12}, {94, 
           273, 2, 0, 12, 3, 1, 65, 3, 1, 62}, {46, 62, 53}, {67, 50, 51, 52, 
           3, 62}, {91, 53, 62, 124}, {12, 124, 65}, {7, 1, 12}, {7, 2, 10}, {
           94, 264, 3, 0, 65, 2, 0, 10, 3, 0, 124}, {24, 124, 122}, {15, 0, 
           12, 124}, {18, 124, 122, 124}, {12, 124, 64}, {
           8, 2.220446049250313*^-16, 124}, {37, 64, 124, 16}, {3, 16, 4}, {
           8, 0., 124}, {12, 124, 64}, {4, 3}, {93, 55, 3, 0, 64, 3, 0, 
           124}, {12, 124, 64}, {67, 50, 51, 52, 3, 62}, {94, 273, 3, 0, 65, 
           3, 1, 53, 3, 1, 65}, {93, 41, 3, 1, 65, 3, 1, 59}, {51, 62, 59, 
           62}, {46, 62, 51}, {93, 36, 3, 0, 64, 3, 0, 124}, {
           8, 1.*^-7, 122}, {37, 124, 122, 16}, {3, 16, 5}, {7, 2, 12}, {70, 
           44, 0, 12, 1, 62}, {46, 62, 51}, {4, 5}, {7, 1, 12}, {94, 260, 2, 
           0, 12, 3, 0, 64, 3, 0, 124}, {94, 273, 3, 0, 124, 3, 1, 51, 3, 1, 
           62}, {46, 62, 51}, {7, 3, 12}, {70, 53, 0, 12, 0, 124}, {7, 2, 
           12}, {70, 51, 0, 12, 0, 122}, {21, 124, 122, 124}, {24, 124, 122}, 
           {7, 2, 12}, {70, 53, 0, 12, 0, 124}, {7, 3, 12}, {70, 51, 0, 12, 0,
            120}, {21, 124, 120, 124}, {18, 122, 124, 122}, {7, 3, 12}, {70, 
           53, 0, 12, 0, 124}, {7, 1, 12}, {70, 51, 0, 12, 0, 120}, {21, 124, 
           120, 124}, {7, 1, 12}, {70, 53, 0, 12, 0, 120}, {7, 3, 12}, {70, 
           51, 0, 12, 0, 123}, {21, 120, 123, 120}, {24, 120, 123}, {18, 124, 
           123, 124}, {7, 2, 12}, {70, 53, 0, 12, 0, 123}, {7, 1, 12}, {70, 
           51, 0, 12, 0, 120}, {21, 123, 120, 123}, {24, 123, 120}, {7, 1, 
           12}, {70, 53, 0, 12, 0, 123}, {7, 2, 12}, {70, 51, 0, 12, 0, 
           121}, {21, 123, 121, 123}, {18, 120, 123, 120}, {67, 122, 124, 120,
            3, 59}, {46, 59, 52}, {7, 1, 12}, {91, 52, 52, 122}, {93, 55, 3, 
           0, 122, 3, 0, 124}, {94, 260, 2, 0, 12, 3, 0, 124, 3, 0, 122}, {94,
            273, 3, 0, 122, 3, 1, 52, 3, 1, 59}, {46, 59, 52}, {67, 50, 51, 
           52, 3, 59}, {91, 59, 51, 122}, {94, 273, 3, 0, 122, 3, 1, 53, 3, 1,
            59}, {67, 50, 51, 52, 3, 65}, {91, 65, 53, 122}, {94, 273, 3, 0, 
           122, 3, 1, 51, 3, 1, 65}, {93, 41, 3, 1, 65, 3, 1, 61}, {51, 59, 
           61, 59}, {46, 59, 36}, {7, 1, 12}, {91, 36, 36, 122}, {93, 55, 3, 
           0, 122, 3, 0, 124}, {94, 260, 2, 0, 12, 3, 0, 124, 3, 0, 122}, {94,
            273, 3, 0, 122, 3, 1, 36, 3, 1, 59}, {46, 59, 36}, {67, 47, 48, 
           49, 3, 59}, {45, {1, 2}, 2, 2, 61}, {70, 59, 1, 61, 1, 65}, {46, 
           65, 30}, {7, 1, 12}, {91, 30, 30, 122}, {93, 55, 3, 0, 122, 3, 0, 
           124}, {94, 260, 2, 0, 12, 3, 0, 124, 3, 0, 122}, {94, 273, 3, 0, 
           122, 3, 1, 30, 3, 1, 65}, {46, 65, 30}, {8, 0., 122}, {
           9, 0., 1., 5}, {8, 0., 124}, {16, 122, 124, 4}, {22, 4, 5, 4}, {
           8, 0., 122}, {9, 0., 1., 5}, {8, 0., 124}, {16, 122, 124, 7}, {22, 
           7, 5, 7}, {8, 0., 122}, {9, 0., 1., 5}, {8, 0., 124}, {16, 122, 
           124, 6}, {22, 6, 5, 6}, {67, 4, 7, 6, 4, 65}, {68, 65, 59}, {46, 
           59, 1}, {93, 55, 3, 0, 32, 3, 0, 122}, {7, 1, 12}, {70, 30, 0, 12, 
           0, 124}, {67, 53, 54, 55, 3, 59}, {94, 273, 3, 0, 124, 3, 1, 59, 3,
            1, 65}, {7, 2, 12}, {70, 30, 0, 12, 0, 124}, {67, 56, 57, 58, 3, 
           59}, {9, 0., 1., 4}, {8, 0.017453292519943295`, 120}, {
           8, 0., 123}, {16, 49, 123, 7}, {8, 0., 121}, {16, 120, 121, 6}, {
           22, 4, 7, 6, 4}, {93, 34, 4, 0, 4, 4, 0, 7}, {94, 273, 3, 0, 124, 
           4, 0, 7, 4, 0, 4}, {94, 273, 4, 0, 4, 3, 1, 59, 4, 1, 61}, {48, 65,
            59}, {51, 59, 61, 59}, {94, 273, 3, 0, 122, 4, 1, 59, 4, 1, 65}, {
           46, 65, 2}, {48, 52, 65}, {91, 2, 65, 7}, {13, 7, 2}, {48, 36, 
           65}, {91, 2, 65, 7}, {13, 7, 1}, {67, 50, 51, 52, 3, 65}, {91, 42, 
           65, 59}, {7, 1, 12}, {70, 59, 0, 12, 0, 122}, {21, 18, 122, 124}, {
           7, 0, 12}, {15, 0, 12, 122}, {37, 122, 124, 16}, {3, 16, 122}, {
           8, 2.2718929, 124}, {8, 0.010108077, 122}, {7, 2, 12}, {94, 264, 3,
            0, 116, 2, 0, 12, 3, 0, 120}, {21, 122, 120, 122}, {24, 122, 
           120}, {8, 0.010592509, 122}, {7, 1, 12}, {7, 2, 10}, {94, 264, 3, 
           0, 116, 2, 0, 10, 3, 0, 123}, {94, 260, 2, 0, 12, 3, 0, 123, 3, 0, 
           121}, {21, 122, 121, 122}, {8, 0.00020816965, 121}, {7, 1, 12}, {7,
            4, 10}, {94, 264, 3, 0, 116, 2, 0, 10, 3, 0, 123}, {94, 260, 2, 0,
            12, 3, 0, 123, 3, 0, 127}, {21, 121, 127, 121}, {
           8, 7.6472538*^-6, 127}, {7, 1, 12}, {7, 6, 10}, {94, 264, 3, 0, 
           116, 2, 0, 10, 3, 0, 123}, {94, 260, 2, 0, 12, 3, 0, 123, 3, 0, 
           125}, {21, 127, 125, 127}, {24, 127, 125}, {
           8, 4.9240991*^-7, 127}, {7, 1, 12}, {7, 8, 10}, {94, 264, 3, 0, 
           116, 2, 0, 10, 3, 0, 123}, {94, 260, 2, 0, 12, 3, 0, 123, 3, 0, 
           126}, {21, 127, 126, 127}, {18, 124, 120, 122, 121, 125, 127, 
           124}, {93, 55, 3, 0, 124, 3, 0, 120}, {12, 120, 31}, {12, 29, 
           30}, {24, 30, 120}, {18, 31, 120, 124}, {93, 36, 3, 0, 124, 3, 0, 
           120}, {8, 0.01, 124}, {37, 120, 124, 19}, {3, 19, 47}, {
           8, 1.0005281111748805`, 120}, {8, 2.364805676582992*^-10, 124}, {7,
            2, 12}, {94, 264, 3, 0, 116, 2, 0, 12, 3, 0, 122}, {21, 124, 122, 
           124}, {24, 124, 122}, {8, 2.9781670902982902`*^-6, 124}, {7, 1, 
           12}, {7, 2, 10}, {94, 264, 3, 0, 116, 2, 0, 10, 3, 0, 121}, {94, 
           260, 2, 0, 12, 3, 0, 121, 3, 0, 125}, {21, 124, 125, 124}, {
           8, 2.6004099469477187`*^-8, 125}, {7, 1, 12}, {7, 4, 10}, {94, 264,
            3, 0, 116, 2, 0, 10, 3, 0, 121}, {94, 260, 2, 0, 12, 3, 0, 121, 3,
            0, 127}, {21, 125, 127, 125}, {
           8, 3.7787839314048715`*^-10, 127}, {7, 1, 12}, {7, 6, 10}, {94, 
           264, 3, 0, 116, 2, 0, 10, 3, 0, 121}, {94, 260, 2, 0, 12, 3, 0, 
           121, 3, 0, 126}, {21, 127, 126, 127}, {
           8, 2.830549017940716*^-12, 126}, {7, 1, 12}, {7, 8, 10}, {94, 264, 
           3, 0, 116, 2, 0, 10, 3, 0, 121}, {94, 260, 2, 0, 12, 3, 0, 121, 3, 
           0, 123}, {21, 126, 123, 126}, {18, 120, 122, 124, 125, 127, 126, 
           120}, {93, 55, 3, 0, 120, 3, 0, 122}, {12, 122, 19}, {24, 30, 
           122}, {18, 19, 122, 120}, {93, 36, 3, 0, 120, 3, 0, 122}, {24, 30, 
           120}, {18, 31, 120, 124}, {93, 36, 3, 0, 124, 3, 0, 120}, {37, 120,
            122, 21}, {3, 21, 4}, {12, 31, 30}, {12, 19, 31}, {4, 2}, {12, 19,
            30}, {4, 34}, {8, 1.0005281111748805`, 122}, {
           8, 2.364805676582992*^-10, 120}, {7, 2, 12}, {94, 264, 3, 0, 116, 
           2, 0, 12, 3, 0, 124}, {21, 120, 124, 120}, {24, 120, 124}, {
           8, 2.9781670902982902`*^-6, 120}, {7, 1, 12}, {7, 2, 10}, {94, 264,
            3, 0, 116, 2, 0, 10, 3, 0, 125}, {94, 260, 2, 0, 12, 3, 0, 125, 3,
            0, 127}, {21, 120, 127, 120}, {8, 2.6004099469477187`*^-8, 127}, {
           7, 1, 12}, {7, 4, 10}, {94, 264, 3, 0, 116, 2, 0, 10, 3, 0, 125}, {
           94, 260, 2, 0, 12, 3, 0, 125, 3, 0, 126}, {21, 127, 126, 127}, {
           8, 3.7787839314048715`*^-10, 126}, {7, 1, 12}, {7, 6, 10}, {94, 
           264, 3, 0, 116, 2, 0, 10, 3, 0, 125}, {94, 260, 2, 0, 12, 3, 0, 
           125, 3, 0, 123}, {21, 126, 123, 126}, {
           8, 2.830549017940716*^-12, 123}, {7, 1, 12}, {7, 8, 10}, {94, 264, 
           3, 0, 116, 2, 0, 10, 3, 0, 125}, {94, 260, 2, 0, 12, 3, 0, 125, 3, 
           0, 121}, {21, 123, 121, 123}, {18, 122, 124, 120, 127, 126, 123, 
           122}, {93, 55, 3, 0, 122, 3, 0, 124}, {12, 124, 30}, {4, 122}, {
           8, 1.0005281111748805`, 124}, {8, 2.364805676582992*^-10, 122}, {7,
            2, 12}, {94, 264, 3, 0, 116, 2, 0, 12, 3, 0, 120}, {21, 122, 120, 
           122}, {24, 122, 120}, {8, 2.9781670902982902`*^-6, 122}, {7, 1, 
           12}, {7, 2, 10}, {94, 264, 3, 0, 116, 2, 0, 10, 3, 0, 127}, {94, 
           260, 2, 0, 12, 3, 0, 127, 3, 0, 126}, {21, 122, 126, 122}, {
           8, 2.6004099469477187`*^-8, 126}, {7, 1, 12}, {7, 4, 10}, {94, 264,
            3, 0, 116, 2, 0, 10, 3, 0, 127}, {94, 260, 2, 0, 12, 3, 0, 127, 3,
            0, 123}, {21, 126, 123, 126}, {
           8, 3.7787839314048715`*^-10, 123}, {7, 1, 12}, {7, 6, 10}, {94, 
           264, 3, 0, 116, 2, 0, 10, 3, 0, 127}, {94, 260, 2, 0, 12, 3, 0, 
           127, 3, 0, 121}, {21, 123, 121, 123}, {
           8, 2.830549017940716*^-12, 121}, {7, 1, 12}, {7, 8, 10}, {94, 264, 
           3, 0, 116, 2, 0, 10, 3, 0, 127}, {94, 260, 2, 0, 12, 3, 0, 127, 3, 
           0, 125}, {21, 121, 125, 121}, {18, 124, 120, 122, 126, 123, 121, 
           124}, {93, 55, 3, 0, 124, 3, 0, 120}, {12, 120, 31}, {12, 29, 
           30}, {24, 30, 120}, {18, 31, 120, 124}, {93, 36, 3, 0, 124, 3, 0, 
           120}, {8, 0.01, 124}, {37, 120, 124, 19}, {3, 19, 48}, {
           8, 2.2718929, 120}, {8, 0.010108077, 124}, {7, 2, 12}, {94, 264, 3,
            0, 116, 2, 0, 12, 3, 0, 122}, {21, 124, 122, 124}, {24, 124, 
           122}, {8, 0.010592509, 124}, {7, 1, 12}, {7, 2, 10}, {94, 264, 3, 
           0, 116, 2, 0, 10, 3, 0, 126}, {94, 260, 2, 0, 12, 3, 0, 126, 3, 0, 
           123}, {21, 124, 123, 124}, {8, 0.00020816965, 123}, {7, 1, 12}, {7,
            4, 10}, {94, 264, 3, 0, 116, 2, 0, 10, 3, 0, 126}, {94, 260, 2, 0,
            12, 3, 0, 126, 3, 0, 121}, {21, 123, 121, 123}, {
           8, 7.6472538*^-6, 121}, {7, 1, 12}, {7, 6, 10}, {94, 264, 3, 0, 
           116, 2, 0, 10, 3, 0, 126}, {94, 260, 2, 0, 12, 3, 0, 126, 3, 0, 
           125}, {21, 121, 125, 121}, {24, 121, 125}, {
           8, 4.9240991*^-7, 121}, {7, 1, 12}, {7, 8, 10}, {94, 264, 3, 0, 
           116, 2, 0, 10, 3, 0, 126}, {94, 260, 2, 0, 12, 3, 0, 126, 3, 0, 
           127}, {21, 121, 127, 121}, {18, 120, 122, 124, 123, 125, 121, 
           120}, {93, 55, 3, 0, 120, 3, 0, 122}, {12, 122, 19}, {24, 30, 
           122}, {18, 19, 122, 120}, {93, 36, 3, 0, 120, 3, 0, 122}, {24, 30, 
           120}, {18, 31, 120, 124}, {93, 36, 3, 0, 124, 3, 0, 120}, {37, 120,
            122, 21}, {3, 21, 4}, {12, 31, 30}, {12, 19, 31}, {4, 2}, {12, 19,
            30}, {4, 35}, {8, 2.2718929, 122}, {8, 0.010108077, 120}, {7, 2, 
           12}, {94, 264, 3, 0, 116, 2, 0, 12, 3, 0, 124}, {21, 120, 124, 
           120}, {24, 120, 124}, {8, 0.010592509, 120}, {7, 1, 12}, {7, 2, 
           10}, {94, 264, 3, 0, 116, 2, 0, 10, 3, 0, 123}, {94, 260, 2, 0, 12,
            3, 0, 123, 3, 0, 125}, {21, 120, 125, 120}, {
           8, 0.00020816965, 125}, {7, 1, 12}, {7, 4, 10}, {94, 264, 3, 0, 
           116, 2, 0, 10, 3, 0, 123}, {94, 260, 2, 0, 12, 3, 0, 123, 3, 0, 
           121}, {21, 125, 121, 125}, {8, 7.6472538*^-6, 121}, {7, 1, 12}, {7,
            6, 10}, {94, 264, 3, 0, 116, 2, 0, 10, 3, 0, 123}, {94, 260, 2, 0,
            12, 3, 0, 123, 3, 0, 127}, {21, 121, 127, 121}, {24, 121, 127}, {
           8, 4.9240991*^-7, 121}, {7, 1, 12}, {7, 8, 10}, {94, 264, 3, 0, 
           116, 2, 0, 10, 3, 0, 123}, {94, 260, 2, 0, 12, 3, 0, 123, 3, 0, 
           126}, {21, 121, 126, 121}, {18, 122, 124, 120, 125, 127, 121, 
           122}, {93, 55, 3, 0, 122, 3, 0, 124}, {12, 124, 30}, {7, 1, 12}, {
           94, 260, 2, 0, 12, 3, 0, 31, 3, 0, 124}, {21, 30, 124, 122}, {12, 
           122, 39}, {12, 31, 29}, {7, 1, 12}, {7, 2, 10}, {94, 264, 3, 0, 39,
            2, 0, 10, 3, 0, 122}, {7, 2, 10}, {94, 264, 3, 0, 64, 2, 0, 10, 3,
            0, 124}, {21, 122, 124, 122}, {24, 122, 124}, {15, 0, 12, 122}, {
           18, 122, 124, 122}, {8, 0., 124}, {39, 124, 122, 16}, {3, 16, 
           31}, {67, 50, 51, 52, 3, 59}, {94, 273, 3, 0, 39, 3, 1, 59, 3, 1, 
           65}, {21, 39, 65, 122}, {24, 122, 124}, {7, 1, 12}, {7, 2, 10}, {
           94, 264, 3, 0, 39, 2, 0, 10, 3, 0, 122}, {7, 2, 10}, {94, 264, 3, 
           0, 64, 2, 0, 10, 3, 0, 120}, {21, 122, 120, 122}, {24, 122, 120}, {
           15, 0, 12, 122}, {18, 122, 120, 122}, {93, 55, 3, 0, 122, 3, 0, 
           120}, {18, 124, 120, 124}, {94, 273, 3, 0, 124, 3, 1, 53, 3, 1, 
           59}, {51, 65, 59, 65}, {46, 65, 21}, {46, 21, 65}, {7, 1, 12}, {70,
            65, 0, 12, 0, 124}, {12, 124, 50}, {7, 2, 12}, {70, 65, 0, 12, 0, 
           124}, {12, 124, 51}, {7, 3, 12}, {70, 65, 0, 12, 0, 124}, {12, 124,
            52}, {67, 50, 51, 52, 3, 59}, {4, 51}, {67, 50, 51, 52, 3, 65}, {
           7, 1, 12}, {70, 44, 0, 12, 1, 61}, {91, 65, 61, 124}, {7, 0, 12}, {
           15, 0, 12, 120}, {37, 120, 124, 19}, {3, 19, 5}, {8, 0.5, 124}, {
           18, 46, 124, 120}, {12, 120, 46}, {4, 1}, {12, 30, 31}, {12, 30, 
           29}, {67, 50, 51, 52, 3, 65}, {7, 2, 12}, {67, 50, 51, 52, 3, 
           61}, {91, 53, 61, 120}, {94, 273, 2, 0, 12, 3, 0, 120, 3, 0, 
           124}, {94, 273, 3, 0, 124, 3, 1, 53, 3, 1, 61}, {93, 41, 3, 1, 61, 
           3, 1, 72}, {51, 65, 72, 65}, {46, 65, 21}, {46, 21, 65}, {7, 1, 
           12}, {70, 65, 0, 12, 0, 120}, {12, 120, 50}, {7, 2, 12}, {70, 65, 
           0, 12, 0, 120}, {12, 120, 51}, {7, 3, 12}, {70, 65, 0, 12, 0, 
           120}, {12, 120, 52}, {67, 50, 51, 52, 3, 72}, {67, 47, 48, 49, 3, 
           65}, {45, {0, 0, -180}, 2, 3, 61}, {47, 0, 61, 55}, {51, 65, 55, 
           65}, {46, 65, 21}, {46, 21, 65}, {7, 1, 12}, {70, 65, 0, 12, 0, 
           120}, {12, 120, 47}, {7, 2, 12}, {70, 65, 0, 12, 0, 120}, {12, 120,
            48}, {7, 3, 12}, {70, 65, 0, 12, 0, 120}, {12, 120, 49}, {67, 47, 
           48, 49, 3, 61}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 
           55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 
           87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 59}, {68, 59, 
           61}, {46, 61, 0}, {45, {7, 15}, 2, 2, 61}, {72, 31, 61, 1, 59}, {7,
            3, 12}, {67, 12, 2, 61}, {67, 12, 2, 65}, {79, 59, 61, 65, 55}, {
           46, 55, 33}, {7, 1, 12}, {70, 33, 0, 12, 1, 55}, {46, 55, 37}, {44,
            0, 14}, {7, -1, 15}, {7, 1, 5}, {64, 14, 5, 15, 3, 59}, {7, 0, 
           18}, {11, 18, 13}, {4, 258}, {70, 0, 0, 13, 1, 65}, {7, 1, 18}, {
           70, 65, 0, 18, 0, 122}, {12, 122, 70}, {7, 2, 18}, {70, 65, 0, 18, 
           0, 122}, {12, 122, 72}, {7, 3, 18}, {70, 65, 0, 18, 0, 122}, {12, 
           122, 74}, {7, 4, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 67}, {7, 
           5, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 68}, {7, 6, 18}, {70, 
           65, 0, 18, 0, 122}, {12, 122, 69}, {7, 7, 18}, {70, 65, 0, 18, 0, 
           122}, {12, 122, 50}, {7, 8, 18}, {70, 65, 0, 18, 0, 122}, {12, 122,
            51}, {7, 9, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 52}, {7, 10, 
           18}, {70, 65, 0, 18, 0, 122}, {12, 122, 53}, {7, 11, 18}, {70, 65, 
           0, 18, 0, 122}, {12, 122, 54}, {7, 12, 18}, {70, 65, 0, 18, 0, 
           122}, {12, 122, 55}, {7, 13, 18}, {70, 65, 0, 18, 0, 122}, {12, 
           122, 56}, {7, 14, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 57}, {7, 
           15, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 58}, {7, 16, 18}, {70, 
           65, 0, 18, 0, 122}, {12, 122, 116}, {7, 17, 18}, {70, 65, 0, 18, 0,
            122}, {12, 122, 32}, {7, 18, 18}, {70, 65, 0, 18, 0, 122}, {12, 
           122, 33}, {7, 19, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 59}, {7, 
           20, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 29}, {7, 21, 18}, {70, 
           65, 0, 18, 0, 122}, {12, 122, 45}, {7, 22, 18}, {70, 65, 0, 18, 0, 
           122}, {12, 122, 46}, {7, 23, 18}, {70, 65, 0, 18, 0, 122}, {12, 
           122, 24}, {7, 24, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 94}, {7, 
           25, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 93}, {7, 26, 18}, {70, 
           65, 0, 18, 0, 122}, {12, 122, 60}, {7, 27, 18}, {70, 65, 0, 18, 0, 
           122}, {12, 122, 61}, {7, 28, 18}, {70, 65, 0, 18, 0, 122}, {12, 
           122, 87}, {7, 29, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 26}, {7, 
           30, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 89}, {7, 31, 18}, {70, 
           65, 0, 18, 0, 122}, {12, 122, 90}, {7, 32, 18}, {70, 65, 0, 18, 0, 
           122}, {12, 122, 91}, {7, 33, 18}, {70, 65, 0, 18, 0, 122}, {12, 
           122, 92}, {7, 34, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 63}, {7, 
           35, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 44}, {7, 36, 18}, {70, 
           65, 0, 18, 0, 122}, {12, 122, 34}, {7, 37, 18}, {70, 65, 0, 18, 0, 
           122}, {12, 122, 47}, {7, 38, 18}, {70, 65, 0, 18, 0, 122}, {12, 
           122, 48}, {7, 39, 18}, {70, 65, 0, 18, 0, 122}, {12, 122, 49}, {67,
            70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 44, 34, 47, 48, 49, 3, 55}, {45, {1., 0., 0.}, 3, 3, 65}, {67,
            50, 51, 52, 3, 63}, {55, Cross, 3, 1, 65, 3, 1, 63, 3, 1, 60}, {
           46, 60, 64}, {91, 64, 64, 122}, {93, 55, 3, 0, 122, 3, 0, 120}, {
           12, 120, 20}, {8, 1.*^-10, 120}, {94, 270, 3, 0, 20, 3, 0, 120, 3, 
           0, 122}, {8, 0., 120}, {34, 122, 120, 0, 19}, {43, 19, 16}, {3, 16,
            75}, {7, 1, 18}, {94, 260, 2, 0, 18, 3, 0, 20, 3, 0, 122}, {94, 
           273, 3, 0, 122, 3, 1, 64, 3, 1, 60}, {46, 60, 64}, {44, 64, 17}, {
           7, -1, 20}, {64, 17, 20, 3, 65}, {7, 0, 21}, {11, 21, 19}, {4, 
           4}, {70, 64, 0, 19, 0, 122}, {94, 273, 3, 0, 122, 3, 1, 64, 3, 1, 
           63}, {66, 20, 63, 65}, {5, 19, 17, -3}, {46, 65, 3}, {
           8, 0., 122}, {7, 3, 19}, {70, 64, 0, 19, 0, 120}, {24, 120, 125}, {
           7, 2, 19}, {70, 64, 0, 19, 0, 120}, {67, 122, 125, 120, 3, 65}, {7,
            3, 19}, {70, 64, 0, 19, 0, 122}, {8, 0., 125}, {7, 1, 19}, {70, 
           64, 0, 19, 0, 120}, {24, 120, 124}, {67, 122, 125, 124, 3, 60}, {7,
            2, 19}, {70, 64, 0, 19, 0, 122}, {24, 122, 125}, {7, 1, 19}, {70, 
           64, 0, 19, 0, 122}, {8, 0., 124}, {67, 125, 122, 124, 3, 63}, {68, 
           65, 60, 63, 58}, {46, 58, 16}, {45, {1., 0., 0.}, 3, 3, 58}, {67, 
           50, 51, 52, 3, 65}, {91, 58, 65, 125}, {12, 125, 25}, {
           8, 1., 125}, {24, 25, 122}, {18, 125, 122, 125}, {
           8, 2.220446049250313*^-16, 122}, {37, 125, 122, 19}, {3, 19, 4}, {
           8, 1., 125}, {12, 125, 25}, {4, 1}, {7, 1, 19}, {7, 2, 18}, {94, 
           264, 3, 0, 25, 2, 0, 18, 3, 0, 125}, {24, 125, 122}, {15, 0, 19, 
           125}, {18, 125, 122, 125}, {12, 125, 88}, {
           8, 2.220446049250313*^-16, 125}, {37, 88, 125, 19}, {3, 19, 4}, {
           8, 0., 125}, {12, 125, 88}, {4, 3}, {93, 55, 3, 0, 88, 3, 0, 
           125}, {12, 125, 88}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 58}, {93, 
           41, 3, 2, 3, 3, 2, 65}, {51, 58, 65, 58}, {94, 273, 3, 0, 25, 3, 2,
            58, 3, 2, 65}, {94, 273, 3, 0, 88, 3, 2, 16, 3, 2, 58}, {51, 3, 
           65, 58, 60}, {46, 60, 63}, {4, 51}, {45, {1., 0., 0.}, 3, 3, 65}, {
           67, 50, 51, 52, 3, 58}, {91, 65, 58, 125}, {93, 42, 3, 0, 125, 2, 
           0, 19}, {7, 1, 18}, {33, 19, 18, 19}, {3, 19, 4}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 65}, {46, 
           65, 63}, {4, 3}, {
           45, {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 1.}}, 3, 3, 3, 58}, {
           46, 58, 63}, {7, 1, 19}, {70, 63, 0, 19, 1, 65}, {7, 1, 19}, {70, 
           65, 0, 19, 0, 125}, {12, 125, 50}, {7, 2, 19}, {70, 65, 0, 19, 0, 
           125}, {12, 125, 51}, {7, 3, 19}, {70, 65, 0, 19, 0, 125}, {12, 125,
            52}, {67, 50, 51, 52, 3, 58}, {7, 2, 19}, {70, 63, 0, 19, 1, 
           65}, {7, 1, 19}, {70, 65, 0, 19, 0, 125}, {12, 125, 53}, {7, 2, 
           19}, {70, 65, 0, 19, 0, 125}, {12, 125, 54}, {7, 3, 19}, {70, 65, 
           0, 19, 0, 125}, {12, 125, 55}, {67, 53, 54, 55, 3, 75}, {7, 3, 
           19}, {70, 63, 0, 19, 1, 65}, {7, 1, 19}, {70, 65, 0, 19, 0, 125}, {
           12, 125, 56}, {7, 2, 19}, {70, 65, 0, 19, 0, 125}, {12, 125, 57}, {
           7, 3, 19}, {70, 65, 0, 19, 0, 125}, {12, 125, 58}, {67, 56, 57, 58,
            3, 67}, {68, 58, 75, 67, 65}, {46, 65, 63}, {66, 15, 63, 59}, {5, 
           13, 14, -257}, {46, 59, 46}, {44, 0, 10}, {7, -1, 18}, {64, 10, 18,
            3, 61}, {7, 0, 9}, {11, 9, 15}, {4, 383}, {70, 0, 0, 15, 1, 59}, {
           7, 1, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 70}, {7, 2, 9}, {70, 
           59, 0, 9, 0, 124}, {12, 124, 72}, {7, 3, 9}, {70, 59, 0, 9, 0, 
           124}, {12, 124, 74}, {7, 4, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 
           67}, {7, 5, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 68}, {7, 6, 9}, {
           70, 59, 0, 9, 0, 124}, {12, 124, 69}, {7, 7, 9}, {70, 59, 0, 9, 0, 
           124}, {12, 124, 50}, {7, 8, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 
           51}, {7, 9, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 52}, {7, 10, 
           9}, {70, 59, 0, 9, 0, 124}, {12, 124, 53}, {7, 11, 9}, {70, 59, 0, 
           9, 0, 124}, {12, 124, 54}, {7, 12, 9}, {70, 59, 0, 9, 0, 124}, {12,
            124, 55}, {7, 13, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 56}, {7, 
           14, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 57}, {7, 15, 9}, {70, 59,
            0, 9, 0, 124}, {12, 124, 58}, {7, 16, 9}, {70, 59, 0, 9, 0, 
           124}, {12, 124, 116}, {7, 17, 9}, {70, 59, 0, 9, 0, 124}, {12, 124,
            32}, {7, 18, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 33}, {7, 19, 
           9}, {70, 59, 0, 9, 0, 124}, {12, 124, 59}, {7, 20, 9}, {70, 59, 0, 
           9, 0, 124}, {12, 124, 29}, {7, 21, 9}, {70, 59, 0, 9, 0, 124}, {12,
            124, 45}, {7, 22, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 46}, {7, 
           23, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 24}, {7, 24, 9}, {70, 59,
            0, 9, 0, 124}, {12, 124, 94}, {7, 25, 9}, {70, 59, 0, 9, 0, 
           124}, {12, 124, 93}, {7, 26, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 
           60}, {7, 27, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 61}, {7, 28, 
           9}, {70, 59, 0, 9, 0, 124}, {12, 124, 87}, {7, 29, 9}, {70, 59, 0, 
           9, 0, 124}, {12, 124, 26}, {7, 30, 9}, {70, 59, 0, 9, 0, 124}, {12,
            124, 89}, {7, 31, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 90}, {7, 
           32, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 91}, {7, 33, 9}, {70, 59,
            0, 9, 0, 124}, {12, 124, 92}, {7, 34, 9}, {70, 59, 0, 9, 0, 
           124}, {12, 124, 63}, {7, 35, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 
           44}, {7, 36, 9}, {70, 59, 0, 9, 0, 124}, {12, 124, 34}, {7, 37, 
           9}, {70, 59, 0, 9, 0, 124}, {12, 124, 47}, {7, 38, 9}, {70, 59, 0, 
           9, 0, 124}, {12, 124, 48}, {7, 39, 9}, {70, 59, 0, 9, 0, 124}, {12,
            124, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56,
            57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 55}, {67, 15, 2, 59}, {
           7, 1, 9}, {70, 59, 0, 9, 0, 14}, {70, 46, 0, 14, 2, 59}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 75}, {44, 
           75, 19}, {7, -1, 20}, {64, 19, 20, 3, 63}, {7, 0, 17}, {11, 17, 
           5}, {4, 4}, {70, 75, 0, 5, 1, 58}, {91, 59, 58, 67}, {66, 20, 67, 
           63}, {5, 5, 19, -3}, {7, 1, 5}, {70, 63, 0, 5, 1, 59}, {7, 1, 5}, {
           70, 59, 0, 5, 0, 124}, {12, 124, 50}, {7, 2, 5}, {70, 59, 0, 5, 0, 
           124}, {12, 124, 51}, {7, 3, 5}, {70, 59, 0, 5, 0, 124}, {12, 124, 
           52}, {67, 50, 51, 52, 3, 75}, {7, 2, 5}, {70, 63, 0, 5, 1, 59}, {7,
            1, 5}, {70, 59, 0, 5, 0, 124}, {12, 124, 53}, {7, 2, 5}, {70, 59, 
           0, 5, 0, 124}, {12, 124, 54}, {7, 3, 5}, {70, 59, 0, 5, 0, 124}, {
           12, 124, 55}, {67, 53, 54, 55, 3, 60}, {7, 3, 5}, {70, 63, 0, 5, 1,
            59}, {7, 1, 5}, {70, 59, 0, 5, 0, 124}, {12, 124, 56}, {7, 2, 
           5}, {70, 59, 0, 5, 0, 124}, {12, 124, 57}, {7, 3, 5}, {70, 59, 0, 
           5, 0, 124}, {12, 124, 58}, {67, 56, 57, 58, 3, 67}, {68, 75, 60, 
           67, 59}, {67, 50, 51, 52, 3, 63}, {67, 50, 51, 52, 3, 75}, {91, 63,
            75, 124}, {12, 124, 105}, {8, -1., 124}, {18, 105, 124, 120}, {93,
            36, 3, 0, 120, 3, 0, 124}, {8, 1.*^-6, 120}, {37, 120, 124, 19}, {
           3, 19, 78}, {67, 50, 51, 52, 3, 63}, {7, 1, 5}, {93, 55, 3, 0, 105,
            3, 0, 124}, {94, 260, 2, 0, 5, 3, 0, 124, 3, 0, 120}, {94, 273, 3,
            0, 120, 3, 1, 63, 3, 1, 75}, {46, 75, 21}, {46, 21, 75}, {7, 1, 
           5}, {70, 75, 0, 5, 0, 120}, {12, 120, 50}, {7, 2, 5}, {70, 75, 0, 
           5, 0, 120}, {12, 120, 51}, {7, 3, 5}, {70, 75, 0, 5, 0, 120}, {12, 
           120, 52}, {67, 50, 51, 52, 3, 63}, {67, 50, 51, 52, 3, 75}, {67, 
           53, 54, 55, 3, 60}, {67, 56, 57, 58, 3, 67}, {68, 75, 60, 67, 
           58}, {44, 58, 9}, {7, -1, 19}, {64, 9, 19, 3, 75}, {7, 0, 17}, {11,
            17, 20}, {4, 10}, {70, 58, 0, 20, 1, 67}, {7, 1, 17}, {70, 58, 0, 
           20, 1, 74}, {70, 58, 0, 20, 1, 71}, {91, 74, 71, 120}, {93, 55, 3, 
           0, 120, 3, 0, 124}, {94, 260, 2, 0, 17, 3, 0, 124, 3, 0, 120}, {94,
            273, 3, 0, 120, 3, 1, 67, 3, 1, 74}, {66, 19, 74, 75}, {5, 20, 
           9, -9}, {46, 75, 19}, {46, 19, 75}, {7, 1, 20}, {70, 75, 0, 20, 1, 
           58}, {7, 1, 20}, {70, 58, 0, 20, 0, 120}, {12, 120, 50}, {7, 2, 
           20}, {70, 58, 0, 20, 0, 120}, {12, 120, 51}, {7, 3, 20}, {70, 58, 
           0, 20, 0, 120}, {12, 120, 52}, {67, 50, 51, 52, 3, 60}, {7, 2, 
           20}, {70, 75, 0, 20, 1, 58}, {7, 1, 20}, {70, 58, 0, 20, 0, 120}, {
           12, 120, 53}, {7, 2, 20}, {70, 58, 0, 20, 0, 120}, {12, 120, 54}, {
           7, 3, 20}, {70, 58, 0, 20, 0, 120}, {12, 120, 55}, {67, 53, 54, 55,
            3, 74}, {7, 3, 20}, {70, 75, 0, 20, 1, 58}, {7, 1, 20}, {70, 58, 
           0, 20, 0, 120}, {12, 120, 56}, {7, 2, 20}, {70, 58, 0, 20, 0, 120},
            {12, 120, 57}, {7, 3, 20}, {70, 58, 0, 20, 0, 120}, {12, 120, 
           58}, {67, 56, 57, 58, 3, 67}, {68, 60, 74, 67, 58}, {4, 1}, {
           8, 0., 120}, {9, 0., 1., 4}, {8, 0., 124}, {16, 120, 124, 6}, {22, 
           6, 4, 6}, {8, 0., 120}, {9, 0., 1., 4}, {8, 0., 124}, {16, 120, 
           124, 5}, {22, 5, 4, 5}, {8, 0., 120}, {9, 0., 1., 4}, {
           8, 0., 124}, {16, 120, 124, 7}, {22, 7, 4, 7}, {67, 6, 5, 7, 4, 
           58}, {68, 58, 75}, {53, 1, 75, 0, 19}, {43, 19, 20}, {3, 20, 
           103}, {67, 15, 2, 75}, {7, 1, 20}, {70, 75, 0, 20, 0, 5}, {70, 1, 
           0, 5, 1, 75}, {46, 75, 2}, {67, 53, 54, 55, 3, 75}, {48, 75, 58}, {
           91, 58, 2, 6}, {13, 6, 0}, {67, 56, 57, 58, 3, 75}, {48, 75, 58}, {
           91, 58, 2, 6}, {13, 6, 3}, {93, 36, 4, 0, 0, 3, 0, 120}, {
           8, 0., 124}, {37, 124, 120, 19}, {3, 19, 4}, {6, True, 16}, {10, 
           16, 17}, {4, 5}, {93, 36, 4, 0, 3, 3, 0, 120}, {8, 0., 124}, {37, 
           124, 120, 21}, {10, 21, 17}, {3, 17, 77}, {93, 36, 4, 0, 0, 3, 0, 
           120}, {93, 36, 4, 0, 3, 3, 0, 124}, {8, 0., 122}, {67, 120, 124, 
           122, 3, 75}, {7, 1, 5}, {70, 75, 0, 5, 0, 120}, {12, 120, 47}, {7, 
           2, 5}, {70, 75, 0, 5, 0, 120}, {12, 120, 48}, {7, 3, 5}, {70, 75, 
           0, 5, 0, 120}, {12, 120, 49}, {67, 47, 48, 49, 3, 58}, {67, 47, 48,
            49, 3, 75}, {7, 1, 5}, {67, 47, 48, 49, 3, 60}, {67, 47, 48, 49, 
           3, 74}, {91, 60, 74, 120}, {93, 55, 3, 0, 120, 3, 0, 124}, {94, 
           260, 2, 0, 5, 3, 0, 124, 3, 0, 120}, {94, 273, 3, 0, 120, 3, 1, 75,
            3, 1, 60}, {46, 60, 21}, {46, 21, 60}, {7, 1, 5}, {70, 60, 0, 5, 
           0, 120}, {12, 120, 47}, {7, 2, 5}, {70, 60, 0, 5, 0, 120}, {12, 
           120, 48}, {7, 3, 5}, {70, 60, 0, 5, 0, 120}, {12, 120, 49}, {67, 
           47, 48, 49, 3, 75}, {67, 47, 48, 49, 3, 60}, {7, 3, 5}, {
           8, 0., 120}, {8, 0., 124}, {16, 120, 124, 6}, {35, 3, 6, 0, 19}, {
           3, 19, 4}, {8, 0., 120}, {12, 120, 122}, {4, 3}, {93, 37, 4, 0, 3, 
           3, 0, 124}, {12, 124, 122}, {8, 0., 120}, {8, 0., 124}, {16, 120, 
           124, 6}, {35, 0, 6, 0, 19}, {3, 19, 4}, {8, 0., 120}, {12, 120, 
           125}, {4, 3}, {93, 37, 4, 0, 0, 3, 0, 124}, {12, 124, 125}, {24, 
           125, 120}, {18, 122, 120, 122}, {7, 1, 20}, {
           8, 0.017453292519943295`, 120}, {94, 260, 2, 0, 20, 3, 0, 120, 3, 
           0, 125}, {21, 122, 125, 122}, {71, 60, 0, 5, 0, 122}, {46, 60, 
           21}, {46, 21, 60}, {7, 1, 5}, {70, 60, 0, 5, 0, 122}, {12, 122, 
           47}, {7, 2, 5}, {70, 60, 0, 5, 0, 122}, {12, 122, 48}, {7, 3, 5}, {
           70, 60, 0, 5, 0, 122}, {12, 122, 49}, {67, 47, 48, 49, 3, 74}, {4, 
           1}, {4, 1}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 
           56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 
           26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 58}, {66, 18, 58, 
           61}, {5, 15, 10, -382}, {46, 61, 0}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 62}, {68, 15, 72}, {68, 0, 62, 72, 61}, {46, 61, 59}, {4, 
           6312}, {7, 2, 15}, {33, 3, 15, 20}, {3, 20, 2113}, {70, 24, 0, 6, 
           1, 56}, {7, 1, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 70}, {7, 2, 
           15}, {70, 56, 0, 15, 0, 122}, {12, 122, 72}, {7, 3, 15}, {70, 56, 
           0, 15, 0, 122}, {12, 122, 74}, {7, 4, 15}, {70, 56, 0, 15, 0, 
           122}, {12, 122, 67}, {7, 5, 15}, {70, 56, 0, 15, 0, 122}, {12, 122,
            68}, {7, 6, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 69}, {7, 7, 
           15}, {70, 56, 0, 15, 0, 122}, {12, 122, 50}, {7, 8, 15}, {70, 56, 
           0, 15, 0, 122}, {12, 122, 51}, {7, 9, 15}, {70, 56, 0, 15, 0, 
           122}, {12, 122, 52}, {7, 10, 15}, {70, 56, 0, 15, 0, 122}, {12, 
           122, 53}, {7, 11, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 54}, {7, 
           12, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 55}, {7, 13, 15}, {70, 
           56, 0, 15, 0, 122}, {12, 122, 56}, {7, 14, 15}, {70, 56, 0, 15, 0, 
           122}, {12, 122, 57}, {7, 15, 15}, {70, 56, 0, 15, 0, 122}, {12, 
           122, 58}, {7, 16, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 116}, {7,
            17, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 32}, {7, 18, 15}, {70,
            56, 0, 15, 0, 122}, {12, 122, 33}, {7, 19, 15}, {70, 56, 0, 15, 0,
            122}, {12, 122, 59}, {7, 20, 15}, {70, 56, 0, 15, 0, 122}, {12, 
           122, 29}, {7, 21, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 45}, {7, 
           22, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 46}, {7, 23, 15}, {70, 
           56, 0, 15, 0, 122}, {12, 122, 24}, {7, 24, 15}, {70, 56, 0, 15, 0, 
           122}, {12, 122, 94}, {7, 25, 15}, {70, 56, 0, 15, 0, 122}, {12, 
           122, 93}, {7, 26, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 60}, {7, 
           27, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 61}, {7, 28, 15}, {70, 
           56, 0, 15, 0, 122}, {12, 122, 87}, {7, 29, 15}, {70, 56, 0, 15, 0, 
           122}, {12, 122, 26}, {7, 30, 15}, {70, 56, 0, 15, 0, 122}, {12, 
           122, 89}, {7, 31, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 90}, {7, 
           32, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 91}, {7, 33, 15}, {70, 
           56, 0, 15, 0, 122}, {12, 122, 92}, {7, 34, 15}, {70, 56, 0, 15, 0, 
           122}, {12, 122, 63}, {7, 35, 15}, {70, 56, 0, 15, 0, 122}, {12, 
           122, 44}, {7, 36, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 34}, {7, 
           37, 15}, {70, 56, 0, 15, 0, 122}, {12, 122, 47}, {7, 38, 15}, {70, 
           56, 0, 15, 0, 122}, {12, 122, 48}, {7, 39, 15}, {70, 56, 0, 15, 0, 
           122}, {12, 122, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 69}, {12, 
           29, 30}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 
           2, 3, 0, 122, 3, 0, 125}, {21, 50, 125, 122}, {
           8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 1, 3, 0, 
           125, 3, 0, 120}, {21, 51, 120, 125}, {18, 122, 125, 122}, {12, 122,
            117}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 
           3, 0, 122, 3, 0, 125}, {21, 51, 125, 122}, {8, 1., 125}, {
           8, 0.017453292519943295`, 120}, {21, 120, 4, 120}, {93, 1, 3, 0, 
           120, 3, 0, 124}, {21, 125, 50, 124, 125}, {24, 125, 124}, {18, 122,
            124, 122}, {12, 122, 118}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 2, 3, 0, 122, 3, 0, 124}, {7, 2, 15}, {94, 264, 
           3, 0, 124, 2, 0, 15, 3, 0, 122}, {8, 0.017453292519943295`, 124}, {
           21, 124, 4, 124}, {93, 1, 3, 0, 124, 3, 0, 125}, {7, 2, 15}, {94, 
           264, 3, 0, 125, 2, 0, 15, 3, 0, 124}, {18, 122, 124, 122}, {21, 52,
            122, 124}, {12, 124, 119}, {8, 1.*^-10, 124}, {94, 270, 3, 0, 117,
            3, 0, 124, 3, 0, 122}, {12, 122, 117}, {8, 1.*^-10, 122}, {94, 
           270, 3, 0, 118, 3, 0, 122, 3, 0, 124}, {12, 124, 118}, {
           8, 1.*^-10, 124}, {94, 270, 3, 0, 119, 3, 0, 124, 3, 0, 122}, {12, 
           122, 119}, {7, 2, 15}, {94, 264, 3, 0, 117, 2, 0, 15, 3, 0, 122}, {
           7, 2, 15}, {94, 264, 3, 0, 118, 2, 0, 15, 3, 0, 124}, {7, 2, 15}, {
           94, 264, 3, 0, 119, 2, 0, 15, 3, 0, 125}, {18, 122, 124, 125, 
           122}, {7, 1, 15}, {7, 2, 13}, {15, 0, 15, 124}, {15, 0, 13, 125}, {
           94, 260, 3, 0, 124, 3, 0, 125, 3, 0, 120}, {94, 264, 3, 0, 122, 3, 
           0, 120, 3, 0, 124}, {12, 124, 35}, {7, 1, 15}, {94, 260, 2, 0, 15, 
           3, 0, 35, 3, 0, 124}, {21, 117, 124, 122}, {12, 122, 117}, {7, 1, 
           15}, {94, 260, 2, 0, 15, 3, 0, 35, 3, 0, 122}, {21, 118, 122, 
           124}, {12, 124, 118}, {7, 1, 15}, {94, 260, 2, 0, 15, 3, 0, 35, 3, 
           0, 124}, {21, 119, 124, 122}, {12, 122, 119}, {
           8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 3, 0, 
           122, 3, 0, 124}, {8, 1., 122}, {8, 0.017453292519943295`, 120}, {
           21, 120, 4, 120}, {93, 2, 3, 0, 120, 3, 0, 125}, {21, 12, 125, 
           120}, {18, 14, 120, 125}, {21, 122, 125, 122}, {24, 122, 125}, {18,
            67, 125, 122}, {21, 124, 122, 124}, {
           8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 1, 3, 0, 
           122, 3, 0, 125}, {8, 1., 122}, {8, 0.017453292519943295`, 120}, {
           21, 120, 4, 120}, {93, 1, 3, 0, 120, 3, 0, 127}, {21, 12, 127, 
           120}, {18, 16, 120, 127}, {21, 122, 127, 122}, {24, 122, 127}, {18,
            68, 127, 122}, {21, 125, 122, 125}, {18, 124, 125, 124}, {12, 124,
            79}, {8, -1., 124}, {8, 1., 125}, {
           8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 3, 0, 
           122, 3, 0, 127}, {21, 12, 127, 122}, {18, 14, 122, 127}, {21, 125, 
           127, 125}, {24, 125, 127}, {18, 67, 127, 125}, {
           8, 0.017453292519943295`, 127}, {21, 127, 4, 127}, {93, 1, 3, 0, 
           127, 3, 0, 122}, {21, 124, 125, 122, 124}, {
           8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 2, 3, 0, 
           125, 3, 0, 122}, {8, 1., 125}, {8, 0.017453292519943295`, 127}, {
           21, 127, 4, 127}, {93, 1, 3, 0, 127, 3, 0, 120}, {21, 12, 120, 
           127}, {18, 16, 127, 120}, {21, 125, 120, 125}, {24, 125, 120}, {18,
            68, 120, 125}, {21, 122, 125, 122}, {18, 124, 122, 124}, {12, 124,
            81}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 
           3, 0, 124, 3, 0, 122}, {7, 2, 15}, {94, 264, 3, 0, 122, 2, 0, 15, 
           3, 0, 124}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {
           93, 1, 3, 0, 122, 3, 0, 125}, {7, 2, 15}, {94, 264, 3, 0, 125, 2, 
           0, 15, 3, 0, 122}, {18, 124, 122, 124}, {21, 69, 124, 122}, {12, 
           122, 83}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 79, 3, 0, 122, 3, 0, 
           124}, {12, 124, 79}, {8, 1.*^-10, 124}, {94, 270, 3, 0, 81, 3, 0, 
           124, 3, 0, 122}, {12, 122, 81}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 
           83, 3, 0, 122, 3, 0, 124}, {12, 124, 83}, {6, False, 17}, {10, 17, 
           11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 56}, {46, 56, 25}, {46, 41, 
           25}, {70, 23, 0, 3, 0, 15}, {7, 1, 13}, {33, 15, 13, 17}, {10, 17, 
           3}, {45, {1., 2., 16520.}, 3, 3, 56}, {7, 1, 15}, {70, 56, 0, 15, 
           0, 124}, {12, 124, 40}, {7, 2, 15}, {70, 56, 0, 15, 0, 124}, {12, 
           124, 43}, {7, 3, 15}, {70, 56, 0, 15, 0, 124}, {12, 124, 42}, {67, 
           40, 43, 42, 3, 54}, {45, {1., 2., 16520.}, 3, 3, 56}, {7, 1, 15}, {
           70, 56, 0, 15, 0, 124}, {12, 124, 24}, {7, 2, 15}, {70, 56, 0, 15, 
           0, 124}, {12, 124, 94}, {7, 3, 15}, {70, 56, 0, 15, 0, 124}, {12, 
           124, 93}, {67, 24, 94, 93, 3, 68}, {7, 1, 15}, {70, 25, 0, 15, 1, 
           56}, {7, 1, 15}, {70, 56, 0, 15, 0, 124}, {12, 124, 59}, {7, 2, 
           15}, {70, 56, 0, 15, 0, 124}, {12, 124, 60}, {7, 3, 15}, {70, 56, 
           0, 15, 0, 124}, {12, 124, 61}, {67, 59, 60, 61, 3, 62}, {12, 67, 
           70}, {12, 68, 72}, {12, 69, 74}, {21, 59, 117, 124}, {18, 79, 124, 
           122}, {12, 122, 80}, {21, 59, 118, 122}, {18, 81, 122, 124}, {12, 
           124, 82}, {21, 59, 119, 124}, {18, 83, 124, 122}, {12, 122, 84}, {
           8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 3, 0, 
           122, 3, 0, 124}, {21, 80, 124, 122}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 3, 0, 
           124, 3, 0, 125}, {21, 12, 125, 124}, {18, 14, 124, 125}, {
           8, 1., 124}, {8, 0.017453292519943295`, 120}, {21, 120, 4, 120}, {
           93, 1, 3, 0, 120, 3, 0, 127}, {21, 124, 82, 127, 124}, {24, 124, 
           127}, {18, 122, 125, 127, 122}, {12, 122, 67}, {
           8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 3, 0, 
           122, 3, 0, 125}, {21, 82, 125, 122}, {
           8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 1, 3, 0, 
           125, 3, 0, 127}, {21, 80, 127, 125}, {
           8, 0.017453292519943295`, 127}, {21, 127, 4, 127}, {93, 1, 3, 0, 
           127, 3, 0, 124}, {21, 12, 124, 127}, {18, 16, 127, 124}, {18, 122, 
           125, 124, 122}, {12, 122, 68}, {8, 0.017453292519943295`, 122}, {
           21, 122, 4, 122}, {93, 2, 3, 0, 122, 3, 0, 125}, {7, 2, 15}, {94, 
           264, 3, 0, 125, 2, 0, 15, 3, 0, 122}, {
           8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 1, 3, 0, 
           125, 3, 0, 124}, {7, 2, 15}, {94, 264, 3, 0, 124, 2, 0, 15, 3, 0, 
           125}, {18, 122, 125, 122}, {21, 84, 122, 125}, {12, 125, 69}, {
           8, 1.*^-10, 125}, {94, 270, 3, 0, 67, 3, 0, 125, 3, 0, 122}, {12, 
           122, 67}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 68, 3, 0, 122, 3, 0, 
           125}, {12, 125, 68}, {8, 1.*^-10, 125}, {94, 270, 3, 0, 69, 3, 0, 
           125, 3, 0, 122}, {12, 122, 69}, {7, 0, 15}, {15, 0, 15, 122}, {34, 
           67, 122, 0, 17}, {3, 17, 14}, {7, 0, 15}, {15, 0, 15, 122}, {34, 
           68, 122, 0, 19}, {3, 19, 6}, {7, 0, 15}, {15, 0, 15, 122}, {34, 69,
            122, 0, 16}, {10, 16, 15}, {4, 3}, {6, False, 21}, {10, 21, 15}, {
           10, 15, 16}, {4, 3}, {6, False, 19}, {10, 19, 16}, {3, 16, 17}, {
           8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 3, 0, 
           122, 3, 0, 125}, {21, 12, 125, 122}, {18, 14, 122, 125}, {18, 80, 
           125, 122}, {12, 122, 67}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 125}, {21, 12, 125, 122}, {
           18, 16, 122, 125}, {18, 82, 125, 122}, {12, 122, 68}, {12, 84, 
           69}, {4, 1}, {8, 1., 122}, {18, 34, 122, 125}, {12, 125, 34}, {21, 
           59, 30, 125}, {18, 45, 125, 122}, {12, 122, 45}, {67, 70, 72, 74, 
           67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 
           29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34,
            47, 48, 49, 3, 56}, {46, 56, 15}, {6, True, 16}, {10, 16, 10}, {
           6, True, 16}, {10, 16, 4}, {6, True, 16}, {10, 16, 2}, {
           6, True, 16}, {10, 16, 5}, {8, 1., 122}, {8, 1., 125}, {
           8, -1., 124}, {7, 1, 15}, {93, 42, 3, 0, 9, 2, 0, 13}, {15, 0, 15, 
           127}, {15, 0, 13, 120}, {94, 260, 3, 0, 127, 3, 0, 120, 3, 0, 
           121}, {7, 1, 15}, {7, 1, 13}, {7, 2, 12}, {94, 264, 3, 0, 9, 2, 0, 
           12, 3, 0, 127}, {94, 260, 2, 0, 13, 3, 0, 127, 3, 0, 120}, {
           8, 1., 127}, {7, 2, 13}, {94, 264, 3, 0, 60, 2, 0, 13, 3, 0, 
           126}, {21, 127, 126, 127}, {24, 127, 126}, {8, 1., 127}, {7, 2, 
           13}, {94, 264, 3, 0, 61, 2, 0, 13, 3, 0, 123}, {21, 127, 123, 
           127}, {24, 127, 123}, {18, 120, 126, 123, 120}, {8, 0.5, 126}, {94,
            264, 3, 0, 120, 3, 0, 126, 4, 0, 6}, {94, 260, 2, 0, 15, 4, 0, 6, 
           4, 0, 5}, {8, 0., 120}, {16, 60, 120, 6}, {8, 0., 126}, {16, 121, 
           126, 7}, {22, 6, 7, 5, 6}, {8, 0., 121}, {16, 124, 121, 5}, {22, 5,
            6, 5}, {8, -1., 124}, {7, 1, 15}, {93, 42, 3, 0, 9, 2, 0, 13}, {
           15, 0, 15, 121}, {15, 0, 13, 120}, {94, 260, 3, 0, 121, 3, 0, 120, 
           3, 0, 126}, {7, 1, 15}, {7, 1, 13}, {7, 2, 12}, {94, 264, 3, 0, 9, 
           2, 0, 12, 3, 0, 121}, {94, 260, 2, 0, 13, 3, 0, 121, 3, 0, 120}, {
           8, 1., 121}, {7, 2, 13}, {94, 264, 3, 0, 60, 2, 0, 13, 3, 0, 
           123}, {21, 121, 123, 121}, {24, 121, 123}, {8, 1., 121}, {7, 2, 
           13}, {94, 264, 3, 0, 61, 2, 0, 13, 3, 0, 127}, {21, 121, 127, 
           121}, {24, 121, 127}, {18, 120, 123, 127, 120}, {8, 0.5, 123}, {94,
            264, 3, 0, 120, 3, 0, 123, 4, 0, 6}, {94, 260, 2, 0, 15, 4, 0, 6, 
           4, 0, 7}, {8, 0., 120}, {16, 61, 120, 6}, {8, 0., 123}, {16, 126, 
           123, 4}, {22, 6, 4, 7, 6}, {8, 0., 126}, {16, 124, 126, 7}, {22, 7,
            6, 7}, {8, 0., 124}, {16, 125, 124, 6}, {67, 6, 5, 7, 4, 56}, {7, 
           1, 15}, {93, 42, 3, 0, 9, 2, 0, 13}, {15, 0, 15, 125}, {15, 0, 13, 
           124}, {94, 260, 3, 0, 125, 3, 0, 124, 3, 0, 126}, {7, 1, 15}, {7, 
           1, 13}, {7, 2, 12}, {94, 264, 3, 0, 9, 2, 0, 12, 3, 0, 125}, {94, 
           260, 2, 0, 13, 3, 0, 125, 3, 0, 124}, {8, 1., 125}, {7, 2, 13}, {
           94, 264, 3, 0, 60, 2, 0, 13, 3, 0, 120}, {21, 125, 120, 125}, {24, 
           125, 120}, {8, 1., 125}, {7, 2, 13}, {94, 264, 3, 0, 61, 2, 0, 13, 
           3, 0, 123}, {21, 125, 123, 125}, {24, 125, 123}, {18, 124, 120, 
           123, 124}, {8, 0.5, 120}, {94, 264, 3, 0, 124, 3, 0, 120, 4, 0, 
           5}, {94, 260, 2, 0, 15, 4, 0, 5, 4, 0, 7}, {8, 0., 124}, {16, 60, 
           124, 5}, {8, 0., 120}, {16, 126, 120, 6}, {22, 5, 6, 7, 5}, {
           8, 1., 126}, {8, 0., 124}, {8, 0., 120}, {16, 126, 120, 7}, {
           8, 0., 123}, {16, 124, 123, 6}, {67, 5, 7, 6, 4, 72}, {7, 1, 15}, {
           93, 42, 3, 0, 9, 2, 0, 13}, {15, 0, 15, 126}, {15, 0, 13, 124}, {
           94, 260, 3, 0, 126, 3, 0, 124, 3, 0, 120}, {7, 1, 15}, {7, 1, 
           13}, {7, 2, 12}, {94, 264, 3, 0, 9, 2, 0, 12, 3, 0, 126}, {94, 260,
            2, 0, 13, 3, 0, 126, 3, 0, 124}, {8, 1., 126}, {7, 2, 13}, {94, 
           264, 3, 0, 60, 2, 0, 13, 3, 0, 123}, {21, 126, 123, 126}, {24, 126,
            123}, {8, 1., 126}, {7, 2, 13}, {94, 264, 3, 0, 61, 2, 0, 13, 3, 
           0, 125}, {21, 126, 125, 126}, {24, 126, 125}, {18, 124, 123, 125, 
           124}, {8, 0.5, 123}, {94, 264, 3, 0, 124, 3, 0, 123, 4, 0, 5}, {94,
            260, 2, 0, 15, 4, 0, 5, 4, 0, 7}, {8, 0., 124}, {16, 61, 124, 
           5}, {8, 0., 123}, {16, 120, 123, 6}, {22, 5, 6, 7, 5}, {
           8, 0., 120}, {8, 1., 124}, {8, 0., 123}, {16, 120, 123, 7}, {
           8, 0., 125}, {16, 124, 125, 6}, {67, 5, 7, 6, 4, 65}, {68, 56, 72, 
           65, 58}, {93, 40, 4, 2, 58, 3, 2, 56}, {94, 273, 3, 0, 122, 3, 2, 
           56, 3, 2, 58}, {46, 58, 44}, {44, 44, 12}, {7, -1, 10}, {64, 12, 
           10, 3, 65}, {7, 0, 5}, {11, 5, 18}, {4, 274}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 3, 0, 
           124, 3, 0, 120}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 
           124}, {93, 2, 3, 0, 124, 3, 0, 123}, {7, 2, 5}, {94, 264, 3, 0, 
           123, 2, 0, 5, 3, 0, 124}, {8, 0.017453292519943295`, 123}, {21, 
           123, 4, 123}, {93, 1, 3, 0, 123, 3, 0, 125}, {7, 2, 5}, {94, 264, 
           3, 0, 125, 2, 0, 5, 3, 0, 123}, {18, 124, 123, 124}, {21, 120, 124,
            120}, {7, 1, 5}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 
           124}, {93, 2, 3, 0, 124, 3, 0, 123}, {7, 2, 20}, {94, 264, 3, 0, 
           123, 2, 0, 20, 3, 0, 124}, {8, 0.017453292519943295`, 123}, {21, 
           123, 4, 123}, {93, 2, 3, 0, 123, 3, 0, 125}, {7, 2, 20}, {94, 264, 
           3, 0, 125, 2, 0, 20, 3, 0, 123}, {8, 0.017453292519943295`, 125}, {
           21, 125, 4, 125}, {93, 1, 3, 0, 125, 3, 0, 122}, {7, 2, 20}, {94, 
           264, 3, 0, 122, 2, 0, 20, 3, 0, 125}, {18, 123, 125, 123}, {21, 
           124, 123, 124}, {8, 0.017453292519943295`, 123}, {21, 123, 4, 
           123}, {93, 1, 3, 0, 123, 3, 0, 125}, {7, 2, 20}, {94, 264, 3, 0, 
           125, 2, 0, 20, 3, 0, 123}, {8, 0.017453292519943295`, 125}, {21, 
           125, 4, 125}, {93, 2, 3, 0, 125, 3, 0, 122}, {7, 2, 20}, {94, 264, 
           3, 0, 122, 2, 0, 20, 3, 0, 125}, {8, 0.017453292519943295`, 122}, {
           21, 122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 126}, {7, 2, 20}, {94, 
           264, 3, 0, 126, 2, 0, 20, 3, 0, 122}, {18, 125, 122, 125}, {21, 
           123, 125, 123}, {18, 124, 123, 124}, {94, 260, 2, 0, 5, 3, 0, 124, 
           3, 0, 123}, {21, 120, 123, 120}, {8, -1., 123}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 1, 3, 0, 
           124, 3, 0, 125}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 
           124}, {93, 2, 3, 0, 124, 3, 0, 122}, {7, 2, 5}, {94, 264, 3, 0, 
           122, 2, 0, 5, 3, 0, 124}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 126}, {7, 2, 5}, {94, 264, 
           3, 0, 126, 2, 0, 5, 3, 0, 122}, {18, 124, 122, 124}, {21, 123, 125,
            124, 123}, {7, 1, 5}, {8, 0.017453292519943295`, 125}, {21, 125, 
           4, 125}, {93, 2, 3, 0, 125, 3, 0, 124}, {7, 2, 20}, {94, 264, 3, 0,
            124, 2, 0, 20, 3, 0, 125}, {8, 0.017453292519943295`, 124}, {21, 
           124, 4, 124}, {93, 2, 3, 0, 124, 3, 0, 122}, {7, 2, 20}, {94, 264, 
           3, 0, 122, 2, 0, 20, 3, 0, 124}, {8, 0.017453292519943295`, 122}, {
           21, 122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 126}, {7, 2, 20}, {94, 
           264, 3, 0, 126, 2, 0, 20, 3, 0, 122}, {18, 124, 122, 124}, {21, 
           125, 124, 125}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 
           124}, {93, 1, 3, 0, 124, 3, 0, 122}, {7, 2, 20}, {94, 264, 3, 0, 
           122, 2, 0, 20, 3, 0, 124}, {8, 0.017453292519943295`, 122}, {21, 
           122, 4, 122}, {93, 2, 3, 0, 122, 3, 0, 126}, {7, 2, 20}, {94, 264, 
           3, 0, 126, 2, 0, 20, 3, 0, 122}, {8, 0.017453292519943295`, 126}, {
           21, 126, 4, 126}, {93, 1, 3, 0, 126, 3, 0, 127}, {7, 2, 20}, {94, 
           264, 3, 0, 127, 2, 0, 20, 3, 0, 126}, {18, 122, 126, 122}, {21, 
           124, 122, 124}, {18, 125, 124, 125}, {94, 260, 2, 0, 5, 3, 0, 125, 
           3, 0, 124}, {21, 123, 124, 123}, {8, 0., 124}, {67, 120, 123, 124, 
           3, 58}, {8, 0.017453292519943295`, 120}, {21, 120, 4, 120}, {93, 1,
            3, 0, 120, 3, 0, 123}, {8, 0.017453292519943295`, 120}, {21, 120, 
           4, 120}, {93, 2, 3, 0, 120, 3, 0, 124}, {7, 2, 5}, {94, 264, 3, 0, 
           124, 2, 0, 5, 3, 0, 120}, {8, 0.017453292519943295`, 124}, {21, 
           124, 4, 124}, {93, 1, 3, 0, 124, 3, 0, 125}, {7, 2, 5}, {94, 264, 
           3, 0, 125, 2, 0, 5, 3, 0, 124}, {18, 120, 124, 120}, {21, 123, 120,
            123}, {7, 1, 5}, {8, 0.017453292519943295`, 120}, {21, 120, 4, 
           120}, {93, 2, 3, 0, 120, 3, 0, 124}, {7, 2, 20}, {94, 264, 3, 0, 
           124, 2, 0, 20, 3, 0, 120}, {8, 0.017453292519943295`, 124}, {21, 
           124, 4, 124}, {93, 2, 3, 0, 124, 3, 0, 125}, {7, 2, 20}, {94, 264, 
           3, 0, 125, 2, 0, 20, 3, 0, 124}, {8, 0.017453292519943295`, 125}, {
           21, 125, 4, 125}, {93, 1, 3, 0, 125, 3, 0, 122}, {7, 2, 20}, {94, 
           264, 3, 0, 122, 2, 0, 20, 3, 0, 125}, {18, 124, 125, 124}, {21, 
           120, 124, 120}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 
           124}, {93, 1, 3, 0, 124, 3, 0, 125}, {7, 2, 20}, {94, 264, 3, 0, 
           125, 2, 0, 20, 3, 0, 124}, {8, 0.017453292519943295`, 125}, {21, 
           125, 4, 125}, {93, 2, 3, 0, 125, 3, 0, 122}, {7, 2, 20}, {94, 264, 
           3, 0, 122, 2, 0, 20, 3, 0, 125}, {8, 0.017453292519943295`, 122}, {
           21, 122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 126}, {7, 2, 20}, {94, 
           264, 3, 0, 126, 2, 0, 20, 3, 0, 122}, {18, 125, 122, 125}, {21, 
           124, 125, 124}, {18, 120, 124, 120}, {94, 260, 2, 0, 5, 3, 0, 120, 
           3, 0, 124}, {21, 123, 124, 123}, {8, 0.017453292519943295`, 124}, {
           21, 124, 4, 124}, {93, 2, 3, 0, 124, 3, 0, 120}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 3, 0, 
           124, 3, 0, 125}, {7, 2, 5}, {94, 264, 3, 0, 125, 2, 0, 5, 3, 0, 
           124}, {8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 1, 
           3, 0, 125, 3, 0, 122}, {7, 2, 5}, {94, 264, 3, 0, 122, 2, 0, 5, 3, 
           0, 125}, {18, 124, 125, 124}, {21, 120, 124, 120}, {7, 1, 5}, {
           8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 3, 0, 
           124, 3, 0, 125}, {7, 2, 20}, {94, 264, 3, 0, 125, 2, 0, 20, 3, 0, 
           124}, {8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 2, 
           3, 0, 125, 3, 0, 122}, {7, 2, 20}, {94, 264, 3, 0, 122, 2, 0, 20, 
           3, 0, 125}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {
           93, 1, 3, 0, 122, 3, 0, 126}, {7, 2, 20}, {94, 264, 3, 0, 126, 2, 
           0, 20, 3, 0, 122}, {18, 125, 122, 125}, {21, 124, 125, 124}, {
           8, 0.017453292519943295`, 125}, {21, 125, 4, 125}, {93, 1, 3, 0, 
           125, 3, 0, 122}, {7, 2, 20}, {94, 264, 3, 0, 122, 2, 0, 20, 3, 0, 
           125}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 2, 
           3, 0, 122, 3, 0, 126}, {7, 2, 20}, {94, 264, 3, 0, 126, 2, 0, 20, 
           3, 0, 122}, {8, 0.017453292519943295`, 126}, {21, 126, 4, 126}, {
           93, 1, 3, 0, 126, 3, 0, 127}, {7, 2, 20}, {94, 264, 3, 0, 127, 2, 
           0, 20, 3, 0, 126}, {18, 122, 126, 122}, {21, 125, 122, 125}, {18, 
           124, 125, 124}, {94, 260, 2, 0, 5, 3, 0, 124, 3, 0, 125}, {21, 120,
            125, 120}, {8, 0., 125}, {67, 123, 120, 125, 3, 72}, {
           8, 0., 123}, {8, 0., 120}, {8, 0.017453292519943295`, 125}, {21, 
           125, 4, 125}, {93, 2, 3, 0, 125, 3, 0, 124}, {7, 2, 5}, {94, 264, 
           3, 0, 124, 2, 0, 5, 3, 0, 125}, {8, 0.017453292519943295`, 124}, {
           21, 124, 4, 124}, {93, 1, 3, 0, 124, 3, 0, 122}, {7, 2, 5}, {94, 
           264, 3, 0, 122, 2, 0, 5, 3, 0, 124}, {18, 125, 124, 125}, {7, 1, 
           5}, {8, 0.017453292519943295`, 124}, {21, 124, 4, 124}, {93, 2, 3, 
           0, 124, 3, 0, 122}, {7, 2, 20}, {94, 264, 3, 0, 122, 2, 0, 20, 3, 
           0, 124}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 
           2, 3, 0, 122, 3, 0, 126}, {7, 2, 20}, {94, 264, 3, 0, 126, 2, 0, 
           20, 3, 0, 122}, {8, 0.017453292519943295`, 126}, {21, 126, 4, 
           126}, {93, 1, 3, 0, 126, 3, 0, 127}, {7, 2, 20}, {94, 264, 3, 0, 
           127, 2, 0, 20, 3, 0, 126}, {18, 122, 126, 122}, {21, 124, 122, 
           124}, {8, 0.017453292519943295`, 122}, {21, 122, 4, 122}, {93, 1, 
           3, 0, 122, 3, 0, 126}, {7, 2, 20}, {94, 264, 3, 0, 126, 2, 0, 20, 
           3, 0, 122}, {8, 0.017453292519943295`, 126}, {21, 126, 4, 126}, {
           93, 2, 3, 0, 126, 3, 0, 127}, {7, 2, 20}, {94, 264, 3, 0, 127, 2, 
           0, 20, 3, 0, 126}, {8, 0.017453292519943295`, 127}, {21, 127, 4, 
           127}, {93, 1, 3, 0, 127, 3, 0, 121}, {7, 2, 20}, {94, 264, 3, 0, 
           121, 2, 0, 20, 3, 0, 127}, {18, 126, 127, 126}, {21, 122, 126, 
           122}, {18, 124, 122, 124}, {94, 260, 2, 0, 5, 3, 0, 124, 3, 0, 
           122}, {21, 125, 122, 125}, {67, 123, 120, 125, 3, 55}, {68, 58, 72,
            55, 59}, {70, 44, 0, 18, 1, 58}, {91, 59, 58, 72}, {66, 10, 72, 
           65}, {5, 18, 12, -273}, {46, 65, 19}, {44, 19, 13}, {7, -1, 12}, {
           64, 13, 12, 3, 65}, {7, 0, 5}, {11, 5, 10}, {4, 10}, {70, 19, 0, 
           10, 1, 72}, {7, 1, 5}, {70, 19, 0, 10, 1, 59}, {70, 19, 0, 10, 1, 
           58}, {91, 59, 58, 123}, {93, 55, 3, 0, 123, 3, 0, 120}, {94, 260, 
           2, 0, 5, 3, 0, 120, 3, 0, 123}, {94, 273, 3, 0, 123, 3, 1, 72, 3, 
           1, 59}, {66, 12, 59, 65}, {5, 10, 13, -9}, {46, 65, 44}, {
           8, 0.017453292519943295`, 123}, {21, 123, 4, 123}, {93, 2, 3, 0, 
           123, 3, 0, 120}, {8, 0.017453292519943295`, 123}, {21, 123, 4, 
           123}, {93, 1, 3, 0, 123, 3, 0, 125}, {8, 0., 123}, {67, 120, 125, 
           123, 3, 65}, {8, -1., 120}, {8, 0.017453292519943295`, 125}, {21, 
           125, 4, 125}, {93, 1, 3, 0, 125, 3, 0, 123}, {21, 120, 123, 120}, {
           8, 0.017453292519943295`, 123}, {21, 123, 4, 123}, {93, 2, 3, 0, 
           123, 3, 0, 125}, {8, 0., 123}, {67, 120, 125, 123, 3, 56}, {
           8, 0., 120}, {8, 0., 125}, {8, 0.017453292519943295`, 123}, {21, 
           123, 4, 123}, {93, 2, 3, 0, 123, 3, 0, 122}, {7, 2, 10}, {94, 264, 
           3, 0, 122, 2, 0, 10, 3, 0, 123}, {8, 0.017453292519943295`, 122}, {
           21, 122, 4, 122}, {93, 1, 3, 0, 122, 3, 0, 124}, {7, 2, 10}, {94, 
           264, 3, 0, 124, 2, 0, 10, 3, 0, 122}, {18, 123, 122, 123}, {67, 
           120, 125, 123, 3, 59}, {68, 65, 56, 59, 72}, {46, 72, 42}, {
           8, 0.017453292519943295`, 120}, {21, 120, 4, 120}, {93, 2, 3, 0, 
           120, 3, 0, 125}, {21, 12, 125, 120}, {18, 14, 120, 125}, {
           8, 0.017453292519943295`, 120}, {21, 120, 4, 120}, {93, 1, 3, 0, 
           120, 3, 0, 123}, {21, 12, 123, 120}, {18, 16, 120, 123}, {
           8, 0., 120}, {67, 125, 123, 120, 3, 72}, {46, 72, 43}, {
           8, -1., 125}, {12, 125, 18}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           72}, {46, 72, 15}, {12, 40, 24}, {12, 43, 94}, {12, 42, 93}, {67, 
           70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 28, 34, 47, 48, 49, 3, 72}, {46, 72, 31}, {7, 1, 10}, {70, 44,
            0, 10, 1, 72}, {7, 1, 10}, {70, 44, 0, 10, 1, 65}, {67, 50, 51, 
           52, 3, 56}, {91, 65, 56, 125}, {93, 42, 3, 0, 125, 2, 0, 10}, {94, 
           273, 2, 0, 10, 3, 1, 72, 3, 1, 65}, {46, 65, 53}, {67, 50, 51, 52, 
           3, 65}, {91, 53, 65, 125}, {12, 125, 65}, {7, 1, 10}, {7, 2, 18}, {
           94, 264, 3, 0, 65, 2, 0, 18, 3, 0, 125}, {24, 125, 123}, {15, 0, 
           10, 125}, {18, 125, 123, 125}, {12, 125, 64}, {
           8, 2.220446049250313*^-16, 125}, {37, 64, 125, 16}, {3, 16, 4}, {
           8, 0., 125}, {12, 125, 64}, {4, 3}, {93, 55, 3, 0, 64, 3, 0, 
           125}, {12, 125, 64}, {67, 50, 51, 52, 3, 65}, {94, 273, 3, 0, 65, 
           3, 1, 53, 3, 1, 72}, {93, 41, 3, 1, 72, 3, 1, 56}, {51, 65, 56, 
           65}, {46, 65, 51}, {93, 36, 3, 0, 64, 3, 0, 125}, {
           8, 1.*^-7, 123}, {37, 125, 123, 16}, {3, 16, 5}, {7, 2, 10}, {70, 
           44, 0, 10, 1, 65}, {46, 65, 51}, {4, 5}, {7, 1, 10}, {94, 260, 2, 
           0, 10, 3, 0, 64, 3, 0, 125}, {94, 273, 3, 0, 125, 3, 1, 51, 3, 1, 
           65}, {46, 65, 51}, {7, 3, 10}, {70, 53, 0, 10, 0, 125}, {7, 2, 
           10}, {70, 51, 0, 10, 0, 123}, {21, 125, 123, 125}, {24, 125, 
           123}, {7, 2, 10}, {70, 53, 0, 10, 0, 125}, {7, 3, 10}, {70, 51, 0, 
           10, 0, 120}, {21, 125, 120, 125}, {18, 123, 125, 123}, {7, 3, 
           10}, {70, 53, 0, 10, 0, 125}, {7, 1, 10}, {70, 51, 0, 10, 0, 
           120}, {21, 125, 120, 125}, {7, 1, 10}, {70, 53, 0, 10, 0, 120}, {7,
            3, 10}, {70, 51, 0, 10, 0, 122}, {21, 120, 122, 120}, {24, 120, 
           122}, {18, 125, 122, 125}, {7, 2, 10}, {70, 53, 0, 10, 0, 122}, {7,
            1, 10}, {70, 51, 0, 10, 0, 120}, {21, 122, 120, 122}, {24, 122, 
           120}, {7, 1, 10}, {70, 53, 0, 10, 0, 122}, {7, 2, 10}, {70, 51, 0, 
           10, 0, 124}, {21, 122, 124, 122}, {18, 120, 122, 120}, {67, 123, 
           125, 120, 3, 56}, {46, 56, 52}, {7, 1, 10}, {91, 52, 52, 123}, {93,
            55, 3, 0, 123, 3, 0, 125}, {94, 260, 2, 0, 10, 3, 0, 125, 3, 0, 
           123}, {94, 273, 3, 0, 123, 3, 1, 52, 3, 1, 56}, {46, 56, 52}, {67, 
           50, 51, 52, 3, 56}, {91, 56, 51, 123}, {94, 273, 3, 0, 123, 3, 1, 
           53, 3, 1, 56}, {67, 50, 51, 52, 3, 72}, {91, 72, 53, 123}, {94, 
           273, 3, 0, 123, 3, 1, 51, 3, 1, 72}, {93, 41, 3, 1, 72, 3, 1, 
           59}, {51, 56, 59, 56}, {46, 56, 36}, {7, 1, 10}, {91, 36, 36, 
           123}, {93, 55, 3, 0, 123, 3, 0, 125}, {94, 260, 2, 0, 10, 3, 0, 
           125, 3, 0, 123}, {94, 273, 3, 0, 123, 3, 1, 36, 3, 1, 56}, {46, 56,
            36}, {67, 47, 48, 49, 3, 56}, {45, {1, 2}, 2, 2, 59}, {70, 56, 1, 
           59, 1, 72}, {46, 72, 30}, {7, 1, 10}, {91, 30, 30, 123}, {93, 55, 
           3, 0, 123, 3, 0, 125}, {94, 260, 2, 0, 10, 3, 0, 125, 3, 0, 123}, {
           94, 273, 3, 0, 123, 3, 1, 30, 3, 1, 72}, {46, 72, 30}, {
           8, 0., 123}, {9, 0., 1., 5}, {8, 0., 125}, {16, 123, 125, 7}, {22, 
           7, 5, 7}, {8, 0., 123}, {9, 0., 1., 5}, {8, 0., 125}, {16, 123, 
           125, 6}, {22, 6, 5, 6}, {8, 0., 123}, {9, 0., 1., 5}, {
           8, 0., 125}, {16, 123, 125, 4}, {22, 4, 5, 4}, {67, 7, 6, 4, 4, 
           72}, {68, 72, 56}, {46, 56, 1}, {93, 55, 3, 0, 32, 3, 0, 123}, {7, 
           1, 10}, {70, 30, 0, 10, 0, 125}, {67, 53, 54, 55, 3, 56}, {94, 273,
            3, 0, 125, 3, 1, 56, 3, 1, 72}, {7, 2, 10}, {70, 30, 0, 10, 0, 
           125}, {67, 56, 57, 58, 3, 56}, {9, 0., 1., 7}, {
           8, 0.017453292519943295`, 120}, {8, 0., 122}, {16, 49, 122, 6}, {
           8, 0., 124}, {16, 120, 124, 4}, {22, 7, 6, 4, 7}, {93, 34, 4, 0, 7,
            4, 0, 6}, {94, 273, 3, 0, 125, 4, 0, 6, 4, 0, 7}, {94, 273, 4, 0, 
           7, 3, 1, 56, 4, 1, 59}, {48, 72, 56}, {51, 56, 59, 56}, {94, 273, 
           3, 0, 123, 4, 1, 56, 4, 1, 72}, {46, 72, 2}, {48, 52, 72}, {91, 2, 
           72, 6}, {13, 6, 2}, {48, 36, 72}, {91, 2, 72, 6}, {13, 6, 1}, {67, 
           50, 51, 52, 3, 72}, {91, 42, 72, 56}, {7, 1, 10}, {70, 56, 0, 10, 
           0, 123}, {21, 18, 123, 125}, {7, 0, 10}, {15, 0, 10, 123}, {37, 
           123, 125, 16}, {3, 16, 122}, {8, 2.2718929, 125}, {
           8, 0.010108077, 123}, {7, 2, 10}, {94, 264, 3, 0, 116, 2, 0, 10, 3,
            0, 120}, {21, 123, 120, 123}, {24, 123, 120}, {
           8, 0.010592509, 123}, {7, 1, 10}, {7, 2, 18}, {94, 264, 3, 0, 116, 
           2, 0, 18, 3, 0, 122}, {94, 260, 2, 0, 10, 3, 0, 122, 3, 0, 124}, {
           21, 123, 124, 123}, {8, 0.00020816965, 124}, {7, 1, 10}, {7, 4, 
           18}, {94, 264, 3, 0, 116, 2, 0, 18, 3, 0, 122}, {94, 260, 2, 0, 10,
            3, 0, 122, 3, 0, 126}, {21, 124, 126, 124}, {
           8, 7.6472538*^-6, 126}, {7, 1, 10}, {7, 6, 18}, {94, 264, 3, 0, 
           116, 2, 0, 18, 3, 0, 122}, {94, 260, 2, 0, 10, 3, 0, 122, 3, 0, 
           127}, {21, 126, 127, 126}, {24, 126, 127}, {
           8, 4.9240991*^-7, 126}, {7, 1, 10}, {7, 8, 18}, {94, 264, 3, 0, 
           116, 2, 0, 18, 3, 0, 122}, {94, 260, 2, 0, 10, 3, 0, 122, 3, 0, 
           121}, {21, 126, 121, 126}, {18, 125, 120, 123, 124, 127, 126, 
           125}, {93, 55, 3, 0, 125, 3, 0, 120}, {12, 120, 31}, {12, 29, 
           30}, {24, 30, 120}, {18, 31, 120, 125}, {93, 36, 3, 0, 125, 3, 0, 
           120}, {8, 0.01, 125}, {37, 120, 125, 17}, {3, 17, 47}, {
           8, 1.0005281111748805`, 120}, {8, 2.364805676582992*^-10, 125}, {7,
            2, 10}, {94, 264, 3, 0, 116, 2, 0, 10, 3, 0, 123}, {21, 125, 123, 
           125}, {24, 125, 123}, {8, 2.9781670902982902`*^-6, 125}, {7, 1, 
           10}, {7, 2, 18}, {94, 264, 3, 0, 116, 2, 0, 18, 3, 0, 124}, {94, 
           260, 2, 0, 10, 3, 0, 124, 3, 0, 127}, {21, 125, 127, 125}, {
           8, 2.6004099469477187`*^-8, 127}, {7, 1, 10}, {7, 4, 18}, {94, 264,
            3, 0, 116, 2, 0, 18, 3, 0, 124}, {94, 260, 2, 0, 10, 3, 0, 124, 3,
            0, 126}, {21, 127, 126, 127}, {
           8, 3.7787839314048715`*^-10, 126}, {7, 1, 10}, {7, 6, 18}, {94, 
           264, 3, 0, 116, 2, 0, 18, 3, 0, 124}, {94, 260, 2, 0, 10, 3, 0, 
           124, 3, 0, 121}, {21, 126, 121, 126}, {
           8, 2.830549017940716*^-12, 121}, {7, 1, 10}, {7, 8, 18}, {94, 264, 
           3, 0, 116, 2, 0, 18, 3, 0, 124}, {94, 260, 2, 0, 10, 3, 0, 124, 3, 
           0, 122}, {21, 121, 122, 121}, {18, 120, 123, 125, 127, 126, 121, 
           120}, {93, 55, 3, 0, 120, 3, 0, 123}, {12, 123, 19}, {24, 30, 
           123}, {18, 19, 123, 120}, {93, 36, 3, 0, 120, 3, 0, 123}, {24, 30, 
           120}, {18, 31, 120, 125}, {93, 36, 3, 0, 125, 3, 0, 120}, {37, 120,
            123, 15}, {3, 15, 4}, {12, 31, 30}, {12, 19, 31}, {4, 2}, {12, 19,
            30}, {4, 34}, {8, 1.0005281111748805`, 123}, {
           8, 2.364805676582992*^-10, 120}, {7, 2, 10}, {94, 264, 3, 0, 116, 
           2, 0, 10, 3, 0, 125}, {21, 120, 125, 120}, {24, 120, 125}, {
           8, 2.9781670902982902`*^-6, 120}, {7, 1, 10}, {7, 2, 18}, {94, 264,
            3, 0, 116, 2, 0, 18, 3, 0, 127}, {94, 260, 2, 0, 10, 3, 0, 127, 3,
            0, 126}, {21, 120, 126, 120}, {8, 2.6004099469477187`*^-8, 126}, {
           7, 1, 10}, {7, 4, 18}, {94, 264, 3, 0, 116, 2, 0, 18, 3, 0, 127}, {
           94, 260, 2, 0, 10, 3, 0, 127, 3, 0, 121}, {21, 126, 121, 126}, {
           8, 3.7787839314048715`*^-10, 121}, {7, 1, 10}, {7, 6, 18}, {94, 
           264, 3, 0, 116, 2, 0, 18, 3, 0, 127}, {94, 260, 2, 0, 10, 3, 0, 
           127, 3, 0, 122}, {21, 121, 122, 121}, {
           8, 2.830549017940716*^-12, 122}, {7, 1, 10}, {7, 8, 18}, {94, 264, 
           3, 0, 116, 2, 0, 18, 3, 0, 127}, {94, 260, 2, 0, 10, 3, 0, 127, 3, 
           0, 124}, {21, 122, 124, 122}, {18, 123, 125, 120, 126, 121, 122, 
           123}, {93, 55, 3, 0, 123, 3, 0, 125}, {12, 125, 30}, {4, 122}, {
           8, 1.0005281111748805`, 125}, {8, 2.364805676582992*^-10, 123}, {7,
            2, 10}, {94, 264, 3, 0, 116, 2, 0, 10, 3, 0, 120}, {21, 123, 120, 
           123}, {24, 123, 120}, {8, 2.9781670902982902`*^-6, 123}, {7, 1, 
           10}, {7, 2, 18}, {94, 264, 3, 0, 116, 2, 0, 18, 3, 0, 126}, {94, 
           260, 2, 0, 10, 3, 0, 126, 3, 0, 121}, {21, 123, 121, 123}, {
           8, 2.6004099469477187`*^-8, 121}, {7, 1, 10}, {7, 4, 18}, {94, 264,
            3, 0, 116, 2, 0, 18, 3, 0, 126}, {94, 260, 2, 0, 10, 3, 0, 126, 3,
            0, 122}, {21, 121, 122, 121}, {
           8, 3.7787839314048715`*^-10, 122}, {7, 1, 10}, {7, 6, 18}, {94, 
           264, 3, 0, 116, 2, 0, 18, 3, 0, 126}, {94, 260, 2, 0, 10, 3, 0, 
           126, 3, 0, 124}, {21, 122, 124, 122}, {
           8, 2.830549017940716*^-12, 124}, {7, 1, 10}, {7, 8, 18}, {94, 264, 
           3, 0, 116, 2, 0, 18, 3, 0, 126}, {94, 260, 2, 0, 10, 3, 0, 126, 3, 
           0, 127}, {21, 124, 127, 124}, {18, 125, 120, 123, 121, 122, 124, 
           125}, {93, 55, 3, 0, 125, 3, 0, 120}, {12, 120, 31}, {12, 29, 
           30}, {24, 30, 120}, {18, 31, 120, 125}, {93, 36, 3, 0, 125, 3, 0, 
           120}, {8, 0.01, 125}, {37, 120, 125, 17}, {3, 17, 48}, {
           8, 2.2718929, 120}, {8, 0.010108077, 125}, {7, 2, 10}, {94, 264, 3,
            0, 116, 2, 0, 10, 3, 0, 123}, {21, 125, 123, 125}, {24, 125, 
           123}, {8, 0.010592509, 125}, {7, 1, 10}, {7, 2, 18}, {94, 264, 3, 
           0, 116, 2, 0, 18, 3, 0, 121}, {94, 260, 2, 0, 10, 3, 0, 121, 3, 0, 
           122}, {21, 125, 122, 125}, {8, 0.00020816965, 122}, {7, 1, 10}, {7,
            4, 18}, {94, 264, 3, 0, 116, 2, 0, 18, 3, 0, 121}, {94, 260, 2, 0,
            10, 3, 0, 121, 3, 0, 124}, {21, 122, 124, 122}, {
           8, 7.6472538*^-6, 124}, {7, 1, 10}, {7, 6, 18}, {94, 264, 3, 0, 
           116, 2, 0, 18, 3, 0, 121}, {94, 260, 2, 0, 10, 3, 0, 121, 3, 0, 
           127}, {21, 124, 127, 124}, {24, 124, 127}, {
           8, 4.9240991*^-7, 124}, {7, 1, 10}, {7, 8, 18}, {94, 264, 3, 0, 
           116, 2, 0, 18, 3, 0, 121}, {94, 260, 2, 0, 10, 3, 0, 121, 3, 0, 
           126}, {21, 124, 126, 124}, {18, 120, 123, 125, 122, 127, 124, 
           120}, {93, 55, 3, 0, 120, 3, 0, 123}, {12, 123, 19}, {24, 30, 
           123}, {18, 19, 123, 120}, {93, 36, 3, 0, 120, 3, 0, 123}, {24, 30, 
           120}, {18, 31, 120, 125}, {93, 36, 3, 0, 125, 3, 0, 120}, {37, 120,
            123, 15}, {3, 15, 4}, {12, 31, 30}, {12, 19, 31}, {4, 2}, {12, 19,
            30}, {4, 35}, {8, 2.2718929, 123}, {8, 0.010108077, 120}, {7, 2, 
           10}, {94, 264, 3, 0, 116, 2, 0, 10, 3, 0, 125}, {21, 120, 125, 
           120}, {24, 120, 125}, {8, 0.010592509, 120}, {7, 1, 10}, {7, 2, 
           18}, {94, 264, 3, 0, 116, 2, 0, 18, 3, 0, 122}, {94, 260, 2, 0, 10,
            3, 0, 122, 3, 0, 127}, {21, 120, 127, 120}, {
           8, 0.00020816965, 127}, {7, 1, 10}, {7, 4, 18}, {94, 264, 3, 0, 
           116, 2, 0, 18, 3, 0, 122}, {94, 260, 2, 0, 10, 3, 0, 122, 3, 0, 
           124}, {21, 127, 124, 127}, {8, 7.6472538*^-6, 124}, {7, 1, 10}, {7,
            6, 18}, {94, 264, 3, 0, 116, 2, 0, 18, 3, 0, 122}, {94, 260, 2, 0,
            10, 3, 0, 122, 3, 0, 126}, {21, 124, 126, 124}, {24, 124, 126}, {
           8, 4.9240991*^-7, 124}, {7, 1, 10}, {7, 8, 18}, {94, 264, 3, 0, 
           116, 2, 0, 18, 3, 0, 122}, {94, 260, 2, 0, 10, 3, 0, 122, 3, 0, 
           121}, {21, 124, 121, 124}, {18, 123, 125, 120, 127, 126, 124, 
           123}, {93, 55, 3, 0, 123, 3, 0, 125}, {12, 125, 30}, {7, 1, 10}, {
           94, 260, 2, 0, 10, 3, 0, 31, 3, 0, 125}, {21, 30, 125, 123}, {12, 
           123, 39}, {12, 31, 29}, {7, 1, 10}, {7, 2, 18}, {94, 264, 3, 0, 39,
            2, 0, 18, 3, 0, 123}, {7, 2, 18}, {94, 264, 3, 0, 64, 2, 0, 18, 3,
            0, 125}, {21, 123, 125, 123}, {24, 123, 125}, {15, 0, 10, 123}, {
           18, 123, 125, 123}, {8, 0., 125}, {39, 125, 123, 16}, {3, 16, 
           31}, {67, 50, 51, 52, 3, 56}, {94, 273, 3, 0, 39, 3, 1, 56, 3, 1, 
           72}, {21, 39, 65, 123}, {24, 123, 125}, {7, 1, 10}, {7, 2, 18}, {
           94, 264, 3, 0, 39, 2, 0, 18, 3, 0, 123}, {7, 2, 18}, {94, 264, 3, 
           0, 64, 2, 0, 18, 3, 0, 120}, {21, 123, 120, 123}, {24, 123, 120}, {
           15, 0, 10, 123}, {18, 123, 120, 123}, {93, 55, 3, 0, 123, 3, 0, 
           120}, {18, 125, 120, 125}, {94, 273, 3, 0, 125, 3, 1, 53, 3, 1, 
           56}, {51, 72, 56, 72}, {46, 72, 21}, {46, 21, 72}, {7, 1, 10}, {70,
            72, 0, 10, 0, 125}, {12, 125, 50}, {7, 2, 10}, {70, 72, 0, 10, 0, 
           125}, {12, 125, 51}, {7, 3, 10}, {70, 72, 0, 10, 0, 125}, {12, 125,
            52}, {67, 50, 51, 52, 3, 56}, {4, 51}, {67, 50, 51, 52, 3, 72}, {
           7, 1, 10}, {70, 44, 0, 10, 1, 59}, {91, 72, 59, 125}, {7, 0, 10}, {
           15, 0, 10, 120}, {37, 120, 125, 17}, {3, 17, 5}, {8, 0.5, 125}, {
           18, 46, 125, 120}, {12, 120, 46}, {4, 1}, {12, 30, 31}, {12, 30, 
           29}, {67, 50, 51, 52, 3, 72}, {7, 2, 10}, {67, 50, 51, 52, 3, 
           59}, {91, 53, 59, 120}, {94, 273, 2, 0, 10, 3, 0, 120, 3, 0, 
           125}, {94, 273, 3, 0, 125, 3, 1, 53, 3, 1, 59}, {93, 41, 3, 1, 59, 
           3, 1, 58}, {51, 72, 58, 72}, {46, 72, 21}, {46, 21, 72}, {7, 1, 
           10}, {70, 72, 0, 10, 0, 120}, {12, 120, 50}, {7, 2, 10}, {70, 72, 
           0, 10, 0, 120}, {12, 120, 51}, {7, 3, 10}, {70, 72, 0, 10, 0, 
           120}, {12, 120, 52}, {67, 50, 51, 52, 3, 58}, {67, 47, 48, 49, 3, 
           72}, {45, {0, 0, -180}, 2, 3, 59}, {47, 0, 59, 55}, {51, 72, 55, 
           72}, {46, 72, 21}, {46, 21, 72}, {7, 1, 10}, {70, 72, 0, 10, 0, 
           120}, {12, 120, 47}, {7, 2, 10}, {70, 72, 0, 10, 0, 120}, {12, 120,
            48}, {7, 3, 10}, {70, 72, 0, 10, 0, 120}, {12, 120, 49}, {67, 47, 
           48, 49, 3, 59}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 
           55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 
           87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 56}, {68, 56, 
           59}, {46, 59, 0}, {45, {7, 15}, 2, 2, 59}, {72, 31, 59, 1, 56}, {7,
            3, 10}, {67, 10, 2, 59}, {67, 10, 2, 72}, {79, 56, 59, 72, 55}, {
           46, 55, 33}, {7, 1, 10}, {70, 33, 0, 10, 1, 55}, {46, 55, 37}, {44,
            0, 15}, {7, -1, 14}, {7, 1, 13}, {64, 15, 13, 14, 3, 56}, {7, 0, 
           5}, {11, 5, 12}, {4, 258}, {70, 0, 0, 12, 1, 72}, {7, 1, 5}, {70, 
           72, 0, 5, 0, 123}, {12, 123, 70}, {7, 2, 5}, {70, 72, 0, 5, 0, 
           123}, {12, 123, 72}, {7, 3, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 
           74}, {7, 4, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 67}, {7, 5, 5}, {
           70, 72, 0, 5, 0, 123}, {12, 123, 68}, {7, 6, 5}, {70, 72, 0, 5, 0, 
           123}, {12, 123, 69}, {7, 7, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 
           50}, {7, 8, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 51}, {7, 9, 5}, {
           70, 72, 0, 5, 0, 123}, {12, 123, 52}, {7, 10, 5}, {70, 72, 0, 5, 0,
            123}, {12, 123, 53}, {7, 11, 5}, {70, 72, 0, 5, 0, 123}, {12, 123,
            54}, {7, 12, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 55}, {7, 13, 
           5}, {70, 72, 0, 5, 0, 123}, {12, 123, 56}, {7, 14, 5}, {70, 72, 0, 
           5, 0, 123}, {12, 123, 57}, {7, 15, 5}, {70, 72, 0, 5, 0, 123}, {12,
            123, 58}, {7, 16, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 116}, {7, 
           17, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 32}, {7, 18, 5}, {70, 72,
            0, 5, 0, 123}, {12, 123, 33}, {7, 19, 5}, {70, 72, 0, 5, 0, 
           123}, {12, 123, 59}, {7, 20, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 
           29}, {7, 21, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 45}, {7, 22, 
           5}, {70, 72, 0, 5, 0, 123}, {12, 123, 46}, {7, 23, 5}, {70, 72, 0, 
           5, 0, 123}, {12, 123, 24}, {7, 24, 5}, {70, 72, 0, 5, 0, 123}, {12,
            123, 94}, {7, 25, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 93}, {7, 
           26, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 60}, {7, 27, 5}, {70, 72,
            0, 5, 0, 123}, {12, 123, 61}, {7, 28, 5}, {70, 72, 0, 5, 0, 
           123}, {12, 123, 87}, {7, 29, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 
           26}, {7, 30, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 89}, {7, 31, 
           5}, {70, 72, 0, 5, 0, 123}, {12, 123, 90}, {7, 32, 5}, {70, 72, 0, 
           5, 0, 123}, {12, 123, 91}, {7, 33, 5}, {70, 72, 0, 5, 0, 123}, {12,
            123, 92}, {7, 34, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 63}, {7, 
           35, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 44}, {7, 36, 5}, {70, 72,
            0, 5, 0, 123}, {12, 123, 34}, {7, 37, 5}, {70, 72, 0, 5, 0, 
           123}, {12, 123, 47}, {7, 38, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 
           48}, {7, 39, 5}, {70, 72, 0, 5, 0, 123}, {12, 123, 49}, {67, 70, 
           72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 
           33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63,
            44, 34, 47, 48, 49, 3, 55}, {45, {1., 0., 0.}, 3, 3, 72}, {67, 50,
            51, 52, 3, 63}, {55, Cross, 3, 1, 72, 3, 1, 63, 3, 1, 74}, {46, 
           74, 64}, {91, 64, 64, 123}, {93, 55, 3, 0, 123, 3, 0, 120}, {12, 
           120, 20}, {8, 1.*^-10, 120}, {94, 270, 3, 0, 20, 3, 0, 120, 3, 0, 
           123}, {8, 0., 120}, {34, 123, 120, 0, 17}, {43, 17, 16}, {3, 16, 
           75}, {7, 1, 5}, {94, 260, 2, 0, 5, 3, 0, 20, 3, 0, 123}, {94, 273, 
           3, 0, 123, 3, 1, 64, 3, 1, 74}, {46, 74, 64}, {44, 64, 20}, {7, -1,
            17}, {64, 20, 17, 3, 72}, {7, 0, 21}, {11, 21, 9}, {4, 4}, {70, 
           64, 0, 9, 0, 123}, {94, 273, 3, 0, 123, 3, 1, 64, 3, 1, 63}, {66, 
           17, 63, 72}, {5, 9, 20, -3}, {46, 72, 3}, {8, 0., 123}, {7, 3, 
           9}, {70, 64, 0, 9, 0, 120}, {24, 120, 127}, {7, 2, 9}, {70, 64, 0, 
           9, 0, 120}, {67, 123, 127, 120, 3, 72}, {7, 3, 9}, {70, 64, 0, 9, 
           0, 123}, {8, 0., 127}, {7, 1, 9}, {70, 64, 0, 9, 0, 120}, {24, 120,
            125}, {67, 123, 127, 125, 3, 74}, {7, 2, 9}, {70, 64, 0, 9, 0, 
           123}, {24, 123, 127}, {7, 1, 9}, {70, 64, 0, 9, 0, 123}, {
           8, 0., 125}, {67, 127, 123, 125, 3, 63}, {68, 72, 74, 63, 75}, {46,
            75, 16}, {45, {1., 0., 0.}, 3, 3, 75}, {67, 50, 51, 52, 3, 72}, {
           91, 75, 72, 127}, {12, 127, 25}, {8, 1., 127}, {24, 25, 123}, {18, 
           127, 123, 127}, {8, 2.220446049250313*^-16, 123}, {37, 127, 123, 
           17}, {3, 17, 4}, {8, 1., 127}, {12, 127, 25}, {4, 1}, {7, 1, 9}, {
           7, 2, 5}, {94, 264, 3, 0, 25, 2, 0, 5, 3, 0, 127}, {24, 127, 
           123}, {15, 0, 9, 127}, {18, 127, 123, 127}, {12, 127, 88}, {
           8, 2.220446049250313*^-16, 127}, {37, 88, 127, 17}, {3, 17, 4}, {
           8, 0., 127}, {12, 127, 88}, {4, 3}, {93, 55, 3, 0, 88, 3, 0, 
           127}, {12, 127, 88}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 75}, {93, 
           41, 3, 2, 3, 3, 2, 72}, {51, 75, 72, 75}, {94, 273, 3, 0, 25, 3, 2,
            75, 3, 2, 72}, {94, 273, 3, 0, 88, 3, 2, 16, 3, 2, 75}, {51, 3, 
           72, 75, 74}, {46, 74, 63}, {4, 51}, {45, {1., 0., 0.}, 3, 3, 72}, {
           67, 50, 51, 52, 3, 75}, {91, 72, 75, 127}, {93, 42, 3, 0, 127, 2, 
           0, 9}, {7, 1, 5}, {33, 9, 5, 17}, {3, 17, 4}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 72}, {46, 
           72, 63}, {4, 3}, {
           45, {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 1.}}, 3, 3, 3, 75}, {
           46, 75, 63}, {7, 1, 9}, {70, 63, 0, 9, 1, 72}, {7, 1, 9}, {70, 72, 
           0, 9, 0, 127}, {12, 127, 50}, {7, 2, 9}, {70, 72, 0, 9, 0, 127}, {
           12, 127, 51}, {7, 3, 9}, {70, 72, 0, 9, 0, 127}, {12, 127, 52}, {
           67, 50, 51, 52, 3, 75}, {7, 2, 9}, {70, 63, 0, 9, 1, 72}, {7, 1, 
           9}, {70, 72, 0, 9, 0, 127}, {12, 127, 53}, {7, 2, 9}, {70, 72, 0, 
           9, 0, 127}, {12, 127, 54}, {7, 3, 9}, {70, 72, 0, 9, 0, 127}, {12, 
           127, 55}, {67, 53, 54, 55, 3, 60}, {7, 3, 9}, {70, 63, 0, 9, 1, 
           72}, {7, 1, 9}, {70, 72, 0, 9, 0, 127}, {12, 127, 56}, {7, 2, 9}, {
           70, 72, 0, 9, 0, 127}, {12, 127, 57}, {7, 3, 9}, {70, 72, 0, 9, 0, 
           127}, {12, 127, 58}, {67, 56, 57, 58, 3, 67}, {68, 75, 60, 67, 
           72}, {46, 72, 63}, {66, 14, 63, 56}, {5, 12, 15, -257}, {46, 56, 
           46}, {44, 0, 18}, {7, -1, 5}, {64, 18, 5, 3, 59}, {7, 0, 19}, {11, 
           19, 14}, {4, 383}, {70, 0, 0, 14, 1, 56}, {7, 1, 19}, {70, 56, 0, 
           19, 0, 125}, {12, 125, 70}, {7, 2, 19}, {70, 56, 0, 19, 0, 125}, {
           12, 125, 72}, {7, 3, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 74}, {
           7, 4, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 67}, {7, 5, 19}, {70,
            56, 0, 19, 0, 125}, {12, 125, 68}, {7, 6, 19}, {70, 56, 0, 19, 0, 
           125}, {12, 125, 69}, {7, 7, 19}, {70, 56, 0, 19, 0, 125}, {12, 125,
            50}, {7, 8, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 51}, {7, 9, 
           19}, {70, 56, 0, 19, 0, 125}, {12, 125, 52}, {7, 10, 19}, {70, 56, 
           0, 19, 0, 125}, {12, 125, 53}, {7, 11, 19}, {70, 56, 0, 19, 0, 
           125}, {12, 125, 54}, {7, 12, 19}, {70, 56, 0, 19, 0, 125}, {12, 
           125, 55}, {7, 13, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 56}, {7, 
           14, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 57}, {7, 15, 19}, {70, 
           56, 0, 19, 0, 125}, {12, 125, 58}, {7, 16, 19}, {70, 56, 0, 19, 0, 
           125}, {12, 125, 116}, {7, 17, 19}, {70, 56, 0, 19, 0, 125}, {12, 
           125, 32}, {7, 18, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 33}, {7, 
           19, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 59}, {7, 20, 19}, {70, 
           56, 0, 19, 0, 125}, {12, 125, 29}, {7, 21, 19}, {70, 56, 0, 19, 0, 
           125}, {12, 125, 45}, {7, 22, 19}, {70, 56, 0, 19, 0, 125}, {12, 
           125, 46}, {7, 23, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 24}, {7, 
           24, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 94}, {7, 25, 19}, {70, 
           56, 0, 19, 0, 125}, {12, 125, 93}, {7, 26, 19}, {70, 56, 0, 19, 0, 
           125}, {12, 125, 60}, {7, 27, 19}, {70, 56, 0, 19, 0, 125}, {12, 
           125, 61}, {7, 28, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 87}, {7, 
           29, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 26}, {7, 30, 19}, {70, 
           56, 0, 19, 0, 125}, {12, 125, 89}, {7, 31, 19}, {70, 56, 0, 19, 0, 
           125}, {12, 125, 90}, {7, 32, 19}, {70, 56, 0, 19, 0, 125}, {12, 
           125, 91}, {7, 33, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 92}, {7, 
           34, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 63}, {7, 35, 19}, {70, 
           56, 0, 19, 0, 125}, {12, 125, 44}, {7, 36, 19}, {70, 56, 0, 19, 0, 
           125}, {12, 125, 34}, {7, 37, 19}, {70, 56, 0, 19, 0, 125}, {12, 
           125, 47}, {7, 38, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 48}, {7, 
           39, 19}, {70, 56, 0, 19, 0, 125}, {12, 125, 49}, {67, 70, 72, 74, 
           67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 
           29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 44, 34,
            47, 48, 49, 3, 55}, {67, 14, 2, 56}, {7, 1, 19}, {70, 56, 0, 19, 
           0, 15}, {70, 46, 0, 15, 2, 56}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 60}, {44, 
           60, 9}, {7, -1, 17}, {64, 9, 17, 3, 63}, {7, 0, 20}, {11, 20, 
           13}, {4, 4}, {70, 60, 0, 13, 1, 75}, {91, 56, 75, 67}, {66, 17, 67,
            63}, {5, 13, 9, -3}, {7, 1, 13}, {70, 63, 0, 13, 1, 56}, {7, 1, 
           13}, {70, 56, 0, 13, 0, 125}, {12, 125, 50}, {7, 2, 13}, {70, 56, 
           0, 13, 0, 125}, {12, 125, 51}, {7, 3, 13}, {70, 56, 0, 13, 0, 
           125}, {12, 125, 52}, {67, 50, 51, 52, 3, 60}, {7, 2, 13}, {70, 63, 
           0, 13, 1, 56}, {7, 1, 13}, {70, 56, 0, 13, 0, 125}, {12, 125, 
           53}, {7, 2, 13}, {70, 56, 0, 13, 0, 125}, {12, 125, 54}, {7, 3, 
           13}, {70, 56, 0, 13, 0, 125}, {12, 125, 55}, {67, 53, 54, 55, 3, 
           74}, {7, 3, 13}, {70, 63, 0, 13, 1, 56}, {7, 1, 13}, {70, 56, 0, 
           13, 0, 125}, {12, 125, 56}, {7, 2, 13}, {70, 56, 0, 13, 0, 125}, {
           12, 125, 57}, {7, 3, 13}, {70, 56, 0, 13, 0, 125}, {12, 125, 58}, {
           67, 56, 57, 58, 3, 67}, {68, 60, 74, 67, 56}, {67, 50, 51, 52, 3, 
           63}, {67, 50, 51, 52, 3, 60}, {91, 63, 60, 125}, {12, 125, 105}, {
           8, -1., 125}, {18, 105, 125, 120}, {93, 36, 3, 0, 120, 3, 0, 
           125}, {8, 1.*^-6, 120}, {37, 120, 125, 17}, {3, 17, 78}, {67, 50, 
           51, 52, 3, 63}, {7, 1, 13}, {93, 55, 3, 0, 105, 3, 0, 125}, {94, 
           260, 2, 0, 13, 3, 0, 125, 3, 0, 120}, {94, 273, 3, 0, 120, 3, 1, 
           63, 3, 1, 60}, {46, 60, 21}, {46, 21, 60}, {7, 1, 13}, {70, 60, 0, 
           13, 0, 120}, {12, 120, 50}, {7, 2, 13}, {70, 60, 0, 13, 0, 120}, {
           12, 120, 51}, {7, 3, 13}, {70, 60, 0, 13, 0, 120}, {12, 120, 52}, {
           67, 50, 51, 52, 3, 63}, {67, 50, 51, 52, 3, 60}, {67, 53, 54, 55, 
           3, 74}, {67, 56, 57, 58, 3, 67}, {68, 60, 74, 67, 75}, {44, 75, 
           19}, {7, -1, 9}, {64, 19, 9, 3, 60}, {7, 0, 20}, {11, 20, 17}, {4, 
           10}, {70, 75, 0, 17, 1, 67}, {7, 1, 20}, {70, 75, 0, 17, 1, 71}, {
           70, 75, 0, 17, 1, 76}, {91, 71, 76, 120}, {93, 55, 3, 0, 120, 3, 0,
            125}, {94, 260, 2, 0, 20, 3, 0, 125, 3, 0, 120}, {94, 273, 3, 0, 
           120, 3, 1, 67, 3, 1, 71}, {66, 9, 71, 60}, {5, 17, 19, -9}, {46, 
           60, 19}, {46, 19, 60}, {7, 1, 17}, {70, 60, 0, 17, 1, 75}, {7, 1, 
           17}, {70, 75, 0, 17, 0, 120}, {12, 120, 50}, {7, 2, 17}, {70, 75, 
           0, 17, 0, 120}, {12, 120, 51}, {7, 3, 17}, {70, 75, 0, 17, 0, 
           120}, {12, 120, 52}, {67, 50, 51, 52, 3, 74}, {7, 2, 17}, {70, 60, 
           0, 17, 1, 75}, {7, 1, 17}, {70, 75, 0, 17, 0, 120}, {12, 120, 
           53}, {7, 2, 17}, {70, 75, 0, 17, 0, 120}, {12, 120, 54}, {7, 3, 
           17}, {70, 75, 0, 17, 0, 120}, {12, 120, 55}, {67, 53, 54, 55, 3, 
           71}, {7, 3, 17}, {70, 60, 0, 17, 1, 75}, {7, 1, 17}, {70, 75, 0, 
           17, 0, 120}, {12, 120, 56}, {7, 2, 17}, {70, 75, 0, 17, 0, 120}, {
           12, 120, 57}, {7, 3, 17}, {70, 75, 0, 17, 0, 120}, {12, 120, 58}, {
           67, 56, 57, 58, 3, 67}, {68, 74, 71, 67, 75}, {4, 1}, {
           8, 0., 120}, {9, 0., 1., 7}, {8, 0., 125}, {16, 120, 125, 4}, {22, 
           4, 7, 4}, {8, 0., 120}, {9, 0., 1., 7}, {8, 0., 125}, {16, 120, 
           125, 5}, {22, 5, 7, 5}, {8, 0., 120}, {9, 0., 1., 7}, {
           8, 0., 125}, {16, 120, 125, 6}, {22, 6, 7, 6}, {67, 4, 5, 6, 4, 
           75}, {68, 75, 60}, {53, 1, 60, 0, 17}, {43, 17, 21}, {3, 21, 
           103}, {67, 14, 2, 60}, {7, 1, 17}, {70, 60, 0, 17, 0, 13}, {70, 1, 
           0, 13, 1, 60}, {46, 60, 2}, {67, 53, 54, 55, 3, 60}, {48, 60, 
           75}, {91, 75, 2, 4}, {13, 4, 0}, {67, 56, 57, 58, 3, 60}, {48, 60, 
           75}, {91, 75, 2, 4}, {13, 4, 3}, {93, 36, 4, 0, 0, 3, 0, 120}, {
           8, 0., 125}, {37, 125, 120, 17}, {3, 17, 4}, {6, True, 16}, {10, 
           16, 19}, {4, 5}, {93, 36, 4, 0, 3, 3, 0, 120}, {8, 0., 125}, {37, 
           125, 120, 15}, {10, 15, 19}, {3, 19, 77}, {93, 36, 4, 0, 0, 3, 0, 
           120}, {93, 36, 4, 0, 3, 3, 0, 125}, {8, 0., 123}, {67, 120, 125, 
           123, 3, 60}, {7, 1, 13}, {70, 60, 0, 13, 0, 120}, {12, 120, 47}, {
           7, 2, 13}, {70, 60, 0, 13, 0, 120}, {12, 120, 48}, {7, 3, 13}, {70,
            60, 0, 13, 0, 120}, {12, 120, 49}, {67, 47, 48, 49, 3, 75}, {67, 
           47, 48, 49, 3, 60}, {7, 1, 13}, {67, 47, 48, 49, 3, 74}, {67, 47, 
           48, 49, 3, 71}, {91, 74, 71, 120}, {93, 55, 3, 0, 120, 3, 0, 
           125}, {94, 260, 2, 0, 13, 3, 0, 125, 3, 0, 120}, {94, 273, 3, 0, 
           120, 3, 1, 60, 3, 1, 74}, {46, 74, 21}, {46, 21, 74}, {7, 1, 13}, {
           70, 74, 0, 13, 0, 120}, {12, 120, 47}, {7, 2, 13}, {70, 74, 0, 13, 
           0, 120}, {12, 120, 48}, {7, 3, 13}, {70, 74, 0, 13, 0, 120}, {12, 
           120, 49}, {67, 47, 48, 49, 3, 60}, {67, 47, 48, 49, 3, 74}, {7, 3, 
           13}, {8, 0., 120}, {8, 0., 125}, {16, 120, 125, 4}, {35, 3, 4, 0, 
           17}, {3, 17, 4}, {8, 0., 120}, {12, 120, 123}, {4, 3}, {93, 37, 4, 
           0, 3, 3, 0, 125}, {12, 125, 123}, {8, 0., 120}, {8, 0., 125}, {16, 
           120, 125, 4}, {35, 0, 4, 0, 17}, {3, 17, 4}, {8, 0., 120}, {12, 
           120, 127}, {4, 3}, {93, 37, 4, 0, 0, 3, 0, 125}, {12, 125, 127}, {
           24, 127, 120}, {18, 123, 120, 123}, {7, 1, 17}, {
           8, 0.017453292519943295`, 120}, {94, 260, 2, 0, 17, 3, 0, 120, 3, 
           0, 127}, {21, 123, 127, 123}, {71, 74, 0, 13, 0, 123}, {46, 74, 
           21}, {46, 21, 74}, {7, 1, 13}, {70, 74, 0, 13, 0, 123}, {12, 123, 
           47}, {7, 2, 13}, {70, 74, 0, 13, 0, 123}, {12, 123, 48}, {7, 3, 
           13}, {70, 74, 0, 13, 0, 123}, {12, 123, 49}, {67, 47, 48, 49, 3, 
           71}, {4, 1}, {4, 1}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 75}, {66, 5,
            75, 59}, {5, 14, 18, -382}, {46, 59, 0}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 65}, {68, 15, 58}, {68, 0, 65, 58, 59}, {46, 59, 56}, {4, 
           4196}, {7, 3, 14}, {33, 3, 14, 21}, {3, 21, 2064}, {70, 24, 0, 6, 
           1, 69}, {7, 1, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 70}, {7, 2, 
           14}, {70, 69, 0, 14, 0, 123}, {12, 123, 72}, {7, 3, 14}, {70, 69, 
           0, 14, 0, 123}, {12, 123, 74}, {7, 4, 14}, {70, 69, 0, 14, 0, 
           123}, {12, 123, 67}, {7, 5, 14}, {70, 69, 0, 14, 0, 123}, {12, 123,
            68}, {7, 6, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 69}, {7, 7, 
           14}, {70, 69, 0, 14, 0, 123}, {12, 123, 50}, {7, 8, 14}, {70, 69, 
           0, 14, 0, 123}, {12, 123, 51}, {7, 9, 14}, {70, 69, 0, 14, 0, 
           123}, {12, 123, 52}, {7, 10, 14}, {70, 69, 0, 14, 0, 123}, {12, 
           123, 53}, {7, 11, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 54}, {7, 
           12, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 55}, {7, 13, 14}, {70, 
           69, 0, 14, 0, 123}, {12, 123, 56}, {7, 14, 14}, {70, 69, 0, 14, 0, 
           123}, {12, 123, 57}, {7, 15, 14}, {70, 69, 0, 14, 0, 123}, {12, 
           123, 58}, {7, 16, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 116}, {7,
            17, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 32}, {7, 18, 14}, {70,
            69, 0, 14, 0, 123}, {12, 123, 33}, {7, 19, 14}, {70, 69, 0, 14, 0,
            123}, {12, 123, 59}, {7, 20, 14}, {70, 69, 0, 14, 0, 123}, {12, 
           123, 29}, {7, 21, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 45}, {7, 
           22, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 46}, {7, 23, 14}, {70, 
           69, 0, 14, 0, 123}, {12, 123, 24}, {7, 24, 14}, {70, 69, 0, 14, 0, 
           123}, {12, 123, 94}, {7, 25, 14}, {70, 69, 0, 14, 0, 123}, {12, 
           123, 93}, {7, 26, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 60}, {7, 
           27, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 61}, {7, 28, 14}, {70, 
           69, 0, 14, 0, 123}, {12, 123, 87}, {7, 29, 14}, {70, 69, 0, 14, 0, 
           123}, {12, 123, 26}, {7, 30, 14}, {70, 69, 0, 14, 0, 123}, {12, 
           123, 89}, {7, 31, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 90}, {7, 
           32, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 91}, {7, 33, 14}, {70, 
           69, 0, 14, 0, 123}, {12, 123, 92}, {7, 34, 14}, {70, 69, 0, 14, 0, 
           123}, {12, 123, 63}, {7, 35, 14}, {70, 69, 0, 14, 0, 123}, {12, 
           123, 44}, {7, 36, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 34}, {7, 
           37, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 47}, {7, 38, 14}, {70, 
           69, 0, 14, 0, 123}, {12, 123, 48}, {7, 39, 14}, {70, 69, 0, 14, 0, 
           123}, {12, 123, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 54}, {12, 
           29, 30}, {8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 
           2, 3, 0, 123, 3, 0, 127}, {21, 50, 127, 123}, {
           8, 0.017453292519943295`, 127}, {21, 127, 5, 127}, {93, 1, 3, 0, 
           127, 3, 0, 120}, {21, 51, 120, 127}, {18, 123, 127, 123}, {12, 123,
            117}, {8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 
           3, 0, 123, 3, 0, 127}, {21, 51, 127, 123}, {8, 1., 127}, {
           8, 0.017453292519943295`, 120}, {21, 120, 5, 120}, {93, 1, 3, 0, 
           120, 3, 0, 125}, {21, 127, 50, 125, 127}, {24, 127, 125}, {18, 123,
            125, 123}, {12, 123, 118}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 2, 3, 0, 123, 3, 0, 125}, {7, 2, 14}, {94, 264, 
           3, 0, 125, 2, 0, 14, 3, 0, 123}, {8, 0.017453292519943295`, 125}, {
           21, 125, 5, 125}, {93, 1, 3, 0, 125, 3, 0, 127}, {7, 2, 14}, {94, 
           264, 3, 0, 127, 2, 0, 14, 3, 0, 125}, {18, 123, 125, 123}, {21, 52,
            123, 125}, {12, 125, 119}, {8, 1.*^-10, 125}, {94, 270, 3, 0, 117,
            3, 0, 125, 3, 0, 123}, {12, 123, 117}, {8, 1.*^-10, 123}, {94, 
           270, 3, 0, 118, 3, 0, 123, 3, 0, 125}, {12, 125, 118}, {
           8, 1.*^-10, 125}, {94, 270, 3, 0, 119, 3, 0, 125, 3, 0, 123}, {12, 
           123, 119}, {7, 2, 14}, {94, 264, 3, 0, 117, 2, 0, 14, 3, 0, 123}, {
           7, 2, 14}, {94, 264, 3, 0, 118, 2, 0, 14, 3, 0, 125}, {7, 2, 14}, {
           94, 264, 3, 0, 119, 2, 0, 14, 3, 0, 127}, {18, 123, 125, 127, 
           123}, {7, 1, 14}, {7, 2, 12}, {15, 0, 14, 125}, {15, 0, 12, 127}, {
           94, 260, 3, 0, 125, 3, 0, 127, 3, 0, 120}, {94, 264, 3, 0, 123, 3, 
           0, 120, 3, 0, 125}, {12, 125, 35}, {7, 1, 14}, {94, 260, 2, 0, 14, 
           3, 0, 35, 3, 0, 125}, {21, 117, 125, 123}, {12, 123, 117}, {7, 1, 
           14}, {94, 260, 2, 0, 14, 3, 0, 35, 3, 0, 123}, {21, 118, 123, 
           125}, {12, 125, 118}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 35, 3, 
           0, 125}, {21, 119, 125, 123}, {12, 123, 119}, {8, 1., 123}, {21, 
           123, 15, 123}, {24, 123, 125}, {18, 67, 125, 123}, {
           8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 2, 3, 0, 
           125, 3, 0, 120}, {21, 123, 120, 123}, {8, 1., 120}, {21, 120, 17, 
           120}, {24, 120, 125}, {18, 68, 125, 120}, {
           8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 1, 3, 0, 
           125, 3, 0, 127}, {21, 120, 127, 120}, {18, 123, 120, 123}, {12, 
           123, 79}, {8, 1., 123}, {21, 123, 17, 123}, {24, 123, 120}, {18, 
           68, 120, 123}, {8, 0.017453292519943295`, 120}, {21, 120, 5, 
           120}, {93, 2, 3, 0, 120, 3, 0, 127}, {21, 123, 127, 123}, {
           8, 1., 127}, {8, 1., 120}, {21, 120, 15, 120}, {24, 120, 125}, {18,
            67, 125, 120}, {8, 0.017453292519943295`, 125}, {21, 125, 5, 
           125}, {93, 1, 3, 0, 125, 3, 0, 126}, {21, 127, 120, 126, 127}, {24,
            127, 120}, {18, 123, 120, 123}, {12, 123, 81}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 3, 0, 
           123, 3, 0, 120}, {7, 2, 14}, {94, 264, 3, 0, 120, 2, 0, 14, 3, 0, 
           123}, {8, 0.017453292519943295`, 120}, {21, 120, 5, 120}, {93, 1, 
           3, 0, 120, 3, 0, 127}, {7, 2, 14}, {94, 264, 3, 0, 127, 2, 0, 14, 
           3, 0, 120}, {18, 123, 120, 123}, {21, 69, 123, 120}, {12, 120, 
           83}, {8, 1.*^-10, 120}, {94, 270, 3, 0, 79, 3, 0, 120, 3, 0, 
           123}, {12, 123, 79}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 81, 3, 0, 
           123, 3, 0, 120}, {12, 120, 81}, {8, 1.*^-10, 120}, {94, 270, 3, 0, 
           83, 3, 0, 120, 3, 0, 123}, {12, 123, 83}, {6, False, 19}, {10, 19, 
           11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 69}, {46, 69, 25}, {46, 41, 
           25}, {70, 23, 0, 3, 0, 14}, {7, 1, 12}, {33, 14, 12, 19}, {10, 19, 
           3}, {45, {1., 3., 16547.}, 3, 3, 69}, {7, 1, 14}, {70, 69, 0, 14, 
           0, 123}, {12, 123, 40}, {7, 2, 14}, {70, 69, 0, 14, 0, 123}, {12, 
           123, 43}, {7, 3, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 42}, {67, 
           40, 43, 42, 3, 68}, {45, {1., 3., 16547.}, 3, 3, 69}, {7, 1, 14}, {
           70, 69, 0, 14, 0, 123}, {12, 123, 24}, {7, 2, 14}, {70, 69, 0, 14, 
           0, 123}, {12, 123, 94}, {7, 3, 14}, {70, 69, 0, 14, 0, 123}, {12, 
           123, 93}, {67, 24, 94, 93, 3, 62}, {7, 1, 14}, {70, 25, 0, 14, 1, 
           69}, {7, 1, 14}, {70, 69, 0, 14, 0, 123}, {12, 123, 59}, {7, 2, 
           14}, {70, 69, 0, 14, 0, 123}, {12, 123, 60}, {7, 3, 14}, {70, 69, 
           0, 14, 0, 123}, {12, 123, 61}, {67, 59, 60, 61, 3, 65}, {12, 67, 
           70}, {12, 68, 72}, {12, 69, 74}, {21, 59, 117, 123}, {18, 79, 123, 
           120}, {12, 120, 80}, {21, 59, 118, 120}, {18, 81, 120, 123}, {12, 
           123, 82}, {21, 59, 119, 123}, {18, 83, 123, 120}, {12, 120, 84}, {
           8, 0.017453292519943295`, 120}, {21, 120, 5, 120}, {93, 2, 3, 0, 
           120, 3, 0, 123}, {21, 80, 123, 120}, {8, 1., 123}, {
           8, 0.017453292519943295`, 127}, {21, 127, 5, 127}, {93, 1, 3, 0, 
           127, 3, 0, 126}, {21, 123, 82, 126, 123}, {24, 123, 126}, {18, 15, 
           120, 126, 123}, {12, 123, 67}, {8, 0.017453292519943295`, 123}, {
           21, 123, 5, 123}, {93, 2, 3, 0, 123, 3, 0, 120}, {21, 82, 120, 
           123}, {8, 0.017453292519943295`, 120}, {21, 120, 5, 120}, {93, 1, 
           3, 0, 120, 3, 0, 126}, {21, 80, 126, 120}, {18, 17, 123, 120, 
           126}, {12, 126, 68}, {8, 0.017453292519943295`, 126}, {21, 126, 5, 
           126}, {93, 2, 3, 0, 126, 3, 0, 123}, {7, 2, 14}, {94, 264, 3, 0, 
           123, 2, 0, 14, 3, 0, 126}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 120}, {7, 2, 14}, {94, 264, 
           3, 0, 120, 2, 0, 14, 3, 0, 123}, {18, 126, 123, 126}, {21, 84, 126,
            123}, {12, 123, 69}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 67, 3, 0, 
           123, 3, 0, 126}, {12, 126, 67}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 
           68, 3, 0, 126, 3, 0, 123}, {12, 123, 68}, {8, 1.*^-10, 123}, {94, 
           270, 3, 0, 69, 3, 0, 123, 3, 0, 126}, {12, 126, 69}, {7, 0, 14}, {
           15, 0, 14, 126}, {34, 67, 126, 0, 19}, {3, 19, 14}, {7, 0, 14}, {
           15, 0, 14, 126}, {34, 68, 126, 0, 17}, {3, 17, 6}, {7, 0, 14}, {15,
            0, 14, 126}, {34, 69, 126, 0, 16}, {10, 16, 12}, {4, 3}, {
           6, False, 15}, {10, 15, 12}, {10, 12, 16}, {4, 3}, {
           6, False, 17}, {10, 17, 16}, {3, 16, 7}, {18, 80, 15, 126}, {12, 
           126, 67}, {18, 82, 17, 126}, {12, 126, 68}, {12, 84, 69}, {4, 1}, {
           8, 1., 126}, {18, 34, 126, 123}, {12, 123, 34}, {21, 59, 30, 
           123}, {18, 45, 123, 126}, {12, 126, 45}, {67, 70, 72, 74, 67, 68, 
           69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 
           46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48,
            49, 3, 69}, {46, 69, 15}, {6, True, 16}, {10, 16, 10}, {
           6, True, 16}, {10, 16, 4}, {6, True, 16}, {10, 16, 2}, {
           6, True, 16}, {10, 16, 5}, {8, 1., 126}, {8, 1., 123}, {
           8, -1., 120}, {7, 1, 14}, {93, 42, 3, 0, 10, 2, 0, 12}, {15, 0, 14,
            127}, {15, 0, 12, 125}, {94, 260, 3, 0, 127, 3, 0, 125, 3, 0, 
           124}, {7, 1, 14}, {7, 1, 12}, {7, 2, 10}, {94, 264, 3, 0, 10, 2, 0,
            10, 3, 0, 127}, {94, 260, 2, 0, 12, 3, 0, 127, 3, 0, 125}, {
           8, 1., 127}, {7, 2, 12}, {94, 264, 3, 0, 60, 2, 0, 12, 3, 0, 
           121}, {21, 127, 121, 127}, {24, 127, 121}, {8, 1., 127}, {7, 2, 
           12}, {94, 264, 3, 0, 61, 2, 0, 12, 3, 0, 122}, {21, 127, 122, 
           127}, {24, 127, 122}, {18, 125, 121, 122, 125}, {8, 0.5, 121}, {94,
            264, 3, 0, 125, 3, 0, 121, 4, 0, 4}, {94, 260, 2, 0, 14, 4, 0, 4, 
           4, 0, 5}, {8, 0., 125}, {16, 60, 125, 4}, {8, 0., 121}, {16, 124, 
           121, 6}, {22, 4, 6, 5, 4}, {8, 0., 124}, {16, 120, 124, 5}, {22, 5,
            4, 5}, {8, -1., 120}, {7, 1, 14}, {93, 42, 3, 0, 10, 2, 0, 12}, {
           15, 0, 14, 124}, {15, 0, 12, 125}, {94, 260, 3, 0, 124, 3, 0, 125, 
           3, 0, 121}, {7, 1, 14}, {7, 1, 12}, {7, 2, 10}, {94, 264, 3, 0, 10,
            2, 0, 10, 3, 0, 124}, {94, 260, 2, 0, 12, 3, 0, 124, 3, 0, 125}, {
           8, 1., 124}, {7, 2, 12}, {94, 264, 3, 0, 60, 2, 0, 12, 3, 0, 
           122}, {21, 124, 122, 124}, {24, 124, 122}, {8, 1., 124}, {7, 2, 
           12}, {94, 264, 3, 0, 61, 2, 0, 12, 3, 0, 127}, {21, 124, 127, 
           124}, {24, 124, 127}, {18, 125, 122, 127, 125}, {8, 0.5, 122}, {94,
            264, 3, 0, 125, 3, 0, 122, 4, 0, 4}, {94, 260, 2, 0, 14, 4, 0, 4, 
           4, 0, 6}, {8, 0., 125}, {16, 61, 125, 4}, {8, 0., 122}, {16, 121, 
           122, 7}, {22, 4, 7, 6, 4}, {8, 0., 121}, {16, 120, 121, 6}, {22, 6,
            4, 6}, {8, 0., 120}, {16, 123, 120, 4}, {67, 4, 5, 6, 4, 69}, {7, 
           1, 14}, {93, 42, 3, 0, 10, 2, 0, 12}, {15, 0, 14, 123}, {15, 0, 12,
            120}, {94, 260, 3, 0, 123, 3, 0, 120, 3, 0, 121}, {7, 1, 14}, {7, 
           1, 12}, {7, 2, 10}, {94, 264, 3, 0, 10, 2, 0, 10, 3, 0, 123}, {94, 
           260, 2, 0, 12, 3, 0, 123, 3, 0, 120}, {8, 1., 123}, {7, 2, 12}, {
           94, 264, 3, 0, 60, 2, 0, 12, 3, 0, 125}, {21, 123, 125, 123}, {24, 
           123, 125}, {8, 1., 123}, {7, 2, 12}, {94, 264, 3, 0, 61, 2, 0, 12, 
           3, 0, 122}, {21, 123, 122, 123}, {24, 123, 122}, {18, 120, 125, 
           122, 120}, {8, 0.5, 125}, {94, 264, 3, 0, 120, 3, 0, 125, 4, 0, 
           5}, {94, 260, 2, 0, 14, 4, 0, 5, 4, 0, 6}, {8, 0., 120}, {16, 60, 
           120, 5}, {8, 0., 125}, {16, 121, 125, 4}, {22, 5, 4, 6, 5}, {
           8, 1., 121}, {8, 0., 120}, {8, 0., 125}, {16, 121, 125, 6}, {
           8, 0., 122}, {16, 120, 122, 4}, {67, 5, 6, 4, 4, 58}, {7, 1, 14}, {
           93, 42, 3, 0, 10, 2, 0, 12}, {15, 0, 14, 121}, {15, 0, 12, 120}, {
           94, 260, 3, 0, 121, 3, 0, 120, 3, 0, 125}, {7, 1, 14}, {7, 1, 
           12}, {7, 2, 10}, {94, 264, 3, 0, 10, 2, 0, 10, 3, 0, 121}, {94, 
           260, 2, 0, 12, 3, 0, 121, 3, 0, 120}, {8, 1., 121}, {7, 2, 12}, {
           94, 264, 3, 0, 60, 2, 0, 12, 3, 0, 122}, {21, 121, 122, 121}, {24, 
           121, 122}, {8, 1., 121}, {7, 2, 12}, {94, 264, 3, 0, 61, 2, 0, 12, 
           3, 0, 123}, {21, 121, 123, 121}, {24, 121, 123}, {18, 120, 122, 
           123, 120}, {8, 0.5, 122}, {94, 264, 3, 0, 120, 3, 0, 122, 4, 0, 
           5}, {94, 260, 2, 0, 14, 4, 0, 5, 4, 0, 6}, {8, 0., 120}, {16, 61, 
           120, 5}, {8, 0., 122}, {16, 125, 122, 4}, {22, 5, 4, 6, 5}, {
           8, 0., 125}, {8, 1., 120}, {8, 0., 122}, {16, 125, 122, 6}, {
           8, 0., 123}, {16, 120, 123, 4}, {67, 5, 6, 4, 4, 72}, {68, 69, 58, 
           72, 75}, {93, 40, 4, 2, 75, 3, 2, 69}, {94, 273, 3, 0, 126, 3, 2, 
           69, 3, 2, 75}, {46, 75, 44}, {44, 44, 10}, {7, -1, 18}, {64, 10, 
           18, 3, 72}, {7, 0, 13}, {11, 13, 5}, {4, 274}, {
           8, 0.017453292519943295`, 120}, {21, 120, 5, 120}, {93, 2, 3, 0, 
           120, 3, 0, 125}, {8, 0.017453292519943295`, 120}, {21, 120, 5, 
           120}, {93, 2, 3, 0, 120, 3, 0, 122}, {7, 2, 13}, {94, 264, 3, 0, 
           122, 2, 0, 13, 3, 0, 120}, {8, 0.017453292519943295`, 122}, {21, 
           122, 5, 122}, {93, 1, 3, 0, 122, 3, 0, 123}, {7, 2, 13}, {94, 264, 
           3, 0, 123, 2, 0, 13, 3, 0, 122}, {18, 120, 122, 120}, {21, 125, 
           120, 125}, {7, 1, 13}, {8, 0.017453292519943295`, 120}, {21, 120, 
           5, 120}, {93, 2, 3, 0, 120, 3, 0, 122}, {7, 2, 17}, {94, 264, 3, 0,
            122, 2, 0, 17, 3, 0, 120}, {8, 0.017453292519943295`, 122}, {21, 
           122, 5, 122}, {93, 2, 3, 0, 122, 3, 0, 123}, {7, 2, 17}, {94, 264, 
           3, 0, 123, 2, 0, 17, 3, 0, 122}, {8, 0.017453292519943295`, 123}, {
           21, 123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 126}, {7, 2, 17}, {94, 
           264, 3, 0, 126, 2, 0, 17, 3, 0, 123}, {18, 122, 123, 122}, {21, 
           120, 122, 120}, {8, 0.017453292519943295`, 122}, {21, 122, 5, 
           122}, {93, 1, 3, 0, 122, 3, 0, 123}, {7, 2, 17}, {94, 264, 3, 0, 
           123, 2, 0, 17, 3, 0, 122}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 2, 3, 0, 123, 3, 0, 126}, {7, 2, 17}, {94, 264, 
           3, 0, 126, 2, 0, 17, 3, 0, 123}, {8, 0.017453292519943295`, 126}, {
           21, 126, 5, 126}, {93, 1, 3, 0, 126, 3, 0, 121}, {7, 2, 17}, {94, 
           264, 3, 0, 121, 2, 0, 17, 3, 0, 126}, {18, 123, 126, 123}, {21, 
           122, 123, 122}, {18, 120, 122, 120}, {94, 260, 2, 0, 13, 3, 0, 120,
            3, 0, 122}, {21, 125, 122, 125}, {8, -1., 122}, {
           8, 0.017453292519943295`, 120}, {21, 120, 5, 120}, {93, 1, 3, 0, 
           120, 3, 0, 123}, {8, 0.017453292519943295`, 120}, {21, 120, 5, 
           120}, {93, 2, 3, 0, 120, 3, 0, 126}, {7, 2, 13}, {94, 264, 3, 0, 
           126, 2, 0, 13, 3, 0, 120}, {8, 0.017453292519943295`, 126}, {21, 
           126, 5, 126}, {93, 1, 3, 0, 126, 3, 0, 121}, {7, 2, 13}, {94, 264, 
           3, 0, 121, 2, 0, 13, 3, 0, 126}, {18, 120, 126, 120}, {21, 122, 
           123, 120, 122}, {7, 1, 13}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 2, 3, 0, 123, 3, 0, 120}, {7, 2, 17}, {94, 264, 
           3, 0, 120, 2, 0, 17, 3, 0, 123}, {8, 0.017453292519943295`, 120}, {
           21, 120, 5, 120}, {93, 2, 3, 0, 120, 3, 0, 126}, {7, 2, 17}, {94, 
           264, 3, 0, 126, 2, 0, 17, 3, 0, 120}, {
           8, 0.017453292519943295`, 126}, {21, 126, 5, 126}, {93, 1, 3, 0, 
           126, 3, 0, 121}, {7, 2, 17}, {94, 264, 3, 0, 121, 2, 0, 17, 3, 0, 
           126}, {18, 120, 126, 120}, {21, 123, 120, 123}, {
           8, 0.017453292519943295`, 120}, {21, 120, 5, 120}, {93, 1, 3, 0, 
           120, 3, 0, 126}, {7, 2, 17}, {94, 264, 3, 0, 126, 2, 0, 17, 3, 0, 
           120}, {8, 0.017453292519943295`, 126}, {21, 126, 5, 126}, {93, 2, 
           3, 0, 126, 3, 0, 121}, {7, 2, 17}, {94, 264, 3, 0, 121, 2, 0, 17, 
           3, 0, 126}, {8, 0.017453292519943295`, 121}, {21, 121, 5, 121}, {
           93, 1, 3, 0, 121, 3, 0, 127}, {7, 2, 17}, {94, 264, 3, 0, 127, 2, 
           0, 17, 3, 0, 121}, {18, 126, 121, 126}, {21, 120, 126, 120}, {18, 
           123, 120, 123}, {94, 260, 2, 0, 13, 3, 0, 123, 3, 0, 120}, {21, 
           122, 120, 122}, {8, 0., 120}, {67, 125, 122, 120, 3, 75}, {
           8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 1, 3, 0, 
           125, 3, 0, 122}, {8, 0.017453292519943295`, 125}, {21, 125, 5, 
           125}, {93, 2, 3, 0, 125, 3, 0, 120}, {7, 2, 13}, {94, 264, 3, 0, 
           120, 2, 0, 13, 3, 0, 125}, {8, 0.017453292519943295`, 120}, {21, 
           120, 5, 120}, {93, 1, 3, 0, 120, 3, 0, 123}, {7, 2, 13}, {94, 264, 
           3, 0, 123, 2, 0, 13, 3, 0, 120}, {18, 125, 120, 125}, {21, 122, 
           125, 122}, {7, 1, 13}, {8, 0.017453292519943295`, 125}, {21, 125, 
           5, 125}, {93, 2, 3, 0, 125, 3, 0, 120}, {7, 2, 17}, {94, 264, 3, 0,
            120, 2, 0, 17, 3, 0, 125}, {8, 0.017453292519943295`, 120}, {21, 
           120, 5, 120}, {93, 2, 3, 0, 120, 3, 0, 123}, {7, 2, 17}, {94, 264, 
           3, 0, 123, 2, 0, 17, 3, 0, 120}, {8, 0.017453292519943295`, 123}, {
           21, 123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 126}, {7, 2, 17}, {94, 
           264, 3, 0, 126, 2, 0, 17, 3, 0, 123}, {18, 120, 123, 120}, {21, 
           125, 120, 125}, {8, 0.017453292519943295`, 120}, {21, 120, 5, 
           120}, {93, 1, 3, 0, 120, 3, 0, 123}, {7, 2, 17}, {94, 264, 3, 0, 
           123, 2, 0, 17, 3, 0, 120}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 2, 3, 0, 123, 3, 0, 126}, {7, 2, 17}, {94, 264, 
           3, 0, 126, 2, 0, 17, 3, 0, 123}, {8, 0.017453292519943295`, 126}, {
           21, 126, 5, 126}, {93, 1, 3, 0, 126, 3, 0, 121}, {7, 2, 17}, {94, 
           264, 3, 0, 121, 2, 0, 17, 3, 0, 126}, {18, 123, 126, 123}, {21, 
           120, 123, 120}, {18, 125, 120, 125}, {94, 260, 2, 0, 13, 3, 0, 125,
            3, 0, 120}, {21, 122, 120, 122}, {
           8, 0.017453292519943295`, 120}, {21, 120, 5, 120}, {93, 2, 3, 0, 
           120, 3, 0, 125}, {8, 0.017453292519943295`, 120}, {21, 120, 5, 
           120}, {93, 2, 3, 0, 120, 3, 0, 123}, {7, 2, 13}, {94, 264, 3, 0, 
           123, 2, 0, 13, 3, 0, 120}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 126}, {7, 2, 13}, {94, 264, 
           3, 0, 126, 2, 0, 13, 3, 0, 123}, {18, 120, 123, 120}, {21, 125, 
           120, 125}, {7, 1, 13}, {8, 0.017453292519943295`, 120}, {21, 120, 
           5, 120}, {93, 2, 3, 0, 120, 3, 0, 123}, {7, 2, 17}, {94, 264, 3, 0,
            123, 2, 0, 17, 3, 0, 120}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 2, 3, 0, 123, 3, 0, 126}, {7, 2, 17}, {94, 264, 
           3, 0, 126, 2, 0, 17, 3, 0, 123}, {8, 0.017453292519943295`, 126}, {
           21, 126, 5, 126}, {93, 1, 3, 0, 126, 3, 0, 121}, {7, 2, 17}, {94, 
           264, 3, 0, 121, 2, 0, 17, 3, 0, 126}, {18, 123, 126, 123}, {21, 
           120, 123, 120}, {8, 0.017453292519943295`, 123}, {21, 123, 5, 
           123}, {93, 1, 3, 0, 123, 3, 0, 126}, {7, 2, 17}, {94, 264, 3, 0, 
           126, 2, 0, 17, 3, 0, 123}, {8, 0.017453292519943295`, 126}, {21, 
           126, 5, 126}, {93, 2, 3, 0, 126, 3, 0, 121}, {7, 2, 17}, {94, 264, 
           3, 0, 121, 2, 0, 17, 3, 0, 126}, {8, 0.017453292519943295`, 121}, {
           21, 121, 5, 121}, {93, 1, 3, 0, 121, 3, 0, 127}, {7, 2, 17}, {94, 
           264, 3, 0, 127, 2, 0, 17, 3, 0, 121}, {18, 126, 121, 126}, {21, 
           123, 126, 123}, {18, 120, 123, 120}, {94, 260, 2, 0, 13, 3, 0, 120,
            3, 0, 123}, {21, 125, 123, 125}, {8, 0., 123}, {67, 122, 125, 123,
            3, 58}, {8, 0., 122}, {8, 0., 125}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 3, 0, 
           123, 3, 0, 120}, {7, 2, 13}, {94, 264, 3, 0, 120, 2, 0, 13, 3, 0, 
           123}, {8, 0.017453292519943295`, 120}, {21, 120, 5, 120}, {93, 1, 
           3, 0, 120, 3, 0, 126}, {7, 2, 13}, {94, 264, 3, 0, 126, 2, 0, 13, 
           3, 0, 120}, {18, 123, 120, 123}, {7, 1, 13}, {
           8, 0.017453292519943295`, 120}, {21, 120, 5, 120}, {93, 2, 3, 0, 
           120, 3, 0, 126}, {7, 2, 17}, {94, 264, 3, 0, 126, 2, 0, 17, 3, 0, 
           120}, {8, 0.017453292519943295`, 126}, {21, 126, 5, 126}, {93, 2, 
           3, 0, 126, 3, 0, 121}, {7, 2, 17}, {94, 264, 3, 0, 121, 2, 0, 17, 
           3, 0, 126}, {8, 0.017453292519943295`, 121}, {21, 121, 5, 121}, {
           93, 1, 3, 0, 121, 3, 0, 127}, {7, 2, 17}, {94, 264, 3, 0, 127, 2, 
           0, 17, 3, 0, 121}, {18, 126, 121, 126}, {21, 120, 126, 120}, {
           8, 0.017453292519943295`, 126}, {21, 126, 5, 126}, {93, 1, 3, 0, 
           126, 3, 0, 121}, {7, 2, 17}, {94, 264, 3, 0, 121, 2, 0, 17, 3, 0, 
           126}, {8, 0.017453292519943295`, 121}, {21, 121, 5, 121}, {93, 2, 
           3, 0, 121, 3, 0, 127}, {7, 2, 17}, {94, 264, 3, 0, 127, 2, 0, 17, 
           3, 0, 121}, {8, 0.017453292519943295`, 127}, {21, 127, 5, 127}, {
           93, 1, 3, 0, 127, 3, 0, 124}, {7, 2, 17}, {94, 264, 3, 0, 124, 2, 
           0, 17, 3, 0, 127}, {18, 121, 127, 121}, {21, 126, 121, 126}, {18, 
           120, 126, 120}, {94, 260, 2, 0, 13, 3, 0, 120, 3, 0, 126}, {21, 
           123, 126, 123}, {67, 122, 125, 123, 3, 55}, {68, 75, 58, 55, 56}, {
           70, 44, 0, 5, 1, 75}, {91, 56, 75, 58}, {66, 18, 58, 72}, {5, 5, 
           10, -273}, {46, 72, 19}, {44, 19, 12}, {7, -1, 10}, {64, 12, 10, 3,
            72}, {7, 0, 13}, {11, 13, 18}, {4, 10}, {70, 19, 0, 18, 1, 58}, {
           7, 1, 13}, {70, 19, 0, 18, 1, 56}, {70, 19, 0, 18, 1, 75}, {91, 56,
            75, 122}, {93, 55, 3, 0, 122, 3, 0, 125}, {94, 260, 2, 0, 13, 3, 
           0, 125, 3, 0, 122}, {94, 273, 3, 0, 122, 3, 1, 58, 3, 1, 56}, {66, 
           10, 56, 72}, {5, 18, 12, -9}, {46, 72, 44}, {
           8, 0.017453292519943295`, 122}, {21, 122, 5, 122}, {93, 2, 3, 0, 
           122, 3, 0, 125}, {8, 0.017453292519943295`, 122}, {21, 122, 5, 
           122}, {93, 1, 3, 0, 122, 3, 0, 123}, {8, 0., 122}, {67, 125, 123, 
           122, 3, 72}, {8, -1., 125}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 122}, {21, 125, 122, 125}, {
           8, 0.017453292519943295`, 122}, {21, 122, 5, 122}, {93, 2, 3, 0, 
           122, 3, 0, 123}, {8, 0., 122}, {67, 125, 123, 122, 3, 69}, {
           8, 0., 125}, {8, 0., 123}, {8, 0.017453292519943295`, 122}, {21, 
           122, 5, 122}, {93, 2, 3, 0, 122, 3, 0, 126}, {7, 2, 18}, {94, 264, 
           3, 0, 126, 2, 0, 18, 3, 0, 122}, {8, 0.017453292519943295`, 126}, {
           21, 126, 5, 126}, {93, 1, 3, 0, 126, 3, 0, 120}, {7, 2, 18}, {94, 
           264, 3, 0, 120, 2, 0, 18, 3, 0, 126}, {18, 122, 126, 122}, {67, 
           125, 123, 122, 3, 56}, {68, 72, 69, 56, 58}, {46, 58, 42}, {
           8, 0., 125}, {67, 15, 17, 125, 3, 58}, {46, 58, 43}, {
           8, 1., 125}, {12, 125, 18}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           58}, {46, 58, 15}, {12, 40, 24}, {12, 43, 94}, {12, 42, 93}, {67, 
           70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 28, 34, 47, 48, 49, 3, 58}, {46, 58, 31}, {7, 1, 18}, {70, 44,
            0, 18, 1, 58}, {7, 1, 18}, {70, 44, 0, 18, 1, 72}, {67, 50, 51, 
           52, 3, 69}, {91, 72, 69, 125}, {93, 42, 3, 0, 125, 2, 0, 18}, {94, 
           273, 2, 0, 18, 3, 1, 58, 3, 1, 72}, {46, 72, 53}, {67, 50, 51, 52, 
           3, 72}, {91, 53, 72, 125}, {12, 125, 65}, {7, 1, 18}, {7, 2, 5}, {
           94, 264, 3, 0, 65, 2, 0, 5, 3, 0, 125}, {24, 125, 123}, {15, 0, 18,
            125}, {18, 125, 123, 125}, {12, 125, 64}, {
           8, 2.220446049250313*^-16, 125}, {37, 64, 125, 16}, {3, 16, 4}, {
           8, 0., 125}, {12, 125, 64}, {4, 3}, {93, 55, 3, 0, 64, 3, 0, 
           125}, {12, 125, 64}, {67, 50, 51, 52, 3, 72}, {94, 273, 3, 0, 65, 
           3, 1, 53, 3, 1, 58}, {93, 41, 3, 1, 58, 3, 1, 69}, {51, 72, 69, 
           72}, {46, 72, 51}, {93, 36, 3, 0, 64, 3, 0, 125}, {
           8, 1.*^-7, 123}, {37, 125, 123, 16}, {3, 16, 5}, {7, 2, 18}, {70, 
           44, 0, 18, 1, 72}, {46, 72, 51}, {4, 5}, {7, 1, 18}, {94, 260, 2, 
           0, 18, 3, 0, 64, 3, 0, 125}, {94, 273, 3, 0, 125, 3, 1, 51, 3, 1, 
           72}, {46, 72, 51}, {7, 3, 18}, {70, 53, 0, 18, 0, 125}, {7, 2, 
           18}, {70, 51, 0, 18, 0, 123}, {21, 125, 123, 125}, {24, 125, 
           123}, {7, 2, 18}, {70, 53, 0, 18, 0, 125}, {7, 3, 18}, {70, 51, 0, 
           18, 0, 122}, {21, 125, 122, 125}, {18, 123, 125, 123}, {7, 3, 
           18}, {70, 53, 0, 18, 0, 125}, {7, 1, 18}, {70, 51, 0, 18, 0, 
           122}, {21, 125, 122, 125}, {7, 1, 18}, {70, 53, 0, 18, 0, 122}, {7,
            3, 18}, {70, 51, 0, 18, 0, 126}, {21, 122, 126, 122}, {24, 122, 
           126}, {18, 125, 126, 125}, {7, 2, 18}, {70, 53, 0, 18, 0, 126}, {7,
            1, 18}, {70, 51, 0, 18, 0, 122}, {21, 126, 122, 126}, {24, 126, 
           122}, {7, 1, 18}, {70, 53, 0, 18, 0, 126}, {7, 2, 18}, {70, 51, 0, 
           18, 0, 120}, {21, 126, 120, 126}, {18, 122, 126, 122}, {67, 123, 
           125, 122, 3, 69}, {46, 69, 52}, {7, 1, 18}, {91, 52, 52, 123}, {93,
            55, 3, 0, 123, 3, 0, 125}, {94, 260, 2, 0, 18, 3, 0, 125, 3, 0, 
           123}, {94, 273, 3, 0, 123, 3, 1, 52, 3, 1, 69}, {46, 69, 52}, {67, 
           50, 51, 52, 3, 69}, {91, 69, 51, 123}, {94, 273, 3, 0, 123, 3, 1, 
           53, 3, 1, 69}, {67, 50, 51, 52, 3, 58}, {91, 58, 53, 123}, {94, 
           273, 3, 0, 123, 3, 1, 51, 3, 1, 58}, {93, 41, 3, 1, 58, 3, 1, 
           56}, {51, 69, 56, 69}, {46, 69, 36}, {7, 1, 18}, {91, 36, 36, 
           123}, {93, 55, 3, 0, 123, 3, 0, 125}, {94, 260, 2, 0, 18, 3, 0, 
           125, 3, 0, 123}, {94, 273, 3, 0, 123, 3, 1, 36, 3, 1, 69}, {46, 69,
            36}, {67, 47, 48, 49, 3, 69}, {45, {1, 2}, 2, 2, 56}, {70, 69, 1, 
           56, 1, 58}, {46, 58, 30}, {7, 1, 18}, {91, 30, 30, 123}, {93, 55, 
           3, 0, 123, 3, 0, 125}, {94, 260, 2, 0, 18, 3, 0, 125, 3, 0, 123}, {
           94, 273, 3, 0, 123, 3, 1, 30, 3, 1, 58}, {46, 58, 30}, {
           8, 0., 123}, {9, 0., 1., 5}, {8, 0., 125}, {16, 123, 125, 6}, {22, 
           6, 5, 6}, {8, 0., 123}, {9, 0., 1., 5}, {8, 0., 125}, {16, 123, 
           125, 4}, {22, 4, 5, 4}, {8, 0., 123}, {9, 0., 1., 5}, {
           8, 0., 125}, {16, 123, 125, 7}, {22, 7, 5, 7}, {67, 6, 4, 7, 4, 
           58}, {68, 58, 69}, {46, 69, 1}, {93, 55, 3, 0, 32, 3, 0, 123}, {7, 
           1, 18}, {70, 30, 0, 18, 0, 125}, {67, 53, 54, 55, 3, 69}, {94, 273,
            3, 0, 125, 3, 1, 69, 3, 1, 58}, {7, 2, 18}, {70, 30, 0, 18, 0, 
           125}, {67, 56, 57, 58, 3, 69}, {9, 0., 1., 6}, {
           8, 0.017453292519943295`, 122}, {8, 0., 126}, {16, 49, 126, 4}, {
           8, 0., 120}, {16, 122, 120, 7}, {22, 6, 4, 7, 6}, {93, 34, 4, 0, 6,
            4, 0, 4}, {94, 273, 3, 0, 125, 4, 0, 4, 4, 0, 6}, {94, 273, 4, 0, 
           6, 3, 1, 69, 4, 1, 56}, {48, 58, 69}, {51, 69, 56, 69}, {94, 273, 
           3, 0, 123, 4, 1, 69, 4, 1, 58}, {46, 58, 2}, {48, 52, 58}, {91, 2, 
           58, 4}, {13, 4, 2}, {48, 36, 58}, {91, 2, 58, 4}, {13, 4, 1}, {67, 
           50, 51, 52, 3, 58}, {91, 42, 58, 69}, {7, 1, 18}, {70, 69, 0, 18, 
           0, 123}, {21, 18, 123, 125}, {7, 0, 18}, {15, 0, 18, 123}, {37, 
           123, 125, 16}, {3, 16, 122}, {8, 3.0539614, 125}, {
           8, 0.011580432, 123}, {7, 2, 18}, {94, 264, 3, 0, 116, 2, 0, 18, 3,
            0, 122}, {21, 123, 122, 123}, {24, 123, 122}, {
           8, 0.039199816, 123}, {7, 1, 18}, {7, 2, 5}, {94, 264, 3, 0, 116, 
           2, 0, 5, 3, 0, 126}, {94, 260, 2, 0, 18, 3, 0, 126, 3, 0, 120}, {
           21, 123, 120, 123}, {8, 0.0029462812, 120}, {7, 1, 18}, {7, 4, 
           5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 126}, {94, 260, 2, 0, 18, 
           3, 0, 126, 3, 0, 121}, {21, 120, 121, 120}, {
           8, 0.00020371019000000004`, 121}, {7, 1, 18}, {7, 6, 5}, {94, 264, 
           3, 0, 116, 2, 0, 5, 3, 0, 126}, {94, 260, 2, 0, 18, 3, 0, 126, 3, 
           0, 127}, {21, 121, 127, 121}, {24, 121, 127}, {
           8, 0.000027633568999999998`, 121}, {7, 1, 18}, {7, 8, 5}, {94, 264,
            3, 0, 116, 2, 0, 5, 3, 0, 126}, {94, 260, 2, 0, 18, 3, 0, 126, 3, 
           0, 124}, {21, 121, 124, 121}, {18, 125, 122, 123, 120, 127, 121, 
           125}, {93, 55, 3, 0, 125, 3, 0, 122}, {12, 122, 31}, {12, 29, 
           30}, {24, 30, 122}, {18, 31, 122, 125}, {93, 36, 3, 0, 125, 3, 0, 
           122}, {8, 0.01, 125}, {37, 122, 125, 19}, {3, 19, 47}, {
           8, 1.0005281111748805`, 122}, {8, 2.364805676582992*^-10, 125}, {7,
            2, 18}, {94, 264, 3, 0, 116, 2, 0, 18, 3, 0, 123}, {21, 125, 123, 
           125}, {24, 125, 123}, {8, 2.9781670902982902`*^-6, 125}, {7, 1, 
           18}, {7, 2, 5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 120}, {94, 260,
            2, 0, 18, 3, 0, 120, 3, 0, 127}, {21, 125, 127, 125}, {
           8, 2.6004099469477187`*^-8, 127}, {7, 1, 18}, {7, 4, 5}, {94, 264, 
           3, 0, 116, 2, 0, 5, 3, 0, 120}, {94, 260, 2, 0, 18, 3, 0, 120, 3, 
           0, 121}, {21, 127, 121, 127}, {8, 3.7787839314048715`*^-10, 121}, {
           7, 1, 18}, {7, 6, 5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 120}, {
           94, 260, 2, 0, 18, 3, 0, 120, 3, 0, 124}, {21, 121, 124, 121}, {
           8, 2.830549017940716*^-12, 124}, {7, 1, 18}, {7, 8, 5}, {94, 264, 
           3, 0, 116, 2, 0, 5, 3, 0, 120}, {94, 260, 2, 0, 18, 3, 0, 120, 3, 
           0, 126}, {21, 124, 126, 124}, {18, 122, 123, 125, 127, 121, 124, 
           122}, {93, 55, 3, 0, 122, 3, 0, 123}, {12, 123, 19}, {24, 30, 
           123}, {18, 19, 123, 122}, {93, 36, 3, 0, 122, 3, 0, 123}, {24, 30, 
           122}, {18, 31, 122, 125}, {93, 36, 3, 0, 125, 3, 0, 122}, {37, 122,
            123, 12}, {3, 12, 4}, {12, 31, 30}, {12, 19, 31}, {4, 2}, {12, 19,
            30}, {4, 34}, {8, 1.0005281111748805`, 123}, {
           8, 2.364805676582992*^-10, 122}, {7, 2, 18}, {94, 264, 3, 0, 116, 
           2, 0, 18, 3, 0, 125}, {21, 122, 125, 122}, {24, 122, 125}, {
           8, 2.9781670902982902`*^-6, 122}, {7, 1, 18}, {7, 2, 5}, {94, 264, 
           3, 0, 116, 2, 0, 5, 3, 0, 127}, {94, 260, 2, 0, 18, 3, 0, 127, 3, 
           0, 121}, {21, 122, 121, 122}, {8, 2.6004099469477187`*^-8, 121}, {
           7, 1, 18}, {7, 4, 5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 127}, {
           94, 260, 2, 0, 18, 3, 0, 127, 3, 0, 124}, {21, 121, 124, 121}, {
           8, 3.7787839314048715`*^-10, 124}, {7, 1, 18}, {7, 6, 5}, {94, 264,
            3, 0, 116, 2, 0, 5, 3, 0, 127}, {94, 260, 2, 0, 18, 3, 0, 127, 3, 
           0, 126}, {21, 124, 126, 124}, {8, 2.830549017940716*^-12, 126}, {7,
            1, 18}, {7, 8, 5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 127}, {94, 
           260, 2, 0, 18, 3, 0, 127, 3, 0, 120}, {21, 126, 120, 126}, {18, 
           123, 125, 122, 121, 124, 126, 123}, {93, 55, 3, 0, 123, 3, 0, 
           125}, {12, 125, 30}, {4, 122}, {8, 1.0005281111748805`, 125}, {
           8, 2.364805676582992*^-10, 123}, {7, 2, 18}, {94, 264, 3, 0, 116, 
           2, 0, 18, 3, 0, 122}, {21, 123, 122, 123}, {24, 123, 122}, {
           8, 2.9781670902982902`*^-6, 123}, {7, 1, 18}, {7, 2, 5}, {94, 264, 
           3, 0, 116, 2, 0, 5, 3, 0, 121}, {94, 260, 2, 0, 18, 3, 0, 121, 3, 
           0, 124}, {21, 123, 124, 123}, {8, 2.6004099469477187`*^-8, 124}, {
           7, 1, 18}, {7, 4, 5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 121}, {
           94, 260, 2, 0, 18, 3, 0, 121, 3, 0, 126}, {21, 124, 126, 124}, {
           8, 3.7787839314048715`*^-10, 126}, {7, 1, 18}, {7, 6, 5}, {94, 264,
            3, 0, 116, 2, 0, 5, 3, 0, 121}, {94, 260, 2, 0, 18, 3, 0, 121, 3, 
           0, 120}, {21, 126, 120, 126}, {8, 2.830549017940716*^-12, 120}, {7,
            1, 18}, {7, 8, 5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 121}, {94, 
           260, 2, 0, 18, 3, 0, 121, 3, 0, 127}, {21, 120, 127, 120}, {18, 
           125, 122, 123, 124, 126, 120, 125}, {93, 55, 3, 0, 125, 3, 0, 
           122}, {12, 122, 31}, {12, 29, 30}, {24, 30, 122}, {18, 31, 122, 
           125}, {93, 36, 3, 0, 125, 3, 0, 122}, {8, 0.01, 125}, {37, 122, 
           125, 19}, {3, 19, 48}, {8, 3.0539614, 122}, {
           8, 0.011580432, 125}, {7, 2, 18}, {94, 264, 3, 0, 116, 2, 0, 18, 3,
            0, 123}, {21, 125, 123, 125}, {24, 125, 123}, {
           8, 0.039199816, 125}, {7, 1, 18}, {7, 2, 5}, {94, 264, 3, 0, 116, 
           2, 0, 5, 3, 0, 124}, {94, 260, 2, 0, 18, 3, 0, 124, 3, 0, 126}, {
           21, 125, 126, 125}, {8, 0.0029462812, 126}, {7, 1, 18}, {7, 4, 
           5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 124}, {94, 260, 2, 0, 18, 
           3, 0, 124, 3, 0, 120}, {21, 126, 120, 126}, {
           8, 0.00020371019000000004`, 120}, {7, 1, 18}, {7, 6, 5}, {94, 264, 
           3, 0, 116, 2, 0, 5, 3, 0, 124}, {94, 260, 2, 0, 18, 3, 0, 124, 3, 
           0, 127}, {21, 120, 127, 120}, {24, 120, 127}, {
           8, 0.000027633568999999998`, 120}, {7, 1, 18}, {7, 8, 5}, {94, 264,
            3, 0, 116, 2, 0, 5, 3, 0, 124}, {94, 260, 2, 0, 18, 3, 0, 124, 3, 
           0, 121}, {21, 120, 121, 120}, {18, 122, 123, 125, 126, 127, 120, 
           122}, {93, 55, 3, 0, 122, 3, 0, 123}, {12, 123, 19}, {24, 30, 
           123}, {18, 19, 123, 122}, {93, 36, 3, 0, 122, 3, 0, 123}, {24, 30, 
           122}, {18, 31, 122, 125}, {93, 36, 3, 0, 125, 3, 0, 122}, {37, 122,
            123, 12}, {3, 12, 4}, {12, 31, 30}, {12, 19, 31}, {4, 2}, {12, 19,
            30}, {4, 35}, {8, 3.0539614, 123}, {8, 0.011580432, 122}, {7, 2, 
           18}, {94, 264, 3, 0, 116, 2, 0, 18, 3, 0, 125}, {21, 122, 125, 
           122}, {24, 122, 125}, {8, 0.039199816, 122}, {7, 1, 18}, {7, 2, 
           5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 126}, {94, 260, 2, 0, 18, 
           3, 0, 126, 3, 0, 127}, {21, 122, 127, 122}, {
           8, 0.0029462812, 127}, {7, 1, 18}, {7, 4, 5}, {94, 264, 3, 0, 116, 
           2, 0, 5, 3, 0, 126}, {94, 260, 2, 0, 18, 3, 0, 126, 3, 0, 120}, {
           21, 127, 120, 127}, {8, 0.00020371019000000004`, 120}, {7, 1, 
           18}, {7, 6, 5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 126}, {94, 260,
            2, 0, 18, 3, 0, 126, 3, 0, 121}, {21, 120, 121, 120}, {24, 120, 
           121}, {8, 0.000027633568999999998`, 120}, {7, 1, 18}, {7, 8, 5}, {
           94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 126}, {94, 260, 2, 0, 18, 3, 0, 
           126, 3, 0, 124}, {21, 120, 124, 120}, {18, 123, 125, 122, 127, 121,
            120, 123}, {93, 55, 3, 0, 123, 3, 0, 125}, {12, 125, 30}, {7, 1, 
           18}, {94, 260, 2, 0, 18, 3, 0, 31, 3, 0, 125}, {21, 30, 125, 
           123}, {12, 123, 39}, {12, 31, 29}, {7, 1, 18}, {7, 2, 5}, {94, 264,
            3, 0, 39, 2, 0, 5, 3, 0, 123}, {7, 2, 5}, {94, 264, 3, 0, 64, 2, 
           0, 5, 3, 0, 125}, {21, 123, 125, 123}, {24, 123, 125}, {15, 0, 18, 
           123}, {18, 123, 125, 123}, {8, 0., 125}, {39, 125, 123, 16}, {3, 
           16, 31}, {67, 50, 51, 52, 3, 69}, {94, 273, 3, 0, 39, 3, 1, 69, 3, 
           1, 58}, {21, 39, 65, 123}, {24, 123, 125}, {7, 1, 18}, {7, 2, 5}, {
           94, 264, 3, 0, 39, 2, 0, 5, 3, 0, 123}, {7, 2, 5}, {94, 264, 3, 0, 
           64, 2, 0, 5, 3, 0, 122}, {21, 123, 122, 123}, {24, 123, 122}, {15, 
           0, 18, 123}, {18, 123, 122, 123}, {93, 55, 3, 0, 123, 3, 0, 122}, {
           18, 125, 122, 125}, {94, 273, 3, 0, 125, 3, 1, 53, 3, 1, 69}, {51, 
           58, 69, 58}, {46, 58, 21}, {46, 21, 58}, {7, 1, 18}, {70, 58, 0, 
           18, 0, 125}, {12, 125, 50}, {7, 2, 18}, {70, 58, 0, 18, 0, 125}, {
           12, 125, 51}, {7, 3, 18}, {70, 58, 0, 18, 0, 125}, {12, 125, 52}, {
           67, 50, 51, 52, 3, 69}, {4, 51}, {67, 50, 51, 52, 3, 58}, {7, 1, 
           18}, {70, 44, 0, 18, 1, 56}, {91, 58, 56, 125}, {7, 0, 18}, {15, 0,
            18, 122}, {37, 122, 125, 19}, {3, 19, 5}, {8, 0.5, 125}, {18, 46, 
           125, 122}, {12, 122, 46}, {4, 1}, {12, 30, 31}, {12, 30, 29}, {67, 
           50, 51, 52, 3, 58}, {7, 2, 18}, {67, 50, 51, 52, 3, 56}, {91, 53, 
           56, 122}, {94, 273, 2, 0, 18, 3, 0, 122, 3, 0, 125}, {94, 273, 3, 
           0, 125, 3, 1, 53, 3, 1, 56}, {93, 41, 3, 1, 56, 3, 1, 75}, {51, 58,
            75, 58}, {46, 58, 21}, {46, 21, 58}, {7, 1, 18}, {70, 58, 0, 18, 
           0, 122}, {12, 122, 50}, {7, 2, 18}, {70, 58, 0, 18, 0, 122}, {12, 
           122, 51}, {7, 3, 18}, {70, 58, 0, 18, 0, 122}, {12, 122, 52}, {67, 
           50, 51, 52, 3, 75}, {67, 47, 48, 49, 3, 58}, {
           45, {0, 0, -180}, 2, 3, 56}, {47, 0, 56, 55}, {51, 58, 55, 58}, {
           46, 58, 21}, {46, 21, 58}, {7, 1, 18}, {70, 58, 0, 18, 0, 122}, {
           12, 122, 47}, {7, 2, 18}, {70, 58, 0, 18, 0, 122}, {12, 122, 48}, {
           7, 3, 18}, {70, 58, 0, 18, 0, 122}, {12, 122, 49}, {67, 47, 48, 49,
            3, 56}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 69}, {68, 69, 56}, {46, 
           56, 0}, {45, {7, 15}, 2, 2, 56}, {72, 31, 56, 1, 69}, {7, 3, 18}, {
           67, 18, 2, 56}, {67, 18, 2, 58}, {79, 69, 56, 58, 55}, {46, 55, 
           33}, {7, 1, 18}, {70, 33, 0, 18, 1, 55}, {46, 55, 37}, {44, 0, 
           14}, {7, -1, 15}, {7, 1, 12}, {64, 14, 12, 15, 3, 69}, {7, 0, 
           13}, {11, 13, 10}, {4, 258}, {70, 0, 0, 10, 1, 58}, {7, 1, 13}, {
           70, 58, 0, 13, 0, 123}, {12, 123, 70}, {7, 2, 13}, {70, 58, 0, 13, 
           0, 123}, {12, 123, 72}, {7, 3, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 74}, {7, 4, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 67}, {7, 
           5, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 68}, {7, 6, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 69}, {7, 7, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 50}, {7, 8, 13}, {70, 58, 0, 13, 0, 123}, {12, 123,
            51}, {7, 9, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 52}, {7, 10, 
           13}, {70, 58, 0, 13, 0, 123}, {12, 123, 53}, {7, 11, 13}, {70, 58, 
           0, 13, 0, 123}, {12, 123, 54}, {7, 12, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 55}, {7, 13, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 56}, {7, 14, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 57}, {7, 
           15, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 58}, {7, 16, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 116}, {7, 17, 13}, {70, 58, 0, 13, 0,
            123}, {12, 123, 32}, {7, 18, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 33}, {7, 19, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 59}, {7, 
           20, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 29}, {7, 21, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 45}, {7, 22, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 46}, {7, 23, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 24}, {7, 24, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 94}, {7, 
           25, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 93}, {7, 26, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 60}, {7, 27, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 61}, {7, 28, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 87}, {7, 29, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 26}, {7, 
           30, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 89}, {7, 31, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 90}, {7, 32, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 91}, {7, 33, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 92}, {7, 34, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 63}, {7, 
           35, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 44}, {7, 36, 13}, {70, 
           58, 0, 13, 0, 123}, {12, 123, 34}, {7, 37, 13}, {70, 58, 0, 13, 0, 
           123}, {12, 123, 47}, {7, 38, 13}, {70, 58, 0, 13, 0, 123}, {12, 
           123, 48}, {7, 39, 13}, {70, 58, 0, 13, 0, 123}, {12, 123, 49}, {67,
            70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 44, 34, 47, 48, 49, 3, 55}, {45, {1., 0., 0.}, 3, 3, 58}, {67,
            50, 51, 52, 3, 63}, {55, Cross, 3, 1, 58, 3, 1, 63, 3, 1, 71}, {
           46, 71, 64}, {91, 64, 64, 123}, {93, 55, 3, 0, 123, 3, 0, 122}, {
           12, 122, 20}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 20, 3, 0, 122, 3, 
           0, 123}, {8, 0., 122}, {34, 123, 122, 0, 19}, {43, 19, 16}, {3, 16,
            75}, {7, 1, 13}, {94, 260, 2, 0, 13, 3, 0, 20, 3, 0, 123}, {94, 
           273, 3, 0, 123, 3, 1, 64, 3, 1, 71}, {46, 71, 64}, {44, 64, 17}, {
           7, -1, 20}, {64, 17, 20, 3, 58}, {7, 0, 21}, {11, 21, 19}, {4, 
           4}, {70, 64, 0, 19, 0, 123}, {94, 273, 3, 0, 123, 3, 1, 64, 3, 1, 
           63}, {66, 20, 63, 58}, {5, 19, 17, -3}, {46, 58, 3}, {
           8, 0., 123}, {7, 3, 19}, {70, 64, 0, 19, 0, 122}, {24, 122, 127}, {
           7, 2, 19}, {70, 64, 0, 19, 0, 122}, {67, 123, 127, 122, 3, 58}, {7,
            3, 19}, {70, 64, 0, 19, 0, 123}, {8, 0., 127}, {7, 1, 19}, {70, 
           64, 0, 19, 0, 122}, {24, 122, 125}, {67, 123, 127, 125, 3, 71}, {7,
            2, 19}, {70, 64, 0, 19, 0, 123}, {24, 123, 127}, {7, 1, 19}, {70, 
           64, 0, 19, 0, 123}, {8, 0., 125}, {67, 127, 123, 125, 3, 63}, {68, 
           58, 71, 63, 60}, {46, 60, 16}, {45, {1., 0., 0.}, 3, 3, 60}, {67, 
           50, 51, 52, 3, 58}, {91, 60, 58, 127}, {12, 127, 25}, {
           8, 1., 127}, {24, 25, 123}, {18, 127, 123, 127}, {
           8, 2.220446049250313*^-16, 123}, {37, 127, 123, 19}, {3, 19, 4}, {
           8, 1., 127}, {12, 127, 25}, {4, 1}, {7, 1, 19}, {7, 2, 13}, {94, 
           264, 3, 0, 25, 2, 0, 13, 3, 0, 127}, {24, 127, 123}, {15, 0, 19, 
           127}, {18, 127, 123, 127}, {12, 127, 88}, {
           8, 2.220446049250313*^-16, 127}, {37, 88, 127, 19}, {3, 19, 4}, {
           8, 0., 127}, {12, 127, 88}, {4, 3}, {93, 55, 3, 0, 88, 3, 0, 
           127}, {12, 127, 88}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 60}, {93, 
           41, 3, 2, 3, 3, 2, 58}, {51, 60, 58, 60}, {94, 273, 3, 0, 25, 3, 2,
            60, 3, 2, 58}, {94, 273, 3, 0, 88, 3, 2, 16, 3, 2, 60}, {51, 3, 
           58, 60, 71}, {46, 71, 63}, {4, 51}, {45, {1., 0., 0.}, 3, 3, 58}, {
           67, 50, 51, 52, 3, 60}, {91, 58, 60, 127}, {93, 42, 3, 0, 127, 2, 
           0, 19}, {7, 1, 13}, {33, 19, 13, 19}, {3, 19, 4}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 58}, {46, 
           58, 63}, {4, 3}, {
           45, {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 1.}}, 3, 3, 3, 60}, {
           46, 60, 63}, {7, 1, 19}, {70, 63, 0, 19, 1, 58}, {7, 1, 19}, {70, 
           58, 0, 19, 0, 127}, {12, 127, 50}, {7, 2, 19}, {70, 58, 0, 19, 0, 
           127}, {12, 127, 51}, {7, 3, 19}, {70, 58, 0, 19, 0, 127}, {12, 127,
            52}, {67, 50, 51, 52, 3, 60}, {7, 2, 19}, {70, 63, 0, 19, 1, 
           58}, {7, 1, 19}, {70, 58, 0, 19, 0, 127}, {12, 127, 53}, {7, 2, 
           19}, {70, 58, 0, 19, 0, 127}, {12, 127, 54}, {7, 3, 19}, {70, 58, 
           0, 19, 0, 127}, {12, 127, 55}, {67, 53, 54, 55, 3, 74}, {7, 3, 
           19}, {70, 63, 0, 19, 1, 58}, {7, 1, 19}, {70, 58, 0, 19, 0, 127}, {
           12, 127, 56}, {7, 2, 19}, {70, 58, 0, 19, 0, 127}, {12, 127, 57}, {
           7, 3, 19}, {70, 58, 0, 19, 0, 127}, {12, 127, 58}, {67, 56, 57, 58,
            3, 67}, {68, 60, 74, 67, 58}, {46, 58, 63}, {66, 15, 63, 69}, {5, 
           10, 14, -257}, {46, 69, 46}, {44, 0, 5}, {7, -1, 13}, {64, 5, 13, 
           3, 56}, {7, 0, 9}, {11, 9, 15}, {4, 383}, {70, 0, 0, 15, 1, 69}, {
           7, 1, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 70}, {7, 2, 9}, {70, 
           69, 0, 9, 0, 125}, {12, 125, 72}, {7, 3, 9}, {70, 69, 0, 9, 0, 
           125}, {12, 125, 74}, {7, 4, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 
           67}, {7, 5, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 68}, {7, 6, 9}, {
           70, 69, 0, 9, 0, 125}, {12, 125, 69}, {7, 7, 9}, {70, 69, 0, 9, 0, 
           125}, {12, 125, 50}, {7, 8, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 
           51}, {7, 9, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 52}, {7, 10, 
           9}, {70, 69, 0, 9, 0, 125}, {12, 125, 53}, {7, 11, 9}, {70, 69, 0, 
           9, 0, 125}, {12, 125, 54}, {7, 12, 9}, {70, 69, 0, 9, 0, 125}, {12,
            125, 55}, {7, 13, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 56}, {7, 
           14, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 57}, {7, 15, 9}, {70, 69,
            0, 9, 0, 125}, {12, 125, 58}, {7, 16, 9}, {70, 69, 0, 9, 0, 
           125}, {12, 125, 116}, {7, 17, 9}, {70, 69, 0, 9, 0, 125}, {12, 125,
            32}, {7, 18, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 33}, {7, 19, 
           9}, {70, 69, 0, 9, 0, 125}, {12, 125, 59}, {7, 20, 9}, {70, 69, 0, 
           9, 0, 125}, {12, 125, 29}, {7, 21, 9}, {70, 69, 0, 9, 0, 125}, {12,
            125, 45}, {7, 22, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 46}, {7, 
           23, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 24}, {7, 24, 9}, {70, 69,
            0, 9, 0, 125}, {12, 125, 94}, {7, 25, 9}, {70, 69, 0, 9, 0, 
           125}, {12, 125, 93}, {7, 26, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 
           60}, {7, 27, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 61}, {7, 28, 
           9}, {70, 69, 0, 9, 0, 125}, {12, 125, 87}, {7, 29, 9}, {70, 69, 0, 
           9, 0, 125}, {12, 125, 26}, {7, 30, 9}, {70, 69, 0, 9, 0, 125}, {12,
            125, 89}, {7, 31, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 90}, {7, 
           32, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 91}, {7, 33, 9}, {70, 69,
            0, 9, 0, 125}, {12, 125, 92}, {7, 34, 9}, {70, 69, 0, 9, 0, 
           125}, {12, 125, 63}, {7, 35, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 
           44}, {7, 36, 9}, {70, 69, 0, 9, 0, 125}, {12, 125, 34}, {7, 37, 
           9}, {70, 69, 0, 9, 0, 125}, {12, 125, 47}, {7, 38, 9}, {70, 69, 0, 
           9, 0, 125}, {12, 125, 48}, {7, 39, 9}, {70, 69, 0, 9, 0, 125}, {12,
            125, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56,
            57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 55}, {67, 15, 2, 69}, {
           7, 1, 9}, {70, 69, 0, 9, 0, 14}, {70, 46, 0, 14, 2, 69}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 74}, {44, 
           74, 19}, {7, -1, 20}, {64, 19, 20, 3, 63}, {7, 0, 17}, {11, 17, 
           12}, {4, 4}, {70, 74, 0, 12, 1, 60}, {91, 69, 60, 67}, {66, 20, 67,
            63}, {5, 12, 19, -3}, {7, 1, 12}, {70, 63, 0, 12, 1, 69}, {7, 1, 
           12}, {70, 69, 0, 12, 0, 125}, {12, 125, 50}, {7, 2, 12}, {70, 69, 
           0, 12, 0, 125}, {12, 125, 51}, {7, 3, 12}, {70, 69, 0, 12, 0, 
           125}, {12, 125, 52}, {67, 50, 51, 52, 3, 74}, {7, 2, 12}, {70, 63, 
           0, 12, 1, 69}, {7, 1, 12}, {70, 69, 0, 12, 0, 125}, {12, 125, 
           53}, {7, 2, 12}, {70, 69, 0, 12, 0, 125}, {12, 125, 54}, {7, 3, 
           12}, {70, 69, 0, 12, 0, 125}, {12, 125, 55}, {67, 53, 54, 55, 3, 
           71}, {7, 3, 12}, {70, 63, 0, 12, 1, 69}, {7, 1, 12}, {70, 69, 0, 
           12, 0, 125}, {12, 125, 56}, {7, 2, 12}, {70, 69, 0, 12, 0, 125}, {
           12, 125, 57}, {7, 3, 12}, {70, 69, 0, 12, 0, 125}, {12, 125, 58}, {
           67, 56, 57, 58, 3, 67}, {68, 74, 71, 67, 69}, {67, 50, 51, 52, 3, 
           63}, {67, 50, 51, 52, 3, 74}, {91, 63, 74, 125}, {12, 125, 105}, {
           8, -1., 125}, {18, 105, 125, 122}, {93, 36, 3, 0, 122, 3, 0, 
           125}, {8, 1.*^-6, 122}, {37, 122, 125, 19}, {3, 19, 78}, {67, 50, 
           51, 52, 3, 63}, {7, 1, 12}, {93, 55, 3, 0, 105, 3, 0, 125}, {94, 
           260, 2, 0, 12, 3, 0, 125, 3, 0, 122}, {94, 273, 3, 0, 122, 3, 1, 
           63, 3, 1, 74}, {46, 74, 21}, {46, 21, 74}, {7, 1, 12}, {70, 74, 0, 
           12, 0, 122}, {12, 122, 50}, {7, 2, 12}, {70, 74, 0, 12, 0, 122}, {
           12, 122, 51}, {7, 3, 12}, {70, 74, 0, 12, 0, 122}, {12, 122, 52}, {
           67, 50, 51, 52, 3, 63}, {67, 50, 51, 52, 3, 74}, {67, 53, 54, 55, 
           3, 71}, {67, 56, 57, 58, 3, 67}, {68, 74, 71, 67, 60}, {44, 60, 
           9}, {7, -1, 19}, {64, 9, 19, 3, 74}, {7, 0, 17}, {11, 17, 20}, {4, 
           10}, {70, 60, 0, 20, 1, 67}, {7, 1, 17}, {70, 60, 0, 20, 1, 76}, {
           70, 60, 0, 20, 1, 77}, {91, 76, 77, 122}, {93, 55, 3, 0, 122, 3, 0,
            125}, {94, 260, 2, 0, 17, 3, 0, 125, 3, 0, 122}, {94, 273, 3, 0, 
           122, 3, 1, 67, 3, 1, 76}, {66, 19, 76, 74}, {5, 20, 9, -9}, {46, 
           74, 19}, {46, 19, 74}, {7, 1, 20}, {70, 74, 0, 20, 1, 60}, {7, 1, 
           20}, {70, 60, 0, 20, 0, 122}, {12, 122, 50}, {7, 2, 20}, {70, 60, 
           0, 20, 0, 122}, {12, 122, 51}, {7, 3, 20}, {70, 60, 0, 20, 0, 
           122}, {12, 122, 52}, {67, 50, 51, 52, 3, 71}, {7, 2, 20}, {70, 74, 
           0, 20, 1, 60}, {7, 1, 20}, {70, 60, 0, 20, 0, 122}, {12, 122, 
           53}, {7, 2, 20}, {70, 60, 0, 20, 0, 122}, {12, 122, 54}, {7, 3, 
           20}, {70, 60, 0, 20, 0, 122}, {12, 122, 55}, {67, 53, 54, 55, 3, 
           76}, {7, 3, 20}, {70, 74, 0, 20, 1, 60}, {7, 1, 20}, {70, 60, 0, 
           20, 0, 122}, {12, 122, 56}, {7, 2, 20}, {70, 60, 0, 20, 0, 122}, {
           12, 122, 57}, {7, 3, 20}, {70, 60, 0, 20, 0, 122}, {12, 122, 58}, {
           67, 56, 57, 58, 3, 67}, {68, 71, 76, 67, 60}, {4, 1}, {
           8, 0., 122}, {9, 0., 1., 6}, {8, 0., 125}, {16, 122, 125, 7}, {22, 
           7, 6, 7}, {8, 0., 122}, {9, 0., 1., 6}, {8, 0., 125}, {16, 122, 
           125, 5}, {22, 5, 6, 5}, {8, 0., 122}, {9, 0., 1., 6}, {
           8, 0., 125}, {16, 122, 125, 4}, {22, 4, 6, 4}, {67, 7, 5, 4, 4, 
           60}, {68, 60, 74}, {53, 1, 74, 0, 19}, {43, 19, 15}, {3, 15, 
           103}, {67, 15, 2, 74}, {7, 1, 20}, {70, 74, 0, 20, 0, 12}, {70, 1, 
           0, 12, 1, 74}, {46, 74, 2}, {67, 53, 54, 55, 3, 74}, {48, 74, 
           60}, {91, 60, 2, 7}, {13, 7, 0}, {67, 56, 57, 58, 3, 74}, {48, 74, 
           60}, {91, 60, 2, 7}, {13, 7, 3}, {93, 36, 4, 0, 0, 3, 0, 122}, {
           8, 0., 125}, {37, 125, 122, 19}, {3, 19, 4}, {6, True, 16}, {10, 
           16, 17}, {4, 5}, {93, 36, 4, 0, 3, 3, 0, 122}, {8, 0., 125}, {37, 
           125, 122, 12}, {10, 12, 17}, {3, 17, 77}, {93, 36, 4, 0, 0, 3, 0, 
           122}, {93, 36, 4, 0, 3, 3, 0, 125}, {8, 0., 123}, {67, 122, 125, 
           123, 3, 74}, {7, 1, 12}, {70, 74, 0, 12, 0, 122}, {12, 122, 47}, {
           7, 2, 12}, {70, 74, 0, 12, 0, 122}, {12, 122, 48}, {7, 3, 12}, {70,
            74, 0, 12, 0, 122}, {12, 122, 49}, {67, 47, 48, 49, 3, 60}, {67, 
           47, 48, 49, 3, 74}, {7, 1, 12}, {67, 47, 48, 49, 3, 71}, {67, 47, 
           48, 49, 3, 76}, {91, 71, 76, 122}, {93, 55, 3, 0, 122, 3, 0, 
           125}, {94, 260, 2, 0, 12, 3, 0, 125, 3, 0, 122}, {94, 273, 3, 0, 
           122, 3, 1, 74, 3, 1, 71}, {46, 71, 21}, {46, 21, 71}, {7, 1, 12}, {
           70, 71, 0, 12, 0, 122}, {12, 122, 47}, {7, 2, 12}, {70, 71, 0, 12, 
           0, 122}, {12, 122, 48}, {7, 3, 12}, {70, 71, 0, 12, 0, 122}, {12, 
           122, 49}, {67, 47, 48, 49, 3, 74}, {67, 47, 48, 49, 3, 71}, {7, 3, 
           12}, {8, 0., 122}, {8, 0., 125}, {16, 122, 125, 7}, {35, 3, 7, 0, 
           19}, {3, 19, 4}, {8, 0., 122}, {12, 122, 123}, {4, 3}, {93, 37, 4, 
           0, 3, 3, 0, 125}, {12, 125, 123}, {8, 0., 122}, {8, 0., 125}, {16, 
           122, 125, 7}, {35, 0, 7, 0, 19}, {3, 19, 4}, {8, 0., 122}, {12, 
           122, 127}, {4, 3}, {93, 37, 4, 0, 0, 3, 0, 125}, {12, 125, 127}, {
           24, 127, 122}, {18, 123, 122, 123}, {7, 1, 20}, {
           8, 0.017453292519943295`, 122}, {94, 260, 2, 0, 20, 3, 0, 122, 3, 
           0, 127}, {21, 123, 127, 123}, {71, 71, 0, 12, 0, 123}, {46, 71, 
           21}, {46, 21, 71}, {7, 1, 12}, {70, 71, 0, 12, 0, 123}, {12, 123, 
           47}, {7, 2, 12}, {70, 71, 0, 12, 0, 123}, {12, 123, 48}, {7, 3, 
           12}, {70, 71, 0, 12, 0, 123}, {12, 123, 49}, {67, 47, 48, 49, 3, 
           76}, {4, 1}, {4, 1}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 60}, {66, 
           13, 60, 56}, {5, 15, 5, -382}, {46, 56, 0}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 72}, {68, 15, 75}, {68, 0, 72, 75, 56}, {46, 56, 69}, {4, 
           2129}, {7, 4, 15}, {33, 3, 15, 15}, {3, 15, 2113}, {70, 24, 0, 6, 
           1, 54}, {7, 1, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 70}, {7, 2, 
           15}, {70, 54, 0, 15, 0, 123}, {12, 123, 72}, {7, 3, 15}, {70, 54, 
           0, 15, 0, 123}, {12, 123, 74}, {7, 4, 15}, {70, 54, 0, 15, 0, 
           123}, {12, 123, 67}, {7, 5, 15}, {70, 54, 0, 15, 0, 123}, {12, 123,
            68}, {7, 6, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 69}, {7, 7, 
           15}, {70, 54, 0, 15, 0, 123}, {12, 123, 50}, {7, 8, 15}, {70, 54, 
           0, 15, 0, 123}, {12, 123, 51}, {7, 9, 15}, {70, 54, 0, 15, 0, 
           123}, {12, 123, 52}, {7, 10, 15}, {70, 54, 0, 15, 0, 123}, {12, 
           123, 53}, {7, 11, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 54}, {7, 
           12, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 55}, {7, 13, 15}, {70, 
           54, 0, 15, 0, 123}, {12, 123, 56}, {7, 14, 15}, {70, 54, 0, 15, 0, 
           123}, {12, 123, 57}, {7, 15, 15}, {70, 54, 0, 15, 0, 123}, {12, 
           123, 58}, {7, 16, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 116}, {7,
            17, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 32}, {7, 18, 15}, {70,
            54, 0, 15, 0, 123}, {12, 123, 33}, {7, 19, 15}, {70, 54, 0, 15, 0,
            123}, {12, 123, 59}, {7, 20, 15}, {70, 54, 0, 15, 0, 123}, {12, 
           123, 29}, {7, 21, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 45}, {7, 
           22, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 46}, {7, 23, 15}, {70, 
           54, 0, 15, 0, 123}, {12, 123, 24}, {7, 24, 15}, {70, 54, 0, 15, 0, 
           123}, {12, 123, 94}, {7, 25, 15}, {70, 54, 0, 15, 0, 123}, {12, 
           123, 93}, {7, 26, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 60}, {7, 
           27, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 61}, {7, 28, 15}, {70, 
           54, 0, 15, 0, 123}, {12, 123, 87}, {7, 29, 15}, {70, 54, 0, 15, 0, 
           123}, {12, 123, 26}, {7, 30, 15}, {70, 54, 0, 15, 0, 123}, {12, 
           123, 89}, {7, 31, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 90}, {7, 
           32, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 91}, {7, 33, 15}, {70, 
           54, 0, 15, 0, 123}, {12, 123, 92}, {7, 34, 15}, {70, 54, 0, 15, 0, 
           123}, {12, 123, 63}, {7, 35, 15}, {70, 54, 0, 15, 0, 123}, {12, 
           123, 44}, {7, 36, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 34}, {7, 
           37, 15}, {70, 54, 0, 15, 0, 123}, {12, 123, 47}, {7, 38, 15}, {70, 
           54, 0, 15, 0, 123}, {12, 123, 48}, {7, 39, 15}, {70, 54, 0, 15, 0, 
           123}, {12, 123, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 68}, {12, 
           29, 30}, {8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 
           2, 3, 0, 123, 3, 0, 127}, {21, 50, 127, 123}, {
           8, 0.017453292519943295`, 127}, {21, 127, 5, 127}, {93, 1, 3, 0, 
           127, 3, 0, 122}, {21, 51, 122, 127}, {18, 123, 127, 123}, {12, 123,
            117}, {8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 
           3, 0, 123, 3, 0, 127}, {21, 51, 127, 123}, {8, 1., 127}, {
           8, 0.017453292519943295`, 122}, {21, 122, 5, 122}, {93, 1, 3, 0, 
           122, 3, 0, 125}, {21, 127, 50, 125, 127}, {24, 127, 125}, {18, 123,
            125, 123}, {12, 123, 118}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 2, 3, 0, 123, 3, 0, 125}, {7, 2, 15}, {94, 264, 
           3, 0, 125, 2, 0, 15, 3, 0, 123}, {8, 0.017453292519943295`, 125}, {
           21, 125, 5, 125}, {93, 1, 3, 0, 125, 3, 0, 127}, {7, 2, 15}, {94, 
           264, 3, 0, 127, 2, 0, 15, 3, 0, 125}, {18, 123, 125, 123}, {21, 52,
            123, 125}, {12, 125, 119}, {8, 1.*^-10, 125}, {94, 270, 3, 0, 117,
            3, 0, 125, 3, 0, 123}, {12, 123, 117}, {8, 1.*^-10, 123}, {94, 
           270, 3, 0, 118, 3, 0, 123, 3, 0, 125}, {12, 125, 118}, {
           8, 1.*^-10, 125}, {94, 270, 3, 0, 119, 3, 0, 125, 3, 0, 123}, {12, 
           123, 119}, {7, 2, 15}, {94, 264, 3, 0, 117, 2, 0, 15, 3, 0, 123}, {
           7, 2, 15}, {94, 264, 3, 0, 118, 2, 0, 15, 3, 0, 125}, {7, 2, 15}, {
           94, 264, 3, 0, 119, 2, 0, 15, 3, 0, 127}, {18, 123, 125, 127, 
           123}, {7, 1, 15}, {7, 2, 10}, {15, 0, 15, 125}, {15, 0, 10, 127}, {
           94, 260, 3, 0, 125, 3, 0, 127, 3, 0, 122}, {94, 264, 3, 0, 123, 3, 
           0, 122, 3, 0, 125}, {12, 125, 35}, {7, 1, 15}, {94, 260, 2, 0, 15, 
           3, 0, 35, 3, 0, 125}, {21, 117, 125, 123}, {12, 123, 117}, {7, 1, 
           15}, {94, 260, 2, 0, 15, 3, 0, 35, 3, 0, 123}, {21, 118, 123, 
           125}, {12, 125, 118}, {7, 1, 15}, {94, 260, 2, 0, 15, 3, 0, 35, 3, 
           0, 125}, {21, 119, 125, 123}, {12, 123, 119}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 3, 0, 
           123, 3, 0, 125}, {8, 1., 123}, {8, 0.017453292519943295`, 122}, {
           21, 122, 5, 122}, {93, 2, 3, 0, 122, 3, 0, 127}, {21, 13, 127, 
           122}, {18, 15, 122, 127}, {21, 123, 127, 123}, {24, 123, 127}, {18,
            67, 127, 123}, {21, 125, 123, 125}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 1, 3, 0, 
           123, 3, 0, 127}, {8, 1., 123}, {8, 0.017453292519943295`, 122}, {
           21, 122, 5, 122}, {93, 1, 3, 0, 122, 3, 0, 121}, {21, 13, 121, 
           122}, {18, 17, 122, 121}, {21, 123, 121, 123}, {24, 123, 121}, {18,
            68, 121, 123}, {21, 127, 123, 127}, {18, 125, 127, 125}, {12, 125,
            79}, {8, -1., 125}, {8, 1., 127}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 3, 0, 
           123, 3, 0, 121}, {21, 13, 121, 123}, {18, 15, 123, 121}, {21, 127, 
           121, 127}, {24, 127, 121}, {18, 67, 121, 127}, {
           8, 0.017453292519943295`, 121}, {21, 121, 5, 121}, {93, 1, 3, 0, 
           121, 3, 0, 123}, {21, 125, 127, 123, 125}, {
           8, 0.017453292519943295`, 127}, {21, 127, 5, 127}, {93, 2, 3, 0, 
           127, 3, 0, 123}, {8, 1., 127}, {8, 0.017453292519943295`, 121}, {
           21, 121, 5, 121}, {93, 1, 3, 0, 121, 3, 0, 122}, {21, 13, 122, 
           121}, {18, 17, 121, 122}, {21, 127, 122, 127}, {24, 127, 122}, {18,
            68, 122, 127}, {21, 123, 127, 123}, {18, 125, 123, 125}, {12, 125,
            81}, {8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 2, 
           3, 0, 125, 3, 0, 123}, {7, 2, 15}, {94, 264, 3, 0, 123, 2, 0, 15, 
           3, 0, 125}, {8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {
           93, 1, 3, 0, 123, 3, 0, 127}, {7, 2, 15}, {94, 264, 3, 0, 127, 2, 
           0, 15, 3, 0, 123}, {18, 125, 123, 125}, {21, 69, 125, 123}, {12, 
           123, 83}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 79, 3, 0, 123, 3, 0, 
           125}, {12, 125, 79}, {8, 1.*^-10, 125}, {94, 270, 3, 0, 81, 3, 0, 
           125, 3, 0, 123}, {12, 123, 81}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 
           83, 3, 0, 123, 3, 0, 125}, {12, 125, 83}, {6, False, 17}, {10, 17, 
           11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 54}, {46, 54, 25}, {46, 41, 
           25}, {70, 23, 0, 3, 0, 15}, {7, 1, 10}, {33, 15, 10, 17}, {10, 17, 
           3}, {45, {1., 4., 16548.}, 3, 3, 54}, {7, 1, 15}, {70, 54, 0, 15, 
           0, 125}, {12, 125, 40}, {7, 2, 15}, {70, 54, 0, 15, 0, 125}, {12, 
           125, 43}, {7, 3, 15}, {70, 54, 0, 15, 0, 125}, {12, 125, 42}, {67, 
           40, 43, 42, 3, 62}, {45, {1., 4., 16548.}, 3, 3, 54}, {7, 1, 15}, {
           70, 54, 0, 15, 0, 125}, {12, 125, 24}, {7, 2, 15}, {70, 54, 0, 15, 
           0, 125}, {12, 125, 94}, {7, 3, 15}, {70, 54, 0, 15, 0, 125}, {12, 
           125, 93}, {67, 24, 94, 93, 3, 65}, {7, 1, 15}, {70, 25, 0, 15, 1, 
           54}, {7, 1, 15}, {70, 54, 0, 15, 0, 125}, {12, 125, 59}, {7, 2, 
           15}, {70, 54, 0, 15, 0, 125}, {12, 125, 60}, {7, 3, 15}, {70, 54, 
           0, 15, 0, 125}, {12, 125, 61}, {67, 59, 60, 61, 3, 72}, {12, 67, 
           70}, {12, 68, 72}, {12, 69, 74}, {21, 59, 117, 125}, {18, 79, 125, 
           123}, {12, 123, 80}, {21, 59, 118, 123}, {18, 81, 123, 125}, {12, 
           125, 82}, {21, 59, 119, 125}, {18, 83, 125, 123}, {12, 123, 84}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 3, 0, 
           123, 3, 0, 125}, {21, 80, 125, 123}, {
           8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 2, 3, 0, 
           125, 3, 0, 127}, {21, 13, 127, 125}, {18, 15, 125, 127}, {
           8, 1., 125}, {8, 0.017453292519943295`, 122}, {21, 122, 5, 122}, {
           93, 1, 3, 0, 122, 3, 0, 121}, {21, 125, 82, 121, 125}, {24, 125, 
           121}, {18, 123, 127, 121, 123}, {12, 123, 67}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 3, 0, 
           123, 3, 0, 127}, {21, 82, 127, 123}, {
           8, 0.017453292519943295`, 127}, {21, 127, 5, 127}, {93, 1, 3, 0, 
           127, 3, 0, 121}, {21, 80, 121, 127}, {
           8, 0.017453292519943295`, 121}, {21, 121, 5, 121}, {93, 1, 3, 0, 
           121, 3, 0, 125}, {21, 13, 125, 121}, {18, 17, 121, 125}, {18, 123, 
           127, 125, 123}, {12, 123, 68}, {8, 0.017453292519943295`, 123}, {
           21, 123, 5, 123}, {93, 2, 3, 0, 123, 3, 0, 127}, {7, 2, 15}, {94, 
           264, 3, 0, 127, 2, 0, 15, 3, 0, 123}, {
           8, 0.017453292519943295`, 127}, {21, 127, 5, 127}, {93, 1, 3, 0, 
           127, 3, 0, 125}, {7, 2, 15}, {94, 264, 3, 0, 125, 2, 0, 15, 3, 0, 
           127}, {18, 123, 127, 123}, {21, 84, 123, 127}, {12, 127, 69}, {
           8, 1.*^-10, 127}, {94, 270, 3, 0, 67, 3, 0, 127, 3, 0, 123}, {12, 
           123, 67}, {8, 1.*^-10, 123}, {94, 270, 3, 0, 68, 3, 0, 123, 3, 0, 
           127}, {12, 127, 68}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 69, 3, 0, 
           127, 3, 0, 123}, {12, 123, 69}, {7, 0, 15}, {15, 0, 15, 123}, {34, 
           67, 123, 0, 17}, {3, 17, 14}, {7, 0, 15}, {15, 0, 15, 123}, {34, 
           68, 123, 0, 19}, {3, 19, 6}, {7, 0, 15}, {15, 0, 15, 123}, {34, 69,
            123, 0, 16}, {10, 16, 22}, {4, 3}, {6, False, 12}, {10, 12, 22}, {
           10, 22, 16}, {4, 3}, {6, False, 19}, {10, 19, 16}, {3, 16, 17}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 3, 0, 
           123, 3, 0, 127}, {21, 13, 127, 123}, {18, 15, 123, 127}, {18, 80, 
           127, 123}, {12, 123, 67}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 127}, {21, 13, 127, 123}, {
           18, 17, 123, 127}, {18, 82, 127, 123}, {12, 123, 68}, {12, 84, 
           69}, {4, 1}, {8, 1., 123}, {18, 34, 123, 127}, {12, 127, 34}, {21, 
           59, 30, 127}, {18, 45, 127, 123}, {12, 123, 45}, {67, 70, 72, 74, 
           67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 
           29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34,
            47, 48, 49, 3, 54}, {46, 54, 15}, {6, True, 16}, {10, 16, 10}, {
           6, True, 16}, {10, 16, 4}, {6, True, 16}, {10, 16, 2}, {
           6, True, 16}, {10, 16, 5}, {8, 1., 123}, {8, 1., 127}, {
           8, -1., 125}, {7, 1, 15}, {93, 42, 3, 0, 11, 2, 0, 10}, {15, 0, 15,
            121}, {15, 0, 10, 122}, {94, 260, 3, 0, 121, 3, 0, 122, 3, 0, 
           120}, {7, 1, 15}, {7, 1, 10}, {7, 2, 18}, {94, 264, 3, 0, 11, 2, 0,
            18, 3, 0, 121}, {94, 260, 2, 0, 10, 3, 0, 121, 3, 0, 122}, {
           8, 1., 121}, {7, 2, 10}, {94, 264, 3, 0, 60, 2, 0, 10, 3, 0, 
           124}, {21, 121, 124, 121}, {24, 121, 124}, {8, 1., 121}, {7, 2, 
           10}, {94, 264, 3, 0, 61, 2, 0, 10, 3, 0, 126}, {21, 121, 126, 
           121}, {24, 121, 126}, {18, 122, 124, 126, 122}, {8, 0.5, 124}, {94,
            264, 3, 0, 122, 3, 0, 124, 4, 0, 7}, {94, 260, 2, 0, 15, 4, 0, 7, 
           4, 0, 5}, {8, 0., 122}, {16, 60, 122, 7}, {8, 0., 124}, {16, 120, 
           124, 4}, {22, 7, 4, 5, 7}, {8, 0., 120}, {16, 125, 120, 5}, {22, 5,
            7, 5}, {8, -1., 125}, {7, 1, 15}, {93, 42, 3, 0, 11, 2, 0, 10}, {
           15, 0, 15, 120}, {15, 0, 10, 122}, {94, 260, 3, 0, 120, 3, 0, 122, 
           3, 0, 124}, {7, 1, 15}, {7, 1, 10}, {7, 2, 18}, {94, 264, 3, 0, 11,
            2, 0, 18, 3, 0, 120}, {94, 260, 2, 0, 10, 3, 0, 120, 3, 0, 122}, {
           8, 1., 120}, {7, 2, 10}, {94, 264, 3, 0, 60, 2, 0, 10, 3, 0, 
           126}, {21, 120, 126, 120}, {24, 120, 126}, {8, 1., 120}, {7, 2, 
           10}, {94, 264, 3, 0, 61, 2, 0, 10, 3, 0, 121}, {21, 120, 121, 
           120}, {24, 120, 121}, {18, 122, 126, 121, 122}, {8, 0.5, 126}, {94,
            264, 3, 0, 122, 3, 0, 126, 4, 0, 7}, {94, 260, 2, 0, 15, 4, 0, 7, 
           4, 0, 4}, {8, 0., 122}, {16, 61, 122, 7}, {8, 0., 126}, {16, 124, 
           126, 6}, {22, 7, 6, 4, 7}, {8, 0., 124}, {16, 125, 124, 4}, {22, 4,
            7, 4}, {8, 0., 125}, {16, 127, 125, 7}, {67, 7, 5, 4, 4, 54}, {7, 
           1, 15}, {93, 42, 3, 0, 11, 2, 0, 10}, {15, 0, 15, 127}, {15, 0, 10,
            125}, {94, 260, 3, 0, 127, 3, 0, 125, 3, 0, 124}, {7, 1, 15}, {7, 
           1, 10}, {7, 2, 18}, {94, 264, 3, 0, 11, 2, 0, 18, 3, 0, 127}, {94, 
           260, 2, 0, 10, 3, 0, 127, 3, 0, 125}, {8, 1., 127}, {7, 2, 10}, {
           94, 264, 3, 0, 60, 2, 0, 10, 3, 0, 122}, {21, 127, 122, 127}, {24, 
           127, 122}, {8, 1., 127}, {7, 2, 10}, {94, 264, 3, 0, 61, 2, 0, 10, 
           3, 0, 126}, {21, 127, 126, 127}, {24, 127, 126}, {18, 125, 122, 
           126, 125}, {8, 0.5, 122}, {94, 264, 3, 0, 125, 3, 0, 122, 4, 0, 
           5}, {94, 260, 2, 0, 15, 4, 0, 5, 4, 0, 4}, {8, 0., 125}, {16, 60, 
           125, 5}, {8, 0., 122}, {16, 124, 122, 7}, {22, 5, 7, 4, 5}, {
           8, 1., 124}, {8, 0., 125}, {8, 0., 122}, {16, 124, 122, 4}, {
           8, 0., 126}, {16, 125, 126, 7}, {67, 5, 4, 7, 4, 75}, {7, 1, 15}, {
           93, 42, 3, 0, 11, 2, 0, 10}, {15, 0, 15, 124}, {15, 0, 10, 125}, {
           94, 260, 3, 0, 124, 3, 0, 125, 3, 0, 122}, {7, 1, 15}, {7, 1, 
           10}, {7, 2, 18}, {94, 264, 3, 0, 11, 2, 0, 18, 3, 0, 124}, {94, 
           260, 2, 0, 10, 3, 0, 124, 3, 0, 125}, {8, 1., 124}, {7, 2, 10}, {
           94, 264, 3, 0, 60, 2, 0, 10, 3, 0, 126}, {21, 124, 126, 124}, {24, 
           124, 126}, {8, 1., 124}, {7, 2, 10}, {94, 264, 3, 0, 61, 2, 0, 10, 
           3, 0, 127}, {21, 124, 127, 124}, {24, 124, 127}, {18, 125, 126, 
           127, 125}, {8, 0.5, 126}, {94, 264, 3, 0, 125, 3, 0, 126, 4, 0, 
           5}, {94, 260, 2, 0, 15, 4, 0, 5, 4, 0, 4}, {8, 0., 125}, {16, 61, 
           125, 5}, {8, 0., 126}, {16, 122, 126, 7}, {22, 5, 7, 4, 5}, {
           8, 0., 122}, {8, 1., 125}, {8, 0., 126}, {16, 122, 126, 4}, {
           8, 0., 127}, {16, 125, 127, 7}, {67, 5, 4, 7, 4, 58}, {68, 54, 75, 
           58, 60}, {93, 40, 4, 2, 60, 3, 2, 54}, {94, 273, 3, 0, 123, 3, 2, 
           54, 3, 2, 60}, {46, 60, 44}, {44, 44, 18}, {7, -1, 5}, {64, 18, 5, 
           3, 58}, {7, 0, 12}, {11, 12, 13}, {4, 274}, {
           8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 2, 3, 0, 
           125, 3, 0, 122}, {8, 0.017453292519943295`, 125}, {21, 125, 5, 
           125}, {93, 2, 3, 0, 125, 3, 0, 126}, {7, 2, 12}, {94, 264, 3, 0, 
           126, 2, 0, 12, 3, 0, 125}, {8, 0.017453292519943295`, 126}, {21, 
           126, 5, 126}, {93, 1, 3, 0, 126, 3, 0, 127}, {7, 2, 12}, {94, 264, 
           3, 0, 127, 2, 0, 12, 3, 0, 126}, {18, 125, 126, 125}, {21, 122, 
           125, 122}, {7, 1, 12}, {8, 0.017453292519943295`, 125}, {21, 125, 
           5, 125}, {93, 2, 3, 0, 125, 3, 0, 126}, {7, 2, 20}, {94, 264, 3, 0,
            126, 2, 0, 20, 3, 0, 125}, {8, 0.017453292519943295`, 126}, {21, 
           126, 5, 126}, {93, 2, 3, 0, 126, 3, 0, 127}, {7, 2, 20}, {94, 264, 
           3, 0, 127, 2, 0, 20, 3, 0, 126}, {8, 0.017453292519943295`, 127}, {
           21, 127, 5, 127}, {93, 1, 3, 0, 127, 3, 0, 123}, {7, 2, 20}, {94, 
           264, 3, 0, 123, 2, 0, 20, 3, 0, 127}, {18, 126, 127, 126}, {21, 
           125, 126, 125}, {8, 0.017453292519943295`, 126}, {21, 126, 5, 
           126}, {93, 1, 3, 0, 126, 3, 0, 127}, {7, 2, 20}, {94, 264, 3, 0, 
           127, 2, 0, 20, 3, 0, 126}, {8, 0.017453292519943295`, 127}, {21, 
           127, 5, 127}, {93, 2, 3, 0, 127, 3, 0, 123}, {7, 2, 20}, {94, 264, 
           3, 0, 123, 2, 0, 20, 3, 0, 127}, {8, 0.017453292519943295`, 123}, {
           21, 123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 124}, {7, 2, 20}, {94, 
           264, 3, 0, 124, 2, 0, 20, 3, 0, 123}, {18, 127, 123, 127}, {21, 
           126, 127, 126}, {18, 125, 126, 125}, {94, 260, 2, 0, 12, 3, 0, 125,
            3, 0, 126}, {21, 122, 126, 122}, {8, -1., 126}, {
           8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 1, 3, 0, 
           125, 3, 0, 127}, {8, 0.017453292519943295`, 125}, {21, 125, 5, 
           125}, {93, 2, 3, 0, 125, 3, 0, 123}, {7, 2, 12}, {94, 264, 3, 0, 
           123, 2, 0, 12, 3, 0, 125}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 124}, {7, 2, 12}, {94, 264, 
           3, 0, 124, 2, 0, 12, 3, 0, 123}, {18, 125, 123, 125}, {21, 126, 
           127, 125, 126}, {7, 1, 12}, {8, 0.017453292519943295`, 127}, {21, 
           127, 5, 127}, {93, 2, 3, 0, 127, 3, 0, 125}, {7, 2, 20}, {94, 264, 
           3, 0, 125, 2, 0, 20, 3, 0, 127}, {8, 0.017453292519943295`, 125}, {
           21, 125, 5, 125}, {93, 2, 3, 0, 125, 3, 0, 123}, {7, 2, 20}, {94, 
           264, 3, 0, 123, 2, 0, 20, 3, 0, 125}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 1, 3, 0, 
           123, 3, 0, 124}, {7, 2, 20}, {94, 264, 3, 0, 124, 2, 0, 20, 3, 0, 
           123}, {18, 125, 123, 125}, {21, 127, 125, 127}, {
           8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 1, 3, 0, 
           125, 3, 0, 123}, {7, 2, 20}, {94, 264, 3, 0, 123, 2, 0, 20, 3, 0, 
           125}, {8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 
           3, 0, 123, 3, 0, 124}, {7, 2, 20}, {94, 264, 3, 0, 124, 2, 0, 20, 
           3, 0, 123}, {8, 0.017453292519943295`, 124}, {21, 124, 5, 124}, {
           93, 1, 3, 0, 124, 3, 0, 121}, {7, 2, 20}, {94, 264, 3, 0, 121, 2, 
           0, 20, 3, 0, 124}, {18, 123, 124, 123}, {21, 125, 123, 125}, {18, 
           127, 125, 127}, {94, 260, 2, 0, 12, 3, 0, 127, 3, 0, 125}, {21, 
           126, 125, 126}, {8, 0., 125}, {67, 122, 126, 125, 3, 60}, {
           8, 0.017453292519943295`, 122}, {21, 122, 5, 122}, {93, 1, 3, 0, 
           122, 3, 0, 126}, {8, 0.017453292519943295`, 122}, {21, 122, 5, 
           122}, {93, 2, 3, 0, 122, 3, 0, 125}, {7, 2, 12}, {94, 264, 3, 0, 
           125, 2, 0, 12, 3, 0, 122}, {8, 0.017453292519943295`, 125}, {21, 
           125, 5, 125}, {93, 1, 3, 0, 125, 3, 0, 127}, {7, 2, 12}, {94, 264, 
           3, 0, 127, 2, 0, 12, 3, 0, 125}, {18, 122, 125, 122}, {21, 126, 
           122, 126}, {7, 1, 12}, {8, 0.017453292519943295`, 122}, {21, 122, 
           5, 122}, {93, 2, 3, 0, 122, 3, 0, 125}, {7, 2, 20}, {94, 264, 3, 0,
            125, 2, 0, 20, 3, 0, 122}, {8, 0.017453292519943295`, 125}, {21, 
           125, 5, 125}, {93, 2, 3, 0, 125, 3, 0, 127}, {7, 2, 20}, {94, 264, 
           3, 0, 127, 2, 0, 20, 3, 0, 125}, {8, 0.017453292519943295`, 127}, {
           21, 127, 5, 127}, {93, 1, 3, 0, 127, 3, 0, 123}, {7, 2, 20}, {94, 
           264, 3, 0, 123, 2, 0, 20, 3, 0, 127}, {18, 125, 127, 125}, {21, 
           122, 125, 122}, {8, 0.017453292519943295`, 125}, {21, 125, 5, 
           125}, {93, 1, 3, 0, 125, 3, 0, 127}, {7, 2, 20}, {94, 264, 3, 0, 
           127, 2, 0, 20, 3, 0, 125}, {8, 0.017453292519943295`, 127}, {21, 
           127, 5, 127}, {93, 2, 3, 0, 127, 3, 0, 123}, {7, 2, 20}, {94, 264, 
           3, 0, 123, 2, 0, 20, 3, 0, 127}, {8, 0.017453292519943295`, 123}, {
           21, 123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 124}, {7, 2, 20}, {94, 
           264, 3, 0, 124, 2, 0, 20, 3, 0, 123}, {18, 127, 123, 127}, {21, 
           125, 127, 125}, {18, 122, 125, 122}, {94, 260, 2, 0, 12, 3, 0, 122,
            3, 0, 125}, {21, 126, 125, 126}, {
           8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 2, 3, 0, 
           125, 3, 0, 122}, {8, 0.017453292519943295`, 125}, {21, 125, 5, 
           125}, {93, 2, 3, 0, 125, 3, 0, 127}, {7, 2, 12}, {94, 264, 3, 0, 
           127, 2, 0, 12, 3, 0, 125}, {8, 0.017453292519943295`, 127}, {21, 
           127, 5, 127}, {93, 1, 3, 0, 127, 3, 0, 123}, {7, 2, 12}, {94, 264, 
           3, 0, 123, 2, 0, 12, 3, 0, 127}, {18, 125, 127, 125}, {21, 122, 
           125, 122}, {7, 1, 12}, {8, 0.017453292519943295`, 125}, {21, 125, 
           5, 125}, {93, 2, 3, 0, 125, 3, 0, 127}, {7, 2, 20}, {94, 264, 3, 0,
            127, 2, 0, 20, 3, 0, 125}, {8, 0.017453292519943295`, 127}, {21, 
           127, 5, 127}, {93, 2, 3, 0, 127, 3, 0, 123}, {7, 2, 20}, {94, 264, 
           3, 0, 123, 2, 0, 20, 3, 0, 127}, {8, 0.017453292519943295`, 123}, {
           21, 123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 124}, {7, 2, 20}, {94, 
           264, 3, 0, 124, 2, 0, 20, 3, 0, 123}, {18, 127, 123, 127}, {21, 
           125, 127, 125}, {8, 0.017453292519943295`, 127}, {21, 127, 5, 
           127}, {93, 1, 3, 0, 127, 3, 0, 123}, {7, 2, 20}, {94, 264, 3, 0, 
           123, 2, 0, 20, 3, 0, 127}, {8, 0.017453292519943295`, 123}, {21, 
           123, 5, 123}, {93, 2, 3, 0, 123, 3, 0, 124}, {7, 2, 20}, {94, 264, 
           3, 0, 124, 2, 0, 20, 3, 0, 123}, {8, 0.017453292519943295`, 124}, {
           21, 124, 5, 124}, {93, 1, 3, 0, 124, 3, 0, 121}, {7, 2, 20}, {94, 
           264, 3, 0, 121, 2, 0, 20, 3, 0, 124}, {18, 123, 124, 123}, {21, 
           127, 123, 127}, {18, 125, 127, 125}, {94, 260, 2, 0, 12, 3, 0, 125,
            3, 0, 127}, {21, 122, 127, 122}, {8, 0., 127}, {67, 126, 122, 127,
            3, 75}, {8, 0., 126}, {8, 0., 122}, {
           8, 0.017453292519943295`, 127}, {21, 127, 5, 127}, {93, 2, 3, 0, 
           127, 3, 0, 125}, {7, 2, 12}, {94, 264, 3, 0, 125, 2, 0, 12, 3, 0, 
           127}, {8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 1, 
           3, 0, 125, 3, 0, 123}, {7, 2, 12}, {94, 264, 3, 0, 123, 2, 0, 12, 
           3, 0, 125}, {18, 127, 125, 127}, {7, 1, 12}, {
           8, 0.017453292519943295`, 125}, {21, 125, 5, 125}, {93, 2, 3, 0, 
           125, 3, 0, 123}, {7, 2, 20}, {94, 264, 3, 0, 123, 2, 0, 20, 3, 0, 
           125}, {8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 2, 
           3, 0, 123, 3, 0, 124}, {7, 2, 20}, {94, 264, 3, 0, 124, 2, 0, 20, 
           3, 0, 123}, {8, 0.017453292519943295`, 124}, {21, 124, 5, 124}, {
           93, 1, 3, 0, 124, 3, 0, 121}, {7, 2, 20}, {94, 264, 3, 0, 121, 2, 
           0, 20, 3, 0, 124}, {18, 123, 124, 123}, {21, 125, 123, 125}, {
           8, 0.017453292519943295`, 123}, {21, 123, 5, 123}, {93, 1, 3, 0, 
           123, 3, 0, 124}, {7, 2, 20}, {94, 264, 3, 0, 124, 2, 0, 20, 3, 0, 
           123}, {8, 0.017453292519943295`, 124}, {21, 124, 5, 124}, {93, 2, 
           3, 0, 124, 3, 0, 121}, {7, 2, 20}, {94, 264, 3, 0, 121, 2, 0, 20, 
           3, 0, 124}, {8, 0.017453292519943295`, 121}, {21, 121, 5, 121}, {
           93, 1, 3, 0, 121, 3, 0, 120}, {7, 2, 20}, {94, 264, 3, 0, 120, 2, 
           0, 20, 3, 0, 121}, {18, 124, 121, 124}, {21, 123, 124, 123}, {18, 
           125, 123, 125}, {94, 260, 2, 0, 12, 3, 0, 125, 3, 0, 123}, {21, 
           127, 123, 127}, {67, 126, 122, 127, 3, 55}, {68, 60, 75, 55, 69}, {
           70, 44, 0, 13, 1, 60}, {91, 69, 60, 75}, {66, 5, 75, 58}, {5, 13, 
           18, -273}, {46, 58, 19}, {44, 19, 10}, {7, -1, 18}, {64, 10, 18, 3,
            58}, {7, 0, 12}, {11, 12, 5}, {4, 10}, {70, 19, 0, 5, 1, 75}, {7, 
           1, 12}, {70, 19, 0, 5, 1, 69}, {70, 19, 0, 5, 1, 60}, {91, 69, 60, 
           126}, {93, 55, 3, 0, 126, 3, 0, 122}, {94, 260, 2, 0, 12, 3, 0, 
           122, 3, 0, 126}, {94, 273, 3, 0, 126, 3, 1, 75, 3, 1, 69}, {66, 18,
            69, 58}, {5, 5, 10, -9}, {46, 58, 44}, {
           8, 0.017453292519943295`, 126}, {21, 126, 5, 126}, {93, 2, 3, 0, 
           126, 3, 0, 122}, {8, 0.017453292519943295`, 126}, {21, 126, 5, 
           126}, {93, 1, 3, 0, 126, 3, 0, 127}, {8, 0., 126}, {67, 122, 127, 
           126, 3, 58}, {8, -1., 122}, {8, 0.017453292519943295`, 127}, {21, 
           127, 5, 127}, {93, 1, 3, 0, 127, 3, 0, 126}, {21, 122, 126, 122}, {
           8, 0.017453292519943295`, 126}, {21, 126, 5, 126}, {93, 2, 3, 0, 
           126, 3, 0, 127}, {8, 0., 126}, {67, 122, 127, 126, 3, 54}, {
           8, 0., 122}, {8, 0., 127}, {8, 0.017453292519943295`, 126}, {21, 
           126, 5, 126}, {93, 2, 3, 0, 126, 3, 0, 123}, {7, 2, 5}, {94, 264, 
           3, 0, 123, 2, 0, 5, 3, 0, 126}, {8, 0.017453292519943295`, 123}, {
           21, 123, 5, 123}, {93, 1, 3, 0, 123, 3, 0, 125}, {7, 2, 5}, {94, 
           264, 3, 0, 125, 2, 0, 5, 3, 0, 123}, {18, 126, 123, 126}, {67, 122,
            127, 126, 3, 69}, {68, 58, 54, 69, 75}, {46, 75, 42}, {
           8, 0.017453292519943295`, 122}, {21, 122, 5, 122}, {93, 2, 3, 0, 
           122, 3, 0, 127}, {21, 13, 127, 122}, {18, 15, 122, 127}, {
           8, 0.017453292519943295`, 122}, {21, 122, 5, 122}, {93, 1, 3, 0, 
           122, 3, 0, 126}, {21, 13, 126, 122}, {18, 17, 122, 126}, {
           8, 0., 122}, {67, 127, 126, 122, 3, 75}, {46, 75, 43}, {
           8, -1., 127}, {12, 127, 18}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           75}, {46, 75, 15}, {12, 40, 24}, {12, 43, 94}, {12, 42, 93}, {67, 
           70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 28, 34, 47, 48, 49, 3, 75}, {46, 75, 31}, {7, 1, 5}, {70, 44, 
           0, 5, 1, 75}, {7, 1, 5}, {70, 44, 0, 5, 1, 58}, {67, 50, 51, 52, 3,
            54}, {91, 58, 54, 127}, {93, 42, 3, 0, 127, 2, 0, 5}, {94, 273, 2,
            0, 5, 3, 1, 75, 3, 1, 58}, {46, 58, 53}, {67, 50, 51, 52, 3, 
           58}, {91, 53, 58, 127}, {12, 127, 65}, {7, 1, 5}, {7, 2, 13}, {94, 
           264, 3, 0, 65, 2, 0, 13, 3, 0, 127}, {24, 127, 126}, {15, 0, 5, 
           127}, {18, 127, 126, 127}, {12, 127, 64}, {
           8, 2.220446049250313*^-16, 127}, {37, 64, 127, 16}, {3, 16, 4}, {
           8, 0., 127}, {12, 127, 64}, {4, 3}, {93, 55, 3, 0, 64, 3, 0, 
           127}, {12, 127, 64}, {67, 50, 51, 52, 3, 58}, {94, 273, 3, 0, 65, 
           3, 1, 53, 3, 1, 75}, {93, 41, 3, 1, 75, 3, 1, 54}, {51, 58, 54, 
           58}, {46, 58, 51}, {93, 36, 3, 0, 64, 3, 0, 127}, {
           8, 1.*^-7, 126}, {37, 127, 126, 16}, {3, 16, 5}, {7, 2, 5}, {70, 
           44, 0, 5, 1, 58}, {46, 58, 51}, {4, 5}, {7, 1, 5}, {94, 260, 2, 0, 
           5, 3, 0, 64, 3, 0, 127}, {94, 273, 3, 0, 127, 3, 1, 51, 3, 1, 
           58}, {46, 58, 51}, {7, 3, 5}, {70, 53, 0, 5, 0, 127}, {7, 2, 5}, {
           70, 51, 0, 5, 0, 126}, {21, 127, 126, 127}, {24, 127, 126}, {7, 2, 
           5}, {70, 53, 0, 5, 0, 127}, {7, 3, 5}, {70, 51, 0, 5, 0, 122}, {21,
            127, 122, 127}, {18, 126, 127, 126}, {7, 3, 5}, {70, 53, 0, 5, 0, 
           127}, {7, 1, 5}, {70, 51, 0, 5, 0, 122}, {21, 127, 122, 127}, {7, 
           1, 5}, {70, 53, 0, 5, 0, 122}, {7, 3, 5}, {70, 51, 0, 5, 0, 123}, {
           21, 122, 123, 122}, {24, 122, 123}, {18, 127, 123, 127}, {7, 2, 
           5}, {70, 53, 0, 5, 0, 123}, {7, 1, 5}, {70, 51, 0, 5, 0, 122}, {21,
            123, 122, 123}, {24, 123, 122}, {7, 1, 5}, {70, 53, 0, 5, 0, 
           123}, {7, 2, 5}, {70, 51, 0, 5, 0, 125}, {21, 123, 125, 123}, {18, 
           122, 123, 122}, {67, 126, 127, 122, 3, 54}, {46, 54, 52}, {7, 1, 
           5}, {91, 52, 52, 126}, {93, 55, 3, 0, 126, 3, 0, 127}, {94, 260, 2,
            0, 5, 3, 0, 127, 3, 0, 126}, {94, 273, 3, 0, 126, 3, 1, 52, 3, 1, 
           54}, {46, 54, 52}, {67, 50, 51, 52, 3, 54}, {91, 54, 51, 126}, {94,
            273, 3, 0, 126, 3, 1, 53, 3, 1, 54}, {67, 50, 51, 52, 3, 75}, {91,
            75, 53, 126}, {94, 273, 3, 0, 126, 3, 1, 51, 3, 1, 75}, {93, 41, 
           3, 1, 75, 3, 1, 69}, {51, 54, 69, 54}, {46, 54, 36}, {7, 1, 5}, {
           91, 36, 36, 126}, {93, 55, 3, 0, 126, 3, 0, 127}, {94, 260, 2, 0, 
           5, 3, 0, 127, 3, 0, 126}, {94, 273, 3, 0, 126, 3, 1, 36, 3, 1, 
           54}, {46, 54, 36}, {67, 47, 48, 49, 3, 54}, {
           45, {1, 2}, 2, 2, 69}, {70, 54, 1, 69, 1, 75}, {46, 75, 30}, {7, 1,
            5}, {91, 30, 30, 126}, {93, 55, 3, 0, 126, 3, 0, 127}, {94, 260, 
           2, 0, 5, 3, 0, 127, 3, 0, 126}, {94, 273, 3, 0, 126, 3, 1, 30, 3, 
           1, 75}, {46, 75, 30}, {8, 0., 126}, {9, 0., 1., 5}, {8, 0., 127}, {
           16, 126, 127, 4}, {22, 4, 5, 4}, {8, 0., 126}, {9, 0., 1., 5}, {
           8, 0., 127}, {16, 126, 127, 7}, {22, 7, 5, 7}, {8, 0., 126}, {
           9, 0., 1., 5}, {8, 0., 127}, {16, 126, 127, 6}, {22, 6, 5, 6}, {67,
            4, 7, 6, 4, 75}, {68, 75, 54}, {46, 54, 1}, {93, 55, 3, 0, 32, 3, 
           0, 126}, {7, 1, 5}, {70, 30, 0, 5, 0, 127}, {67, 53, 54, 55, 3, 
           54}, {94, 273, 3, 0, 127, 3, 1, 54, 3, 1, 75}, {7, 2, 5}, {70, 30, 
           0, 5, 0, 127}, {67, 56, 57, 58, 3, 54}, {9, 0., 1., 4}, {
           8, 0.017453292519943295`, 122}, {8, 0., 123}, {16, 49, 123, 7}, {
           8, 0., 125}, {16, 122, 125, 6}, {22, 4, 7, 6, 4}, {93, 34, 4, 0, 4,
            4, 0, 7}, {94, 273, 3, 0, 127, 4, 0, 7, 4, 0, 4}, {94, 273, 4, 0, 
           4, 3, 1, 54, 4, 1, 69}, {48, 75, 54}, {51, 54, 69, 54}, {94, 273, 
           3, 0, 126, 4, 1, 54, 4, 1, 75}, {46, 75, 2}, {48, 52, 75}, {91, 2, 
           75, 7}, {13, 7, 2}, {48, 36, 75}, {91, 2, 75, 7}, {13, 7, 1}, {67, 
           50, 51, 52, 3, 75}, {91, 42, 75, 54}, {7, 1, 5}, {70, 54, 0, 5, 0, 
           126}, {21, 18, 126, 127}, {7, 0, 5}, {15, 0, 5, 126}, {37, 126, 
           127, 16}, {3, 16, 122}, {8, 3.0539614, 127}, {
           8, 0.011580432, 126}, {7, 2, 5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 
           0, 122}, {21, 126, 122, 126}, {24, 126, 122}, {
           8, 0.039199816, 126}, {7, 1, 5}, {7, 2, 13}, {94, 264, 3, 0, 116, 
           2, 0, 13, 3, 0, 123}, {94, 260, 2, 0, 5, 3, 0, 123, 3, 0, 125}, {
           21, 126, 125, 126}, {8, 0.0029462812, 125}, {7, 1, 5}, {7, 4, 
           13}, {94, 264, 3, 0, 116, 2, 0, 13, 3, 0, 123}, {94, 260, 2, 0, 5, 
           3, 0, 123, 3, 0, 124}, {21, 125, 124, 125}, {
           8, 0.00020371019000000004`, 124}, {7, 1, 5}, {7, 6, 13}, {94, 264, 
           3, 0, 116, 2, 0, 13, 3, 0, 123}, {94, 260, 2, 0, 5, 3, 0, 123, 3, 
           0, 121}, {21, 124, 121, 124}, {24, 124, 121}, {
           8, 0.000027633568999999998`, 124}, {7, 1, 5}, {7, 8, 13}, {94, 264,
            3, 0, 116, 2, 0, 13, 3, 0, 123}, {94, 260, 2, 0, 5, 3, 0, 123, 3, 
           0, 120}, {21, 124, 120, 124}, {18, 127, 122, 126, 125, 121, 124, 
           127}, {93, 55, 3, 0, 127, 3, 0, 122}, {12, 122, 31}, {12, 29, 
           30}, {24, 30, 122}, {18, 31, 122, 127}, {93, 36, 3, 0, 127, 3, 0, 
           122}, {8, 0.01, 127}, {37, 122, 127, 17}, {3, 17, 47}, {
           8, 1.0005281111748805`, 122}, {8, 2.364805676582992*^-10, 127}, {7,
            2, 5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 126}, {21, 127, 126, 
           127}, {24, 127, 126}, {8, 2.9781670902982902`*^-6, 127}, {7, 1, 
           5}, {7, 2, 13}, {94, 264, 3, 0, 116, 2, 0, 13, 3, 0, 125}, {94, 
           260, 2, 0, 5, 3, 0, 125, 3, 0, 121}, {21, 127, 121, 127}, {
           8, 2.6004099469477187`*^-8, 121}, {7, 1, 5}, {7, 4, 13}, {94, 264, 
           3, 0, 116, 2, 0, 13, 3, 0, 125}, {94, 260, 2, 0, 5, 3, 0, 125, 3, 
           0, 124}, {21, 121, 124, 121}, {8, 3.7787839314048715`*^-10, 124}, {
           7, 1, 5}, {7, 6, 13}, {94, 264, 3, 0, 116, 2, 0, 13, 3, 0, 125}, {
           94, 260, 2, 0, 5, 3, 0, 125, 3, 0, 120}, {21, 124, 120, 124}, {
           8, 2.830549017940716*^-12, 120}, {7, 1, 5}, {7, 8, 13}, {94, 264, 
           3, 0, 116, 2, 0, 13, 3, 0, 125}, {94, 260, 2, 0, 5, 3, 0, 125, 3, 
           0, 123}, {21, 120, 123, 120}, {18, 122, 126, 127, 121, 124, 120, 
           122}, {93, 55, 3, 0, 122, 3, 0, 126}, {12, 126, 19}, {24, 30, 
           126}, {18, 19, 126, 122}, {93, 36, 3, 0, 122, 3, 0, 126}, {24, 30, 
           122}, {18, 31, 122, 127}, {93, 36, 3, 0, 127, 3, 0, 122}, {37, 122,
            126, 22}, {3, 22, 4}, {12, 31, 30}, {12, 19, 31}, {4, 2}, {12, 19,
            30}, {4, 34}, {8, 1.0005281111748805`, 126}, {
           8, 2.364805676582992*^-10, 122}, {7, 2, 5}, {94, 264, 3, 0, 116, 2,
            0, 5, 3, 0, 127}, {21, 122, 127, 122}, {24, 122, 127}, {
           8, 2.9781670902982902`*^-6, 122}, {7, 1, 5}, {7, 2, 13}, {94, 264, 
           3, 0, 116, 2, 0, 13, 3, 0, 121}, {94, 260, 2, 0, 5, 3, 0, 121, 3, 
           0, 124}, {21, 122, 124, 122}, {8, 2.6004099469477187`*^-8, 124}, {
           7, 1, 5}, {7, 4, 13}, {94, 264, 3, 0, 116, 2, 0, 13, 3, 0, 121}, {
           94, 260, 2, 0, 5, 3, 0, 121, 3, 0, 120}, {21, 124, 120, 124}, {
           8, 3.7787839314048715`*^-10, 120}, {7, 1, 5}, {7, 6, 13}, {94, 264,
            3, 0, 116, 2, 0, 13, 3, 0, 121}, {94, 260, 2, 0, 5, 3, 0, 121, 3, 
           0, 123}, {21, 120, 123, 120}, {8, 2.830549017940716*^-12, 123}, {7,
            1, 5}, {7, 8, 13}, {94, 264, 3, 0, 116, 2, 0, 13, 3, 0, 121}, {94,
            260, 2, 0, 5, 3, 0, 121, 3, 0, 125}, {21, 123, 125, 123}, {18, 
           126, 127, 122, 124, 120, 123, 126}, {93, 55, 3, 0, 126, 3, 0, 
           127}, {12, 127, 30}, {4, 122}, {8, 1.0005281111748805`, 127}, {
           8, 2.364805676582992*^-10, 126}, {7, 2, 5}, {94, 264, 3, 0, 116, 2,
            0, 5, 3, 0, 122}, {21, 126, 122, 126}, {24, 126, 122}, {
           8, 2.9781670902982902`*^-6, 126}, {7, 1, 5}, {7, 2, 13}, {94, 264, 
           3, 0, 116, 2, 0, 13, 3, 0, 124}, {94, 260, 2, 0, 5, 3, 0, 124, 3, 
           0, 120}, {21, 126, 120, 126}, {8, 2.6004099469477187`*^-8, 120}, {
           7, 1, 5}, {7, 4, 13}, {94, 264, 3, 0, 116, 2, 0, 13, 3, 0, 124}, {
           94, 260, 2, 0, 5, 3, 0, 124, 3, 0, 123}, {21, 120, 123, 120}, {
           8, 3.7787839314048715`*^-10, 123}, {7, 1, 5}, {7, 6, 13}, {94, 264,
            3, 0, 116, 2, 0, 13, 3, 0, 124}, {94, 260, 2, 0, 5, 3, 0, 124, 3, 
           0, 125}, {21, 123, 125, 123}, {8, 2.830549017940716*^-12, 125}, {7,
            1, 5}, {7, 8, 13}, {94, 264, 3, 0, 116, 2, 0, 13, 3, 0, 124}, {94,
            260, 2, 0, 5, 3, 0, 124, 3, 0, 121}, {21, 125, 121, 125}, {18, 
           127, 122, 126, 120, 123, 125, 127}, {93, 55, 3, 0, 127, 3, 0, 
           122}, {12, 122, 31}, {12, 29, 30}, {24, 30, 122}, {18, 31, 122, 
           127}, {93, 36, 3, 0, 127, 3, 0, 122}, {8, 0.01, 127}, {37, 122, 
           127, 17}, {3, 17, 48}, {8, 3.0539614, 122}, {
           8, 0.011580432, 127}, {7, 2, 5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 
           0, 126}, {21, 127, 126, 127}, {24, 127, 126}, {
           8, 0.039199816, 127}, {7, 1, 5}, {7, 2, 13}, {94, 264, 3, 0, 116, 
           2, 0, 13, 3, 0, 120}, {94, 260, 2, 0, 5, 3, 0, 120, 3, 0, 123}, {
           21, 127, 123, 127}, {8, 0.0029462812, 123}, {7, 1, 5}, {7, 4, 
           13}, {94, 264, 3, 0, 116, 2, 0, 13, 3, 0, 120}, {94, 260, 2, 0, 5, 
           3, 0, 120, 3, 0, 125}, {21, 123, 125, 123}, {
           8, 0.00020371019000000004`, 125}, {7, 1, 5}, {7, 6, 13}, {94, 264, 
           3, 0, 116, 2, 0, 13, 3, 0, 120}, {94, 260, 2, 0, 5, 3, 0, 120, 3, 
           0, 121}, {21, 125, 121, 125}, {24, 125, 121}, {
           8, 0.000027633568999999998`, 125}, {7, 1, 5}, {7, 8, 13}, {94, 264,
            3, 0, 116, 2, 0, 13, 3, 0, 120}, {94, 260, 2, 0, 5, 3, 0, 120, 3, 
           0, 124}, {21, 125, 124, 125}, {18, 122, 126, 127, 123, 121, 125, 
           122}, {93, 55, 3, 0, 122, 3, 0, 126}, {12, 126, 19}, {24, 30, 
           126}, {18, 19, 126, 122}, {93, 36, 3, 0, 122, 3, 0, 126}, {24, 30, 
           122}, {18, 31, 122, 127}, {93, 36, 3, 0, 127, 3, 0, 122}, {37, 122,
            126, 22}, {3, 22, 4}, {12, 31, 30}, {12, 19, 31}, {4, 2}, {12, 19,
            30}, {4, 35}, {8, 3.0539614, 126}, {8, 0.011580432, 122}, {7, 2, 
           5}, {94, 264, 3, 0, 116, 2, 0, 5, 3, 0, 127}, {21, 122, 127, 
           122}, {24, 122, 127}, {8, 0.039199816, 122}, {7, 1, 5}, {7, 2, 
           13}, {94, 264, 3, 0, 116, 2, 0, 13, 3, 0, 123}, {94, 260, 2, 0, 5, 
           3, 0, 123, 3, 0, 121}, {21, 122, 121, 122}, {
           8, 0.0029462812, 121}, {7, 1, 5}, {7, 4, 13}, {94, 264, 3, 0, 116, 
           2, 0, 13, 3, 0, 123}, {94, 260, 2, 0, 5, 3, 0, 123, 3, 0, 125}, {
           21, 121, 125, 121}, {8, 0.00020371019000000004`, 125}, {7, 1, 5}, {
           7, 6, 13}, {94, 264, 3, 0, 116, 2, 0, 13, 3, 0, 123}, {94, 260, 2, 
           0, 5, 3, 0, 123, 3, 0, 124}, {21, 125, 124, 125}, {24, 125, 124}, {
           8, 0.000027633568999999998`, 125}, {7, 1, 5}, {7, 8, 13}, {94, 264,
            3, 0, 116, 2, 0, 13, 3, 0, 123}, {94, 260, 2, 0, 5, 3, 0, 123, 3, 
           0, 120}, {21, 125, 120, 125}, {18, 126, 127, 122, 121, 124, 125, 
           126}, {93, 55, 3, 0, 126, 3, 0, 127}, {12, 127, 30}, {7, 1, 5}, {
           94, 260, 2, 0, 5, 3, 0, 31, 3, 0, 127}, {21, 30, 127, 126}, {12, 
           126, 39}, {12, 31, 29}, {7, 1, 5}, {7, 2, 13}, {94, 264, 3, 0, 39, 
           2, 0, 13, 3, 0, 126}, {7, 2, 13}, {94, 264, 3, 0, 64, 2, 0, 13, 3, 
           0, 127}, {21, 126, 127, 126}, {24, 126, 127}, {15, 0, 5, 126}, {18,
            126, 127, 126}, {8, 0., 127}, {39, 127, 126, 16}, {3, 16, 31}, {
           67, 50, 51, 52, 3, 54}, {94, 273, 3, 0, 39, 3, 1, 54, 3, 1, 75}, {
           21, 39, 65, 126}, {24, 126, 127}, {7, 1, 5}, {7, 2, 13}, {94, 264, 
           3, 0, 39, 2, 0, 13, 3, 0, 126}, {7, 2, 13}, {94, 264, 3, 0, 64, 2, 
           0, 13, 3, 0, 122}, {21, 126, 122, 126}, {24, 126, 122}, {15, 0, 5, 
           126}, {18, 126, 122, 126}, {93, 55, 3, 0, 126, 3, 0, 122}, {18, 
           127, 122, 127}, {94, 273, 3, 0, 127, 3, 1, 53, 3, 1, 54}, {51, 75, 
           54, 75}, {46, 75, 21}, {46, 21, 75}, {7, 1, 5}, {70, 75, 0, 5, 0, 
           127}, {12, 127, 50}, {7, 2, 5}, {70, 75, 0, 5, 0, 127}, {12, 127, 
           51}, {7, 3, 5}, {70, 75, 0, 5, 0, 127}, {12, 127, 52}, {67, 50, 51,
            52, 3, 54}, {4, 51}, {67, 50, 51, 52, 3, 75}, {7, 1, 5}, {70, 44, 
           0, 5, 1, 69}, {91, 75, 69, 127}, {7, 0, 5}, {15, 0, 5, 122}, {37, 
           122, 127, 17}, {3, 17, 5}, {8, 0.5, 127}, {18, 46, 127, 122}, {12, 
           122, 46}, {4, 1}, {12, 30, 31}, {12, 30, 29}, {67, 50, 51, 52, 3, 
           75}, {7, 2, 5}, {67, 50, 51, 52, 3, 69}, {91, 53, 69, 122}, {94, 
           273, 2, 0, 5, 3, 0, 122, 3, 0, 127}, {94, 273, 3, 0, 127, 3, 1, 53,
            3, 1, 69}, {93, 41, 3, 1, 69, 3, 1, 60}, {51, 75, 60, 75}, {46, 
           75, 21}, {46, 21, 75}, {7, 1, 5}, {70, 75, 0, 5, 0, 122}, {12, 122,
            50}, {7, 2, 5}, {70, 75, 0, 5, 0, 122}, {12, 122, 51}, {7, 3, 
           5}, {70, 75, 0, 5, 0, 122}, {12, 122, 52}, {67, 50, 51, 52, 3, 
           60}, {67, 47, 48, 49, 3, 75}, {45, {0, 0, -180}, 2, 3, 69}, {47, 0,
            69, 55}, {51, 75, 55, 75}, {46, 75, 21}, {46, 21, 75}, {7, 1, 
           5}, {70, 75, 0, 5, 0, 122}, {12, 122, 47}, {7, 2, 5}, {70, 75, 0, 
           5, 0, 122}, {12, 122, 48}, {7, 3, 5}, {70, 75, 0, 5, 0, 122}, {12, 
           122, 49}, {67, 47, 48, 49, 3, 69}, {67, 70, 72, 74, 67, 68, 69, 50,
            51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 
           94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           54}, {68, 54, 69}, {46, 69, 0}, {45, {7, 15}, 2, 2, 69}, {72, 31, 
           69, 1, 54}, {7, 3, 5}, {67, 5, 2, 69}, {67, 5, 2, 75}, {79, 54, 69,
            75, 55}, {46, 55, 33}, {7, 1, 5}, {70, 33, 0, 5, 1, 55}, {46, 55, 
           37}, {44, 0, 15}, {7, -1, 14}, {7, 1, 10}, {64, 15, 10, 14, 3, 
           54}, {7, 0, 12}, {11, 12, 18}, {4, 258}, {70, 0, 0, 18, 1, 75}, {7,
            1, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 70}, {7, 2, 12}, {70, 
           75, 0, 12, 0, 126}, {12, 126, 72}, {7, 3, 12}, {70, 75, 0, 12, 0, 
           126}, {12, 126, 74}, {7, 4, 12}, {70, 75, 0, 12, 0, 126}, {12, 126,
            67}, {7, 5, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 68}, {7, 6, 
           12}, {70, 75, 0, 12, 0, 126}, {12, 126, 69}, {7, 7, 12}, {70, 75, 
           0, 12, 0, 126}, {12, 126, 50}, {7, 8, 12}, {70, 75, 0, 12, 0, 
           126}, {12, 126, 51}, {7, 9, 12}, {70, 75, 0, 12, 0, 126}, {12, 126,
            52}, {7, 10, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 53}, {7, 11, 
           12}, {70, 75, 0, 12, 0, 126}, {12, 126, 54}, {7, 12, 12}, {70, 75, 
           0, 12, 0, 126}, {12, 126, 55}, {7, 13, 12}, {70, 75, 0, 12, 0, 
           126}, {12, 126, 56}, {7, 14, 12}, {70, 75, 0, 12, 0, 126}, {12, 
           126, 57}, {7, 15, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 58}, {7, 
           16, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 116}, {7, 17, 12}, {70,
            75, 0, 12, 0, 126}, {12, 126, 32}, {7, 18, 12}, {70, 75, 0, 12, 0,
            126}, {12, 126, 33}, {7, 19, 12}, {70, 75, 0, 12, 0, 126}, {12, 
           126, 59}, {7, 20, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 29}, {7, 
           21, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 45}, {7, 22, 12}, {70, 
           75, 0, 12, 0, 126}, {12, 126, 46}, {7, 23, 12}, {70, 75, 0, 12, 0, 
           126}, {12, 126, 24}, {7, 24, 12}, {70, 75, 0, 12, 0, 126}, {12, 
           126, 94}, {7, 25, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 93}, {7, 
           26, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 60}, {7, 27, 12}, {70, 
           75, 0, 12, 0, 126}, {12, 126, 61}, {7, 28, 12}, {70, 75, 0, 12, 0, 
           126}, {12, 126, 87}, {7, 29, 12}, {70, 75, 0, 12, 0, 126}, {12, 
           126, 26}, {7, 30, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 89}, {7, 
           31, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 90}, {7, 32, 12}, {70, 
           75, 0, 12, 0, 126}, {12, 126, 91}, {7, 33, 12}, {70, 75, 0, 12, 0, 
           126}, {12, 126, 92}, {7, 34, 12}, {70, 75, 0, 12, 0, 126}, {12, 
           126, 63}, {7, 35, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 44}, {7, 
           36, 12}, {70, 75, 0, 12, 0, 126}, {12, 126, 34}, {7, 37, 12}, {70, 
           75, 0, 12, 0, 126}, {12, 126, 47}, {7, 38, 12}, {70, 75, 0, 12, 0, 
           126}, {12, 126, 48}, {7, 39, 12}, {70, 75, 0, 12, 0, 126}, {12, 
           126, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 55}, {
           45, {1., 0., 0.}, 3, 3, 75}, {67, 50, 51, 52, 3, 63}, {
           55, Cross, 3, 1, 75, 3, 1, 63, 3, 1, 76}, {46, 76, 64}, {91, 64, 
           64, 126}, {93, 55, 3, 0, 126, 3, 0, 122}, {12, 122, 20}, {
           8, 1.*^-10, 122}, {94, 270, 3, 0, 20, 3, 0, 122, 3, 0, 126}, {
           8, 0., 122}, {34, 126, 122, 0, 17}, {43, 17, 16}, {3, 16, 75}, {7, 
           1, 12}, {94, 260, 2, 0, 12, 3, 0, 20, 3, 0, 126}, {94, 273, 3, 0, 
           126, 3, 1, 64, 3, 1, 76}, {46, 76, 64}, {44, 64, 20}, {7, -1, 
           17}, {64, 20, 17, 3, 75}, {7, 0, 21}, {11, 21, 9}, {4, 4}, {70, 64,
            0, 9, 0, 126}, {94, 273, 3, 0, 126, 3, 1, 64, 3, 1, 63}, {66, 17, 
           63, 75}, {5, 9, 20, -3}, {46, 75, 3}, {8, 0., 126}, {7, 3, 9}, {70,
            64, 0, 9, 0, 122}, {24, 122, 121}, {7, 2, 9}, {70, 64, 0, 9, 0, 
           122}, {67, 126, 121, 122, 3, 75}, {7, 3, 9}, {70, 64, 0, 9, 0, 
           126}, {8, 0., 121}, {7, 1, 9}, {70, 64, 0, 9, 0, 122}, {24, 122, 
           127}, {67, 126, 121, 127, 3, 76}, {7, 2, 9}, {70, 64, 0, 9, 0, 
           126}, {24, 126, 121}, {7, 1, 9}, {70, 64, 0, 9, 0, 126}, {
           8, 0., 127}, {67, 121, 126, 127, 3, 63}, {68, 75, 76, 63, 74}, {46,
            74, 16}, {45, {1., 0., 0.}, 3, 3, 74}, {67, 50, 51, 52, 3, 75}, {
           91, 74, 75, 121}, {12, 121, 25}, {8, 1., 121}, {24, 25, 126}, {18, 
           121, 126, 121}, {8, 2.220446049250313*^-16, 126}, {37, 121, 126, 
           17}, {3, 17, 4}, {8, 1., 121}, {12, 121, 25}, {4, 1}, {7, 1, 9}, {
           7, 2, 12}, {94, 264, 3, 0, 25, 2, 0, 12, 3, 0, 121}, {24, 121, 
           126}, {15, 0, 9, 121}, {18, 121, 126, 121}, {12, 121, 88}, {
           8, 2.220446049250313*^-16, 121}, {37, 88, 121, 17}, {3, 17, 4}, {
           8, 0., 121}, {12, 121, 88}, {4, 3}, {93, 55, 3, 0, 88, 3, 0, 
           121}, {12, 121, 88}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 74}, {93, 
           41, 3, 2, 3, 3, 2, 75}, {51, 74, 75, 74}, {94, 273, 3, 0, 25, 3, 2,
            74, 3, 2, 75}, {94, 273, 3, 0, 88, 3, 2, 16, 3, 2, 74}, {51, 3, 
           75, 74, 76}, {46, 76, 63}, {4, 51}, {45, {1., 0., 0.}, 3, 3, 75}, {
           67, 50, 51, 52, 3, 74}, {91, 75, 74, 121}, {93, 42, 3, 0, 121, 2, 
           0, 9}, {7, 1, 12}, {33, 9, 12, 17}, {3, 17, 4}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 75}, {46, 
           75, 63}, {4, 3}, {
           45, {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 1.}}, 3, 3, 3, 74}, {
           46, 74, 63}, {7, 1, 9}, {70, 63, 0, 9, 1, 75}, {7, 1, 9}, {70, 75, 
           0, 9, 0, 121}, {12, 121, 50}, {7, 2, 9}, {70, 75, 0, 9, 0, 121}, {
           12, 121, 51}, {7, 3, 9}, {70, 75, 0, 9, 0, 121}, {12, 121, 52}, {
           67, 50, 51, 52, 3, 74}, {7, 2, 9}, {70, 63, 0, 9, 1, 75}, {7, 1, 
           9}, {70, 75, 0, 9, 0, 121}, {12, 121, 53}, {7, 2, 9}, {70, 75, 0, 
           9, 0, 121}, {12, 121, 54}, {7, 3, 9}, {70, 75, 0, 9, 0, 121}, {12, 
           121, 55}, {67, 53, 54, 55, 3, 71}, {7, 3, 9}, {70, 63, 0, 9, 1, 
           75}, {7, 1, 9}, {70, 75, 0, 9, 0, 121}, {12, 121, 56}, {7, 2, 9}, {
           70, 75, 0, 9, 0, 121}, {12, 121, 57}, {7, 3, 9}, {70, 75, 0, 9, 0, 
           121}, {12, 121, 58}, {67, 56, 57, 58, 3, 67}, {68, 74, 71, 67, 
           75}, {46, 75, 63}, {66, 14, 63, 54}, {5, 18, 15, -257}, {46, 54, 
           46}, {44, 0, 13}, {7, -1, 12}, {64, 13, 12, 3, 69}, {7, 0, 19}, {
           11, 19, 14}, {4, 383}, {70, 0, 0, 14, 1, 54}, {7, 1, 19}, {70, 54, 
           0, 19, 0, 127}, {12, 127, 70}, {7, 2, 19}, {70, 54, 0, 19, 0, 
           127}, {12, 127, 72}, {7, 3, 19}, {70, 54, 0, 19, 0, 127}, {12, 127,
            74}, {7, 4, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 67}, {7, 5, 
           19}, {70, 54, 0, 19, 0, 127}, {12, 127, 68}, {7, 6, 19}, {70, 54, 
           0, 19, 0, 127}, {12, 127, 69}, {7, 7, 19}, {70, 54, 0, 19, 0, 
           127}, {12, 127, 50}, {7, 8, 19}, {70, 54, 0, 19, 0, 127}, {12, 127,
            51}, {7, 9, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 52}, {7, 10, 
           19}, {70, 54, 0, 19, 0, 127}, {12, 127, 53}, {7, 11, 19}, {70, 54, 
           0, 19, 0, 127}, {12, 127, 54}, {7, 12, 19}, {70, 54, 0, 19, 0, 
           127}, {12, 127, 55}, {7, 13, 19}, {70, 54, 0, 19, 0, 127}, {12, 
           127, 56}, {7, 14, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 57}, {7, 
           15, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 58}, {7, 16, 19}, {70, 
           54, 0, 19, 0, 127}, {12, 127, 116}, {7, 17, 19}, {70, 54, 0, 19, 0,
            127}, {12, 127, 32}, {7, 18, 19}, {70, 54, 0, 19, 0, 127}, {12, 
           127, 33}, {7, 19, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 59}, {7, 
           20, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 29}, {7, 21, 19}, {70, 
           54, 0, 19, 0, 127}, {12, 127, 45}, {7, 22, 19}, {70, 54, 0, 19, 0, 
           127}, {12, 127, 46}, {7, 23, 19}, {70, 54, 0, 19, 0, 127}, {12, 
           127, 24}, {7, 24, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 94}, {7, 
           25, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 93}, {7, 26, 19}, {70, 
           54, 0, 19, 0, 127}, {12, 127, 60}, {7, 27, 19}, {70, 54, 0, 19, 0, 
           127}, {12, 127, 61}, {7, 28, 19}, {70, 54, 0, 19, 0, 127}, {12, 
           127, 87}, {7, 29, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 26}, {7, 
           30, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 89}, {7, 31, 19}, {70, 
           54, 0, 19, 0, 127}, {12, 127, 90}, {7, 32, 19}, {70, 54, 0, 19, 0, 
           127}, {12, 127, 91}, {7, 33, 19}, {70, 54, 0, 19, 0, 127}, {12, 
           127, 92}, {7, 34, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 63}, {7, 
           35, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 44}, {7, 36, 19}, {70, 
           54, 0, 19, 0, 127}, {12, 127, 34}, {7, 37, 19}, {70, 54, 0, 19, 0, 
           127}, {12, 127, 47}, {7, 38, 19}, {70, 54, 0, 19, 0, 127}, {12, 
           127, 48}, {7, 39, 19}, {70, 54, 0, 19, 0, 127}, {12, 127, 49}, {67,
            70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 44, 34, 47, 48, 49, 3, 55}, {67, 14, 2, 54}, {7, 1, 19}, {70, 
           54, 0, 19, 0, 15}, {70, 46, 0, 15, 2, 54}, {
           45, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, 3, 3, 3, 71}, {44, 
           71, 9}, {7, -1, 17}, {64, 9, 17, 3, 63}, {7, 0, 20}, {11, 20, 
           10}, {4, 4}, {70, 71, 0, 10, 1, 74}, {91, 54, 74, 67}, {66, 17, 67,
            63}, {5, 10, 9, -3}, {7, 1, 10}, {70, 63, 0, 10, 1, 54}, {7, 1, 
           10}, {70, 54, 0, 10, 0, 127}, {12, 127, 50}, {7, 2, 10}, {70, 54, 
           0, 10, 0, 127}, {12, 127, 51}, {7, 3, 10}, {70, 54, 0, 10, 0, 
           127}, {12, 127, 52}, {67, 50, 51, 52, 3, 71}, {7, 2, 10}, {70, 63, 
           0, 10, 1, 54}, {7, 1, 10}, {70, 54, 0, 10, 0, 127}, {12, 127, 
           53}, {7, 2, 10}, {70, 54, 0, 10, 0, 127}, {12, 127, 54}, {7, 3, 
           10}, {70, 54, 0, 10, 0, 127}, {12, 127, 55}, {67, 53, 54, 55, 3, 
           76}, {7, 3, 10}, {70, 63, 0, 10, 1, 54}, {7, 1, 10}, {70, 54, 0, 
           10, 0, 127}, {12, 127, 56}, {7, 2, 10}, {70, 54, 0, 10, 0, 127}, {
           12, 127, 57}, {7, 3, 10}, {70, 54, 0, 10, 0, 127}, {12, 127, 58}, {
           67, 56, 57, 58, 3, 67}, {68, 71, 76, 67, 54}, {67, 50, 51, 52, 3, 
           63}, {67, 50, 51, 52, 3, 71}, {91, 63, 71, 127}, {12, 127, 105}, {
           8, -1., 127}, {18, 105, 127, 122}, {93, 36, 3, 0, 122, 3, 0, 
           127}, {8, 1.*^-6, 122}, {37, 122, 127, 17}, {3, 17, 78}, {67, 50, 
           51, 52, 3, 63}, {7, 1, 10}, {93, 55, 3, 0, 105, 3, 0, 127}, {94, 
           260, 2, 0, 10, 3, 0, 127, 3, 0, 122}, {94, 273, 3, 0, 122, 3, 1, 
           63, 3, 1, 71}, {46, 71, 21}, {46, 21, 71}, {7, 1, 10}, {70, 71, 0, 
           10, 0, 122}, {12, 122, 50}, {7, 2, 10}, {70, 71, 0, 10, 0, 122}, {
           12, 122, 51}, {7, 3, 10}, {70, 71, 0, 10, 0, 122}, {12, 122, 52}, {
           67, 50, 51, 52, 3, 63}, {67, 50, 51, 52, 3, 71}, {67, 53, 54, 55, 
           3, 76}, {67, 56, 57, 58, 3, 67}, {68, 71, 76, 67, 74}, {44, 74, 
           19}, {7, -1, 9}, {64, 19, 9, 3, 71}, {7, 0, 20}, {11, 20, 17}, {4, 
           10}, {70, 74, 0, 17, 1, 67}, {7, 1, 20}, {70, 74, 0, 17, 1, 77}, {
           70, 74, 0, 17, 1, 78}, {91, 77, 78, 122}, {93, 55, 3, 0, 122, 3, 0,
            127}, {94, 260, 2, 0, 20, 3, 0, 127, 3, 0, 122}, {94, 273, 3, 0, 
           122, 3, 1, 67, 3, 1, 77}, {66, 9, 77, 71}, {5, 17, 19, -9}, {46, 
           71, 19}, {46, 19, 71}, {7, 1, 17}, {70, 71, 0, 17, 1, 74}, {7, 1, 
           17}, {70, 74, 0, 17, 0, 122}, {12, 122, 50}, {7, 2, 17}, {70, 74, 
           0, 17, 0, 122}, {12, 122, 51}, {7, 3, 17}, {70, 74, 0, 17, 0, 
           122}, {12, 122, 52}, {67, 50, 51, 52, 3, 76}, {7, 2, 17}, {70, 71, 
           0, 17, 1, 74}, {7, 1, 17}, {70, 74, 0, 17, 0, 122}, {12, 122, 
           53}, {7, 2, 17}, {70, 74, 0, 17, 0, 122}, {12, 122, 54}, {7, 3, 
           17}, {70, 74, 0, 17, 0, 122}, {12, 122, 55}, {67, 53, 54, 55, 3, 
           77}, {7, 3, 17}, {70, 71, 0, 17, 1, 74}, {7, 1, 17}, {70, 74, 0, 
           17, 0, 122}, {12, 122, 56}, {7, 2, 17}, {70, 74, 0, 17, 0, 122}, {
           12, 122, 57}, {7, 3, 17}, {70, 74, 0, 17, 0, 122}, {12, 122, 58}, {
           67, 56, 57, 58, 3, 67}, {68, 76, 77, 67, 74}, {4, 1}, {
           8, 0., 122}, {9, 0., 1., 4}, {8, 0., 127}, {16, 122, 127, 6}, {22, 
           6, 4, 6}, {8, 0., 122}, {9, 0., 1., 4}, {8, 0., 127}, {16, 122, 
           127, 5}, {22, 5, 4, 5}, {8, 0., 122}, {9, 0., 1., 4}, {
           8, 0., 127}, {16, 122, 127, 7}, {22, 7, 4, 7}, {67, 6, 5, 7, 4, 
           74}, {68, 74, 71}, {53, 1, 71, 0, 17}, {43, 17, 12}, {3, 12, 
           103}, {67, 14, 2, 71}, {7, 1, 17}, {70, 71, 0, 17, 0, 10}, {70, 1, 
           0, 10, 1, 71}, {46, 71, 2}, {67, 53, 54, 55, 3, 71}, {48, 71, 
           74}, {91, 74, 2, 6}, {13, 6, 0}, {67, 56, 57, 58, 3, 71}, {48, 71, 
           74}, {91, 74, 2, 6}, {13, 6, 3}, {93, 36, 4, 0, 0, 3, 0, 122}, {
           8, 0., 127}, {37, 127, 122, 17}, {3, 17, 4}, {6, True, 16}, {10, 
           16, 19}, {4, 5}, {93, 36, 4, 0, 3, 3, 0, 122}, {8, 0., 127}, {37, 
           127, 122, 22}, {10, 22, 19}, {3, 19, 77}, {93, 36, 4, 0, 0, 3, 0, 
           122}, {93, 36, 4, 0, 3, 3, 0, 127}, {8, 0., 126}, {67, 122, 127, 
           126, 3, 71}, {7, 1, 10}, {70, 71, 0, 10, 0, 122}, {12, 122, 47}, {
           7, 2, 10}, {70, 71, 0, 10, 0, 122}, {12, 122, 48}, {7, 3, 10}, {70,
            71, 0, 10, 0, 122}, {12, 122, 49}, {67, 47, 48, 49, 3, 74}, {67, 
           47, 48, 49, 3, 71}, {7, 1, 10}, {67, 47, 48, 49, 3, 76}, {67, 47, 
           48, 49, 3, 77}, {91, 76, 77, 122}, {93, 55, 3, 0, 122, 3, 0, 
           127}, {94, 260, 2, 0, 10, 3, 0, 127, 3, 0, 122}, {94, 273, 3, 0, 
           122, 3, 1, 71, 3, 1, 76}, {46, 76, 21}, {46, 21, 76}, {7, 1, 10}, {
           70, 76, 0, 10, 0, 122}, {12, 122, 47}, {7, 2, 10}, {70, 76, 0, 10, 
           0, 122}, {12, 122, 48}, {7, 3, 10}, {70, 76, 0, 10, 0, 122}, {12, 
           122, 49}, {67, 47, 48, 49, 3, 71}, {67, 47, 48, 49, 3, 76}, {7, 3, 
           10}, {8, 0., 122}, {8, 0., 127}, {16, 122, 127, 6}, {35, 3, 6, 0, 
           17}, {3, 17, 4}, {8, 0., 122}, {12, 122, 126}, {4, 3}, {93, 37, 4, 
           0, 3, 3, 0, 127}, {12, 127, 126}, {8, 0., 122}, {8, 0., 127}, {16, 
           122, 127, 6}, {35, 0, 6, 0, 17}, {3, 17, 4}, {8, 0., 122}, {12, 
           122, 121}, {4, 3}, {93, 37, 4, 0, 0, 3, 0, 127}, {12, 127, 121}, {
           24, 121, 122}, {18, 126, 122, 126}, {7, 1, 17}, {
           8, 0.017453292519943295`, 122}, {94, 260, 2, 0, 17, 3, 0, 122, 3, 
           0, 121}, {21, 126, 121, 126}, {71, 76, 0, 10, 0, 126}, {46, 76, 
           21}, {46, 21, 76}, {7, 1, 10}, {70, 76, 0, 10, 0, 126}, {12, 126, 
           47}, {7, 2, 10}, {70, 76, 0, 10, 0, 126}, {12, 126, 48}, {7, 3, 
           10}, {70, 76, 0, 10, 0, 126}, {12, 126, 49}, {67, 47, 48, 49, 3, 
           77}, {4, 1}, {4, 1}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 74}, {66, 
           12, 74, 69}, {5, 14, 13, -382}, {46, 69, 0}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 58}, {68, 15, 60}, {68, 0, 58, 60, 69}, {46, 69, 68}, {4, 
           13}, {6, True, 12}, {10, 12, 1}, {6, True, 12}, {10, 12, 9}, {
           6, True, 12}, {10, 12, 6}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 68}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 62}, {68, 62, 65}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 62}, {68, 68, 65, 62, 72}, {46, 72, 68}, {46, 68, 69}, {46, 
           69, 56}, {46, 56, 59}, {46, 59, 61}, {4, 9}, {6, True, 14}, {10, 
           14, 1}, {6, True, 14}, {10, 14, 9}, {6, True, 14}, {10, 14, 5}, {
           45, {{{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, {{1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, {{1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}}, 3, 3, 
            1, 39, 73}, {46, 73, 61}, {66, 11, 61, 57}, {5, 6, 4, -11183}, {
           45, {2, 1}, 2, 2, 66}, {90, 57, 66, 61, 4, 0}, {44, 61, 7}, {7, -1,
            16}, {7, 1, 4}, {64, 7, 4, 16, 3, 57}, {7, 0, 14}, {11, 14, 11}, {
           4, 4}, {70, 61, 0, 11, 3, 70}, {85, 70, 1, 59}, {66, 16, 59, 57}, {
           5, 11, 7, -3}, {7, 1, 11}, {70, 57, 0, 11, 2, 61}, {46, 61, 17}, {
           7, 2, 11}, {70, 57, 0, 11, 2, 61}, {46, 61, 27}, {7, 3, 11}, {70, 
           57, 0, 11, 2, 61}, {46, 61, 39}, {68, 17, 27, 39, 61}, {3, 2, 3}, {
           10, 1, 14}, {4, 3}, {6, False, 18}, {10, 18, 14}, {3, 14, 51}, {7, 
           0, 11}, {7, 0, 6}, {46, 17, 57}, {44, 57, 4}, {7, 0, 18}, {64, 4, 
           2, 59}, {7, 0, 5}, {11, 5, 7}, {4, 17}, {70, 57, 0, 7, 1, 70}, {46,
            70, 66}, {46, 66, 70}, {7, 23, 5}, {70, 70, 0, 5, 0, 126}, {
           8, 0., 121}, {37, 121, 126, 18}, {3, 18, 6}, {7, 1, 5}, {17, 11, 5,
            12}, {11, 12, 11}, {11, 7, 5}, {4, 3}, {7, -1, 12}, {11, 12, 5}, {
           65, 18, 5, 59}, {5, 7, 4, -16}, {11, 11, 8}, {7, -1, 14}, {64, 8, 
           14, 3, 73}, {7, 0, 18}, {11, 18, 16}, {4, 14}, {7, 1, 18}, {17, 6, 
           18, 5}, {11, 5, 6}, {70, 59, 0, 6, 0, 5}, {7, -1, 18}, {33, 5, 18, 
           18}, {3, 18, 5}, {7, 1, 5}, {17, 6, 5, 18}, {11, 18, 6}, {4, -7}, {
           70, 57, 0, 6, 1, 56}, {66, 14, 56, 73}, {5, 16, 8, -13}, {
           8, 1., 126}, {94, 273, 3, 0, 126, 3, 2, 73, 3, 2, 57}, {46, 57, 
           17}, {4, 1}, {3, 6, 53}, {3, 5, 49}, {7, 0, 6}, {7, 0, 11}, {46, 
           27, 73}, {44, 73, 8}, {7, 0, 4}, {64, 8, 2, 59}, {7, 0, 7}, {11, 7,
            18}, {4, 17}, {70, 73, 0, 18, 1, 70}, {46, 70, 66}, {46, 66, 
           70}, {7, 23, 7}, {70, 70, 0, 7, 0, 126}, {8, 0., 121}, {37, 121, 
           126, 14}, {3, 14, 6}, {7, 1, 7}, {17, 6, 7, 12}, {11, 12, 6}, {11, 
           18, 7}, {4, 3}, {7, -1, 12}, {11, 12, 7}, {65, 4, 7, 59}, {5, 18, 
           8, -16}, {11, 6, 14}, {7, -1, 5}, {64, 14, 5, 3, 56}, {7, 0, 4}, {
           11, 4, 16}, {4, 14}, {7, 1, 4}, {17, 11, 4, 7}, {11, 7, 11}, {70, 
           59, 0, 11, 0, 7}, {7, -1, 4}, {33, 7, 4, 14}, {3, 14, 5}, {7, 1, 
           7}, {17, 11, 7, 4}, {11, 4, 11}, {4, -7}, {70, 73, 0, 11, 1, 69}, {
           66, 5, 69, 56}, {5, 16, 14, -13}, {46, 56, 27}, {4, 1}, {95, 0, 35,
            27, 73}, {46, 73, 35}, {4, 1}, {3, 10, 3}, {10, 9, 18}, {4, 3}, {
           6, False, 14}, {10, 14, 18}, {3, 18, 49}, {7, 0, 11}, {7, 0, 6}, {
           46, 39, 73}, {44, 73, 14}, {7, 0, 8}, {64, 14, 2, 59}, {7, 0, 
           18}, {11, 18, 4}, {4, 17}, {70, 73, 0, 4, 1, 70}, {46, 70, 66}, {
           46, 66, 70}, {7, 23, 18}, {70, 70, 0, 18, 0, 126}, {8, 0., 121}, {
           37, 121, 126, 14}, {3, 14, 6}, {7, 1, 18}, {17, 11, 18, 12}, {11, 
           12, 11}, {11, 4, 18}, {4, 3}, {7, -1, 12}, {11, 12, 18}, {65, 8, 
           18, 59}, {5, 4, 14, -16}, {11, 11, 5}, {7, -1, 7}, {64, 5, 7, 3, 
           69}, {7, 0, 8}, {11, 8, 16}, {4, 14}, {7, 1, 8}, {17, 6, 8, 18}, {
           11, 18, 6}, {70, 59, 0, 6, 0, 18}, {7, -1, 8}, {33, 18, 8, 14}, {3,
            14, 5}, {7, 1, 18}, {17, 6, 18, 8}, {11, 8, 6}, {4, -7}, {70, 73, 
           0, 6, 1, 68}, {66, 7, 68, 69}, {5, 16, 5, -13}, {46, 69, 39}, {4, 
           1}, {3, 10, 7}, {6, True, 18}, {10, 18, 8}, {
           45, {{-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308}}, 3, 1, 39, 61}, {95, 0, 40, 61, 39, 57}, {46, 57, 
           40}, {4, 1}, {46, 17, 24}, {37, 28, 27, 18}, {10, 18, 7}, {
           4, -11408}, {44, 35, 6}, {7, 1, 11}, {36, 11, 6, 13}, {3, 13, 5}, {
           7, 1, 6}, {73, 35, 6, 0, 69}, {46, 69, 57}, {4, 2}, {46, 35, 57}, {
           46, 57, 38}, {39, 27, 28, 13}, {3, 13, 3}, {10, 2, 14}, {4, 3}, {
           6, False, 18}, {10, 18, 14}, {3, 14, 4}, {95, 0, 38, 17, 57}, {46, 
           57, 38}, {4, 1}, {46, 38, 24}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 69}, {46, 69, 35}, {6, True, 14}, {10, 14, 2}, {
           6, False, 14}, {10, 14, 10}, {6, True, 14}, {10, 14, 7}, {3, 2, 
           3}, {10, 7, 13}, {4, 3}, {6, False, 14}, {10, 14, 13}, {3, 13, 
           4980}, {8, 1., 126}, {18, 28, 126, 121}, {12, 121, 28}, {
           6, False, 14}, {10, 14, 1}, {6, False, 14}, {10, 14, 2}, {
           6, False, 14}, {10, 14, 10}, {6, True, 14}, {10, 14, 9}, {
           6, False, 14}, {10, 14, 5}, {6, False, 14}, {10, 14, 6}, {44, 24, 
           7}, {7, -1, 4}, {7, 1, 12}, {64, 7, 12, 12, 4, 3, 61}, {7, 0, 
           14}, {11, 14, 16}, {4, 4760}, {70, 24, 0, 16, 1, 68}, {7, 1, 14}, {
           70, 68, 0, 14, 0, 122}, {12, 122, 70}, {7, 2, 14}, {70, 68, 0, 14, 
           0, 122}, {12, 122, 72}, {7, 3, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 74}, {7, 4, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 67}, {7, 
           5, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 68}, {7, 6, 14}, {70, 
           68, 0, 14, 0, 122}, {12, 122, 69}, {7, 7, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 50}, {7, 8, 14}, {70, 68, 0, 14, 0, 122}, {12, 122,
            51}, {7, 9, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 52}, {7, 10, 
           14}, {70, 68, 0, 14, 0, 122}, {12, 122, 53}, {7, 11, 14}, {70, 68, 
           0, 14, 0, 122}, {12, 122, 54}, {7, 12, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 55}, {7, 13, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 56}, {7, 14, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 57}, {7, 
           15, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 58}, {7, 16, 14}, {70, 
           68, 0, 14, 0, 122}, {12, 122, 116}, {7, 17, 14}, {70, 68, 0, 14, 0,
            122}, {12, 122, 32}, {7, 18, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 33}, {7, 19, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 59}, {7, 
           20, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 29}, {7, 21, 14}, {70, 
           68, 0, 14, 0, 122}, {12, 122, 45}, {7, 22, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 46}, {7, 23, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 24}, {7, 24, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 94}, {7, 
           25, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 93}, {7, 26, 14}, {70, 
           68, 0, 14, 0, 122}, {12, 122, 60}, {7, 27, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 61}, {7, 28, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 87}, {7, 29, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 26}, {7, 
           30, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 89}, {7, 31, 14}, {70, 
           68, 0, 14, 0, 122}, {12, 122, 90}, {7, 32, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 91}, {7, 33, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 92}, {7, 34, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 63}, {7, 
           35, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 44}, {7, 36, 14}, {70, 
           68, 0, 14, 0, 122}, {12, 122, 34}, {7, 37, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 47}, {7, 38, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 48}, {7, 39, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 49}, {67,
            70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 44, 34, 47, 48, 49, 3, 74}, {37, 104, 32, 21}, {3, 21, 4}, {
           37, 28, 27, 14}, {10, 14, 16}, {4, 3}, {6, False, 18}, {10, 18, 
           16}, {3, 16, 4624}, {7, 0, 14}, {11, 14, 3}, {
           8, 1.7976931348623157`*^308, 122}, {12, 122, 66}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 68}, {46, 68, 41}, {
           45, {{{-1., 0., 0.}}}, 3, 1, 1, 3, 68}, {46, 68, 26}, {
           45, {0}, 2, 1, 68}, {46, 68, 23}, {70, 24, 0, 16, 1, 68}, {7, 1, 
           14}, {70, 68, 0, 14, 0, 122}, {12, 122, 70}, {7, 2, 14}, {70, 68, 
           0, 14, 0, 122}, {12, 122, 72}, {7, 3, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 74}, {7, 4, 14}, {70, 68, 0, 14, 0, 122}, {12, 122,
            67}, {7, 5, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 68}, {7, 6, 
           14}, {70, 68, 0, 14, 0, 122}, {12, 122, 69}, {7, 7, 14}, {70, 68, 
           0, 14, 0, 122}, {12, 122, 50}, {7, 8, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 51}, {7, 9, 14}, {70, 68, 0, 14, 0, 122}, {12, 122,
            52}, {7, 10, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 53}, {7, 11, 
           14}, {70, 68, 0, 14, 0, 122}, {12, 122, 54}, {7, 12, 14}, {70, 68, 
           0, 14, 0, 122}, {12, 122, 55}, {7, 13, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 56}, {7, 14, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 57}, {7, 15, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 58}, {7, 
           16, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 116}, {7, 17, 14}, {70,
            68, 0, 14, 0, 122}, {12, 122, 32}, {7, 18, 14}, {70, 68, 0, 14, 0,
            122}, {12, 122, 33}, {7, 19, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 59}, {7, 20, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 29}, {7, 
           21, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 45}, {7, 22, 14}, {70, 
           68, 0, 14, 0, 122}, {12, 122, 46}, {7, 23, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 24}, {7, 24, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 94}, {7, 25, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 93}, {7, 
           26, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 60}, {7, 27, 14}, {70, 
           68, 0, 14, 0, 122}, {12, 122, 61}, {7, 28, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 87}, {7, 29, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 26}, {7, 30, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 89}, {7, 
           31, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 90}, {7, 32, 14}, {70, 
           68, 0, 14, 0, 122}, {12, 122, 91}, {7, 33, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 92}, {7, 34, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 63}, {7, 35, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 44}, {7, 
           36, 14}, {70, 68, 0, 14, 0, 122}, {12, 122, 34}, {7, 37, 14}, {70, 
           68, 0, 14, 0, 122}, {12, 122, 47}, {7, 38, 14}, {70, 68, 0, 14, 0, 
           122}, {12, 122, 48}, {7, 39, 14}, {70, 68, 0, 14, 0, 122}, {12, 
           122, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 75}, {12, 29, 30}, {
           8, -1., 122}, {21, 122, 50, 122}, {12, 122, 117}, {8, -1., 122}, {
           21, 122, 51, 122}, {12, 122, 118}, {12, 52, 119}, {
           8, 1.*^-10, 122}, {94, 270, 3, 0, 117, 3, 0, 122, 3, 0, 127}, {12, 
           127, 117}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 118, 3, 0, 127, 3, 0,
            122}, {12, 122, 118}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 119, 3, 
           0, 122, 3, 0, 127}, {12, 127, 119}, {7, 2, 14}, {94, 264, 3, 0, 
           117, 2, 0, 14, 3, 0, 127}, {7, 2, 14}, {94, 264, 3, 0, 118, 2, 0, 
           14, 3, 0, 122}, {7, 2, 14}, {94, 264, 3, 0, 119, 2, 0, 14, 3, 0, 
           121}, {18, 127, 122, 121, 127}, {7, 1, 14}, {7, 2, 8}, {15, 0, 14, 
           122}, {15, 0, 8, 121}, {94, 260, 3, 0, 122, 3, 0, 121, 3, 0, 
           126}, {94, 264, 3, 0, 127, 3, 0, 126, 3, 0, 122}, {12, 122, 35}, {
           7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 35, 3, 0, 122}, {21, 117, 122,
            127}, {12, 127, 117}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 35, 3,
            0, 127}, {21, 118, 127, 122}, {12, 122, 118}, {7, 1, 14}, {94, 
           260, 2, 0, 14, 3, 0, 35, 3, 0, 122}, {21, 119, 122, 127}, {12, 127,
            119}, {8, -1., 127}, {8, -200., 122}, {18, 122, 67, 122}, {21, 
           127, 122, 127}, {12, 127, 79}, {8, -1., 127}, {21, 127, 68, 127}, {
           12, 127, 81}, {12, 69, 83}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 79, 
           3, 0, 127, 3, 0, 122}, {12, 122, 79}, {8, 1.*^-10, 122}, {94, 270, 
           3, 0, 81, 3, 0, 122, 3, 0, 127}, {12, 127, 81}, {
           8, 1.*^-10, 127}, {94, 270, 3, 0, 83, 3, 0, 127, 3, 0, 122}, {12, 
           122, 83}, {6, False, 21}, {10, 21, 11}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 68}, {46, 68, 25}, {
           8, 1.*^-10, 122}, {94, 270, 3, 0, 117, 3, 0, 122, 3, 0, 127}, {7, 
           0, 14}, {15, 0, 14, 122}, {34, 127, 122, 0, 21}, {43, 21, 14}, {3, 
           14, 75}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 117, 3, 0, 127}, {
           21, 79, 127, 122}, {24, 122, 127}, {21, 79, 118, 122}, {7, 1, 
           14}, {94, 260, 2, 0, 14, 3, 0, 117, 3, 0, 126}, {21, 122, 126, 
           122}, {24, 122, 126}, {18, 81, 126, 122}, {21, 79, 119, 126}, {7, 
           1, 14}, {94, 260, 2, 0, 14, 3, 0, 117, 3, 0, 121}, {21, 126, 121, 
           126}, {24, 126, 121}, {18, 83, 121, 126}, {67, 127, 122, 126, 3, 
           68}, {7, 1, 14}, {70, 68, 0, 14, 0, 127}, {8, 1.*^-10, 122}, {94, 
           270, 3, 0, 127, 3, 0, 122, 3, 0, 126}, {8, 0., 127}, {39, 127, 126,
            21}, {3, 21, 34}, {7, 2, 14}, {70, 68, 0, 14, 0, 126}, {
           8, 75., 127}, {39, 126, 127, 18}, {3, 18, 25}, {7, 2, 14}, {70, 68,
            0, 14, 0, 126}, {8, -75., 127}, {39, 127, 126, 19}, {3, 19, 16}, {
           7, 3, 14}, {70, 68, 0, 14, 0, 126}, {8, -75., 127}, {39, 127, 126, 
           12}, {3, 12, 7}, {7, 3, 14}, {70, 68, 0, 14, 0, 126}, {
           8, 75., 127}, {39, 126, 127, 17}, {10, 17, 15}, {4, 3}, {
           6, False, 22}, {10, 22, 15}, {10, 15, 17}, {4, 3}, {
           6, False, 12}, {10, 12, 17}, {10, 17, 15}, {4, 3}, {
           6, False, 19}, {10, 19, 15}, {10, 15, 17}, {4, 3}, {
           6, False, 18}, {10, 18, 17}, {3, 17, 10}, {7, 1, 14}, {70, 68, 0, 
           14, 0, 126}, {7, 2, 14}, {70, 68, 0, 14, 0, 127}, {7, 3, 14}, {70, 
           68, 0, 14, 0, 122}, {67, 126, 127, 122, 3, 69}, {46, 69, 70}, {4, 
           3}, {45, {-1., 0., 0.}, 3, 3, 62}, {46, 62, 70}, {68, 70, 68}, {46,
            68, 69}, {4, 3}, {45, {{-1., 0., 0.}}, 3, 1, 3, 70}, {46, 70, 
           69}, {46, 69, 25}, {45, {-1., 0., 0.}, 3, 3, 69}, {7, -1, 14}, {67,
            14, 2, 68}, {68, 68, 70}, {74, 25, 69, 70, 62}, {46, 62, 25}, {
           6, False, 14}, {10, 14, 3}, {8, -16598., 126}, {18, 93, 126, 
           127}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 127, 3, 0, 126, 3, 0, 
           122}, {8, 0., 127}, {34, 122, 127, 0, 14}, {3, 14, 4}, {
           6, True, 17}, {10, 17, 15}, {4, 6}, {8, 1.*^-10, 122}, {94, 270, 3,
            0, 59, 3, 0, 122, 3, 0, 127}, {8, 0.0001, 122}, {37, 127, 122, 
           21}, {10, 21, 15}, {43, 15, 14}, {3, 14, 4}, {6, True, 15}, {10, 
           15, 21}, {4, 4}, {8, 1., 127}, {34, 28, 127, 0, 17}, {10, 17, 
           21}, {3, 21, 4}, {8, 0., 127}, {12, 127, 38}, {4, 3}, {
           8, 0.0001, 127}, {12, 127, 38}, {8, 1., 127}, {8, 1., 122}, {
           8, 1., 126}, {7, 0, 14}, {7, 0, 8}, {46, 25, 62}, {44, 62, 18}, {7,
            0, 15}, {64, 18, 2, 68}, {7, 0, 9}, {11, 9, 13}, {4, 35}, {70, 62,
            0, 13, 1, 59}, {46, 59, 69}, {46, 69, 59}, {46, 59, 70}, {7, 1, 
           9}, {70, 70, 0, 9, 0, 124}, {12, 124, 127}, {7, 2, 9}, {70, 70, 0, 
           9, 0, 124}, {12, 124, 122}, {7, 3, 9}, {70, 70, 0, 9, 0, 124}, {12,
            124, 126}, {67, 127, 122, 126, 3, 72}, {67, 127, 122, 126, 3, 
           70}, {45, {-1., 0., 0.}, 3, 3, 65}, {53, 70, 65, 0, 17}, {3, 17, 
           4}, {6, True, 21}, {10, 21, 15}, {4, 5}, {8, 1.*^-10, 124}, {94, 
           270, 3, 0, 127, 3, 0, 124, 3, 0, 121}, {39, 38, 121, 14}, {10, 14, 
           15}, {3, 15, 6}, {7, 1, 9}, {17, 14, 9, 19}, {11, 19, 14}, {11, 13,
            9}, {4, 3}, {7, -1, 19}, {11, 19, 9}, {65, 15, 9, 68}, {5, 13, 
           18, -34}, {11, 14, 5}, {7, -1, 17}, {64, 5, 17, 3, 72}, {7, 0, 
           15}, {11, 15, 10}, {4, 14}, {7, 1, 15}, {17, 8, 15, 9}, {11, 9, 
           8}, {70, 68, 0, 8, 0, 9}, {7, -1, 15}, {33, 9, 15, 15}, {3, 15, 
           5}, {7, 1, 9}, {17, 8, 9, 15}, {11, 15, 8}, {4, -7}, {70, 62, 0, 8,
            1, 70}, {66, 17, 70, 72}, {5, 10, 5, -13}, {95, 1, 72, 62}, {46, 
           62, 19}, {46, 19, 25}, {46, 25, 48}, {44, 25, 8}, {7, 1, 14}, {36, 
           14, 8, 15}, {3, 15, 6}, {45, {2}, 2, 1, 62}, {72, 25, 62, 1, 72}, {
           46, 72, 19}, {46, 19, 25}, {4, 1}, {7, -1, 8}, {67, 8, 2, 62}, {68,
            62, 69}, {74, 26, 25, 69, 68}, {46, 68, 26}, {3, 3, 9}, {7, 1, 
           8}, {7, -1, 14}, {67, 14, 2, 68}, {68, 68, 62}, {49, 8, 0, 2, 1, 
           69}, {74, 23, 69, 62, 59}, {46, 59, 23}, {4, 8}, {7, 0, 8}, {7, -1,
            14}, {67, 14, 2, 59}, {68, 59, 68}, {49, 8, 0, 2, 1, 62}, {74, 23,
            62, 68, 69}, {46, 69, 23}, {70, 24, 0, 16, 1, 59}, {7, 1, 8}, {70,
            59, 0, 8, 0, 126}, {12, 126, 70}, {7, 2, 8}, {70, 59, 0, 8, 0, 
           126}, {12, 126, 72}, {7, 3, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 
           74}, {7, 4, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 67}, {7, 5, 8}, {
           70, 59, 0, 8, 0, 126}, {12, 126, 68}, {7, 6, 8}, {70, 59, 0, 8, 0, 
           126}, {12, 126, 69}, {7, 7, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 
           50}, {7, 8, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 51}, {7, 9, 8}, {
           70, 59, 0, 8, 0, 126}, {12, 126, 52}, {7, 10, 8}, {70, 59, 0, 8, 0,
            126}, {12, 126, 53}, {7, 11, 8}, {70, 59, 0, 8, 0, 126}, {12, 126,
            54}, {7, 12, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 55}, {7, 13, 
           8}, {70, 59, 0, 8, 0, 126}, {12, 126, 56}, {7, 14, 8}, {70, 59, 0, 
           8, 0, 126}, {12, 126, 57}, {7, 15, 8}, {70, 59, 0, 8, 0, 126}, {12,
            126, 58}, {7, 16, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 116}, {7, 
           17, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 32}, {7, 18, 8}, {70, 59,
            0, 8, 0, 126}, {12, 126, 33}, {7, 19, 8}, {70, 59, 0, 8, 0, 
           126}, {12, 126, 59}, {7, 20, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 
           29}, {7, 21, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 45}, {7, 22, 
           8}, {70, 59, 0, 8, 0, 126}, {12, 126, 46}, {7, 23, 8}, {70, 59, 0, 
           8, 0, 126}, {12, 126, 24}, {7, 24, 8}, {70, 59, 0, 8, 0, 126}, {12,
            126, 94}, {7, 25, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 93}, {7, 
           26, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 60}, {7, 27, 8}, {70, 59,
            0, 8, 0, 126}, {12, 126, 61}, {7, 28, 8}, {70, 59, 0, 8, 0, 
           126}, {12, 126, 87}, {7, 29, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 
           26}, {7, 30, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 89}, {7, 31, 
           8}, {70, 59, 0, 8, 0, 126}, {12, 126, 90}, {7, 32, 8}, {70, 59, 0, 
           8, 0, 126}, {12, 126, 91}, {7, 33, 8}, {70, 59, 0, 8, 0, 126}, {12,
            126, 92}, {7, 34, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 63}, {7, 
           35, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 44}, {7, 36, 8}, {70, 59,
            0, 8, 0, 126}, {12, 126, 34}, {7, 37, 8}, {70, 59, 0, 8, 0, 
           126}, {12, 126, 47}, {7, 38, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 
           48}, {7, 39, 8}, {70, 59, 0, 8, 0, 126}, {12, 126, 49}, {67, 70, 
           72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 
           33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63,
            44, 34, 47, 48, 49, 3, 68}, {12, 29, 30}, {12, 51, 117}, {
           8, -1., 126}, {21, 126, 50, 126}, {12, 126, 118}, {12, 52, 119}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 117, 3, 0, 126, 3, 0, 122}, {12, 
           122, 117}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 118, 3, 0, 122, 3, 0,
            126}, {12, 126, 118}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 119, 3, 
           0, 126, 3, 0, 122}, {12, 122, 119}, {7, 2, 8}, {94, 264, 3, 0, 117,
            2, 0, 8, 3, 0, 122}, {7, 2, 8}, {94, 264, 3, 0, 118, 2, 0, 8, 3, 
           0, 126}, {7, 2, 8}, {94, 264, 3, 0, 119, 2, 0, 8, 3, 0, 127}, {18, 
           122, 126, 127, 122}, {7, 1, 8}, {7, 2, 14}, {15, 0, 8, 126}, {15, 
           0, 14, 127}, {94, 260, 3, 0, 126, 3, 0, 127, 3, 0, 121}, {94, 264, 
           3, 0, 122, 3, 0, 121, 3, 0, 126}, {12, 126, 35}, {7, 1, 8}, {94, 
           260, 2, 0, 8, 3, 0, 35, 3, 0, 126}, {21, 117, 126, 122}, {12, 122, 
           117}, {7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 35, 3, 0, 122}, {21, 118,
            122, 126}, {12, 126, 118}, {7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 35,
            3, 0, 126}, {21, 119, 126, 122}, {12, 122, 119}, {8, 75., 122}, {
           18, 122, 68, 122}, {12, 122, 79}, {8, -1., 122}, {8, -100., 126}, {
           18, 126, 67, 126}, {21, 122, 126, 122}, {12, 122, 81}, {12, 69, 
           83}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 79, 3, 0, 122, 3, 0, 
           126}, {12, 126, 79}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 81, 3, 0, 
           126, 3, 0, 122}, {12, 122, 81}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 
           83, 3, 0, 122, 3, 0, 126}, {12, 126, 83}, {6, False, 15}, {10, 15, 
           11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 59}, {46, 59, 25}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 117, 3, 0, 126, 3, 0, 122}, {7, 
           0, 8}, {15, 0, 8, 126}, {34, 122, 126, 0, 15}, {43, 15, 17}, {3, 
           17, 75}, {7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 117, 3, 0, 122}, {21, 
           79, 122, 126}, {24, 126, 122}, {21, 79, 118, 126}, {7, 1, 8}, {94, 
           260, 2, 0, 8, 3, 0, 117, 3, 0, 121}, {21, 126, 121, 126}, {24, 126,
            121}, {18, 81, 121, 126}, {21, 79, 119, 121}, {7, 1, 8}, {94, 260,
            2, 0, 8, 3, 0, 117, 3, 0, 127}, {21, 121, 127, 121}, {24, 121, 
           127}, {18, 83, 127, 121}, {67, 122, 126, 121, 3, 59}, {7, 1, 8}, {
           70, 59, 0, 8, 0, 122}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 122, 3, 
           0, 126, 3, 0, 121}, {8, 0., 122}, {39, 122, 121, 15}, {3, 15, 
           34}, {7, 2, 8}, {70, 59, 0, 8, 0, 121}, {8, 100., 122}, {39, 121, 
           122, 21}, {3, 21, 25}, {7, 2, 8}, {70, 59, 0, 8, 0, 121}, {
           8, -100., 122}, {39, 122, 121, 14}, {3, 14, 16}, {7, 3, 8}, {70, 
           59, 0, 8, 0, 121}, {8, -75., 122}, {39, 122, 121, 18}, {3, 18, 
           7}, {7, 3, 8}, {70, 59, 0, 8, 0, 121}, {8, 75., 122}, {39, 121, 
           122, 19}, {10, 19, 22}, {4, 3}, {6, False, 12}, {10, 12, 22}, {10, 
           22, 19}, {4, 3}, {6, False, 18}, {10, 18, 19}, {10, 19, 22}, {4, 
           3}, {6, False, 14}, {10, 14, 22}, {10, 22, 19}, {4, 3}, {
           6, False, 21}, {10, 21, 19}, {3, 19, 10}, {7, 1, 8}, {70, 59, 0, 8,
            0, 121}, {7, 2, 8}, {70, 59, 0, 8, 0, 122}, {7, 3, 8}, {70, 59, 0,
            8, 0, 126}, {67, 121, 122, 126, 3, 62}, {46, 62, 65}, {4, 3}, {
           45, {-1., 0., 0.}, 3, 3, 70}, {46, 70, 65}, {68, 65, 59}, {46, 59, 
           62}, {4, 3}, {45, {{-1., 0., 0.}}, 3, 1, 3, 65}, {46, 65, 62}, {46,
            62, 25}, {45, {-1., 0., 0.}, 3, 3, 62}, {7, -1, 8}, {67, 8, 2, 
           59}, {68, 59, 65}, {74, 25, 62, 65, 70}, {46, 70, 25}, {
           6, False, 17}, {10, 17, 3}, {8, -16599., 121}, {18, 93, 121, 
           122}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 122, 3, 0, 121, 3, 0, 
           126}, {8, 0., 122}, {34, 126, 122, 0, 17}, {3, 17, 4}, {
           6, True, 19}, {10, 19, 22}, {4, 6}, {8, 1.*^-10, 126}, {94, 270, 3,
            0, 59, 3, 0, 126, 3, 0, 122}, {8, 0.0001, 126}, {37, 122, 126, 
           15}, {10, 15, 22}, {43, 22, 17}, {3, 17, 4}, {6, True, 22}, {10, 
           22, 15}, {4, 4}, {8, 1., 122}, {34, 28, 122, 0, 19}, {10, 19, 
           15}, {3, 15, 4}, {8, 0., 122}, {12, 122, 38}, {4, 3}, {
           8, 0.0001, 122}, {12, 122, 38}, {8, 1., 122}, {8, 1., 126}, {
           8, 1., 121}, {7, 0, 8}, {7, 0, 14}, {46, 25, 70}, {44, 70, 5}, {7, 
           0, 18}, {64, 5, 2, 59}, {7, 0, 13}, {11, 13, 15}, {4, 35}, {70, 70,
            0, 15, 1, 66}, {46, 66, 62}, {46, 62, 66}, {46, 66, 65}, {7, 1, 
           13}, {70, 65, 0, 13, 0, 124}, {12, 124, 122}, {7, 2, 13}, {70, 65, 
           0, 13, 0, 124}, {12, 124, 126}, {7, 3, 13}, {70, 65, 0, 13, 0, 
           124}, {12, 124, 121}, {67, 122, 126, 121, 3, 60}, {67, 122, 126, 
           121, 3, 65}, {45, {-1., 0., 0.}, 3, 3, 73}, {53, 65, 73, 0, 19}, {
           3, 19, 4}, {6, True, 15}, {10, 15, 22}, {4, 5}, {
           8, 1.*^-10, 124}, {94, 270, 3, 0, 122, 3, 0, 124, 3, 0, 127}, {39, 
           38, 127, 17}, {10, 17, 22}, {3, 22, 6}, {7, 1, 13}, {17, 8, 13, 
           19}, {11, 19, 8}, {11, 15, 13}, {4, 3}, {7, -1, 19}, {11, 19, 
           13}, {65, 18, 13, 59}, {5, 15, 5, -34}, {11, 8, 17}, {7, -1, 9}, {
           64, 17, 9, 3, 60}, {7, 0, 18}, {11, 18, 10}, {4, 14}, {7, 1, 18}, {
           17, 14, 18, 13}, {11, 13, 14}, {70, 59, 0, 14, 0, 13}, {7, -1, 
           18}, {33, 13, 18, 22}, {3, 22, 5}, {7, 1, 13}, {17, 14, 13, 18}, {
           11, 18, 14}, {4, -7}, {70, 70, 0, 14, 1, 65}, {66, 9, 65, 60}, {5, 
           10, 17, -13}, {95, 1, 60, 70}, {46, 70, 19}, {46, 19, 25}, {46, 25,
            48}, {44, 25, 14}, {7, 1, 8}, {36, 8, 14, 22}, {3, 22, 6}, {
           45, {2}, 2, 1, 70}, {72, 25, 70, 1, 60}, {46, 60, 19}, {46, 19, 
           25}, {4, 1}, {7, -1, 14}, {67, 14, 2, 70}, {68, 70, 62}, {74, 26, 
           25, 62, 59}, {46, 59, 26}, {3, 3, 9}, {7, 1, 14}, {7, -1, 8}, {67, 
           8, 2, 59}, {68, 59, 70}, {49, 14, 0, 2, 1, 62}, {74, 23, 62, 70, 
           66}, {46, 66, 23}, {4, 8}, {7, 0, 14}, {7, -1, 8}, {67, 8, 2, 
           66}, {68, 66, 59}, {49, 14, 0, 2, 1, 70}, {74, 23, 70, 59, 62}, {
           46, 62, 23}, {70, 24, 0, 16, 1, 66}, {7, 1, 14}, {70, 66, 0, 14, 0,
            121}, {12, 121, 70}, {7, 2, 14}, {70, 66, 0, 14, 0, 121}, {12, 
           121, 72}, {7, 3, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 74}, {7, 
           4, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 67}, {7, 5, 14}, {70, 
           66, 0, 14, 0, 121}, {12, 121, 68}, {7, 6, 14}, {70, 66, 0, 14, 0, 
           121}, {12, 121, 69}, {7, 7, 14}, {70, 66, 0, 14, 0, 121}, {12, 121,
            50}, {7, 8, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 51}, {7, 9, 
           14}, {70, 66, 0, 14, 0, 121}, {12, 121, 52}, {7, 10, 14}, {70, 66, 
           0, 14, 0, 121}, {12, 121, 53}, {7, 11, 14}, {70, 66, 0, 14, 0, 
           121}, {12, 121, 54}, {7, 12, 14}, {70, 66, 0, 14, 0, 121}, {12, 
           121, 55}, {7, 13, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 56}, {7, 
           14, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 57}, {7, 15, 14}, {70, 
           66, 0, 14, 0, 121}, {12, 121, 58}, {7, 16, 14}, {70, 66, 0, 14, 0, 
           121}, {12, 121, 116}, {7, 17, 14}, {70, 66, 0, 14, 0, 121}, {12, 
           121, 32}, {7, 18, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 33}, {7, 
           19, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 59}, {7, 20, 14}, {70, 
           66, 0, 14, 0, 121}, {12, 121, 29}, {7, 21, 14}, {70, 66, 0, 14, 0, 
           121}, {12, 121, 45}, {7, 22, 14}, {70, 66, 0, 14, 0, 121}, {12, 
           121, 46}, {7, 23, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 24}, {7, 
           24, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 94}, {7, 25, 14}, {70, 
           66, 0, 14, 0, 121}, {12, 121, 93}, {7, 26, 14}, {70, 66, 0, 14, 0, 
           121}, {12, 121, 60}, {7, 27, 14}, {70, 66, 0, 14, 0, 121}, {12, 
           121, 61}, {7, 28, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 87}, {7, 
           29, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 26}, {7, 30, 14}, {70, 
           66, 0, 14, 0, 121}, {12, 121, 89}, {7, 31, 14}, {70, 66, 0, 14, 0, 
           121}, {12, 121, 90}, {7, 32, 14}, {70, 66, 0, 14, 0, 121}, {12, 
           121, 91}, {7, 33, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 92}, {7, 
           34, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 63}, {7, 35, 14}, {70, 
           66, 0, 14, 0, 121}, {12, 121, 44}, {7, 36, 14}, {70, 66, 0, 14, 0, 
           121}, {12, 121, 34}, {7, 37, 14}, {70, 66, 0, 14, 0, 121}, {12, 
           121, 47}, {7, 38, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 48}, {7, 
           39, 14}, {70, 66, 0, 14, 0, 121}, {12, 121, 49}, {67, 70, 72, 74, 
           67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 
           29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 44, 34,
            47, 48, 49, 3, 59}, {12, 29, 30}, {12, 50, 117}, {12, 51, 118}, {
           12, 52, 119}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 117, 3, 0, 121, 3,
            0, 126}, {12, 126, 117}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 118, 
           3, 0, 126, 3, 0, 121}, {12, 121, 118}, {8, 1.*^-10, 121}, {94, 270,
            3, 0, 119, 3, 0, 121, 3, 0, 126}, {12, 126, 119}, {7, 2, 14}, {94,
            264, 3, 0, 117, 2, 0, 14, 3, 0, 126}, {7, 2, 14}, {94, 264, 3, 0, 
           118, 2, 0, 14, 3, 0, 121}, {7, 2, 14}, {94, 264, 3, 0, 119, 2, 0, 
           14, 3, 0, 122}, {18, 126, 121, 122, 126}, {7, 1, 14}, {7, 2, 8}, {
           15, 0, 14, 121}, {15, 0, 8, 122}, {94, 260, 3, 0, 121, 3, 0, 122, 
           3, 0, 127}, {94, 264, 3, 0, 126, 3, 0, 127, 3, 0, 121}, {12, 121, 
           35}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 35, 3, 0, 121}, {21, 
           117, 121, 126}, {12, 126, 117}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 
           0, 35, 3, 0, 126}, {21, 118, 126, 121}, {12, 121, 118}, {7, 1, 
           14}, {94, 260, 2, 0, 14, 3, 0, 35, 3, 0, 121}, {21, 119, 121, 
           126}, {12, 126, 119}, {12, 67, 79}, {12, 68, 81}, {12, 69, 83}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 79, 3, 0, 126, 3, 0, 121}, {12, 
           121, 79}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 81, 3, 0, 121, 3, 0, 
           126}, {12, 126, 81}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 83, 3, 0, 
           126, 3, 0, 121}, {12, 121, 83}, {6, False, 22}, {10, 22, 11}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 66}, {46, 66, 25}, {
           8, 1.*^-10, 121}, {94, 270, 3, 0, 117, 3, 0, 121, 3, 0, 126}, {7, 
           0, 14}, {15, 0, 14, 121}, {34, 126, 121, 0, 22}, {43, 22, 19}, {3, 
           19, 75}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 117, 3, 0, 126}, {
           21, 79, 126, 121}, {24, 121, 126}, {21, 79, 118, 121}, {7, 1, 
           14}, {94, 260, 2, 0, 14, 3, 0, 117, 3, 0, 127}, {21, 121, 127, 
           121}, {24, 121, 127}, {18, 81, 127, 121}, {21, 79, 119, 127}, {7, 
           1, 14}, {94, 260, 2, 0, 14, 3, 0, 117, 3, 0, 122}, {21, 127, 122, 
           127}, {24, 127, 122}, {18, 83, 122, 127}, {67, 126, 121, 127, 3, 
           66}, {7, 1, 14}, {70, 66, 0, 14, 0, 126}, {8, 1.*^-10, 121}, {94, 
           270, 3, 0, 126, 3, 0, 121, 3, 0, 127}, {8, 0., 126}, {39, 126, 127,
            22}, {3, 22, 34}, {7, 2, 14}, {70, 66, 0, 14, 0, 127}, {
           8, 75., 126}, {39, 127, 126, 15}, {3, 15, 25}, {7, 2, 14}, {70, 66,
            0, 14, 0, 127}, {8, -75., 126}, {39, 126, 127, 17}, {3, 17, 16}, {
           7, 3, 14}, {70, 66, 0, 14, 0, 127}, {8, -75., 126}, {39, 126, 127, 
           21}, {3, 21, 7}, {7, 3, 14}, {70, 66, 0, 14, 0, 127}, {
           8, 75., 126}, {39, 127, 126, 14}, {10, 14, 12}, {4, 3}, {
           6, False, 18}, {10, 18, 12}, {10, 12, 14}, {4, 3}, {
           6, False, 21}, {10, 21, 14}, {10, 14, 12}, {4, 3}, {
           6, False, 17}, {10, 17, 12}, {10, 12, 14}, {4, 3}, {
           6, False, 15}, {10, 15, 14}, {3, 14, 10}, {7, 1, 14}, {70, 66, 0, 
           14, 0, 127}, {7, 2, 14}, {70, 66, 0, 14, 0, 126}, {7, 3, 14}, {70, 
           66, 0, 14, 0, 121}, {67, 127, 126, 121, 3, 70}, {46, 70, 73}, {4, 
           3}, {45, {-1., 0., 0.}, 3, 3, 65}, {46, 65, 73}, {68, 73, 66}, {46,
            66, 70}, {4, 3}, {45, {{-1., 0., 0.}}, 3, 1, 3, 73}, {46, 73, 
           70}, {46, 70, 25}, {45, {-1., 0., 0.}, 3, 3, 70}, {7, -1, 14}, {67,
            14, 2, 66}, {68, 66, 73}, {74, 25, 70, 73, 65}, {46, 65, 25}, {
           6, False, 19}, {10, 19, 3}, {8, -16600., 127}, {18, 93, 127, 
           126}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 126, 3, 0, 127, 3, 0, 
           121}, {8, 0., 126}, {34, 121, 126, 0, 19}, {3, 19, 4}, {
           6, True, 14}, {10, 14, 12}, {4, 6}, {8, 1.*^-10, 121}, {94, 270, 3,
            0, 59, 3, 0, 121, 3, 0, 126}, {8, 0.0001, 121}, {37, 126, 121, 
           22}, {10, 22, 12}, {43, 12, 19}, {3, 19, 4}, {6, True, 12}, {10, 
           12, 22}, {4, 4}, {8, 1., 126}, {34, 28, 126, 0, 14}, {10, 14, 
           22}, {3, 22, 4}, {8, 0., 126}, {12, 126, 38}, {4, 3}, {
           8, 0.0001, 126}, {12, 126, 38}, {8, 1., 126}, {8, 1., 121}, {
           8, 1., 127}, {7, 0, 14}, {7, 0, 8}, {46, 25, 65}, {44, 65, 17}, {7,
            0, 5}, {64, 17, 2, 66}, {7, 0, 15}, {11, 15, 18}, {4, 35}, {70, 
           65, 0, 18, 1, 71}, {46, 71, 70}, {46, 70, 71}, {46, 71, 73}, {7, 1,
            15}, {70, 73, 0, 15, 0, 124}, {12, 124, 126}, {7, 2, 15}, {70, 73,
            0, 15, 0, 124}, {12, 124, 121}, {7, 3, 15}, {70, 73, 0, 15, 0, 
           124}, {12, 124, 127}, {67, 126, 121, 127, 3, 54}, {67, 126, 121, 
           127, 3, 73}, {45, {-1., 0., 0.}, 3, 3, 58}, {53, 73, 58, 0, 14}, {
           3, 14, 4}, {6, True, 22}, {10, 22, 12}, {4, 5}, {
           8, 1.*^-10, 124}, {94, 270, 3, 0, 126, 3, 0, 124, 3, 0, 122}, {39, 
           38, 122, 19}, {10, 19, 12}, {3, 12, 6}, {7, 1, 15}, {17, 14, 15, 
           19}, {11, 19, 14}, {11, 18, 15}, {4, 3}, {7, -1, 19}, {11, 19, 
           15}, {65, 5, 15, 66}, {5, 18, 17, -34}, {11, 14, 9}, {7, -1, 13}, {
           64, 9, 13, 3, 54}, {7, 0, 5}, {11, 5, 10}, {4, 14}, {7, 1, 5}, {17,
            8, 5, 15}, {11, 15, 8}, {70, 66, 0, 8, 0, 15}, {7, -1, 5}, {33, 
           15, 5, 12}, {3, 12, 5}, {7, 1, 15}, {17, 8, 15, 5}, {11, 5, 8}, {
           4, -7}, {70, 65, 0, 8, 1, 73}, {66, 13, 73, 54}, {5, 10, 9, -13}, {
           95, 1, 54, 65}, {46, 65, 19}, {46, 19, 25}, {46, 25, 48}, {44, 25, 
           8}, {7, 1, 14}, {36, 14, 8, 12}, {3, 12, 6}, {45, {2}, 2, 1, 65}, {
           72, 25, 65, 1, 54}, {46, 54, 19}, {46, 19, 25}, {4, 1}, {7, -1, 
           8}, {67, 8, 2, 65}, {68, 65, 70}, {74, 26, 25, 70, 66}, {46, 66, 
           26}, {3, 3, 9}, {7, 1, 8}, {7, -1, 14}, {67, 14, 2, 66}, {68, 66, 
           65}, {49, 8, 0, 2, 1, 70}, {74, 23, 70, 65, 71}, {46, 71, 23}, {4, 
           8}, {7, 0, 8}, {7, -1, 14}, {67, 14, 2, 71}, {68, 71, 66}, {49, 8, 
           0, 2, 1, 65}, {74, 23, 65, 66, 70}, {46, 70, 23}, {70, 24, 0, 16, 
           1, 71}, {7, 1, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 70}, {7, 2, 
           8}, {70, 71, 0, 8, 0, 127}, {12, 127, 72}, {7, 3, 8}, {70, 71, 0, 
           8, 0, 127}, {12, 127, 74}, {7, 4, 8}, {70, 71, 0, 8, 0, 127}, {12, 
           127, 67}, {7, 5, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 68}, {7, 6, 
           8}, {70, 71, 0, 8, 0, 127}, {12, 127, 69}, {7, 7, 8}, {70, 71, 0, 
           8, 0, 127}, {12, 127, 50}, {7, 8, 8}, {70, 71, 0, 8, 0, 127}, {12, 
           127, 51}, {7, 9, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 52}, {7, 10,
            8}, {70, 71, 0, 8, 0, 127}, {12, 127, 53}, {7, 11, 8}, {70, 71, 0,
            8, 0, 127}, {12, 127, 54}, {7, 12, 8}, {70, 71, 0, 8, 0, 127}, {
           12, 127, 55}, {7, 13, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 56}, {
           7, 14, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 57}, {7, 15, 8}, {70, 
           71, 0, 8, 0, 127}, {12, 127, 58}, {7, 16, 8}, {70, 71, 0, 8, 0, 
           127}, {12, 127, 116}, {7, 17, 8}, {70, 71, 0, 8, 0, 127}, {12, 127,
            32}, {7, 18, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 33}, {7, 19, 
           8}, {70, 71, 0, 8, 0, 127}, {12, 127, 59}, {7, 20, 8}, {70, 71, 0, 
           8, 0, 127}, {12, 127, 29}, {7, 21, 8}, {70, 71, 0, 8, 0, 127}, {12,
            127, 45}, {7, 22, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 46}, {7, 
           23, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 24}, {7, 24, 8}, {70, 71,
            0, 8, 0, 127}, {12, 127, 94}, {7, 25, 8}, {70, 71, 0, 8, 0, 
           127}, {12, 127, 93}, {7, 26, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 
           60}, {7, 27, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 61}, {7, 28, 
           8}, {70, 71, 0, 8, 0, 127}, {12, 127, 87}, {7, 29, 8}, {70, 71, 0, 
           8, 0, 127}, {12, 127, 26}, {7, 30, 8}, {70, 71, 0, 8, 0, 127}, {12,
            127, 89}, {7, 31, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 90}, {7, 
           32, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 91}, {7, 33, 8}, {70, 71,
            0, 8, 0, 127}, {12, 127, 92}, {7, 34, 8}, {70, 71, 0, 8, 0, 
           127}, {12, 127, 63}, {7, 35, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 
           44}, {7, 36, 8}, {70, 71, 0, 8, 0, 127}, {12, 127, 34}, {7, 37, 
           8}, {70, 71, 0, 8, 0, 127}, {12, 127, 47}, {7, 38, 8}, {70, 71, 0, 
           8, 0, 127}, {12, 127, 48}, {7, 39, 8}, {70, 71, 0, 8, 0, 127}, {12,
            127, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56,
            57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 66}, {12, 29, 30}, {
           8, -1., 127}, {21, 127, 51, 127}, {12, 127, 117}, {12, 50, 118}, {
           12, 52, 119}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 117, 3, 0, 127, 3,
            0, 121}, {12, 121, 117}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 118, 
           3, 0, 121, 3, 0, 127}, {12, 127, 118}, {8, 1.*^-10, 127}, {94, 270,
            3, 0, 119, 3, 0, 127, 3, 0, 121}, {12, 121, 119}, {7, 2, 8}, {94, 
           264, 3, 0, 117, 2, 0, 8, 3, 0, 121}, {7, 2, 8}, {94, 264, 3, 0, 
           118, 2, 0, 8, 3, 0, 127}, {7, 2, 8}, {94, 264, 3, 0, 119, 2, 0, 8, 
           3, 0, 126}, {18, 121, 127, 126, 121}, {7, 1, 8}, {7, 2, 14}, {15, 
           0, 8, 127}, {15, 0, 14, 126}, {94, 260, 3, 0, 127, 3, 0, 126, 3, 0,
            122}, {94, 264, 3, 0, 121, 3, 0, 122, 3, 0, 127}, {12, 127, 35}, {
           7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 35, 3, 0, 127}, {21, 117, 127, 
           121}, {12, 121, 117}, {7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 35, 3, 0,
            121}, {21, 118, 121, 127}, {12, 127, 118}, {7, 1, 8}, {94, 260, 2,
            0, 8, 3, 0, 35, 3, 0, 127}, {21, 119, 127, 121}, {12, 121, 119}, {
           8, -1., 121}, {8, -75., 127}, {18, 127, 68, 127}, {21, 121, 127, 
           121}, {12, 121, 79}, {8, -100., 121}, {18, 121, 67, 121}, {12, 121,
            81}, {12, 69, 83}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 79, 3, 0, 
           121, 3, 0, 127}, {12, 127, 79}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 
           81, 3, 0, 127, 3, 0, 121}, {12, 121, 81}, {8, 1.*^-10, 121}, {94, 
           270, 3, 0, 83, 3, 0, 121, 3, 0, 127}, {12, 127, 83}, {
           6, False, 12}, {10, 12, 11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 71}, {
           46, 71, 25}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 117, 3, 0, 127, 3, 
           0, 121}, {7, 0, 8}, {15, 0, 8, 127}, {34, 121, 127, 0, 12}, {43, 
           12, 14}, {3, 14, 75}, {7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 117, 3, 
           0, 121}, {21, 79, 121, 127}, {24, 127, 121}, {21, 79, 118, 127}, {
           7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 117, 3, 0, 122}, {21, 127, 122, 
           127}, {24, 127, 122}, {18, 81, 122, 127}, {21, 79, 119, 122}, {7, 
           1, 8}, {94, 260, 2, 0, 8, 3, 0, 117, 3, 0, 126}, {21, 122, 126, 
           122}, {24, 122, 126}, {18, 83, 126, 122}, {67, 121, 127, 122, 3, 
           71}, {7, 1, 8}, {70, 71, 0, 8, 0, 121}, {8, 1.*^-10, 127}, {94, 
           270, 3, 0, 121, 3, 0, 127, 3, 0, 122}, {8, 0., 121}, {39, 121, 122,
            12}, {3, 12, 34}, {7, 2, 8}, {70, 71, 0, 8, 0, 122}, {
           8, 100., 121}, {39, 122, 121, 22}, {3, 22, 25}, {7, 2, 8}, {70, 71,
            0, 8, 0, 122}, {8, -100., 121}, {39, 121, 122, 19}, {3, 19, 16}, {
           7, 3, 8}, {70, 71, 0, 8, 0, 122}, {8, -75., 121}, {39, 121, 122, 
           15}, {3, 15, 7}, {7, 3, 8}, {70, 71, 0, 8, 0, 122}, {
           8, 75., 121}, {39, 122, 121, 17}, {10, 17, 18}, {4, 3}, {
           6, False, 21}, {10, 21, 18}, {10, 18, 17}, {4, 3}, {
           6, False, 15}, {10, 15, 17}, {10, 17, 18}, {4, 3}, {
           6, False, 19}, {10, 19, 18}, {10, 18, 17}, {4, 3}, {
           6, False, 22}, {10, 22, 17}, {3, 17, 10}, {7, 1, 8}, {70, 71, 0, 8,
            0, 122}, {7, 2, 8}, {70, 71, 0, 8, 0, 121}, {7, 3, 8}, {70, 71, 0,
            8, 0, 127}, {67, 122, 121, 127, 3, 65}, {46, 65, 58}, {4, 3}, {
           45, {-1., 0., 0.}, 3, 3, 73}, {46, 73, 58}, {68, 58, 71}, {46, 71, 
           65}, {4, 3}, {45, {{-1., 0., 0.}}, 3, 1, 3, 58}, {46, 58, 65}, {46,
            65, 25}, {45, {-1., 0., 0.}, 3, 3, 65}, {7, -1, 8}, {67, 8, 2, 
           71}, {68, 71, 58}, {74, 25, 65, 58, 73}, {46, 73, 25}, {
           6, False, 14}, {10, 14, 3}, {8, -16601., 122}, {18, 93, 122, 
           121}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 121, 3, 0, 122, 3, 0, 
           127}, {8, 0., 121}, {34, 127, 121, 0, 14}, {3, 14, 4}, {
           6, True, 17}, {10, 17, 18}, {4, 6}, {8, 1.*^-10, 127}, {94, 270, 3,
            0, 59, 3, 0, 127, 3, 0, 121}, {8, 0.0001, 127}, {37, 121, 127, 
           12}, {10, 12, 18}, {43, 18, 14}, {3, 14, 4}, {6, True, 18}, {10, 
           18, 12}, {4, 4}, {8, 1., 121}, {34, 28, 121, 0, 17}, {10, 17, 
           12}, {3, 12, 4}, {8, 0., 121}, {12, 121, 38}, {4, 3}, {
           8, 0.0001, 121}, {12, 121, 38}, {8, 1., 121}, {8, 1., 127}, {
           8, 1., 122}, {7, 0, 8}, {7, 0, 14}, {46, 25, 73}, {44, 73, 9}, {7, 
           0, 17}, {64, 9, 2, 71}, {7, 0, 18}, {11, 18, 5}, {4, 35}, {70, 73, 
           0, 5, 1, 55}, {46, 55, 65}, {46, 65, 55}, {46, 55, 58}, {7, 1, 
           18}, {70, 58, 0, 18, 0, 124}, {12, 124, 121}, {7, 2, 18}, {70, 58, 
           0, 18, 0, 124}, {12, 124, 127}, {7, 3, 18}, {70, 58, 0, 18, 0, 
           124}, {12, 124, 122}, {67, 121, 127, 122, 3, 78}, {67, 121, 127, 
           122, 3, 58}, {45, {-1., 0., 0.}, 3, 3, 67}, {53, 58, 67, 0, 17}, {
           3, 17, 4}, {6, True, 12}, {10, 12, 18}, {4, 5}, {
           8, 1.*^-10, 124}, {94, 270, 3, 0, 121, 3, 0, 124, 3, 0, 126}, {39, 
           38, 126, 14}, {10, 14, 18}, {3, 18, 6}, {7, 1, 18}, {17, 8, 18, 
           19}, {11, 19, 8}, {11, 5, 18}, {4, 3}, {7, -1, 19}, {11, 19, 18}, {
           65, 17, 18, 71}, {5, 5, 9, -34}, {11, 8, 13}, {7, -1, 15}, {64, 13,
            15, 3, 78}, {7, 0, 17}, {11, 17, 10}, {4, 14}, {7, 1, 17}, {17, 
           14, 17, 18}, {11, 18, 14}, {70, 71, 0, 14, 0, 18}, {7, -1, 17}, {
           33, 18, 17, 18}, {3, 18, 5}, {7, 1, 18}, {17, 14, 18, 17}, {11, 17,
            14}, {4, -7}, {70, 73, 0, 14, 1, 58}, {66, 15, 58, 78}, {5, 10, 
           13, -13}, {95, 1, 78, 73}, {46, 73, 19}, {46, 19, 25}, {46, 25, 
           48}, {44, 25, 14}, {7, 1, 8}, {36, 8, 14, 18}, {3, 18, 6}, {
           45, {2}, 2, 1, 73}, {72, 25, 73, 1, 78}, {46, 78, 19}, {46, 19, 
           25}, {4, 1}, {7, -1, 14}, {67, 14, 2, 73}, {68, 73, 65}, {74, 26, 
           25, 65, 71}, {46, 71, 26}, {3, 3, 9}, {7, 1, 14}, {7, -1, 8}, {67, 
           8, 2, 71}, {68, 71, 73}, {49, 14, 0, 2, 1, 65}, {74, 23, 65, 73, 
           55}, {46, 55, 23}, {4, 8}, {7, 0, 14}, {7, -1, 8}, {67, 8, 2, 
           55}, {68, 55, 71}, {49, 14, 0, 2, 1, 73}, {74, 23, 73, 71, 65}, {
           46, 65, 23}, {70, 24, 0, 16, 1, 55}, {7, 1, 14}, {70, 55, 0, 14, 0,
            122}, {12, 122, 70}, {7, 2, 14}, {70, 55, 0, 14, 0, 122}, {12, 
           122, 72}, {7, 3, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 74}, {7, 
           4, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 67}, {7, 5, 14}, {70, 
           55, 0, 14, 0, 122}, {12, 122, 68}, {7, 6, 14}, {70, 55, 0, 14, 0, 
           122}, {12, 122, 69}, {7, 7, 14}, {70, 55, 0, 14, 0, 122}, {12, 122,
            50}, {7, 8, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 51}, {7, 9, 
           14}, {70, 55, 0, 14, 0, 122}, {12, 122, 52}, {7, 10, 14}, {70, 55, 
           0, 14, 0, 122}, {12, 122, 53}, {7, 11, 14}, {70, 55, 0, 14, 0, 
           122}, {12, 122, 54}, {7, 12, 14}, {70, 55, 0, 14, 0, 122}, {12, 
           122, 55}, {7, 13, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 56}, {7, 
           14, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 57}, {7, 15, 14}, {70, 
           55, 0, 14, 0, 122}, {12, 122, 58}, {7, 16, 14}, {70, 55, 0, 14, 0, 
           122}, {12, 122, 116}, {7, 17, 14}, {70, 55, 0, 14, 0, 122}, {12, 
           122, 32}, {7, 18, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 33}, {7, 
           19, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 59}, {7, 20, 14}, {70, 
           55, 0, 14, 0, 122}, {12, 122, 29}, {7, 21, 14}, {70, 55, 0, 14, 0, 
           122}, {12, 122, 45}, {7, 22, 14}, {70, 55, 0, 14, 0, 122}, {12, 
           122, 46}, {7, 23, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 24}, {7, 
           24, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 94}, {7, 25, 14}, {70, 
           55, 0, 14, 0, 122}, {12, 122, 93}, {7, 26, 14}, {70, 55, 0, 14, 0, 
           122}, {12, 122, 60}, {7, 27, 14}, {70, 55, 0, 14, 0, 122}, {12, 
           122, 61}, {7, 28, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 87}, {7, 
           29, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 26}, {7, 30, 14}, {70, 
           55, 0, 14, 0, 122}, {12, 122, 89}, {7, 31, 14}, {70, 55, 0, 14, 0, 
           122}, {12, 122, 90}, {7, 32, 14}, {70, 55, 0, 14, 0, 122}, {12, 
           122, 91}, {7, 33, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 92}, {7, 
           34, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 63}, {7, 35, 14}, {70, 
           55, 0, 14, 0, 122}, {12, 122, 44}, {7, 36, 14}, {70, 55, 0, 14, 0, 
           122}, {12, 122, 34}, {7, 37, 14}, {70, 55, 0, 14, 0, 122}, {12, 
           122, 47}, {7, 38, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 48}, {7, 
           39, 14}, {70, 55, 0, 14, 0, 122}, {12, 122, 49}, {67, 70, 72, 74, 
           67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 
           29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 44, 34,
            47, 48, 49, 3, 71}, {12, 29, 30}, {12, 52, 117}, {12, 51, 118}, {
           8, -1., 122}, {21, 122, 50, 122}, {12, 122, 119}, {
           8, 1.*^-10, 122}, {94, 270, 3, 0, 117, 3, 0, 122, 3, 0, 127}, {12, 
           127, 117}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 118, 3, 0, 127, 3, 0,
            122}, {12, 122, 118}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 119, 3, 
           0, 122, 3, 0, 127}, {12, 127, 119}, {7, 2, 14}, {94, 264, 3, 0, 
           117, 2, 0, 14, 3, 0, 127}, {7, 2, 14}, {94, 264, 3, 0, 118, 2, 0, 
           14, 3, 0, 122}, {7, 2, 14}, {94, 264, 3, 0, 119, 2, 0, 14, 3, 0, 
           121}, {18, 127, 122, 121, 127}, {7, 1, 14}, {7, 2, 8}, {15, 0, 14, 
           122}, {15, 0, 8, 121}, {94, 260, 3, 0, 122, 3, 0, 121, 3, 0, 
           126}, {94, 264, 3, 0, 127, 3, 0, 126, 3, 0, 122}, {12, 122, 35}, {
           7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 35, 3, 0, 122}, {21, 117, 122,
            127}, {12, 127, 117}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 35, 3,
            0, 127}, {21, 118, 127, 122}, {12, 122, 118}, {7, 1, 14}, {94, 
           260, 2, 0, 14, 3, 0, 35, 3, 0, 122}, {21, 119, 122, 127}, {12, 127,
            119}, {8, 75., 127}, {18, 127, 69, 127}, {12, 127, 79}, {12, 68, 
           81}, {8, -1., 127}, {8, -100., 122}, {18, 122, 67, 122}, {21, 127, 
           122, 127}, {12, 127, 83}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 79, 3,
            0, 127, 3, 0, 122}, {12, 122, 79}, {8, 1.*^-10, 122}, {94, 270, 3,
            0, 81, 3, 0, 122, 3, 0, 127}, {12, 127, 81}, {8, 1.*^-10, 127}, {
           94, 270, 3, 0, 83, 3, 0, 127, 3, 0, 122}, {12, 122, 83}, {
           6, False, 18}, {10, 18, 11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 55}, {
           46, 55, 25}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 117, 3, 0, 122, 3, 
           0, 127}, {7, 0, 14}, {15, 0, 14, 122}, {34, 127, 122, 0, 18}, {43, 
           18, 17}, {3, 17, 75}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 117, 3,
            0, 127}, {21, 79, 127, 122}, {24, 122, 127}, {21, 79, 118, 122}, {
           7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 117, 3, 0, 126}, {21, 122, 
           126, 122}, {24, 122, 126}, {18, 81, 126, 122}, {21, 79, 119, 
           126}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 117, 3, 0, 121}, {21, 
           126, 121, 126}, {24, 126, 121}, {18, 83, 121, 126}, {67, 127, 122, 
           126, 3, 55}, {7, 1, 14}, {70, 55, 0, 14, 0, 127}, {
           8, 1.*^-10, 122}, {94, 270, 3, 0, 127, 3, 0, 122, 3, 0, 126}, {
           8, 0., 127}, {39, 127, 126, 18}, {3, 18, 34}, {7, 2, 14}, {70, 55, 
           0, 14, 0, 126}, {8, 75., 127}, {39, 126, 127, 12}, {3, 12, 25}, {7,
            2, 14}, {70, 55, 0, 14, 0, 126}, {8, -75., 127}, {39, 127, 126, 
           14}, {3, 14, 16}, {7, 3, 14}, {70, 55, 0, 14, 0, 126}, {
           8, -100., 127}, {39, 127, 126, 22}, {3, 22, 7}, {7, 3, 14}, {70, 
           55, 0, 14, 0, 126}, {8, 100., 127}, {39, 126, 127, 19}, {10, 19, 
           21}, {4, 3}, {6, False, 15}, {10, 15, 21}, {10, 21, 19}, {4, 3}, {
           6, False, 22}, {10, 22, 19}, {10, 19, 21}, {4, 3}, {
           6, False, 14}, {10, 14, 21}, {10, 21, 19}, {4, 3}, {
           6, False, 12}, {10, 12, 19}, {3, 19, 10}, {7, 1, 14}, {70, 55, 0, 
           14, 0, 126}, {7, 2, 14}, {70, 55, 0, 14, 0, 127}, {7, 3, 14}, {70, 
           55, 0, 14, 0, 122}, {67, 126, 127, 122, 3, 73}, {46, 73, 67}, {4, 
           3}, {45, {-1., 0., 0.}, 3, 3, 58}, {46, 58, 67}, {68, 67, 55}, {46,
            55, 73}, {4, 3}, {45, {{-1., 0., 0.}}, 3, 1, 3, 67}, {46, 67, 
           73}, {46, 73, 25}, {45, {-1., 0., 0.}, 3, 3, 73}, {7, -1, 14}, {67,
            14, 2, 55}, {68, 55, 67}, {74, 25, 73, 67, 58}, {46, 58, 25}, {
           6, False, 17}, {10, 17, 3}, {8, -16602., 126}, {18, 93, 126, 
           127}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 127, 3, 0, 126, 3, 0, 
           122}, {8, 0., 127}, {34, 122, 127, 0, 17}, {3, 17, 4}, {
           6, True, 19}, {10, 19, 21}, {4, 6}, {8, 1.*^-10, 122}, {94, 270, 3,
            0, 59, 3, 0, 122, 3, 0, 127}, {8, 0.0001, 122}, {37, 127, 122, 
           18}, {10, 18, 21}, {43, 21, 17}, {3, 17, 4}, {6, True, 21}, {10, 
           21, 18}, {4, 4}, {8, 1., 127}, {34, 28, 127, 0, 19}, {10, 19, 
           18}, {3, 18, 4}, {8, 0., 127}, {12, 127, 38}, {4, 3}, {
           8, 0.0001, 127}, {12, 127, 38}, {8, 1., 127}, {8, 1., 122}, {
           8, 1., 126}, {7, 0, 14}, {7, 0, 8}, {46, 25, 58}, {44, 58, 13}, {7,
            0, 9}, {64, 13, 2, 55}, {7, 0, 5}, {11, 5, 17}, {4, 35}, {70, 58, 
           0, 17, 1, 77}, {46, 77, 73}, {46, 73, 77}, {46, 77, 67}, {7, 1, 
           5}, {70, 67, 0, 5, 0, 124}, {12, 124, 127}, {7, 2, 5}, {70, 67, 0, 
           5, 0, 124}, {12, 124, 122}, {7, 3, 5}, {70, 67, 0, 5, 0, 124}, {12,
            124, 126}, {67, 127, 122, 126, 3, 63}, {67, 127, 122, 126, 3, 
           67}, {45, {-1., 0., 0.}, 3, 3, 76}, {53, 67, 76, 0, 19}, {3, 19, 
           4}, {6, True, 18}, {10, 18, 21}, {4, 5}, {8, 1.*^-10, 124}, {94, 
           270, 3, 0, 127, 3, 0, 124, 3, 0, 121}, {39, 38, 121, 17}, {10, 17, 
           21}, {3, 21, 6}, {7, 1, 5}, {17, 14, 5, 19}, {11, 19, 14}, {11, 17,
            5}, {4, 3}, {7, -1, 19}, {11, 19, 5}, {65, 9, 5, 55}, {5, 17, 
           13, -34}, {11, 14, 15}, {7, -1, 18}, {64, 15, 18, 3, 63}, {7, 0, 
           9}, {11, 9, 10}, {4, 14}, {7, 1, 9}, {17, 8, 9, 5}, {11, 5, 8}, {
           70, 55, 0, 8, 0, 5}, {7, -1, 9}, {33, 5, 9, 21}, {3, 21, 5}, {7, 1,
            5}, {17, 8, 5, 9}, {11, 9, 8}, {4, -7}, {70, 58, 0, 8, 1, 67}, {
           66, 18, 67, 63}, {5, 10, 15, -13}, {95, 1, 63, 58}, {46, 58, 19}, {
           46, 19, 25}, {46, 25, 48}, {44, 25, 8}, {7, 1, 14}, {36, 14, 8, 
           21}, {3, 21, 6}, {45, {2}, 2, 1, 58}, {72, 25, 58, 1, 63}, {46, 63,
            19}, {46, 19, 25}, {4, 1}, {7, -1, 8}, {67, 8, 2, 58}, {68, 58, 
           73}, {74, 26, 25, 73, 55}, {46, 55, 26}, {3, 3, 9}, {7, 1, 8}, {
           7, -1, 14}, {67, 14, 2, 55}, {68, 55, 58}, {49, 8, 0, 2, 1, 73}, {
           74, 23, 73, 58, 77}, {46, 77, 23}, {4, 8}, {7, 0, 8}, {7, -1, 
           14}, {67, 14, 2, 77}, {68, 77, 55}, {49, 8, 0, 2, 1, 58}, {74, 23, 
           58, 55, 73}, {46, 73, 23}, {70, 24, 0, 16, 1, 77}, {7, 1, 8}, {70, 
           77, 0, 8, 0, 126}, {12, 126, 70}, {7, 2, 8}, {70, 77, 0, 8, 0, 
           126}, {12, 126, 72}, {7, 3, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 
           74}, {7, 4, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 67}, {7, 5, 8}, {
           70, 77, 0, 8, 0, 126}, {12, 126, 68}, {7, 6, 8}, {70, 77, 0, 8, 0, 
           126}, {12, 126, 69}, {7, 7, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 
           50}, {7, 8, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 51}, {7, 9, 8}, {
           70, 77, 0, 8, 0, 126}, {12, 126, 52}, {7, 10, 8}, {70, 77, 0, 8, 0,
            126}, {12, 126, 53}, {7, 11, 8}, {70, 77, 0, 8, 0, 126}, {12, 126,
            54}, {7, 12, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 55}, {7, 13, 
           8}, {70, 77, 0, 8, 0, 126}, {12, 126, 56}, {7, 14, 8}, {70, 77, 0, 
           8, 0, 126}, {12, 126, 57}, {7, 15, 8}, {70, 77, 0, 8, 0, 126}, {12,
            126, 58}, {7, 16, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 116}, {7, 
           17, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 32}, {7, 18, 8}, {70, 77,
            0, 8, 0, 126}, {12, 126, 33}, {7, 19, 8}, {70, 77, 0, 8, 0, 
           126}, {12, 126, 59}, {7, 20, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 
           29}, {7, 21, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 45}, {7, 22, 
           8}, {70, 77, 0, 8, 0, 126}, {12, 126, 46}, {7, 23, 8}, {70, 77, 0, 
           8, 0, 126}, {12, 126, 24}, {7, 24, 8}, {70, 77, 0, 8, 0, 126}, {12,
            126, 94}, {7, 25, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 93}, {7, 
           26, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 60}, {7, 27, 8}, {70, 77,
            0, 8, 0, 126}, {12, 126, 61}, {7, 28, 8}, {70, 77, 0, 8, 0, 
           126}, {12, 126, 87}, {7, 29, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 
           26}, {7, 30, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 89}, {7, 31, 
           8}, {70, 77, 0, 8, 0, 126}, {12, 126, 90}, {7, 32, 8}, {70, 77, 0, 
           8, 0, 126}, {12, 126, 91}, {7, 33, 8}, {70, 77, 0, 8, 0, 126}, {12,
            126, 92}, {7, 34, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 63}, {7, 
           35, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 44}, {7, 36, 8}, {70, 77,
            0, 8, 0, 126}, {12, 126, 34}, {7, 37, 8}, {70, 77, 0, 8, 0, 
           126}, {12, 126, 47}, {7, 38, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 
           48}, {7, 39, 8}, {70, 77, 0, 8, 0, 126}, {12, 126, 49}, {67, 70, 
           72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 
           33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63,
            44, 34, 47, 48, 49, 3, 55}, {12, 29, 30}, {8, -1., 126}, {21, 126,
            52, 126}, {12, 126, 117}, {8, -1., 126}, {21, 126, 51, 126}, {12, 
           126, 118}, {8, -1., 126}, {21, 126, 50, 126}, {12, 126, 119}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 117, 3, 0, 126, 3, 0, 122}, {12, 
           122, 117}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 118, 3, 0, 122, 3, 0,
            126}, {12, 126, 118}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 119, 3, 
           0, 126, 3, 0, 122}, {12, 122, 119}, {7, 2, 8}, {94, 264, 3, 0, 117,
            2, 0, 8, 3, 0, 122}, {7, 2, 8}, {94, 264, 3, 0, 118, 2, 0, 8, 3, 
           0, 126}, {7, 2, 8}, {94, 264, 3, 0, 119, 2, 0, 8, 3, 0, 127}, {18, 
           122, 126, 127, 122}, {7, 1, 8}, {7, 2, 14}, {15, 0, 8, 126}, {15, 
           0, 14, 127}, {94, 260, 3, 0, 126, 3, 0, 127, 3, 0, 121}, {94, 264, 
           3, 0, 122, 3, 0, 121, 3, 0, 126}, {12, 126, 35}, {7, 1, 8}, {94, 
           260, 2, 0, 8, 3, 0, 35, 3, 0, 126}, {21, 117, 126, 122}, {12, 122, 
           117}, {7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 35, 3, 0, 122}, {21, 118,
            122, 126}, {12, 126, 118}, {7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 35,
            3, 0, 126}, {21, 119, 126, 122}, {12, 122, 119}, {8, -1., 122}, {
           8, -75., 126}, {18, 126, 69, 126}, {21, 122, 126, 122}, {12, 122, 
           79}, {8, -1., 122}, {21, 122, 68, 122}, {12, 122, 81}, {
           8, -1., 122}, {8, -100., 126}, {18, 126, 67, 126}, {21, 122, 126, 
           122}, {12, 122, 83}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 79, 3, 0, 
           122, 3, 0, 126}, {12, 126, 79}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 
           81, 3, 0, 126, 3, 0, 122}, {12, 122, 81}, {8, 1.*^-10, 122}, {94, 
           270, 3, 0, 83, 3, 0, 122, 3, 0, 126}, {12, 126, 83}, {
           6, False, 21}, {10, 21, 11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 77}, {
           46, 77, 25}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 117, 3, 0, 126, 3, 
           0, 122}, {7, 0, 8}, {15, 0, 8, 126}, {34, 122, 126, 0, 21}, {43, 
           21, 19}, {3, 19, 75}, {7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 117, 3, 
           0, 122}, {21, 79, 122, 126}, {24, 126, 122}, {21, 79, 118, 126}, {
           7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 117, 3, 0, 121}, {21, 126, 121, 
           126}, {24, 126, 121}, {18, 81, 121, 126}, {21, 79, 119, 121}, {7, 
           1, 8}, {94, 260, 2, 0, 8, 3, 0, 117, 3, 0, 127}, {21, 121, 127, 
           121}, {24, 121, 127}, {18, 83, 127, 121}, {67, 122, 126, 121, 3, 
           77}, {7, 1, 8}, {70, 77, 0, 8, 0, 122}, {8, 1.*^-10, 126}, {94, 
           270, 3, 0, 122, 3, 0, 126, 3, 0, 121}, {8, 0., 122}, {39, 122, 121,
            21}, {3, 21, 34}, {7, 2, 8}, {70, 77, 0, 8, 0, 121}, {
           8, 75., 122}, {39, 121, 122, 18}, {3, 18, 25}, {7, 2, 8}, {70, 77, 
           0, 8, 0, 121}, {8, -75., 122}, {39, 122, 121, 17}, {3, 17, 16}, {7,
            3, 8}, {70, 77, 0, 8, 0, 121}, {8, -100., 122}, {39, 122, 121, 
           12}, {3, 12, 7}, {7, 3, 8}, {70, 77, 0, 8, 0, 121}, {
           8, 100., 122}, {39, 121, 122, 14}, {10, 14, 15}, {4, 3}, {
           6, False, 22}, {10, 22, 15}, {10, 15, 14}, {4, 3}, {
           6, False, 12}, {10, 12, 14}, {10, 14, 15}, {4, 3}, {
           6, False, 17}, {10, 17, 15}, {10, 15, 14}, {4, 3}, {
           6, False, 18}, {10, 18, 14}, {3, 14, 10}, {7, 1, 8}, {70, 77, 0, 8,
            0, 121}, {7, 2, 8}, {70, 77, 0, 8, 0, 122}, {7, 3, 8}, {70, 77, 0,
            8, 0, 126}, {67, 121, 122, 126, 3, 58}, {46, 58, 76}, {4, 3}, {
           45, {-1., 0., 0.}, 3, 3, 67}, {46, 67, 76}, {68, 76, 77}, {46, 77, 
           58}, {4, 3}, {45, {{-1., 0., 0.}}, 3, 1, 3, 76}, {46, 76, 58}, {46,
            58, 25}, {45, {-1., 0., 0.}, 3, 3, 58}, {7, -1, 8}, {67, 8, 2, 
           77}, {68, 77, 76}, {74, 25, 58, 76, 67}, {46, 67, 25}, {
           6, False, 19}, {10, 19, 3}, {8, -16603., 121}, {18, 93, 121, 
           122}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 122, 3, 0, 121, 3, 0, 
           126}, {8, 0., 122}, {34, 126, 122, 0, 19}, {3, 19, 4}, {
           6, True, 14}, {10, 14, 15}, {4, 6}, {8, 1.*^-10, 126}, {94, 270, 3,
            0, 59, 3, 0, 126, 3, 0, 122}, {8, 0.0001, 126}, {37, 122, 126, 
           21}, {10, 21, 15}, {43, 15, 19}, {3, 19, 4}, {6, True, 15}, {10, 
           15, 21}, {4, 4}, {8, 1., 122}, {34, 28, 122, 0, 14}, {10, 14, 
           21}, {3, 21, 4}, {8, 0., 122}, {12, 122, 38}, {4, 3}, {
           8, 0.0001, 122}, {12, 122, 38}, {8, 1., 122}, {8, 1., 126}, {
           8, 1., 121}, {7, 0, 8}, {7, 0, 14}, {46, 25, 67}, {44, 67, 15}, {7,
            0, 13}, {64, 15, 2, 77}, {7, 0, 17}, {11, 17, 9}, {4, 35}, {70, 
           67, 0, 9, 1, 79}, {46, 79, 58}, {46, 58, 79}, {46, 79, 76}, {7, 1, 
           17}, {70, 76, 0, 17, 0, 124}, {12, 124, 122}, {7, 2, 17}, {70, 76, 
           0, 17, 0, 124}, {12, 124, 126}, {7, 3, 17}, {70, 76, 0, 17, 0, 
           124}, {12, 124, 121}, {67, 122, 126, 121, 3, 80}, {67, 122, 126, 
           121, 3, 76}, {45, {-1., 0., 0.}, 3, 3, 81}, {53, 76, 81, 0, 14}, {
           3, 14, 4}, {6, True, 21}, {10, 21, 15}, {4, 5}, {
           8, 1.*^-10, 124}, {94, 270, 3, 0, 122, 3, 0, 124, 3, 0, 127}, {39, 
           38, 127, 19}, {10, 19, 15}, {3, 15, 6}, {7, 1, 17}, {17, 8, 17, 
           19}, {11, 19, 8}, {11, 9, 17}, {4, 3}, {7, -1, 19}, {11, 19, 17}, {
           65, 13, 17, 77}, {5, 9, 15, -34}, {11, 8, 18}, {7, -1, 5}, {64, 18,
            5, 3, 80}, {7, 0, 13}, {11, 13, 10}, {4, 14}, {7, 1, 13}, {17, 14,
            13, 17}, {11, 17, 14}, {70, 77, 0, 14, 0, 17}, {7, -1, 13}, {33, 
           17, 13, 15}, {3, 15, 5}, {7, 1, 17}, {17, 14, 17, 13}, {11, 13, 
           14}, {4, -7}, {70, 67, 0, 14, 1, 76}, {66, 5, 76, 80}, {5, 10, 
           18, -13}, {95, 1, 80, 67}, {46, 67, 19}, {46, 19, 25}, {46, 25, 
           48}, {44, 25, 14}, {7, 1, 8}, {36, 8, 14, 15}, {3, 15, 6}, {
           45, {2}, 2, 1, 67}, {72, 25, 67, 1, 80}, {46, 80, 19}, {46, 19, 
           25}, {4, 1}, {7, -1, 14}, {67, 14, 2, 67}, {68, 67, 58}, {74, 26, 
           25, 58, 77}, {46, 77, 26}, {3, 3, 9}, {7, 1, 14}, {7, -1, 8}, {67, 
           8, 2, 77}, {68, 77, 67}, {49, 14, 0, 2, 1, 58}, {74, 23, 58, 67, 
           79}, {46, 79, 23}, {4, 8}, {7, 0, 14}, {7, -1, 8}, {67, 8, 2, 
           79}, {68, 79, 77}, {49, 14, 0, 2, 1, 67}, {74, 23, 67, 77, 58}, {
           46, 58, 23}, {7, 1, 14}, {73, 23, 14, 0, 75}, {46, 75, 23}, {7, 1, 
           14}, {73, 26, 14, 0, 75}, {44, 75, 5}, {7, 0, 18}, {64, 5, 2, 
           58}, {7, 0, 17}, {11, 17, 10}, {4, 33}, {70, 75, 0, 10, 2, 72}, {7,
            1, 17}, {7, 1, 15}, {70, 72, 0, 17, 0, 15, 0, 121}, {
           8, -1., 126}, {37, 126, 121, 19}, {3, 19, 8}, {70, 75, 0, 10, 2, 
           72}, {7, 1, 17}, {7, 1, 15}, {70, 72, 0, 17, 0, 15, 0, 121}, {37, 
           121, 66, 15}, {10, 15, 21}, {4, 3}, {6, False, 14}, {10, 14, 21}, {
           3, 21, 14}, {70, 75, 0, 10, 2, 72}, {7, 1, 17}, {7, 1, 15}, {70, 
           72, 0, 17, 0, 15, 0, 121}, {12, 121, 66}, {70, 75, 0, 10, 2, 72}, {
           46, 72, 41}, {67, 10, 2, 72}, {7, 1, 17}, {70, 72, 0, 17, 0, 15}, {
           11, 15, 3}, {11, 3, 15}, {4, 2}, {11, 3, 15}, {65, 18, 15, 58}, {5,
            10, 5, -32}, {7, 1, 10}, {33, 3, 10, 21}, {3, 21, 353}, {70, 24, 
           0, 16, 1, 75}, {7, 1, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 
           70}, {7, 2, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 72}, {7, 3, 
           10}, {70, 75, 0, 10, 0, 121}, {12, 121, 74}, {7, 4, 10}, {70, 75, 
           0, 10, 0, 121}, {12, 121, 67}, {7, 5, 10}, {70, 75, 0, 10, 0, 
           121}, {12, 121, 68}, {7, 6, 10}, {70, 75, 0, 10, 0, 121}, {12, 121,
            69}, {7, 7, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 50}, {7, 8, 
           10}, {70, 75, 0, 10, 0, 121}, {12, 121, 51}, {7, 9, 10}, {70, 75, 
           0, 10, 0, 121}, {12, 121, 52}, {7, 10, 10}, {70, 75, 0, 10, 0, 
           121}, {12, 121, 53}, {7, 11, 10}, {70, 75, 0, 10, 0, 121}, {12, 
           121, 54}, {7, 12, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 55}, {7, 
           13, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 56}, {7, 14, 10}, {70, 
           75, 0, 10, 0, 121}, {12, 121, 57}, {7, 15, 10}, {70, 75, 0, 10, 0, 
           121}, {12, 121, 58}, {7, 16, 10}, {70, 75, 0, 10, 0, 121}, {12, 
           121, 116}, {7, 17, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 32}, {7,
            18, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 33}, {7, 19, 10}, {70,
            75, 0, 10, 0, 121}, {12, 121, 59}, {7, 20, 10}, {70, 75, 0, 10, 0,
            121}, {12, 121, 29}, {7, 21, 10}, {70, 75, 0, 10, 0, 121}, {12, 
           121, 45}, {7, 22, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 46}, {7, 
           23, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 24}, {7, 24, 10}, {70, 
           75, 0, 10, 0, 121}, {12, 121, 94}, {7, 25, 10}, {70, 75, 0, 10, 0, 
           121}, {12, 121, 93}, {7, 26, 10}, {70, 75, 0, 10, 0, 121}, {12, 
           121, 60}, {7, 27, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 61}, {7, 
           28, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 87}, {7, 29, 10}, {70, 
           75, 0, 10, 0, 121}, {12, 121, 26}, {7, 30, 10}, {70, 75, 0, 10, 0, 
           121}, {12, 121, 89}, {7, 31, 10}, {70, 75, 0, 10, 0, 121}, {12, 
           121, 90}, {7, 32, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 91}, {7, 
           33, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 92}, {7, 34, 10}, {70, 
           75, 0, 10, 0, 121}, {12, 121, 63}, {7, 35, 10}, {70, 75, 0, 10, 0, 
           121}, {12, 121, 44}, {7, 36, 10}, {70, 75, 0, 10, 0, 121}, {12, 
           121, 34}, {7, 37, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 47}, {7, 
           38, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 48}, {7, 39, 10}, {70, 
           75, 0, 10, 0, 121}, {12, 121, 49}, {67, 70, 72, 74, 67, 68, 69, 50,
            51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 
           94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 
           72}, {12, 29, 30}, {8, -1., 121}, {21, 121, 50, 121}, {12, 121, 
           117}, {8, -1., 121}, {21, 121, 51, 121}, {12, 121, 118}, {12, 52, 
           119}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 117, 3, 0, 121, 3, 0, 
           126}, {12, 126, 117}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 118, 3, 0,
            126, 3, 0, 121}, {12, 121, 118}, {8, 1.*^-10, 121}, {94, 270, 3, 
           0, 119, 3, 0, 121, 3, 0, 126}, {12, 126, 119}, {7, 2, 10}, {94, 
           264, 3, 0, 117, 2, 0, 10, 3, 0, 126}, {7, 2, 10}, {94, 264, 3, 0, 
           118, 2, 0, 10, 3, 0, 121}, {7, 2, 10}, {94, 264, 3, 0, 119, 2, 0, 
           10, 3, 0, 122}, {18, 126, 121, 122, 126}, {7, 1, 10}, {7, 2, 14}, {
           15, 0, 10, 121}, {15, 0, 14, 122}, {94, 260, 3, 0, 121, 3, 0, 122, 
           3, 0, 127}, {94, 264, 3, 0, 126, 3, 0, 127, 3, 0, 121}, {12, 121, 
           35}, {7, 1, 10}, {94, 260, 2, 0, 10, 3, 0, 35, 3, 0, 121}, {21, 
           117, 121, 126}, {12, 126, 117}, {7, 1, 10}, {94, 260, 2, 0, 10, 3, 
           0, 35, 3, 0, 126}, {21, 118, 126, 121}, {12, 121, 118}, {7, 1, 
           10}, {94, 260, 2, 0, 10, 3, 0, 35, 3, 0, 121}, {21, 119, 121, 
           126}, {12, 126, 119}, {8, -1., 126}, {8, -200., 121}, {18, 121, 67,
            121}, {21, 126, 121, 126}, {12, 126, 79}, {8, -1., 126}, {21, 126,
            68, 126}, {12, 126, 81}, {12, 69, 83}, {8, 1.*^-10, 126}, {94, 
           270, 3, 0, 79, 3, 0, 126, 3, 0, 121}, {12, 121, 79}, {
           8, 1.*^-10, 121}, {94, 270, 3, 0, 81, 3, 0, 121, 3, 0, 126}, {12, 
           126, 81}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 83, 3, 0, 126, 3, 0, 
           121}, {12, 121, 83}, {6, False, 19}, {10, 19, 11}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 75}, {46, 75, 25}, {46, 41, 25}, {70,
            23, 0, 3, 0, 10}, {7, 1, 14}, {33, 10, 14, 19}, {10, 19, 3}, {
           45, {2., 1., 16598.}, 3, 3, 75}, {7, 1, 10}, {70, 75, 0, 10, 0, 
           121}, {12, 121, 40}, {7, 2, 10}, {70, 75, 0, 10, 0, 121}, {12, 121,
            43}, {7, 3, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 42}, {67, 40, 
           43, 42, 3, 69}, {45, {2., 1., 16598.}, 3, 3, 75}, {7, 1, 10}, {70, 
           75, 0, 10, 0, 121}, {12, 121, 24}, {7, 2, 10}, {70, 75, 0, 10, 0, 
           121}, {12, 121, 94}, {7, 3, 10}, {70, 75, 0, 10, 0, 121}, {12, 121,
            93}, {67, 24, 94, 93, 3, 68}, {7, 1, 10}, {70, 25, 0, 10, 1, 
           75}, {7, 1, 10}, {70, 75, 0, 10, 0, 121}, {12, 121, 59}, {7, 2, 
           10}, {70, 75, 0, 10, 0, 121}, {12, 121, 60}, {7, 3, 10}, {70, 75, 
           0, 10, 0, 121}, {12, 121, 61}, {67, 59, 60, 61, 3, 60}, {12, 67, 
           70}, {12, 68, 72}, {12, 69, 74}, {21, 59, 117, 121}, {18, 79, 121, 
           126}, {12, 126, 80}, {21, 59, 118, 126}, {18, 81, 126, 121}, {12, 
           121, 82}, {21, 59, 119, 121}, {18, 83, 121, 126}, {12, 126, 84}, {
           8, 200., 126}, {8, 1., 121}, {21, 121, 80, 121}, {24, 121, 127}, {
           18, 126, 127, 126}, {12, 126, 67}, {8, -1., 126}, {21, 126, 82, 
           126}, {12, 126, 68}, {12, 84, 69}, {8, 1.*^-10, 126}, {94, 270, 3, 
           0, 67, 3, 0, 126, 3, 0, 127}, {12, 127, 67}, {8, 1.*^-10, 127}, {
           94, 270, 3, 0, 68, 3, 0, 127, 3, 0, 126}, {12, 126, 68}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 69, 3, 0, 126, 3, 0, 127}, {12, 
           127, 69}, {7, 0, 10}, {15, 0, 10, 127}, {34, 67, 127, 0, 19}, {3, 
           19, 14}, {7, 0, 10}, {15, 0, 10, 127}, {34, 68, 127, 0, 15}, {3, 
           15, 6}, {7, 0, 10}, {15, 0, 10, 127}, {34, 69, 127, 0, 14}, {10, 
           14, 17}, {4, 3}, {6, False, 18}, {10, 18, 17}, {10, 17, 14}, {4, 
           3}, {6, False, 15}, {10, 15, 14}, {3, 14, 7}, {8, 200., 127}, {18, 
           127, 80, 127}, {12, 127, 67}, {12, 82, 68}, {12, 84, 69}, {4, 1}, {
           8, 1., 127}, {18, 34, 127, 126}, {12, 126, 34}, {21, 59, 30, 
           126}, {18, 45, 126, 127}, {12, 127, 45}, {67, 70, 72, 74, 67, 68, 
           69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 
           46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48,
            49, 3, 75}, {46, 75, 15}, {6, True, 14}, {10, 14, 10}, {
           6, True, 14}, {10, 14, 4}, {6, True, 14}, {10, 14, 2}, {
           6, True, 14}, {10, 14, 5}, {8, 1., 127}, {
           45, {{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, 2, 3, 3, 75}, {94, 273, 3, 
           0, 127, 2, 2, 75, 3, 2, 62}, {46, 62, 44}, {44, 44, 8}, {7, -1, 
           18}, {64, 8, 18, 3, 62}, {7, 0, 15}, {11, 15, 13}, {4, 5}, {
           45, {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 1.}}, 3, 3, 3, 75}, {
           70, 44, 0, 13, 1, 54}, {91, 75, 54, 70}, {66, 18, 70, 62}, {5, 13, 
           8, -4}, {46, 62, 19}, {44, 19, 14}, {7, -1, 8}, {64, 14, 8, 3, 
           62}, {7, 0, 15}, {11, 15, 18}, {4, 10}, {70, 19, 0, 18, 1, 70}, {7,
            1, 15}, {70, 19, 0, 18, 1, 75}, {70, 19, 0, 18, 1, 54}, {91, 75, 
           54, 127}, {93, 55, 3, 0, 127, 3, 0, 126}, {94, 260, 2, 0, 15, 3, 0,
            126, 3, 0, 127}, {94, 273, 3, 0, 127, 3, 1, 70, 3, 1, 75}, {66, 8,
            75, 62}, {5, 18, 14, -9}, {46, 62, 44}, {
           45, {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 1.}}, 3, 3, 3, 62}, {
           46, 62, 42}, {45, {200., 0., 0.}, 3, 3, 62}, {46, 62, 43}, {
           8, 0., 127}, {12, 127, 18}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           62}, {46, 62, 15}, {12, 40, 24}, {12, 43, 94}, {12, 42, 93}, {67, 
           70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 28, 34, 47, 48, 49, 3, 62}, {46, 62, 31}, {8, 0., 127}, {12, 
           127, 32}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 62}, {68, 62, 59}, {46, 
           59, 0}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 59}, {68, 15, 62}, {68, 0, 59, 62, 75}, {46, 75, 72}, {4, 
           1787}, {7, 2, 18}, {33, 3, 18, 14}, {3, 14, 353}, {70, 24, 0, 16, 
           1, 72}, {7, 1, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 70}, {7, 2, 
           18}, {70, 72, 0, 18, 0, 127}, {12, 127, 72}, {7, 3, 18}, {70, 72, 
           0, 18, 0, 127}, {12, 127, 74}, {7, 4, 18}, {70, 72, 0, 18, 0, 
           127}, {12, 127, 67}, {7, 5, 18}, {70, 72, 0, 18, 0, 127}, {12, 127,
            68}, {7, 6, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 69}, {7, 7, 
           18}, {70, 72, 0, 18, 0, 127}, {12, 127, 50}, {7, 8, 18}, {70, 72, 
           0, 18, 0, 127}, {12, 127, 51}, {7, 9, 18}, {70, 72, 0, 18, 0, 
           127}, {12, 127, 52}, {7, 10, 18}, {70, 72, 0, 18, 0, 127}, {12, 
           127, 53}, {7, 11, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 54}, {7, 
           12, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 55}, {7, 13, 18}, {70, 
           72, 0, 18, 0, 127}, {12, 127, 56}, {7, 14, 18}, {70, 72, 0, 18, 0, 
           127}, {12, 127, 57}, {7, 15, 18}, {70, 72, 0, 18, 0, 127}, {12, 
           127, 58}, {7, 16, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 116}, {7,
            17, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 32}, {7, 18, 18}, {70,
            72, 0, 18, 0, 127}, {12, 127, 33}, {7, 19, 18}, {70, 72, 0, 18, 0,
            127}, {12, 127, 59}, {7, 20, 18}, {70, 72, 0, 18, 0, 127}, {12, 
           127, 29}, {7, 21, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 45}, {7, 
           22, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 46}, {7, 23, 18}, {70, 
           72, 0, 18, 0, 127}, {12, 127, 24}, {7, 24, 18}, {70, 72, 0, 18, 0, 
           127}, {12, 127, 94}, {7, 25, 18}, {70, 72, 0, 18, 0, 127}, {12, 
           127, 93}, {7, 26, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 60}, {7, 
           27, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 61}, {7, 28, 18}, {70, 
           72, 0, 18, 0, 127}, {12, 127, 87}, {7, 29, 18}, {70, 72, 0, 18, 0, 
           127}, {12, 127, 26}, {7, 30, 18}, {70, 72, 0, 18, 0, 127}, {12, 
           127, 89}, {7, 31, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 90}, {7, 
           32, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 91}, {7, 33, 18}, {70, 
           72, 0, 18, 0, 127}, {12, 127, 92}, {7, 34, 18}, {70, 72, 0, 18, 0, 
           127}, {12, 127, 63}, {7, 35, 18}, {70, 72, 0, 18, 0, 127}, {12, 
           127, 44}, {7, 36, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 34}, {7, 
           37, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 47}, {7, 38, 18}, {70, 
           72, 0, 18, 0, 127}, {12, 127, 48}, {7, 39, 18}, {70, 72, 0, 18, 0, 
           127}, {12, 127, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 69}, {12, 
           29, 30}, {12, 51, 117}, {8, -1., 127}, {21, 127, 50, 127}, {12, 
           127, 118}, {12, 52, 119}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 117, 
           3, 0, 127, 3, 0, 126}, {12, 126, 117}, {8, 1.*^-10, 126}, {94, 270,
            3, 0, 118, 3, 0, 126, 3, 0, 127}, {12, 127, 118}, {
           8, 1.*^-10, 127}, {94, 270, 3, 0, 119, 3, 0, 127, 3, 0, 126}, {12, 
           126, 119}, {7, 2, 18}, {94, 264, 3, 0, 117, 2, 0, 18, 3, 0, 126}, {
           7, 2, 18}, {94, 264, 3, 0, 118, 2, 0, 18, 3, 0, 127}, {7, 2, 18}, {
           94, 264, 3, 0, 119, 2, 0, 18, 3, 0, 121}, {18, 126, 127, 121, 
           126}, {7, 1, 18}, {7, 2, 13}, {15, 0, 18, 127}, {15, 0, 13, 121}, {
           94, 260, 3, 0, 127, 3, 0, 121, 3, 0, 122}, {94, 264, 3, 0, 126, 3, 
           0, 122, 3, 0, 127}, {12, 127, 35}, {7, 1, 18}, {94, 260, 2, 0, 18, 
           3, 0, 35, 3, 0, 127}, {21, 117, 127, 126}, {12, 126, 117}, {7, 1, 
           18}, {94, 260, 2, 0, 18, 3, 0, 35, 3, 0, 126}, {21, 118, 126, 
           127}, {12, 127, 118}, {7, 1, 18}, {94, 260, 2, 0, 18, 3, 0, 35, 3, 
           0, 127}, {21, 119, 127, 126}, {12, 126, 119}, {8, 75., 126}, {18, 
           126, 68, 126}, {12, 126, 79}, {8, -1., 126}, {8, -100., 127}, {18, 
           127, 67, 127}, {21, 126, 127, 126}, {12, 126, 81}, {12, 69, 83}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 79, 3, 0, 126, 3, 0, 127}, {12, 
           127, 79}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 81, 3, 0, 127, 3, 0, 
           126}, {12, 126, 81}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 83, 3, 0, 
           126, 3, 0, 127}, {12, 127, 83}, {6, False, 19}, {10, 19, 11}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 72}, {46, 72, 25}, {46, 41, 25}, {70,
            23, 0, 3, 0, 18}, {7, 1, 13}, {33, 18, 13, 19}, {10, 19, 3}, {
           45, {2., 2., 16599.}, 3, 3, 72}, {7, 1, 18}, {70, 72, 0, 18, 0, 
           127}, {12, 127, 40}, {7, 2, 18}, {70, 72, 0, 18, 0, 127}, {12, 127,
            43}, {7, 3, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 42}, {67, 40, 
           43, 42, 3, 68}, {45, {2., 2., 16599.}, 3, 3, 72}, {7, 1, 18}, {70, 
           72, 0, 18, 0, 127}, {12, 127, 24}, {7, 2, 18}, {70, 72, 0, 18, 0, 
           127}, {12, 127, 94}, {7, 3, 18}, {70, 72, 0, 18, 0, 127}, {12, 127,
            93}, {67, 24, 94, 93, 3, 60}, {7, 1, 18}, {70, 25, 0, 18, 1, 
           72}, {7, 1, 18}, {70, 72, 0, 18, 0, 127}, {12, 127, 59}, {7, 2, 
           18}, {70, 72, 0, 18, 0, 127}, {12, 127, 60}, {7, 3, 18}, {70, 72, 
           0, 18, 0, 127}, {12, 127, 61}, {67, 59, 60, 61, 3, 59}, {12, 67, 
           70}, {12, 68, 72}, {12, 69, 74}, {21, 59, 117, 127}, {18, 79, 127, 
           126}, {12, 126, 80}, {21, 59, 118, 126}, {18, 81, 126, 127}, {12, 
           127, 82}, {21, 59, 119, 127}, {18, 83, 127, 126}, {12, 126, 84}, {
           8, 100., 126}, {8, 1., 127}, {21, 127, 82, 127}, {24, 127, 122}, {
           18, 126, 122, 126}, {12, 126, 67}, {8, -75., 126}, {18, 126, 80, 
           126}, {12, 126, 68}, {12, 84, 69}, {8, 1.*^-10, 126}, {94, 270, 3, 
           0, 67, 3, 0, 126, 3, 0, 122}, {12, 122, 67}, {8, 1.*^-10, 122}, {
           94, 270, 3, 0, 68, 3, 0, 122, 3, 0, 126}, {12, 126, 68}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 69, 3, 0, 126, 3, 0, 122}, {12, 
           122, 69}, {7, 0, 18}, {15, 0, 18, 122}, {34, 67, 122, 0, 19}, {3, 
           19, 14}, {7, 0, 18}, {15, 0, 18, 122}, {34, 68, 122, 0, 17}, {3, 
           17, 6}, {7, 0, 18}, {15, 0, 18, 122}, {34, 69, 122, 0, 15}, {10, 
           15, 12}, {4, 3}, {6, False, 18}, {10, 18, 12}, {10, 12, 15}, {4, 
           3}, {6, False, 17}, {10, 17, 15}, {3, 15, 9}, {8, 100., 122}, {18, 
           122, 80, 122}, {12, 122, 67}, {8, -75., 122}, {18, 122, 82, 122}, {
           12, 122, 68}, {12, 84, 69}, {4, 1}, {8, 1., 122}, {18, 34, 122, 
           126}, {12, 126, 34}, {21, 59, 30, 126}, {18, 45, 126, 122}, {12, 
           122, 45}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 72}, {46, 72, 15}, {
           6, True, 15}, {10, 15, 10}, {6, True, 15}, {10, 15, 4}, {
           6, True, 15}, {10, 15, 2}, {6, True, 15}, {10, 15, 5}, {
           8, 1., 122}, {
           45, {{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, 2, 3, 3, 72}, {94, 273, 3, 
           0, 122, 2, 2, 72, 3, 2, 62}, {46, 62, 44}, {44, 44, 10}, {7, -1, 
           14}, {64, 10, 14, 3, 62}, {7, 0, 15}, {11, 15, 8}, {4, 5}, {
           45, {{0., -1., 0.}, {1., 0., 0.}, {0., 0., 1.}}, 3, 3, 3, 72}, {70,
            44, 0, 8, 1, 54}, {91, 72, 54, 66}, {66, 14, 66, 62}, {5, 8, 
           10, -4}, {46, 62, 19}, {44, 19, 13}, {7, -1, 10}, {64, 13, 10, 3, 
           62}, {7, 0, 15}, {11, 15, 14}, {4, 10}, {70, 19, 0, 14, 1, 66}, {7,
            1, 15}, {70, 19, 0, 14, 1, 72}, {70, 19, 0, 14, 1, 54}, {91, 72, 
           54, 122}, {93, 55, 3, 0, 122, 3, 0, 126}, {94, 260, 2, 0, 15, 3, 0,
            126, 3, 0, 122}, {94, 273, 3, 0, 122, 3, 1, 66, 3, 1, 72}, {66, 
           10, 72, 62}, {5, 14, 13, -9}, {46, 62, 44}, {
           45, {{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 1.}}, 3, 3, 3, 62}, {46,
            62, 42}, {45, {100., -75., 0.}, 3, 3, 62}, {46, 62, 43}, {
           8, 0., 122}, {12, 122, 18}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           62}, {46, 62, 15}, {12, 40, 24}, {12, 43, 94}, {12, 42, 93}, {67, 
           70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 28, 34, 47, 48, 49, 3, 62}, {46, 62, 31}, {8, 0., 122}, {12, 
           122, 32}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 62}, {68, 62, 70}, {46, 
           70, 0}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 70}, {68, 15, 62}, {68, 0, 70, 62, 72}, {46, 72, 54}, {4, 
           1431}, {7, 3, 14}, {33, 3, 14, 15}, {3, 15, 334}, {70, 24, 0, 16, 
           1, 69}, {7, 1, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 70}, {7, 2, 
           14}, {70, 69, 0, 14, 0, 122}, {12, 122, 72}, {7, 3, 14}, {70, 69, 
           0, 14, 0, 122}, {12, 122, 74}, {7, 4, 14}, {70, 69, 0, 14, 0, 
           122}, {12, 122, 67}, {7, 5, 14}, {70, 69, 0, 14, 0, 122}, {12, 122,
            68}, {7, 6, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 69}, {7, 7, 
           14}, {70, 69, 0, 14, 0, 122}, {12, 122, 50}, {7, 8, 14}, {70, 69, 
           0, 14, 0, 122}, {12, 122, 51}, {7, 9, 14}, {70, 69, 0, 14, 0, 
           122}, {12, 122, 52}, {7, 10, 14}, {70, 69, 0, 14, 0, 122}, {12, 
           122, 53}, {7, 11, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 54}, {7, 
           12, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 55}, {7, 13, 14}, {70, 
           69, 0, 14, 0, 122}, {12, 122, 56}, {7, 14, 14}, {70, 69, 0, 14, 0, 
           122}, {12, 122, 57}, {7, 15, 14}, {70, 69, 0, 14, 0, 122}, {12, 
           122, 58}, {7, 16, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 116}, {7,
            17, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 32}, {7, 18, 14}, {70,
            69, 0, 14, 0, 122}, {12, 122, 33}, {7, 19, 14}, {70, 69, 0, 14, 0,
            122}, {12, 122, 59}, {7, 20, 14}, {70, 69, 0, 14, 0, 122}, {12, 
           122, 29}, {7, 21, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 45}, {7, 
           22, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 46}, {7, 23, 14}, {70, 
           69, 0, 14, 0, 122}, {12, 122, 24}, {7, 24, 14}, {70, 69, 0, 14, 0, 
           122}, {12, 122, 94}, {7, 25, 14}, {70, 69, 0, 14, 0, 122}, {12, 
           122, 93}, {7, 26, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 60}, {7, 
           27, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 61}, {7, 28, 14}, {70, 
           69, 0, 14, 0, 122}, {12, 122, 87}, {7, 29, 14}, {70, 69, 0, 14, 0, 
           122}, {12, 122, 26}, {7, 30, 14}, {70, 69, 0, 14, 0, 122}, {12, 
           122, 89}, {7, 31, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 90}, {7, 
           32, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 91}, {7, 33, 14}, {70, 
           69, 0, 14, 0, 122}, {12, 122, 92}, {7, 34, 14}, {70, 69, 0, 14, 0, 
           122}, {12, 122, 63}, {7, 35, 14}, {70, 69, 0, 14, 0, 122}, {12, 
           122, 44}, {7, 36, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 34}, {7, 
           37, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 47}, {7, 38, 14}, {70, 
           69, 0, 14, 0, 122}, {12, 122, 48}, {7, 39, 14}, {70, 69, 0, 14, 0, 
           122}, {12, 122, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 68}, {12, 
           29, 30}, {12, 50, 117}, {12, 51, 118}, {12, 52, 119}, {
           8, 1.*^-10, 122}, {94, 270, 3, 0, 117, 3, 0, 122, 3, 0, 126}, {12, 
           126, 117}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 118, 3, 0, 126, 3, 0,
            122}, {12, 122, 118}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 119, 3, 
           0, 122, 3, 0, 126}, {12, 126, 119}, {7, 2, 14}, {94, 264, 3, 0, 
           117, 2, 0, 14, 3, 0, 126}, {7, 2, 14}, {94, 264, 3, 0, 118, 2, 0, 
           14, 3, 0, 122}, {7, 2, 14}, {94, 264, 3, 0, 119, 2, 0, 14, 3, 0, 
           127}, {18, 126, 122, 127, 126}, {7, 1, 14}, {7, 2, 8}, {15, 0, 14, 
           122}, {15, 0, 8, 127}, {94, 260, 3, 0, 122, 3, 0, 127, 3, 0, 
           121}, {94, 264, 3, 0, 126, 3, 0, 121, 3, 0, 122}, {12, 122, 35}, {
           7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 35, 3, 0, 122}, {21, 117, 122,
            126}, {12, 126, 117}, {7, 1, 14}, {94, 260, 2, 0, 14, 3, 0, 35, 3,
            0, 126}, {21, 118, 126, 122}, {12, 122, 118}, {7, 1, 14}, {94, 
           260, 2, 0, 14, 3, 0, 35, 3, 0, 122}, {21, 119, 122, 126}, {12, 126,
            119}, {12, 67, 79}, {12, 68, 81}, {12, 69, 83}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 79, 3, 0, 126, 3, 0, 122}, {12, 
           122, 79}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 81, 3, 0, 122, 3, 0, 
           126}, {12, 126, 81}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 83, 3, 0, 
           126, 3, 0, 122}, {12, 122, 83}, {6, False, 19}, {10, 19, 11}, {
           45, {{-1., 0., 0.}}, 3, 1, 3, 69}, {46, 69, 25}, {46, 41, 25}, {70,
            23, 0, 3, 0, 14}, {7, 1, 8}, {33, 14, 8, 19}, {10, 19, 3}, {
           45, {2., 3., 16600.}, 3, 3, 69}, {7, 1, 14}, {70, 69, 0, 14, 0, 
           122}, {12, 122, 40}, {7, 2, 14}, {70, 69, 0, 14, 0, 122}, {12, 122,
            43}, {7, 3, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 42}, {67, 40, 
           43, 42, 3, 60}, {45, {2., 3., 16600.}, 3, 3, 69}, {7, 1, 14}, {70, 
           69, 0, 14, 0, 122}, {12, 122, 24}, {7, 2, 14}, {70, 69, 0, 14, 0, 
           122}, {12, 122, 94}, {7, 3, 14}, {70, 69, 0, 14, 0, 122}, {12, 122,
            93}, {67, 24, 94, 93, 3, 59}, {7, 1, 14}, {70, 25, 0, 14, 1, 
           69}, {7, 1, 14}, {70, 69, 0, 14, 0, 122}, {12, 122, 59}, {7, 2, 
           14}, {70, 69, 0, 14, 0, 122}, {12, 122, 60}, {7, 3, 14}, {70, 69, 
           0, 14, 0, 122}, {12, 122, 61}, {67, 59, 60, 61, 3, 70}, {12, 67, 
           70}, {12, 68, 72}, {12, 69, 74}, {21, 59, 117, 122}, {18, 79, 122, 
           126}, {12, 126, 80}, {21, 59, 118, 126}, {18, 81, 126, 122}, {12, 
           122, 82}, {21, 59, 119, 122}, {18, 83, 122, 126}, {12, 126, 84}, {
           12, 80, 67}, {12, 82, 68}, {12, 84, 69}, {8, 1.*^-10, 126}, {94, 
           270, 3, 0, 67, 3, 0, 126, 3, 0, 122}, {12, 122, 67}, {
           8, 1.*^-10, 122}, {94, 270, 3, 0, 68, 3, 0, 122, 3, 0, 126}, {12, 
           126, 68}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 69, 3, 0, 126, 3, 0, 
           122}, {12, 122, 69}, {7, 0, 14}, {15, 0, 14, 122}, {34, 67, 122, 0,
            19}, {3, 19, 14}, {7, 0, 14}, {15, 0, 14, 122}, {34, 68, 122, 0, 
           12}, {3, 12, 6}, {7, 0, 14}, {15, 0, 14, 122}, {34, 69, 122, 0, 
           17}, {10, 17, 22}, {4, 3}, {6, False, 18}, {10, 18, 22}, {10, 22, 
           17}, {4, 3}, {6, False, 12}, {10, 12, 17}, {3, 17, 5}, {12, 80, 
           67}, {12, 82, 68}, {12, 84, 69}, {4, 1}, {8, 1., 122}, {18, 34, 
           122, 126}, {12, 126, 34}, {21, 59, 30, 126}, {18, 45, 126, 122}, {
           12, 122, 45}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 
           56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 
           26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 69}, {46, 69, 15}, {
           6, True, 17}, {10, 17, 10}, {6, True, 17}, {10, 17, 4}, {
           6, True, 17}, {10, 17, 2}, {6, True, 17}, {10, 17, 5}, {
           8, 1., 122}, {
           45, {{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, 2, 3, 3, 69}, {94, 273, 3, 
           0, 122, 2, 2, 69, 3, 2, 62}, {46, 62, 44}, {44, 44, 18}, {7, -1, 
           13}, {64, 18, 13, 3, 69}, {7, 0, 15}, {11, 15, 10}, {4, 3}, {70, 
           44, 0, 10, 1, 66}, {66, 13, 66, 69}, {5, 10, 18, -2}, {46, 69, 
           19}, {44, 19, 8}, {7, -1, 18}, {64, 8, 18, 3, 69}, {7, 0, 15}, {11,
            15, 13}, {4, 10}, {70, 19, 0, 13, 1, 66}, {7, 1, 15}, {70, 19, 0, 
           13, 1, 54}, {70, 19, 0, 13, 1, 78}, {91, 54, 78, 122}, {93, 55, 3, 
           0, 122, 3, 0, 126}, {94, 260, 2, 0, 15, 3, 0, 126, 3, 0, 122}, {94,
            273, 3, 0, 122, 3, 1, 66, 3, 1, 54}, {66, 18, 54, 69}, {5, 13, 
           8, -9}, {46, 69, 44}, {
           45, {{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, 2, 3, 3, 69}, {47, 0, 69, 
           62}, {46, 62, 42}, {45, {0, 0, 0}, 2, 3, 69}, {47, 0, 69, 62}, {46,
            62, 43}, {8, 0., 122}, {12, 122, 18}, {67, 70, 72, 74, 67, 68, 69,
            50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 
           24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49,
            3, 69}, {46, 69, 15}, {12, 40, 24}, {12, 43, 94}, {12, 42, 93}, {
           67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 
           116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 
           91, 92, 63, 28, 34, 47, 48, 49, 3, 69}, {46, 69, 31}, {
           8, 0., 122}, {12, 122, 32}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           69}, {68, 69, 62}, {46, 62, 0}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 62}, {68, 15, 69}, {68, 0, 62, 69, 54}, {46, 54, 68}, {4, 
           1094}, {7, 4, 13}, {33, 3, 13, 17}, {3, 17, 353}, {70, 24, 0, 16, 
           1, 68}, {7, 1, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 70}, {7, 2, 
           13}, {70, 68, 0, 13, 0, 122}, {12, 122, 72}, {7, 3, 13}, {70, 68, 
           0, 13, 0, 122}, {12, 122, 74}, {7, 4, 13}, {70, 68, 0, 13, 0, 
           122}, {12, 122, 67}, {7, 5, 13}, {70, 68, 0, 13, 0, 122}, {12, 122,
            68}, {7, 6, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 69}, {7, 7, 
           13}, {70, 68, 0, 13, 0, 122}, {12, 122, 50}, {7, 8, 13}, {70, 68, 
           0, 13, 0, 122}, {12, 122, 51}, {7, 9, 13}, {70, 68, 0, 13, 0, 
           122}, {12, 122, 52}, {7, 10, 13}, {70, 68, 0, 13, 0, 122}, {12, 
           122, 53}, {7, 11, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 54}, {7, 
           12, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 55}, {7, 13, 13}, {70, 
           68, 0, 13, 0, 122}, {12, 122, 56}, {7, 14, 13}, {70, 68, 0, 13, 0, 
           122}, {12, 122, 57}, {7, 15, 13}, {70, 68, 0, 13, 0, 122}, {12, 
           122, 58}, {7, 16, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 116}, {7,
            17, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 32}, {7, 18, 13}, {70,
            68, 0, 13, 0, 122}, {12, 122, 33}, {7, 19, 13}, {70, 68, 0, 13, 0,
            122}, {12, 122, 59}, {7, 20, 13}, {70, 68, 0, 13, 0, 122}, {12, 
           122, 29}, {7, 21, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 45}, {7, 
           22, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 46}, {7, 23, 13}, {70, 
           68, 0, 13, 0, 122}, {12, 122, 24}, {7, 24, 13}, {70, 68, 0, 13, 0, 
           122}, {12, 122, 94}, {7, 25, 13}, {70, 68, 0, 13, 0, 122}, {12, 
           122, 93}, {7, 26, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 60}, {7, 
           27, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 61}, {7, 28, 13}, {70, 
           68, 0, 13, 0, 122}, {12, 122, 87}, {7, 29, 13}, {70, 68, 0, 13, 0, 
           122}, {12, 122, 26}, {7, 30, 13}, {70, 68, 0, 13, 0, 122}, {12, 
           122, 89}, {7, 31, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 90}, {7, 
           32, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 91}, {7, 33, 13}, {70, 
           68, 0, 13, 0, 122}, {12, 122, 92}, {7, 34, 13}, {70, 68, 0, 13, 0, 
           122}, {12, 122, 63}, {7, 35, 13}, {70, 68, 0, 13, 0, 122}, {12, 
           122, 44}, {7, 36, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 34}, {7, 
           37, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 47}, {7, 38, 13}, {70, 
           68, 0, 13, 0, 122}, {12, 122, 48}, {7, 39, 13}, {70, 68, 0, 13, 0, 
           122}, {12, 122, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 60}, {12, 
           29, 30}, {8, -1., 122}, {21, 122, 51, 122}, {12, 122, 117}, {12, 
           50, 118}, {12, 52, 119}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 117, 3,
            0, 122, 3, 0, 126}, {12, 126, 117}, {8, 1.*^-10, 126}, {94, 270, 
           3, 0, 118, 3, 0, 126, 3, 0, 122}, {12, 122, 118}, {
           8, 1.*^-10, 122}, {94, 270, 3, 0, 119, 3, 0, 122, 3, 0, 126}, {12, 
           126, 119}, {7, 2, 13}, {94, 264, 3, 0, 117, 2, 0, 13, 3, 0, 126}, {
           7, 2, 13}, {94, 264, 3, 0, 118, 2, 0, 13, 3, 0, 122}, {7, 2, 13}, {
           94, 264, 3, 0, 119, 2, 0, 13, 3, 0, 121}, {18, 126, 122, 121, 
           126}, {7, 1, 13}, {7, 2, 10}, {15, 0, 13, 122}, {15, 0, 10, 121}, {
           94, 260, 3, 0, 122, 3, 0, 121, 3, 0, 127}, {94, 264, 3, 0, 126, 3, 
           0, 127, 3, 0, 122}, {12, 122, 35}, {7, 1, 13}, {94, 260, 2, 0, 13, 
           3, 0, 35, 3, 0, 122}, {21, 117, 122, 126}, {12, 126, 117}, {7, 1, 
           13}, {94, 260, 2, 0, 13, 3, 0, 35, 3, 0, 126}, {21, 118, 126, 
           122}, {12, 122, 118}, {7, 1, 13}, {94, 260, 2, 0, 13, 3, 0, 35, 3, 
           0, 122}, {21, 119, 122, 126}, {12, 126, 119}, {8, -1., 126}, {
           8, -75., 122}, {18, 122, 68, 122}, {21, 126, 122, 126}, {12, 126, 
           79}, {8, -100., 126}, {18, 126, 67, 126}, {12, 126, 81}, {12, 69, 
           83}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 79, 3, 0, 126, 3, 0, 
           122}, {12, 122, 79}, {8, 1.*^-10, 122}, {94, 270, 3, 0, 81, 3, 0, 
           122, 3, 0, 126}, {12, 126, 81}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 
           83, 3, 0, 126, 3, 0, 122}, {12, 122, 83}, {6, False, 19}, {10, 19, 
           11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 68}, {46, 68, 25}, {46, 41, 
           25}, {70, 23, 0, 3, 0, 13}, {7, 1, 10}, {33, 13, 10, 19}, {10, 19, 
           3}, {45, {2., 4., 16601.}, 3, 3, 68}, {7, 1, 13}, {70, 68, 0, 13, 
           0, 122}, {12, 122, 40}, {7, 2, 13}, {70, 68, 0, 13, 0, 122}, {12, 
           122, 43}, {7, 3, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 42}, {67, 
           40, 43, 42, 3, 59}, {45, {2., 4., 16601.}, 3, 3, 68}, {7, 1, 13}, {
           70, 68, 0, 13, 0, 122}, {12, 122, 24}, {7, 2, 13}, {70, 68, 0, 13, 
           0, 122}, {12, 122, 94}, {7, 3, 13}, {70, 68, 0, 13, 0, 122}, {12, 
           122, 93}, {67, 24, 94, 93, 3, 70}, {7, 1, 13}, {70, 25, 0, 13, 1, 
           68}, {7, 1, 13}, {70, 68, 0, 13, 0, 122}, {12, 122, 59}, {7, 2, 
           13}, {70, 68, 0, 13, 0, 122}, {12, 122, 60}, {7, 3, 13}, {70, 68, 
           0, 13, 0, 122}, {12, 122, 61}, {67, 59, 60, 61, 3, 62}, {12, 67, 
           70}, {12, 68, 72}, {12, 69, 74}, {21, 59, 117, 122}, {18, 79, 122, 
           126}, {12, 126, 80}, {21, 59, 118, 126}, {18, 81, 126, 122}, {12, 
           122, 82}, {21, 59, 119, 122}, {18, 83, 122, 126}, {12, 126, 84}, {
           8, 100., 126}, {18, 126, 82, 126}, {12, 126, 67}, {8, 75., 126}, {
           8, 1., 122}, {21, 122, 80, 122}, {24, 122, 127}, {18, 126, 127, 
           126}, {12, 126, 68}, {12, 84, 69}, {8, 1.*^-10, 126}, {94, 270, 3, 
           0, 67, 3, 0, 126, 3, 0, 127}, {12, 127, 67}, {8, 1.*^-10, 127}, {
           94, 270, 3, 0, 68, 3, 0, 127, 3, 0, 126}, {12, 126, 68}, {
           8, 1.*^-10, 126}, {94, 270, 3, 0, 69, 3, 0, 126, 3, 0, 127}, {12, 
           127, 69}, {7, 0, 13}, {15, 0, 13, 127}, {34, 67, 127, 0, 19}, {3, 
           19, 14}, {7, 0, 13}, {15, 0, 13, 127}, {34, 68, 127, 0, 22}, {3, 
           22, 6}, {7, 0, 13}, {15, 0, 13, 127}, {34, 69, 127, 0, 12}, {10, 
           12, 24}, {4, 3}, {6, False, 18}, {10, 18, 24}, {10, 24, 12}, {4, 
           3}, {6, False, 22}, {10, 22, 12}, {3, 12, 9}, {8, 100., 127}, {18, 
           127, 80, 127}, {12, 127, 67}, {8, 75., 127}, {18, 127, 82, 127}, {
           12, 127, 68}, {12, 84, 69}, {4, 1}, {8, 1., 127}, {18, 34, 127, 
           126}, {12, 126, 34}, {21, 59, 30, 126}, {18, 45, 126, 127}, {12, 
           127, 45}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 68}, {46, 68, 15}, {
           6, True, 12}, {10, 12, 10}, {6, True, 12}, {10, 12, 4}, {
           6, True, 12}, {10, 12, 2}, {6, True, 12}, {10, 12, 5}, {
           8, 1., 127}, {
           45, {{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, 2, 3, 3, 68}, {94, 273, 3, 
           0, 127, 2, 2, 68, 3, 2, 69}, {46, 69, 44}, {44, 44, 14}, {7, -1, 
           8}, {64, 14, 8, 3, 69}, {7, 0, 15}, {11, 15, 18}, {4, 5}, {
           45, {{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 1.}}, 3, 3, 3, 68}, {70,
            44, 0, 18, 1, 78}, {91, 68, 78, 65}, {66, 8, 65, 69}, {5, 18, 
           14, -4}, {46, 69, 19}, {44, 19, 10}, {7, -1, 14}, {64, 10, 14, 3, 
           69}, {7, 0, 15}, {11, 15, 8}, {4, 10}, {70, 19, 0, 8, 1, 65}, {7, 
           1, 15}, {70, 19, 0, 8, 1, 68}, {70, 19, 0, 8, 1, 78}, {91, 68, 78, 
           127}, {93, 55, 3, 0, 127, 3, 0, 126}, {94, 260, 2, 0, 15, 3, 0, 
           126, 3, 0, 127}, {94, 273, 3, 0, 127, 3, 1, 65, 3, 1, 68}, {66, 14,
            68, 69}, {5, 8, 10, -9}, {46, 69, 44}, {
           45, {{0., -1., 0.}, {1., 0., 0.}, {0., 0., 1.}}, 3, 3, 3, 69}, {46,
            69, 42}, {45, {100., 75., 0.}, 3, 3, 69}, {46, 69, 43}, {
           8, 0., 127}, {12, 127, 18}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           69}, {46, 69, 15}, {12, 40, 24}, {12, 43, 94}, {12, 42, 93}, {67, 
           70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 28, 34, 47, 48, 49, 3, 69}, {46, 69, 31}, {8, 0., 127}, {12, 
           127, 32}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 69}, {68, 69, 66}, {46, 
           66, 0}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 66}, {68, 15, 69}, {68, 0, 66, 69, 68}, {46, 68, 60}, {4, 
           738}, {7, 5, 8}, {33, 3, 8, 12}, {3, 12, 353}, {70, 24, 0, 16, 1, 
           60}, {7, 1, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 70}, {7, 2, 8}, {
           70, 60, 0, 8, 0, 127}, {12, 127, 72}, {7, 3, 8}, {70, 60, 0, 8, 0, 
           127}, {12, 127, 74}, {7, 4, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 
           67}, {7, 5, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 68}, {7, 6, 8}, {
           70, 60, 0, 8, 0, 127}, {12, 127, 69}, {7, 7, 8}, {70, 60, 0, 8, 0, 
           127}, {12, 127, 50}, {7, 8, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 
           51}, {7, 9, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 52}, {7, 10, 
           8}, {70, 60, 0, 8, 0, 127}, {12, 127, 53}, {7, 11, 8}, {70, 60, 0, 
           8, 0, 127}, {12, 127, 54}, {7, 12, 8}, {70, 60, 0, 8, 0, 127}, {12,
            127, 55}, {7, 13, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 56}, {7, 
           14, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 57}, {7, 15, 8}, {70, 60,
            0, 8, 0, 127}, {12, 127, 58}, {7, 16, 8}, {70, 60, 0, 8, 0, 
           127}, {12, 127, 116}, {7, 17, 8}, {70, 60, 0, 8, 0, 127}, {12, 127,
            32}, {7, 18, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 33}, {7, 19, 
           8}, {70, 60, 0, 8, 0, 127}, {12, 127, 59}, {7, 20, 8}, {70, 60, 0, 
           8, 0, 127}, {12, 127, 29}, {7, 21, 8}, {70, 60, 0, 8, 0, 127}, {12,
            127, 45}, {7, 22, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 46}, {7, 
           23, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 24}, {7, 24, 8}, {70, 60,
            0, 8, 0, 127}, {12, 127, 94}, {7, 25, 8}, {70, 60, 0, 8, 0, 
           127}, {12, 127, 93}, {7, 26, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 
           60}, {7, 27, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 61}, {7, 28, 
           8}, {70, 60, 0, 8, 0, 127}, {12, 127, 87}, {7, 29, 8}, {70, 60, 0, 
           8, 0, 127}, {12, 127, 26}, {7, 30, 8}, {70, 60, 0, 8, 0, 127}, {12,
            127, 89}, {7, 31, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 90}, {7, 
           32, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 91}, {7, 33, 8}, {70, 60,
            0, 8, 0, 127}, {12, 127, 92}, {7, 34, 8}, {70, 60, 0, 8, 0, 
           127}, {12, 127, 63}, {7, 35, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 
           44}, {7, 36, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 34}, {7, 37, 
           8}, {70, 60, 0, 8, 0, 127}, {12, 127, 47}, {7, 38, 8}, {70, 60, 0, 
           8, 0, 127}, {12, 127, 48}, {7, 39, 8}, {70, 60, 0, 8, 0, 127}, {12,
            127, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56,
            57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 59}, {12, 29, 30}, {12, 
           52, 117}, {12, 51, 118}, {8, -1., 127}, {21, 127, 50, 127}, {12, 
           127, 119}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 117, 3, 0, 127, 3, 0,
            126}, {12, 126, 117}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 118, 3, 
           0, 126, 3, 0, 127}, {12, 127, 118}, {8, 1.*^-10, 127}, {94, 270, 3,
            0, 119, 3, 0, 127, 3, 0, 126}, {12, 126, 119}, {7, 2, 8}, {94, 
           264, 3, 0, 117, 2, 0, 8, 3, 0, 126}, {7, 2, 8}, {94, 264, 3, 0, 
           118, 2, 0, 8, 3, 0, 127}, {7, 2, 8}, {94, 264, 3, 0, 119, 2, 0, 8, 
           3, 0, 122}, {18, 126, 127, 122, 126}, {7, 1, 8}, {7, 2, 18}, {15, 
           0, 8, 127}, {15, 0, 18, 122}, {94, 260, 3, 0, 127, 3, 0, 122, 3, 0,
            121}, {94, 264, 3, 0, 126, 3, 0, 121, 3, 0, 127}, {12, 127, 35}, {
           7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 35, 3, 0, 127}, {21, 117, 127, 
           126}, {12, 126, 117}, {7, 1, 8}, {94, 260, 2, 0, 8, 3, 0, 35, 3, 0,
            126}, {21, 118, 126, 127}, {12, 127, 118}, {7, 1, 8}, {94, 260, 2,
            0, 8, 3, 0, 35, 3, 0, 127}, {21, 119, 127, 126}, {12, 126, 119}, {
           8, 75., 126}, {18, 126, 69, 126}, {12, 126, 79}, {12, 68, 81}, {
           8, -1., 126}, {8, -100., 127}, {18, 127, 67, 127}, {21, 126, 127, 
           126}, {12, 126, 83}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 79, 3, 0, 
           126, 3, 0, 127}, {12, 127, 79}, {8, 1.*^-10, 127}, {94, 270, 3, 0, 
           81, 3, 0, 127, 3, 0, 126}, {12, 126, 81}, {8, 1.*^-10, 126}, {94, 
           270, 3, 0, 83, 3, 0, 126, 3, 0, 127}, {12, 127, 83}, {
           6, False, 19}, {10, 19, 11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 60}, {
           46, 60, 25}, {46, 41, 25}, {70, 23, 0, 3, 0, 8}, {7, 1, 18}, {33, 
           8, 18, 19}, {10, 19, 3}, {45, {2., 5., 16602.}, 3, 3, 60}, {7, 1, 
           8}, {70, 60, 0, 8, 0, 127}, {12, 127, 40}, {7, 2, 8}, {70, 60, 0, 
           8, 0, 127}, {12, 127, 43}, {7, 3, 8}, {70, 60, 0, 8, 0, 127}, {12, 
           127, 42}, {67, 40, 43, 42, 3, 70}, {
           45, {2., 5., 16602.}, 3, 3, 60}, {7, 1, 8}, {70, 60, 0, 8, 0, 
           127}, {12, 127, 24}, {7, 2, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 
           94}, {7, 3, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 93}, {67, 24, 94,
            93, 3, 62}, {7, 1, 8}, {70, 25, 0, 8, 1, 60}, {7, 1, 8}, {70, 60, 
           0, 8, 0, 127}, {12, 127, 59}, {7, 2, 8}, {70, 60, 0, 8, 0, 127}, {
           12, 127, 60}, {7, 3, 8}, {70, 60, 0, 8, 0, 127}, {12, 127, 61}, {
           67, 59, 60, 61, 3, 66}, {12, 67, 70}, {12, 68, 72}, {12, 69, 74}, {
           21, 59, 117, 127}, {18, 79, 127, 126}, {12, 126, 80}, {21, 59, 118,
            126}, {18, 81, 126, 127}, {12, 127, 82}, {21, 59, 119, 127}, {18, 
           83, 127, 126}, {12, 126, 84}, {8, 100., 126}, {8, 1., 127}, {21, 
           127, 84, 127}, {24, 127, 121}, {18, 126, 121, 126}, {12, 126, 
           67}, {12, 82, 68}, {8, -75., 126}, {18, 126, 80, 126}, {12, 126, 
           69}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 67, 3, 0, 126, 3, 0, 
           121}, {12, 121, 67}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 68, 3, 0, 
           121, 3, 0, 126}, {12, 126, 68}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 
           69, 3, 0, 126, 3, 0, 121}, {12, 121, 69}, {7, 0, 8}, {15, 0, 8, 
           121}, {34, 67, 121, 0, 19}, {3, 19, 14}, {7, 0, 8}, {15, 0, 8, 
           121}, {34, 68, 121, 0, 24}, {3, 24, 6}, {7, 0, 8}, {15, 0, 8, 
           121}, {34, 69, 121, 0, 22}, {10, 22, 23}, {4, 3}, {6, False, 18}, {
           10, 18, 23}, {10, 23, 22}, {4, 3}, {6, False, 24}, {10, 24, 22}, {
           3, 22, 9}, {8, 100., 121}, {18, 121, 80, 121}, {12, 121, 67}, {12, 
           82, 68}, {8, -75., 121}, {18, 121, 84, 121}, {12, 121, 69}, {4, 
           1}, {8, 1., 121}, {18, 34, 121, 126}, {12, 126, 34}, {21, 59, 30, 
           126}, {18, 45, 126, 121}, {12, 121, 45}, {67, 70, 72, 74, 67, 68, 
           69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 
           46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48,
            49, 3, 60}, {46, 60, 15}, {6, True, 22}, {10, 22, 10}, {
           6, True, 22}, {10, 22, 4}, {6, True, 22}, {10, 22, 2}, {
           6, True, 22}, {10, 22, 5}, {8, 1., 121}, {
           45, {{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, 2, 3, 3, 60}, {94, 273, 3, 
           0, 121, 2, 2, 60, 3, 2, 69}, {46, 69, 44}, {44, 44, 13}, {7, -1, 
           10}, {64, 13, 10, 3, 69}, {7, 0, 15}, {11, 15, 14}, {4, 5}, {
           45, {{0., 0., -1.}, {0., 1., 0.}, {1., 0., 0.}}, 3, 3, 3, 60}, {70,
            44, 0, 14, 1, 78}, {91, 60, 78, 71}, {66, 10, 71, 69}, {5, 14, 
           13, -4}, {46, 69, 19}, {44, 19, 18}, {7, -1, 13}, {64, 18, 13, 3, 
           69}, {7, 0, 15}, {11, 15, 10}, {4, 10}, {70, 19, 0, 10, 1, 71}, {7,
            1, 15}, {70, 19, 0, 10, 1, 60}, {70, 19, 0, 10, 1, 78}, {91, 60, 
           78, 121}, {93, 55, 3, 0, 121, 3, 0, 126}, {94, 260, 2, 0, 15, 3, 0,
            126, 3, 0, 121}, {94, 273, 3, 0, 121, 3, 1, 71, 3, 1, 60}, {66, 
           13, 60, 69}, {5, 10, 18, -9}, {46, 69, 44}, {
           45, {{0., 0., 1.}, {0., 1., 0.}, {-1., 0., 0.}}, 3, 3, 3, 69}, {46,
            69, 42}, {45, {100., 0., -75.}, 3, 3, 69}, {46, 69, 43}, {
           8, 0., 121}, {12, 121, 18}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           69}, {46, 69, 15}, {12, 40, 24}, {12, 43, 94}, {12, 42, 93}, {67, 
           70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 28, 34, 47, 48, 49, 3, 69}, {46, 69, 31}, {8, 0., 121}, {12, 
           121, 32}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 69}, {68, 69, 65}, {46, 
           65, 0}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 65}, {68, 15, 69}, {68, 0, 65, 69, 60}, {46, 60, 59}, {4, 
           382}, {7, 6, 10}, {33, 3, 10, 22}, {3, 22, 366}, {70, 24, 0, 16, 1,
            59}, {7, 1, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 70}, {7, 2, 
           10}, {70, 59, 0, 10, 0, 121}, {12, 121, 72}, {7, 3, 10}, {70, 59, 
           0, 10, 0, 121}, {12, 121, 74}, {7, 4, 10}, {70, 59, 0, 10, 0, 
           121}, {12, 121, 67}, {7, 5, 10}, {70, 59, 0, 10, 0, 121}, {12, 121,
            68}, {7, 6, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 69}, {7, 7, 
           10}, {70, 59, 0, 10, 0, 121}, {12, 121, 50}, {7, 8, 10}, {70, 59, 
           0, 10, 0, 121}, {12, 121, 51}, {7, 9, 10}, {70, 59, 0, 10, 0, 
           121}, {12, 121, 52}, {7, 10, 10}, {70, 59, 0, 10, 0, 121}, {12, 
           121, 53}, {7, 11, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 54}, {7, 
           12, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 55}, {7, 13, 10}, {70, 
           59, 0, 10, 0, 121}, {12, 121, 56}, {7, 14, 10}, {70, 59, 0, 10, 0, 
           121}, {12, 121, 57}, {7, 15, 10}, {70, 59, 0, 10, 0, 121}, {12, 
           121, 58}, {7, 16, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 116}, {7,
            17, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 32}, {7, 18, 10}, {70,
            59, 0, 10, 0, 121}, {12, 121, 33}, {7, 19, 10}, {70, 59, 0, 10, 0,
            121}, {12, 121, 59}, {7, 20, 10}, {70, 59, 0, 10, 0, 121}, {12, 
           121, 29}, {7, 21, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 45}, {7, 
           22, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 46}, {7, 23, 10}, {70, 
           59, 0, 10, 0, 121}, {12, 121, 24}, {7, 24, 10}, {70, 59, 0, 10, 0, 
           121}, {12, 121, 94}, {7, 25, 10}, {70, 59, 0, 10, 0, 121}, {12, 
           121, 93}, {7, 26, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 60}, {7, 
           27, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 61}, {7, 28, 10}, {70, 
           59, 0, 10, 0, 121}, {12, 121, 87}, {7, 29, 10}, {70, 59, 0, 10, 0, 
           121}, {12, 121, 26}, {7, 30, 10}, {70, 59, 0, 10, 0, 121}, {12, 
           121, 89}, {7, 31, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 90}, {7, 
           32, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 91}, {7, 33, 10}, {70, 
           59, 0, 10, 0, 121}, {12, 121, 92}, {7, 34, 10}, {70, 59, 0, 10, 0, 
           121}, {12, 121, 63}, {7, 35, 10}, {70, 59, 0, 10, 0, 121}, {12, 
           121, 44}, {7, 36, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 34}, {7, 
           37, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 47}, {7, 38, 10}, {70, 
           59, 0, 10, 0, 121}, {12, 121, 48}, {7, 39, 10}, {70, 59, 0, 10, 0, 
           121}, {12, 121, 49}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 
           54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 
           61, 87, 26, 89, 90, 91, 92, 63, 44, 34, 47, 48, 49, 3, 70}, {12, 
           29, 30}, {8, -1., 121}, {21, 121, 52, 121}, {12, 121, 117}, {
           8, -1., 121}, {21, 121, 51, 121}, {12, 121, 118}, {8, -1., 121}, {
           21, 121, 50, 121}, {12, 121, 119}, {8, 1.*^-10, 121}, {94, 270, 3, 
           0, 117, 3, 0, 121, 3, 0, 126}, {12, 126, 117}, {8, 1.*^-10, 126}, {
           94, 270, 3, 0, 118, 3, 0, 126, 3, 0, 121}, {12, 121, 118}, {
           8, 1.*^-10, 121}, {94, 270, 3, 0, 119, 3, 0, 121, 3, 0, 126}, {12, 
           126, 119}, {7, 2, 10}, {94, 264, 3, 0, 117, 2, 0, 10, 3, 0, 126}, {
           7, 2, 10}, {94, 264, 3, 0, 118, 2, 0, 10, 3, 0, 121}, {7, 2, 10}, {
           94, 264, 3, 0, 119, 2, 0, 10, 3, 0, 127}, {18, 126, 121, 127, 
           126}, {7, 1, 10}, {7, 2, 14}, {15, 0, 10, 121}, {15, 0, 14, 127}, {
           94, 260, 3, 0, 121, 3, 0, 127, 3, 0, 122}, {94, 264, 3, 0, 126, 3, 
           0, 122, 3, 0, 121}, {12, 121, 35}, {7, 1, 10}, {94, 260, 2, 0, 10, 
           3, 0, 35, 3, 0, 121}, {21, 117, 121, 126}, {12, 126, 117}, {7, 1, 
           10}, {94, 260, 2, 0, 10, 3, 0, 35, 3, 0, 126}, {21, 118, 126, 
           121}, {12, 121, 118}, {7, 1, 10}, {94, 260, 2, 0, 10, 3, 0, 35, 3, 
           0, 121}, {21, 119, 121, 126}, {12, 126, 119}, {8, -1., 126}, {
           8, -75., 121}, {18, 121, 69, 121}, {21, 126, 121, 126}, {12, 126, 
           79}, {8, -1., 126}, {21, 126, 68, 126}, {12, 126, 81}, {
           8, -1., 126}, {8, -100., 121}, {18, 121, 67, 121}, {21, 126, 121, 
           126}, {12, 126, 83}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 79, 3, 0, 
           126, 3, 0, 121}, {12, 121, 79}, {8, 1.*^-10, 121}, {94, 270, 3, 0, 
           81, 3, 0, 121, 3, 0, 126}, {12, 126, 81}, {8, 1.*^-10, 126}, {94, 
           270, 3, 0, 83, 3, 0, 126, 3, 0, 121}, {12, 121, 83}, {
           6, False, 19}, {10, 19, 11}, {45, {{-1., 0., 0.}}, 3, 1, 3, 59}, {
           46, 59, 25}, {46, 41, 25}, {70, 23, 0, 3, 0, 10}, {7, 1, 14}, {33, 
           10, 14, 19}, {10, 19, 3}, {45, {2., 6., 16603.}, 3, 3, 59}, {7, 1, 
           10}, {70, 59, 0, 10, 0, 121}, {12, 121, 40}, {7, 2, 10}, {70, 59, 
           0, 10, 0, 121}, {12, 121, 43}, {7, 3, 10}, {70, 59, 0, 10, 0, 
           121}, {12, 121, 42}, {67, 40, 43, 42, 3, 62}, {
           45, {2., 6., 16603.}, 3, 3, 59}, {7, 1, 10}, {70, 59, 0, 10, 0, 
           121}, {12, 121, 24}, {7, 2, 10}, {70, 59, 0, 10, 0, 121}, {12, 121,
            94}, {7, 3, 10}, {70, 59, 0, 10, 0, 121}, {12, 121, 93}, {67, 24, 
           94, 93, 3, 66}, {7, 1, 10}, {70, 25, 0, 10, 1, 59}, {7, 1, 10}, {
           70, 59, 0, 10, 0, 121}, {12, 121, 59}, {7, 2, 10}, {70, 59, 0, 10, 
           0, 121}, {12, 121, 60}, {7, 3, 10}, {70, 59, 0, 10, 0, 121}, {12, 
           121, 61}, {67, 59, 60, 61, 3, 65}, {12, 67, 70}, {12, 68, 72}, {12,
            69, 74}, {21, 59, 117, 121}, {18, 79, 121, 126}, {12, 126, 80}, {
           21, 59, 118, 126}, {18, 81, 126, 121}, {12, 121, 82}, {21, 59, 119,
            121}, {18, 83, 121, 126}, {12, 126, 84}, {8, 100., 126}, {
           8, 1., 121}, {21, 121, 84, 121}, {24, 121, 122}, {18, 126, 122, 
           126}, {12, 126, 67}, {8, -1., 126}, {21, 126, 82, 126}, {12, 126, 
           68}, {8, 75., 126}, {8, 1., 122}, {21, 122, 80, 122}, {24, 122, 
           121}, {18, 126, 121, 126}, {12, 126, 69}, {8, 1.*^-10, 126}, {94, 
           270, 3, 0, 67, 3, 0, 126, 3, 0, 121}, {12, 121, 67}, {
           8, 1.*^-10, 121}, {94, 270, 3, 0, 68, 3, 0, 121, 3, 0, 126}, {12, 
           126, 68}, {8, 1.*^-10, 126}, {94, 270, 3, 0, 69, 3, 0, 126, 3, 0, 
           121}, {12, 121, 69}, {7, 0, 10}, {15, 0, 10, 121}, {34, 67, 121, 0,
            19}, {3, 19, 14}, {7, 0, 10}, {15, 0, 10, 121}, {34, 68, 121, 0, 
           23}, {3, 23, 6}, {7, 0, 10}, {15, 0, 10, 121}, {34, 69, 121, 0, 
           24}, {10, 24, 20}, {4, 3}, {6, False, 18}, {10, 18, 20}, {10, 20, 
           24}, {4, 3}, {6, False, 23}, {10, 23, 24}, {3, 24, 9}, {
           8, 100., 121}, {18, 121, 80, 121}, {12, 121, 67}, {12, 82, 68}, {
           8, 75., 121}, {18, 121, 84, 121}, {12, 121, 69}, {4, 1}, {
           8, 1., 121}, {18, 34, 121, 126}, {12, 126, 34}, {21, 59, 30, 
           126}, {18, 45, 126, 121}, {12, 121, 45}, {67, 70, 72, 74, 67, 68, 
           69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 
           46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48,
            49, 3, 59}, {46, 59, 15}, {6, True, 24}, {10, 24, 10}, {
           6, True, 24}, {10, 24, 4}, {6, True, 24}, {10, 24, 2}, {
           6, True, 24}, {10, 24, 5}, {8, 1., 121}, {
           45, {{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, 2, 3, 3, 59}, {94, 273, 3, 
           0, 121, 2, 2, 59, 3, 2, 69}, {46, 69, 44}, {44, 44, 8}, {7, -1, 
           18}, {64, 8, 18, 3, 69}, {7, 0, 15}, {11, 15, 13}, {4, 5}, {
           45, {{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 0.}}, 3, 3, 3, 59}, {
           70, 44, 0, 13, 1, 78}, {91, 59, 78, 63}, {66, 18, 63, 69}, {5, 13, 
           8, -4}, {46, 69, 19}, {44, 19, 14}, {7, -1, 8}, {64, 14, 8, 3, 
           69}, {7, 0, 15}, {11, 15, 18}, {4, 10}, {70, 19, 0, 18, 1, 63}, {7,
            1, 15}, {70, 19, 0, 18, 1, 59}, {70, 19, 0, 18, 1, 78}, {91, 59, 
           78, 121}, {93, 55, 3, 0, 121, 3, 0, 126}, {94, 260, 2, 0, 15, 3, 0,
            126, 3, 0, 121}, {94, 273, 3, 0, 121, 3, 1, 63, 3, 1, 59}, {66, 8,
            59, 69}, {5, 18, 14, -9}, {46, 69, 44}, {
           45, {{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 0.}}, 3, 3, 3, 69}, {
           46, 69, 42}, {45, {100., 0., 75.}, 3, 3, 69}, {46, 69, 43}, {
           8, 0., 121}, {12, 121, 18}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 
           52, 53, 54, 55, 56, 57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 
           93, 60, 61, 87, 26, 89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 
           69}, {46, 69, 15}, {12, 40, 24}, {12, 43, 94}, {12, 42, 93}, {67, 
           70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 57, 58, 116, 
           32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 89, 90, 91, 92,
            63, 28, 34, 47, 48, 49, 3, 69}, {46, 69, 31}, {8, 0., 121}, {12, 
           121, 32}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 69}, {68, 69, 71}, {46, 
           71, 0}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 71}, {68, 15, 69}, {68, 0, 71, 69, 59}, {46, 59, 70}, {4, 
           13}, {6, True, 24}, {10, 24, 1}, {6, True, 24}, {10, 24, 9}, {
           6, True, 24}, {10, 24, 6}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 70}, {67, 70, 72, 74, 67, 68, 69, 50, 51, 52, 53, 54, 55, 56, 
           57, 58, 116, 32, 33, 59, 29, 45, 46, 24, 94, 93, 60, 61, 87, 26, 
           89, 90, 91, 92, 63, 28, 34, 47, 48, 49, 3, 62}, {68, 62, 66}, {
           45, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, 3, 1, 
            39, 62}, {68, 70, 66, 62, 65}, {46, 65, 70}, {46, 70, 59}, {46, 
           59, 60}, {46, 60, 68}, {46, 68, 54}, {46, 54, 72}, {46, 72, 75}, {
           4, 9}, {6, True, 21}, {10, 21, 1}, {6, True, 21}, {10, 21, 9}, {
           6, True, 21}, {10, 21, 5}, {
           45, {{{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, {{1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, {{1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
            1., -1.7976931348623157`*^308, 1., 1., 1., 1., 0., -1., -1., -1., 
            1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}}, 3, 3, 
            1, 39, 58}, {46, 58, 75}, {66, 4, 75, 61}, {5, 16, 7, -4759}, {
           45, {2, 1}, 2, 2, 56}, {90, 61, 56, 75, 4, 0}, {44, 75, 11}, {
           7, -1, 12}, {7, 1, 7}, {64, 11, 7, 12, 3, 61}, {7, 0, 18}, {11, 18,
            4}, {4, 4}, {70, 75, 0, 4, 3, 74}, {85, 74, 1, 72}, {66, 12, 72, 
           61}, {5, 4, 11, -3}, {7, 1, 4}, {70, 61, 0, 4, 2, 75}, {46, 75, 
           17}, {7, 2, 4}, {70, 61, 0, 4, 2, 75}, {46, 75, 27}, {7, 3, 4}, {
           70, 61, 0, 4, 2, 75}, {46, 75, 39}, {68, 17, 27, 39, 75}, {3, 2, 
           3}, {10, 1, 21}, {4, 3}, {6, False, 16}, {10, 16, 21}, {3, 21, 
           51}, {7, 0, 4}, {7, 0, 16}, {46, 17, 61}, {44, 61, 7}, {7, 0, 
           13}, {64, 7, 2, 72}, {7, 0, 10}, {11, 10, 11}, {4, 17}, {70, 61, 0,
            11, 1, 74}, {46, 74, 56}, {46, 56, 74}, {7, 23, 10}, {70, 74, 0, 
           10, 0, 121}, {8, 0., 126}, {37, 126, 121, 16}, {3, 16, 6}, {7, 1, 
           10}, {17, 4, 10, 8}, {11, 8, 4}, {11, 11, 10}, {4, 3}, {7, -1, 
           8}, {11, 8, 10}, {65, 13, 10, 72}, {5, 11, 7, -16}, {11, 4, 6}, {
           7, -1, 18}, {64, 6, 18, 3, 58}, {7, 0, 13}, {11, 13, 12}, {4, 
           14}, {7, 1, 13}, {17, 16, 13, 10}, {11, 10, 16}, {70, 72, 0, 16, 0,
            10}, {7, -1, 13}, {33, 10, 13, 16}, {3, 16, 5}, {7, 1, 10}, {17, 
           16, 10, 13}, {11, 13, 16}, {4, -7}, {70, 61, 0, 16, 1, 54}, {66, 
           18, 54, 58}, {5, 12, 6, -13}, {8, 1., 121}, {94, 273, 3, 0, 121, 3,
            2, 58, 3, 2, 61}, {46, 61, 17}, {4, 1}, {3, 6, 53}, {3, 5, 49}, {
           7, 0, 16}, {7, 0, 4}, {46, 27, 58}, {44, 58, 6}, {7, 0, 7}, {64, 6,
            2, 72}, {7, 0, 11}, {11, 11, 13}, {4, 17}, {70, 58, 0, 13, 1, 
           74}, {46, 74, 56}, {46, 56, 74}, {7, 23, 11}, {70, 74, 0, 11, 0, 
           121}, {8, 0., 126}, {37, 126, 121, 21}, {3, 21, 6}, {7, 1, 11}, {
           17, 16, 11, 8}, {11, 8, 16}, {11, 13, 11}, {4, 3}, {7, -1, 8}, {11,
            8, 11}, {65, 7, 11, 72}, {5, 13, 6, -16}, {11, 16, 18}, {7, -1, 
           10}, {64, 18, 10, 3, 54}, {7, 0, 7}, {11, 7, 12}, {4, 14}, {7, 1, 
           7}, {17, 4, 7, 11}, {11, 11, 4}, {70, 72, 0, 4, 0, 11}, {7, -1, 
           7}, {33, 11, 7, 21}, {3, 21, 5}, {7, 1, 11}, {17, 4, 11, 7}, {11, 
           7, 4}, {4, -7}, {70, 58, 0, 4, 1, 68}, {66, 10, 68, 54}, {5, 12, 
           18, -13}, {46, 54, 27}, {4, 1}, {95, 0, 35, 27, 58}, {46, 58, 
           35}, {4, 1}, {3, 10, 3}, {10, 9, 16}, {4, 3}, {6, False, 21}, {10, 
           21, 16}, {3, 16, 49}, {7, 0, 4}, {7, 0, 16}, {46, 39, 58}, {44, 58,
            18}, {7, 0, 6}, {64, 18, 2, 72}, {7, 0, 13}, {11, 13, 7}, {4, 
           17}, {70, 58, 0, 7, 1, 74}, {46, 74, 56}, {46, 56, 74}, {7, 23, 
           13}, {70, 74, 0, 13, 0, 121}, {8, 0., 126}, {37, 126, 121, 21}, {3,
            21, 6}, {7, 1, 13}, {17, 4, 13, 8}, {11, 8, 4}, {11, 7, 13}, {4, 
           3}, {7, -1, 8}, {11, 8, 13}, {65, 6, 13, 72}, {5, 7, 18, -16}, {11,
            4, 10}, {7, -1, 11}, {64, 10, 11, 3, 68}, {7, 0, 6}, {11, 6, 
           12}, {4, 14}, {7, 1, 6}, {17, 16, 6, 13}, {11, 13, 16}, {70, 72, 0,
            16, 0, 13}, {7, -1, 6}, {33, 13, 6, 21}, {3, 21, 5}, {7, 1, 13}, {
           17, 16, 13, 6}, {11, 6, 16}, {4, -7}, {70, 58, 0, 16, 1, 60}, {66, 
           11, 60, 68}, {5, 12, 10, -13}, {46, 68, 39}, {4, 1}, {3, 10, 7}, {
           6, True, 16}, {10, 16, 8}, {
           45, {{-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308}}, 3, 1, 39, 75}, {95, 0, 40, 75, 39, 61}, {46, 61, 
           40}, {4, 1}, {46, 17, 24}, {37, 28, 27, 16}, {10, 16, 7}, {
           4, -4984}, {44, 35, 16}, {7, 1, 4}, {36, 4, 16, 13}, {3, 13, 5}, {
           7, 1, 16}, {73, 35, 16, 0, 68}, {46, 68, 61}, {4, 2}, {46, 35, 
           61}, {46, 61, 38}, {39, 27, 28, 13}, {3, 13, 3}, {10, 2, 21}, {4, 
           3}, {6, False, 16}, {10, 16, 21}, {3, 21, 4}, {95, 0, 38, 17, 
           61}, {46, 61, 38}, {4, 1}, {44, 40, 16}, {7, 2, 4}, {36, 4, 16, 
           21}, {3, 21, 5}, {7, 2, 16}, {73, 40, 16, 0, 68}, {46, 68, 40}, {4,
            1}, {44, 40, 11}, {7, -1, 10}, {64, 11, 10, 3, 54}, {7, 0, 6}, {
           11, 6, 12}, {4, 21}, {70, 40, 0, 12, 1, 58}, {7, 1, 6}, {70, 58, 0,
            6, 0, 121}, {70, 40, 0, 12, 1, 58}, {7, 2, 6}, {70, 58, 0, 6, 0, 
           126}, {70, 40, 0, 12, 1, 58}, {7, 3, 6}, {70, 58, 0, 6, 0, 122}, {
           70, 40, 0, 12, 1, 58}, {7, 4, 6}, {70, 58, 0, 6, 0, 127}, {70, 40, 
           0, 12, 1, 58}, {7, 5, 6}, {70, 58, 0, 6, 0, 124}, {70, 40, 0, 12, 
           1, 58}, {7, 6, 6}, {70, 58, 0, 6, 0, 125}, {67, 121, 126, 122, 127,
            124, 125, 3, 58}, {66, 10, 58, 54}, {5, 12, 11, -20}, {2}}, 
          
          Function[{$CellContext`as1, $CellContext`wl1, $CellContext`xs1, \
$CellContext`ys1, $CellContext`aa, $CellContext`ab, $CellContext`apa, \
$CellContext`apb, $CellContext`ca1, $CellContext`ca2, $CellContext`cb1, \
$CellContext`cb2, $CellContext`ta, $CellContext`tb, $CellContext`xa1, \
$CellContext`xb1, $CellContext`ya1, $CellContext`yb1}, 
           
           Module[{$CellContext`activeregion, \
$CellContext`allcreatedamplitudes, $CellContext`allcreatedrays, \
$CellContext`allowzeroraylength, $CellContext`alternateindex, \
$CellContext`amplitude, $CellContext`axismagnitude, $CellContext`axismatrix, \
$CellContext`clonedata, $CellContext`clonegenerationnumber, \
$CellContext`cloneinput, $CellContext`clonenumber, \
$CellContext`cloneposition, $CellContext`clonereportedrays, \
$CellContext`clonerotation, $CellContext`clonescale, \
$CellContext`clonescalevector, $CellContext`clonesorthistogram, \
$CellContext`clonetraceinput, $CellContext`clonetraceoutput, \
$CellContext`closestdistances, $CellContext`closestposition, \
$CellContext`closestpositions, $CellContext`closestraylength, \
$CellContext`completedray, $CellContext`componentnumber, \
$CellContext`cosangle, $CellContext`crossmatrix, \
$CellContext`deflecteddummyrayspresent, $CellContext`deflectedlocalrays, \
$CellContext`deflectedrays, $CellContext`deflectedrayspresent, \
$CellContext`dummymatrix, $CellContext`dummymatrixlist, \
$CellContext`dummyvector, $CellContext`frontid, $CellContext`generationlimit, \
$CellContext`generationnumber, $CellContext`holeintersections, \
$CellContext`holeQ, $CellContext`holeQlist, $CellContext`hor, \
$CellContext`index, $CellContext`index1, $CellContext`index2, \
$CellContext`inrays, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`intersectionnumber, $CellContext`intersections, \
$CellContext`intersectionslist, $CellContext`intersectionspresent, \
$CellContext`localdummyoutrayspresent, $CellContext`localoutrays, \
$CellContext`localoutrayspresent, $CellContext`magnitude, \
$CellContext`maxclonegenerationnumber, $CellContext`maximumposition, \
$CellContext`minimumraylength, $CellContext`minresonateraylength, \
$CellContext`n12, $CellContext`newcomponentnumber, \
$CellContext`newdeflectedrays, $CellContext`newdistance, \
$CellContext`newsurfaceid, $CellContext`newsurfacenumber, \
$CellContext`nonintersectingrays, $CellContext`normalizedpolarization, \
$CellContext`oldgenerationnumber, $CellContext`opticallength, \
$CellContext`originalray, $CellContext`originalraytilt, \
$CellContext`originalrotation, $CellContext`originalsurfnorm, \
$CellContext`outrays, $CellContext`parallelamplitude, $CellContext`PAxis, \
$CellContext`perpendicularamplitude, $CellContext`phaseshift, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3, \
$CellContext`previoustilt, $CellContext`propagate, \
$CellContext`propagatedrays, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`ray1, \
$CellContext`ray2, $CellContext`ray3, $CellContext`RayL, \
$CellContext`rayslot, $CellContext`raysreported, $CellContext`raytiltx, \
$CellContext`raytiltz, $CellContext`reporteddummyrayspresent, \
$CellContext`reportedlocalrays, $CellContext`reportedrays, \
$CellContext`reportedrayspresent, $CellContext`resonateintersections, \
$CellContext`resonatenumber, $CellContext`resonateraylength, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`rotationaxis, $CellContext`rsx, $CellContext`RSx, \
$CellContext`rsy, $CellContext`RSy, $CellContext`rsz, $CellContext`RSz, \
$CellContext`RTx, $CellContext`RTy, $CellContext`RTz, $CellContext`rx, \
$CellContext`rxhlp, $CellContext`ry, $CellContext`ryhlp, $CellContext`rz, \
$CellContext`rzhlp, $CellContext`SCx, $CellContext`SCy, $CellContext`sid, \
$CellContext`sinangle, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`surfaceid, \
$CellContext`surfacenumber, $CellContext`surfacerotationmatrix, \
$CellContext`surfacetranslationvector, $CellContext`surfnorm, \
$CellContext`symr1, $CellContext`symr2, $CellContext`symr3, \
$CellContext`symr4, $CellContext`symr5, $CellContext`symr6, \
$CellContext`symr7, $CellContext`symr8, $CellContext`symr9, \
$CellContext`tempclonedata, $CellContext`terminatedeflection, \
$CellContext`thresholdintensity, $CellContext`tiltmagnitude, \
$CellContext`transmatrix, $CellContext`TV1, $CellContext`TV10, \
$CellContext`TV2, $CellContext`TV3, $CellContext`TV4, $CellContext`TV5, \
$CellContext`TV6, $CellContext`TV7, $CellContext`TV8, $CellContext`TV9, \
$CellContext`u, $CellContext`unfilteredintersections, $CellContext`unit, \
$CellContext`uu, $CellContext`ver, $CellContext`wavelength, \
$CellContext`XAxis, $CellContext`xunit, $CellContext`YAxis, \
$CellContext`yunit, $CellContext`ZAxis, $CellContext`zunit}, \
$CellContext`activeregion = 
             1.; $CellContext`allcreatedamplitudes = {{
               0. + 0. I, 0. + 0. I, 0. + 
                0. I}}; $CellContext`allcreatedrays = {{
              1.}}; $CellContext`allowzeroraylength = 
             True; $CellContext`alternateindex = 
             1.; $CellContext`amplitude = {
              1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`axismagnitude = 
             1.; $CellContext`axismatrix = {{1., 0., 0.}, {0., 1., 0.}, {0., 
              0., 1.}}; $CellContext`clonedata = {{
              1.}}; $CellContext`clonegenerationnumber = 
             1.; $CellContext`cloneinput = {1.}; $CellContext`clonenumber = 
             1; $CellContext`cloneposition = {0., 0., 
              0.}; $CellContext`clonereportedrays = {{
              1.}}; $CellContext`clonerotation = {{
              1.}}; $CellContext`clonescale = 
             1.; $CellContext`clonescalevector = {
              1.}; $CellContext`clonesorthistogram = {
              1}; $CellContext`clonetraceinput = {{
              1.}}; $CellContext`clonetraceoutput = {{
              1.}}; $CellContext`closestdistances = {
              1.}; $CellContext`closestposition = 
             0; $CellContext`closestpositions = {
              0}; $CellContext`closestraylength = 
             1.; $CellContext`completedray = {
              1.}; $CellContext`componentnumber = -1.; $CellContext`cosangle = 
             1.; $CellContext`crossmatrix = {{1., 0., 0.}, {0., 1., 0.}, {0., 
              0., 1.}}; $CellContext`deflecteddummyrayspresent = 
             False; $CellContext`deflectedlocalrays = {{
              1.}}; $CellContext`deflectedrays = {{
              1.}}; $CellContext`deflectedrayspresent = 
             False; $CellContext`dummymatrix = {{
              1.}}; $CellContext`dummymatrixlist = {{{
              1.}}}; $CellContext`dummyvector = {1.}; $CellContext`frontid = 
             1.; $CellContext`generationlimit = 
             200.; $CellContext`generationnumber = 
             1.; $CellContext`holeintersections = {{-1., 0., 
              0.}}; $CellContext`holeQ = 
             False; $CellContext`holeQlist = {0}; $CellContext`hor = 
             1. + 0. I; $CellContext`index = 1.; $CellContext`index1 = 
             1.; $CellContext`index2 = 
             1.; $CellContext`inrays = {{1.}}; $CellContext`intensity = 
             1.; $CellContext`intensityscale = 
             1.; $CellContext`intersectionnumber = 
             1.; $CellContext`intersections = {{-1., 0., 
              0.}}; $CellContext`intersectionslist = {{{-1., 0., 
              0.}}}; $CellContext`intersectionspresent = 
             False; $CellContext`localdummyoutrayspresent = 
             False; $CellContext`localoutrays = {{
              1.}}; $CellContext`localoutrayspresent = 
             False; $CellContext`magnitude = 
             1.; $CellContext`maxclonegenerationnumber = 
             1.; $CellContext`maximumposition = 
             1; $CellContext`minimumraylength = 
             0.0001; $CellContext`minresonateraylength = 1.; $CellContext`n12 = 
             1.; $CellContext`newcomponentnumber = -1.; \
$CellContext`newdeflectedrays = {{1.}}; $CellContext`newdistance = 
             1.; $CellContext`newsurfaceid = -1.; \
$CellContext`newsurfacenumber = -1.; $CellContext`nonintersectingrays = {{
              1.}}; $CellContext`normalizedpolarization = {1., 
              1.}; $CellContext`oldgenerationnumber = 
             1.; $CellContext`opticallength = 
             1.; $CellContext`originalray = {
              1.}; $CellContext`originalraytilt = {
              1.}; $CellContext`originalrotation = {{1., 0., 0.}, {0., 1., 
              0.}, {0., 0., 1.}}; $CellContext`originalsurfnorm = {{
              1.}}; $CellContext`outrays = {{
              1.}}; $CellContext`parallelamplitude = 
             1. + 0. I; $CellContext`PAxis = {1., 0., 
              0.}; $CellContext`perpendicularamplitude = 
             1. + 0. I; $CellContext`phaseshift = 0.; $CellContext`pol1 = 
             1.; $CellContext`pol2 = 1.; $CellContext`pol3 = 
             1.; $CellContext`previoustilt = {1., 0., 
              0.}; $CellContext`propagate = 
             True; $CellContext`propagatedrays = {{1.}}; $CellContext`r1 = 
             1.; $CellContext`r2 = 1.; $CellContext`r3 = 1.; $CellContext`r4 = 
             1.; $CellContext`r5 = 1.; $CellContext`r6 = 1.; $CellContext`r7 = 
             1.; $CellContext`r8 = 1.; $CellContext`r9 = 
             1.; $CellContext`ray1 = 1.; $CellContext`ray2 = 
             1.; $CellContext`ray3 = 1.; $CellContext`RayL = 
             1.; $CellContext`rayslot = 1.; $CellContext`raysreported = 
             False; $CellContext`raytiltx = 1.; $CellContext`raytiltz = 
             1.; $CellContext`reporteddummyrayspresent = 
             False; $CellContext`reportedlocalrays = {{
              1.}}; $CellContext`reportedrays = {{
              1.}}; $CellContext`reportedrayspresent = 
             False; $CellContext`resonateintersections = {{-1., 0., 
              0.}}; $CellContext`resonatenumber = 
             0; $CellContext`resonateraylength = 1.; $CellContext`rex = 
             1.; $CellContext`rey = 1.; $CellContext`rez = 
             1.; $CellContext`rsx = 1.; $CellContext`RSx = 
             1.; $CellContext`rsy = 1.; $CellContext`RSy = 
             1.; $CellContext`rsz = 1.; $CellContext`RSz = 
             1.; $CellContext`RTx = 1.; $CellContext`RTy = 
             1.; $CellContext`RTz = 1.; $CellContext`rx = 
             1.; $CellContext`rxhlp = 1.; $CellContext`ry = 
             1.; $CellContext`ryhlp = 1.; $CellContext`rz = 
             1.; $CellContext`rzhlp = 1.; $CellContext`SCx = 
             1.; $CellContext`SCy = 1.; $CellContext`sid = 
             1.; $CellContext`sinangle = 1.; $CellContext`sno1 = 
             1.; $CellContext`sno2 = 1.; $CellContext`sno3 = 
             1.; $CellContext`sno4 = 
             1.; $CellContext`surfaceid = -1.; $CellContext`surfacenumber = \
-1.; $CellContext`surfacerotationmatrix = {{1., 0., 0.}, {0., 1., 0.}, {0., 
              0., 1.}}; $CellContext`surfacetranslationvector = {0., 0., 
              0.}; $CellContext`surfnorm = {{1.}}; $CellContext`symr1 = 
             1.; $CellContext`symr2 = 1.; $CellContext`symr3 = 
             1.; $CellContext`symr4 = 1.; $CellContext`symr5 = 
             1.; $CellContext`symr6 = 1.; $CellContext`symr7 = 
             1.; $CellContext`symr8 = 1.; $CellContext`symr9 = 
             1.; $CellContext`tempclonedata = {{
              1.}}; $CellContext`terminatedeflection = 
             False; $CellContext`thresholdintensity = 
             1.; $CellContext`tiltmagnitude = 
             1.; $CellContext`transmatrix = {{{1., 0., 0.}, {0., 1., 0.}, {0.,
               0., 1.}}}; $CellContext`TV1 = 1.; $CellContext`TV10 = 
             1.; $CellContext`TV2 = 1.; $CellContext`TV3 = 
             1.; $CellContext`TV4 = 1.; $CellContext`TV5 = 
             1.; $CellContext`TV6 = 1.; $CellContext`TV7 = 
             1.; $CellContext`TV8 = 1.; $CellContext`TV9 = 
             1.; $CellContext`u = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
              1.}}; $CellContext`unfilteredintersections = {{-1., 0., 
              0.}}; $CellContext`unit = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
              1.}}; $CellContext`uu = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
              1.}}; $CellContext`ver = 0. + 0. I; $CellContext`wavelength = 
             1.; $CellContext`XAxis = {1., 0., 0.}; $CellContext`xunit = 
             1.; $CellContext`YAxis = {1., 0., 0.}; $CellContext`yunit = 
             1.; $CellContext`ZAxis = {1., 0., 0.}; $CellContext`zunit = 
             1.; $CellContext`propagatedrays = 
             Join[{$CellContext`symr1, $CellContext`symr2, \
$CellContext`symr3, $CellContext`symr4, $CellContext`symr5, \
$CellContext`symr6, $CellContext`symr7, $CellContext`symr8, \
$CellContext`symr9} = {
                  Cos[$CellContext`as1 Degree], 
                  Sin[$CellContext`as1 Degree], 0, -
                  Sin[$CellContext`as1 Degree], 
                  Cos[$CellContext`as1 Degree], 0, 0, 0, 1}; 
               Map[({$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`wavelength = $CellContext`wl1; \
{$CellContext`TV1, $CellContext`TV2, $CellContext`TV3} = {$CellContext`rsx \
$CellContext`symr1 + $CellContext`rsy $CellContext`symr4 + $CellContext`rsz \
$CellContext`symr7 + $CellContext`xs1, $CellContext`rsx $CellContext`symr2 + \
$CellContext`rsy $CellContext`symr5 + $CellContext`rsz $CellContext`symr8 + \
$CellContext`ys1, $CellContext`rsx $CellContext`symr3 + $CellContext`rsy \
$CellContext`symr6 + $CellContext`rsz $CellContext`symr9}; {$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz} = {$CellContext`TV1, $CellContext`TV2, \
$CellContext`TV3}; {$CellContext`TV1, $CellContext`TV2, $CellContext`TV3} = \
{$CellContext`rex $CellContext`symr1 + $CellContext`rey $CellContext`symr4 + \
$CellContext`rez $CellContext`symr7 + $CellContext`xs1, $CellContext`rex \
$CellContext`symr2 + $CellContext`rey $CellContext`symr5 + $CellContext`rez \
$CellContext`symr8 + $CellContext`ys1, $CellContext`rex $CellContext`symr3 + \
$CellContext`rey $CellContext`symr6 + $CellContext`rez $CellContext`symr9}; \
{$CellContext`rex, $CellContext`rey, $CellContext`rez} = {$CellContext`TV1, \
$CellContext`TV2, $CellContext`TV3}; {$CellContext`TV1, $CellContext`TV2, \
$CellContext`TV3} = {$CellContext`r1 $CellContext`symr1 + $CellContext`r2 \
$CellContext`symr4 + $CellContext`r3 $CellContext`symr7, $CellContext`r1 \
$CellContext`symr2 + $CellContext`r2 $CellContext`symr5 + $CellContext`r3 \
$CellContext`symr8, $CellContext`r1 $CellContext`symr3 + $CellContext`r2 \
$CellContext`symr6 + $CellContext`r3 $CellContext`symr9}; {$CellContext`TV4, \
$CellContext`TV5, $CellContext`TV6} = {$CellContext`r4 $CellContext`symr1 + \
$CellContext`r5 $CellContext`symr4 + $CellContext`r6 $CellContext`symr7, \
$CellContext`r4 $CellContext`symr2 + $CellContext`r5 $CellContext`symr5 + \
$CellContext`r6 $CellContext`symr8, $CellContext`r4 $CellContext`symr3 + \
$CellContext`r5 $CellContext`symr6 + $CellContext`r6 $CellContext`symr9}; \
{$CellContext`TV7, $CellContext`TV8, $CellContext`TV9} = {$CellContext`r7 \
$CellContext`symr1 + $CellContext`r8 $CellContext`symr4 + $CellContext`r9 \
$CellContext`symr7, $CellContext`r7 $CellContext`symr2 + $CellContext`r8 \
$CellContext`symr5 + $CellContext`r9 $CellContext`symr8, $CellContext`r7 \
$CellContext`symr3 + $CellContext`r8 $CellContext`symr6 + $CellContext`r9 \
$CellContext`symr9}; {{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
{$CellContext`r4, $CellContext`r5, $CellContext`r6}, {$CellContext`r7, \
$CellContext`r8, $CellContext`r9}} = {{$CellContext`TV1, $CellContext`TV2, \
$CellContext`TV3}, {$CellContext`TV4, $CellContext`TV5, $CellContext`TV6}, \
{$CellContext`TV7, $CellContext`TV8, $CellContext`TV9}}; {$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3})& , CompressedData["
1:eJxTTMoPSmViYGDgBmJ1BtKB6H4P97sv3tlPYJt8sHbCBXuYOJS/HyaP35QP
9guk9O+qsD2Eqot0cBOPLbnouh2u76lScJcU4wcc5uASRwUOMhcckGmEPjU0
PrHmEmcvNtDAUGX0x+e9/bcIpzU355yCmwPl74fJE7J/YMKNAUqrofGJNZf8
cIt5oj9FZfZ7+9LgFencbEfg5kD5+2HyhOwfmHDjgNJqaHxizSU/3I6l/5gi
f/m9fW64zeyEQ7vg5kD5+2HyhOwfmHATgNJqaHxizSU/3GSfCb09+uW9Pd/J
9x7HT6+CmwPl74fJE7J/YMJNBEqrofGJNZf8cKOO+QMVbhJQWg2NT7y7ibEX
G0BLb/th4rD0N7jTmwyUVkPjE2su1co3eLjByrvBXb4pQGk1ND6x5lKtPoWH
G6x+Hdz1qRKUVkPjE2su1dpv8HCDtecGd/tNBUqrofGJNZf8cEPrL8DDDdZ/
GNz9BTUcNLHmIuQBD8V/Rg==
                 "]]]; $CellContext`propagatedrays = 
             Map[({$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`componentnumber = 
                1.; $CellContext`frontid = 
                1.; {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`generationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3})& , $CellContext`propagatedrays]; \
$CellContext`thresholdintensity = 1.; $CellContext`generationlimit = 
             200.; $CellContext`reportedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}; \
$CellContext`generationnumber = 
             0.; ($CellContext`inrays = $CellContext`propagatedrays; \
$CellContext`outrays = {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
               1., 1., 1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
               0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
               1., 1., 1.}}; $CellContext`deflectedrayspresent = 
              True; $CellContext`reportedrayspresent = 
              False; $CellContext`propagate = True; While[
               And[$CellContext`deflectedrayspresent, $CellContext`propagate],
                AddTo[$CellContext`generationnumber, 
                 1.]; ($CellContext`deflecteddummyrayspresent = 
                 False; $CellContext`deflectedrayspresent = 
                 False; $CellContext`reportedrayspresent = 
                 False; $CellContext`reporteddummyrayspresent = 
                 True; $CellContext`localdummyoutrayspresent = 
                 False; $CellContext`localoutrayspresent = 
                 False; {$CellContext`deflectedlocalrays, \
$CellContext`localoutrays, $CellContext`reportedlocalrays} = 
                 Map[Flatten[#, 1]& , 
                   Transpose[
                    
                    Map[({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; If[
                    
                    And[$CellContext`intensity > \
$CellContext`thresholdintensity, $CellContext`generationnumber < \
$CellContext`generationlimit], ($CellContext`resonatenumber = 
                    0; $CellContext`resonateraylength = 
                    1.7976931348623157`*^308; \
$CellContext`resonateintersections = {{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength], \
$CellContext`resonateraylength = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections = #; \
$CellContext`resonatenumber = 
                    First[#2], $CellContext`resonatenumber]& , \
$CellContext`intersectionslist = {{{-1., 0., 0.}}}; $CellContext`holeQlist = {
                    0}; ({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`index1 = $CellContext`index; $CellContext`xunit = \
$CellContext`r1 Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] + $CellContext`r2 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; \
$CellContext`yunit = $CellContext`r2 Re[
                    Cos[0.017453292519943295` $CellContext`aa]] - (
                    1. $CellContext`r1) Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; \
$CellContext`zunit = $CellContext`r3 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]; \
$CellContext`xunit = Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = \
($CellContext`rex - 1. Re[$CellContext`xa1]) Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] + \
($CellContext`rey - 1. Re[$CellContext`ya1]) Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; $CellContext`ry = \
($CellContext`rey - 1. Re[$CellContext`ya1]) Re[
                    Cos[0.017453292519943295` $CellContext`aa]] - (
                    1. ($CellContext`rex - 1. Re[$CellContext`xa1])) Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; $CellContext`rz = \
$CellContext`rez Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]; \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = 
                    Block[{$CellContext`TempVar, $CellContext`TempVar1, \
$CellContext`TempVar2, $CellContext`TempVar3, $CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy}, $CellContext`TempVar1 = 
                    1.; $CellContext`TempVar2 = 1.; $CellContext`TempVar3 = 
                    1.; $CellContext`TempVar = {{-1., 0., 
                    0.}}; $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 
                    1.; $CellContext`TempVar1 = $CellContext`rx^2 + \
$CellContext`ry^2 + $CellContext`rz^2; $CellContext`TempVar2 = \
$CellContext`rx $CellContext`xunit + $CellContext`ry $CellContext`yunit + \
$CellContext`rz $CellContext`zunit - $CellContext`xunit/$CellContext`ca1; \
$CellContext`TempVar3 = -$CellContext`TempVar1 + $CellContext`TempVar2^2 + (
                    2 $CellContext`rx)/$CellContext`ca1; \
$CellContext`TempVar3 = Re[$CellContext`TempVar3]; If[N[
                    Chop[$CellContext`TempVar3]] >= 
                    0., $CellContext`TempVar3 = 
                    Sqrt[$CellContext`TempVar3]; $CellContext`TempVar = \
{{$CellContext`RayL, $CellContext`SCx, $CellContext`SCy} = \
{-$CellContext`TempVar2 - $CellContext`TempVar3, $CellContext`ry - \
($CellContext`TempVar2 + $CellContext`TempVar3) $CellContext`yunit, \
$CellContext`rz - ($CellContext`TempVar2 + $CellContext`TempVar3) \
$CellContext`zunit}; If[
                    And[N[
                    Chop[$CellContext`RayL]] >= 
                    0., $CellContext`SCx^2 + $CellContext`SCy^2 <= 
                    0.25 Abs[$CellContext`apa]^2, 
                    Abs[$CellContext`ry + $CellContext`RayL \
$CellContext`yunit - $CellContext`SCx] + 
                    Abs[$CellContext`rz + $CellContext`RayL \
$CellContext`zunit - $CellContext`SCy] + 
                    Abs[(-1)/$CellContext`ca1 + $CellContext`rx + \
$CellContext`RayL $CellContext`xunit + 
                    Sqrt[$CellContext`ca1^(-2) - $CellContext`SCx^2 - \
$CellContext`SCy^2]/Sign[$CellContext`ca1]] < 
                    1.*^-7], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, {-1., 0., 
                    0.}], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} = {-$CellContext`TempVar2 + $CellContext`TempVar3, \
$CellContext`ry + (-$CellContext`TempVar2 + $CellContext`TempVar3) \
$CellContext`yunit, $CellContext`rz + (-$CellContext`TempVar2 + \
$CellContext`TempVar3) $CellContext`zunit}; If[
                    And[N[
                    Chop[$CellContext`RayL]] >= 
                    0., $CellContext`SCx^2 + $CellContext`SCy^2 <= 
                    0.25 Abs[$CellContext`apa]^2, 
                    Abs[$CellContext`ry + $CellContext`RayL \
$CellContext`yunit - $CellContext`SCx] + 
                    Abs[$CellContext`rz + $CellContext`RayL \
$CellContext`zunit - $CellContext`SCy] + 
                    Abs[(-1)/$CellContext`ca1 + $CellContext`rx + \
$CellContext`RayL $CellContext`xunit + 
                    Sqrt[$CellContext`ca1^(-2) - $CellContext`SCx^2 - \
$CellContext`SCy^2]/Sign[$CellContext`ca1]] < 
                    1.*^-7], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, {-1., 0., 0.}]}; 
                    If[Part[$CellContext`TempVar, 1] == 
                    Part[$CellContext`TempVar, 2], {
                    
                    Part[$CellContext`TempVar, 
                    1]}, $CellContext`TempVar], {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections, {-1., 0., 
                    0.}]; $CellContext`holeQ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid - 16519.] == 0., N[
                    Chop[$CellContext`ray1]] < 
                    0.0001]], $CellContext`generationnumber == 
                    1.], $CellContext`minresonateraylength = 
                    0., $CellContext`minresonateraylength = 0.0001]; 
                    Block[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 1.; $CellContext`dummymatrix = 
                    Union[
                    
                    Select[$CellContext`intersections, ({$CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy} = #; 
                    Or[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`RayL]] >= \
$CellContext`minresonateraylength])& ]]; $CellContext`intersections = \
$CellContext`dummymatrix]; $CellContext`unfilteredintersections = \
$CellContext`intersections; 
                    If[Length[$CellContext`intersections] > 
                    1, $CellContext`dummymatrix = 
                    Take[$CellContext`intersections, {
                    2}]; $CellContext`intersections = \
$CellContext`dummymatrix; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist, \
$CellContext`intersections]; If[$CellContext`holeQ, 
                    AppendTo[$CellContext`holeQlist, 1], 
                    
                    AppendTo[$CellContext`holeQlist, 
                    0]]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`index1 = $CellContext`index; $CellContext`xunit = \
$CellContext`r1 Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] + $CellContext`r2 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; \
$CellContext`yunit = $CellContext`r2 Re[
                    Cos[0.017453292519943295` $CellContext`aa]] - (
                    1. $CellContext`r1) Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; \
$CellContext`zunit = $CellContext`r3 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]; \
$CellContext`xunit = Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] ($CellContext`rex - 
                    1. Re[$CellContext`xa1 + $CellContext`ta 
                    Cos[0.017453292519943295` $CellContext`aa]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]] ($CellContext`rey - 
                    1. Re[$CellContext`ya1 + $CellContext`ta 
                    Sin[0.017453292519943295` $CellContext`aa]]); \
$CellContext`ry = (-($CellContext`rex - 1. 
                    Re[$CellContext`xa1 + $CellContext`ta 
                    Cos[0.017453292519943295` $CellContext`aa]])) Re[
                    Sin[0.017453292519943295` $CellContext`aa]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] ($CellContext`rey - 
                    1. Re[$CellContext`ya1 + $CellContext`ta 
                    Sin[0.017453292519943295` $CellContext`aa]]); \
$CellContext`rz = $CellContext`rez 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]; \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = 
                    Block[{$CellContext`TempVar, $CellContext`TempVar1, \
$CellContext`TempVar2, $CellContext`TempVar3, $CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy}, $CellContext`TempVar1 = 
                    1.; $CellContext`TempVar2 = 1.; $CellContext`TempVar3 = 
                    1.; $CellContext`TempVar = {{-1., 0., 
                    0.}}; $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 
                    1.; $CellContext`TempVar1 = $CellContext`rx^2 + \
$CellContext`ry^2 + $CellContext`rz^2; $CellContext`TempVar2 = \
$CellContext`rx $CellContext`xunit + $CellContext`ry $CellContext`yunit + \
$CellContext`rz $CellContext`zunit - $CellContext`xunit/$CellContext`ca2; \
$CellContext`TempVar3 = -$CellContext`TempVar1 + $CellContext`TempVar2^2 + (
                    2 $CellContext`rx)/$CellContext`ca2; \
$CellContext`TempVar3 = Re[$CellContext`TempVar3]; If[N[
                    Chop[$CellContext`TempVar3]] >= 
                    0., $CellContext`TempVar3 = 
                    Sqrt[$CellContext`TempVar3]; $CellContext`TempVar = \
{{$CellContext`RayL, $CellContext`SCx, $CellContext`SCy} = \
{-$CellContext`TempVar2 - $CellContext`TempVar3, $CellContext`ry - \
($CellContext`TempVar2 + $CellContext`TempVar3) $CellContext`yunit, \
$CellContext`rz - ($CellContext`TempVar2 + $CellContext`TempVar3) \
$CellContext`zunit}; If[
                    And[N[
                    Chop[$CellContext`RayL]] >= 
                    0., $CellContext`SCx^2 + $CellContext`SCy^2 <= 
                    0.25 Abs[$CellContext`apa]^2, 
                    Abs[$CellContext`ry + $CellContext`RayL \
$CellContext`yunit - $CellContext`SCx] + 
                    Abs[$CellContext`rz + $CellContext`RayL \
$CellContext`zunit - $CellContext`SCy] + 
                    Abs[(-1)/$CellContext`ca2 + $CellContext`rx + \
$CellContext`RayL $CellContext`xunit + 
                    Sqrt[$CellContext`ca2^(-2) - $CellContext`SCx^2 - \
$CellContext`SCy^2]/Sign[$CellContext`ca2]] < 
                    1.*^-7], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, {-1., 0., 
                    0.}], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} = {-$CellContext`TempVar2 + $CellContext`TempVar3, \
$CellContext`ry + (-$CellContext`TempVar2 + $CellContext`TempVar3) \
$CellContext`yunit, $CellContext`rz + (-$CellContext`TempVar2 + \
$CellContext`TempVar3) $CellContext`zunit}; If[
                    And[N[
                    Chop[$CellContext`RayL]] >= 
                    0., $CellContext`SCx^2 + $CellContext`SCy^2 <= 
                    0.25 Abs[$CellContext`apa]^2, 
                    Abs[$CellContext`ry + $CellContext`RayL \
$CellContext`yunit - $CellContext`SCx] + 
                    Abs[$CellContext`rz + $CellContext`RayL \
$CellContext`zunit - $CellContext`SCy] + 
                    Abs[(-1)/$CellContext`ca2 + $CellContext`rx + \
$CellContext`RayL $CellContext`xunit + 
                    Sqrt[$CellContext`ca2^(-2) - $CellContext`SCx^2 - \
$CellContext`SCy^2]/Sign[$CellContext`ca2]] < 
                    1.*^-7], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, {-1., 0., 0.}]}; 
                    If[Part[$CellContext`TempVar, 1] == 
                    Part[$CellContext`TempVar, 2], {
                    
                    Part[$CellContext`TempVar, 
                    1]}, $CellContext`TempVar], {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections, {-1., 0., 
                    0.}]; $CellContext`holeQ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid - 16520.] == 0., N[
                    Chop[$CellContext`ray1]] < 
                    0.0001]], $CellContext`generationnumber == 
                    1.], $CellContext`minresonateraylength = 
                    0., $CellContext`minresonateraylength = 0.0001]; 
                    Block[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 1.; $CellContext`dummymatrix = 
                    Union[
                    
                    Select[$CellContext`intersections, ({$CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy} = #; 
                    Or[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`RayL]] >= \
$CellContext`minresonateraylength])& ]]; $CellContext`intersections = \
$CellContext`dummymatrix]; $CellContext`unfilteredintersections = \
$CellContext`intersections; 
                    If[Length[$CellContext`intersections] > 
                    1, $CellContext`dummymatrix = 
                    Take[$CellContext`intersections, {
                    2}]; $CellContext`intersections = \
$CellContext`dummymatrix; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist, \
$CellContext`intersections]; If[$CellContext`holeQ, 
                    AppendTo[$CellContext`holeQlist, 1], 
                    
                    AppendTo[$CellContext`holeQlist, 
                    0]]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`index1 = $CellContext`index; $CellContext`xunit = \
$CellContext`r1 Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] + $CellContext`r2 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; \
$CellContext`yunit = $CellContext`r2 Re[
                    Cos[0.017453292519943295` $CellContext`ab]] - (
                    1. $CellContext`r1) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; \
$CellContext`zunit = $CellContext`r3 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]; \
$CellContext`xunit = Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = \
($CellContext`rex - 1. Re[$CellContext`xb1]) Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] + \
($CellContext`rey - 1. Re[$CellContext`yb1]) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; $CellContext`ry = \
($CellContext`rey - 1. Re[$CellContext`yb1]) Re[
                    Cos[0.017453292519943295` $CellContext`ab]] - (
                    1. ($CellContext`rex - 1. Re[$CellContext`xb1])) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; $CellContext`rz = \
$CellContext`rez Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]; \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = 
                    Block[{$CellContext`TempVar, $CellContext`TempVar1, \
$CellContext`TempVar2, $CellContext`TempVar3, $CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy}, $CellContext`TempVar1 = 
                    1.; $CellContext`TempVar2 = 1.; $CellContext`TempVar3 = 
                    1.; $CellContext`TempVar = {{-1., 0., 
                    0.}}; $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 
                    1.; $CellContext`TempVar1 = $CellContext`rx^2 + \
$CellContext`ry^2 + $CellContext`rz^2; $CellContext`TempVar2 = \
$CellContext`rx $CellContext`xunit + $CellContext`ry $CellContext`yunit + \
$CellContext`rz $CellContext`zunit - $CellContext`xunit/$CellContext`cb1; \
$CellContext`TempVar3 = -$CellContext`TempVar1 + $CellContext`TempVar2^2 + (
                    2 $CellContext`rx)/$CellContext`cb1; \
$CellContext`TempVar3 = Re[$CellContext`TempVar3]; If[N[
                    Chop[$CellContext`TempVar3]] >= 
                    0., $CellContext`TempVar3 = 
                    Sqrt[$CellContext`TempVar3]; $CellContext`TempVar = \
{{$CellContext`RayL, $CellContext`SCx, $CellContext`SCy} = \
{-$CellContext`TempVar2 - $CellContext`TempVar3, $CellContext`ry - \
($CellContext`TempVar2 + $CellContext`TempVar3) $CellContext`yunit, \
$CellContext`rz - ($CellContext`TempVar2 + $CellContext`TempVar3) \
$CellContext`zunit}; If[
                    And[N[
                    Chop[$CellContext`RayL]] >= 
                    0., $CellContext`SCx^2 + $CellContext`SCy^2 <= 
                    0.25 Abs[$CellContext`apb]^2, 
                    Abs[$CellContext`ry + $CellContext`RayL \
$CellContext`yunit - $CellContext`SCx] + 
                    Abs[$CellContext`rz + $CellContext`RayL \
$CellContext`zunit - $CellContext`SCy] + 
                    Abs[(-1)/$CellContext`cb1 + $CellContext`rx + \
$CellContext`RayL $CellContext`xunit + 
                    Sqrt[$CellContext`cb1^(-2) - $CellContext`SCx^2 - \
$CellContext`SCy^2]/Sign[$CellContext`cb1]] < 
                    1.*^-7], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, {-1., 0., 
                    0.}], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} = {-$CellContext`TempVar2 + $CellContext`TempVar3, \
$CellContext`ry + (-$CellContext`TempVar2 + $CellContext`TempVar3) \
$CellContext`yunit, $CellContext`rz + (-$CellContext`TempVar2 + \
$CellContext`TempVar3) $CellContext`zunit}; If[
                    And[N[
                    Chop[$CellContext`RayL]] >= 
                    0., $CellContext`SCx^2 + $CellContext`SCy^2 <= 
                    0.25 Abs[$CellContext`apb]^2, 
                    Abs[$CellContext`ry + $CellContext`RayL \
$CellContext`yunit - $CellContext`SCx] + 
                    Abs[$CellContext`rz + $CellContext`RayL \
$CellContext`zunit - $CellContext`SCy] + 
                    Abs[(-1)/$CellContext`cb1 + $CellContext`rx + \
$CellContext`RayL $CellContext`xunit + 
                    Sqrt[$CellContext`cb1^(-2) - $CellContext`SCx^2 - \
$CellContext`SCy^2]/Sign[$CellContext`cb1]] < 
                    1.*^-7], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, {-1., 0., 0.}]}; 
                    If[Part[$CellContext`TempVar, 1] == 
                    Part[$CellContext`TempVar, 2], {
                    
                    Part[$CellContext`TempVar, 
                    1]}, $CellContext`TempVar], {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections, {-1., 0., 
                    0.}]; $CellContext`holeQ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid - 16547.] == 0., N[
                    Chop[$CellContext`ray1]] < 
                    0.0001]], $CellContext`generationnumber == 
                    1.], $CellContext`minresonateraylength = 
                    0., $CellContext`minresonateraylength = 0.0001]; 
                    Block[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 1.; $CellContext`dummymatrix = 
                    Union[
                    
                    Select[$CellContext`intersections, ({$CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy} = #; 
                    Or[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`RayL]] >= \
$CellContext`minresonateraylength])& ]]; $CellContext`intersections = \
$CellContext`dummymatrix]; $CellContext`unfilteredintersections = \
$CellContext`intersections; 
                    If[Length[$CellContext`intersections] > 
                    1, $CellContext`dummymatrix = 
                    Take[$CellContext`intersections, {
                    2}]; $CellContext`intersections = \
$CellContext`dummymatrix; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist, \
$CellContext`intersections]; If[$CellContext`holeQ, 
                    AppendTo[$CellContext`holeQlist, 1], 
                    
                    AppendTo[$CellContext`holeQlist, 
                    0]]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`index1 = $CellContext`index; $CellContext`xunit = \
$CellContext`r1 Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] + $CellContext`r2 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; \
$CellContext`yunit = $CellContext`r2 Re[
                    Cos[0.017453292519943295` $CellContext`ab]] - (
                    1. $CellContext`r1) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; \
$CellContext`zunit = $CellContext`r3 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]; \
$CellContext`xunit = Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] ($CellContext`rex - 
                    1. Re[$CellContext`xb1 + $CellContext`tb 
                    Cos[0.017453292519943295` $CellContext`ab]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]] ($CellContext`rey - 
                    1. Re[$CellContext`yb1 + $CellContext`tb 
                    Sin[0.017453292519943295` $CellContext`ab]]); \
$CellContext`ry = (-($CellContext`rex - 1. 
                    Re[$CellContext`xb1 + $CellContext`tb 
                    Cos[0.017453292519943295` $CellContext`ab]])) Re[
                    Sin[0.017453292519943295` $CellContext`ab]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] ($CellContext`rey - 
                    1. Re[$CellContext`yb1 + $CellContext`tb 
                    Sin[0.017453292519943295` $CellContext`ab]]); \
$CellContext`rz = $CellContext`rez 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]; \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = 
                    Block[{$CellContext`TempVar, $CellContext`TempVar1, \
$CellContext`TempVar2, $CellContext`TempVar3, $CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy}, $CellContext`TempVar1 = 
                    1.; $CellContext`TempVar2 = 1.; $CellContext`TempVar3 = 
                    1.; $CellContext`TempVar = {{-1., 0., 
                    0.}}; $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 
                    1.; $CellContext`TempVar1 = $CellContext`rx^2 + \
$CellContext`ry^2 + $CellContext`rz^2; $CellContext`TempVar2 = \
$CellContext`rx $CellContext`xunit + $CellContext`ry $CellContext`yunit + \
$CellContext`rz $CellContext`zunit - $CellContext`xunit/$CellContext`cb2; \
$CellContext`TempVar3 = -$CellContext`TempVar1 + $CellContext`TempVar2^2 + (
                    2 $CellContext`rx)/$CellContext`cb2; \
$CellContext`TempVar3 = Re[$CellContext`TempVar3]; If[N[
                    Chop[$CellContext`TempVar3]] >= 
                    0., $CellContext`TempVar3 = 
                    Sqrt[$CellContext`TempVar3]; $CellContext`TempVar = \
{{$CellContext`RayL, $CellContext`SCx, $CellContext`SCy} = \
{-$CellContext`TempVar2 - $CellContext`TempVar3, $CellContext`ry - \
($CellContext`TempVar2 + $CellContext`TempVar3) $CellContext`yunit, \
$CellContext`rz - ($CellContext`TempVar2 + $CellContext`TempVar3) \
$CellContext`zunit}; If[
                    And[N[
                    Chop[$CellContext`RayL]] >= 
                    0., $CellContext`SCx^2 + $CellContext`SCy^2 <= 
                    0.25 Abs[$CellContext`apb]^2, 
                    Abs[$CellContext`ry + $CellContext`RayL \
$CellContext`yunit - $CellContext`SCx] + 
                    Abs[$CellContext`rz + $CellContext`RayL \
$CellContext`zunit - $CellContext`SCy] + 
                    Abs[(-1)/$CellContext`cb2 + $CellContext`rx + \
$CellContext`RayL $CellContext`xunit + 
                    Sqrt[$CellContext`cb2^(-2) - $CellContext`SCx^2 - \
$CellContext`SCy^2]/Sign[$CellContext`cb2]] < 
                    1.*^-7], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, {-1., 0., 
                    0.}], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} = {-$CellContext`TempVar2 + $CellContext`TempVar3, \
$CellContext`ry + (-$CellContext`TempVar2 + $CellContext`TempVar3) \
$CellContext`yunit, $CellContext`rz + (-$CellContext`TempVar2 + \
$CellContext`TempVar3) $CellContext`zunit}; If[
                    And[N[
                    Chop[$CellContext`RayL]] >= 
                    0., $CellContext`SCx^2 + $CellContext`SCy^2 <= 
                    0.25 Abs[$CellContext`apb]^2, 
                    Abs[$CellContext`ry + $CellContext`RayL \
$CellContext`yunit - $CellContext`SCx] + 
                    Abs[$CellContext`rz + $CellContext`RayL \
$CellContext`zunit - $CellContext`SCy] + 
                    Abs[(-1)/$CellContext`cb2 + $CellContext`rx + \
$CellContext`RayL $CellContext`xunit + 
                    Sqrt[$CellContext`cb2^(-2) - $CellContext`SCx^2 - \
$CellContext`SCy^2]/Sign[$CellContext`cb2]] < 
                    1.*^-7], {$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, {-1., 0., 0.}]}; 
                    If[Part[$CellContext`TempVar, 1] == 
                    Part[$CellContext`TempVar, 2], {
                    
                    Part[$CellContext`TempVar, 
                    1]}, $CellContext`TempVar], {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections, {-1., 0., 
                    0.}]; $CellContext`holeQ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid - 16548.] == 0., N[
                    Chop[$CellContext`ray1]] < 
                    0.0001]], $CellContext`generationnumber == 
                    1.], $CellContext`minresonateraylength = 
                    0., $CellContext`minresonateraylength = 0.0001]; 
                    Block[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 1.; $CellContext`dummymatrix = 
                    Union[
                    
                    Select[$CellContext`intersections, ({$CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy} = #; 
                    Or[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`RayL]] >= \
$CellContext`minresonateraylength])& ]]; $CellContext`intersections = \
$CellContext`dummymatrix]; $CellContext`unfilteredintersections = \
$CellContext`intersections; 
                    If[Length[$CellContext`intersections] > 
                    1, $CellContext`dummymatrix = 
                    Take[$CellContext`intersections, {
                    2}]; $CellContext`intersections = \
$CellContext`dummymatrix; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist, \
$CellContext`intersections]; If[$CellContext`holeQ, 
                    AppendTo[$CellContext`holeQlist, 1], 
                    
                    AppendTo[$CellContext`holeQlist, 
                    0]]); $CellContext`holeQlist = 
                    Drop[$CellContext`holeQlist, 1]; 
                    Drop[$CellContext`intersectionslist, 1]]); 
                    Which[$CellContext`resonatenumber == 
                    1, {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`index1 = $CellContext`index; \
$CellContext`xunit = $CellContext`r1 Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] + $CellContext`r2 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; \
$CellContext`yunit = $CellContext`r2 Re[
                    Cos[0.017453292519943295` $CellContext`aa]] - (
                    1. $CellContext`r1) Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; \
$CellContext`zunit = $CellContext`r3 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]; \
$CellContext`xunit = Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = \
($CellContext`rex - 1. Re[$CellContext`xa1]) Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] + \
($CellContext`rey - 1. Re[$CellContext`ya1]) Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; $CellContext`ry = \
($CellContext`rey - 1. Re[$CellContext`ya1]) Re[
                    Cos[0.017453292519943295` $CellContext`aa]] - (
                    1. ($CellContext`rex - 1. Re[$CellContext`xa1])) Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; $CellContext`rz = \
$CellContext`rez Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]; \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = \
$CellContext`resonateintersections; $CellContext`holeQ = 
                    Part[$CellContext`holeQlist, $CellContext`resonatenumber] == 
                    1; {$CellContext`newcomponentnumber, \
$CellContext`newsurfacenumber, $CellContext`newsurfaceid} = {1., 1., 
                    16519.}; {$CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid} = {1., 1., 
                    16519.}; {$CellContext`ray1, $CellContext`ray2, \
$CellContext`ray3} = Part[$CellContext`intersections, 
                    1]; $CellContext`rsx = $CellContext`rex; $CellContext`rsy = \
$CellContext`rey; $CellContext`rsz = $CellContext`rez; $CellContext`rxhlp = \
$CellContext`rx + $CellContext`ray1 $CellContext`xunit; $CellContext`ryhlp = \
$CellContext`ry + $CellContext`ray1 $CellContext`yunit; $CellContext`rzhlp = \
$CellContext`rz + $CellContext`ray1 $CellContext`zunit; $CellContext`rex = 
                    Re[$CellContext`xa1] + $CellContext`rxhlp Re[
                    Cos[0.017453292519943295` $CellContext`aa]] - (
                    1. $CellContext`ryhlp) Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; $CellContext`rey = 
                    Re[$CellContext`ya1] + $CellContext`ryhlp Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] + \
$CellContext`rxhlp Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; $CellContext`rez = \
$CellContext`rzhlp Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]; \
$CellContext`rex = Chop[$CellContext`rex]; $CellContext`rey = 
                    Chop[$CellContext`rey]; $CellContext`rez = 
                    Chop[$CellContext`rez]; If[
                    
                    And[$CellContext`rex == 0, $CellContext`rey == 
                    0, $CellContext`rez == 
                    0], $CellContext`rex = $CellContext`rxhlp + 
                    Re[$CellContext`xa1]; $CellContext`rey = \
$CellContext`ryhlp + 
                    Re[$CellContext`ya1]; $CellContext`rez = \
$CellContext`rzhlp, $CellContext`rex]; $CellContext`intersectionnumber = \
$CellContext`intersectionnumber + 
                    1.; $CellContext`opticallength = \
$CellContext`opticallength + $CellContext`ray1 $CellContext`index1; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`reportedrayspresent = True; $CellContext`intersectionspresent = 
                    True; $CellContext`deflectedrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = 
                    True; ($CellContext`surfnorm = 
                    1. Re[{{1., -($CellContext`ray2/(
                    Sign[$CellContext`ca1] ($CellContext`ca1^(-2) - 
                    1. $CellContext`ray2^2 - 
                    1. $CellContext`ray3^2)^0.5)), -($CellContext`ray3/(
                    Sign[$CellContext`ca1] ($CellContext`ca1^(-2) - 
                    1. $CellContext`ray2^2 - 
                    1. $CellContext`ray3^2)^0.5))}, {$CellContext`ray2/(
                    Sign[$CellContext`ca1] ($CellContext`ca1^(-2) - 
                    1. $CellContext`ray2^2 - 1. $CellContext`ray3^2)^0.5), 1.,
                     0.}, {$CellContext`ray3/(
                    Sign[$CellContext`ca1] ($CellContext`ca1^(-2) - 
                    1. $CellContext`ray2^2 - 1. $CellContext`ray3^2)^0.5), 0.,
                     1.}}]; $CellContext`dummymatrix = Map[Dot[{{(Re[
                    Cos[0.017453292519943295` $CellContext`aa]] 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]), ((-Re[
                    Sin[0.017453292519943295` $CellContext`aa]]) 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]), 
                    0.}, {(Re[
                    Sin[0.017453292519943295` $CellContext`aa]] 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]), (Re[
                    Cos[0.017453292519943295` $CellContext`aa]] 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]), 0.}, {
                    0., 0., (Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2)/(Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2])}}, #]& , \
$CellContext`surfnorm]; $CellContext`surfnorm = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix]; \
$CellContext`surfacerotationmatrix = {{
                    Re[
                    Cos[0.017453292519943295` $CellContext`aa]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`aa]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`aa]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`aa]], 0.}, {
                    0., 0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]}}; \
$CellContext`surfacetranslationvector = {
                    Re[$CellContext`xa1], 
                    Re[$CellContext`ya1], 0.}; $CellContext`activeregion = 
                    1.; $CellContext`completedray = {$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`componentnumber = $CellContext`newcomponentnumber; \
$CellContext`surfacenumber = $CellContext`newsurfacenumber; \
$CellContext`surfaceid = $CellContext`newsurfaceid; $CellContext`originalray = \
{$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, $CellContext`rex, \
$CellContext`rey, $CellContext`rez, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; $CellContext`ZAxis = 
                    First[$CellContext`surfnorm] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm], {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]]; $CellContext`raytiltz = 
                    Dot[$CellContext`ZAxis, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]; $CellContext`raytiltx = 
                    1 - $CellContext`raytiltz^2; 
                    If[$CellContext`raytiltx < 
                    2.220446049250313*^-16, $CellContext`raytiltx = 
                    0., $CellContext`raytiltx = 
                    Sqrt[$CellContext`raytiltx]]; $CellContext`XAxis = \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} - $CellContext`ZAxis \
$CellContext`raytiltz; If[
                    Abs[$CellContext`raytiltx] < 1.*^-7, $CellContext`XAxis = 
                    Part[$CellContext`surfnorm, 
                    2], $CellContext`XAxis = \
$CellContext`XAxis/$CellContext`raytiltx]; $CellContext`YAxis = {-(
                    Part[$CellContext`ZAxis, 3] Part[$CellContext`XAxis, 2]) + 
                    Part[$CellContext`ZAxis, 2] Part[$CellContext`XAxis, 3], 
                    Part[$CellContext`ZAxis, 3] Part[$CellContext`XAxis, 1] - 
                    Part[$CellContext`ZAxis, 1] 
                    Part[$CellContext`XAxis, 3], -(
                    Part[$CellContext`ZAxis, 2] Part[$CellContext`XAxis, 1]) + 
                    Part[$CellContext`ZAxis, 1] 
                    Part[$CellContext`XAxis, 
                    2]}; $CellContext`YAxis = $CellContext`YAxis/Sqrt[
                    
                    Dot[$CellContext`YAxis, $CellContext`YAxis]]; \
$CellContext`PAxis = $CellContext`ZAxis 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
$CellContext`XAxis] - $CellContext`XAxis 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
$CellContext`ZAxis]; $CellContext`PAxis = $CellContext`PAxis/Sqrt[
                    
                    Dot[$CellContext`PAxis, $CellContext`PAxis]]; \
$CellContext`normalizedpolarization = 
                    Part[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, {1, 
                    2}]; $CellContext`normalizedpolarization = \
$CellContext`normalizedpolarization/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization, \
$CellContext`normalizedpolarization]]; $CellContext`allcreatedamplitudes = {{
                    0. I, 0. I, 0. I}}; $CellContext`amplitude = 
                    Sqrt[$CellContext`intensity] (
                    Part[$CellContext`normalizedpolarization, 
                    1] {$CellContext`r4, $CellContext`r5, $CellContext`r6} + (
                    Part[$CellContext`normalizedpolarization, 
                    2] {$CellContext`r7, $CellContext`r8, $CellContext`r9}) 
                    Exp[(I $CellContext`pol3) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude = 
                    Dot[$CellContext`amplitude, $CellContext`YAxis]; \
$CellContext`parallelamplitude = 
                    Dot[$CellContext`amplitude, $CellContext`PAxis]; 
                    If[$CellContext`activeregion Part[
                    
                    Dot[$CellContext`surfacerotationmatrix, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}], 1] > 
                    0, $CellContext`index2 = 
                    Sqrt[2.2718929 - 0.010108077 $CellContext`wavelength^2 + 
                    0.010592509/$CellContext`wavelength^2 + 
                    0.00020816965/$CellContext`wavelength^4 - 
                    7.6472538*^-6/$CellContext`wavelength^6 + 
                    4.9240991*^-7/$CellContext`wavelength^8]; \
$CellContext`index1 = $CellContext`index; 
                    If[Abs[$CellContext`index2 - $CellContext`index1] < 
                    0.01, $CellContext`alternateindex = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength^8]; 
                    If[Abs[$CellContext`alternateindex - $CellContext`index1] > 
                    Abs[$CellContext`index2 - $CellContext`index1], \
$CellContext`index1 = $CellContext`index2; $CellContext`index2 = \
$CellContext`alternateindex, $CellContext`index1 = \
$CellContext`alternateindex], $CellContext`index1 = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength^8]], \
$CellContext`index2 = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength^8]; \
$CellContext`index1 = $CellContext`index; 
                    If[Abs[$CellContext`index2 - $CellContext`index1] < 
                    0.01, $CellContext`alternateindex = 
                    Sqrt[2.2718929 - 0.010108077 $CellContext`wavelength^2 + 
                    0.010592509/$CellContext`wavelength^2 + 
                    0.00020816965/$CellContext`wavelength^4 - 
                    7.6472538*^-6/$CellContext`wavelength^6 + 
                    4.9240991*^-7/$CellContext`wavelength^8]; 
                    If[Abs[$CellContext`alternateindex - $CellContext`index1] > 
                    Abs[$CellContext`index2 - $CellContext`index1], \
$CellContext`index1 = $CellContext`index2; $CellContext`index2 = \
$CellContext`alternateindex, $CellContext`index1 = \
$CellContext`alternateindex], $CellContext`index1 = 
                    Sqrt[2.2718929 - 0.010108077 $CellContext`wavelength^2 + 
                    0.010592509/$CellContext`wavelength^2 + 
                    0.00020816965/$CellContext`wavelength^4 - 
                    7.6472538*^-6/$CellContext`wavelength^6 + 
                    4.9240991*^-7/$CellContext`wavelength^8]]]; \
$CellContext`n12 = $CellContext`index1/$CellContext`index2; \
$CellContext`index = $CellContext`index2; 
                    If[1 - $CellContext`n12^2 $CellContext`raytiltx^2 >= 
                    0., $CellContext`dummyvector = $CellContext`n12 \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} + $CellContext`ZAxis \
(-($CellContext`n12 $CellContext`raytiltz) + 
                    Sqrt[1 - $CellContext`n12^2 $CellContext`raytiltx^2]); \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} = \
$CellContext`dummyvector; 1., 
                    If[Dot[{$CellContext`r1, $CellContext`r2, \
$CellContext`r3}, 
                    Part[$CellContext`surfnorm, 1]] > 
                    0, $CellContext`phaseshift = $CellContext`phaseshift + 
                    0.5, 1.]; $CellContext`index2 = $CellContext`index1; \
$CellContext`index = $CellContext`index1; $CellContext`dummyvector = \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} - (2 $CellContext`ZAxis) 
                    Dot[$CellContext`ZAxis, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]; {$CellContext`r1, $CellContext`r2, \
$CellContext`r3} = $CellContext`dummyvector; $CellContext`dummyvector = \
{$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} + {0, 
                    0, -180}; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector; 
                    1.]; $CellContext`allcreatedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}; \
$CellContext`originalrotation = Partition[
                    Take[$CellContext`originalray, {7, 15}], 
                    3]; $CellContext`previoustilt = 
                    Part[$CellContext`originalrotation, 
                    1]; $CellContext`transmatrix = 
                    MapIndexed[({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`rotationaxis = Cross[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, $CellContext`r3}]; \
$CellContext`axismagnitude = Sqrt[
                    
                    Dot[$CellContext`rotationaxis, \
$CellContext`rotationaxis]]; 
                    If[Chop[$CellContext`axismagnitude] != 
                    0., $CellContext`rotationaxis = \
$CellContext`rotationaxis/$CellContext`axismagnitude; $CellContext`axismatrix = 
                    Map[# $CellContext`rotationaxis& , \
$CellContext`rotationaxis]; $CellContext`crossmatrix = {{
                    0., -Part[$CellContext`rotationaxis, 3], 
                    Part[$CellContext`rotationaxis, 2]}, {
                    Part[$CellContext`rotationaxis, 3], 0., -
                    Part[$CellContext`rotationaxis, 1]}, {-
                    Part[$CellContext`rotationaxis, 2], 
                    Part[$CellContext`rotationaxis, 1], 
                    0.}}; $CellContext`cosangle = 
                    Dot[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, $CellContext`r3}]; 
                    If[1. - $CellContext`cosangle < 
                    2.220446049250313*^-16, $CellContext`cosangle = 
                    1.]; $CellContext`sinangle = 1 - $CellContext`cosangle^2; 
                    If[$CellContext`sinangle < 
                    2.220446049250313*^-16, $CellContext`sinangle = 
                    0., $CellContext`sinangle = 
                    Sqrt[$CellContext`sinangle]]; $CellContext`axismatrix + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix) $CellContext`cosangle + \
$CellContext`crossmatrix $CellContext`sinangle, {{$CellContext`r1, \
$CellContext`r2, $CellContext`r3}, {$CellContext`r4, $CellContext`r5, \
$CellContext`r6}, {$CellContext`r7, $CellContext`r8, $CellContext`r9}} = 
                    If[Sign[
                    
                    Dot[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, \
$CellContext`r3}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {{-1., 
                    0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}]])& , $CellContext`allcreatedrays]; \
$CellContext`allcreatedrays = 
                    MapIndexed[({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
{{$CellContext`r1, $CellContext`r2, $CellContext`r3}, {$CellContext`r4, \
$CellContext`r5, $CellContext`r6}, {$CellContext`r7, $CellContext`r8, \
$CellContext`r9}} = Function[$CellContext`mm, 
                    Map[
                    Dot[$CellContext`mm, #]& , {{1., 0., 0.}, {0., 1., 0.}, {
                    0., 0., 1.}}]][
                    Part[$CellContext`transmatrix, 
                    First[#2]]]; $CellContext`tiltmagnitude = 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
{$CellContext`r1, $CellContext`r2, $CellContext`r3}]; 
                    If[Abs[$CellContext`tiltmagnitude - 1.] > 
                    1.*^-6, $CellContext`dummyvector = {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}/
                    Sqrt[$CellContext`tiltmagnitude]; {$CellContext`r1, \
$CellContext`r2, $CellContext`r3} = $CellContext`dummyvector; \
$CellContext`dummymatrix = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1, $CellContext`r2, \
$CellContext`r3}, {$CellContext`r4, $CellContext`r5, $CellContext`r6}, \
{$CellContext`r7, $CellContext`r8, $CellContext`r9}}]; {{$CellContext`r1, \
$CellContext`r2, $CellContext`r3}, {$CellContext`r4, $CellContext`r5, \
$CellContext`r6}, {$CellContext`r7, $CellContext`r8, $CellContext`r9}} = \
$CellContext`dummymatrix; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes != {{
                    0. I, 0. I, 0. I}}, $CellContext`amplitude = 
                    Part[$CellContext`allcreatedamplitudes, 
                    First[#2]]; $CellContext`hor = 
                    Dot[{$CellContext`r4, $CellContext`r5, $CellContext`r6}, \
$CellContext`amplitude]; $CellContext`ver = 
                    Dot[{$CellContext`r7, $CellContext`r8, $CellContext`r9}, \
$CellContext`amplitude]; If[
                    Or[
                    Abs[$CellContext`hor] > 0., Abs[$CellContext`ver] > 
                    0.], {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = {
                    Abs[$CellContext`hor], 
                    Abs[$CellContext`ver], 
                    0.}; $CellContext`dummyvector = {$CellContext`pol1, \
$CellContext`pol2, $CellContext`pol3}/Sqrt[
                    
                    Dot[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}]]; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector; $CellContext`dummyvector = 
                    ReplacePart[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, (If[$CellContext`ver == 0., 0., 
                    Arg[$CellContext`ver]] - If[$CellContext`hor == 0., 0., 
                    Arg[$CellContext`hor]])/Degree, 
                    3]; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector]; 1., 
                    1.]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3})& , \
$CellContext`allcreatedrays]); {$CellContext`allcreatedrays, {{1., 1., 1., 1.,
                     1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.,
                     1., 1., 1., 
                    1.}}, {$CellContext`completedray}}, \
$CellContext`resonatenumber == 
                    2, {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`index1 = $CellContext`index; \
$CellContext`xunit = $CellContext`r1 Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] + $CellContext`r2 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; \
$CellContext`yunit = $CellContext`r2 Re[
                    Cos[0.017453292519943295` $CellContext`aa]] - (
                    1. $CellContext`r1) Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; \
$CellContext`zunit = $CellContext`r3 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]; \
$CellContext`xunit = Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] ($CellContext`rex - 
                    1. Re[$CellContext`xa1 + $CellContext`ta 
                    Cos[0.017453292519943295` $CellContext`aa]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]] ($CellContext`rey - 
                    1. Re[$CellContext`ya1 + $CellContext`ta 
                    Sin[0.017453292519943295` $CellContext`aa]]); \
$CellContext`ry = (-($CellContext`rex - 1. 
                    Re[$CellContext`xa1 + $CellContext`ta 
                    Cos[0.017453292519943295` $CellContext`aa]])) Re[
                    Sin[0.017453292519943295` $CellContext`aa]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] ($CellContext`rey - 
                    1. Re[$CellContext`ya1 + $CellContext`ta 
                    Sin[0.017453292519943295` $CellContext`aa]]); \
$CellContext`rz = $CellContext`rez 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]; \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = \
$CellContext`resonateintersections; $CellContext`holeQ = 
                    Part[$CellContext`holeQlist, $CellContext`resonatenumber] == 
                    1; {$CellContext`newcomponentnumber, \
$CellContext`newsurfacenumber, $CellContext`newsurfaceid} = {1., 2., 
                    16520.}; {$CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid} = {1., 2., 
                    16520.}; {$CellContext`ray1, $CellContext`ray2, \
$CellContext`ray3} = Part[$CellContext`intersections, 
                    1]; $CellContext`rsx = $CellContext`rex; $CellContext`rsy = \
$CellContext`rey; $CellContext`rsz = $CellContext`rez; $CellContext`rxhlp = \
$CellContext`rx + $CellContext`ray1 $CellContext`xunit; $CellContext`ryhlp = \
$CellContext`ry + $CellContext`ray1 $CellContext`yunit; $CellContext`rzhlp = \
$CellContext`rz + $CellContext`ray1 $CellContext`zunit; $CellContext`rex = \
$CellContext`rxhlp Re[
                    Cos[0.017453292519943295` $CellContext`aa]] + 
                    Re[$CellContext`xa1 + $CellContext`ta 
                    Cos[0.017453292519943295` $CellContext`aa]] - (
                    1. $CellContext`ryhlp) Re[
                    Sin[
                    0.017453292519943295` $CellContext`aa]]; $CellContext`rey = \
$CellContext`ryhlp Re[
                    Cos[
                    0.017453292519943295` $CellContext`aa]] + \
$CellContext`rxhlp Re[
                    Sin[0.017453292519943295` $CellContext`aa]] + 
                    Re[$CellContext`ya1 + $CellContext`ta 
                    Sin[0.017453292519943295` $CellContext`aa]]; \
$CellContext`rez = $CellContext`rzhlp 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]; \
$CellContext`rex = Chop[$CellContext`rex]; $CellContext`rey = 
                    Chop[$CellContext`rey]; $CellContext`rez = 
                    Chop[$CellContext`rez]; If[
                    
                    And[$CellContext`rex == 0, $CellContext`rey == 
                    0, $CellContext`rez == 
                    0], $CellContext`rex = $CellContext`rxhlp + 
                    Re[$CellContext`xa1 + $CellContext`ta 
                    Cos[0.017453292519943295` $CellContext`aa]]; \
$CellContext`rey = $CellContext`ryhlp + 
                    Re[$CellContext`ya1 + $CellContext`ta 
                    Sin[0.017453292519943295` $CellContext`aa]]; \
$CellContext`rez = $CellContext`rzhlp, $CellContext`rex]; \
$CellContext`intersectionnumber = $CellContext`intersectionnumber + 
                    1.; $CellContext`opticallength = \
$CellContext`opticallength + $CellContext`ray1 $CellContext`index1; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`reportedrayspresent = True; $CellContext`intersectionspresent = 
                    True; $CellContext`deflectedrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = 
                    True; ($CellContext`surfnorm = 
                    1. Re[{{1., -($CellContext`ray2/(
                    Sign[$CellContext`ca2] ($CellContext`ca2^(-2) - 
                    1. $CellContext`ray2^2 - 
                    1. $CellContext`ray3^2)^0.5)), -($CellContext`ray3/(
                    Sign[$CellContext`ca2] ($CellContext`ca2^(-2) - 
                    1. $CellContext`ray2^2 - 
                    1. $CellContext`ray3^2)^0.5))}, {$CellContext`ray2/(
                    Sign[$CellContext`ca2] ($CellContext`ca2^(-2) - 
                    1. $CellContext`ray2^2 - 1. $CellContext`ray3^2)^0.5), 1.,
                     0.}, {$CellContext`ray3/(
                    Sign[$CellContext`ca2] ($CellContext`ca2^(-2) - 
                    1. $CellContext`ray2^2 - 1. $CellContext`ray3^2)^0.5), 0.,
                     1.}}]; $CellContext`dummymatrix = Map[Dot[{{(Re[
                    Cos[0.017453292519943295` $CellContext`aa]] 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]), ((-Re[
                    Sin[0.017453292519943295` $CellContext`aa]]) 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]), 
                    0.}, {(Re[
                    Sin[0.017453292519943295` $CellContext`aa]] 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]), (Re[
                    Cos[0.017453292519943295` $CellContext`aa]] 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]), 0.}, {
                    0., 0., (Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2)/(Re[
                    Cos[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`aa]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2])}}, #]& , \
$CellContext`surfnorm]; $CellContext`surfnorm = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix]; \
$CellContext`surfacerotationmatrix = {{
                    Re[
                    Cos[0.017453292519943295` $CellContext`aa]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`aa]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`aa]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`aa]], 0.}, {
                    0., 0., 
                    Re[Cos[0.017453292519943295` $CellContext`aa]^2 + 
                    Sin[0.017453292519943295` $CellContext`aa]^2]}}; \
$CellContext`surfacetranslationvector = {
                    
                    Re[$CellContext`xa1 + $CellContext`ta 
                    Cos[0.017453292519943295` $CellContext`aa]], 
                    
                    Re[$CellContext`ya1 + $CellContext`ta 
                    Sin[0.017453292519943295` $CellContext`aa]], 
                    0.}; $CellContext`activeregion = -1.; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`componentnumber = $CellContext`newcomponentnumber; \
$CellContext`surfacenumber = $CellContext`newsurfacenumber; \
$CellContext`surfaceid = $CellContext`newsurfaceid; $CellContext`originalray = \
{$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, $CellContext`rex, \
$CellContext`rey, $CellContext`rez, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; $CellContext`ZAxis = 
                    First[$CellContext`surfnorm] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm], {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]]; $CellContext`raytiltz = 
                    Dot[$CellContext`ZAxis, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]; $CellContext`raytiltx = 
                    1 - $CellContext`raytiltz^2; 
                    If[$CellContext`raytiltx < 
                    2.220446049250313*^-16, $CellContext`raytiltx = 
                    0., $CellContext`raytiltx = 
                    Sqrt[$CellContext`raytiltx]]; $CellContext`XAxis = \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} - $CellContext`ZAxis \
$CellContext`raytiltz; If[
                    Abs[$CellContext`raytiltx] < 1.*^-7, $CellContext`XAxis = 
                    Part[$CellContext`surfnorm, 
                    2], $CellContext`XAxis = \
$CellContext`XAxis/$CellContext`raytiltx]; $CellContext`YAxis = {-(
                    Part[$CellContext`ZAxis, 3] Part[$CellContext`XAxis, 2]) + 
                    Part[$CellContext`ZAxis, 2] Part[$CellContext`XAxis, 3], 
                    Part[$CellContext`ZAxis, 3] Part[$CellContext`XAxis, 1] - 
                    Part[$CellContext`ZAxis, 1] 
                    Part[$CellContext`XAxis, 3], -(
                    Part[$CellContext`ZAxis, 2] Part[$CellContext`XAxis, 1]) + 
                    Part[$CellContext`ZAxis, 1] 
                    Part[$CellContext`XAxis, 
                    2]}; $CellContext`YAxis = $CellContext`YAxis/Sqrt[
                    
                    Dot[$CellContext`YAxis, $CellContext`YAxis]]; \
$CellContext`PAxis = $CellContext`ZAxis 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
$CellContext`XAxis] - $CellContext`XAxis 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
$CellContext`ZAxis]; $CellContext`PAxis = $CellContext`PAxis/Sqrt[
                    
                    Dot[$CellContext`PAxis, $CellContext`PAxis]]; \
$CellContext`normalizedpolarization = 
                    Part[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, {1, 
                    2}]; $CellContext`normalizedpolarization = \
$CellContext`normalizedpolarization/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization, \
$CellContext`normalizedpolarization]]; $CellContext`allcreatedamplitudes = {{
                    0. I, 0. I, 0. I}}; $CellContext`amplitude = 
                    Sqrt[$CellContext`intensity] (
                    Part[$CellContext`normalizedpolarization, 
                    1] {$CellContext`r4, $CellContext`r5, $CellContext`r6} + (
                    Part[$CellContext`normalizedpolarization, 
                    2] {$CellContext`r7, $CellContext`r8, $CellContext`r9}) 
                    Exp[(I $CellContext`pol3) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude = 
                    Dot[$CellContext`amplitude, $CellContext`YAxis]; \
$CellContext`parallelamplitude = 
                    Dot[$CellContext`amplitude, $CellContext`PAxis]; 
                    If[$CellContext`activeregion Part[
                    
                    Dot[$CellContext`surfacerotationmatrix, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}], 1] > 
                    0, $CellContext`index2 = 
                    Sqrt[2.2718929 - 0.010108077 $CellContext`wavelength^2 + 
                    0.010592509/$CellContext`wavelength^2 + 
                    0.00020816965/$CellContext`wavelength^4 - 
                    7.6472538*^-6/$CellContext`wavelength^6 + 
                    4.9240991*^-7/$CellContext`wavelength^8]; \
$CellContext`index1 = $CellContext`index; 
                    If[Abs[$CellContext`index2 - $CellContext`index1] < 
                    0.01, $CellContext`alternateindex = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength^8]; 
                    If[Abs[$CellContext`alternateindex - $CellContext`index1] > 
                    Abs[$CellContext`index2 - $CellContext`index1], \
$CellContext`index1 = $CellContext`index2; $CellContext`index2 = \
$CellContext`alternateindex, $CellContext`index1 = \
$CellContext`alternateindex], $CellContext`index1 = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength^8]], \
$CellContext`index2 = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength^8]; \
$CellContext`index1 = $CellContext`index; 
                    If[Abs[$CellContext`index2 - $CellContext`index1] < 
                    0.01, $CellContext`alternateindex = 
                    Sqrt[2.2718929 - 0.010108077 $CellContext`wavelength^2 + 
                    0.010592509/$CellContext`wavelength^2 + 
                    0.00020816965/$CellContext`wavelength^4 - 
                    7.6472538*^-6/$CellContext`wavelength^6 + 
                    4.9240991*^-7/$CellContext`wavelength^8]; 
                    If[Abs[$CellContext`alternateindex - $CellContext`index1] > 
                    Abs[$CellContext`index2 - $CellContext`index1], \
$CellContext`index1 = $CellContext`index2; $CellContext`index2 = \
$CellContext`alternateindex, $CellContext`index1 = \
$CellContext`alternateindex], $CellContext`index1 = 
                    Sqrt[2.2718929 - 0.010108077 $CellContext`wavelength^2 + 
                    0.010592509/$CellContext`wavelength^2 + 
                    0.00020816965/$CellContext`wavelength^4 - 
                    7.6472538*^-6/$CellContext`wavelength^6 + 
                    4.9240991*^-7/$CellContext`wavelength^8]]]; \
$CellContext`n12 = $CellContext`index1/$CellContext`index2; \
$CellContext`index = $CellContext`index2; 
                    If[1 - $CellContext`n12^2 $CellContext`raytiltx^2 >= 
                    0., $CellContext`dummyvector = $CellContext`n12 \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} + $CellContext`ZAxis \
(-($CellContext`n12 $CellContext`raytiltz) + 
                    Sqrt[
                    1 - $CellContext`n12^2 $CellContext`raytiltx^2]); \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} = \
$CellContext`dummyvector; 1., 
                    If[Dot[{$CellContext`r1, $CellContext`r2, \
$CellContext`r3}, 
                    Part[$CellContext`surfnorm, 1]] > 
                    0, $CellContext`phaseshift = $CellContext`phaseshift + 
                    0.5, 1.]; $CellContext`index2 = $CellContext`index1; \
$CellContext`index = $CellContext`index1; $CellContext`dummyvector = \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} - (2 $CellContext`ZAxis) 
                    Dot[$CellContext`ZAxis, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]; {$CellContext`r1, $CellContext`r2, \
$CellContext`r3} = $CellContext`dummyvector; $CellContext`dummyvector = \
{$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} + {0, 
                    0, -180}; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector; 
                    1.]; $CellContext`allcreatedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}; \
$CellContext`originalrotation = Partition[
                    Take[$CellContext`originalray, {7, 15}], 
                    3]; $CellContext`previoustilt = 
                    Part[$CellContext`originalrotation, 
                    1]; $CellContext`transmatrix = 
                    MapIndexed[({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`rotationaxis = Cross[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, $CellContext`r3}]; \
$CellContext`axismagnitude = Sqrt[
                    
                    Dot[$CellContext`rotationaxis, \
$CellContext`rotationaxis]]; 
                    If[Chop[$CellContext`axismagnitude] != 
                    0., $CellContext`rotationaxis = \
$CellContext`rotationaxis/$CellContext`axismagnitude; $CellContext`axismatrix = 
                    Map[# $CellContext`rotationaxis& , \
$CellContext`rotationaxis]; $CellContext`crossmatrix = {{
                    0., -Part[$CellContext`rotationaxis, 3], 
                    Part[$CellContext`rotationaxis, 2]}, {
                    Part[$CellContext`rotationaxis, 3], 0., -
                    Part[$CellContext`rotationaxis, 1]}, {-
                    Part[$CellContext`rotationaxis, 2], 
                    Part[$CellContext`rotationaxis, 1], 
                    0.}}; $CellContext`cosangle = 
                    Dot[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, $CellContext`r3}]; 
                    If[1. - $CellContext`cosangle < 
                    2.220446049250313*^-16, $CellContext`cosangle = 
                    1.]; $CellContext`sinangle = 1 - $CellContext`cosangle^2; 
                    If[$CellContext`sinangle < 
                    2.220446049250313*^-16, $CellContext`sinangle = 
                    0., $CellContext`sinangle = 
                    Sqrt[$CellContext`sinangle]]; $CellContext`axismatrix + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix) $CellContext`cosangle + \
$CellContext`crossmatrix $CellContext`sinangle, {{$CellContext`r1, \
$CellContext`r2, $CellContext`r3}, {$CellContext`r4, $CellContext`r5, \
$CellContext`r6}, {$CellContext`r7, $CellContext`r8, $CellContext`r9}} = 
                    If[Sign[
                    
                    Dot[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, \
$CellContext`r3}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {{-1., 
                    0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}]])& , $CellContext`allcreatedrays]; \
$CellContext`allcreatedrays = 
                    MapIndexed[({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
{{$CellContext`r1, $CellContext`r2, $CellContext`r3}, {$CellContext`r4, \
$CellContext`r5, $CellContext`r6}, {$CellContext`r7, $CellContext`r8, \
$CellContext`r9}} = Function[$CellContext`mm, 
                    Map[
                    Dot[$CellContext`mm, #]& , {{1., 0., 0.}, {0., 1., 0.}, {
                    0., 0., 1.}}]][
                    Part[$CellContext`transmatrix, 
                    First[#2]]]; $CellContext`tiltmagnitude = 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
{$CellContext`r1, $CellContext`r2, $CellContext`r3}]; 
                    If[Abs[$CellContext`tiltmagnitude - 1.] > 
                    1.*^-6, $CellContext`dummyvector = {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}/
                    Sqrt[$CellContext`tiltmagnitude]; {$CellContext`r1, \
$CellContext`r2, $CellContext`r3} = $CellContext`dummyvector; \
$CellContext`dummymatrix = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1, $CellContext`r2, \
$CellContext`r3}, {$CellContext`r4, $CellContext`r5, $CellContext`r6}, \
{$CellContext`r7, $CellContext`r8, $CellContext`r9}}]; {{$CellContext`r1, \
$CellContext`r2, $CellContext`r3}, {$CellContext`r4, $CellContext`r5, \
$CellContext`r6}, {$CellContext`r7, $CellContext`r8, $CellContext`r9}} = \
$CellContext`dummymatrix; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes != {{
                    0. I, 0. I, 0. I}}, $CellContext`amplitude = 
                    Part[$CellContext`allcreatedamplitudes, 
                    First[#2]]; $CellContext`hor = 
                    Dot[{$CellContext`r4, $CellContext`r5, $CellContext`r6}, \
$CellContext`amplitude]; $CellContext`ver = 
                    Dot[{$CellContext`r7, $CellContext`r8, $CellContext`r9}, \
$CellContext`amplitude]; If[
                    Or[
                    Abs[$CellContext`hor] > 0., Abs[$CellContext`ver] > 
                    0.], {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = {
                    Abs[$CellContext`hor], 
                    Abs[$CellContext`ver], 
                    0.}; $CellContext`dummyvector = {$CellContext`pol1, \
$CellContext`pol2, $CellContext`pol3}/Sqrt[
                    
                    Dot[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}]]; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector; $CellContext`dummyvector = 
                    ReplacePart[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, (If[$CellContext`ver == 0., 0., 
                    Arg[$CellContext`ver]] - If[$CellContext`hor == 0., 0., 
                    Arg[$CellContext`hor]])/Degree, 
                    3]; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector]; 1., 
                    1.]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3})& , \
$CellContext`allcreatedrays]); {$CellContext`allcreatedrays, {{1., 1., 1., 1.,
                     1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.,
                     1., 1., 1., 
                    1.}}, {$CellContext`completedray}}, \
$CellContext`resonatenumber == 
                    3, {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`index1 = $CellContext`index; \
$CellContext`xunit = $CellContext`r1 Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] + $CellContext`r2 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; \
$CellContext`yunit = $CellContext`r2 Re[
                    Cos[0.017453292519943295` $CellContext`ab]] - (
                    1. $CellContext`r1) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; \
$CellContext`zunit = $CellContext`r3 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]; \
$CellContext`xunit = Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = \
($CellContext`rex - 1. Re[$CellContext`xb1]) Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] + \
($CellContext`rey - 1. Re[$CellContext`yb1]) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; $CellContext`ry = \
($CellContext`rey - 1. Re[$CellContext`yb1]) Re[
                    Cos[0.017453292519943295` $CellContext`ab]] - (
                    1. ($CellContext`rex - 1. Re[$CellContext`xb1])) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; $CellContext`rz = \
$CellContext`rez Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]; \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = \
$CellContext`resonateintersections; $CellContext`holeQ = 
                    Part[$CellContext`holeQlist, $CellContext`resonatenumber] == 
                    1; {$CellContext`newcomponentnumber, \
$CellContext`newsurfacenumber, $CellContext`newsurfaceid} = {1., 3., 
                    16547.}; {$CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid} = {1., 3., 
                    16547.}; {$CellContext`ray1, $CellContext`ray2, \
$CellContext`ray3} = Part[$CellContext`intersections, 
                    1]; $CellContext`rsx = $CellContext`rex; $CellContext`rsy = \
$CellContext`rey; $CellContext`rsz = $CellContext`rez; $CellContext`rxhlp = \
$CellContext`rx + $CellContext`ray1 $CellContext`xunit; $CellContext`ryhlp = \
$CellContext`ry + $CellContext`ray1 $CellContext`yunit; $CellContext`rzhlp = \
$CellContext`rz + $CellContext`ray1 $CellContext`zunit; $CellContext`rex = 
                    Re[$CellContext`xb1] + $CellContext`rxhlp Re[
                    Cos[0.017453292519943295` $CellContext`ab]] - (
                    1. $CellContext`ryhlp) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; $CellContext`rey = 
                    Re[$CellContext`yb1] + $CellContext`ryhlp Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] + \
$CellContext`rxhlp Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; $CellContext`rez = \
$CellContext`rzhlp Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]; \
$CellContext`rex = Chop[$CellContext`rex]; $CellContext`rey = 
                    Chop[$CellContext`rey]; $CellContext`rez = 
                    Chop[$CellContext`rez]; If[
                    
                    And[$CellContext`rex == 0, $CellContext`rey == 
                    0, $CellContext`rez == 
                    0], $CellContext`rex = $CellContext`rxhlp + 
                    Re[$CellContext`xb1]; $CellContext`rey = \
$CellContext`ryhlp + 
                    Re[$CellContext`yb1]; $CellContext`rez = \
$CellContext`rzhlp, $CellContext`rex]; $CellContext`intersectionnumber = \
$CellContext`intersectionnumber + 
                    1.; $CellContext`opticallength = \
$CellContext`opticallength + $CellContext`ray1 $CellContext`index1; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`reportedrayspresent = True; $CellContext`intersectionspresent = 
                    True; $CellContext`deflectedrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = 
                    True; ($CellContext`surfnorm = 
                    1. Re[{{1., -($CellContext`ray2/(
                    Sign[$CellContext`cb1] ($CellContext`cb1^(-2) - 
                    1. $CellContext`ray2^2 - 
                    1. $CellContext`ray3^2)^0.5)), -($CellContext`ray3/(
                    Sign[$CellContext`cb1] ($CellContext`cb1^(-2) - 
                    1. $CellContext`ray2^2 - 
                    1. $CellContext`ray3^2)^0.5))}, {$CellContext`ray2/(
                    Sign[$CellContext`cb1] ($CellContext`cb1^(-2) - 
                    1. $CellContext`ray2^2 - 1. $CellContext`ray3^2)^0.5), 1.,
                     0.}, {$CellContext`ray3/(
                    Sign[$CellContext`cb1] ($CellContext`cb1^(-2) - 
                    1. $CellContext`ray2^2 - 1. $CellContext`ray3^2)^0.5), 0.,
                     1.}}]; $CellContext`dummymatrix = Map[Dot[{{(Re[
                    Cos[0.017453292519943295` $CellContext`ab]] 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]), ((-Re[
                    Sin[0.017453292519943295` $CellContext`ab]]) 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]), 
                    0.}, {(Re[
                    Sin[0.017453292519943295` $CellContext`ab]] 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]), (Re[
                    Cos[0.017453292519943295` $CellContext`ab]] 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]), 0.}, {
                    0., 0., (Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2)/(Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2])}}, #]& , \
$CellContext`surfnorm]; $CellContext`surfnorm = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix]; \
$CellContext`surfacerotationmatrix = {{
                    Re[
                    Cos[0.017453292519943295` $CellContext`ab]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`ab]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`ab]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`ab]], 0.}, {
                    0., 0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]}}; \
$CellContext`surfacetranslationvector = {
                    Re[$CellContext`xb1], 
                    Re[$CellContext`yb1], 0.}; $CellContext`activeregion = 
                    1.; $CellContext`completedray = {$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`componentnumber = $CellContext`newcomponentnumber; \
$CellContext`surfacenumber = $CellContext`newsurfacenumber; \
$CellContext`surfaceid = $CellContext`newsurfaceid; $CellContext`originalray = \
{$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, $CellContext`rex, \
$CellContext`rey, $CellContext`rez, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; $CellContext`ZAxis = 
                    First[$CellContext`surfnorm] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm], {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]]; $CellContext`raytiltz = 
                    Dot[$CellContext`ZAxis, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]; $CellContext`raytiltx = 
                    1 - $CellContext`raytiltz^2; 
                    If[$CellContext`raytiltx < 
                    2.220446049250313*^-16, $CellContext`raytiltx = 
                    0., $CellContext`raytiltx = 
                    Sqrt[$CellContext`raytiltx]]; $CellContext`XAxis = \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} - $CellContext`ZAxis \
$CellContext`raytiltz; If[
                    Abs[$CellContext`raytiltx] < 1.*^-7, $CellContext`XAxis = 
                    Part[$CellContext`surfnorm, 
                    2], $CellContext`XAxis = \
$CellContext`XAxis/$CellContext`raytiltx]; $CellContext`YAxis = {-(
                    Part[$CellContext`ZAxis, 3] Part[$CellContext`XAxis, 2]) + 
                    Part[$CellContext`ZAxis, 2] Part[$CellContext`XAxis, 3], 
                    Part[$CellContext`ZAxis, 3] Part[$CellContext`XAxis, 1] - 
                    Part[$CellContext`ZAxis, 1] 
                    Part[$CellContext`XAxis, 3], -(
                    Part[$CellContext`ZAxis, 2] Part[$CellContext`XAxis, 1]) + 
                    Part[$CellContext`ZAxis, 1] 
                    Part[$CellContext`XAxis, 
                    2]}; $CellContext`YAxis = $CellContext`YAxis/Sqrt[
                    
                    Dot[$CellContext`YAxis, $CellContext`YAxis]]; \
$CellContext`PAxis = $CellContext`ZAxis 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
$CellContext`XAxis] - $CellContext`XAxis 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
$CellContext`ZAxis]; $CellContext`PAxis = $CellContext`PAxis/Sqrt[
                    
                    Dot[$CellContext`PAxis, $CellContext`PAxis]]; \
$CellContext`normalizedpolarization = 
                    Part[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, {1, 
                    2}]; $CellContext`normalizedpolarization = \
$CellContext`normalizedpolarization/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization, \
$CellContext`normalizedpolarization]]; $CellContext`allcreatedamplitudes = {{
                    0. I, 0. I, 0. I}}; $CellContext`amplitude = 
                    Sqrt[$CellContext`intensity] (
                    Part[$CellContext`normalizedpolarization, 
                    1] {$CellContext`r4, $CellContext`r5, $CellContext`r6} + (
                    Part[$CellContext`normalizedpolarization, 
                    2] {$CellContext`r7, $CellContext`r8, $CellContext`r9}) 
                    Exp[(I $CellContext`pol3) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude = 
                    Dot[$CellContext`amplitude, $CellContext`YAxis]; \
$CellContext`parallelamplitude = 
                    Dot[$CellContext`amplitude, $CellContext`PAxis]; 
                    If[$CellContext`activeregion Part[
                    
                    Dot[$CellContext`surfacerotationmatrix, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}], 1] > 
                    0, $CellContext`index2 = 
                    Sqrt[3.0539614 - 0.011580432 $CellContext`wavelength^2 + 
                    0.039199816/$CellContext`wavelength^2 + 
                    0.0029462812/$CellContext`wavelength^4 - 
                    0.00020371019000000004`/$CellContext`wavelength^6 + 
                    0.000027633568999999998`/$CellContext`wavelength^8]; \
$CellContext`index1 = $CellContext`index; 
                    If[Abs[$CellContext`index2 - $CellContext`index1] < 
                    0.01, $CellContext`alternateindex = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength^8]; 
                    If[Abs[$CellContext`alternateindex - $CellContext`index1] > 
                    Abs[$CellContext`index2 - $CellContext`index1], \
$CellContext`index1 = $CellContext`index2; $CellContext`index2 = \
$CellContext`alternateindex, $CellContext`index1 = \
$CellContext`alternateindex], $CellContext`index1 = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength^8]], \
$CellContext`index2 = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    
                    2.830549017940716*^-12/$CellContext`wavelength^8]; \
$CellContext`index1 = $CellContext`index; 
                    If[Abs[$CellContext`index2 - $CellContext`index1] < 
                    0.01, $CellContext`alternateindex = 
                    Sqrt[3.0539614 - 0.011580432 $CellContext`wavelength^2 + 
                    0.039199816/$CellContext`wavelength^2 + 
                    0.0029462812/$CellContext`wavelength^4 - 
                    0.00020371019000000004`/$CellContext`wavelength^6 + 
                    0.000027633568999999998`/$CellContext`wavelength^8]; 
                    If[Abs[$CellContext`alternateindex - $CellContext`index1] > 
                    Abs[$CellContext`index2 - $CellContext`index1], \
$CellContext`index1 = $CellContext`index2; $CellContext`index2 = \
$CellContext`alternateindex, $CellContext`index1 = \
$CellContext`alternateindex], $CellContext`index1 = 
                    Sqrt[3.0539614 - 0.011580432 $CellContext`wavelength^2 + 
                    0.039199816/$CellContext`wavelength^2 + 
                    0.0029462812/$CellContext`wavelength^4 - 
                    0.00020371019000000004`/$CellContext`wavelength^6 + 
                    0.000027633568999999998`/$CellContext`wavelength^8]]]; \
$CellContext`n12 = $CellContext`index1/$CellContext`index2; \
$CellContext`index = $CellContext`index2; 
                    If[1 - $CellContext`n12^2 $CellContext`raytiltx^2 >= 
                    0., $CellContext`dummyvector = $CellContext`n12 \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} + $CellContext`ZAxis \
(-($CellContext`n12 $CellContext`raytiltz) + 
                    Sqrt[1 - $CellContext`n12^2 $CellContext`raytiltx^2]); \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} = \
$CellContext`dummyvector; 1., 
                    If[Dot[{$CellContext`r1, $CellContext`r2, \
$CellContext`r3}, 
                    Part[$CellContext`surfnorm, 1]] > 
                    0, $CellContext`phaseshift = $CellContext`phaseshift + 
                    0.5, 1.]; $CellContext`index2 = $CellContext`index1; \
$CellContext`index = $CellContext`index1; $CellContext`dummyvector = \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} - (2 $CellContext`ZAxis) 
                    Dot[$CellContext`ZAxis, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]; {$CellContext`r1, $CellContext`r2, \
$CellContext`r3} = $CellContext`dummyvector; $CellContext`dummyvector = \
{$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} + {0, 
                    0, -180}; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector; 
                    1.]; $CellContext`allcreatedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}; \
$CellContext`originalrotation = Partition[
                    Take[$CellContext`originalray, {7, 15}], 
                    3]; $CellContext`previoustilt = 
                    Part[$CellContext`originalrotation, 
                    1]; $CellContext`transmatrix = 
                    MapIndexed[({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`rotationaxis = Cross[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, $CellContext`r3}]; \
$CellContext`axismagnitude = Sqrt[
                    
                    Dot[$CellContext`rotationaxis, \
$CellContext`rotationaxis]]; 
                    If[Chop[$CellContext`axismagnitude] != 
                    0., $CellContext`rotationaxis = \
$CellContext`rotationaxis/$CellContext`axismagnitude; $CellContext`axismatrix = 
                    Map[# $CellContext`rotationaxis& , \
$CellContext`rotationaxis]; $CellContext`crossmatrix = {{
                    0., -Part[$CellContext`rotationaxis, 3], 
                    Part[$CellContext`rotationaxis, 2]}, {
                    Part[$CellContext`rotationaxis, 3], 0., -
                    Part[$CellContext`rotationaxis, 1]}, {-
                    Part[$CellContext`rotationaxis, 2], 
                    Part[$CellContext`rotationaxis, 1], 
                    0.}}; $CellContext`cosangle = 
                    Dot[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, $CellContext`r3}]; 
                    If[1. - $CellContext`cosangle < 
                    2.220446049250313*^-16, $CellContext`cosangle = 
                    1.]; $CellContext`sinangle = 1 - $CellContext`cosangle^2; 
                    If[$CellContext`sinangle < 
                    2.220446049250313*^-16, $CellContext`sinangle = 
                    0., $CellContext`sinangle = 
                    Sqrt[$CellContext`sinangle]]; $CellContext`axismatrix + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix) $CellContext`cosangle + \
$CellContext`crossmatrix $CellContext`sinangle, {{$CellContext`r1, \
$CellContext`r2, $CellContext`r3}, {$CellContext`r4, $CellContext`r5, \
$CellContext`r6}, {$CellContext`r7, $CellContext`r8, $CellContext`r9}} = 
                    If[Sign[
                    
                    Dot[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, \
$CellContext`r3}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {{-1., 
                    0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}]])& , $CellContext`allcreatedrays]; \
$CellContext`allcreatedrays = 
                    MapIndexed[({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
{{$CellContext`r1, $CellContext`r2, $CellContext`r3}, {$CellContext`r4, \
$CellContext`r5, $CellContext`r6}, {$CellContext`r7, $CellContext`r8, \
$CellContext`r9}} = Function[$CellContext`mm, 
                    Map[
                    Dot[$CellContext`mm, #]& , {{1., 0., 0.}, {0., 1., 0.}, {
                    0., 0., 1.}}]][
                    Part[$CellContext`transmatrix, 
                    First[#2]]]; $CellContext`tiltmagnitude = 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
{$CellContext`r1, $CellContext`r2, $CellContext`r3}]; 
                    If[Abs[$CellContext`tiltmagnitude - 1.] > 
                    1.*^-6, $CellContext`dummyvector = {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}/
                    Sqrt[$CellContext`tiltmagnitude]; {$CellContext`r1, \
$CellContext`r2, $CellContext`r3} = $CellContext`dummyvector; \
$CellContext`dummymatrix = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1, $CellContext`r2, \
$CellContext`r3}, {$CellContext`r4, $CellContext`r5, $CellContext`r6}, \
{$CellContext`r7, $CellContext`r8, $CellContext`r9}}]; {{$CellContext`r1, \
$CellContext`r2, $CellContext`r3}, {$CellContext`r4, $CellContext`r5, \
$CellContext`r6}, {$CellContext`r7, $CellContext`r8, $CellContext`r9}} = \
$CellContext`dummymatrix; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes != {{
                    0. I, 0. I, 0. I}}, $CellContext`amplitude = 
                    Part[$CellContext`allcreatedamplitudes, 
                    First[#2]]; $CellContext`hor = 
                    Dot[{$CellContext`r4, $CellContext`r5, $CellContext`r6}, \
$CellContext`amplitude]; $CellContext`ver = 
                    Dot[{$CellContext`r7, $CellContext`r8, $CellContext`r9}, \
$CellContext`amplitude]; If[
                    Or[
                    Abs[$CellContext`hor] > 0., Abs[$CellContext`ver] > 
                    0.], {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = {
                    Abs[$CellContext`hor], 
                    Abs[$CellContext`ver], 
                    0.}; $CellContext`dummyvector = {$CellContext`pol1, \
$CellContext`pol2, $CellContext`pol3}/Sqrt[
                    
                    Dot[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}]]; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector; $CellContext`dummyvector = 
                    ReplacePart[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, (If[$CellContext`ver == 0., 0., 
                    Arg[$CellContext`ver]] - If[$CellContext`hor == 0., 0., 
                    Arg[$CellContext`hor]])/Degree, 
                    3]; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector]; 1., 
                    1.]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3})& , \
$CellContext`allcreatedrays]); {$CellContext`allcreatedrays, {{1., 1., 1., 1.,
                     1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.,
                     1., 1., 1., 
                    1.}}, {$CellContext`completedray}}, \
$CellContext`resonatenumber == 
                    4, {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`index1 = $CellContext`index; \
$CellContext`xunit = $CellContext`r1 Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] + $CellContext`r2 
                    Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; \
$CellContext`yunit = $CellContext`r2 Re[
                    Cos[0.017453292519943295` $CellContext`ab]] - (
                    1. $CellContext`r1) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; \
$CellContext`zunit = $CellContext`r3 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]; \
$CellContext`xunit = Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] ($CellContext`rex - 
                    1. Re[$CellContext`xb1 + $CellContext`tb 
                    Cos[0.017453292519943295` $CellContext`ab]]) + Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]] ($CellContext`rey - 
                    1. Re[$CellContext`yb1 + $CellContext`tb 
                    Sin[0.017453292519943295` $CellContext`ab]]); \
$CellContext`ry = (-($CellContext`rex - 1. 
                    Re[$CellContext`xb1 + $CellContext`tb 
                    Cos[0.017453292519943295` $CellContext`ab]])) Re[
                    Sin[0.017453292519943295` $CellContext`ab]] + Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] ($CellContext`rey - 
                    1. Re[$CellContext`yb1 + $CellContext`tb 
                    Sin[0.017453292519943295` $CellContext`ab]]); \
$CellContext`rz = $CellContext`rez 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]; \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = \
$CellContext`resonateintersections; $CellContext`holeQ = 
                    Part[$CellContext`holeQlist, $CellContext`resonatenumber] == 
                    1; {$CellContext`newcomponentnumber, \
$CellContext`newsurfacenumber, $CellContext`newsurfaceid} = {1., 4., 
                    16548.}; {$CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid} = {1., 4., 
                    16548.}; {$CellContext`ray1, $CellContext`ray2, \
$CellContext`ray3} = Part[$CellContext`intersections, 
                    1]; $CellContext`rsx = $CellContext`rex; $CellContext`rsy = \
$CellContext`rey; $CellContext`rsz = $CellContext`rez; $CellContext`rxhlp = \
$CellContext`rx + $CellContext`ray1 $CellContext`xunit; $CellContext`ryhlp = \
$CellContext`ry + $CellContext`ray1 $CellContext`yunit; $CellContext`rzhlp = \
$CellContext`rz + $CellContext`ray1 $CellContext`zunit; $CellContext`rex = \
$CellContext`rxhlp Re[
                    Cos[0.017453292519943295` $CellContext`ab]] + 
                    Re[$CellContext`xb1 + $CellContext`tb 
                    Cos[0.017453292519943295` $CellContext`ab]] - (
                    1. $CellContext`ryhlp) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ab]]; $CellContext`rey = \
$CellContext`ryhlp Re[
                    Cos[
                    0.017453292519943295` $CellContext`ab]] + \
$CellContext`rxhlp Re[
                    Sin[0.017453292519943295` $CellContext`ab]] + 
                    Re[$CellContext`yb1 + $CellContext`tb 
                    Sin[0.017453292519943295` $CellContext`ab]]; \
$CellContext`rez = $CellContext`rzhlp 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]; \
$CellContext`rex = Chop[$CellContext`rex]; $CellContext`rey = 
                    Chop[$CellContext`rey]; $CellContext`rez = 
                    Chop[$CellContext`rez]; If[
                    
                    And[$CellContext`rex == 0, $CellContext`rey == 
                    0, $CellContext`rez == 
                    0], $CellContext`rex = $CellContext`rxhlp + 
                    Re[$CellContext`xb1 + $CellContext`tb 
                    Cos[0.017453292519943295` $CellContext`ab]]; \
$CellContext`rey = $CellContext`ryhlp + 
                    Re[$CellContext`yb1 + $CellContext`tb 
                    Sin[0.017453292519943295` $CellContext`ab]]; \
$CellContext`rez = $CellContext`rzhlp, $CellContext`rex]; \
$CellContext`intersectionnumber = $CellContext`intersectionnumber + 
                    1.; $CellContext`opticallength = \
$CellContext`opticallength + $CellContext`ray1 $CellContext`index1; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`reportedrayspresent = True; $CellContext`intersectionspresent = 
                    True; $CellContext`deflectedrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = 
                    True; ($CellContext`surfnorm = 
                    1. Re[{{1., -($CellContext`ray2/(
                    Sign[$CellContext`cb2] ($CellContext`cb2^(-2) - 
                    1. $CellContext`ray2^2 - 
                    1. $CellContext`ray3^2)^0.5)), -($CellContext`ray3/(
                    Sign[$CellContext`cb2] ($CellContext`cb2^(-2) - 
                    1. $CellContext`ray2^2 - 
                    1. $CellContext`ray3^2)^0.5))}, {$CellContext`ray2/(
                    Sign[$CellContext`cb2] ($CellContext`cb2^(-2) - 
                    1. $CellContext`ray2^2 - 1. $CellContext`ray3^2)^0.5), 1.,
                     0.}, {$CellContext`ray3/(
                    Sign[$CellContext`cb2] ($CellContext`cb2^(-2) - 
                    1. $CellContext`ray2^2 - 1. $CellContext`ray3^2)^0.5), 0.,
                     1.}}]; $CellContext`dummymatrix = Map[Dot[{{(Re[
                    Cos[0.017453292519943295` $CellContext`ab]] 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]), ((-Re[
                    Sin[0.017453292519943295` $CellContext`ab]]) 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]), 
                    0.}, {(Re[
                    Sin[0.017453292519943295` $CellContext`ab]] 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]), (Re[
                    Cos[0.017453292519943295` $CellContext`ab]] 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2])/(Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]), 0.}, {
                    0., 0., (Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2)/(Re[
                    Cos[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2] + Re[
                    Sin[0.017453292519943295` $CellContext`ab]]^2 
                    Re[Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2])}}, #]& , \
$CellContext`surfnorm]; $CellContext`surfnorm = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix]; \
$CellContext`surfacerotationmatrix = {{
                    Re[
                    Cos[0.017453292519943295` $CellContext`ab]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`ab]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`ab]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`ab]], 0.}, {
                    0., 0., 
                    Re[
                    Cos[0.017453292519943295` $CellContext`ab]^2 + 
                    Sin[0.017453292519943295` $CellContext`ab]^2]}}; \
$CellContext`surfacetranslationvector = {
                    
                    Re[$CellContext`xb1 + $CellContext`tb 
                    Cos[0.017453292519943295` $CellContext`ab]], 
                    
                    Re[$CellContext`yb1 + $CellContext`tb 
                    Sin[0.017453292519943295` $CellContext`ab]], 
                    0.}; $CellContext`activeregion = -1.; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`componentnumber = $CellContext`newcomponentnumber; \
$CellContext`surfacenumber = $CellContext`newsurfacenumber; \
$CellContext`surfaceid = $CellContext`newsurfaceid; $CellContext`originalray = \
{$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, $CellContext`rex, \
$CellContext`rey, $CellContext`rez, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; $CellContext`ZAxis = 
                    First[$CellContext`surfnorm] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm], {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]]; $CellContext`raytiltz = 
                    Dot[$CellContext`ZAxis, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]; $CellContext`raytiltx = 
                    1 - $CellContext`raytiltz^2; 
                    If[$CellContext`raytiltx < 
                    2.220446049250313*^-16, $CellContext`raytiltx = 
                    0., $CellContext`raytiltx = 
                    Sqrt[$CellContext`raytiltx]]; $CellContext`XAxis = \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} - $CellContext`ZAxis \
$CellContext`raytiltz; If[
                    Abs[$CellContext`raytiltx] < 1.*^-7, $CellContext`XAxis = 
                    Part[$CellContext`surfnorm, 
                    2], $CellContext`XAxis = \
$CellContext`XAxis/$CellContext`raytiltx]; $CellContext`YAxis = {-(
                    Part[$CellContext`ZAxis, 3] Part[$CellContext`XAxis, 2]) + 
                    Part[$CellContext`ZAxis, 2] Part[$CellContext`XAxis, 3], 
                    Part[$CellContext`ZAxis, 3] Part[$CellContext`XAxis, 1] - 
                    Part[$CellContext`ZAxis, 1] 
                    Part[$CellContext`XAxis, 3], -(
                    Part[$CellContext`ZAxis, 2] Part[$CellContext`XAxis, 1]) + 
                    Part[$CellContext`ZAxis, 1] 
                    Part[$CellContext`XAxis, 
                    2]}; $CellContext`YAxis = $CellContext`YAxis/Sqrt[
                    
                    Dot[$CellContext`YAxis, $CellContext`YAxis]]; \
$CellContext`PAxis = $CellContext`ZAxis 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
$CellContext`XAxis] - $CellContext`XAxis 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
$CellContext`ZAxis]; $CellContext`PAxis = $CellContext`PAxis/Sqrt[
                    
                    Dot[$CellContext`PAxis, $CellContext`PAxis]]; \
$CellContext`normalizedpolarization = 
                    Part[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, {1, 
                    2}]; $CellContext`normalizedpolarization = \
$CellContext`normalizedpolarization/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization, \
$CellContext`normalizedpolarization]]; $CellContext`allcreatedamplitudes = {{
                    0. I, 0. I, 0. I}}; $CellContext`amplitude = 
                    Sqrt[$CellContext`intensity] (
                    Part[$CellContext`normalizedpolarization, 
                    1] {$CellContext`r4, $CellContext`r5, $CellContext`r6} + (
                    Part[$CellContext`normalizedpolarization, 
                    2] {$CellContext`r7, $CellContext`r8, $CellContext`r9}) 
                    Exp[(I $CellContext`pol3) 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude = 
                    Dot[$CellContext`amplitude, $CellContext`YAxis]; \
$CellContext`parallelamplitude = 
                    Dot[$CellContext`amplitude, $CellContext`PAxis]; 
                    If[$CellContext`activeregion Part[
                    
                    Dot[$CellContext`surfacerotationmatrix, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}], 1] > 
                    0, $CellContext`index2 = 
                    Sqrt[3.0539614 - 0.011580432 $CellContext`wavelength^2 + 
                    0.039199816/$CellContext`wavelength^2 + 
                    0.0029462812/$CellContext`wavelength^4 - 
                    0.00020371019000000004`/$CellContext`wavelength^6 + 
                    0.000027633568999999998`/$CellContext`wavelength^8]; \
$CellContext`index1 = $CellContext`index; 
                    If[Abs[$CellContext`index2 - $CellContext`index1] < 
                    0.01, $CellContext`alternateindex = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength^8]; 
                    If[Abs[$CellContext`alternateindex - $CellContext`index1] > 
                    Abs[$CellContext`index2 - $CellContext`index1], \
$CellContext`index1 = $CellContext`index2; $CellContext`index2 = \
$CellContext`alternateindex, $CellContext`index1 = \
$CellContext`alternateindex], $CellContext`index1 = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength^8]], \
$CellContext`index2 = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength^6 + 
                    
                    2.830549017940716*^-12/$CellContext`wavelength^8]; \
$CellContext`index1 = $CellContext`index; 
                    If[Abs[$CellContext`index2 - $CellContext`index1] < 
                    0.01, $CellContext`alternateindex = 
                    Sqrt[3.0539614 - 0.011580432 $CellContext`wavelength^2 + 
                    0.039199816/$CellContext`wavelength^2 + 
                    0.0029462812/$CellContext`wavelength^4 - 
                    0.00020371019000000004`/$CellContext`wavelength^6 + 
                    0.000027633568999999998`/$CellContext`wavelength^8]; 
                    If[Abs[$CellContext`alternateindex - $CellContext`index1] > 
                    Abs[$CellContext`index2 - $CellContext`index1], \
$CellContext`index1 = $CellContext`index2; $CellContext`index2 = \
$CellContext`alternateindex, $CellContext`index1 = \
$CellContext`alternateindex], $CellContext`index1 = 
                    Sqrt[3.0539614 - 0.011580432 $CellContext`wavelength^2 + 
                    0.039199816/$CellContext`wavelength^2 + 
                    0.0029462812/$CellContext`wavelength^4 - 
                    0.00020371019000000004`/$CellContext`wavelength^6 + 
                    0.000027633568999999998`/$CellContext`wavelength^8]]]; \
$CellContext`n12 = $CellContext`index1/$CellContext`index2; \
$CellContext`index = $CellContext`index2; 
                    If[1 - $CellContext`n12^2 $CellContext`raytiltx^2 >= 
                    0., $CellContext`dummyvector = $CellContext`n12 \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} + $CellContext`ZAxis \
(-($CellContext`n12 $CellContext`raytiltz) + 
                    Sqrt[1 - $CellContext`n12^2 $CellContext`raytiltx^2]); \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} = \
$CellContext`dummyvector; 1., 
                    If[Dot[{$CellContext`r1, $CellContext`r2, \
$CellContext`r3}, 
                    Part[$CellContext`surfnorm, 1]] > 
                    0, $CellContext`phaseshift = $CellContext`phaseshift + 
                    0.5, 1.]; $CellContext`index2 = $CellContext`index1; \
$CellContext`index = $CellContext`index1; $CellContext`dummyvector = \
{$CellContext`r1, $CellContext`r2, $CellContext`r3} - (2 $CellContext`ZAxis) 
                    Dot[$CellContext`ZAxis, {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}]; {$CellContext`r1, $CellContext`r2, \
$CellContext`r3} = $CellContext`dummyvector; $CellContext`dummyvector = \
{$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} + {0, 
                    0, -180}; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector; 
                    1.]; $CellContext`allcreatedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}; \
$CellContext`originalrotation = Partition[
                    Take[$CellContext`originalray, {7, 15}], 
                    3]; $CellContext`previoustilt = 
                    Part[$CellContext`originalrotation, 
                    1]; $CellContext`transmatrix = 
                    MapIndexed[({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`rotationaxis = Cross[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, $CellContext`r3}]; \
$CellContext`axismagnitude = Sqrt[
                    
                    Dot[$CellContext`rotationaxis, \
$CellContext`rotationaxis]]; 
                    If[Chop[$CellContext`axismagnitude] != 
                    0., $CellContext`rotationaxis = \
$CellContext`rotationaxis/$CellContext`axismagnitude; $CellContext`axismatrix = 
                    Map[# $CellContext`rotationaxis& , \
$CellContext`rotationaxis]; $CellContext`crossmatrix = {{
                    0., -Part[$CellContext`rotationaxis, 3], 
                    Part[$CellContext`rotationaxis, 2]}, {
                    Part[$CellContext`rotationaxis, 3], 0., -
                    Part[$CellContext`rotationaxis, 1]}, {-
                    Part[$CellContext`rotationaxis, 2], 
                    Part[$CellContext`rotationaxis, 1], 
                    0.}}; $CellContext`cosangle = 
                    Dot[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, $CellContext`r3}]; 
                    If[1. - $CellContext`cosangle < 
                    2.220446049250313*^-16, $CellContext`cosangle = 
                    1.]; $CellContext`sinangle = 1 - $CellContext`cosangle^2; 
                    If[$CellContext`sinangle < 
                    2.220446049250313*^-16, $CellContext`sinangle = 
                    0., $CellContext`sinangle = 
                    Sqrt[$CellContext`sinangle]]; $CellContext`axismatrix + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix) $CellContext`cosangle + \
$CellContext`crossmatrix $CellContext`sinangle, {{$CellContext`r1, \
$CellContext`r2, $CellContext`r3}, {$CellContext`r4, $CellContext`r5, \
$CellContext`r6}, {$CellContext`r7, $CellContext`r8, $CellContext`r9}} = 
                    If[Sign[
                    
                    Dot[{1., 0., 
                    0.}, {$CellContext`r1, $CellContext`r2, \
$CellContext`r3}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {{-1., 
                    0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}]])& , $CellContext`allcreatedrays]; \
$CellContext`allcreatedrays = 
                    MapIndexed[({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
{{$CellContext`r1, $CellContext`r2, $CellContext`r3}, {$CellContext`r4, \
$CellContext`r5, $CellContext`r6}, {$CellContext`r7, $CellContext`r8, \
$CellContext`r9}} = Function[$CellContext`mm, 
                    Map[
                    Dot[$CellContext`mm, #]& , {{1., 0., 0.}, {0., 1., 0.}, {
                    0., 0., 1.}}]][
                    Part[$CellContext`transmatrix, 
                    First[#2]]]; $CellContext`tiltmagnitude = 
                    Dot[{$CellContext`r1, $CellContext`r2, $CellContext`r3}, \
{$CellContext`r1, $CellContext`r2, $CellContext`r3}]; 
                    If[Abs[$CellContext`tiltmagnitude - 1.] > 
                    1.*^-6, $CellContext`dummyvector = {$CellContext`r1, \
$CellContext`r2, $CellContext`r3}/
                    Sqrt[$CellContext`tiltmagnitude]; {$CellContext`r1, \
$CellContext`r2, $CellContext`r3} = $CellContext`dummyvector; \
$CellContext`dummymatrix = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1, $CellContext`r2, \
$CellContext`r3}, {$CellContext`r4, $CellContext`r5, $CellContext`r6}, \
{$CellContext`r7, $CellContext`r8, $CellContext`r9}}]; {{$CellContext`r1, \
$CellContext`r2, $CellContext`r3}, {$CellContext`r4, $CellContext`r5, \
$CellContext`r6}, {$CellContext`r7, $CellContext`r8, $CellContext`r9}} = \
$CellContext`dummymatrix; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes != {{
                    0. I, 0. I, 0. I}}, $CellContext`amplitude = 
                    Part[$CellContext`allcreatedamplitudes, 
                    First[#2]]; $CellContext`hor = 
                    Dot[{$CellContext`r4, $CellContext`r5, $CellContext`r6}, \
$CellContext`amplitude]; $CellContext`ver = 
                    Dot[{$CellContext`r7, $CellContext`r8, $CellContext`r9}, \
$CellContext`amplitude]; If[
                    Or[
                    Abs[$CellContext`hor] > 0., Abs[$CellContext`ver] > 
                    0.], {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = {
                    Abs[$CellContext`hor], 
                    Abs[$CellContext`ver], 
                    0.}; $CellContext`dummyvector = {$CellContext`pol1, \
$CellContext`pol2, $CellContext`pol3}/Sqrt[
                    
                    Dot[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}]]; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector; $CellContext`dummyvector = 
                    ReplacePart[{$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3}, (If[$CellContext`ver == 0., 0., 
                    Arg[$CellContext`ver]] - If[$CellContext`hor == 0., 0., 
                    Arg[$CellContext`hor]])/Degree, 
                    3]; {$CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = $CellContext`dummyvector]; 1., 
                    1.]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3})& , \
$CellContext`allcreatedrays]); {$CellContext`allcreatedrays, {{1., 1., 1., 1.,
                     1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.,
                     1., 1., 1., 1.}}, {$CellContext`completedray}}, 
                    True, $CellContext`deflecteddummyrayspresent = 
                    True; $CellContext`reporteddummyrayspresent = 
                    True; $CellContext`localoutrayspresent = 
                    True; {{{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., -1.7976931348623157`*^308, 1., 1., 1., 1.,
                     0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 
                    1.}}, {{$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}, {{1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.,
                     1., 1., 1., 
                    1.}}}], $CellContext`deflecteddummyrayspresent = 
                    True; $CellContext`reporteddummyrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = True; {{{1.,
                     1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.,
                     1., 1., 1., 1.}}, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 1., 1., -1.7976931348623157`*^308, 1.,
                     1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 1., 1., 1.}}, {{1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.,
                     1., 1., 1., 1.}}}])& , $CellContext`inrays]]]; If[
                  
                  And[$CellContext`deflectedrayspresent, \
$CellContext`deflecteddummyrayspresent], $CellContext`deflectedlocalrays = 
                  Select[$CellContext`deflectedlocalrays, Part[#, 23] > 0.& ] 
                   1., 1.]; 
                If[$CellContext`localoutrayspresent, 
                  If[$CellContext`localdummyoutrayspresent, \
$CellContext`localoutrays = 
                    Select[$CellContext`localoutrays, Part[#, 23] > 0.& ]; 1.,
                     1.]; $CellContext`outrays = 
                   Join[$CellContext`outrays, $CellContext`localoutrays]; 1., 
                  1.]; If[
                  
                  And[$CellContext`reportedrayspresent, \
$CellContext`reporteddummyrayspresent], $CellContext`reportedlocalrays = 
                   Select[$CellContext`reportedlocalrays, Part[#, 23] > 0.& ]; 
                  1., 1.]); 
               If[$CellContext`reportedrayspresent, $CellContext`raysreported = 
                  True; $CellContext`reportedrays = 
                  Join[$CellContext`reportedrays, \
{{-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308}}, $CellContext`reportedlocalrays]; 1., 
                 1.]; $CellContext`inrays = $CellContext`deflectedlocalrays; \
$CellContext`propagate = $CellContext`generationnumber < \
$CellContext`generationlimit]; $CellContext`propagatedrays = 
              If[Length[$CellContext`outrays] > 1, 
                Drop[$CellContext`outrays, 1], $CellContext`outrays]; If[
               
               And[$CellContext`generationnumber >= \
$CellContext`generationlimit, $CellContext`deflectedrayspresent], \
$CellContext`propagatedrays = 
                Join[$CellContext`propagatedrays, \
$CellContext`deflectedlocalrays]; 1., 
               1.]); ($CellContext`inrays = $CellContext`propagatedrays; \
$CellContext`outrays = {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
               1., 1., 1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
               0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
               1., 1., 1.}}; $CellContext`deflectedrayspresent = 
              True; $CellContext`reportedrayspresent = 
              False; $CellContext`propagate = True; While[
               And[$CellContext`deflectedrayspresent, $CellContext`propagate],
                AddTo[$CellContext`generationnumber, 
                 1.]; ($CellContext`deflecteddummyrayspresent = 
                 False; $CellContext`deflectedrayspresent = 
                 False; $CellContext`reportedrayspresent = 
                 False; $CellContext`reporteddummyrayspresent = 
                 True; $CellContext`localdummyoutrayspresent = 
                 False; $CellContext`localoutrayspresent = 
                 False; {$CellContext`deflectedlocalrays, \
$CellContext`localoutrays, $CellContext`reportedlocalrays} = 
                 Map[Flatten[#, 1]& , 
                   Transpose[
                    
                    Map[({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; If[
                    
                    And[$CellContext`intensity > \
$CellContext`thresholdintensity, $CellContext`generationnumber < \
$CellContext`generationlimit], ($CellContext`resonatenumber = 
                    0; $CellContext`resonateraylength = 
                    1.7976931348623157`*^308; \
$CellContext`resonateintersections = {{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength], \
$CellContext`resonateraylength = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections = #; \
$CellContext`resonatenumber = 
                    First[#2], $CellContext`resonatenumber]& , \
$CellContext`intersectionslist = {{{-1., 0., 0.}}}; $CellContext`holeQlist = {
                    0}; ({$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`index1 = $CellContext`index; $CellContext`xunit = \
-$CellContext`r1; $CellContext`yunit = -$CellContext`r2; $CellContext`zunit = \
$CellContext`r3; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = -(-200. + \
$CellContext`rex); $CellContext`ry = -$CellContext`rey; $CellContext`rz = \
$CellContext`rez; $CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = 
                    If[Chop[$CellContext`xunit] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 75., Part[#, 2] >= -75., Part[#, 3] >= -75.,
                     Part[#, 3] <= 75.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx/$CellContext`xunit), \
$CellContext`ry - ($CellContext`rx $CellContext`yunit)/$CellContext`xunit, \
$CellContext`rz - ($CellContext`rx $CellContext`zunit)/$CellContext`xunit}]}, \
{{-1., 0., 0.}}]; AppendTo[$CellContext`intersections, {-1., 0., 
                    0.}]; $CellContext`holeQ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid - 16598.] == 0., N[
                    Chop[$CellContext`ray1]] < 
                    0.0001]], $CellContext`generationnumber == 
                    1.], $CellContext`minresonateraylength = 
                    0., $CellContext`minresonateraylength = 0.0001]; 
                    Block[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 1.; $CellContext`dummymatrix = 
                    Union[
                    
                    Select[$CellContext`intersections, ({$CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy} = #; 
                    Or[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`RayL]] >= \
$CellContext`minresonateraylength])& ]]; $CellContext`intersections = \
$CellContext`dummymatrix]; $CellContext`unfilteredintersections = \
$CellContext`intersections; 
                    If[Length[$CellContext`intersections] > 
                    1, $CellContext`dummymatrix = 
                    Take[$CellContext`intersections, {
                    2}]; $CellContext`intersections = \
$CellContext`dummymatrix; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist, \
$CellContext`intersections]; If[$CellContext`holeQ, 
                    AppendTo[$CellContext`holeQlist, 1], 
                    
                    AppendTo[$CellContext`holeQlist, 
                    0]]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`index1 = $CellContext`index; $CellContext`xunit = \
$CellContext`r2; $CellContext`yunit = -$CellContext`r1; $CellContext`zunit = \
$CellContext`r3; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = 
                    75. + $CellContext`rey; $CellContext`ry = -(-100. + \
$CellContext`rex); $CellContext`rz = $CellContext`rez; $CellContext`rx = 
                    Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = 
                    If[Chop[$CellContext`xunit] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 100., Part[#, 2] >= -100., 
                    Part[#, 3] >= -75., Part[#, 3] <= 75.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx/$CellContext`xunit), \
$CellContext`ry - ($CellContext`rx $CellContext`yunit)/$CellContext`xunit, \
$CellContext`rz - ($CellContext`rx $CellContext`zunit)/$CellContext`xunit}]}, \
{{-1., 0., 0.}}]; AppendTo[$CellContext`intersections, {-1., 0., 
                    0.}]; $CellContext`holeQ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid - 16599.] == 0., N[
                    Chop[$CellContext`ray1]] < 
                    0.0001]], $CellContext`generationnumber == 
                    1.], $CellContext`minresonateraylength = 
                    0., $CellContext`minresonateraylength = 0.0001]; 
                    Block[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 1.; $CellContext`dummymatrix = 
                    Union[
                    
                    Select[$CellContext`intersections, ({$CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy} = #; 
                    Or[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`RayL]] >= \
$CellContext`minresonateraylength])& ]]; $CellContext`intersections = \
$CellContext`dummymatrix]; $CellContext`unfilteredintersections = \
$CellContext`intersections; 
                    If[Length[$CellContext`intersections] > 
                    1, $CellContext`dummymatrix = 
                    Take[$CellContext`intersections, {
                    2}]; $CellContext`intersections = \
$CellContext`dummymatrix; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist, \
$CellContext`intersections]; If[$CellContext`holeQ, 
                    AppendTo[$CellContext`holeQlist, 1], 
                    AppendTo[$CellContext`holeQlist, 
                    0]]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`index1 = $CellContext`index; $CellContext`xunit = \
$CellContext`r1; $CellContext`yunit = $CellContext`r2; $CellContext`zunit = \
$CellContext`r3; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = $CellContext`rex; \
$CellContext`ry = $CellContext`rey; $CellContext`rz = $CellContext`rez; \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = 
                    If[Chop[$CellContext`xunit] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 75., Part[#, 2] >= -75., Part[#, 3] >= -75.,
                     Part[#, 3] <= 75.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx/$CellContext`xunit), \
$CellContext`ry - ($CellContext`rx $CellContext`yunit)/$CellContext`xunit, \
$CellContext`rz - ($CellContext`rx $CellContext`zunit)/$CellContext`xunit}]}, \
{{-1., 0., 0.}}]; AppendTo[$CellContext`intersections, {-1., 0., 
                    0.}]; $CellContext`holeQ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid - 16600.] == 0., N[
                    Chop[$CellContext`ray1]] < 
                    0.0001]], $CellContext`generationnumber == 
                    1.], $CellContext`minresonateraylength = 
                    0., $CellContext`minresonateraylength = 0.0001]; 
                    Block[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 1.; $CellContext`dummymatrix = 
                    Union[
                    
                    Select[$CellContext`intersections, ({$CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy} = #; 
                    Or[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`RayL]] >= \
$CellContext`minresonateraylength])& ]]; $CellContext`intersections = \
$CellContext`dummymatrix]; $CellContext`unfilteredintersections = \
$CellContext`intersections; 
                    If[Length[$CellContext`intersections] > 
                    1, $CellContext`dummymatrix = 
                    Take[$CellContext`intersections, {
                    2}]; $CellContext`intersections = \
$CellContext`dummymatrix; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist, \
$CellContext`intersections]; If[$CellContext`holeQ, 
                    AppendTo[$CellContext`holeQlist, 1], 
                    AppendTo[$CellContext`holeQlist, 
                    0]]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`index1 = $CellContext`index; $CellContext`xunit = \
-$CellContext`r2; $CellContext`yunit = $CellContext`r1; $CellContext`zunit = \
$CellContext`r3; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = -(-75. + \
$CellContext`rey); $CellContext`ry = -100. + $CellContext`rex; \
$CellContext`rz = $CellContext`rez; $CellContext`rx = 
                    Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = 
                    If[Chop[$CellContext`xunit] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 100., Part[#, 2] >= -100., 
                    Part[#, 3] >= -75., Part[#, 3] <= 75.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx/$CellContext`xunit), \
$CellContext`ry - ($CellContext`rx $CellContext`yunit)/$CellContext`xunit, \
$CellContext`rz - ($CellContext`rx $CellContext`zunit)/$CellContext`xunit}]}, \
{{-1., 0., 0.}}]; AppendTo[$CellContext`intersections, {-1., 0., 
                    0.}]; $CellContext`holeQ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid - 16601.] == 0., N[
                    Chop[$CellContext`ray1]] < 
                    0.0001]], $CellContext`generationnumber == 
                    1.], $CellContext`minresonateraylength = 
                    0., $CellContext`minresonateraylength = 0.0001]; 
                    Block[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 1.; $CellContext`dummymatrix = 
                    Union[
                    
                    Select[$CellContext`intersections, ({$CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy} = #; 
                    Or[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`RayL]] >= \
$CellContext`minresonateraylength])& ]]; $CellContext`intersections = \
$CellContext`dummymatrix]; $CellContext`unfilteredintersections = \
$CellContext`intersections; 
                    If[Length[$CellContext`intersections] > 
                    1, $CellContext`dummymatrix = 
                    Take[$CellContext`intersections, {
                    2}]; $CellContext`intersections = \
$CellContext`dummymatrix; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist, \
$CellContext`intersections]; If[$CellContext`holeQ, 
                    AppendTo[$CellContext`holeQlist, 1], 
                    AppendTo[$CellContext`holeQlist, 
                    0]]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`index1 = $CellContext`index; $CellContext`xunit = \
$CellContext`r3; $CellContext`yunit = $CellContext`r2; $CellContext`zunit = \
-$CellContext`r1; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = 
                    75. + $CellContext`rez; $CellContext`ry = \
$CellContext`rey; $CellContext`rz = -(-100. + $CellContext`rex); \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = 
                    If[Chop[$CellContext`xunit] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 75., Part[#, 2] >= -75., 
                    Part[#, 3] >= -100., Part[#, 3] <= 100.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx/$CellContext`xunit), \
$CellContext`ry - ($CellContext`rx $CellContext`yunit)/$CellContext`xunit, \
$CellContext`rz - ($CellContext`rx $CellContext`zunit)/$CellContext`xunit}]}, \
{{-1., 0., 0.}}]; AppendTo[$CellContext`intersections, {-1., 0., 
                    0.}]; $CellContext`holeQ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid - 16602.] == 0., N[
                    Chop[$CellContext`ray1]] < 
                    0.0001]], $CellContext`generationnumber == 
                    1.], $CellContext`minresonateraylength = 
                    0., $CellContext`minresonateraylength = 0.0001]; 
                    Block[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 1.; $CellContext`dummymatrix = 
                    Union[
                    
                    Select[$CellContext`intersections, ({$CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy} = #; 
                    Or[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`RayL]] >= \
$CellContext`minresonateraylength])& ]]; $CellContext`intersections = \
$CellContext`dummymatrix]; $CellContext`unfilteredintersections = \
$CellContext`intersections; 
                    If[Length[$CellContext`intersections] > 
                    1, $CellContext`dummymatrix = 
                    Take[$CellContext`intersections, {
                    2}]; $CellContext`intersections = \
$CellContext`dummymatrix; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist, \
$CellContext`intersections]; If[$CellContext`holeQ, 
                    AppendTo[$CellContext`holeQlist, 1], 
                    AppendTo[$CellContext`holeQlist, 
                    0]]; {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`oldgenerationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3} = #; \
$CellContext`index1 = $CellContext`index; $CellContext`xunit = \
-$CellContext`r3; $CellContext`yunit = -$CellContext`r2; $CellContext`zunit = \
-$CellContext`r1; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = -(-75. + \
$CellContext`rez); $CellContext`ry = -$CellContext`rey; $CellContext`rz = \
-(-100. + $CellContext`rex); $CellContext`rx = 
                    Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = 
                    If[Chop[$CellContext`xunit] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 75., Part[#, 2] >= -75., 
                    Part[#, 3] >= -100., Part[#, 3] <= 100.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 
                    0.}]& )[{-($CellContext`rx/$CellContext`xunit), \
$CellContext`ry - ($CellContext`rx $CellContext`yunit)/$CellContext`xunit, \
$CellContext`rz - ($CellContext`rx $CellContext`zunit)/$CellContext`xunit}]}, \
{{-1., 0., 0.}}]; AppendTo[$CellContext`intersections, {-1., 0., 
                    0.}]; $CellContext`holeQ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid - 16603.] == 0., N[
                    Chop[$CellContext`ray1]] < 
                    0.0001]], $CellContext`generationnumber == 
                    1.], $CellContext`minresonateraylength = 
                    0., $CellContext`minresonateraylength = 0.0001]; 
                    Block[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy}, $CellContext`RayL = 1.; $CellContext`SCx = 
                    1.; $CellContext`SCy = 1.; $CellContext`dummymatrix = 
                    Union[
                    
                    Select[$CellContext`intersections, ({$CellContext`RayL, \
$CellContext`SCx, $CellContext`SCy} = #; 
                    Or[{$CellContext`RayL, $CellContext`SCx, \
$CellContext`SCy} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`RayL]] >= \
$CellContext`minresonateraylength])& ]]; $CellContext`intersections = \
$CellContext`dummymatrix]; $CellContext`unfilteredintersections = \
$CellContext`intersections; 
                    If[Length[$CellContext`intersections] > 
                    1, $CellContext`dummymatrix = 
                    Take[$CellContext`intersections, {
                    2}]; $CellContext`intersections = \
$CellContext`dummymatrix; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist, \
$CellContext`intersections]; If[$CellContext`holeQ, 
                    AppendTo[$CellContext`holeQlist, 1], 
                    AppendTo[$CellContext`holeQlist, 
                    0]]); $CellContext`holeQlist = 
                    Drop[$CellContext`holeQlist, 1]; 
                    Drop[$CellContext`intersectionslist, 1]]); 
                    Which[$CellContext`resonatenumber == 
                    1, {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`index1 = $CellContext`index; \
$CellContext`xunit = -$CellContext`r1; $CellContext`yunit = -$CellContext`r2; \
$CellContext`zunit = $CellContext`r3; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = -(-200. + \
$CellContext`rex); $CellContext`ry = -$CellContext`rey; $CellContext`rz = \
$CellContext`rez; $CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = \
$CellContext`resonateintersections; $CellContext`holeQ = 
                    Part[$CellContext`holeQlist, $CellContext`resonatenumber] == 
                    1; {$CellContext`newcomponentnumber, \
$CellContext`newsurfacenumber, $CellContext`newsurfaceid} = {2., 1., 
                    16598.}; {$CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid} = {2., 1., 
                    16598.}; {$CellContext`ray1, $CellContext`ray2, \
$CellContext`ray3} = Part[$CellContext`intersections, 
                    1]; $CellContext`rsx = $CellContext`rex; $CellContext`rsy = \
$CellContext`rey; $CellContext`rsz = $CellContext`rez; $CellContext`rxhlp = \
$CellContext`rx + $CellContext`ray1 $CellContext`xunit; $CellContext`ryhlp = \
$CellContext`ry + $CellContext`ray1 $CellContext`yunit; $CellContext`rzhlp = \
$CellContext`rz + $CellContext`ray1 $CellContext`zunit; $CellContext`rex = 
                    200. - 1. $CellContext`rxhlp; $CellContext`rey = \
-$CellContext`ryhlp; $CellContext`rez = $CellContext`rzhlp; $CellContext`rex = 
                    Chop[$CellContext`rex]; $CellContext`rey = 
                    Chop[$CellContext`rey]; $CellContext`rez = 
                    Chop[$CellContext`rez]; If[
                    
                    And[$CellContext`rex == 0, $CellContext`rey == 
                    0, $CellContext`rez == 0], $CellContext`rex = 
                    200. + $CellContext`rxhlp; $CellContext`rey = \
$CellContext`ryhlp; $CellContext`rez = $CellContext`rzhlp, $CellContext`rex]; \
$CellContext`intersectionnumber = $CellContext`intersectionnumber + 
                    1.; $CellContext`opticallength = \
$CellContext`opticallength + $CellContext`ray1 $CellContext`index1; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`reportedrayspresent = True; $CellContext`intersectionspresent = 
                    True; $CellContext`deflectedrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = 
                    True; ($CellContext`surfnorm = 
                    1. Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 
                    1}}]; $CellContext`dummymatrix = 
                    Map[Dot[{{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm]; $CellContext`surfnorm = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix]; \
$CellContext`surfacerotationmatrix = {{-1., 0, 0}, {0, -1., 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector = {
                    200., 0, 0}; $CellContext`activeregion = 
                    0.; $CellContext`completedray = {$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`componentnumber = $CellContext`newcomponentnumber; \
$CellContext`surfacenumber = $CellContext`newsurfacenumber; \
$CellContext`surfaceid = $CellContext`newsurfaceid; $CellContext`originalray = \
{$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, $CellContext`rex, \
$CellContext`rey, $CellContext`rez, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`intensity = 
                    0.; $CellContext`allcreatedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}); \
{$CellContext`allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., -1.7976931348623157`*^308, 1., 1., 1.,
                     1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 
                    1.}}, {$CellContext`completedray}}, \
$CellContext`resonatenumber == 
                    2, {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`index1 = $CellContext`index; \
$CellContext`xunit = $CellContext`r2; $CellContext`yunit = -$CellContext`r1; \
$CellContext`zunit = $CellContext`r3; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = 
                    75. + $CellContext`rey; $CellContext`ry = -(-100. + \
$CellContext`rex); $CellContext`rz = $CellContext`rez; $CellContext`rx = 
                    Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = \
$CellContext`resonateintersections; $CellContext`holeQ = 
                    Part[$CellContext`holeQlist, $CellContext`resonatenumber] == 
                    1; {$CellContext`newcomponentnumber, \
$CellContext`newsurfacenumber, $CellContext`newsurfaceid} = {2., 2., 
                    16599.}; {$CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid} = {2., 2., 
                    16599.}; {$CellContext`ray1, $CellContext`ray2, \
$CellContext`ray3} = Part[$CellContext`intersections, 
                    1]; $CellContext`rsx = $CellContext`rex; $CellContext`rsy = \
$CellContext`rey; $CellContext`rsz = $CellContext`rez; $CellContext`rxhlp = \
$CellContext`rx + $CellContext`ray1 $CellContext`xunit; $CellContext`ryhlp = \
$CellContext`ry + $CellContext`ray1 $CellContext`yunit; $CellContext`rzhlp = \
$CellContext`rz + $CellContext`ray1 $CellContext`zunit; $CellContext`rex = 
                    100. - 1. $CellContext`ryhlp; $CellContext`rey = -75. + \
$CellContext`rxhlp; $CellContext`rez = $CellContext`rzhlp; $CellContext`rex = 
                    Chop[$CellContext`rex]; $CellContext`rey = 
                    Chop[$CellContext`rey]; $CellContext`rez = 
                    Chop[$CellContext`rez]; If[
                    
                    And[$CellContext`rex == 0, $CellContext`rey == 
                    0, $CellContext`rez == 0], $CellContext`rex = 
                    100. + $CellContext`rxhlp; $CellContext`rey = -75. + \
$CellContext`ryhlp; $CellContext`rez = $CellContext`rzhlp, $CellContext`rex]; \
$CellContext`intersectionnumber = $CellContext`intersectionnumber + 
                    1.; $CellContext`opticallength = \
$CellContext`opticallength + $CellContext`ray1 $CellContext`index1; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`reportedrayspresent = True; $CellContext`intersectionspresent = 
                    True; $CellContext`deflectedrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = 
                    True; ($CellContext`surfnorm = 
                    1. Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 
                    1}}]; $CellContext`dummymatrix = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm]; $CellContext`surfnorm = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix]; \
$CellContext`surfacerotationmatrix = {{0, 1., 0}, {-1., 0, 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector = {
                    100., -75., 0}; $CellContext`activeregion = 
                    0.; $CellContext`completedray = {$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`componentnumber = $CellContext`newcomponentnumber; \
$CellContext`surfacenumber = $CellContext`newsurfacenumber; \
$CellContext`surfaceid = $CellContext`newsurfaceid; $CellContext`originalray = \
{$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, $CellContext`rex, \
$CellContext`rey, $CellContext`rez, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`intensity = 
                    0.; $CellContext`allcreatedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}); \
{$CellContext`allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., -1.7976931348623157`*^308, 1., 1., 1.,
                     1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 
                    1.}}, {$CellContext`completedray}}, \
$CellContext`resonatenumber == 
                    3, {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`index1 = $CellContext`index; \
$CellContext`xunit = $CellContext`r1; $CellContext`yunit = $CellContext`r2; \
$CellContext`zunit = $CellContext`r3; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = $CellContext`rex; \
$CellContext`ry = $CellContext`rey; $CellContext`rz = $CellContext`rez; \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = \
$CellContext`resonateintersections; $CellContext`holeQ = 
                    Part[$CellContext`holeQlist, $CellContext`resonatenumber] == 
                    1; {$CellContext`newcomponentnumber, \
$CellContext`newsurfacenumber, $CellContext`newsurfaceid} = {2., 3., 
                    16600.}; {$CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid} = {2., 3., 
                    16600.}; {$CellContext`ray1, $CellContext`ray2, \
$CellContext`ray3} = Part[$CellContext`intersections, 
                    1]; $CellContext`rsx = $CellContext`rex; $CellContext`rsy = \
$CellContext`rey; $CellContext`rsz = $CellContext`rez; $CellContext`rxhlp = \
$CellContext`rx + $CellContext`ray1 $CellContext`xunit; $CellContext`ryhlp = \
$CellContext`ry + $CellContext`ray1 $CellContext`yunit; $CellContext`rzhlp = \
$CellContext`rz + $CellContext`ray1 $CellContext`zunit; $CellContext`rex = \
$CellContext`rxhlp; $CellContext`rey = $CellContext`ryhlp; $CellContext`rez = \
$CellContext`rzhlp; $CellContext`rex = 
                    Chop[$CellContext`rex]; $CellContext`rey = 
                    Chop[$CellContext`rey]; $CellContext`rez = 
                    Chop[$CellContext`rez]; If[
                    
                    And[$CellContext`rex == 0, $CellContext`rey == 
                    0, $CellContext`rez == 
                    0], $CellContext`rex = $CellContext`rxhlp; \
$CellContext`rey = $CellContext`ryhlp; $CellContext`rez = $CellContext`rzhlp, \
$CellContext`rex]; $CellContext`intersectionnumber = \
$CellContext`intersectionnumber + 
                    1.; $CellContext`opticallength = \
$CellContext`opticallength + $CellContext`ray1 $CellContext`index1; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`reportedrayspresent = True; $CellContext`intersectionspresent = 
                    True; $CellContext`deflectedrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = 
                    True; ($CellContext`surfnorm = 
                    1. Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 
                    1}}]; $CellContext`dummymatrix = 
                    Map[#& , $CellContext`surfnorm]; $CellContext`surfnorm = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix]; \
$CellContext`surfacerotationmatrix = {{1, 0, 0}, {0, 1, 0}, {0, 0, 
                    1}}; $CellContext`surfacetranslationvector = {0, 0, 
                    0}; $CellContext`activeregion = 
                    0.; $CellContext`completedray = {$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`componentnumber = $CellContext`newcomponentnumber; \
$CellContext`surfacenumber = $CellContext`newsurfacenumber; \
$CellContext`surfaceid = $CellContext`newsurfaceid; $CellContext`originalray = \
{$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, $CellContext`rex, \
$CellContext`rey, $CellContext`rez, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`intensity = 
                    0.; $CellContext`allcreatedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}); \
{$CellContext`allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., -1.7976931348623157`*^308, 1., 1., 1.,
                     1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 
                    1.}}, {$CellContext`completedray}}, \
$CellContext`resonatenumber == 
                    4, {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`index1 = $CellContext`index; \
$CellContext`xunit = -$CellContext`r2; $CellContext`yunit = $CellContext`r1; \
$CellContext`zunit = $CellContext`r3; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = -(-75. + \
$CellContext`rey); $CellContext`ry = -100. + $CellContext`rex; \
$CellContext`rz = $CellContext`rez; $CellContext`rx = 
                    Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = \
$CellContext`resonateintersections; $CellContext`holeQ = 
                    Part[$CellContext`holeQlist, $CellContext`resonatenumber] == 
                    1; {$CellContext`newcomponentnumber, \
$CellContext`newsurfacenumber, $CellContext`newsurfaceid} = {2., 4., 
                    16601.}; {$CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid} = {2., 4., 
                    16601.}; {$CellContext`ray1, $CellContext`ray2, \
$CellContext`ray3} = Part[$CellContext`intersections, 
                    1]; $CellContext`rsx = $CellContext`rex; $CellContext`rsy = \
$CellContext`rey; $CellContext`rsz = $CellContext`rez; $CellContext`rxhlp = \
$CellContext`rx + $CellContext`ray1 $CellContext`xunit; $CellContext`ryhlp = \
$CellContext`ry + $CellContext`ray1 $CellContext`yunit; $CellContext`rzhlp = \
$CellContext`rz + $CellContext`ray1 $CellContext`zunit; $CellContext`rex = 
                    100. + $CellContext`ryhlp; $CellContext`rey = 
                    75. - 1. $CellContext`rxhlp; $CellContext`rez = \
$CellContext`rzhlp; $CellContext`rex = 
                    Chop[$CellContext`rex]; $CellContext`rey = 
                    Chop[$CellContext`rey]; $CellContext`rez = 
                    Chop[$CellContext`rez]; If[
                    
                    And[$CellContext`rex == 0, $CellContext`rey == 
                    0, $CellContext`rez == 0], $CellContext`rex = 
                    100. + $CellContext`rxhlp; $CellContext`rey = 
                    75. + $CellContext`ryhlp; $CellContext`rez = \
$CellContext`rzhlp, $CellContext`rex]; $CellContext`intersectionnumber = \
$CellContext`intersectionnumber + 
                    1.; $CellContext`opticallength = \
$CellContext`opticallength + $CellContext`ray1 $CellContext`index1; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`reportedrayspresent = True; $CellContext`intersectionspresent = 
                    True; $CellContext`deflectedrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = 
                    True; ($CellContext`surfnorm = 
                    1. Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 
                    1}}]; $CellContext`dummymatrix = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm]; $CellContext`surfnorm = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix]; \
$CellContext`surfacerotationmatrix = {{0, -1., 0}, {1., 0, 0}, {
                    0, 0, 1.}}; $CellContext`surfacetranslationvector = {
                    100., 75., 0}; $CellContext`activeregion = 
                    0.; $CellContext`completedray = {$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`componentnumber = $CellContext`newcomponentnumber; \
$CellContext`surfacenumber = $CellContext`newsurfacenumber; \
$CellContext`surfaceid = $CellContext`newsurfaceid; $CellContext`originalray = \
{$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, $CellContext`rex, \
$CellContext`rey, $CellContext`rez, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`intensity = 
                    0.; $CellContext`allcreatedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}); \
{$CellContext`allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., -1.7976931348623157`*^308, 1., 1., 1.,
                     1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 
                    1.}}, {$CellContext`completedray}}, \
$CellContext`resonatenumber == 
                    5, {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`index1 = $CellContext`index; \
$CellContext`xunit = $CellContext`r3; $CellContext`yunit = $CellContext`r2; \
$CellContext`zunit = -$CellContext`r1; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = 
                    75. + $CellContext`rez; $CellContext`ry = \
$CellContext`rey; $CellContext`rz = -(-100. + $CellContext`rex); \
$CellContext`rx = Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = \
$CellContext`resonateintersections; $CellContext`holeQ = 
                    Part[$CellContext`holeQlist, $CellContext`resonatenumber] == 
                    1; {$CellContext`newcomponentnumber, \
$CellContext`newsurfacenumber, $CellContext`newsurfaceid} = {2., 5., 
                    16602.}; {$CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid} = {2., 5., 
                    16602.}; {$CellContext`ray1, $CellContext`ray2, \
$CellContext`ray3} = Part[$CellContext`intersections, 
                    1]; $CellContext`rsx = $CellContext`rex; $CellContext`rsy = \
$CellContext`rey; $CellContext`rsz = $CellContext`rez; $CellContext`rxhlp = \
$CellContext`rx + $CellContext`ray1 $CellContext`xunit; $CellContext`ryhlp = \
$CellContext`ry + $CellContext`ray1 $CellContext`yunit; $CellContext`rzhlp = \
$CellContext`rz + $CellContext`ray1 $CellContext`zunit; $CellContext`rex = 
                    100. - 1. $CellContext`rzhlp; $CellContext`rey = \
$CellContext`ryhlp; $CellContext`rez = -75. + $CellContext`rxhlp; \
$CellContext`rex = Chop[$CellContext`rex]; $CellContext`rey = 
                    Chop[$CellContext`rey]; $CellContext`rez = 
                    Chop[$CellContext`rez]; If[
                    
                    And[$CellContext`rex == 0, $CellContext`rey == 
                    0, $CellContext`rez == 0], $CellContext`rex = 
                    100. + $CellContext`rxhlp; $CellContext`rey = \
$CellContext`ryhlp; $CellContext`rez = -75. + $CellContext`rzhlp, \
$CellContext`rex]; $CellContext`intersectionnumber = \
$CellContext`intersectionnumber + 
                    1.; $CellContext`opticallength = \
$CellContext`opticallength + $CellContext`ray1 $CellContext`index1; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`reportedrayspresent = True; $CellContext`intersectionspresent = 
                    True; $CellContext`deflectedrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = 
                    True; ($CellContext`surfnorm = 
                    1. Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 
                    1}}]; $CellContext`dummymatrix = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm]; $CellContext`surfnorm = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix]; \
$CellContext`surfacerotationmatrix = {{0, 0, 1.}, {
                    0, 1., 0}, {-1., 0, 
                    0}}; $CellContext`surfacetranslationvector = {
                    100., 0, -75.}; $CellContext`activeregion = 
                    0.; $CellContext`completedray = {$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`componentnumber = $CellContext`newcomponentnumber; \
$CellContext`surfacenumber = $CellContext`newsurfacenumber; \
$CellContext`surfaceid = $CellContext`newsurfaceid; $CellContext`originalray = \
{$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, $CellContext`rex, \
$CellContext`rey, $CellContext`rez, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`intensity = 
                    0.; $CellContext`allcreatedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}); \
{$CellContext`allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., -1.7976931348623157`*^308, 1., 1., 1.,
                     1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 
                    1.}}, {$CellContext`completedray}}, \
$CellContext`resonatenumber == 
                    6, {$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, \
$CellContext`rex, $CellContext`rey, $CellContext`rez, $CellContext`r1, \
$CellContext`r2, $CellContext`r3, $CellContext`r4, $CellContext`r5, \
$CellContext`r6, $CellContext`r7, $CellContext`r8, $CellContext`r9, \
$CellContext`wavelength, $CellContext`intensity, $CellContext`intensityscale, \
$CellContext`ray1, $CellContext`index, $CellContext`opticallength, \
$CellContext`phaseshift, $CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid, $CellContext`ray2, \
$CellContext`ray3, $CellContext`sid, $CellContext`frontid, $CellContext`sno1, \
$CellContext`sno2, $CellContext`sno3, $CellContext`sno4, \
$CellContext`rayslot, $CellContext`oldgenerationnumber, \
$CellContext`intersectionnumber, $CellContext`pol1, $CellContext`pol2, \
$CellContext`pol3} = #; $CellContext`index1 = $CellContext`index; \
$CellContext`xunit = -$CellContext`r3; $CellContext`yunit = -$CellContext`r2; \
$CellContext`zunit = -$CellContext`r1; $CellContext`xunit = 
                    Chop[$CellContext`xunit]; $CellContext`yunit = 
                    Chop[$CellContext`yunit]; $CellContext`zunit = 
                    Chop[$CellContext`zunit]; $CellContext`magnitude = \
($CellContext`xunit^2 + $CellContext`yunit^2 + $CellContext`zunit^2)^(
                    2^(-1)); $CellContext`xunit = \
$CellContext`xunit/$CellContext`magnitude; $CellContext`yunit = \
$CellContext`yunit/$CellContext`magnitude; $CellContext`zunit = \
$CellContext`zunit/$CellContext`magnitude; $CellContext`rx = -(-75. + \
$CellContext`rez); $CellContext`ry = -$CellContext`rey; $CellContext`rz = \
-(-100. + $CellContext`rex); $CellContext`rx = 
                    Chop[$CellContext`rx]; $CellContext`ry = 
                    Chop[$CellContext`ry]; $CellContext`rz = 
                    Chop[$CellContext`rz]; $CellContext`terminatedeflection = 
                    False; $CellContext`intersections = {{-1., 0., 
                    0.}}; $CellContext`intersections = \
$CellContext`resonateintersections; $CellContext`holeQ = 
                    Part[$CellContext`holeQlist, $CellContext`resonatenumber] == 
                    1; {$CellContext`newcomponentnumber, \
$CellContext`newsurfacenumber, $CellContext`newsurfaceid} = {2., 6., 
                    16603.}; {$CellContext`componentnumber, \
$CellContext`surfacenumber, $CellContext`surfaceid} = {2., 6., 
                    16603.}; {$CellContext`ray1, $CellContext`ray2, \
$CellContext`ray3} = Part[$CellContext`intersections, 
                    1]; $CellContext`rsx = $CellContext`rex; $CellContext`rsy = \
$CellContext`rey; $CellContext`rsz = $CellContext`rez; $CellContext`rxhlp = \
$CellContext`rx + $CellContext`ray1 $CellContext`xunit; $CellContext`ryhlp = \
$CellContext`ry + $CellContext`ray1 $CellContext`yunit; $CellContext`rzhlp = \
$CellContext`rz + $CellContext`ray1 $CellContext`zunit; $CellContext`rex = 
                    100. - 1. $CellContext`rzhlp; $CellContext`rey = \
-$CellContext`ryhlp; $CellContext`rez = 
                    75. - 1. $CellContext`rxhlp; $CellContext`rex = 
                    Chop[$CellContext`rex]; $CellContext`rey = 
                    Chop[$CellContext`rey]; $CellContext`rez = 
                    Chop[$CellContext`rez]; If[
                    
                    And[$CellContext`rex == 0, $CellContext`rey == 
                    0, $CellContext`rez == 0], $CellContext`rex = 
                    100. + $CellContext`rxhlp; $CellContext`rey = \
$CellContext`ryhlp; $CellContext`rez = 
                    
                    75. + $CellContext`rzhlp, $CellContext`rex]; \
$CellContext`intersectionnumber = $CellContext`intersectionnumber + 
                    1.; $CellContext`opticallength = \
$CellContext`opticallength + $CellContext`ray1 $CellContext`index1; \
$CellContext`completedray = {$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`reportedrayspresent = True; $CellContext`intersectionspresent = 
                    True; $CellContext`deflectedrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = 
                    True; ($CellContext`surfnorm = 
                    1. Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 
                    1}}]; $CellContext`dummymatrix = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm]; $CellContext`surfnorm = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix]; \
$CellContext`surfacerotationmatrix = {{0, 0, -1.}, {
                    0, -1., 0}, {-1., 0, 
                    0}}; $CellContext`surfacetranslationvector = {
                    100., 0, 75.}; $CellContext`activeregion = 
                    0.; $CellContext`completedray = {$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`componentnumber = $CellContext`newcomponentnumber; \
$CellContext`surfacenumber = $CellContext`newsurfacenumber; \
$CellContext`surfaceid = $CellContext`newsurfaceid; $CellContext`originalray = \
{$CellContext`rsx, $CellContext`rsy, $CellContext`rsz, $CellContext`rex, \
$CellContext`rey, $CellContext`rez, $CellContext`r1, $CellContext`r2, \
$CellContext`r3, $CellContext`r4, $CellContext`r5, $CellContext`r6, \
$CellContext`r7, $CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}; \
$CellContext`intensity = 
                    0.; $CellContext`allcreatedrays = {{$CellContext`rsx, \
$CellContext`rsy, $CellContext`rsz, $CellContext`rex, $CellContext`rey, \
$CellContext`rez, $CellContext`r1, $CellContext`r2, $CellContext`r3, \
$CellContext`r4, $CellContext`r5, $CellContext`r6, $CellContext`r7, \
$CellContext`r8, $CellContext`r9, $CellContext`wavelength, \
$CellContext`intensity, $CellContext`intensityscale, $CellContext`ray1, \
$CellContext`index, $CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}); \
{$CellContext`allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., -1.7976931348623157`*^308, 1., 1., 1.,
                     1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 1.}}, {$CellContext`completedray}}, 
                    True, $CellContext`deflecteddummyrayspresent = 
                    True; $CellContext`reporteddummyrayspresent = 
                    True; $CellContext`localoutrayspresent = 
                    True; {{{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., -1.7976931348623157`*^308, 1., 1., 1., 1.,
                     0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 
                    1.}}, {{$CellContext`rsx, $CellContext`rsy, \
$CellContext`rsz, $CellContext`rex, $CellContext`rey, $CellContext`rez, \
$CellContext`r1, $CellContext`r2, $CellContext`r3, $CellContext`r4, \
$CellContext`r5, $CellContext`r6, $CellContext`r7, $CellContext`r8, \
$CellContext`r9, $CellContext`wavelength, $CellContext`intensity, \
$CellContext`intensityscale, $CellContext`ray1, $CellContext`index, \
$CellContext`opticallength, $CellContext`phaseshift, \
$CellContext`componentnumber, $CellContext`surfacenumber, \
$CellContext`surfaceid, $CellContext`ray2, $CellContext`ray3, \
$CellContext`sid, $CellContext`frontid, $CellContext`sno1, $CellContext`sno2, \
$CellContext`sno3, $CellContext`sno4, $CellContext`rayslot, \
$CellContext`generationnumber, $CellContext`intersectionnumber, \
$CellContext`pol1, $CellContext`pol2, $CellContext`pol3}}, {{1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.,
                     1., 1., 1., 
                    1.}}}], $CellContext`deflecteddummyrayspresent = 
                    True; $CellContext`reporteddummyrayspresent = 
                    True; $CellContext`localdummyoutrayspresent = True; {{{1.,
                     1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.,
                     1., 1., 1., 1.}}, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 1., 1., -1.7976931348623157`*^308, 1.,
                     1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 1., 1., 1.}}, {{1., 1., 1., 1., 1., 
                    1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 
                    1., -1.7976931348623157`*^308, 1., 1., 1., 1., 
                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.,
                     1., 1., 1., 1.}}}])& , $CellContext`inrays]]]; If[
                  
                  And[$CellContext`deflectedrayspresent, \
$CellContext`deflecteddummyrayspresent], $CellContext`deflectedlocalrays = 
                  Select[$CellContext`deflectedlocalrays, Part[#, 23] > 0.& ] 
                   1., 1.]; 
                If[$CellContext`localoutrayspresent, 
                  If[$CellContext`localdummyoutrayspresent, \
$CellContext`localoutrays = 
                    Select[$CellContext`localoutrays, Part[#, 23] > 0.& ]; 1.,
                     1.]; $CellContext`outrays = 
                   Join[$CellContext`outrays, $CellContext`localoutrays]; 1., 
                  1.]; If[
                  
                  And[$CellContext`reportedrayspresent, \
$CellContext`reporteddummyrayspresent], $CellContext`reportedlocalrays = 
                   Select[$CellContext`reportedlocalrays, Part[#, 23] > 0.& ]; 
                  1., 1.]); 
               If[$CellContext`reportedrayspresent, $CellContext`raysreported = 
                  True; $CellContext`reportedrays = 
                  Join[$CellContext`reportedrays, {{-1.7976931348623157`*^308,
                     -1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308, \
-1.7976931348623157`*^308, -1.7976931348623157`*^308}}, \
$CellContext`reportedlocalrays]; 1., 
                 1.]; $CellContext`inrays = $CellContext`deflectedlocalrays; \
$CellContext`propagate = $CellContext`generationnumber < \
$CellContext`generationlimit]; $CellContext`propagatedrays = 
              If[Length[$CellContext`outrays] > 1, 
                Drop[$CellContext`outrays, 1], $CellContext`outrays]; If[
               
               And[$CellContext`generationnumber >= \
$CellContext`generationlimit, $CellContext`deflectedrayspresent], \
$CellContext`propagatedrays = 
                Join[$CellContext`propagatedrays, \
$CellContext`deflectedlocalrays]; 1., 1.]); 
            If[Length[$CellContext`reportedrays] > 
              2, $CellContext`reportedrays = 
              Drop[$CellContext`reportedrays, 2], $CellContext`reportedrays]; 
            Map[{
               Part[#, 1], 
               Part[#, 2], 
               Part[#, 3], 
               Part[#, 4], 
               Part[#, 5], 
               Part[#, 6]}& , $CellContext`reportedrays]]], 
          Evaluate], $CellContext`locatorAll = {
          RGBColor[1/3, 1/3, 1], 
          Disk[{0, 0}, 0.5]}, $CellContext`locatorSize = 
        10, $CellContext`lensWithControls[
          Dynamic[
           Pattern[$CellContext`r1, 
            Blank[]]], 
          Dynamic[
           Pattern[$CellContext`r2, 
            Blank[]]], 
          Dynamic[
           Pattern[$CellContext`a, 
            Blank[]]], 
          Dynamic[
           Pattern[$CellContext`ap, 
            Blank[]]], 
          Dynamic[
           Pattern[$CellContext`x, 
            Blank[]]], 
          Dynamic[
           Pattern[$CellContext`t, 
            Blank[]]], 
          Dynamic[
           Pattern[$CellContext`y, 
            Blank[]]]] := {
          Dynamic[
           Rotate[
            Polygon[
             $CellContext`surface[
             1/$CellContext`r1, 
              1/$CellContext`r2, $CellContext`ap, $CellContext`x, \
$CellContext`t, $CellContext`y]], $CellContext`a, {$CellContext`x, \
$CellContext`y}]], 
          Locator[
           Dynamic[{$CellContext`x, $CellContext`y}], 
           
           Graphics[$CellContext`locatorMaster, 
            ImageSize -> $CellContext`locatorSize]], 
          Locator[
           Dynamic[{$CellContext`x, $CellContext`y} + 5 {
               Cos[$CellContext`a], 
               Sin[$CellContext`a]}, ($CellContext`a = 
            Apply[ArcTan, # - {$CellContext`x, $CellContext`y}])& ], 
           
           Graphics[$CellContext`locatorDot, 
            ImageSize -> $CellContext`locatorSize]], 
          Locator[
           Dynamic[
            $CellContext`rot[{$CellContext`x + $CellContext`t, \
$CellContext`y}, $CellContext`a, {$CellContext`x, $CellContext`y}], \
($CellContext`t = First[
               $CellContext`rot[#, -$CellContext`a, {$CellContext`x, \
$CellContext`y}]] - $CellContext`x)& ], 
           Graphics[$CellContext`locatorLeftRight, 
            ImageSize -> $CellContext`locatorSize]], 
          Locator[
           Dynamic[
            $CellContext`rot[{((1/$CellContext`r1 + $CellContext`x - 
                Sqrt[(1/$CellContext`r1)^2 - ($CellContext`ap/2)^2] 
                Sign[1/$CellContext`r1]) + (
                1/$CellContext`r2 + $CellContext`x - 
                Sqrt[(1/$CellContext`r2)^2 - ($CellContext`ap/2)^2] 
                Sign[1/$CellContext`r2] + $CellContext`t))/
              2, $CellContext`y - $CellContext`ap/
              2}, $CellContext`a, {$CellContext`x, $CellContext`y}], \
($CellContext`ap = 2 ($CellContext`y - Last[
               $CellContext`rot[#, -$CellContext`a, {$CellContext`x, \
$CellContext`y}]]))& ], 
           
           Graphics[$CellContext`locatorUpDown, 
            ImageSize -> $CellContext`locatorSize]], 
          Locator[
           Dynamic[
            $CellContext`rot[{
             1/$CellContext`r1 + $CellContext`x - 
              Sqrt[(1/$CellContext`r1)^2 - ($CellContext`ap/2)^2] 
              Sign[1/$CellContext`r1], $CellContext`y + $CellContext`ap/
               2}, $CellContext`a, {$CellContext`x, $CellContext`y}], \
($CellContext`r1 = With[{$CellContext`c = First[
                 $CellContext`rot[#, -$CellContext`a, {$CellContext`x, \
$CellContext`y}]]}, -((
                8 ($CellContext`x - $CellContext`c))/($CellContext`ap^2 + 
               4 $CellContext`x^2 - (8 $CellContext`x) $CellContext`c + 
               4 $CellContext`c^2))])& ], 
           
           Graphics[$CellContext`locatorLeftRight, 
            ImageSize -> $CellContext`locatorSize]], 
          Locator[
           Dynamic[
            $CellContext`rot[{
             1/$CellContext`r2 + $CellContext`x - 
              Sqrt[(1/$CellContext`r2)^2 - ($CellContext`ap/2)^2] 
              Sign[1/$CellContext`r2] + $CellContext`t, $CellContext`y + \
$CellContext`ap/2}, $CellContext`a, {$CellContext`x, $CellContext`y}], 
            With[{$CellContext`c = First[
                $CellContext`rot[#, -$CellContext`a, {$CellContext`x, \
$CellContext`y}]]}, $CellContext`r2 = -((
                8 ($CellContext`x - ($CellContext`c - \
$CellContext`t)))/($CellContext`ap^2 + 
               4 $CellContext`x^2 - (
                8 $CellContext`x) ($CellContext`c - $CellContext`t) + 
               4 ($CellContext`c - $CellContext`t)^2))]& ], 
           
           Graphics[$CellContext`locatorLeftRight, 
            ImageSize -> $CellContext`locatorSize]]}, $CellContext`surface[
          Pattern[$CellContext`r1, 
           Blank[]], 
          Pattern[$CellContext`r2, 
           Blank[]], 
          Pattern[$CellContext`ap, 
           Blank[]], 
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`y, 
           Blank[]]] := Join[
          
          Table[{$CellContext`r1 + $CellContext`x - 
            Sqrt[$CellContext`r1^2 - $CellContext`yy^2] 
            Sign[$CellContext`r1], $CellContext`y + $CellContext`yy}, \
{$CellContext`yy, -($CellContext`ap/2), $CellContext`ap/2, $CellContext`ap/
            20}], 
          Reverse[
           
           Table[{$CellContext`r2 + $CellContext`x + $CellContext`t - 
             Sqrt[$CellContext`r2^2 - $CellContext`yy^2] 
             Sign[$CellContext`r2], $CellContext`y + $CellContext`yy}, \
{$CellContext`yy, -($CellContext`ap/2), $CellContext`ap/2, $CellContext`ap/
             20}]]], $CellContext`locatorMaster = {
          RGBColor[1, 1/3, 1/3], 
          Disk[{0, 0}, 0.8]}, $CellContext`locatorDot = {
          RGBColor[1/3, 1/3, 1], 
          Disk[{0, 0}, 0.5]}, $CellContext`rot[
          Pattern[$CellContext`pt, 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`cen, 
           Blank[]]] := $CellContext`cen + Dot[{{
             Cos[-$CellContext`a], 
             Sin[-$CellContext`a]}, {-Sin[-$CellContext`a], 
             
             Cos[-$CellContext`a]}}, $CellContext`pt - $CellContext`cen], \
$CellContext`locatorLeftRight = {
          RGBColor[1/3, 1/3, 1], 
          Disk[{0, 0}, 0.5]}, $CellContext`locatorUpDown = {
          RGBColor[1/3, 1/3, 1], 
          Disk[{0, 0}, 0.5]}}; Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`micronsToColor[
           Pattern[$CellContext`m, 
            Blank[]]] := RGBColor[
           
           Abs[(-0.3183098861837907) 
             ArcTan[63.75 - 0.25 
               Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]] + 
            0.3183098861837907 
             ArcTan[43. - 0.1 
               Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]]], 
           Abs[
           0.3183098861837907 
             ArcTan[60. - 0.2 
               Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]] - 
            0.3183098861837907 
            ArcTan[18. - 0.1 
              Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]]], 
           
           Abs[(-0.3183098861837907) 
             ArcTan[10. - 0.2 
               Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]] + 
            0.3183098861837907 
             ArcTan[22.5 - 0.125 
               Abs[-500. + 2. Mod[100. + 500. $CellContext`m, 500.]]]]], 
         "rayfunction = Compile[{as1, wl1, xs1, ys1, aa, ab, apa, apb, ca1, \
ca2, cb1, cb2, ta, tb, xa1, xb1, ya1, yb1}, \n Module[{activeregion, \
allcreatedamplitudes, allcreatedrays, \n   allowzeroraylength, \
alternateindex, amplitude, axismagnitude, \n   axismatrix, clonedata, \
clonegenerationnumber, cloneinput, \n   clonenumber, cloneposition, \
clonereportedrays, clonerotation, \n   clonescale, clonescalevector, \
clonesorthistogram, clonetraceinput, \n   clonetraceoutput, closestdistances, \
closestposition, closestpositions, \n   closestraylength, completedray, \
componentnumber, cosangle, \n   crossmatrix, deflecteddummyrayspresent, \
deflectedlocalrays, deflectedrays, \n   deflectedrayspresent, dummymatrix, \
dummymatrixlist, dummyvector, \n   frontid, generationlimit, \
generationnumber, holeintersections, \n   holeQ, holeQlist, hor, index, \
index1, \n   index2, inrays, intensity, intensityscale, \n   \
intersectionnumber, intersections, intersectionslist, \n   \
intersectionspresent, localdummyoutrayspresent, localoutrays, \n   \
localoutrayspresent, magnitude, maxclonegenerationnumber, maximumposition, \n \
  minimumraylength, minresonateraylength, n12, newcomponentnumber, \n   \
newdeflectedrays, newdistance, newsurfaceid, newsurfacenumber, \n   \
nonintersectingrays, normalizedpolarization, oldgenerationnumber, \n   \
opticallength, originalray, originalraytilt, originalrotation, \n   \
originalsurfnorm, outrays, parallelamplitude, PAxis, \n   \
perpendicularamplitude, phaseshift, pol1, pol2, \n   pol3, previoustilt, \
propagate, propagatedrays, r1, \n   r2, r3, r4, r5, r6, r7, \n   r8, r9, \
ray1, ray2, ray3, RayL, \n   rayslot, raysreported, raytiltx, raytiltz, \n   \
reporteddummyrayspresent, reportedlocalrays, reportedrays, \n   \
reportedrayspresent, resonateintersections, resonatenumber, \n   \
resonateraylength, rex, rey, rez, rotationaxis, \n   rsx, RSx, rsy, RSy, rsz, \
RSz, RTx, RTy, RTz, rx, \n   rxhlp, ry, ryhlp, rz, rzhlp, SCx, SCy, \n   sid, \
sinangle, sno1, sno2, sno3, \n   sno4, surfaceid, surfacenumber, \
surfacerotationmatrix, \n   surfacetranslationvector, surfnorm, symr1, symr2, \
\n   symr3, symr4, symr5, symr6, symr7, \n   symr8, symr9, tempclonedata, \
terminatedeflection, \n   thresholdintensity, tiltmagnitude, transmatrix, \
TV1, TV10, TV2, TV3, TV4, TV5, TV6, TV7, TV8, \n   TV9, u, \
unfilteredintersections, unit, uu, ver, \n   wavelength, XAxis, xunit, YAxis, \
yunit, \n   ZAxis, zunit}, activeregion = 1.; \n   allcreatedamplitudes = \
{{0. + 0.*I, 0. + 0.*I, 0. + 0.*I}}; allcreatedrays = {{1.}}; \n   \
allowzeroraylength = True; alternateindex = 1.; amplitude = {1. + 0.*I, 0. + \
0.*I, 0. + 0.*I}; \n   axismagnitude = 1.; axismatrix = {{1., 0., 0.}, {0., \
1., 0.}, {0., 0., 1.}}; clonedata = {{1.}}; \n   clonegenerationnumber = 1.; \
cloneinput = {1.}; clonenumber = 1; \n   cloneposition = {0., 0., 0.}; \
clonereportedrays = {{1.}}; clonerotation = {{1.}}; \n   clonescale = 1.; \
clonescalevector = {1.}; clonesorthistogram = {1}; \n   clonetraceinput = \
{{1.}}; clonetraceoutput = {{1.}}; closestdistances = {1.}; \n   \
closestposition = 0; closestpositions = {0}; closestraylength = 1.; \n   \
completedray = {1.}; componentnumber = -1.; cosangle = 1.; \n   crossmatrix = \
{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}; deflecteddummyrayspresent = \
False; \n   deflectedlocalrays = {{1.}}; deflectedrays = {{1.}}; \
deflectedrayspresent = False; \n   dummymatrix = {{1.}}; dummymatrixlist = \
{{{1.}}}; dummyvector = {1.}; \n   frontid = 1.; generationlimit = 200.; \
generationnumber = 1.; \n   holeintersections = {{-1., 0., 0.}}; holeQ = \
False; holeQlist = {0}; \n   hor = 1. + 0.*I; index = 1.; index1 = 1.; index2 \
= 1.; \n   inrays = {{1.}}; intensity = 1.; intensityscale = 1.; \n   \
intersectionnumber = 1.; intersections = {{-1., 0., 0.}}; intersectionslist = \
{{{-1., 0., 0.}}}; \n   intersectionspresent = False; \
localdummyoutrayspresent = False; localoutrays = {{1.}}; \n   \
localoutrayspresent = False; magnitude = 1.; maxclonegenerationnumber = 1.; \n\
   maximumposition = 1; minimumraylength = 0.0001; minresonateraylength = 1.; \
\n   n12 = 1.; newcomponentnumber = -1.; newdeflectedrays = {{1.}}; \n   \
newdistance = 1.; newsurfaceid = -1.; newsurfacenumber = -1.; \n   \
nonintersectingrays = {{1.}}; normalizedpolarization = {1., 1.}; \
oldgenerationnumber = 1.; \n   opticallength = 1.; originalray = {1.}; \
originalraytilt = {1.}; \n   originalrotation = {{1., 0., 0.}, {0., 1., 0.}, \
{0., 0., 1.}}; originalsurfnorm = {{1.}}; \n   outrays = {{1.}}; \
parallelamplitude = 1. + 0.*I; PAxis = {1., 0., 0.}; \n   \
perpendicularamplitude = 1. + 0.*I; phaseshift = 0.; pol1 = 1.; pol2 = 1.; \n \
  pol3 = 1.; previoustilt = {1., 0., 0.}; propagate = True; \n   \
propagatedrays = {{1.}}; r1 = 1.; r2 = 1.; r3 = 1.; \n   r4 = 1.; r5 = 1.; r6 \
= 1.; r7 = 1.; r8 = 1.; \n   r9 = 1.; ray1 = 1.; ray2 = 1.; ray3 = 1.; RayL = \
1.; \n   rayslot = 1.; raysreported = False; raytiltx = 1.; raytiltz = 1.; \n \
  reporteddummyrayspresent = False; reportedlocalrays = {{1.}}; reportedrays \
= {{1.}}; \n   reportedrayspresent = False; resonateintersections = {{-1., \
0., 0.}}; resonatenumber = 0; \n   resonateraylength = 1.; rex = 1.; rey = \
1.; rez = 1.; \n   rsx = 1.; RSx = 1.; rsy = 1.; RSy = 1.; rsz = 1.; RSz = \
1.; RTx = 1.; RTy = 1.; RTz = 1.; \n   rx = 1.; rxhlp = 1.; ry = 1.; ryhlp = \
1.; rz = 1.; \n   rzhlp = 1.; SCx = 1.; SCy = 1.; sid = 1.; sinangle = 1.; \
sno1 = 1.; \n   sno2 = 1.; sno3 = 1.; sno4 = 1.; surfaceid = -1.; \n   \
surfacenumber = -1.; surfacerotationmatrix = {{1., 0., 0.}, {0., 1., 0.}, \
{0., 0., 1.}}; \n   surfacetranslationvector = {0., 0., 0.}; surfnorm = \
{{1.}}; symr1 = 1.; \n   symr2 = 1.; symr3 = 1.; symr4 = 1.; symr5 = 1.; \n   \
symr6 = 1.; symr7 = 1.; symr8 = 1.; symr9 = 1.; \n   tempclonedata = {{1.}}; \
terminatedeflection = False; thresholdintensity = 1.; \n   tiltmagnitude = \
1.; transmatrix = {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}}; TV1 = 1.; \
TV10 = 1.; TV2 = 1.; \n   TV3 = 1.; TV4 = 1.; TV5 = 1.; TV6 = 1.; TV7 = 1.; \
TV8 = 1.; TV9 = 1.; u = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}; \n   \
unfilteredintersections = {{-1., 0., 0.}}; unit = {{1., 0., 0.}, {0., 1., \
0.}, {0., 0., 1.}}; \n   uu = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}; ver \
= 0. + 0.*I; wavelength = 1.; \n   XAxis = {1., 0., 0.}; xunit = 1.; YAxis = \
{1., 0., 0.}; yunit = 1.; \n   ZAxis = {1., 0., 0.}; zunit = 1.; \
propagatedrays = \n    Join[{symr1, symr2, symr3, symr4, symr5, \n        \
symr6, symr7, symr8, symr9} = \n       {Cos[as1*Degree], Sin[as1*Degree], 0, \
-Sin[as1*Degree], Cos[as1*Degree], 0, 0, 0, 1}; \n      (({rsx, rsy, rsz, \
rex, rey, \n           rez, r1, r2, r3, r4, \n           r5, r6, r7, r8, r9, \
\n           wavelength, intensity, intensityscale, ray1, \n           index, \
opticallength, phaseshift, componentnumber, \n           surfacenumber, \
surfaceid, ray2, ray3, sid, \n           frontid, sno1, sno2, sno3, sno4, \n  \
         rayslot, oldgenerationnumber, intersectionnumber, pol1, \n           \
pol2, pol3} = #1; wavelength = wl1; \n         {TV1, TV2, TV3} = {rsx*symr1 + \
rsy*symr4 + \n            rsz*symr7 + xs1, rsx*symr2 + \n            \
rsy*symr5 + rsz*symr8 + ys1, \n           rsx*symr3 + rsy*symr6 + \n          \
  rsz*symr9}; {rsx, rsy, rsz} = \n          {TV1, TV2, TV3}; {TV1, TV2, TV3} \
= {rex*symr1 + rey*symr4 + \n            rez*symr7 + xs1, rex*symr2 + \n      \
      rey*symr5 + rez*symr8 + ys1, \n           rex*symr3 + rey*symr6 + \n    \
        rez*symr9}; {rex, rey, rez} = \n          {TV1, TV2, TV3}; {TV1, TV2, \
TV3} = {r1*symr1 + r2*symr4 + \n            r3*symr7, r1*symr2 + r2*\n        \
     symr5 + r3*symr8, r1*symr3 + \n            r2*symr6 + r3*symr9}; \n      \
   {TV4, TV5, TV6} = {r4*symr1 + r5*symr4 + \n            r6*symr7, r4*symr2 \
+ r5*\n             symr5 + r6*symr8, r4*symr3 + \n            r5*symr6 + \
r6*symr9}; \n         {TV7, TV8, TV9} = {r7*symr1 + r8*symr4 + \n            \
r9*symr7, r7*symr2 + r8*\n             symr5 + r9*symr8, r7*symr3 + \n        \
    r8*symr6 + r9*symr9}; \n         {{r1, r2, r3}, {r4, r5, \n            \
r6}, {r7, r8, r9}} = \n          {{TV1, TV2, TV3}, {TV4, TV5, TV6}, {TV7, \
TV8, TV9}}; {rsx, rsy, rsz, \n          rex, rey, rez, r1, r2, \n          \
r3, r4, r5, r6, r7, r8, \n          r9, wavelength, intensity, \
intensityscale, \n          ray1, index, opticallength, phaseshift, \n        \
  componentnumber, surfacenumber, surfaceid, ray2, \n          ray3, sid, \
frontid, sno1, sno2, \n          sno3, sno4, rayslot, generationnumber, \n    \
      intersectionnumber, pol1, pol2, pol3}) & ) /@ \n       {{0., 0., 0., \
0., 0., 0., 0.9659258262890683, 0.25881904510252074, 0., \
-0.25881904510252074, 0.9659258262890683, 0., 0., 0., 1., 0.532, 100., \n     \
    0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., 0., \
16497., 16497., 1., 11., 1., 0., 1., 0., 0., 0., 1., 0.}, \n        {0., 0., \
0., 0., 0., 0., 0.9781476007338057, 0.20791169081775934, 0., \
-0.20791169081775934, 0.9781476007338057, 0., 0., 0., 1., 0.532, 100., \n     \
    0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., 0., \
16497., 16497., 2., 11., 2., 0., 1., 0., 0., 0., 1., 0.}, \n        {0., 0., \
0., 0., 0., 0., 0.9876883405951378, 0.15643446504023087, 0., \
-0.15643446504023087, 0.9876883405951378, 0., 0., 0., 1., 0.532, 100., \n     \
    0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., 0., \
16497., 16497., 3., 11., 3., 0., 1., 0., 0., 0., 1., 0.}, \n        {0., 0., \
0., 0., 0., 0., 0.9945218953682733, 0.10452846326765348, 0., \
-0.10452846326765348, 0.9945218953682733, 0., 0., 0., 1., 0.532, 100., \n     \
    0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., 0., \
16497., 16497., 4., 11., 4., 0., 1., 0., 0., 0., 1., 0.}, \n        {0., 0., \
0., 0., 0., 0., 0.9986295347545738, 0.052335956242943835, 0., \
-0.052335956242943835, 0.9986295347545738, 0., 0., 0., 1., 0.532, 100., \n    \
     0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., 0., \
16497., 16497., 5., 11., 5., 0., 1., 0., 0., 0., 1., 0.}, \n        {0., 0., \
0., 0., 0., 0., 1., 0., 0., 0., 1., 0., 0., 0., 1., 0.532, 100., \
0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., 0., \
16497., \n         16497., 6., 11., 6., 0., 1., 0., 0., 0., 1., 0.}, {0., 0., \
0., 0., 0., 0., 0.9986295347545738, -0.052335956242943835, 0., \
0.052335956242943835, \n         0.9986295347545738, 0., 0., 0., 1., 0.532, \
100., 0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 16497., 7., 11., 7., 0., \n         1., 0., 0., 0., 1., 0.}, {0., \
0., 0., 0., 0., 0., 0.9945218953682733, -0.10452846326765348, 0., \
0.10452846326765348, 0.9945218953682733, 0., 0., 0., 1., \n         0.532, \
100., 0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., \
0., 16497., 16497., 8., 11., 8., 0., 1., 0., 0., 0., 1., 0.}, \n        {0., \
0., 0., 0., 0., 0., 0.9876883405951378, -0.15643446504023087, 0., \
0.15643446504023087, 0.9876883405951378, 0., 0., 0., 1., 0.532, 100., \n      \
   0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., 0., \
16497., 16497., 9., 11., 9., 0., 1., 0., 0., 0., 1., 0.}, \n        {0., 0., \
0., 0., 0., 0., 0.9781476007338057, -0.20791169081775934, 0., \
0.20791169081775934, 0.9781476007338057, 0., 0., 0., 1., 0.532, 100., \n      \
   0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., 0., \
16497., 16497., 10., 11., 10., 0., 1., 0., 0., 0., 1., 0.}, \n        {0., \
0., 0., 0., 0., 0., 0.9659258262890683, -0.25881904510252074, 0., \
0.25881904510252074, 0.9659258262890683, 0., 0., 0., 1., 0.532, 100., \n      \
   0.09090909090909091, 0., 1.0002694514570802, 0., 0., 1., 0., 0., 0., 0., \
16497., 16497., 11., 11., 11., 0., 1., 0., 0., 0., 1., 0.}}]; \n   \
propagatedrays = (({rsx, rsy, rsz, rex, \n         rey, rez, r1, r2, r3, \n   \
      r4, r5, r6, r7, r8, r9, \n         wavelength, intensity, \
intensityscale, ray1, \n         index, opticallength, phaseshift, \
componentnumber, \n         surfacenumber, surfaceid, ray2, ray3, sid, \n     \
    frontid, sno1, sno2, sno3, sno4, \n         rayslot, oldgenerationnumber, \
intersectionnumber, pol1, \n         pol2, pol3} = #1; componentnumber = 1.; \
frontid = 1.; \n       {rsx, rsy, rsz, rex, rey, \n        rez, r1, r2, r3, \
r4, r5, \n        r6, r7, r8, r9, wavelength, \n        intensity, \
intensityscale, ray1, index, \n        opticallength, phaseshift, \
componentnumber, surfacenumber, \n        surfaceid, ray2, ray3, sid, \
frontid, \n        sno1, sno2, sno3, sno4, rayslot, \n        \
generationnumber, intersectionnumber, pol1, pol2, \n        pol3}) & ) /@ \
propagatedrays; thresholdintensity = 1.; \n   generationlimit = 200.; \
reportedrays = \n    {{rsx, rsy, rsz, rex, rey, \n      rez, r1, r2, r3, r4, \
r5, \n      r6, r7, r8, r9, wavelength, \n      intensity, intensityscale, \
ray1, index, \n      opticallength, phaseshift, componentnumber, \
surfacenumber, \n      surfaceid, ray2, ray3, sid, frontid, \n      sno1, \
sno2, sno3, sno4, rayslot, \n      generationnumber, intersectionnumber, \
pol1, pol2, \n      pol3}}; generationnumber = 0.; (inrays = propagatedrays; \
\n    outrays = {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., \n       1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}; deflectedrayspresent = \
True; \n    reportedrayspresent = False; propagate = True; \n    \
While[deflectedrayspresent && propagate, generationnumber += 1.; \n      \
(deflecteddummyrayspresent = False; deflectedrayspresent = False; \n       \
reportedrayspresent = False; reporteddummyrayspresent = True; \
localdummyoutrayspresent = \n        False; localoutrayspresent = False; \
{deflectedlocalrays, localoutrays, \n         reportedlocalrays} = \
(Flatten[#1, 1] & ) /@ \n         Transpose[(({rsx, rsy, rsz, rex, rey, \n    \
           rez, r1, r2, r3, r4, \n               r5, r6, r7, r8, r9, \n       \
        wavelength, intensity, intensityscale, ray1, \n               index, \
opticallength, phaseshift, componentnumber, \n               surfacenumber, \
surfaceid, ray2, ray3, \n               sid, frontid, sno1, sno2, sno3, \n    \
           sno4, rayslot, oldgenerationnumber, intersectionnumber, \n         \
      pol1, pol2, pol3} = #1; If[intensity > \n                \
thresholdintensity && generationnumber < generationlimit, \n              \
(resonatenumber = 0; resonateraylength = 1.7976931348623157*^308; \n          \
      resonateintersections = {{-1., 0., 0.}}; MapIndexed[If[#1[[1,1]] > -1. \
&& #1[[1,1]] < resonateraylength, \n                   resonateraylength = \
#1[[1,1]]; resonateintersections = #1; resonatenumber = \n                    \
 First[#2], resonatenumber] & , intersectionslist = {{{-1., 0., 0.}}}; \n     \
             holeQlist = {0}; ({rsx, rsy, rsz, \n                     rex, \
rey, rez, r1, r2, \n                     r3, r4, r5, r6, r7, \n               \
      r8, r9, wavelength, intensity, \n                     intensityscale, \
ray1, index, opticallength, \n                     phaseshift, \
componentnumber, surfacenumber, surfaceid, \n                     ray2, ray3, \
sid, frontid, sno1, \n                     sno2, sno3, sno4, rayslot, \n      \
               oldgenerationnumber, intersectionnumber, pol1, pol2, \n        \
             pol3} = #1; index1 = index; xunit = \n                    \
r1*Re[Cos[0.017453292519943295*aa]] + r2*Re[Sin[0.017453292519943295*aa]]; \n \
                  yunit = r2*Re[Cos[0.017453292519943295*aa]] - 1.*r1*\n      \
                Re[Sin[0.017453292519943295*aa]]; zunit = \
r3*Re[Cos[0.017453292519943295*aa]^2 + \n                       \
Sin[0.017453292519943295*aa]^2]; xunit = Chop[xunit]; yunit = \n              \
      Chop[yunit]; zunit = Chop[zunit]; magnitude = \n                    \
(xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = \n                    \
xunit/magnitude; yunit = yunit/\n                     magnitude; zunit = \
zunit/magnitude; \n                   rx = (rex - \
1.*Re[xa1])*Re[Cos[0.017453292519943295*aa]] + (rey - 1.*Re[ya1])*\n          \
            Re[Sin[0.017453292519943295*aa]]; ry = (rey - \
1.*Re[ya1])*Re[Cos[0.017453292519943295*aa]] - \n                     1.*(rex \
- 1.*Re[xa1])*Re[Sin[0.017453292519943295*aa]]; rz = rez*\n                   \
  Re[Cos[0.017453292519943295*aa]^2 + Sin[0.017453292519943295*aa]^2]; rx = \
Chop[rx]; \n                   ry = Chop[ry]; rz = Chop[rz]; \n               \
    terminatedeflection = False; intersections = {{-1., 0., 0.}}; \
intersections = \n                    Block[{TempVar, TempVar1, TempVar2, \
TempVar3, RayL, SCx, SCy}, TempVar1 = 1.; TempVar2 = 1.; TempVar3 = 1.; \
TempVar = {{-1., 0., 0.}}; RayL = 1.; \n                      SCx = 1.; SCy = \
1.; TempVar1 = rx^2 + ry^2 + rz^2; TempVar2 = \n                       \
rx*xunit + ry*yunit + rz*\n                         zunit - xunit/ca1; \
TempVar3 = -TempVar1 + TempVar2^2 + (2*rx)/ca1; \n                      \
TempVar3 = Re[TempVar3]; If[N[Chop[TempVar3]] >= 0., TempVar3 = \
Sqrt[TempVar3]; TempVar = {{RayL, SCx, SCy} = {-TempVar2 - TempVar3, \n       \
                      ry - (TempVar2 + TempVar3)*yunit, rz - (TempVar2 + \
TempVar3)*\n                               zunit}; If[N[Chop[RayL]] >= 0. && \
SCx^2 + SCy^2 <= 0.25*Abs[apa]^2 && Abs[ry + \n                               \
  RayL*yunit - SCx] + Abs[rz + RayL*zunit - SCy] + \n                         \
      Abs[-ca1^(-1) + rx + RayL*xunit + Sqrt[ca1^(-2) - SCx^2 - \
SCy^2]/Sign[ca1]] < 1.*^-7, \n                            {RayL, SCx, SCy}, \
{-1., 0., 0.}], {RayL, SCx, SCy} = {-TempVar2 + TempVar3, ry + (-TempVar2 + \
TempVar3)*\n                               yunit, rz + (-TempVar2 + \
TempVar3)*zunit}; If[N[Chop[RayL]] >= 0. && \n                             \
SCx^2 + SCy^2 <= 0.25*Abs[apa]^2 && Abs[ry + RayL*yunit - SCx] + \n           \
                    Abs[rz + RayL*zunit - SCy] + Abs[-ca1^(-1) + rx + \n      \
                           RayL*xunit + Sqrt[ca1^(-2) - SCx^2 - \
SCy^2]/Sign[ca1]] < 1.*^-7, {RayL, SCx, SCy}, {-1., 0., 0.}]}; \n             \
           If[TempVar[[1]] == TempVar[[2]], {TempVar[[1]]}, TempVar], {{-1., \
0., 0.}}]]; AppendTo[intersections, {-1., 0., 0.}]; \n                   \
holeQ = False; If[ !(Chop[surfaceid - 16519.] == 0. || N[Chop[ray1]] < \n     \
                   0.0001) || generationnumber == 1., minresonateraylength = \
0., \n                    minresonateraylength = 0.0001]; Block[{RayL, SCx, \
SCy}, RayL = 1.; SCx = 1.; SCy = 1.; dummymatrix = \n                      \
Union[Select[intersections, ({RayL, SCx, SCy} = #1; {RayL, SCx, SCy} == {-1., \
0., 0.} || N[Chop[RayL]] >= \n                            \
minresonateraylength) & ]]; intersections = dummymatrix]; \n                  \
 unfilteredintersections = intersections; If[Length[intersections] > 1, \n    \
                dummymatrix = Take[intersections, {2}]; intersections = \n    \
                  dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; \n                   If[holeQ, AppendTo[holeQlist, 1], \
AppendTo[holeQlist, 0]]; \n                   {rsx, rsy, rsz, rex, rey, \n    \
                 rez, r1, r2, r3, r4, \n                     r5, r6, r7, r8, \
r9, \n                     wavelength, intensity, intensityscale, ray1, \n    \
                 index, opticallength, phaseshift, componentnumber, \n        \
             surfacenumber, surfaceid, ray2, ray3, \n                     \
sid, frontid, sno1, sno2, sno3, \n                     sno4, rayslot, \
oldgenerationnumber, intersectionnumber, \n                     pol1, pol2, \
pol3} = #1; index1 = \n                    index; xunit = \
r1*Re[Cos[0.017453292519943295*aa]] + r2*\n                      \
Re[Sin[0.017453292519943295*aa]]; yunit = r2*Re[Cos[0.017453292519943295*aa]] \
- \n                     1.*r1*Re[Sin[0.017453292519943295*aa]]; zunit = r3*\n\
                     Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]; xunit = Chop[xunit]; \n                   \
yunit = Chop[yunit]; zunit = Chop[zunit]; \n                   magnitude = \
(xunit^2 + yunit^2 + zunit^2)^2^(-1); \n                   xunit = \
xunit/magnitude; yunit = \n                    yunit/magnitude; zunit = \
zunit/\n                     magnitude; rx = \
Re[Cos[0.017453292519943295*aa]]*(rex - \n                       1.*Re[xa1 + \
ta*Cos[0.017453292519943295*aa]]) + Re[Sin[0.017453292519943295*aa]]*(rey - \n\
                       1.*Re[ya1 + ta*Sin[0.017453292519943295*aa]]); ry = \
-1.*(rex - \n                       1.*Re[xa1 + \
ta*Cos[0.017453292519943295*aa]])*Re[Sin[0.017453292519943295*aa]] + \
Re[Cos[0.017453292519943295*aa]]*(rey - \n                       1.*Re[ya1 + \
ta*Sin[0.017453292519943295*aa]]); rz = rez*Re[Cos[0.017453292519943295*aa]^2 \
+ \n                       Sin[0.017453292519943295*aa]^2]; rx = Chop[rx]; ry \
= \n                    Chop[ry]; rz = Chop[rz]; terminatedeflection = False; \
\n                   intersections = {{-1., 0., 0.}}; intersections = \
Block[{TempVar, TempVar1, TempVar2, TempVar3, RayL, \n                      \
SCx, SCy}, TempVar1 = 1.; TempVar2 = 1.; TempVar3 = 1.; TempVar = {{-1., 0., \
0.}}; RayL = 1.; SCx = 1.; SCy = 1.; TempVar1 = \n                       rx^2 \
+ ry^2 + rz^2; TempVar2 = rx*\n                         xunit + ry*yunit + \
rz*zunit - \n                        xunit/ca2; TempVar3 = -TempVar1 + \
TempVar2^2 + (2*rx)/ca2; TempVar3 = Re[TempVar3]; \n                      \
If[N[Chop[TempVar3]] >= 0., TempVar3 = Sqrt[TempVar3]; TempVar = {{RayL, SCx, \
SCy} = {-TempVar2 - TempVar3, ry - \n                              (TempVar2 \
+ TempVar3)*yunit, rz - (TempVar2 + TempVar3)*zunit}; \n                      \
     If[N[Chop[RayL]] >= 0. && SCx^2 + SCy^2 <= 0.25*Abs[apa]^2 && Abs[ry + \
RayL*yunit - SCx] + \n                               Abs[rz + RayL*zunit - \
SCy] + Abs[-ca2^(-1) + rx + \n                                 RayL*xunit + \
Sqrt[ca2^(-2) - SCx^2 - SCy^2]/Sign[ca2]] < 1.*^-7, {RayL, SCx, SCy}, {-1., \
0., 0.}], \n                          {RayL, SCx, SCy} = {-TempVar2 + \
TempVar3, ry + (-TempVar2 + TempVar3)*yunit, \n                             \
rz + (-TempVar2 + TempVar3)*zunit}; If[N[Chop[RayL]] >= 0. && SCx^2 + SCy^2 \
<= \n                              0.25*Abs[apa]^2 && Abs[ry + RayL*yunit - \
SCx] + Abs[rz + \n                                 RayL*zunit - SCy] + \
Abs[-ca2^(-1) + rx + RayL*xunit + \n                                 \
Sqrt[ca2^(-2) - SCx^2 - SCy^2]/Sign[ca2]] < 1.*^-7, {RayL, SCx, SCy}, {-1., \
0., 0.}]}; If[TempVar[[1]] == TempVar[[2]], \n                         \
{TempVar[[1]]}, TempVar], {{-1., 0., 0.}}]]; AppendTo[intersections, {-1., \
0., 0.}]; holeQ = \n                    False; If[ !(Chop[surfaceid - 16520.] \
== 0. || N[Chop[ray1]] < 0.0001) || \n                     generationnumber \
== 1., minresonateraylength = 0., minresonateraylength = \n                   \
  0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; SCx = 1.; SCy = 1.; dummymatrix \
= Union[Select[\n                        intersections, ({RayL, SCx, SCy} = \
#1; {RayL, SCx, SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= \n                  \
          minresonateraylength) & ]]; intersections = dummymatrix]; \n        \
           unfilteredintersections = intersections; If[Length[intersections] \
> 1, \n                    dummymatrix = Take[intersections, {2}]; \
intersections = \n                      dummymatrix; 1., 1.]; \
AppendTo[intersectionslist, intersections]; \n                   If[holeQ, \
AppendTo[holeQlist, 1], AppendTo[holeQlist, 0]]; \n                   {rsx, \
rsy, rsz, rex, rey, \n                     rez, r1, r2, r3, r4, \n            \
         r5, r6, r7, r8, r9, \n                     wavelength, intensity, \
intensityscale, ray1, \n                     index, opticallength, \
phaseshift, componentnumber, \n                     surfacenumber, surfaceid, \
ray2, ray3, \n                     sid, frontid, sno1, sno2, sno3, \n         \
            sno4, rayslot, oldgenerationnumber, intersectionnumber, \n        \
             pol1, pol2, pol3} = #1; index1 = \n                    index; \
xunit = r1*Re[Cos[0.017453292519943295*ab]] + r2*\n                      \
Re[Sin[0.017453292519943295*ab]]; yunit = r2*Re[Cos[0.017453292519943295*ab]] \
- \n                     1.*r1*Re[Sin[0.017453292519943295*ab]]; zunit = r3*\n\
                     Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]; xunit = Chop[xunit]; \n                   \
yunit = Chop[yunit]; zunit = Chop[zunit]; \n                   magnitude = \
(xunit^2 + yunit^2 + zunit^2)^2^(-1); \n                   xunit = \
xunit/magnitude; yunit = \n                    yunit/magnitude; zunit = \
zunit/\n                     magnitude; rx = (rex - \
1.*Re[xb1])*Re[Cos[0.017453292519943295*ab]] + \n                     (rey - \
1.*Re[yb1])*Re[Sin[0.017453292519943295*ab]]; ry = (rey - 1.*Re[yb1])*\n      \
                Re[Cos[0.017453292519943295*ab]] - 1.*(rex - \
1.*Re[xb1])*Re[Sin[0.017453292519943295*ab]]; rz = \n                    \
rez*Re[Cos[0.017453292519943295*ab]^2 + Sin[0.017453292519943295*ab]^2]; rx = \
\n                    Chop[rx]; ry = Chop[ry]; rz = \n                    \
Chop[rz]; terminatedeflection = False; intersections = {{-1., 0., 0.}}; \n    \
               intersections = Block[{TempVar, TempVar1, TempVar2, TempVar3, \
RayL, SCx, SCy}, TempVar1 = 1.; TempVar2 = 1.; TempVar3 = 1.; \n              \
        TempVar = {{-1., 0., 0.}}; RayL = 1.; SCx = 1.; SCy = 1.; TempVar1 = \
rx^2 + ry^2 + \n                        rz^2; TempVar2 = rx*xunit + ry*\n     \
                    yunit + rz*zunit - xunit/cb1; \n                      \
TempVar3 = -TempVar1 + TempVar2^2 + (2*rx)/cb1; TempVar3 = Re[TempVar3]; \
If[N[Chop[TempVar3]] >= 0., \n                       TempVar3 = \
Sqrt[TempVar3]; TempVar = {{RayL, SCx, SCy} = {-TempVar2 - TempVar3, ry - \
(TempVar2 + TempVar3)*\n                               yunit, rz - (TempVar2 \
+ TempVar3)*zunit}; If[N[Chop[RayL]] >= 0. && \n                             \
SCx^2 + SCy^2 <= 0.25*Abs[apb]^2 && Abs[ry + RayL*yunit - SCx] + \n           \
                    Abs[rz + RayL*zunit - SCy] + Abs[-cb1^(-1) + rx + \n      \
                           RayL*xunit + Sqrt[cb1^(-2) - SCx^2 - \
SCy^2]/Sign[cb1]] < 1.*^-7, {RayL, SCx, SCy}, {-1., 0., 0.}], \n              \
            {RayL, SCx, SCy} = {-TempVar2 + TempVar3, ry + (-TempVar2 + \
TempVar3)*yunit, \n                             rz + (-TempVar2 + \
TempVar3)*zunit}; If[N[Chop[RayL]] >= 0. && SCx^2 + SCy^2 <= \n               \
               0.25*Abs[apb]^2 && Abs[ry + RayL*yunit - SCx] + Abs[rz + \n    \
                             RayL*zunit - SCy] + Abs[-cb1^(-1) + rx + \
RayL*xunit + \n                                 Sqrt[cb1^(-2) - SCx^2 - \
SCy^2]/Sign[cb1]] < 1.*^-7, {RayL, SCx, SCy}, {-1., 0., 0.}]}; \
If[TempVar[[1]] == TempVar[[2]], \n                         {TempVar[[1]]}, \
TempVar], {{-1., 0., 0.}}]]; AppendTo[intersections, {-1., 0., 0.}]; holeQ = \
\n                    False; If[ !(Chop[surfaceid - 16547.] == 0. || \
N[Chop[ray1]] < 0.0001) || \n                     generationnumber == 1., \
minresonateraylength = 0., minresonateraylength = \n                     \
0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; SCx = 1.; SCy = 1.; dummymatrix = \
Union[Select[\n                        intersections, ({RayL, SCx, SCy} = #1; \
{RayL, SCx, SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= \n                      \
      minresonateraylength) & ]]; intersections = dummymatrix]; \n            \
       unfilteredintersections = intersections; If[Length[intersections] > 1, \
\n                    dummymatrix = Take[intersections, {2}]; intersections = \
\n                      dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; \n                   If[holeQ, AppendTo[holeQlist, 1], \
AppendTo[holeQlist, 0]]; \n                   {rsx, rsy, rsz, rex, rey, \n    \
                 rez, r1, r2, r3, r4, \n                     r5, r6, r7, r8, \
r9, \n                     wavelength, intensity, intensityscale, ray1, \n    \
                 index, opticallength, phaseshift, componentnumber, \n        \
             surfacenumber, surfaceid, ray2, ray3, \n                     \
sid, frontid, sno1, sno2, sno3, \n                     sno4, rayslot, \
oldgenerationnumber, intersectionnumber, \n                     pol1, pol2, \
pol3} = #1; index1 = \n                    index; xunit = \
r1*Re[Cos[0.017453292519943295*ab]] + r2*\n                      \
Re[Sin[0.017453292519943295*ab]]; yunit = r2*Re[Cos[0.017453292519943295*ab]] \
- \n                     1.*r1*Re[Sin[0.017453292519943295*ab]]; zunit = r3*\n\
                     Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]; xunit = Chop[xunit]; \n                   \
yunit = Chop[yunit]; zunit = Chop[zunit]; \n                   magnitude = \
(xunit^2 + yunit^2 + zunit^2)^2^(-1); \n                   xunit = \
xunit/magnitude; yunit = \n                    yunit/magnitude; zunit = \
zunit/\n                     magnitude; rx = \
Re[Cos[0.017453292519943295*ab]]*(rex - \n                       1.*Re[xb1 + \
tb*Cos[0.017453292519943295*ab]]) + Re[Sin[0.017453292519943295*ab]]*(rey - \n\
                       1.*Re[yb1 + tb*Sin[0.017453292519943295*ab]]); ry = \
-1.*(rex - \n                       1.*Re[xb1 + \
tb*Cos[0.017453292519943295*ab]])*Re[Sin[0.017453292519943295*ab]] + \
Re[Cos[0.017453292519943295*ab]]*(rey - \n                       1.*Re[yb1 + \
tb*Sin[0.017453292519943295*ab]]); rz = rez*Re[Cos[0.017453292519943295*ab]^2 \
+ \n                       Sin[0.017453292519943295*ab]^2]; rx = Chop[rx]; ry \
= \n                    Chop[ry]; rz = Chop[rz]; terminatedeflection = False; \
\n                   intersections = {{-1., 0., 0.}}; intersections = \
Block[{TempVar, TempVar1, TempVar2, TempVar3, RayL, \n                      \
SCx, SCy}, TempVar1 = 1.; TempVar2 = 1.; TempVar3 = 1.; TempVar = {{-1., 0., \
0.}}; RayL = 1.; SCx = 1.; SCy = 1.; TempVar1 = \n                       rx^2 \
+ ry^2 + rz^2; TempVar2 = rx*\n                         xunit + ry*yunit + \
rz*zunit - \n                        xunit/cb2; TempVar3 = -TempVar1 + \
TempVar2^2 + (2*rx)/cb2; TempVar3 = Re[TempVar3]; \n                      \
If[N[Chop[TempVar3]] >= 0., TempVar3 = Sqrt[TempVar3]; TempVar = {{RayL, SCx, \
SCy} = {-TempVar2 - TempVar3, ry - \n                              (TempVar2 \
+ TempVar3)*yunit, rz - (TempVar2 + TempVar3)*zunit}; \n                      \
     If[N[Chop[RayL]] >= 0. && SCx^2 + SCy^2 <= 0.25*Abs[apb]^2 && Abs[ry + \
RayL*yunit - SCx] + \n                               Abs[rz + RayL*zunit - \
SCy] + Abs[-cb2^(-1) + rx + \n                                 RayL*xunit + \
Sqrt[cb2^(-2) - SCx^2 - SCy^2]/Sign[cb2]] < 1.*^-7, {RayL, SCx, SCy}, {-1., \
0., 0.}], \n                          {RayL, SCx, SCy} = {-TempVar2 + \
TempVar3, ry + (-TempVar2 + TempVar3)*yunit, \n                             \
rz + (-TempVar2 + TempVar3)*zunit}; If[N[Chop[RayL]] >= 0. && SCx^2 + SCy^2 \
<= \n                              0.25*Abs[apb]^2 && Abs[ry + RayL*yunit - \
SCx] + Abs[rz + \n                                 RayL*zunit - SCy] + \
Abs[-cb2^(-1) + rx + RayL*xunit + \n                                 \
Sqrt[cb2^(-2) - SCx^2 - SCy^2]/Sign[cb2]] < 1.*^-7, {RayL, SCx, SCy}, {-1., \
0., 0.}]}; If[TempVar[[1]] == TempVar[[2]], \n                         \
{TempVar[[1]]}, TempVar], {{-1., 0., 0.}}]]; AppendTo[intersections, {-1., \
0., 0.}]; holeQ = \n                    False; If[ !(Chop[surfaceid - 16548.] \
== 0. || N[Chop[ray1]] < 0.0001) || \n                     generationnumber \
== 1., minresonateraylength = 0., minresonateraylength = \n                   \
  0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; SCx = 1.; SCy = 1.; dummymatrix \
= Union[Select[\n                        intersections, ({RayL, SCx, SCy} = \
#1; {RayL, SCx, SCy} == {-1., 0., 0.} || N[Chop[RayL]] >= \n                  \
          minresonateraylength) & ]]; intersections = dummymatrix]; \n        \
           unfilteredintersections = intersections; If[Length[intersections] \
> 1, \n                    dummymatrix = Take[intersections, {2}]; \
intersections = \n                      dummymatrix; 1., 1.]; \
AppendTo[intersectionslist, intersections]; \n                   If[holeQ, \
AppendTo[holeQlist, 1], AppendTo[holeQlist, 0]]); \n                  \
holeQlist = Drop[holeQlist, 1]; Drop[intersectionslist, 1]]); Which[\n        \
        resonatenumber == 1, {rsx, rsy, rsz, \n                   rex, rey, \
rez, r1, r2, \n                   r3, r4, r5, r6, r7, \n                   \
r8, r9, wavelength, intensity, \n                   intensityscale, ray1, \
index, opticallength, \n                   phaseshift, componentnumber, \
surfacenumber, surfaceid, \n                   ray2, ray3, sid, frontid, \
sno1, \n                   sno2, sno3, sno4, rayslot, \n                   \
oldgenerationnumber, intersectionnumber, pol1, pol2, \n                   \
pol3} = #1; index1 = index; xunit = \n                  \
r1*Re[Cos[0.017453292519943295*aa]] + r2*Re[Sin[0.017453292519943295*aa]]; \n \
                yunit = r2*Re[Cos[0.017453292519943295*aa]] - 1.*r1*\n        \
            Re[Sin[0.017453292519943295*aa]]; zunit = \
r3*Re[Cos[0.017453292519943295*aa]^2 + \n                     \
Sin[0.017453292519943295*aa]^2]; xunit = Chop[xunit]; yunit = \n              \
    Chop[yunit]; zunit = Chop[zunit]; magnitude = \n                  \
(xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = \n                  \
xunit/magnitude; yunit = yunit/\n                   magnitude; zunit = \
zunit/magnitude; \n                 rx = (rex - \
1.*Re[xa1])*Re[Cos[0.017453292519943295*aa]] + (rey - 1.*Re[ya1])*\n          \
          Re[Sin[0.017453292519943295*aa]]; ry = (rey - \
1.*Re[ya1])*Re[Cos[0.017453292519943295*aa]] - \n                   1.*(rex - \
1.*Re[xa1])*Re[Sin[0.017453292519943295*aa]]; rz = rez*\n                   \
Re[Cos[0.017453292519943295*aa]^2 + Sin[0.017453292519943295*aa]^2]; rx = \
Chop[rx]; \n                 ry = Chop[ry]; rz = Chop[rz]; \n                 \
terminatedeflection = False; intersections = {{-1., 0., 0.}}; intersections = \
\n                  resonateintersections; holeQ = holeQlist[[\n              \
      resonatenumber]] == 1; {newcomponentnumber, newsurfacenumber, \n        \
           newsurfaceid} = {1., 1., 16519.}; {componentnumber, surfacenumber, \
\n                   surfaceid} = {1., 1., 16519.}; {ray1, ray2, ray3} = \n   \
               intersections[[1]]; rsx = rex; rsy = \n                  rey; \
rsz = rez; rxhlp = rx + \n                   ray1*xunit; ryhlp = ry + ray1*\n \
                   yunit; rzhlp = rz + ray1*zunit; \n                 rex = \
Re[xa1] + rxhlp*Re[Cos[0.017453292519943295*aa]] - 1.*ryhlp*\n                \
    Re[Sin[0.017453292519943295*aa]]; rey = Re[ya1] + \
ryhlp*Re[Cos[0.017453292519943295*aa]] + \n                   \
rxhlp*Re[Sin[0.017453292519943295*aa]]; rez = rzhlp*\n                   \
Re[Cos[0.017453292519943295*aa]^2 + Sin[0.017453292519943295*aa]^2]; rex = \
Chop[rex]; \n                 rey = Chop[rey]; rez = Chop[rez]; \n            \
     If[rex == 0 && rey == 0 && rez == 0, rex = \n                    rxhlp + \
Re[xa1]; rey = ryhlp + Re[ya1]; rez = \n                    rzhlp, rex]; \
intersectionnumber = intersectionnumber + \n                   1.; \
opticallength = opticallength + ray1*index1; \n                 completedray \
= {rsx, rsy, rsz, rex, \n                   rey, rez, r1, r2, r3, \n          \
         r4, r5, r6, r7, r8, \n                   r9, wavelength, intensity, \
intensityscale, \n                   ray1, index, opticallength, phaseshift, \
\n                   componentnumber, surfacenumber, surfaceid, ray2, \n      \
             ray3, sid, frontid, sno1, sno2, \n                   sno3, sno4, \
rayslot, generationnumber, \n                   intersectionnumber, pol1, \
pol2, pol3}; \n                 reportedrayspresent = True; \
intersectionspresent = True; deflectedrayspresent = \n                  True; \
localdummyoutrayspresent = True; (surfnorm = \n                   1.*Re[{{1., \
-1.*(ray2/Sign[ca1]/(ca1^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5), \n               \
        -1.*(ray3/Sign[ca1]/(ca1^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5)}, \n      \
                {ray2/Sign[ca1]/(ca1^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, 1., \
0.}, \n                      {ray3/Sign[ca1]/(ca1^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5, 0., 1.}}]; \n                  dummymatrix = \
({{(Re[Cos[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/\n                         \
(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2] + Re[Sin[0.017453292519943295*aa]]^2*\n       \
                    Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), (-1.*Re[Sin[0.017453292519943295*aa]]*\n    \
                      Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^\n                              2 + \
Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*\n                                aa]^2]), 0.}, \
{(Re[Sin[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/\n                         \
(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2] + Re[Sin[0.017453292519943295*aa]]^2*\n       \
                    Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), \
(Re[Cos[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^\n          \
                   2 + \
Sin[0.017453292519943295*aa]^2])/(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^2 + Sin[0.017453292519943295*\n                        \
        aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), 0.}, \n                       {0., 0., \
(Re[Cos[0.017453292519943295*aa]]^2 + \
Re[Sin[0.017453292519943295*aa]]^2)/(Re[Cos[0.017453292519943295*aa]]^2*\n    \
                       Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^\n         \
                     2 + Sin[0.017453292519943295*aa]^2])}} . #1 & ) /@ \
surfnorm; surfnorm = \n                   (#1/Sqrt[#1 . #1] & ) /@ \
dummymatrix; surfacerotationmatrix = {{Re[Cos[0.017453292519943295*aa]], \n   \
                  Re[Sin[0.017453292519943295*aa]], 0.}, \
{-1.*Re[Sin[0.017453292519943295*aa]], Re[Cos[0.017453292519943295*aa]], 0.}, \
\n                    {0., 0., Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]}}; surfacetranslationvector = \n              \
     {Re[xa1], Re[ya1], 0.}; activeregion = 1.; completedray = {rsx, \n       \
             rsy, rsz, rex, rey, rez, \n                    r1, r2, r3, r4, \
r5, \n                    r6, r7, r8, r9, wavelength, \n                    \
intensity, intensityscale, ray1, index, \n                    opticallength, \
phaseshift, componentnumber, \n                    surfacenumber, surfaceid, \
ray2, ray3, \n                    sid, frontid, sno1, sno2, sno3, \n          \
          sno4, rayslot, generationnumber, intersectionnumber, \n             \
       pol1, pol2, pol3}; componentnumber = \n                   \
newcomponentnumber; surfacenumber = newsurfacenumber; \n                  \
surfaceid = newsurfaceid; originalray = {rsx, \n                    rsy, rsz, \
rex, rey, rez, \n                    r1, r2, r3, r4, r5, \n                   \
 r6, r7, r8, r9, wavelength, \n                    intensity, intensityscale, \
ray1, index, \n                    opticallength, phaseshift, \
componentnumber, \n                    surfacenumber, surfaceid, ray2, ray3, \
\n                    sid, frontid, sno1, sno2, sno3, \n                    \
sno4, rayslot, generationnumber, intersectionnumber, \n                    \
pol1, pol2, pol3}; ZAxis = \n                   \
First[surfnorm]*Sign[First[surfnorm] . {r1, r2, \n                       \
r3}]; raytiltz = ZAxis . {r1, \n                     r2, r3}; raytiltx = 1 - \
raytiltz^2; \n                  If[raytiltx < 2.220446049250313*^-16, \
raytiltx = 0., raytiltx = \n                    Sqrt[raytiltx]]; XAxis = {r1, \
r2, \n                     r3} - ZAxis*raytiltz; If[Abs[raytiltx] < 1.*^-7, \n\
                   XAxis = surfnorm[[2]], XAxis = XAxis/\n                    \
 raytiltx]; YAxis = {-(ZAxis[[3]]*XAxis[[2]]) + \n                     \
ZAxis[[2]]*XAxis[[3]], ZAxis[[3]]*XAxis[[1]] - \n                     \
ZAxis[[1]]*XAxis[[3]], -(ZAxis[[2]]*XAxis[[1]]) + \n                     \
ZAxis[[1]]*XAxis[[2]]}; YAxis = YAxis/\n                    Sqrt[YAxis . \
YAxis]; PAxis = ZAxis*\n                     {r1, r2, r3} . XAxis - XAxis*\n  \
                   {r1, r2, r3} . ZAxis; PAxis = \n                   \
PAxis/Sqrt[PAxis . PAxis]; normalizedpolarization = \n                   \
{pol1, pol2, pol3}[[{1, 2}]]; normalizedpolarization = \n                   \
normalizedpolarization/Sqrt[normalizedpolarization . normalizedpolarization]; \
\n                  allcreatedamplitudes = {{0.*I, 0.*I, 0.*I}}; amplitude = \
Sqrt[intensity]*\n                    (normalizedpolarization[[1]]*{r4, r5, \
r6} + \n                     normalizedpolarization[[2]]*{r7, r8, r9}*\n      \
                Exp[I*pol3*0.017453292519943295]); perpendicularamplitude = \
amplitude . \n                    YAxis; parallelamplitude = amplitude . \
PAxis; \n                  If[activeregion*(surfacerotationmatrix . {r1, r2, \
\n                        r3})[[1]] > 0, index2 = Sqrt[2.2718929 - \
0.010108077*wavelength^2 + \n                       0.010592509/wavelength^2 \
+ 0.00020816965/wavelength^4 - 7.6472538*^-6/\n                        \
wavelength^6 + 4.9240991*^-7/wavelength^8]; index1 = \n                     \
index; If[Abs[index2 - index1] < 0.01, alternateindex = \n                    \
   Sqrt[1.0005281111748805 - 2.364805676582992*^-10*wavelength^2 + \
2.9781670902982902*^-6/wavelength^\n                           2 + \
2.6004099469477187*^-8/wavelength^4 + 3.7787839314048715*^-10/wavelength^6 + \
\n                         2.830549017940716*^-12/wavelength^8]; \
If[Abs[alternateindex - index1] > \n                        Abs[index2 - \
index1], index1 = index2; \n                        index2 = alternateindex, \
index1 = alternateindex], \n                     index1 = \
Sqrt[1.0005281111748805 - 2.364805676582992*^-10*wavelength^2 + \
2.9781670902982902*^-6/\n                         wavelength^2 + \
2.6004099469477187*^-8/wavelength^4 + 3.7787839314048715*^-10/\n              \
           wavelength^6 + 2.830549017940716*^-12/wavelength^8]], index2 = \n  \
                   Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^\n    \
                     2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + \n                       \
2.830549017940716*^-12/wavelength^8]; index1 = index; \n                    \
If[Abs[index2 - index1] < 0.01, alternateindex = Sqrt[2.2718929 - \n          \
               0.010108077*wavelength^2 + 0.010592509/wavelength^2 + \
0.00020816965/\n                          wavelength^4 - \
7.6472538*^-6/wavelength^6 + 4.9240991*^-7/wavelength^8]; \n                  \
    If[Abs[alternateindex - index1] > Abs[index2 - index1], \n                \
       index1 = index2; index2 = alternateindex, \n                       \
index1 = alternateindex], index1 = Sqrt[2.2718929 - 0.010108077*\n            \
             wavelength^2 + 0.010592509/wavelength^2 + \
0.00020816965/wavelength^4 - \n                        \
7.6472538*^-6/wavelength^6 + 4.9240991*^-7/wavelength^8]]]; n12 = \n          \
         index1/index2; index = index2; \n                  If[1 - \
n12^2*raytiltx^2 >= 0., dummyvector = n12*\n                       {r1, r2, \
r3} + ZAxis*(-(n12*\n                          raytiltz) + Sqrt[1 - \
n12^2*raytiltx^2]); {r1, \n                      r2, r3} = dummyvector; 1., \n\
                   If[{r1, r2, r3} . surfnorm[[1]] > 0, \n                    \
 phaseshift = phaseshift + 0.5, 1.]; index2 = index1; \n                    \
index = index1; dummyvector = {r1, \n                       r2, r3} - \
2*ZAxis*ZAxis . {r1, \n                         r2, r3}; {r1, r2, r3} = \n    \
                 dummyvector; dummyvector = {pol1, pol2, \n                   \
    pol3} + {0, 0, -180}; {pol1, pol2, pol3} = \n                     \
dummyvector; 1.]; allcreatedrays = {{rsx, rsy, \n                     rsz, \
rex, rey, rez, r1, \n                     r2, r3, r4, r5, r6, \n              \
       r7, r8, r9, wavelength, intensity, \n                     \
intensityscale, ray1, index, opticallength, \n                     \
phaseshift, componentnumber, surfacenumber, surfaceid, \n                     \
ray2, ray3, sid, frontid, sno1, \n                     sno2, sno3, sno4, \
rayslot, \n                     generationnumber, intersectionnumber, pol1, \
pol2, \n                     pol3}}; originalrotation = \
Partition[Take[originalray, {7, 15}], 3]; \n                  previoustilt = \
originalrotation[[1]]; transmatrix = \n                   MapIndexed[({rsx, \
rsy, rsz, rex, \n                        rey, rez, r1, r2, r3, \n             \
           r4, r5, r6, r7, r8, \n                        r9, wavelength, \
intensity, intensityscale, \n                        ray1, index, \
opticallength, phaseshift, \n                        componentnumber, \
surfacenumber, surfaceid, ray2, \n                        ray3, sid, frontid, \
sno1, sno2, \n                        sno3, sno4, rayslot, \
oldgenerationnumber, \n                        intersectionnumber, pol1, \
pol2, pol3} = #1; \n                      rotationaxis = Cross[{1., 0., 0.}, \
{r1, r2, r3}]; \n                      axismagnitude = Sqrt[rotationaxis . \
rotationaxis]; \n                      If[Chop[axismagnitude] != 0., \
rotationaxis = rotationaxis/\n                          axismagnitude; \
axismatrix = (#1*rotationaxis & ) /@ \n                          \
rotationaxis; crossmatrix = {{0., -rotationaxis[[3]], \n                      \
     rotationaxis[[2]]}, {rotationaxis[[3]], 0., -rotationaxis[[1]]}, \n      \
                    {-rotationaxis[[2]], rotationaxis[[1]], 0.}}; cosangle = \
\n                         {1., 0., 0.} . {r1, r2, r3}; If[1. - cosangle < \n \
                         2.220446049250313*^-16, cosangle = 1.]; sinangle = 1 \
- cosangle^2; \n                        If[sinangle < 2.220446049250313*^-16, \
sinangle = 0., sinangle = \n                          Sqrt[sinangle]]; \
axismatrix + ({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}} - \n                 \
          axismatrix)*cosangle + crossmatrix*sinangle, \n                     \
  {{r1, r2, r3}, {r4, r5, \n                          r6}, {r7, r8, r9}} = \n \
                       If[Sign[{1., 0., 0.} . {r1, r2, r3}] === 1, {{1., 0., \
0.}, {0., 1., 0.}, \n                          {0., 0., 1.}}, {{-1., 0., 0.}, \
{0., -1., 0.}, {0., 0., 1.}}]]) & , allcreatedrays]; \n                  \
allcreatedrays = MapIndexed[({rsx, rsy, rsz, \n                        rex, \
rey, rez, r1, r2, \n                        r3, r4, r5, r6, r7, \n            \
            r8, r9, wavelength, intensity, \n                        \
intensityscale, ray1, index, opticallength, \n                        \
phaseshift, componentnumber, surfacenumber, \n                        \
surfaceid, ray2, ray3, sid, \n                        frontid, sno1, sno2, \
sno3, \n                        sno4, rayslot, oldgenerationnumber, \n        \
                intersectionnumber, pol1, pol2, pol3} = #1; \n                \
      {{r1, r2, r3}, {r4, r5, \n                         r6}, {r7, r8, r9}} = \
\n                       Function[mm, (mm . #1 & ) /@ {{1., 0., 0.}, {0., 1., \
0.}, {0., 0., 1.}}][\n                        transmatrix[[First[#2]]]]; \
tiltmagnitude = {r1, r2, \n                         r3} . {r1, r2, r3}; \n    \
                  If[Abs[tiltmagnitude - 1.] > 1.*^-6, dummyvector = {r1, \n  \
                         r2, r3}/Sqrt[tiltmagnitude]; {r1, \n                 \
         r2, r3} = dummyvector; dummymatrix = \n                         \
(#1/Sqrt[#1 . #1] & ) /@ {{r1, r2, r3}, {r4, \n                            \
r5, r6}, {r7, r8, r9}}; \n                        {{r1, r2, r3}, {r4, r5, \n  \
                         r6}, {r7, r8, r9}} = \n                         \
dummymatrix; 1., 1.]; If[allcreatedamplitudes != {{0.*I, 0.*I, 0.*I}}, \n     \
                  amplitude = allcreatedamplitudes[[First[#2]]]; hor = \n     \
                    {r4, r5, r6} . amplitude; \n                        ver = \
{r7, r8, r9} . amplitude; \n                        If[Abs[hor] > 0. || \
Abs[ver] > 0., {pol1, pol2, \n                            pol3} = {Abs[hor], \
Abs[ver], 0.}; dummyvector = \n                           {pol1, pol2, \
pol3}/Sqrt[{pol1, \n                               pol2, pol3} . {pol1, pol2, \
\n                               pol3}]; {pol1, pol2, pol3} = \n              \
             dummyvector; dummyvector = ReplacePart[{pol1, \n                 \
            pol2, pol3}, (If[ver == 0., 0., Arg[ver]] - \n                    \
          If[hor == 0., 0., Arg[hor]])/Degree, 3]; {pol1, \n                  \
          pol2, pol3} = dummyvector]; 1., 1.]; {rsx, \n                       \
rsy, rsz, rex, rey, rez, \n                       r1, r2, r3, r4, r5, \n      \
                 r6, r7, r8, r9, wavelength, \n                       \
intensity, intensityscale, ray1, index, \n                       \
opticallength, phaseshift, componentnumber, \n                       \
surfacenumber, surfaceid, ray2, ray3, \n                       sid, frontid, \
sno1, sno2, sno3, \n                       sno4, rayslot, generationnumber, \
intersectionnumber, \n                       pol1, pol2, pol3}) & , \
allcreatedrays]); \n                 {allcreatedrays, {{1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., \
1., 1., \n                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1.}}, {completedray}}, \n                \
resonatenumber == 2, {rsx, rsy, rsz, \n                   rex, rey, rez, r1, \
r2, \n                   r3, r4, r5, r6, r7, \n                   r8, r9, \
wavelength, intensity, \n                   intensityscale, ray1, index, \
opticallength, \n                   phaseshift, componentnumber, \
surfacenumber, surfaceid, \n                   ray2, ray3, sid, frontid, \
sno1, \n                   sno2, sno3, sno4, rayslot, \n                   \
oldgenerationnumber, intersectionnumber, pol1, pol2, \n                   \
pol3} = #1; index1 = index; xunit = \n                  \
r1*Re[Cos[0.017453292519943295*aa]] + r2*Re[Sin[0.017453292519943295*aa]]; \n \
                yunit = r2*Re[Cos[0.017453292519943295*aa]] - 1.*r1*\n        \
            Re[Sin[0.017453292519943295*aa]]; zunit = \
r3*Re[Cos[0.017453292519943295*aa]^2 + \n                     \
Sin[0.017453292519943295*aa]^2]; xunit = Chop[xunit]; yunit = \n              \
    Chop[yunit]; zunit = Chop[zunit]; magnitude = \n                  \
(xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = \n                  \
xunit/magnitude; yunit = yunit/\n                   magnitude; zunit = \
zunit/magnitude; \n                 rx = \
Re[Cos[0.017453292519943295*aa]]*(rex - 1.*Re[xa1 + \
ta*Cos[0.017453292519943295*aa]]) + \n                   \
Re[Sin[0.017453292519943295*aa]]*(rey - 1.*Re[ya1 + \
ta*Sin[0.017453292519943295*aa]]); ry = \n                  -1.*(rex - \
1.*Re[xa1 + \
ta*Cos[0.017453292519943295*aa]])*Re[Sin[0.017453292519943295*aa]] + \
Re[Cos[0.017453292519943295*aa]]*\n                    (rey - 1.*Re[ya1 + \
ta*Sin[0.017453292519943295*aa]]); rz = rez*\n                   \
Re[Cos[0.017453292519943295*aa]^2 + Sin[0.017453292519943295*aa]^2]; rx = \
Chop[rx]; \n                 ry = Chop[ry]; rz = Chop[rz]; \n                 \
terminatedeflection = False; intersections = {{-1., 0., 0.}}; intersections = \
\n                  resonateintersections; holeQ = holeQlist[[\n              \
      resonatenumber]] == 1; {newcomponentnumber, newsurfacenumber, \n        \
           newsurfaceid} = {1., 2., 16520.}; {componentnumber, surfacenumber, \
\n                   surfaceid} = {1., 2., 16520.}; {ray1, ray2, ray3} = \n   \
               intersections[[1]]; rsx = rex; rsy = \n                  rey; \
rsz = rez; rxhlp = rx + \n                   ray1*xunit; ryhlp = ry + ray1*\n \
                   yunit; rzhlp = rz + ray1*zunit; \n                 rex = \
rxhlp*Re[Cos[0.017453292519943295*aa]] + Re[xa1 + \
ta*Cos[0.017453292519943295*aa]] - \n                   \
1.*ryhlp*Re[Sin[0.017453292519943295*aa]]; rey = ryhlp*\n                    \
Re[Cos[0.017453292519943295*aa]] + rxhlp*Re[Sin[0.017453292519943295*aa]] + \
Re[ya1 + ta*Sin[0.017453292519943295*aa]]; \n                 rez = \
rzhlp*Re[Cos[0.017453292519943295*aa]^2 + Sin[0.017453292519943295*aa]^2]; \n \
                rex = Chop[rex]; rey = Chop[rey]; \n                 rez = \
Chop[rez]; If[rex == 0 && rey == 0 && \n                   rez == 0, rex = \
rxhlp + Re[xa1 + ta*Cos[0.017453292519943295*aa]]; \n                   rey = \
ryhlp + Re[ya1 + ta*Sin[0.017453292519943295*aa]]; rez = \n                   \
 rzhlp, rex]; intersectionnumber = intersectionnumber + \n                   \
1.; opticallength = opticallength + ray1*index1; \n                 \
completedray = {rsx, rsy, rsz, rex, \n                   rey, rez, r1, r2, \
r3, \n                   r4, r5, r6, r7, r8, \n                   r9, \
wavelength, intensity, intensityscale, \n                   ray1, index, \
opticallength, phaseshift, \n                   componentnumber, \
surfacenumber, surfaceid, ray2, \n                   ray3, sid, frontid, \
sno1, sno2, \n                   sno3, sno4, rayslot, generationnumber, \n    \
               intersectionnumber, pol1, pol2, pol3}; \n                 \
reportedrayspresent = True; intersectionspresent = True; deflectedrayspresent \
= \n                  True; localdummyoutrayspresent = True; (surfnorm = \n   \
                1.*Re[{{1., -1.*(ray2/Sign[ca2]/(ca2^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5), \n                       -1.*(ray3/Sign[ca2]/(ca2^(-2) - \
1.*ray2^2 - 1.*ray3^2)^0.5)}, \n                      \
{ray2/Sign[ca2]/(ca2^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, 1., 0.}, \n           \
           {ray3/Sign[ca2]/(ca2^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, 0., 1.}}]; \
\n                  dummymatrix = \
({{(Re[Cos[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/\n                         \
(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2] + Re[Sin[0.017453292519943295*aa]]^2*\n       \
                    Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), (-1.*Re[Sin[0.017453292519943295*aa]]*\n    \
                      Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^\n                              2 + \
Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*\n                                aa]^2]), 0.}, \
{(Re[Sin[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2])/\n                         \
(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2] + Re[Sin[0.017453292519943295*aa]]^2*\n       \
                    Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), \
(Re[Cos[0.017453292519943295*aa]]*Re[Cos[0.017453292519943295*aa]^\n          \
                   2 + \
Sin[0.017453292519943295*aa]^2])/(Re[Cos[0.017453292519943295*aa]]^2*Re[Cos[0.\
017453292519943295*aa]^2 + Sin[0.017453292519943295*\n                        \
        aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]), 0.}, \n                       {0., 0., \
(Re[Cos[0.017453292519943295*aa]]^2 + \
Re[Sin[0.017453292519943295*aa]]^2)/(Re[Cos[0.017453292519943295*aa]]^2*\n    \
                       Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2] + \
Re[Sin[0.017453292519943295*aa]]^2*Re[Cos[0.017453292519943295*aa]^\n         \
                     2 + Sin[0.017453292519943295*aa]^2])}} . #1 & ) /@ \
surfnorm; surfnorm = \n                   (#1/Sqrt[#1 . #1] & ) /@ \
dummymatrix; surfacerotationmatrix = {{Re[Cos[0.017453292519943295*aa]], \n   \
                  Re[Sin[0.017453292519943295*aa]], 0.}, \
{-1.*Re[Sin[0.017453292519943295*aa]], Re[Cos[0.017453292519943295*aa]], 0.}, \
\n                    {0., 0., Re[Cos[0.017453292519943295*aa]^2 + \
Sin[0.017453292519943295*aa]^2]}}; surfacetranslationvector = \n              \
     {Re[xa1 + ta*Cos[0.017453292519943295*aa]], Re[ya1 + \
ta*Sin[0.017453292519943295*aa]], 0.}; activeregion = -1.; \n                 \
 completedray = {rsx, rsy, rsz, rex, \n                    rey, rez, r1, r2, \
r3, \n                    r4, r5, r6, r7, r8, \n                    r9, \
wavelength, intensity, intensityscale, \n                    ray1, index, \
opticallength, phaseshift, \n                    componentnumber, \
surfacenumber, surfaceid, ray2, \n                    ray3, sid, frontid, \
sno1, sno2, \n                    sno3, sno4, rayslot, generationnumber, \n   \
                 intersectionnumber, pol1, pol2, pol3}; \n                  \
componentnumber = newcomponentnumber; surfacenumber = \n                   \
newsurfacenumber; surfaceid = newsurfaceid; originalray = \n                  \
 {rsx, rsy, rsz, rex, rey, \n                    rez, r1, r2, r3, r4, \n      \
              r5, r6, r7, r8, r9, \n                    wavelength, \
intensity, intensityscale, ray1, \n                    index, opticallength, \
phaseshift, componentnumber, \n                    surfacenumber, surfaceid, \
ray2, ray3, \n                    sid, frontid, sno1, sno2, sno3, \n          \
          sno4, rayslot, generationnumber, intersectionnumber, \n             \
       pol1, pol2, pol3}; ZAxis = \n                   \
First[surfnorm]*Sign[First[surfnorm] . {r1, r2, \n                       \
r3}]; raytiltz = ZAxis . {r1, \n                     r2, r3}; raytiltx = 1 - \
raytiltz^2; \n                  If[raytiltx < 2.220446049250313*^-16, \
raytiltx = 0., raytiltx = \n                    Sqrt[raytiltx]]; XAxis = {r1, \
r2, \n                     r3} - ZAxis*raytiltz; If[Abs[raytiltx] < 1.*^-7, \n\
                   XAxis = surfnorm[[2]], XAxis = XAxis/\n                    \
 raytiltx]; YAxis = {-(ZAxis[[3]]*XAxis[[2]]) + \n                     \
ZAxis[[2]]*XAxis[[3]], ZAxis[[3]]*XAxis[[1]] - \n                     \
ZAxis[[1]]*XAxis[[3]], -(ZAxis[[2]]*XAxis[[1]]) + \n                     \
ZAxis[[1]]*XAxis[[2]]}; YAxis = YAxis/\n                    Sqrt[YAxis . \
YAxis]; PAxis = ZAxis*\n                     {r1, r2, r3} . XAxis - XAxis*\n  \
                   {r1, r2, r3} . ZAxis; PAxis = \n                   \
PAxis/Sqrt[PAxis . PAxis]; normalizedpolarization = \n                   \
{pol1, pol2, pol3}[[{1, 2}]]; normalizedpolarization = \n                   \
normalizedpolarization/Sqrt[normalizedpolarization . normalizedpolarization]; \
\n                  allcreatedamplitudes = {{0.*I, 0.*I, 0.*I}}; amplitude = \
Sqrt[intensity]*\n                    (normalizedpolarization[[1]]*{r4, r5, \
r6} + \n                     normalizedpolarization[[2]]*{r7, r8, r9}*\n      \
                Exp[I*pol3*0.017453292519943295]); perpendicularamplitude = \
amplitude . \n                    YAxis; parallelamplitude = amplitude . \
PAxis; \n                  If[activeregion*(surfacerotationmatrix . {r1, r2, \
\n                        r3})[[1]] > 0, index2 = Sqrt[2.2718929 - \
0.010108077*wavelength^2 + \n                       0.010592509/wavelength^2 \
+ 0.00020816965/wavelength^4 - 7.6472538*^-6/\n                        \
wavelength^6 + 4.9240991*^-7/wavelength^8]; index1 = \n                     \
index; If[Abs[index2 - index1] < 0.01, alternateindex = \n                    \
   Sqrt[1.0005281111748805 - 2.364805676582992*^-10*wavelength^2 + \
2.9781670902982902*^-6/wavelength^\n                           2 + \
2.6004099469477187*^-8/wavelength^4 + 3.7787839314048715*^-10/wavelength^6 + \
\n                         2.830549017940716*^-12/wavelength^8]; \
If[Abs[alternateindex - index1] > \n                        Abs[index2 - \
index1], index1 = index2; \n                        index2 = alternateindex, \
index1 = alternateindex], \n                     index1 = \
Sqrt[1.0005281111748805 - 2.364805676582992*^-10*wavelength^2 + \
2.9781670902982902*^-6/\n                         wavelength^2 + \
2.6004099469477187*^-8/wavelength^4 + 3.7787839314048715*^-10/\n              \
           wavelength^6 + 2.830549017940716*^-12/wavelength^8]], index2 = \n  \
                   Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^\n    \
                     2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + \n                       \
2.830549017940716*^-12/wavelength^8]; index1 = index; \n                    \
If[Abs[index2 - index1] < 0.01, alternateindex = Sqrt[2.2718929 - \n          \
               0.010108077*wavelength^2 + 0.010592509/wavelength^2 + \
0.00020816965/\n                          wavelength^4 - \
7.6472538*^-6/wavelength^6 + 4.9240991*^-7/wavelength^8]; \n                  \
    If[Abs[alternateindex - index1] > Abs[index2 - index1], \n                \
       index1 = index2; index2 = alternateindex, \n                       \
index1 = alternateindex], index1 = Sqrt[2.2718929 - 0.010108077*\n            \
             wavelength^2 + 0.010592509/wavelength^2 + \
0.00020816965/wavelength^4 - \n                        \
7.6472538*^-6/wavelength^6 + 4.9240991*^-7/wavelength^8]]]; n12 = \n          \
         index1/index2; index = index2; \n                  If[1 - \
n12^2*raytiltx^2 >= 0., dummyvector = n12*\n                       {r1, r2, \
r3} + ZAxis*(-(n12*\n                          raytiltz) + Sqrt[1 - \
n12^2*raytiltx^2]); {r1, \n                      r2, r3} = dummyvector; 1., \n\
                   If[{r1, r2, r3} . surfnorm[[1]] > 0, \n                    \
 phaseshift = phaseshift + 0.5, 1.]; index2 = index1; \n                    \
index = index1; dummyvector = {r1, \n                       r2, r3} - \
2*ZAxis*ZAxis . {r1, \n                         r2, r3}; {r1, r2, r3} = \n    \
                 dummyvector; dummyvector = {pol1, pol2, \n                   \
    pol3} + {0, 0, -180}; {pol1, pol2, pol3} = \n                     \
dummyvector; 1.]; allcreatedrays = {{rsx, rsy, \n                     rsz, \
rex, rey, rez, r1, \n                     r2, r3, r4, r5, r6, \n              \
       r7, r8, r9, wavelength, intensity, \n                     \
intensityscale, ray1, index, opticallength, \n                     \
phaseshift, componentnumber, surfacenumber, surfaceid, \n                     \
ray2, ray3, sid, frontid, sno1, \n                     sno2, sno3, sno4, \
rayslot, \n                     generationnumber, intersectionnumber, pol1, \
pol2, \n                     pol3}}; originalrotation = \
Partition[Take[originalray, {7, 15}], 3]; \n                  previoustilt = \
originalrotation[[1]]; transmatrix = \n                   MapIndexed[({rsx, \
rsy, rsz, rex, \n                        rey, rez, r1, r2, r3, \n             \
           r4, r5, r6, r7, r8, \n                        r9, wavelength, \
intensity, intensityscale, \n                        ray1, index, \
opticallength, phaseshift, \n                        componentnumber, \
surfacenumber, surfaceid, ray2, \n                        ray3, sid, frontid, \
sno1, sno2, \n                        sno3, sno4, rayslot, \
oldgenerationnumber, \n                        intersectionnumber, pol1, \
pol2, pol3} = #1; \n                      rotationaxis = Cross[{1., 0., 0.}, \
{r1, r2, r3}]; \n                      axismagnitude = Sqrt[rotationaxis . \
rotationaxis]; \n                      If[Chop[axismagnitude] != 0., \
rotationaxis = rotationaxis/\n                          axismagnitude; \
axismatrix = (#1*rotationaxis & ) /@ \n                          \
rotationaxis; crossmatrix = {{0., -rotationaxis[[3]], \n                      \
     rotationaxis[[2]]}, {rotationaxis[[3]], 0., -rotationaxis[[1]]}, \n      \
                    {-rotationaxis[[2]], rotationaxis[[1]], 0.}}; cosangle = \
\n                         {1., 0., 0.} . {r1, r2, r3}; If[1. - cosangle < \n \
                         2.220446049250313*^-16, cosangle = 1.]; sinangle = 1 \
- cosangle^2; \n                        If[sinangle < 2.220446049250313*^-16, \
sinangle = 0., sinangle = \n                          Sqrt[sinangle]]; \
axismatrix + ({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}} - \n                 \
          axismatrix)*cosangle + crossmatrix*sinangle, \n                     \
  {{r1, r2, r3}, {r4, r5, \n                          r6}, {r7, r8, r9}} = \n \
                       If[Sign[{1., 0., 0.} . {r1, r2, r3}] === 1, {{1., 0., \
0.}, {0., 1., 0.}, \n                          {0., 0., 1.}}, {{-1., 0., 0.}, \
{0., -1., 0.}, {0., 0., 1.}}]]) & , allcreatedrays]; \n                  \
allcreatedrays = MapIndexed[({rsx, rsy, rsz, \n                        rex, \
rey, rez, r1, r2, \n                        r3, r4, r5, r6, r7, \n            \
            r8, r9, wavelength, intensity, \n                        \
intensityscale, ray1, index, opticallength, \n                        \
phaseshift, componentnumber, surfacenumber, \n                        \
surfaceid, ray2, ray3, sid, \n                        frontid, sno1, sno2, \
sno3, \n                        sno4, rayslot, oldgenerationnumber, \n        \
                intersectionnumber, pol1, pol2, pol3} = #1; \n                \
      {{r1, r2, r3}, {r4, r5, \n                         r6}, {r7, r8, r9}} = \
\n                       Function[mm, (mm . #1 & ) /@ {{1., 0., 0.}, {0., 1., \
0.}, {0., 0., 1.}}][\n                        transmatrix[[First[#2]]]]; \
tiltmagnitude = {r1, r2, \n                         r3} . {r1, r2, r3}; \n    \
                  If[Abs[tiltmagnitude - 1.] > 1.*^-6, dummyvector = {r1, \n  \
                         r2, r3}/Sqrt[tiltmagnitude]; {r1, \n                 \
         r2, r3} = dummyvector; dummymatrix = \n                         \
(#1/Sqrt[#1 . #1] & ) /@ {{r1, r2, r3}, {r4, \n                            \
r5, r6}, {r7, r8, r9}}; \n                        {{r1, r2, r3}, {r4, r5, \n  \
                         r6}, {r7, r8, r9}} = \n                         \
dummymatrix; 1., 1.]; If[allcreatedamplitudes != {{0.*I, 0.*I, 0.*I}}, \n     \
                  amplitude = allcreatedamplitudes[[First[#2]]]; hor = \n     \
                    {r4, r5, r6} . amplitude; \n                        ver = \
{r7, r8, r9} . amplitude; \n                        If[Abs[hor] > 0. || \
Abs[ver] > 0., {pol1, pol2, \n                            pol3} = {Abs[hor], \
Abs[ver], 0.}; dummyvector = \n                           {pol1, pol2, \
pol3}/Sqrt[{pol1, \n                               pol2, pol3} . {pol1, pol2, \
\n                               pol3}]; {pol1, pol2, pol3} = \n              \
             dummyvector; dummyvector = ReplacePart[{pol1, \n                 \
            pol2, pol3}, (If[ver == 0., 0., Arg[ver]] - \n                    \
          If[hor == 0., 0., Arg[hor]])/Degree, 3]; {pol1, \n                  \
          pol2, pol3} = dummyvector]; 1., 1.]; {rsx, \n                       \
rsy, rsz, rex, rey, rez, \n                       r1, r2, r3, r4, r5, \n      \
                 r6, r7, r8, r9, wavelength, \n                       \
intensity, intensityscale, ray1, index, \n                       \
opticallength, phaseshift, componentnumber, \n                       \
surfacenumber, surfaceid, ray2, ray3, \n                       sid, frontid, \
sno1, sno2, sno3, \n                       sno4, rayslot, generationnumber, \
intersectionnumber, \n                       pol1, pol2, pol3}) & , \
allcreatedrays]); \n                 {allcreatedrays, {{1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., \
1., 1., \n                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1.}}, {completedray}}, \n                \
resonatenumber == 3, {rsx, rsy, rsz, \n                   rex, rey, rez, r1, \
r2, \n                   r3, r4, r5, r6, r7, \n                   r8, r9, \
wavelength, intensity, \n                   intensityscale, ray1, index, \
opticallength, \n                   phaseshift, componentnumber, \
surfacenumber, surfaceid, \n                   ray2, ray3, sid, frontid, \
sno1, \n                   sno2, sno3, sno4, rayslot, \n                   \
oldgenerationnumber, intersectionnumber, pol1, pol2, \n                   \
pol3} = #1; index1 = index; xunit = \n                  \
r1*Re[Cos[0.017453292519943295*ab]] + r2*Re[Sin[0.017453292519943295*ab]]; \n \
                yunit = r2*Re[Cos[0.017453292519943295*ab]] - 1.*r1*\n        \
            Re[Sin[0.017453292519943295*ab]]; zunit = \
r3*Re[Cos[0.017453292519943295*ab]^2 + \n                     \
Sin[0.017453292519943295*ab]^2]; xunit = Chop[xunit]; yunit = \n              \
    Chop[yunit]; zunit = Chop[zunit]; magnitude = \n                  \
(xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = \n                  \
xunit/magnitude; yunit = yunit/\n                   magnitude; zunit = \
zunit/magnitude; \n                 rx = (rex - \
1.*Re[xb1])*Re[Cos[0.017453292519943295*ab]] + (rey - 1.*Re[yb1])*\n          \
          Re[Sin[0.017453292519943295*ab]]; ry = (rey - \
1.*Re[yb1])*Re[Cos[0.017453292519943295*ab]] - \n                   1.*(rex - \
1.*Re[xb1])*Re[Sin[0.017453292519943295*ab]]; rz = rez*\n                   \
Re[Cos[0.017453292519943295*ab]^2 + Sin[0.017453292519943295*ab]^2]; rx = \
Chop[rx]; \n                 ry = Chop[ry]; rz = Chop[rz]; \n                 \
terminatedeflection = False; intersections = {{-1., 0., 0.}}; intersections = \
\n                  resonateintersections; holeQ = holeQlist[[\n              \
      resonatenumber]] == 1; {newcomponentnumber, newsurfacenumber, \n        \
           newsurfaceid} = {1., 3., 16547.}; {componentnumber, surfacenumber, \
\n                   surfaceid} = {1., 3., 16547.}; {ray1, ray2, ray3} = \n   \
               intersections[[1]]; rsx = rex; rsy = \n                  rey; \
rsz = rez; rxhlp = rx + \n                   ray1*xunit; ryhlp = ry + ray1*\n \
                   yunit; rzhlp = rz + ray1*zunit; \n                 rex = \
Re[xb1] + rxhlp*Re[Cos[0.017453292519943295*ab]] - 1.*ryhlp*\n                \
    Re[Sin[0.017453292519943295*ab]]; rey = Re[yb1] + \
ryhlp*Re[Cos[0.017453292519943295*ab]] + \n                   \
rxhlp*Re[Sin[0.017453292519943295*ab]]; rez = rzhlp*\n                   \
Re[Cos[0.017453292519943295*ab]^2 + Sin[0.017453292519943295*ab]^2]; rex = \
Chop[rex]; \n                 rey = Chop[rey]; rez = Chop[rez]; \n            \
     If[rex == 0 && rey == 0 && rez == 0, rex = \n                    rxhlp + \
Re[xb1]; rey = ryhlp + Re[yb1]; rez = \n                    rzhlp, rex]; \
intersectionnumber = intersectionnumber + \n                   1.; \
opticallength = opticallength + ray1*index1; \n                 completedray \
= {rsx, rsy, rsz, rex, \n                   rey, rez, r1, r2, r3, \n          \
         r4, r5, r6, r7, r8, \n                   r9, wavelength, intensity, \
intensityscale, \n                   ray1, index, opticallength, phaseshift, \
\n                   componentnumber, surfacenumber, surfaceid, ray2, \n      \
             ray3, sid, frontid, sno1, sno2, \n                   sno3, sno4, \
rayslot, generationnumber, \n                   intersectionnumber, pol1, \
pol2, pol3}; \n                 reportedrayspresent = True; \
intersectionspresent = True; deflectedrayspresent = \n                  True; \
localdummyoutrayspresent = True; (surfnorm = \n                   1.*Re[{{1., \
-1.*(ray2/Sign[cb1]/(cb1^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5), \n               \
        -1.*(ray3/Sign[cb1]/(cb1^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5)}, \n      \
                {ray2/Sign[cb1]/(cb1^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, 1., \
0.}, \n                      {ray3/Sign[cb1]/(cb1^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5, 0., 1.}}]; \n                  dummymatrix = \
({{(Re[Cos[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/\n                         \
(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2] + Re[Sin[0.017453292519943295*ab]]^2*\n       \
                    Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), (-1.*Re[Sin[0.017453292519943295*ab]]*\n    \
                      Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^\n                              2 + \
Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*\n                                ab]^2]), 0.}, \
{(Re[Sin[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/\n                         \
(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2] + Re[Sin[0.017453292519943295*ab]]^2*\n       \
                    Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), \
(Re[Cos[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^\n          \
                   2 + \
Sin[0.017453292519943295*ab]^2])/(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^2 + Sin[0.017453292519943295*\n                        \
        ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), 0.}, \n                       {0., 0., \
(Re[Cos[0.017453292519943295*ab]]^2 + \
Re[Sin[0.017453292519943295*ab]]^2)/(Re[Cos[0.017453292519943295*ab]]^2*\n    \
                       Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^\n         \
                     2 + Sin[0.017453292519943295*ab]^2])}} . #1 & ) /@ \
surfnorm; surfnorm = \n                   (#1/Sqrt[#1 . #1] & ) /@ \
dummymatrix; surfacerotationmatrix = {{Re[Cos[0.017453292519943295*ab]], \n   \
                  Re[Sin[0.017453292519943295*ab]], 0.}, \
{-1.*Re[Sin[0.017453292519943295*ab]], Re[Cos[0.017453292519943295*ab]], 0.}, \
\n                    {0., 0., Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]}}; surfacetranslationvector = \n              \
     {Re[xb1], Re[yb1], 0.}; activeregion = 1.; completedray = {rsx, \n       \
             rsy, rsz, rex, rey, rez, \n                    r1, r2, r3, r4, \
r5, \n                    r6, r7, r8, r9, wavelength, \n                    \
intensity, intensityscale, ray1, index, \n                    opticallength, \
phaseshift, componentnumber, \n                    surfacenumber, surfaceid, \
ray2, ray3, \n                    sid, frontid, sno1, sno2, sno3, \n          \
          sno4, rayslot, generationnumber, intersectionnumber, \n             \
       pol1, pol2, pol3}; componentnumber = \n                   \
newcomponentnumber; surfacenumber = newsurfacenumber; \n                  \
surfaceid = newsurfaceid; originalray = {rsx, \n                    rsy, rsz, \
rex, rey, rez, \n                    r1, r2, r3, r4, r5, \n                   \
 r6, r7, r8, r9, wavelength, \n                    intensity, intensityscale, \
ray1, index, \n                    opticallength, phaseshift, \
componentnumber, \n                    surfacenumber, surfaceid, ray2, ray3, \
\n                    sid, frontid, sno1, sno2, sno3, \n                    \
sno4, rayslot, generationnumber, intersectionnumber, \n                    \
pol1, pol2, pol3}; ZAxis = \n                   \
First[surfnorm]*Sign[First[surfnorm] . {r1, r2, \n                       \
r3}]; raytiltz = ZAxis . {r1, \n                     r2, r3}; raytiltx = 1 - \
raytiltz^2; \n                  If[raytiltx < 2.220446049250313*^-16, \
raytiltx = 0., raytiltx = \n                    Sqrt[raytiltx]]; XAxis = {r1, \
r2, \n                     r3} - ZAxis*raytiltz; If[Abs[raytiltx] < 1.*^-7, \n\
                   XAxis = surfnorm[[2]], XAxis = XAxis/\n                    \
 raytiltx]; YAxis = {-(ZAxis[[3]]*XAxis[[2]]) + \n                     \
ZAxis[[2]]*XAxis[[3]], ZAxis[[3]]*XAxis[[1]] - \n                     \
ZAxis[[1]]*XAxis[[3]], -(ZAxis[[2]]*XAxis[[1]]) + \n                     \
ZAxis[[1]]*XAxis[[2]]}; YAxis = YAxis/\n                    Sqrt[YAxis . \
YAxis]; PAxis = ZAxis*\n                     {r1, r2, r3} . XAxis - XAxis*\n  \
                   {r1, r2, r3} . ZAxis; PAxis = \n                   \
PAxis/Sqrt[PAxis . PAxis]; normalizedpolarization = \n                   \
{pol1, pol2, pol3}[[{1, 2}]]; normalizedpolarization = \n                   \
normalizedpolarization/Sqrt[normalizedpolarization . normalizedpolarization]; \
\n                  allcreatedamplitudes = {{0.*I, 0.*I, 0.*I}}; amplitude = \
Sqrt[intensity]*\n                    (normalizedpolarization[[1]]*{r4, r5, \
r6} + \n                     normalizedpolarization[[2]]*{r7, r8, r9}*\n      \
                Exp[I*pol3*0.017453292519943295]); perpendicularamplitude = \
amplitude . \n                    YAxis; parallelamplitude = amplitude . \
PAxis; \n                  If[activeregion*(surfacerotationmatrix . {r1, r2, \
\n                        r3})[[1]] > 0, index2 = Sqrt[3.0539614 - \
0.011580432*wavelength^2 + \n                       0.039199816/wavelength^2 \
+ 0.0029462812/wavelength^4 - 0.00020371019000000004/\n                       \
 wavelength^6 + 0.000027633568999999998/wavelength^8]; index1 = \n            \
         index; If[Abs[index2 - index1] < 0.01, alternateindex = \n           \
            Sqrt[1.0005281111748805 - 2.364805676582992*^-10*wavelength^2 + \
2.9781670902982902*^-6/wavelength^\n                           2 + \
2.6004099469477187*^-8/wavelength^4 + 3.7787839314048715*^-10/wavelength^6 + \
\n                         2.830549017940716*^-12/wavelength^8]; \
If[Abs[alternateindex - index1] > \n                        Abs[index2 - \
index1], index1 = index2; \n                        index2 = alternateindex, \
index1 = alternateindex], \n                     index1 = \
Sqrt[1.0005281111748805 - 2.364805676582992*^-10*wavelength^2 + \
2.9781670902982902*^-6/\n                         wavelength^2 + \
2.6004099469477187*^-8/wavelength^4 + 3.7787839314048715*^-10/\n              \
           wavelength^6 + 2.830549017940716*^-12/wavelength^8]], index2 = \n  \
                   Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^\n    \
                     2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + \n                       \
2.830549017940716*^-12/wavelength^8]; index1 = index; \n                    \
If[Abs[index2 - index1] < 0.01, alternateindex = Sqrt[3.0539614 - \n          \
               0.011580432*wavelength^2 + 0.039199816/wavelength^2 + \
0.0029462812/\n                          wavelength^4 - \
0.00020371019000000004/wavelength^6 + 0.000027633568999999998/\n              \
            wavelength^8]; If[Abs[alternateindex - index1] > \n               \
         Abs[index2 - index1], index1 = index2; \n                        \
index2 = alternateindex, index1 = alternateindex], \n                     \
index1 = Sqrt[3.0539614 - 0.011580432*wavelength^2 + 0.039199816/wavelength^\n\
                          2 + 0.0029462812/wavelength^4 - \
0.00020371019000000004/wavelength^6 + 0.000027633568999999998/\n              \
           wavelength^8]]]; n12 = index1/index2; \n                  index = \
index2; If[1 - n12^2*raytiltx^2 >= 0., \n                   dummyvector = \
n12*{r1, r2, r3} + \n                      ZAxis*(-(n12*raytiltz) + Sqrt[1 - \
n12^2*\n                           raytiltx^2]); {r1, r2, r3} = \n            \
         dummyvector; 1., If[{r1, r2, r3} . \n                       \
surfnorm[[1]] > 0, phaseshift = phaseshift + 0.5, 1.]; \n                    \
index2 = index1; index = index1; \n                    dummyvector = {r1, r2, \
r3} - \n                      2*ZAxis*ZAxis . {r1, r2, r3}; \n                \
    {r1, r2, r3} = dummyvector; \n                    dummyvector = {pol1, \
pol2, pol3} + {0, 0, -180}; \n                    {pol1, pol2, pol3} = \
dummyvector; 1.]; \n                  allcreatedrays = {{rsx, rsy, rsz, \n    \
                 rex, rey, rez, r1, r2, \n                     r3, r4, r5, \
r6, r7, \n                     r8, r9, wavelength, intensity, \n              \
       intensityscale, ray1, index, opticallength, \n                     \
phaseshift, componentnumber, surfacenumber, surfaceid, \n                     \
ray2, ray3, sid, frontid, sno1, \n                     sno2, sno3, sno4, \
rayslot, \n                     generationnumber, intersectionnumber, pol1, \
pol2, \n                     pol3}}; originalrotation = \
Partition[Take[originalray, {7, 15}], 3]; \n                  previoustilt = \
originalrotation[[1]]; transmatrix = \n                   MapIndexed[({rsx, \
rsy, rsz, rex, \n                        rey, rez, r1, r2, r3, \n             \
           r4, r5, r6, r7, r8, \n                        r9, wavelength, \
intensity, intensityscale, \n                        ray1, index, \
opticallength, phaseshift, \n                        componentnumber, \
surfacenumber, surfaceid, ray2, \n                        ray3, sid, frontid, \
sno1, sno2, \n                        sno3, sno4, rayslot, \
oldgenerationnumber, \n                        intersectionnumber, pol1, \
pol2, pol3} = #1; \n                      rotationaxis = Cross[{1., 0., 0.}, \
{r1, r2, r3}]; \n                      axismagnitude = Sqrt[rotationaxis . \
rotationaxis]; \n                      If[Chop[axismagnitude] != 0., \
rotationaxis = rotationaxis/\n                          axismagnitude; \
axismatrix = (#1*rotationaxis & ) /@ \n                          \
rotationaxis; crossmatrix = {{0., -rotationaxis[[3]], \n                      \
     rotationaxis[[2]]}, {rotationaxis[[3]], 0., -rotationaxis[[1]]}, \n      \
                    {-rotationaxis[[2]], rotationaxis[[1]], 0.}}; cosangle = \
\n                         {1., 0., 0.} . {r1, r2, r3}; If[1. - cosangle < \n \
                         2.220446049250313*^-16, cosangle = 1.]; sinangle = 1 \
- cosangle^2; \n                        If[sinangle < 2.220446049250313*^-16, \
sinangle = 0., sinangle = \n                          Sqrt[sinangle]]; \
axismatrix + ({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}} - \n                 \
          axismatrix)*cosangle + crossmatrix*sinangle, \n                     \
  {{r1, r2, r3}, {r4, r5, \n                          r6}, {r7, r8, r9}} = \n \
                       If[Sign[{1., 0., 0.} . {r1, r2, r3}] === 1, {{1., 0., \
0.}, {0., 1., 0.}, \n                          {0., 0., 1.}}, {{-1., 0., 0.}, \
{0., -1., 0.}, {0., 0., 1.}}]]) & , allcreatedrays]; \n                  \
allcreatedrays = MapIndexed[({rsx, rsy, rsz, \n                        rex, \
rey, rez, r1, r2, \n                        r3, r4, r5, r6, r7, \n            \
            r8, r9, wavelength, intensity, \n                        \
intensityscale, ray1, index, opticallength, \n                        \
phaseshift, componentnumber, surfacenumber, \n                        \
surfaceid, ray2, ray3, sid, \n                        frontid, sno1, sno2, \
sno3, \n                        sno4, rayslot, oldgenerationnumber, \n        \
                intersectionnumber, pol1, pol2, pol3} = #1; \n                \
      {{r1, r2, r3}, {r4, r5, \n                         r6}, {r7, r8, r9}} = \
\n                       Function[mm, (mm . #1 & ) /@ {{1., 0., 0.}, {0., 1., \
0.}, {0., 0., 1.}}][\n                        transmatrix[[First[#2]]]]; \
tiltmagnitude = {r1, r2, \n                         r3} . {r1, r2, r3}; \n    \
                  If[Abs[tiltmagnitude - 1.] > 1.*^-6, dummyvector = {r1, \n  \
                         r2, r3}/Sqrt[tiltmagnitude]; {r1, \n                 \
         r2, r3} = dummyvector; dummymatrix = \n                         \
(#1/Sqrt[#1 . #1] & ) /@ {{r1, r2, r3}, {r4, \n                            \
r5, r6}, {r7, r8, r9}}; \n                        {{r1, r2, r3}, {r4, r5, \n  \
                         r6}, {r7, r8, r9}} = \n                         \
dummymatrix; 1., 1.]; If[allcreatedamplitudes != {{0.*I, 0.*I, 0.*I}}, \n     \
                  amplitude = allcreatedamplitudes[[First[#2]]]; hor = \n     \
                    {r4, r5, r6} . amplitude; \n                        ver = \
{r7, r8, r9} . amplitude; \n                        If[Abs[hor] > 0. || \
Abs[ver] > 0., {pol1, pol2, \n                            pol3} = {Abs[hor], \
Abs[ver], 0.}; dummyvector = \n                           {pol1, pol2, \
pol3}/Sqrt[{pol1, \n                               pol2, pol3} . {pol1, pol2, \
\n                               pol3}]; {pol1, pol2, pol3} = \n              \
             dummyvector; dummyvector = ReplacePart[{pol1, \n                 \
            pol2, pol3}, (If[ver == 0., 0., Arg[ver]] - \n                    \
          If[hor == 0., 0., Arg[hor]])/Degree, 3]; {pol1, \n                  \
          pol2, pol3} = dummyvector]; 1., 1.]; {rsx, \n                       \
rsy, rsz, rex, rey, rez, \n                       r1, r2, r3, r4, r5, \n      \
                 r6, r7, r8, r9, wavelength, \n                       \
intensity, intensityscale, ray1, index, \n                       \
opticallength, phaseshift, componentnumber, \n                       \
surfacenumber, surfaceid, ray2, ray3, \n                       sid, frontid, \
sno1, sno2, sno3, \n                       sno4, rayslot, generationnumber, \
intersectionnumber, \n                       pol1, pol2, pol3}) & , \
allcreatedrays]); \n                 {allcreatedrays, {{1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., \
1., 1., \n                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1.}}, {completedray}}, \n                \
resonatenumber == 4, {rsx, rsy, rsz, \n                   rex, rey, rez, r1, \
r2, \n                   r3, r4, r5, r6, r7, \n                   r8, r9, \
wavelength, intensity, \n                   intensityscale, ray1, index, \
opticallength, \n                   phaseshift, componentnumber, \
surfacenumber, surfaceid, \n                   ray2, ray3, sid, frontid, \
sno1, \n                   sno2, sno3, sno4, rayslot, \n                   \
oldgenerationnumber, intersectionnumber, pol1, pol2, \n                   \
pol3} = #1; index1 = index; xunit = \n                  \
r1*Re[Cos[0.017453292519943295*ab]] + r2*Re[Sin[0.017453292519943295*ab]]; \n \
                yunit = r2*Re[Cos[0.017453292519943295*ab]] - 1.*r1*\n        \
            Re[Sin[0.017453292519943295*ab]]; zunit = \
r3*Re[Cos[0.017453292519943295*ab]^2 + \n                     \
Sin[0.017453292519943295*ab]^2]; xunit = Chop[xunit]; yunit = \n              \
    Chop[yunit]; zunit = Chop[zunit]; magnitude = \n                  \
(xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = \n                  \
xunit/magnitude; yunit = yunit/\n                   magnitude; zunit = \
zunit/magnitude; \n                 rx = \
Re[Cos[0.017453292519943295*ab]]*(rex - 1.*Re[xb1 + \
tb*Cos[0.017453292519943295*ab]]) + \n                   \
Re[Sin[0.017453292519943295*ab]]*(rey - 1.*Re[yb1 + \
tb*Sin[0.017453292519943295*ab]]); ry = \n                  -1.*(rex - \
1.*Re[xb1 + \
tb*Cos[0.017453292519943295*ab]])*Re[Sin[0.017453292519943295*ab]] + \
Re[Cos[0.017453292519943295*ab]]*\n                    (rey - 1.*Re[yb1 + \
tb*Sin[0.017453292519943295*ab]]); rz = rez*\n                   \
Re[Cos[0.017453292519943295*ab]^2 + Sin[0.017453292519943295*ab]^2]; rx = \
Chop[rx]; \n                 ry = Chop[ry]; rz = Chop[rz]; \n                 \
terminatedeflection = False; intersections = {{-1., 0., 0.}}; intersections = \
\n                  resonateintersections; holeQ = holeQlist[[\n              \
      resonatenumber]] == 1; {newcomponentnumber, newsurfacenumber, \n        \
           newsurfaceid} = {1., 4., 16548.}; {componentnumber, surfacenumber, \
\n                   surfaceid} = {1., 4., 16548.}; {ray1, ray2, ray3} = \n   \
               intersections[[1]]; rsx = rex; rsy = \n                  rey; \
rsz = rez; rxhlp = rx + \n                   ray1*xunit; ryhlp = ry + ray1*\n \
                   yunit; rzhlp = rz + ray1*zunit; \n                 rex = \
rxhlp*Re[Cos[0.017453292519943295*ab]] + Re[xb1 + \
tb*Cos[0.017453292519943295*ab]] - \n                   \
1.*ryhlp*Re[Sin[0.017453292519943295*ab]]; rey = ryhlp*\n                    \
Re[Cos[0.017453292519943295*ab]] + rxhlp*Re[Sin[0.017453292519943295*ab]] + \
Re[yb1 + tb*Sin[0.017453292519943295*ab]]; \n                 rez = \
rzhlp*Re[Cos[0.017453292519943295*ab]^2 + Sin[0.017453292519943295*ab]^2]; \n \
                rex = Chop[rex]; rey = Chop[rey]; \n                 rez = \
Chop[rez]; If[rex == 0 && rey == 0 && \n                   rez == 0, rex = \
rxhlp + Re[xb1 + tb*Cos[0.017453292519943295*ab]]; \n                   rey = \
ryhlp + Re[yb1 + tb*Sin[0.017453292519943295*ab]]; rez = \n                   \
 rzhlp, rex]; intersectionnumber = intersectionnumber + \n                   \
1.; opticallength = opticallength + ray1*index1; \n                 \
completedray = {rsx, rsy, rsz, rex, \n                   rey, rez, r1, r2, \
r3, \n                   r4, r5, r6, r7, r8, \n                   r9, \
wavelength, intensity, intensityscale, \n                   ray1, index, \
opticallength, phaseshift, \n                   componentnumber, \
surfacenumber, surfaceid, ray2, \n                   ray3, sid, frontid, \
sno1, sno2, \n                   sno3, sno4, rayslot, generationnumber, \n    \
               intersectionnumber, pol1, pol2, pol3}; \n                 \
reportedrayspresent = True; intersectionspresent = True; deflectedrayspresent \
= \n                  True; localdummyoutrayspresent = True; (surfnorm = \n   \
                1.*Re[{{1., -1.*(ray2/Sign[cb2]/(cb2^(-2) - 1.*ray2^2 - \
1.*ray3^2)^0.5), \n                       -1.*(ray3/Sign[cb2]/(cb2^(-2) - \
1.*ray2^2 - 1.*ray3^2)^0.5)}, \n                      \
{ray2/Sign[cb2]/(cb2^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, 1., 0.}, \n           \
           {ray3/Sign[cb2]/(cb2^(-2) - 1.*ray2^2 - 1.*ray3^2)^0.5, 0., 1.}}]; \
\n                  dummymatrix = \
({{(Re[Cos[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/\n                         \
(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2] + Re[Sin[0.017453292519943295*ab]]^2*\n       \
                    Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), (-1.*Re[Sin[0.017453292519943295*ab]]*\n    \
                      Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^\n                              2 + \
Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*\n                                ab]^2]), 0.}, \
{(Re[Sin[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2])/\n                         \
(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2] + Re[Sin[0.017453292519943295*ab]]^2*\n       \
                    Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), \
(Re[Cos[0.017453292519943295*ab]]*Re[Cos[0.017453292519943295*ab]^\n          \
                   2 + \
Sin[0.017453292519943295*ab]^2])/(Re[Cos[0.017453292519943295*ab]]^2*Re[Cos[0.\
017453292519943295*ab]^2 + Sin[0.017453292519943295*\n                        \
        ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]), 0.}, \n                       {0., 0., \
(Re[Cos[0.017453292519943295*ab]]^2 + \
Re[Sin[0.017453292519943295*ab]]^2)/(Re[Cos[0.017453292519943295*ab]]^2*\n    \
                       Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2] + \
Re[Sin[0.017453292519943295*ab]]^2*Re[Cos[0.017453292519943295*ab]^\n         \
                     2 + Sin[0.017453292519943295*ab]^2])}} . #1 & ) /@ \
surfnorm; surfnorm = \n                   (#1/Sqrt[#1 . #1] & ) /@ \
dummymatrix; surfacerotationmatrix = {{Re[Cos[0.017453292519943295*ab]], \n   \
                  Re[Sin[0.017453292519943295*ab]], 0.}, \
{-1.*Re[Sin[0.017453292519943295*ab]], Re[Cos[0.017453292519943295*ab]], 0.}, \
\n                    {0., 0., Re[Cos[0.017453292519943295*ab]^2 + \
Sin[0.017453292519943295*ab]^2]}}; surfacetranslationvector = \n              \
     {Re[xb1 + tb*Cos[0.017453292519943295*ab]], Re[yb1 + \
tb*Sin[0.017453292519943295*ab]], 0.}; activeregion = -1.; \n                 \
 completedray = {rsx, rsy, rsz, rex, \n                    rey, rez, r1, r2, \
r3, \n                    r4, r5, r6, r7, r8, \n                    r9, \
wavelength, intensity, intensityscale, \n                    ray1, index, \
opticallength, phaseshift, \n                    componentnumber, \
surfacenumber, surfaceid, ray2, \n                    ray3, sid, frontid, \
sno1, sno2, \n                    sno3, sno4, rayslot, generationnumber, \n   \
                 intersectionnumber, pol1, pol2, pol3}; \n                  \
componentnumber = newcomponentnumber; surfacenumber = \n                   \
newsurfacenumber; surfaceid = newsurfaceid; originalray = \n                  \
 {rsx, rsy, rsz, rex, rey, \n                    rez, r1, r2, r3, r4, \n      \
              r5, r6, r7, r8, r9, \n                    wavelength, \
intensity, intensityscale, ray1, \n                    index, opticallength, \
phaseshift, componentnumber, \n                    surfacenumber, surfaceid, \
ray2, ray3, \n                    sid, frontid, sno1, sno2, sno3, \n          \
          sno4, rayslot, generationnumber, intersectionnumber, \n             \
       pol1, pol2, pol3}; ZAxis = \n                   \
First[surfnorm]*Sign[First[surfnorm] . {r1, r2, \n                       \
r3}]; raytiltz = ZAxis . {r1, \n                     r2, r3}; raytiltx = 1 - \
raytiltz^2; \n                  If[raytiltx < 2.220446049250313*^-16, \
raytiltx = 0., raytiltx = \n                    Sqrt[raytiltx]]; XAxis = {r1, \
r2, \n                     r3} - ZAxis*raytiltz; If[Abs[raytiltx] < 1.*^-7, \n\
                   XAxis = surfnorm[[2]], XAxis = XAxis/\n                    \
 raytiltx]; YAxis = {-(ZAxis[[3]]*XAxis[[2]]) + \n                     \
ZAxis[[2]]*XAxis[[3]], ZAxis[[3]]*XAxis[[1]] - \n                     \
ZAxis[[1]]*XAxis[[3]], -(ZAxis[[2]]*XAxis[[1]]) + \n                     \
ZAxis[[1]]*XAxis[[2]]}; YAxis = YAxis/\n                    Sqrt[YAxis . \
YAxis]; PAxis = ZAxis*\n                     {r1, r2, r3} . XAxis - XAxis*\n  \
                   {r1, r2, r3} . ZAxis; PAxis = \n                   \
PAxis/Sqrt[PAxis . PAxis]; normalizedpolarization = \n                   \
{pol1, pol2, pol3}[[{1, 2}]]; normalizedpolarization = \n                   \
normalizedpolarization/Sqrt[normalizedpolarization . normalizedpolarization]; \
\n                  allcreatedamplitudes = {{0.*I, 0.*I, 0.*I}}; amplitude = \
Sqrt[intensity]*\n                    (normalizedpolarization[[1]]*{r4, r5, \
r6} + \n                     normalizedpolarization[[2]]*{r7, r8, r9}*\n      \
                Exp[I*pol3*0.017453292519943295]); perpendicularamplitude = \
amplitude . \n                    YAxis; parallelamplitude = amplitude . \
PAxis; \n                  If[activeregion*(surfacerotationmatrix . {r1, r2, \
\n                        r3})[[1]] > 0, index2 = Sqrt[3.0539614 - \
0.011580432*wavelength^2 + \n                       0.039199816/wavelength^2 \
+ 0.0029462812/wavelength^4 - 0.00020371019000000004/\n                       \
 wavelength^6 + 0.000027633568999999998/wavelength^8]; index1 = \n            \
         index; If[Abs[index2 - index1] < 0.01, alternateindex = \n           \
            Sqrt[1.0005281111748805 - 2.364805676582992*^-10*wavelength^2 + \
2.9781670902982902*^-6/wavelength^\n                           2 + \
2.6004099469477187*^-8/wavelength^4 + 3.7787839314048715*^-10/wavelength^6 + \
\n                         2.830549017940716*^-12/wavelength^8]; \
If[Abs[alternateindex - index1] > \n                        Abs[index2 - \
index1], index1 = index2; \n                        index2 = alternateindex, \
index1 = alternateindex], \n                     index1 = \
Sqrt[1.0005281111748805 - 2.364805676582992*^-10*wavelength^2 + \
2.9781670902982902*^-6/\n                         wavelength^2 + \
2.6004099469477187*^-8/wavelength^4 + 3.7787839314048715*^-10/\n              \
           wavelength^6 + 2.830549017940716*^-12/wavelength^8]], index2 = \n  \
                   Sqrt[1.0005281111748805 - \
2.364805676582992*^-10*wavelength^2 + 2.9781670902982902*^-6/wavelength^\n    \
                     2 + 2.6004099469477187*^-8/wavelength^4 + \
3.7787839314048715*^-10/wavelength^6 + \n                       \
2.830549017940716*^-12/wavelength^8]; index1 = index; \n                    \
If[Abs[index2 - index1] < 0.01, alternateindex = Sqrt[3.0539614 - \n          \
               0.011580432*wavelength^2 + 0.039199816/wavelength^2 + \
0.0029462812/\n                          wavelength^4 - \
0.00020371019000000004/wavelength^6 + 0.000027633568999999998/\n              \
            wavelength^8]; If[Abs[alternateindex - index1] > \n               \
         Abs[index2 - index1], index1 = index2; \n                        \
index2 = alternateindex, index1 = alternateindex], \n                     \
index1 = Sqrt[3.0539614 - 0.011580432*wavelength^2 + 0.039199816/wavelength^\n\
                          2 + 0.0029462812/wavelength^4 - \
0.00020371019000000004/wavelength^6 + 0.000027633568999999998/\n              \
           wavelength^8]]]; n12 = index1/index2; \n                  index = \
index2; If[1 - n12^2*raytiltx^2 >= 0., \n                   dummyvector = \
n12*{r1, r2, r3} + \n                      ZAxis*(-(n12*raytiltz) + Sqrt[1 - \
n12^2*\n                           raytiltx^2]); {r1, r2, r3} = \n            \
         dummyvector; 1., If[{r1, r2, r3} . \n                       \
surfnorm[[1]] > 0, phaseshift = phaseshift + 0.5, 1.]; \n                    \
index2 = index1; index = index1; \n                    dummyvector = {r1, r2, \
r3} - \n                      2*ZAxis*ZAxis . {r1, r2, r3}; \n                \
    {r1, r2, r3} = dummyvector; \n                    dummyvector = {pol1, \
pol2, pol3} + {0, 0, -180}; \n                    {pol1, pol2, pol3} = \
dummyvector; 1.]; \n                  allcreatedrays = {{rsx, rsy, rsz, \n    \
                 rex, rey, rez, r1, r2, \n                     r3, r4, r5, \
r6, r7, \n                     r8, r9, wavelength, intensity, \n              \
       intensityscale, ray1, index, opticallength, \n                     \
phaseshift, componentnumber, surfacenumber, surfaceid, \n                     \
ray2, ray3, sid, frontid, sno1, \n                     sno2, sno3, sno4, \
rayslot, \n                     generationnumber, intersectionnumber, pol1, \
pol2, \n                     pol3}}; originalrotation = \
Partition[Take[originalray, {7, 15}], 3]; \n                  previoustilt = \
originalrotation[[1]]; transmatrix = \n                   MapIndexed[({rsx, \
rsy, rsz, rex, \n                        rey, rez, r1, r2, r3, \n             \
           r4, r5, r6, r7, r8, \n                        r9, wavelength, \
intensity, intensityscale, \n                        ray1, index, \
opticallength, phaseshift, \n                        componentnumber, \
surfacenumber, surfaceid, ray2, \n                        ray3, sid, frontid, \
sno1, sno2, \n                        sno3, sno4, rayslot, \
oldgenerationnumber, \n                        intersectionnumber, pol1, \
pol2, pol3} = #1; \n                      rotationaxis = Cross[{1., 0., 0.}, \
{r1, r2, r3}]; \n                      axismagnitude = Sqrt[rotationaxis . \
rotationaxis]; \n                      If[Chop[axismagnitude] != 0., \
rotationaxis = rotationaxis/\n                          axismagnitude; \
axismatrix = (#1*rotationaxis & ) /@ \n                          \
rotationaxis; crossmatrix = {{0., -rotationaxis[[3]], \n                      \
     rotationaxis[[2]]}, {rotationaxis[[3]], 0., -rotationaxis[[1]]}, \n      \
                    {-rotationaxis[[2]], rotationaxis[[1]], 0.}}; cosangle = \
\n                         {1., 0., 0.} . {r1, r2, r3}; If[1. - cosangle < \n \
                         2.220446049250313*^-16, cosangle = 1.]; sinangle = 1 \
- cosangle^2; \n                        If[sinangle < 2.220446049250313*^-16, \
sinangle = 0., sinangle = \n                          Sqrt[sinangle]]; \
axismatrix + ({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}} - \n                 \
          axismatrix)*cosangle + crossmatrix*sinangle, \n                     \
  {{r1, r2, r3}, {r4, r5, \n                          r6}, {r7, r8, r9}} = \n \
                       If[Sign[{1., 0., 0.} . {r1, r2, r3}] === 1, {{1., 0., \
0.}, {0., 1., 0.}, \n                          {0., 0., 1.}}, {{-1., 0., 0.}, \
{0., -1., 0.}, {0., 0., 1.}}]]) & , allcreatedrays]; \n                  \
allcreatedrays = MapIndexed[({rsx, rsy, rsz, \n                        rex, \
rey, rez, r1, r2, \n                        r3, r4, r5, r6, r7, \n            \
            r8, r9, wavelength, intensity, \n                        \
intensityscale, ray1, index, opticallength, \n                        \
phaseshift, componentnumber, surfacenumber, \n                        \
surfaceid, ray2, ray3, sid, \n                        frontid, sno1, sno2, \
sno3, \n                        sno4, rayslot, oldgenerationnumber, \n        \
                intersectionnumber, pol1, pol2, pol3} = #1; \n                \
      {{r1, r2, r3}, {r4, r5, \n                         r6}, {r7, r8, r9}} = \
\n                       Function[mm, (mm . #1 & ) /@ {{1., 0., 0.}, {0., 1., \
0.}, {0., 0., 1.}}][\n                        transmatrix[[First[#2]]]]; \
tiltmagnitude = {r1, r2, \n                         r3} . {r1, r2, r3}; \n    \
                  If[Abs[tiltmagnitude - 1.] > 1.*^-6, dummyvector = {r1, \n  \
                         r2, r3}/Sqrt[tiltmagnitude]; {r1, \n                 \
         r2, r3} = dummyvector; dummymatrix = \n                         \
(#1/Sqrt[#1 . #1] & ) /@ {{r1, r2, r3}, {r4, \n                            \
r5, r6}, {r7, r8, r9}}; \n                        {{r1, r2, r3}, {r4, r5, \n  \
                         r6}, {r7, r8, r9}} = \n                         \
dummymatrix; 1., 1.]; If[allcreatedamplitudes != {{0.*I, 0.*I, 0.*I}}, \n     \
                  amplitude = allcreatedamplitudes[[First[#2]]]; hor = \n     \
                    {r4, r5, r6} . amplitude; \n                        ver = \
{r7, r8, r9} . amplitude; \n                        If[Abs[hor] > 0. || \
Abs[ver] > 0., {pol1, pol2, \n                            pol3} = {Abs[hor], \
Abs[ver], 0.}; dummyvector = \n                           {pol1, pol2, \
pol3}/Sqrt[{pol1, \n                               pol2, pol3} . {pol1, pol2, \
\n                               pol3}]; {pol1, pol2, pol3} = \n              \
             dummyvector; dummyvector = ReplacePart[{pol1, \n                 \
            pol2, pol3}, (If[ver == 0., 0., Arg[ver]] - \n                    \
          If[hor == 0., 0., Arg[hor]])/Degree, 3]; {pol1, \n                  \
          pol2, pol3} = dummyvector]; 1., 1.]; {rsx, \n                       \
rsy, rsz, rex, rey, rez, \n                       r1, r2, r3, r4, r5, \n      \
                 r6, r7, r8, r9, wavelength, \n                       \
intensity, intensityscale, ray1, index, \n                       \
opticallength, phaseshift, componentnumber, \n                       \
surfacenumber, surfaceid, ray2, ray3, \n                       sid, frontid, \
sno1, sno2, sno3, \n                       sno4, rayslot, generationnumber, \
intersectionnumber, \n                       pol1, pol2, pol3}) & , \
allcreatedrays]); \n                 {allcreatedrays, {{1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., \
1., 1., \n                    0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1.}}, {completedray}}, True, \n                \
deflecteddummyrayspresent = True; reporteddummyrayspresent = True; \n         \
        localoutrayspresent = True; {{{1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., \n                  \
  1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1.}}, {{rsx, rsy, \n                    rsz, rex, rey, rez, r1, \n    \
                r2, r3, r4, r5, r6, \n                    r7, r8, r9, \
wavelength, intensity, \n                    intensityscale, ray1, index, \
opticallength, \n                    phaseshift, componentnumber, \
surfacenumber, surfaceid, \n                    ray2, ray3, sid, frontid, \
sno1, \n                    sno2, sno3, sno4, rayslot, \n                    \
generationnumber, intersectionnumber, pol1, pol2, \n                    \
pol3}}, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
-1.7976931348623157*^308, 1., 1., 1., 1., 0., \n                    -1., -1., \
-1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}}], \
deflecteddummyrayspresent = True; \n               reporteddummyrayspresent = \
True; localdummyoutrayspresent = True; {{{1., 1., 1., 1., 1., 1., 1., 1., 1., \
\n                  1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., \
1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1.}}, \n                {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., \
-1., 1., 1., 1., 1., 1., \n                  1., 1., 1., 1., 1., 1., 1., 1., \
1.}}, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
-1.7976931348623157*^308, 1., 1., 1., 1., \n                  0., -1., -1., \
-1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}}]) & ) /@ \
inrays]; \n       If[deflectedrayspresent && deflecteddummyrayspresent, \
deflectedlocalrays = \n         Select[deflectedlocalrays, #1[[23]] > 0. & \
]*1., 1.]; If[localoutrayspresent, \n        If[localdummyoutrayspresent, \
localoutrays = Select[localoutrays, #1[[23]] > 0. & ]; 1., \n          1.]; \
outrays = Join[outrays, localoutrays]; 1., 1.]; \n       \
If[reportedrayspresent && reporteddummyrayspresent, \n        \
reportedlocalrays = Select[reportedlocalrays, #1[[23]] > 0. & ]; 1., 1.]); \n \
     If[reportedrayspresent, raysreported = True; reportedrays = \n         \
Join[reportedrays, {{-1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308}}, \n          \
reportedlocalrays]; 1., 1.]; inrays = deflectedlocalrays; \n      propagate = \
generationnumber < generationlimit]; \n    propagatedrays = \
If[Length[outrays] > 1, Drop[outrays, 1], outrays]; \n    If[generationnumber \
>= generationlimit && deflectedrayspresent, \n     propagatedrays = \
Join[propagatedrays, deflectedlocalrays]; 1., 1.]); \n   (inrays = \
propagatedrays; outrays = \n     {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., \
-1., -1., 1., 1., 1., 1., 1., 1., 1., 1., \n       1., 1., 1., 1., 1., 1.}}; \
deflectedrayspresent = True; reportedrayspresent = False; \n    propagate = \
True; While[deflectedrayspresent && propagate, \n     generationnumber += 1.; \
(deflecteddummyrayspresent = False; deflectedrayspresent = False; \n       \
reportedrayspresent = False; reporteddummyrayspresent = True; \
localdummyoutrayspresent = \n        False; localoutrayspresent = False; \
{deflectedlocalrays, localoutrays, \n         reportedlocalrays} = \
(Flatten[#1, 1] & ) /@ \n         Transpose[(({rsx, rsy, rsz, rex, rey, \n    \
           rez, r1, r2, r3, r4, \n               r5, r6, r7, r8, r9, \n       \
        wavelength, intensity, intensityscale, ray1, \n               index, \
opticallength, phaseshift, componentnumber, \n               surfacenumber, \
surfaceid, ray2, ray3, \n               sid, frontid, sno1, sno2, sno3, \n    \
           sno4, rayslot, oldgenerationnumber, intersectionnumber, \n         \
      pol1, pol2, pol3} = #1; If[intensity > \n                \
thresholdintensity && generationnumber < generationlimit, \n              \
(resonatenumber = 0; resonateraylength = 1.7976931348623157*^308; \n          \
      resonateintersections = {{-1., 0., 0.}}; MapIndexed[If[#1[[1,1]] > -1. \
&& #1[[1,1]] < resonateraylength, \n                   resonateraylength = \
#1[[1,1]]; resonateintersections = #1; resonatenumber = \n                    \
 First[#2], resonatenumber] & , intersectionslist = {{{-1., 0., 0.}}}; \n     \
             holeQlist = {0}; ({rsx, rsy, rsz, \n                     rex, \
rey, rez, r1, r2, \n                     r3, r4, r5, r6, r7, \n               \
      r8, r9, wavelength, intensity, \n                     intensityscale, \
ray1, index, opticallength, \n                     phaseshift, \
componentnumber, surfacenumber, surfaceid, \n                     ray2, ray3, \
sid, frontid, sno1, \n                     sno2, sno3, sno4, rayslot, \n      \
               oldgenerationnumber, intersectionnumber, pol1, pol2, \n        \
             pol3} = #1; index1 = index; xunit = \n                    \
-1.*r1; yunit = -1.*r2; zunit = r3; \n                   xunit = Chop[xunit]; \
yunit = Chop[yunit]; \n                   zunit = Chop[zunit]; magnitude = \
(xunit^2 + \n                      yunit^2 + zunit^2)^2^(-1); xunit = xunit/\n\
                     magnitude; yunit = yunit/magnitude; \n                   \
zunit = zunit/magnitude; rx = \n                    -1.*(-200. + rex); ry = \
-1.*rey; rz = \n                    rez; rx = Chop[rx]; ry = Chop[ry]; \n     \
              rz = Chop[rz]; terminatedeflection = False; \n                  \
 intersections = {{-1., 0., 0.}}; intersections = If[Chop[xunit] != 0, \n     \
                {(If[N[Chop[#1[[1]]]] >= 0. && (#1[[2]] <= 75. && #1[[2]] >= \
-75. && #1[[3]] >= -75. && #1[[3]] <= 75.), {#1[[1]], #1[[2]], #1[[3]]}, \n   \
                      {-1., 0., 0.}] & )[{-(rx/xunit), ry - (rx*\n            \
               yunit)/xunit, rz - (rx*\n                           \
zunit)/xunit}]}, {{-1., 0., 0.}}]; AppendTo[intersections, \n                 \
   {-1., 0., 0.}]; holeQ = False; If[ !(Chop[surfaceid - 16598.] == 0. || \n  \
                     N[Chop[ray1]] < 0.0001) || generationnumber == 1., \
minresonateraylength = \n                     0., minresonateraylength = \
0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; SCx = 1.; SCy = 1.; \n            \
         dummymatrix = Union[Select[intersections, ({RayL, SCx, SCy} = #1; \
{RayL, SCx, SCy} == \n                            {-1., 0., 0.} || \
N[Chop[RayL]] >= minresonateraylength) & ]]; intersections = \n               \
       dummymatrix]; unfilteredintersections = intersections; \n              \
     If[Length[intersections] > 1, dummymatrix = Take[intersections, {2}]; \n \
                    intersections = dummymatrix; 1., 1.]; \
AppendTo[intersectionslist, \n                    intersections]; If[holeQ, \
AppendTo[holeQlist, 1], \n                    AppendTo[holeQlist, 0]]; {rsx, \
rsy, rsz, \n                     rex, rey, rez, r1, r2, \n                    \
 r3, r4, r5, r6, r7, \n                     r8, r9, wavelength, intensity, \n \
                    intensityscale, ray1, index, opticallength, \n            \
         phaseshift, componentnumber, surfacenumber, surfaceid, \n            \
         ray2, ray3, sid, frontid, sno1, \n                     sno2, sno3, \
sno4, rayslot, \n                     oldgenerationnumber, \
intersectionnumber, pol1, pol2, \n                     pol3} = #1; index1 = \
index; xunit = \n                    r2; yunit = -1.*r1; zunit = r3; \n       \
            xunit = Chop[xunit]; yunit = Chop[yunit]; \n                   \
zunit = Chop[zunit]; magnitude = (xunit^2 + \n                      yunit^2 + \
zunit^2)^2^(-1); xunit = xunit/\n                     magnitude; yunit = \
yunit/magnitude; \n                   zunit = zunit/magnitude; rx = \n        \
            75. + rey; ry = -1.*(-100. + rex); rz = \n                    \
rez; rx = Chop[rx]; ry = Chop[ry]; \n                   rz = Chop[rz]; \
terminatedeflection = False; \n                   intersections = {{-1., 0., \
0.}}; intersections = If[Chop[xunit] != 0, \n                     \
{(If[N[Chop[#1[[1]]]] >= 0. && (#1[[2]] <= 100. && #1[[2]] >= -100. && \
#1[[3]] >= -75. && #1[[3]] <= 75.), {#1[[1]], #1[[2]], #1[[3]]}, \n           \
              {-1., 0., 0.}] & )[{-(rx/xunit), ry - (rx*\n                    \
       yunit)/xunit, rz - (rx*\n                           zunit)/xunit}]}, \
{{-1., 0., 0.}}]; AppendTo[intersections, \n                    {-1., 0., \
0.}]; holeQ = False; If[ !(Chop[surfaceid - 16599.] == 0. || \n               \
        N[Chop[ray1]] < 0.0001) || generationnumber == 1., \
minresonateraylength = \n                     0., minresonateraylength = \
0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; SCx = 1.; SCy = 1.; \n            \
         dummymatrix = Union[Select[intersections, ({RayL, SCx, SCy} = #1; \
{RayL, SCx, SCy} == \n                            {-1., 0., 0.} || \
N[Chop[RayL]] >= minresonateraylength) & ]]; intersections = \n               \
       dummymatrix]; unfilteredintersections = intersections; \n              \
     If[Length[intersections] > 1, dummymatrix = Take[intersections, {2}]; \n \
                    intersections = dummymatrix; 1., 1.]; \
AppendTo[intersectionslist, \n                    intersections]; If[holeQ, \
AppendTo[holeQlist, 1], \n                    AppendTo[holeQlist, 0]]; {rsx, \
rsy, rsz, \n                     rex, rey, rez, r1, r2, \n                    \
 r3, r4, r5, r6, r7, \n                     r8, r9, wavelength, intensity, \n \
                    intensityscale, ray1, index, opticallength, \n            \
         phaseshift, componentnumber, surfacenumber, surfaceid, \n            \
         ray2, ray3, sid, frontid, sno1, \n                     sno2, sno3, \
sno4, rayslot, \n                     oldgenerationnumber, \
intersectionnumber, pol1, pol2, \n                     pol3} = #1; index1 = \
index; xunit = \n                    r1; yunit = r2; zunit = r3; \n           \
        xunit = Chop[xunit]; yunit = Chop[yunit]; \n                   zunit \
= Chop[zunit]; magnitude = (xunit^2 + \n                      yunit^2 + \
zunit^2)^2^(-1); xunit = xunit/\n                     magnitude; yunit = \
yunit/magnitude; \n                   zunit = zunit/magnitude; rx = rex; \n   \
                ry = rey; rz = rez; rx = \n                    Chop[rx]; ry = \
Chop[ry]; rz = \n                    Chop[rz]; terminatedeflection = False; \
intersections = {{-1., 0., 0.}}; \n                   intersections = \
If[Chop[xunit] != 0, {(If[N[Chop[#1[[1]]]] >= 0. && (#1[[2]] <= 75. && \n     \
                      #1[[2]] >= -75. && #1[[3]] >= -75. && #1[[3]] <= 75.), \
{#1[[1]], #1[[2]], #1[[3]]}, {-1., 0., 0.}] & )[{-(rx/\n                      \
    xunit), ry - (rx*yunit)/\n                          xunit, rz - \
(rx*zunit)/\n                          xunit}]}, {{-1., 0., 0.}}]; \
AppendTo[intersections, {-1., 0., 0.}]; \n                   holeQ = False; \
If[ !(Chop[surfaceid - 16600.] == 0. || N[Chop[ray1]] < \n                    \
    0.0001) || generationnumber == 1., minresonateraylength = 0., \n          \
          minresonateraylength = 0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; \
SCx = 1.; SCy = 1.; dummymatrix = \n                      \
Union[Select[intersections, ({RayL, SCx, SCy} = #1; {RayL, SCx, SCy} == {-1., \
0., 0.} || N[Chop[RayL]] >= \n                            \
minresonateraylength) & ]]; intersections = dummymatrix]; \n                  \
 unfilteredintersections = intersections; If[Length[intersections] > 1, \n    \
                dummymatrix = Take[intersections, {2}]; intersections = \n    \
                  dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; \n                   If[holeQ, AppendTo[holeQlist, 1], \
AppendTo[holeQlist, 0]]; \n                   {rsx, rsy, rsz, rex, rey, \n    \
                 rez, r1, r2, r3, r4, \n                     r5, r6, r7, r8, \
r9, \n                     wavelength, intensity, intensityscale, ray1, \n    \
                 index, opticallength, phaseshift, componentnumber, \n        \
             surfacenumber, surfaceid, ray2, ray3, \n                     \
sid, frontid, sno1, sno2, sno3, \n                     sno4, rayslot, \
oldgenerationnumber, intersectionnumber, \n                     pol1, pol2, \
pol3} = #1; index1 = \n                    index; xunit = -1.*r2; yunit = r1; \
\n                   zunit = r3; xunit = Chop[xunit]; \n                   \
yunit = Chop[yunit]; zunit = Chop[zunit]; \n                   magnitude = \
(xunit^2 + yunit^2 + zunit^2)^2^(-1); \n                   xunit = \
xunit/magnitude; yunit = \n                    yunit/magnitude; zunit = \
zunit/\n                     magnitude; rx = -1.*(-75. + rey); ry = \n        \
            -100. + rex; rz = rez; rx = \n                    Chop[rx]; ry = \
Chop[ry]; rz = \n                    Chop[rz]; terminatedeflection = False; \
intersections = {{-1., 0., 0.}}; \n                   intersections = \
If[Chop[xunit] != 0, {(If[N[Chop[#1[[1]]]] >= 0. && (#1[[2]] <= 100. && \n    \
                       #1[[2]] >= -100. && #1[[3]] >= -75. && #1[[3]] <= \
75.), {#1[[1]], #1[[2]], #1[[3]]}, {-1., 0., 0.}] & )[{-(rx/\n                \
          xunit), ry - (rx*yunit)/\n                          xunit, rz - \
(rx*zunit)/\n                          xunit}]}, {{-1., 0., 0.}}]; \
AppendTo[intersections, {-1., 0., 0.}]; \n                   holeQ = False; \
If[ !(Chop[surfaceid - 16601.] == 0. || N[Chop[ray1]] < \n                    \
    0.0001) || generationnumber == 1., minresonateraylength = 0., \n          \
          minresonateraylength = 0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; \
SCx = 1.; SCy = 1.; dummymatrix = \n                      \
Union[Select[intersections, ({RayL, SCx, SCy} = #1; {RayL, SCx, SCy} == {-1., \
0., 0.} || N[Chop[RayL]] >= \n                            \
minresonateraylength) & ]]; intersections = dummymatrix]; \n                  \
 unfilteredintersections = intersections; If[Length[intersections] > 1, \n    \
                dummymatrix = Take[intersections, {2}]; intersections = \n    \
                  dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; \n                   If[holeQ, AppendTo[holeQlist, 1], \
AppendTo[holeQlist, 0]]; \n                   {rsx, rsy, rsz, rex, rey, \n    \
                 rez, r1, r2, r3, r4, \n                     r5, r6, r7, r8, \
r9, \n                     wavelength, intensity, intensityscale, ray1, \n    \
                 index, opticallength, phaseshift, componentnumber, \n        \
             surfacenumber, surfaceid, ray2, ray3, \n                     \
sid, frontid, sno1, sno2, sno3, \n                     sno4, rayslot, \
oldgenerationnumber, intersectionnumber, \n                     pol1, pol2, \
pol3} = #1; index1 = \n                    index; xunit = r3; yunit = r2; \n  \
                 zunit = -1.*r1; xunit = Chop[xunit]; \n                   \
yunit = Chop[yunit]; zunit = Chop[zunit]; \n                   magnitude = \
(xunit^2 + yunit^2 + zunit^2)^2^(-1); \n                   xunit = \
xunit/magnitude; yunit = \n                    yunit/magnitude; zunit = \
zunit/\n                     magnitude; rx = 75. + rez; ry = \n               \
     rey; rz = -1.*(-100. + rex); rx = \n                    Chop[rx]; ry = \
Chop[ry]; rz = \n                    Chop[rz]; terminatedeflection = False; \
intersections = {{-1., 0., 0.}}; \n                   intersections = \
If[Chop[xunit] != 0, {(If[N[Chop[#1[[1]]]] >= 0. && (#1[[2]] <= 75. && \n     \
                      #1[[2]] >= -75. && #1[[3]] >= -100. && #1[[3]] <= \
100.), {#1[[1]], #1[[2]], #1[[3]]}, {-1., 0., 0.}] & )[{-(rx/\n               \
           xunit), ry - (rx*yunit)/\n                          xunit, rz - \
(rx*zunit)/\n                          xunit}]}, {{-1., 0., 0.}}]; \
AppendTo[intersections, {-1., 0., 0.}]; \n                   holeQ = False; \
If[ !(Chop[surfaceid - 16602.] == 0. || N[Chop[ray1]] < \n                    \
    0.0001) || generationnumber == 1., minresonateraylength = 0., \n          \
          minresonateraylength = 0.0001]; Block[{RayL, SCx, SCy}, RayL = 1.; \
SCx = 1.; SCy = 1.; dummymatrix = \n                      \
Union[Select[intersections, ({RayL, SCx, SCy} = #1; {RayL, SCx, SCy} == {-1., \
0., 0.} || N[Chop[RayL]] >= \n                            \
minresonateraylength) & ]]; intersections = dummymatrix]; \n                  \
 unfilteredintersections = intersections; If[Length[intersections] > 1, \n    \
                dummymatrix = Take[intersections, {2}]; intersections = \n    \
                  dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; \n                   If[holeQ, AppendTo[holeQlist, 1], \
AppendTo[holeQlist, 0]]; \n                   {rsx, rsy, rsz, rex, rey, \n    \
                 rez, r1, r2, r3, r4, \n                     r5, r6, r7, r8, \
r9, \n                     wavelength, intensity, intensityscale, ray1, \n    \
                 index, opticallength, phaseshift, componentnumber, \n        \
             surfacenumber, surfaceid, ray2, ray3, \n                     \
sid, frontid, sno1, sno2, sno3, \n                     sno4, rayslot, \
oldgenerationnumber, intersectionnumber, \n                     pol1, pol2, \
pol3} = #1; index1 = \n                    index; xunit = -1.*r3; yunit = \n  \
                  -1.*r2; zunit = -1.*r1; xunit = \n                    \
Chop[xunit]; yunit = Chop[yunit]; zunit = \n                    Chop[zunit]; \
magnitude = (xunit^2 + yunit^2 + \n                      zunit^2)^2^(-1); \
xunit = xunit/magnitude; \n                   yunit = yunit/magnitude; zunit \
= \n                    zunit/magnitude; rx = -1.*(-75. + rez); \n            \
       ry = -1.*rey; rz = -1.*(-100. + rex); \n                   rx = \
Chop[rx]; ry = Chop[ry]; rz = \n                    Chop[rz]; \
terminatedeflection = False; intersections = {{-1., 0., 0.}}; \n              \
     intersections = If[Chop[xunit] != 0, {(If[N[Chop[#1[[1]]]] >= 0. && \
(#1[[2]] <= 75. && \n                           #1[[2]] >= -75. && #1[[3]] >= \
-100. && #1[[3]] <= 100.), {#1[[1]], #1[[2]], #1[[3]]}, {-1., 0., 0.}] & \
)[{-(rx/\n                          xunit), ry - (rx*yunit)/\n                \
          xunit, rz - (rx*zunit)/\n                          xunit}]}, {{-1., \
0., 0.}}]; AppendTo[intersections, {-1., 0., 0.}]; \n                   holeQ \
= False; If[ !(Chop[surfaceid - 16603.] == 0. || N[Chop[ray1]] < \n           \
             0.0001) || generationnumber == 1., minresonateraylength = 0., \n \
                   minresonateraylength = 0.0001]; Block[{RayL, SCx, SCy}, \
RayL = 1.; SCx = 1.; SCy = 1.; dummymatrix = \n                      \
Union[Select[intersections, ({RayL, SCx, SCy} = #1; {RayL, SCx, SCy} == {-1., \
0., 0.} || N[Chop[RayL]] >= \n                            \
minresonateraylength) & ]]; intersections = dummymatrix]; \n                  \
 unfilteredintersections = intersections; If[Length[intersections] > 1, \n    \
                dummymatrix = Take[intersections, {2}]; intersections = \n    \
                  dummymatrix; 1., 1.]; AppendTo[intersectionslist, \
intersections]; \n                   If[holeQ, AppendTo[holeQlist, 1], \
AppendTo[holeQlist, 0]]); \n                  holeQlist = Drop[holeQlist, 1]; \
Drop[intersectionslist, 1]]); Which[\n                resonatenumber == 1, \
{rsx, rsy, rsz, \n                   rex, rey, rez, r1, r2, \n                \
   r3, r4, r5, r6, r7, \n                   r8, r9, wavelength, intensity, \n \
                  intensityscale, ray1, index, opticallength, \n              \
     phaseshift, componentnumber, surfacenumber, surfaceid, \n                \
   ray2, ray3, sid, frontid, sno1, \n                   sno2, sno3, sno4, \
rayslot, \n                   oldgenerationnumber, intersectionnumber, pol1, \
pol2, \n                   pol3} = #1; index1 = index; xunit = \n             \
     -1.*r1; yunit = -1.*r2; zunit = r3; \n                 xunit = \
Chop[xunit]; yunit = Chop[yunit]; \n                 zunit = Chop[zunit]; \
magnitude = (xunit^2 + \n                    yunit^2 + zunit^2)^2^(-1); xunit \
= xunit/\n                   magnitude; yunit = yunit/magnitude; \n           \
      zunit = zunit/magnitude; rx = \n                  -1.*(-200. + rex); ry \
= -1.*rey; rz = \n                  rez; rx = Chop[rx]; ry = Chop[ry]; \n     \
            rz = Chop[rz]; terminatedeflection = False; intersections = \n    \
              {{-1., 0., 0.}}; intersections = resonateintersections; holeQ = \
\n                  holeQlist[[resonatenumber]] == 1; {newcomponentnumber, \n \
                  newsurfacenumber, newsurfaceid} = {2., 1., 16598.}; \
{componentnumber, \n                   surfacenumber, surfaceid} = {2., 1., \
16598.}; {ray1, ray2, \n                   ray3} = intersections[[1]]; rsx = \
rex; \n                 rsy = rey; rsz = rez; rxhlp = \n                  rx \
+ ray1*xunit; ryhlp = ry + \n                   ray1*yunit; rzhlp = rz + \
ray1*\n                    zunit; rex = 200. - 1.*rxhlp; rey = \n             \
     -1.*ryhlp; rez = rzhlp; rex = \n                  Chop[rex]; rey = \
Chop[rey]; rez = \n                  Chop[rez]; If[rex == 0 && rey == 0 && \
rez == 0, \n                  rex = 200. + rxhlp; rey = ryhlp; \n             \
      rez = rzhlp, rex]; intersectionnumber = \n                  \
intersectionnumber + 1.; opticallength = opticallength + \n                   \
ray1*index1; completedray = {rsx, \n                   rsy, rsz, rex, rey, \
rez, \n                   r1, r2, r3, r4, r5, \n                   r6, r7, \
r8, r9, wavelength, \n                   intensity, intensityscale, ray1, \
index, \n                   opticallength, phaseshift, componentnumber, \
surfacenumber, \n                   surfaceid, ray2, ray3, sid, frontid, \n   \
                sno1, sno2, sno3, sno4, rayslot, \n                   \
generationnumber, intersectionnumber, pol1, pol2, \n                   pol3}; \
reportedrayspresent = True; intersectionspresent = True; \n                 \
deflectedrayspresent = True; localdummyoutrayspresent = True; (surfnorm = \n  \
                 1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; dummymatrix = \
({{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 1.}} . #1 & ) /@ \n                  \
  surfnorm; surfnorm = (#1/Sqrt[#1 . #1] & ) /@ dummymatrix; \n               \
   surfacerotationmatrix = {{-1., 0, 0}, {0, -1., 0}, {0, 0, 1.}}; \
surfacetranslationvector = \n                   {200., 0, 0}; activeregion = \
0.; completedray = {rsx, rsy, \n                    rsz, rex, rey, rez, r1, \n\
                    r2, r3, r4, r5, r6, \n                    r7, r8, r9, \
wavelength, intensity, \n                    intensityscale, ray1, index, \
opticallength, \n                    phaseshift, componentnumber, \
surfacenumber, surfaceid, \n                    ray2, ray3, sid, frontid, \
sno1, \n                    sno2, sno3, sno4, rayslot, \n                    \
generationnumber, intersectionnumber, pol1, pol2, \n                    \
pol3}; componentnumber = newcomponentnumber; \n                  \
surfacenumber = newsurfacenumber; surfaceid = newsurfaceid; \n                \
  originalray = {rsx, rsy, rsz, rex, \n                    rey, rez, r1, r2, \
r3, \n                    r4, r5, r6, r7, r8, \n                    r9, \
wavelength, intensity, intensityscale, \n                    ray1, index, \
opticallength, phaseshift, \n                    componentnumber, \
surfacenumber, surfaceid, ray2, \n                    ray3, sid, frontid, \
sno1, sno2, \n                    sno3, sno4, rayslot, generationnumber, \n   \
                 intersectionnumber, pol1, pol2, pol3}; \n                  \
intensity = 0.; allcreatedrays = {{rsx, rsy, \n                     rsz, rex, \
rey, rez, r1, \n                     r2, r3, r4, r5, r6, \n                   \
  r7, r8, r9, wavelength, intensity, \n                     intensityscale, \
ray1, index, opticallength, \n                     phaseshift, \
componentnumber, surfacenumber, surfaceid, \n                     ray2, ray3, \
sid, frontid, sno1, \n                     sno2, sno3, sno4, rayslot, \n      \
               generationnumber, intersectionnumber, pol1, pol2, \n           \
          pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., \n                    -1.7976931348623157*^308, 1., \
1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1.}}, \n                  {completedray}}, resonatenumber == 2, {rsx, \
rsy, \n                   rsz, rex, rey, rez, r1, \n                   r2, \
r3, r4, r5, r6, \n                   r7, r8, r9, wavelength, intensity, \n    \
               intensityscale, ray1, index, opticallength, \n                 \
  phaseshift, componentnumber, surfacenumber, surfaceid, \n                   \
ray2, ray3, sid, frontid, sno1, \n                   sno2, sno3, sno4, \
rayslot, \n                   oldgenerationnumber, intersectionnumber, pol1, \
pol2, \n                   pol3} = #1; index1 = index; xunit = \n             \
     r2; yunit = -1.*r1; zunit = r3; \n                 xunit = Chop[xunit]; \
yunit = Chop[yunit]; \n                 zunit = Chop[zunit]; magnitude = \
(xunit^2 + \n                    yunit^2 + zunit^2)^2^(-1); xunit = xunit/\n  \
                 magnitude; yunit = yunit/magnitude; \n                 zunit \
= zunit/magnitude; rx = \n                  75. + rey; ry = -1.*(-100. + \
rex); rz = \n                  rez; rx = Chop[rx]; ry = Chop[ry]; \n          \
       rz = Chop[rz]; terminatedeflection = False; intersections = \n         \
         {{-1., 0., 0.}}; intersections = resonateintersections; holeQ = \n   \
               holeQlist[[resonatenumber]] == 1; {newcomponentnumber, \n      \
             newsurfacenumber, newsurfaceid} = {2., 2., 16599.}; \
{componentnumber, \n                   surfacenumber, surfaceid} = {2., 2., \
16599.}; {ray1, ray2, \n                   ray3} = intersections[[1]]; rsx = \
rex; \n                 rsy = rey; rsz = rez; rxhlp = \n                  rx \
+ ray1*xunit; ryhlp = ry + \n                   ray1*yunit; rzhlp = rz + \
ray1*\n                    zunit; rex = 100. - 1.*ryhlp; rey = \n             \
     -75. + rxhlp; rez = rzhlp; rex = \n                  Chop[rex]; rey = \
Chop[rey]; rez = \n                  Chop[rez]; If[rex == 0 && rey == 0 && \
rez == 0, \n                  rex = 100. + rxhlp; rey = -75. + ryhlp; \n      \
             rez = rzhlp, rex]; intersectionnumber = \n                  \
intersectionnumber + 1.; opticallength = opticallength + \n                   \
ray1*index1; completedray = {rsx, \n                   rsy, rsz, rex, rey, \
rez, \n                   r1, r2, r3, r4, r5, \n                   r6, r7, \
r8, r9, wavelength, \n                   intensity, intensityscale, ray1, \
index, \n                   opticallength, phaseshift, componentnumber, \
surfacenumber, \n                   surfaceid, ray2, ray3, sid, frontid, \n   \
                sno1, sno2, sno3, sno4, rayslot, \n                   \
generationnumber, intersectionnumber, pol1, pol2, \n                   pol3}; \
reportedrayspresent = True; intersectionspresent = True; \n                 \
deflectedrayspresent = True; localdummyoutrayspresent = True; (surfnorm = \n  \
                 1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; dummymatrix = \
({{0., -1., 0.}, {1., 0., 0.}, {0., 0., 1.}} . #1 & ) /@ \n                   \
 surfnorm; surfnorm = (#1/Sqrt[#1 . #1] & ) /@ dummymatrix; \n                \
  surfacerotationmatrix = {{0, 1., 0}, {-1., 0, 0}, {0, 0, 1.}}; \
surfacetranslationvector = \n                   {100., -75., 0}; activeregion \
= 0.; completedray = {rsx, \n                    rsy, rsz, rex, rey, rez, \n  \
                  r1, r2, r3, r4, r5, \n                    r6, r7, r8, r9, \
wavelength, \n                    intensity, intensityscale, ray1, index, \n  \
                  opticallength, phaseshift, componentnumber, \n              \
      surfacenumber, surfaceid, ray2, ray3, \n                    sid, \
frontid, sno1, sno2, sno3, \n                    sno4, rayslot, \
generationnumber, intersectionnumber, \n                    pol1, pol2, \
pol3}; componentnumber = \n                   newcomponentnumber; \
surfacenumber = newsurfacenumber; \n                  surfaceid = \
newsurfaceid; originalray = {rsx, \n                    rsy, rsz, rex, rey, \
rez, \n                    r1, r2, r3, r4, r5, \n                    r6, r7, \
r8, r9, wavelength, \n                    intensity, intensityscale, ray1, \
index, \n                    opticallength, phaseshift, componentnumber, \n   \
                 surfacenumber, surfaceid, ray2, ray3, \n                    \
sid, frontid, sno1, sno2, sno3, \n                    sno4, rayslot, \
generationnumber, intersectionnumber, \n                    pol1, pol2, \
pol3}; intensity = 0.; \n                  allcreatedrays = {{rsx, rsy, rsz, \
\n                     rex, rey, rez, r1, r2, \n                     r3, r4, \
r5, r6, r7, \n                     r8, r9, wavelength, intensity, \n          \
           intensityscale, ray1, index, opticallength, \n                     \
phaseshift, componentnumber, surfacenumber, surfaceid, \n                     \
ray2, ray3, sid, frontid, sno1, \n                     sno2, sno3, sno4, \
rayslot, \n                     generationnumber, intersectionnumber, pol1, \
pol2, \n                     pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \n                    \
-1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, \n                  \
{completedray}}, resonatenumber == 3, {rsx, rsy, \n                   rsz, \
rex, rey, rez, r1, \n                   r2, r3, r4, r5, r6, \n                \
   r7, r8, r9, wavelength, intensity, \n                   intensityscale, \
ray1, index, opticallength, \n                   phaseshift, componentnumber, \
surfacenumber, surfaceid, \n                   ray2, ray3, sid, frontid, \
sno1, \n                   sno2, sno3, sno4, rayslot, \n                   \
oldgenerationnumber, intersectionnumber, pol1, pol2, \n                   \
pol3} = #1; index1 = index; xunit = \n                  r1; yunit = r2; zunit \
= r3; \n                 xunit = Chop[xunit]; yunit = Chop[yunit]; \n         \
        zunit = Chop[zunit]; magnitude = (xunit^2 + \n                    \
yunit^2 + zunit^2)^2^(-1); xunit = xunit/\n                   magnitude; \
yunit = yunit/magnitude; \n                 zunit = zunit/magnitude; rx = \
rex; \n                 ry = rey; rz = rez; rx = \n                  \
Chop[rx]; ry = Chop[ry]; rz = \n                  Chop[rz]; \
terminatedeflection = False; intersections = {{-1., 0., 0.}}; \n              \
   intersections = resonateintersections; holeQ = holeQlist[[\n               \
     resonatenumber]] == 1; {newcomponentnumber, newsurfacenumber, \n         \
          newsurfaceid} = {2., 3., 16600.}; {componentnumber, surfacenumber, \
\n                   surfaceid} = {2., 3., 16600.}; {ray1, ray2, ray3} = \n   \
               intersections[[1]]; rsx = rex; rsy = \n                  rey; \
rsz = rez; rxhlp = rx + \n                   ray1*xunit; ryhlp = ry + ray1*\n \
                   yunit; rzhlp = rz + ray1*zunit; \n                 rex = \
rxhlp; rey = ryhlp; rez = \n                  rzhlp; rex = Chop[rex]; rey = \n\
                  Chop[rey]; rez = Chop[rez]; If[rex == 0 && \n               \
    rey == 0 && rez == 0, rex = rxhlp; \n                   rey = ryhlp; rez \
= rzhlp, rex]; \n                 intersectionnumber = intersectionnumber + \
1.; opticallength = \n                  opticallength + ray1*index1; \
completedray = \n                  {rsx, rsy, rsz, rex, rey, \n               \
    rez, r1, r2, r3, r4, \n                   r5, r6, r7, r8, r9, \n          \
         wavelength, intensity, intensityscale, ray1, \n                   \
index, opticallength, phaseshift, componentnumber, \n                   \
surfacenumber, surfaceid, ray2, ray3, \n                   sid, frontid, \
sno1, sno2, sno3, \n                   sno4, rayslot, generationnumber, \
intersectionnumber, \n                   pol1, pol2, pol3}; \
reportedrayspresent = True; \n                 intersectionspresent = True; \
deflectedrayspresent = True; \n                 localdummyoutrayspresent = \
True; (surfnorm = 1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; \n                \
  dummymatrix = (#1 & ) /@ surfnorm; surfnorm = (#1/Sqrt[#1 . #1] & ) /@ \n   \
                 dummymatrix; surfacerotationmatrix = {{1, 0, 0}, {0, 1, 0}, \
{0, 0, 1}}; \n                  surfacetranslationvector = {0, 0, 0}; \
activeregion = 0.; completedray = \n                   {rsx, rsy, rsz, rex, \
rey, \n                    rez, r1, r2, r3, r4, \n                    r5, r6, \
r7, r8, r9, \n                    wavelength, intensity, intensityscale, \
ray1, \n                    index, opticallength, phaseshift, \
componentnumber, \n                    surfacenumber, surfaceid, ray2, ray3, \
\n                    sid, frontid, sno1, sno2, sno3, \n                    \
sno4, rayslot, generationnumber, intersectionnumber, \n                    \
pol1, pol2, pol3}; componentnumber = \n                   newcomponentnumber; \
surfacenumber = newsurfacenumber; \n                  surfaceid = \
newsurfaceid; originalray = {rsx, \n                    rsy, rsz, rex, rey, \
rez, \n                    r1, r2, r3, r4, r5, \n                    r6, r7, \
r8, r9, wavelength, \n                    intensity, intensityscale, ray1, \
index, \n                    opticallength, phaseshift, componentnumber, \n   \
                 surfacenumber, surfaceid, ray2, ray3, \n                    \
sid, frontid, sno1, sno2, sno3, \n                    sno4, rayslot, \
generationnumber, intersectionnumber, \n                    pol1, pol2, \
pol3}; intensity = 0.; \n                  allcreatedrays = {{rsx, rsy, rsz, \
\n                     rex, rey, rez, r1, r2, \n                     r3, r4, \
r5, r6, r7, \n                     r8, r9, wavelength, intensity, \n          \
           intensityscale, ray1, index, opticallength, \n                     \
phaseshift, componentnumber, surfacenumber, surfaceid, \n                     \
ray2, ray3, sid, frontid, sno1, \n                     sno2, sno3, sno4, \
rayslot, \n                     generationnumber, intersectionnumber, pol1, \
pol2, \n                     pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \n                    \
-1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, \n                  \
{completedray}}, resonatenumber == 4, {rsx, rsy, \n                   rsz, \
rex, rey, rez, r1, \n                   r2, r3, r4, r5, r6, \n                \
   r7, r8, r9, wavelength, intensity, \n                   intensityscale, \
ray1, index, opticallength, \n                   phaseshift, componentnumber, \
surfacenumber, surfaceid, \n                   ray2, ray3, sid, frontid, \
sno1, \n                   sno2, sno3, sno4, rayslot, \n                   \
oldgenerationnumber, intersectionnumber, pol1, pol2, \n                   \
pol3} = #1; index1 = index; xunit = \n                  -1.*r2; yunit = r1; \
zunit = r3; \n                 xunit = Chop[xunit]; yunit = Chop[yunit]; \n   \
              zunit = Chop[zunit]; magnitude = (xunit^2 + \n                  \
  yunit^2 + zunit^2)^2^(-1); xunit = xunit/\n                   magnitude; \
yunit = yunit/magnitude; \n                 zunit = zunit/magnitude; rx = \n  \
                -1.*(-75. + rey); ry = -100. + rex; rz = \n                  \
rez; rx = Chop[rx]; ry = Chop[ry]; \n                 rz = Chop[rz]; \
terminatedeflection = False; intersections = \n                  {{-1., 0., \
0.}}; intersections = resonateintersections; holeQ = \n                  \
holeQlist[[resonatenumber]] == 1; {newcomponentnumber, \n                   \
newsurfacenumber, newsurfaceid} = {2., 4., 16601.}; {componentnumber, \n      \
             surfacenumber, surfaceid} = {2., 4., 16601.}; {ray1, ray2, \n    \
               ray3} = intersections[[1]]; rsx = rex; \n                 rsy \
= rey; rsz = rez; rxhlp = \n                  rx + ray1*xunit; ryhlp = ry + \n\
                   ray1*yunit; rzhlp = rz + ray1*\n                    zunit; \
rex = 100. + ryhlp; rey = \n                  75. - 1.*rxhlp; rez = rzhlp; \
rex = \n                  Chop[rex]; rey = Chop[rey]; rez = \n                \
  Chop[rez]; If[rex == 0 && rey == 0 && rez == 0, \n                  rex = \
100. + rxhlp; rey = 75. + ryhlp; \n                   rez = rzhlp, rex]; \
intersectionnumber = \n                  intersectionnumber + 1.; \
opticallength = opticallength + \n                   ray1*index1; \
completedray = {rsx, \n                   rsy, rsz, rex, rey, rez, \n         \
          r1, r2, r3, r4, r5, \n                   r6, r7, r8, r9, \
wavelength, \n                   intensity, intensityscale, ray1, index, \n   \
                opticallength, phaseshift, componentnumber, surfacenumber, \n \
                  surfaceid, ray2, ray3, sid, frontid, \n                   \
sno1, sno2, sno3, sno4, rayslot, \n                   generationnumber, \
intersectionnumber, pol1, pol2, \n                   pol3}; \
reportedrayspresent = True; intersectionspresent = True; \n                 \
deflectedrayspresent = True; localdummyoutrayspresent = True; (surfnorm = \n  \
                 1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; dummymatrix = \
({{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 1.}} . #1 & ) /@ \n                   \
 surfnorm; surfnorm = (#1/Sqrt[#1 . #1] & ) /@ dummymatrix; \n                \
  surfacerotationmatrix = {{0, -1., 0}, {1., 0, 0}, {0, 0, 1.}}; \
surfacetranslationvector = \n                   {100., 75., 0}; activeregion \
= 0.; completedray = {rsx, \n                    rsy, rsz, rex, rey, rez, \n  \
                  r1, r2, r3, r4, r5, \n                    r6, r7, r8, r9, \
wavelength, \n                    intensity, intensityscale, ray1, index, \n  \
                  opticallength, phaseshift, componentnumber, \n              \
      surfacenumber, surfaceid, ray2, ray3, \n                    sid, \
frontid, sno1, sno2, sno3, \n                    sno4, rayslot, \
generationnumber, intersectionnumber, \n                    pol1, pol2, \
pol3}; componentnumber = \n                   newcomponentnumber; \
surfacenumber = newsurfacenumber; \n                  surfaceid = \
newsurfaceid; originalray = {rsx, \n                    rsy, rsz, rex, rey, \
rez, \n                    r1, r2, r3, r4, r5, \n                    r6, r7, \
r8, r9, wavelength, \n                    intensity, intensityscale, ray1, \
index, \n                    opticallength, phaseshift, componentnumber, \n   \
                 surfacenumber, surfaceid, ray2, ray3, \n                    \
sid, frontid, sno1, sno2, sno3, \n                    sno4, rayslot, \
generationnumber, intersectionnumber, \n                    pol1, pol2, \
pol3}; intensity = 0.; \n                  allcreatedrays = {{rsx, rsy, rsz, \
\n                     rex, rey, rez, r1, r2, \n                     r3, r4, \
r5, r6, r7, \n                     r8, r9, wavelength, intensity, \n          \
           intensityscale, ray1, index, opticallength, \n                     \
phaseshift, componentnumber, surfacenumber, surfaceid, \n                     \
ray2, ray3, sid, frontid, sno1, \n                     sno2, sno3, sno4, \
rayslot, \n                     generationnumber, intersectionnumber, pol1, \
pol2, \n                     pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \n                    \
-1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, \n                  \
{completedray}}, resonatenumber == 5, {rsx, rsy, \n                   rsz, \
rex, rey, rez, r1, \n                   r2, r3, r4, r5, r6, \n                \
   r7, r8, r9, wavelength, intensity, \n                   intensityscale, \
ray1, index, opticallength, \n                   phaseshift, componentnumber, \
surfacenumber, surfaceid, \n                   ray2, ray3, sid, frontid, \
sno1, \n                   sno2, sno3, sno4, rayslot, \n                   \
oldgenerationnumber, intersectionnumber, pol1, pol2, \n                   \
pol3} = #1; index1 = index; xunit = \n                  r3; yunit = r2; zunit \
= -1.*r1; \n                 xunit = Chop[xunit]; yunit = Chop[yunit]; \n     \
            zunit = Chop[zunit]; magnitude = (xunit^2 + \n                    \
yunit^2 + zunit^2)^2^(-1); xunit = xunit/\n                   magnitude; \
yunit = yunit/magnitude; \n                 zunit = zunit/magnitude; rx = \n  \
                75. + rez; ry = rey; rz = \n                  -1.*(-100. + \
rex); rx = Chop[rx]; ry = \n                  Chop[ry]; rz = Chop[rz]; \
terminatedeflection = False; \n                 intersections = {{-1., 0., \
0.}}; intersections = resonateintersections; \n                 holeQ = \
holeQlist[[resonatenumber]] == 1; \n                 {newcomponentnumber, \
newsurfacenumber, newsurfaceid} = {2., 5., 16602.}; \n                 \
{componentnumber, surfacenumber, surfaceid} = {2., 5., 16602.}; \n            \
     {ray1, ray2, ray3} = intersections[[1]]; \n                 rsx = rex; \
rsy = rey; rsz = \n                  rez; rxhlp = rx + ray1*xunit; \n         \
        ryhlp = ry + ray1*yunit; rzhlp = \n                  rz + ray1*zunit; \
rex = \n                  100. - 1.*rzhlp; rey = ryhlp; rez = \n              \
    -75. + rxhlp; rex = Chop[rex]; rey = \n                  Chop[rey]; rez = \
Chop[rez]; If[rex == 0 && \n                   rey == 0 && rez == 0, rex = \
100. + rxhlp; \n                   rey = ryhlp; rez = -75. + rzhlp, \n        \
          rex]; intersectionnumber = intersectionnumber + 1.; \n              \
   opticallength = opticallength + ray1*index1; \n                 \
completedray = {rsx, rsy, rsz, rex, \n                   rey, rez, r1, r2, \
r3, \n                   r4, r5, r6, r7, r8, \n                   r9, \
wavelength, intensity, intensityscale, \n                   ray1, index, \
opticallength, phaseshift, \n                   componentnumber, \
surfacenumber, surfaceid, ray2, \n                   ray3, sid, frontid, \
sno1, sno2, \n                   sno3, sno4, rayslot, generationnumber, \n    \
               intersectionnumber, pol1, pol2, pol3}; \n                 \
reportedrayspresent = True; intersectionspresent = True; deflectedrayspresent \
= \n                  True; localdummyoutrayspresent = True; (surfnorm = \
1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; \n                  dummymatrix = \
({{0., 0., -1.}, {0., 1., 0.}, {1., 0., 0.}} . #1 & ) /@ surfnorm; \n         \
         surfnorm = (#1/Sqrt[#1 . #1] & ) /@ dummymatrix; \
surfacerotationmatrix = \n                   {{0, 0, 1.}, {0, 1., 0}, {-1., \
0, 0}}; surfacetranslationvector = {100., 0, -75.}; activeregion = 0.; \n     \
             completedray = {rsx, rsy, rsz, rex, \n                    rey, \
rez, r1, r2, r3, \n                    r4, r5, r6, r7, r8, \n                 \
   r9, wavelength, intensity, intensityscale, \n                    ray1, \
index, opticallength, phaseshift, \n                    componentnumber, \
surfacenumber, surfaceid, ray2, \n                    ray3, sid, frontid, \
sno1, sno2, \n                    sno3, sno4, rayslot, generationnumber, \n   \
                 intersectionnumber, pol1, pol2, pol3}; \n                  \
componentnumber = newcomponentnumber; surfacenumber = \n                   \
newsurfacenumber; surfaceid = newsurfaceid; originalray = \n                  \
 {rsx, rsy, rsz, rex, rey, \n                    rez, r1, r2, r3, r4, \n      \
              r5, r6, r7, r8, r9, \n                    wavelength, \
intensity, intensityscale, ray1, \n                    index, opticallength, \
phaseshift, componentnumber, \n                    surfacenumber, surfaceid, \
ray2, ray3, \n                    sid, frontid, sno1, sno2, sno3, \n          \
          sno4, rayslot, generationnumber, intersectionnumber, \n             \
       pol1, pol2, pol3}; intensity = 0.; \n                  allcreatedrays \
= {{rsx, rsy, rsz, \n                     rex, rey, rez, r1, r2, \n           \
          r3, r4, r5, r6, r7, \n                     r8, r9, wavelength, \
intensity, \n                     intensityscale, ray1, index, opticallength, \
\n                     phaseshift, componentnumber, surfacenumber, surfaceid, \
\n                     ray2, ray3, sid, frontid, sno1, \n                     \
sno2, sno3, sno4, rayslot, \n                     generationnumber, \
intersectionnumber, pol1, pol2, \n                     pol3}}); \
{allcreatedrays, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., \n                    -1.7976931348623157*^308, 1., 1., 1., 1., 0., \
-1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, \n   \
               {completedray}}, resonatenumber == 6, {rsx, rsy, \n            \
       rsz, rex, rey, rez, r1, \n                   r2, r3, r4, r5, r6, \n    \
               r7, r8, r9, wavelength, intensity, \n                   \
intensityscale, ray1, index, opticallength, \n                   phaseshift, \
componentnumber, surfacenumber, surfaceid, \n                   ray2, ray3, \
sid, frontid, sno1, \n                   sno2, sno3, sno4, rayslot, \n        \
           oldgenerationnumber, intersectionnumber, pol1, pol2, \n            \
       pol3} = #1; index1 = index; xunit = \n                  -1.*r3; yunit \
= -1.*r2; zunit = \n                  -1.*r1; xunit = Chop[xunit]; yunit = \n \
                 Chop[yunit]; zunit = Chop[zunit]; magnitude = \n             \
     (xunit^2 + yunit^2 + zunit^2)^2^(-1); xunit = \n                  \
xunit/magnitude; yunit = yunit/\n                   magnitude; zunit = \
zunit/magnitude; \n                 rx = -1.*(-75. + rez); ry = -1.*rey; \n   \
              rz = -1.*(-100. + rex); rx = Chop[rx]; \n                 ry = \
Chop[ry]; rz = Chop[rz]; \n                 terminatedeflection = False; \
intersections = {{-1., 0., 0.}}; intersections = \n                  \
resonateintersections; holeQ = holeQlist[[\n                    \
resonatenumber]] == 1; {newcomponentnumber, newsurfacenumber, \n              \
     newsurfaceid} = {2., 6., 16603.}; {componentnumber, surfacenumber, \n    \
               surfaceid} = {2., 6., 16603.}; {ray1, ray2, ray3} = \n         \
         intersections[[1]]; rsx = rex; rsy = \n                  rey; rsz = \
rez; rxhlp = rx + \n                   ray1*xunit; ryhlp = ry + ray1*\n       \
             yunit; rzhlp = rz + ray1*zunit; \n                 rex = 100. - \
1.*rzhlp; rey = -1.*ryhlp; \n                 rez = 75. - 1.*rxhlp; rex = \
Chop[rex]; \n                 rey = Chop[rey]; rez = Chop[rez]; \n            \
     If[rex == 0 && rey == 0 && rez == 0, rex = \n                    100. + \
rxhlp; rey = ryhlp; rez = \n                    75. + rzhlp, rex]; \
intersectionnumber = \n                  intersectionnumber + 1.; \
opticallength = opticallength + \n                   ray1*index1; \
completedray = {rsx, \n                   rsy, rsz, rex, rey, rez, \n         \
          r1, r2, r3, r4, r5, \n                   r6, r7, r8, r9, \
wavelength, \n                   intensity, intensityscale, ray1, index, \n   \
                opticallength, phaseshift, componentnumber, surfacenumber, \n \
                  surfaceid, ray2, ray3, sid, frontid, \n                   \
sno1, sno2, sno3, sno4, rayslot, \n                   generationnumber, \
intersectionnumber, pol1, pol2, \n                   pol3}; \
reportedrayspresent = True; intersectionspresent = True; \n                 \
deflectedrayspresent = True; localdummyoutrayspresent = True; (surfnorm = \n  \
                 1.*Re[{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}]; dummymatrix = \
({{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 0.}} . #1 & ) /@ \n                 \
   surfnorm; surfnorm = (#1/Sqrt[#1 . #1] & ) /@ dummymatrix; \n              \
    surfacerotationmatrix = {{0, 0, -1.}, {0, -1., 0}, {-1., 0, 0}}; \
surfacetranslationvector = \n                   {100., 0, 75.}; activeregion \
= 0.; completedray = {rsx, \n                    rsy, rsz, rex, rey, rez, \n  \
                  r1, r2, r3, r4, r5, \n                    r6, r7, r8, r9, \
wavelength, \n                    intensity, intensityscale, ray1, index, \n  \
                  opticallength, phaseshift, componentnumber, \n              \
      surfacenumber, surfaceid, ray2, ray3, \n                    sid, \
frontid, sno1, sno2, sno3, \n                    sno4, rayslot, \
generationnumber, intersectionnumber, \n                    pol1, pol2, \
pol3}; componentnumber = \n                   newcomponentnumber; \
surfacenumber = newsurfacenumber; \n                  surfaceid = \
newsurfaceid; originalray = {rsx, \n                    rsy, rsz, rex, rey, \
rez, \n                    r1, r2, r3, r4, r5, \n                    r6, r7, \
r8, r9, wavelength, \n                    intensity, intensityscale, ray1, \
index, \n                    opticallength, phaseshift, componentnumber, \n   \
                 surfacenumber, surfaceid, ray2, ray3, \n                    \
sid, frontid, sno1, sno2, sno3, \n                    sno4, rayslot, \
generationnumber, intersectionnumber, \n                    pol1, pol2, \
pol3}; intensity = 0.; \n                  allcreatedrays = {{rsx, rsy, rsz, \
\n                     rex, rey, rez, r1, r2, \n                     r3, r4, \
r5, r6, r7, \n                     r8, r9, wavelength, intensity, \n          \
           intensityscale, ray1, index, opticallength, \n                     \
phaseshift, componentnumber, surfacenumber, surfaceid, \n                     \
ray2, ray3, sid, frontid, sno1, \n                     sno2, sno3, sno4, \
rayslot, \n                     generationnumber, intersectionnumber, pol1, \
pol2, \n                     pol3}}); {allcreatedrays, {{1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \n                    \
-1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, \n                  \
{completedray}}, True, deflecteddummyrayspresent = True; \n                 \
reporteddummyrayspresent = True; localoutrayspresent = True; {{{1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., \n                    1., 1., 1., 1., 1., 1., \
-1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}, \n                  {{rsx, rsy, \
rsz, rex, rey, \n                    rez, r1, r2, r3, r4, \n                  \
  r5, r6, r7, r8, r9, \n                    wavelength, intensity, \
intensityscale, ray1, \n                    index, opticallength, phaseshift, \
componentnumber, \n                    surfacenumber, surfaceid, ray2, ray3, \
\n                    sid, frontid, sno1, sno2, sno3, \n                    \
sno4, rayslot, generationnumber, intersectionnumber, \n                    \
pol1, pol2, pol3}}, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
\n                    1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., \
-1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.}}}], \n \
             deflecteddummyrayspresent = True; reporteddummyrayspresent = \
True; \n               localdummyoutrayspresent = True; {{{1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., -1.7976931348623157*^308, \n  \
                1., 1., 1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., 1., 1., 1., 1.}}, {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., \n                  1., 1., 1., -1.7976931348623157*^308, 1., 1., \
1., 1., 0., -1., -1., -1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1.}}, \n                {{1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., \
1., 1., 1., 1., -1.7976931348623157*^308, 1., 1., 1., 1., 0., -1., -1., -1., \
1., 1., 1., 1., 1., \n                  1., 1., 1., 1., 1., 1., 1., 1., \
1.}}}]) & ) /@ inrays]; \n       If[deflectedrayspresent && \
deflecteddummyrayspresent, deflectedlocalrays = \n         \
Select[deflectedlocalrays, #1[[23]] > 0. & ]*1., 1.]; If[localoutrayspresent, \
\n        If[localdummyoutrayspresent, localoutrays = Select[localoutrays, \
#1[[23]] > 0. & ]; 1., \n          1.]; outrays = Join[outrays, \
localoutrays]; 1., 1.]; \n       If[reportedrayspresent && \
reporteddummyrayspresent, \n        reportedlocalrays = \
Select[reportedlocalrays, #1[[23]] > 0. & ]; 1., 1.]); \n      \
If[reportedrayspresent, raysreported = True; reportedrays = \n         \
Join[reportedrays, {{-1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308, \n            \
-1.7976931348623157*^308, -1.7976931348623157*^308, -1.7976931348623157*^308, \
-1.7976931348623157*^308, -1.7976931348623157*^308}}, \n          \
reportedlocalrays]; 1., 1.]; inrays = deflectedlocalrays; \n      propagate = \
generationnumber < generationlimit]; \n    propagatedrays = \
If[Length[outrays] > 1, Drop[outrays, 1], outrays]; \n    If[generationnumber \
>= generationlimit && deflectedrayspresent, \n     propagatedrays = \
Join[propagatedrays, deflectedlocalrays]; 1., 1.]); \n   \
If[Length[reportedrays] > 2, reportedrays = Drop[reportedrays, 2], \n    \
reportedrays]; ({#1[[1]], #1[[2]], #1[[3]], #1[[4]], #1[[5]], #1[[6]]} & ) /@ \
reportedrays]];", $CellContext`rot[
            Pattern[$CellContext`pt, 
             Blank[]], 
            Pattern[a, 
             Blank[]], 
            Pattern[$CellContext`cen, 
             Blank[]]] := $CellContext`cen + Dot[{{
               Cos[-a], 
               Sin[-a]}, {-Sin[-a], 
               Cos[-a]}}, $CellContext`pt - $CellContext`cen]; 
         Null, $CellContext`surface[
           Pattern[$CellContext`r1, 
            Blank[]], 
           Pattern[$CellContext`r2, 
            Blank[]], 
           Pattern[$CellContext`ap, 
            Blank[]], 
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`t, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]] := Join[
           
           Table[{$CellContext`r1 + $CellContext`x - 
             Sqrt[$CellContext`r1^2 - $CellContext`yy^2] 
             Sign[$CellContext`r1], $CellContext`y + $CellContext`yy}, \
{$CellContext`yy, (-$CellContext`ap)/2, $CellContext`ap/2, $CellContext`ap/
             20}], 
           Reverse[
            
            Table[{$CellContext`r2 + $CellContext`x + $CellContext`t - 
              Sqrt[$CellContext`r2^2 - $CellContext`yy^2] 
              Sign[$CellContext`r2], $CellContext`y + $CellContext`yy}, \
{$CellContext`yy, (-$CellContext`ap)/2, $CellContext`ap/2, $CellContext`ap/
              20}]]], $CellContext`system[
            Pattern[$CellContext`as1, 
             Blank[]], 
            Pattern[$CellContext`as2, 
             Blank[]], 
            Pattern[$CellContext`wl1, 
             Blank[]], 
            Pattern[$CellContext`wl2, 
             Blank[]], 
            Pattern[$CellContext`xs1, 
             Blank[]], 
            Pattern[$CellContext`xs2, 
             Blank[]], 
            Pattern[$CellContext`ys1, 
             Blank[]], 
            Pattern[$CellContext`ys2, 
             Blank[]], 
            Pattern[$CellContext`aa, 
             Blank[]], 
            Pattern[$CellContext`ab, 
             Blank[]], 
            Pattern[$CellContext`apa, 
             Blank[]], 
            Pattern[$CellContext`apb, 
             Blank[]], 
            Pattern[$CellContext`ca1, 
             Blank[]], 
            Pattern[$CellContext`ca2, 
             Blank[]], 
            Pattern[$CellContext`cb1, 
             Blank[]], 
            Pattern[$CellContext`cb2, 
             Blank[]], 
            Pattern[$CellContext`ta, 
             Blank[]], 
            Pattern[$CellContext`tb, 
             Blank[]], 
            Pattern[$CellContext`xa1, 
             Blank[]], 
            Pattern[$CellContext`xb1, 
             Blank[]], 
            Pattern[$CellContext`ya1, 
             Blank[]], 
            Pattern[$CellContext`yb1, 
             Blank[]]] := {
            $CellContext`micronsToColor[$CellContext`wl1], 
            If[
             Or[$CellContext`wl1 < 0.38, $CellContext`wl1 > 0.78], 
             AbsoluteDashing[{3, 3}], 
             Dashing[{}]], 
            Line[
             Map[{
               Part[#, {1, 2}], 
               Part[#, {4, 5}]}& , 
              $CellContext`rayfunction[$CellContext`as1, $CellContext`wl1, \
$CellContext`xs1, $CellContext`ys1, $CellContext`aa, $CellContext`ab, \
$CellContext`apa, $CellContext`apb, $CellContext`ca1, $CellContext`ca2, \
$CellContext`cb1, $CellContext`cb2, $CellContext`ta, $CellContext`tb, \
$CellContext`xa1, $CellContext`xb1, $CellContext`ya1, $CellContext`yb1]]], 
            $CellContext`micronsToColor[$CellContext`wl2], 
            If[
             Or[$CellContext`wl2 < 0.38, $CellContext`wl2 > 0.78], 
             AbsoluteDashing[{3, 3}], 
             Dashing[{}]], 
            Line[
             Map[{
               Part[#, {1, 2}], 
               Part[#, {4, 5}]}& , 
              $CellContext`rayfunction[$CellContext`as2, $CellContext`wl2, \
$CellContext`xs2, $CellContext`ys2, $CellContext`aa, $CellContext`ab, \
$CellContext`apa, $CellContext`apb, $CellContext`ca1, $CellContext`ca2, \
$CellContext`cb1, $CellContext`cb2, $CellContext`ta, $CellContext`tb, \
$CellContext`xa1, $CellContext`xb1, $CellContext`ya1, $CellContext`yb1]]]}; 
         Null, $CellContext`locatorSize = 10; 
         Null, $CellContext`locatorDot = {
            Lighter[Blue], 
            Disk[{0, 0}, 0.5]}; Null, $CellContext`locatorMaster = {
            Lighter[Red], 
            Disk[{0, 0}, 0.8]}; Null, $CellContext`locatorLeftRight = {
            Lighter[Blue], 
            AbsoluteThickness[2], 
            Arrowheads[{{0.5, 1}, {-0.5, 0}}], 
            Arrow[{{-1, 0}, {1, 0}}]}; Null, $CellContext`locatorUpDown = {
            Lighter[Blue], 
            AbsoluteThickness[2], 
            Arrowheads[{{0.5, 1}, {-0.5, 0}}], 
            Arrow[{{0, -1}, {0, 1}}]}; Null, $CellContext`locatorAll = {
            Lighter[Blue], 
            AbsoluteThickness[2], 
            Arrowheads[{{0.5, 1}, {-0.5, 0}}], 
            Arrow[{{-1, 0}, {1, 0}}], 
            Arrow[{{0, -1}, {0, 1}}]}; 
         Null, $CellContext`locatorLeftRight = ($CellContext`locatorUpDown = \
($CellContext`locatorAll = $CellContext`locatorDot)); 
         Null, $CellContext`lensWithControls[
           Dynamic[
            Pattern[$CellContext`r1, 
             Blank[]]], 
           Dynamic[
            Pattern[$CellContext`r2, 
             Blank[]]], 
           Dynamic[
            Pattern[a, 
             Blank[]]], 
           Dynamic[
            Pattern[$CellContext`ap, 
             Blank[]]], 
           Dynamic[
            Pattern[$CellContext`x, 
             Blank[]]], 
           Dynamic[
            Pattern[$CellContext`t, 
             Blank[]]], 
           Dynamic[
            Pattern[$CellContext`y, 
             Blank[]]]] := {
           Dynamic[
            Rotate[
             Polygon[
              $CellContext`surface[
              1/$CellContext`r1, 
               1/$CellContext`r2, $CellContext`ap, $CellContext`x, \
$CellContext`t, $CellContext`y]], a, {$CellContext`x, $CellContext`y}]], 
           Locator[
            Dynamic[{$CellContext`x, $CellContext`y}], 
            
            Graphics[$CellContext`locatorMaster, 
             ImageSize -> $CellContext`locatorSize]], 
           Locator[
            Dynamic[{$CellContext`x, $CellContext`y} + 5 {
                Cos[a], 
                Sin[a]}, (a = 
             Apply[ArcTan, # - {$CellContext`x, $CellContext`y}])& ], 
            
            Graphics[$CellContext`locatorDot, 
             ImageSize -> $CellContext`locatorSize]], 
           Locator[
            Dynamic[
             $CellContext`rot[{$CellContext`x + $CellContext`t, \
$CellContext`y}, a, {$CellContext`x, $CellContext`y}], ($CellContext`t = 
             First[
                $CellContext`rot[#, -
                 a, {$CellContext`x, $CellContext`y}]] - $CellContext`x)& ], 
            
            Graphics[$CellContext`locatorLeftRight, 
             ImageSize -> $CellContext`locatorSize]], 
           Locator[
            Dynamic[
             $CellContext`rot[{((1/$CellContext`r1 + $CellContext`x - 
                 Sqrt[(1/$CellContext`r1)^2 - ($CellContext`ap/2)^2] 
                 Sign[1/$CellContext`r1]) + (
                 1/$CellContext`r2 + $CellContext`x - 
                 Sqrt[(1/$CellContext`r2)^2 - ($CellContext`ap/2)^2] 
                 Sign[1/$CellContext`r2] + $CellContext`t))/
               2, $CellContext`y - $CellContext`ap/2}, 
              a, {$CellContext`x, $CellContext`y}], ($CellContext`ap = 
             2 ($CellContext`y - Last[
                $CellContext`rot[#, -
                 a, {$CellContext`x, $CellContext`y}]]))& ], 
            
            Graphics[$CellContext`locatorUpDown, 
             ImageSize -> $CellContext`locatorSize]], 
           Locator[
            Dynamic[
             $CellContext`rot[{
              1/$CellContext`r1 + $CellContext`x - 
               Sqrt[(1/$CellContext`r1)^2 - ($CellContext`ap/2)^2] 
               Sign[1/$CellContext`r1], $CellContext`y + $CellContext`ap/2}, 
              a, {$CellContext`x, $CellContext`y}], ($CellContext`r1 = 
             With[{c = First[
                  $CellContext`rot[#, -
                   a, {$CellContext`x, $CellContext`y}]]}, -(
                8 (($CellContext`x - c)/($CellContext`ap^2 + 
                 4 $CellContext`x^2 - (8 $CellContext`x) c + 4 c^2)))])& ], 
            
            Graphics[$CellContext`locatorLeftRight, 
             ImageSize -> $CellContext`locatorSize]], 
           Locator[
            Dynamic[
             $CellContext`rot[{
              1/$CellContext`r2 + $CellContext`x - 
               Sqrt[(1/$CellContext`r2)^2 - ($CellContext`ap/2)^2] 
               Sign[1/$CellContext`r2] + $CellContext`t, $CellContext`y + \
$CellContext`ap/2}, a, {$CellContext`x, $CellContext`y}], With[{c = First[
                 $CellContext`rot[#, -
                  a, {$CellContext`x, $CellContext`y}]]}, $CellContext`r2 = -(
                8 (($CellContext`x - (c - $CellContext`t))/($CellContext`ap^2 + 
                 4 $CellContext`x^2 - (8 $CellContext`x) (c - $CellContext`t) + 
                 4 (c - $CellContext`t)^2)))]& ], 
            
            Graphics[$CellContext`locatorLeftRight, 
             ImageSize -> $CellContext`locatorSize]]}, 
         Attributes[$CellContext`LensLayout] = {HoldAll}; 
         Null, $CellContext`LensLayout[{
             Pattern[$CellContext`wavelength1, 
              Blank[]], 
             Pattern[$CellContext`wavelength2, 
              Blank[]], 
             Pattern[$CellContext`sourceAngle, 
              Blank[]], 
             Pattern[$CellContext`sourceXY1, 
              Blank[]], 
             Pattern[$CellContext`sourceXY2, 
              Blank[]], 
             Pattern[$CellContext`lensAngle, 
              Blank[]], 
             Pattern[$CellContext`thicknessAndAperture1, 
              Blank[]], 
             Pattern[$CellContext`thicknessAndAperture2, 
              Blank[]], 
             Pattern[$CellContext`curvature1, 
              Blank[]], 
             Pattern[$CellContext`curvature2, 
              Blank[]], 
             Pattern[a, 
              Blank[]], 
             Pattern[b, 
              Blank[]]}] := Graphics[{
             Dynamic[{
               $CellContext`system[
               Part[$CellContext`sourceAngle, 1]/Degree, 
                Part[$CellContext`sourceAngle, 2]/
                Degree, $CellContext`wavelength1, $CellContext`wavelength2, 
                Part[$CellContext`sourceXY1, 1], 
                Part[$CellContext`sourceXY2, 1], 
                Part[$CellContext`sourceXY1, 2], 
                Part[$CellContext`sourceXY2, 2], 
                Part[$CellContext`lensAngle, 1]/Degree, 
                Part[$CellContext`lensAngle, 2]/Degree, 
                Part[$CellContext`thicknessAndAperture1, 2], 
                Part[$CellContext`thicknessAndAperture2, 2], 
                Part[$CellContext`curvature1, 1], 
                Part[$CellContext`curvature1, 2], 
                Part[$CellContext`curvature2, 1], 
                Part[$CellContext`curvature2, 2], 
                Part[$CellContext`thicknessAndAperture1, 1], 
                Part[$CellContext`thicknessAndAperture2, 1], 
                Part[a, 1], 
                Part[b, 1], 
                Part[a, 2], 
                Part[b, 2]], Arrowheads -> Large, 
               Lighter[Blue], 
               Arrow[{$CellContext`sourceXY1, $CellContext`sourceXY1 + 10 {
                    Cos[
                    Part[$CellContext`sourceAngle, 1]], 
                    Sin[
                    Part[$CellContext`sourceAngle, 1]]}}], 
               Arrow[{$CellContext`sourceXY2, $CellContext`sourceXY2 + 10 {
                    Cos[
                    Part[$CellContext`sourceAngle, 2]], 
                    Sin[
                    Part[$CellContext`sourceAngle, 2]]}}], Arrowheads -> 
               Medium, 
               Arrow[{a, a + 5 {
                    Cos[
                    Part[$CellContext`lensAngle, 1]], 
                    Sin[
                    Part[$CellContext`lensAngle, 1]]}}], 
               Arrow[{b, b + 5 {
                    Cos[
                    Part[$CellContext`lensAngle, 2]], 
                    Sin[
                    Part[$CellContext`lensAngle, 2]]}}]}], 
             Locator[
              Dynamic[$CellContext`sourceXY1], 
              
              Graphics[$CellContext`locatorAll, 
               ImageSize -> $CellContext`locatorSize]], 
             Locator[
              Dynamic[$CellContext`sourceXY2], 
              
              Graphics[$CellContext`locatorAll, 
               ImageSize -> $CellContext`locatorSize]], 
             Locator[
              Dynamic[$CellContext`sourceXY1 + 10 {
                  Cos[
                   Part[$CellContext`sourceAngle, 1]], 
                  Sin[
                   Part[$CellContext`sourceAngle, 1]]}, (
               Part[$CellContext`sourceAngle, 1] = 
               Apply[ArcTan, # - $CellContext`sourceXY1])& ], 
              
              Graphics[$CellContext`locatorAll, 
               ImageSize -> $CellContext`locatorSize]], 
             Locator[
              Dynamic[$CellContext`sourceXY2 + 10 {
                  Cos[
                   Part[$CellContext`sourceAngle, 2]], 
                  Sin[
                   Part[$CellContext`sourceAngle, 2]]}, (
               Part[$CellContext`sourceAngle, 2] = 
               Apply[ArcTan, # - $CellContext`sourceXY2])& ], 
              
              Graphics[$CellContext`locatorAll, 
               ImageSize -> $CellContext`locatorSize]], Cyan, 
             Opacity[0.4], 
             $CellContext`lensWithControls[
              Dynamic[
               Part[$CellContext`curvature1, 1]], 
              Dynamic[
               Part[$CellContext`curvature1, 2]], 
              Dynamic[
               Part[$CellContext`lensAngle, 1]], 
              Dynamic[
               Part[$CellContext`thicknessAndAperture1, 2]], 
              Dynamic[
               Part[a, 1]], 
              Dynamic[
               Part[$CellContext`thicknessAndAperture1, 1]], 
              Dynamic[
               Part[a, 2]]], 
             RGBColor[0.4, 0.6, 0.8], 
             $CellContext`lensWithControls[
              Dynamic[
               Part[$CellContext`curvature2, 1]], 
              Dynamic[
               Part[$CellContext`curvature2, 2]], 
              Dynamic[
               Part[$CellContext`lensAngle, 2]], 
              Dynamic[
               Part[$CellContext`thicknessAndAperture2, 2]], 
              Dynamic[
               Part[b, 1]], 
              Dynamic[
               Part[$CellContext`thicknessAndAperture2, 1]], 
              Dynamic[
               Part[b, 2]]]}, PlotRange -> {{-5, 205}, {-80, 80}}, ImageSize -> 
            500]; Null}]]),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{3.387986826775559*^9},
 CellID->15974402]
}, {17}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Designing Optical Systems",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DesigningOpticalSystems/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DesigningOpticalSystems/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/DesigningOpticalSystems/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/DesigningOpticalSystems/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/DesigningOpticalSystems/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: Donald Barnhardt, developer of ",
 StyleBox[ButtonBox["Rayica",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/applications/rayica/"], None}],
  FontSlant->"Italic"],
 " and ",
 StyleBox[ButtonBox["LensLab",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/applications/lenslab/"], None}],
  FontSlant->"Italic"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->7656831],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
DesigningOpticalSystems"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
ClosingSaveDialog->False,
Editable->True,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Designing Optical Systems - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (May 22, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 217, 4, 67, "Section"],
Cell[CellGroupData[{
Cell[832, 31, 3570, 94, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->381487141],
Cell[4405, 127, 158933, 2870, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->471820287],
Cell[163341, 2999, 947, 28, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->94849684],
Cell[164291, 3029, 2013, 53, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->74345241],
Cell[166307, 3084, 4476, 103, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->58397636],
Cell[170786, 3189, 493, 9, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->313739328],
Cell[171282, 3200, 633, 16, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->17795521],
Cell[171918, 3218, 682, 17, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->92530898],
Cell[172603, 3237, 922, 27, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->427279974],
Cell[173528, 3266, 969, 28, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->236492157],
Cell[174500, 3296, 1208, 36, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->440062087],
Cell[175711, 3334, 326, 8, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->175376957],
Cell[176040, 3344, 12041, 301, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->347787142],
Cell[188084, 3647, 307, 8, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->521064781],
Cell[188394, 3657, 11396, 269, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->231788421],
Cell[199793, 3928, 5057, 154, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->1496021318],
Cell[204853, 4084, 904307, 13208, 514, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->15974402]
}, {17}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1109207, 17298, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[1109583, 17309, 917, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1110537, 17338, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[1110877, 17349, 585, 19, 70, "Text",
 CellID->7656831],
Cell[1111465, 17370, 967, 27, 70, "Text"],
Cell[1112435, 17399, 1199, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
