(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     47696,       1151]
NotebookOptionsPosition[     46836,       1117]
NotebookOutlinePosition[     47222,       1134]
CellTagsIndexPosition[     47179,       1131]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:4fdd\:9669\:7406\:8d54\:8d23\:4efb", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{
  3.4194411443655*^9, {3.4194412218655*^9, 3.419441224693625*^9}},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "041407", "]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"insurerValue", "[", 
    RowBox[{"dist_", ",", "\[ScriptL]_", ",", "c_", ",", "litcosts_"}], "]"}],
    ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"probs", "=", 
        RowBox[{"First", "/@", "dist"}]}], ",", 
       RowBox[{"judgments", "=", 
        RowBox[{"Last", "/@", "dist"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", "probs", ")"}], ".", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{"\[ScriptL]", ",", 
             RowBox[{"c", "*", "#"}]}], "]"}], "&"}], ",", "judgments"}], 
         "]"}]}], ")"}], "+", "0", " ", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "c"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", "probs", ")"}], ".", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Min", "[", 
              RowBox[{"0", ",", "#"}], "]"}], "&"}], ",", "judgments"}], 
           "]"}]}], ")"}]}], "*)"}], "+", "litcosts"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"plaintiffValue", "[", 
    RowBox[{
    "dist_", ",", "\[ScriptL]_", ",", "a_", ",", "c_", ",", "litcosts_"}], 
    "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"probs", "=", 
        RowBox[{"First", "/@", "dist"}]}], ",", 
       RowBox[{"judgments", "=", 
        RowBox[{"Last", "/@", "dist"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"c", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", "probs", ")"}], ".", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{
              RowBox[{"\[ScriptL]", "+", "a"}], ",", "#"}], "]"}], "&"}], ",",
            "judgments"}], "]"}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "c"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", "probs", ")"}], ".", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"a", ",", "#"}], "]"}], "&"}], ",", "judgments"}], 
          "]"}]}], ")"}]}], "-", "litcosts"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dist", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sort", "[", 
       RowBox[{"#", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#1", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "<", 
          RowBox[{"#2", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "&"}]}], "]"}], "&"}], ",", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"Tally", ",", 
        RowBox[{"Take", "[", 
         RowBox[{
          RowBox[{"DeleteCases", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"With", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"rr", "=", 
                  RowBox[{"RandomReal", "[", 
                   RowBox[{
                    RowBox[{"ParetoDistribution", "[", 
                    RowBox[{"100", ",", "0.4"}], "]"}], ",", "10"}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"clipped", "=", 
                    RowBox[{"Clip", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "2000000"}], "}"}]}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"clipped", "<", "20000"}], ",", "0", ",", 
                    "clipped"}], "]"}]}], "]"}], "&"}], ",", 
                  RowBox[{"Accumulate", "[", 
                   RowBox[{"rr", "-", 
                    RowBox[{"Mean", "[", "rr", "]"}]}], "]"}]}], "]"}]}], 
               "]"}], ",", 
              RowBox[{"{", "100", "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ".."}], "}"}]}], "]"}], ",", "20"}], "]"}]}], "]"}],
       "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a_", ",", "b_Integer"}], "}"}], "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"b", "/", "10."}], ",", "a"}], "}"}]}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"dashboard", "[", 
    RowBox[{
    "limit_", ",", "coverage_", ",", "plaintiffcosts_", ",", "defensecosts_", 
     ",", "reasonableness_", ",", "punishment_", ",", "discount_"}], "]"}], ":=",
    
   RowBox[{"Text", "@", 
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<\:8d54\:4ed8\:4e0a\:9650\>\"", ",", 
           "\"\<\:627f\:4fdd\:8303\:56f4\:673a\:7387\>\"", ",", 
           "\"\<\:539f\:544a\:8bc9\:8bbc\:8d39\>\"", ",", 
           "\"\<\:4fdd\:9669\:4eba\:8bc9\:8bbc\:8d39\>\"", ",", 
           "\"\<\:7528\:4ee5\:786e\:5b9a\:88c1\:51b3\:5408\:7406\:6027\:7684\
\:5047\:5b9a\:8d54\:4ed8\:4e0a\:9650\[Ellipsis]\>\"", ",", 
           "\"\<\:62d2\:7edd\:5408\:7406\:88c1\:51b3\:610f\:5411\:540e\:7684\
\:8d54\:4ed8\:4e0a\:9650\>\"", ",", 
           "\"\<\:627f\:4fdd\:8303\:56f4\:76f8\:5173\:6298\:6263\>\""}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "limit", ",", "coverage", ",", "plaintiffcosts", ",", 
           "defensecosts", ",", "reasonableness", ",", "punishment", ",", 
           "discount"}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"Alignment", "\[Rule]", "Left"}], ",", 
      RowBox[{"Dividers", "\[Rule]", "All"}], ",", 
      RowBox[{"Background", "\[Rule]", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"ColorData", "[", "1", "]"}], "[", "8", "]"}], ",", "0.5"}],
         "]"}]}]}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"veryworstcase", "=", 
   RowBox[{"Max", "@", 
    RowBox[{"Flatten", "@", 
     RowBox[{"Map", "[", 
      RowBox[{"Last", ",", "dist", ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}]}]}], ";"}], "\n", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rsWithCoverageDiscount", ",", "rsWithoutCoverageDiscount", " ", ",", 
       "iv", ",", "pv", ",", "reasonableOfferQ", ",", "rs", ",", 
       "litigationCosts", ",", "litigationCostsPlaintiff", ",", 
       "litigationCostsInsurer", ",", "reasonablenessAddition", ",", 
       "punishmentAddition", ",", "biggestJudgment", ",", "\[ScriptL]", ",", 
       "distribution", ",", "coverageProbability", ",", "theplot", ",", 
       RowBox[{"controlSize", "=", "50"}], ",", 
       RowBox[{"cp", "=", "Left"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"SeedRandom", "[", "041407", "]"}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"distribution", "=", 
       RowBox[{"dist", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"biggestJudgment", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"Last", "/@", 
         RowBox[{"dist", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[ScriptL]", "=", 
       RowBox[{"Rescale", "[", 
        RowBox[{
         RowBox[{"\[ScriptL]fraction", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "biggestJudgment"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"coverageProbability", "=", 
       RowBox[{"\[ScriptL]fraction", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"litigationCosts", "=", 
       RowBox[{"Rescale", "[", 
        RowBox[{"litigationCostsFraction", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "biggestJudgment"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"a", "=", 
       RowBox[{"Rescale", "[", 
        RowBox[{"aFraction", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "biggestJudgment"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"litigationCostsPlaintiff", "=", 
       RowBox[{"First", "@", "litigationCosts"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"litigationCostsInsurer", "=", 
       RowBox[{"Last", "@", "litigationCosts"}]}], ";", "\[IndentingNewLine]",
       
      RowBox[{"reasonablenessAddition", "=", 
       RowBox[{"Rescale", "[", 
        RowBox[{
         RowBox[{"First", "@", "reasonablenessFraction"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "biggestJudgment"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"punishmentAddition", "=", 
       RowBox[{"Rescale", "[", 
        RowBox[{
         RowBox[{"Last", "@", "reasonablenessFraction"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "biggestJudgment"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"rsWithCoverageDiscount", "=", 
       RowBox[{"Min", "[", 
        RowBox[{"\[ScriptL]", ",", 
         RowBox[{"insurerValue", "[", 
          RowBox[{"distribution", ",", 
           RowBox[{"reasonablenessAddition", "+", "\[ScriptL]"}], ",", 
           "coverageProbability", ",", "litigationCostsInsurer"}], "]"}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rsWithoutCoverageDiscount", "=", 
       RowBox[{"Min", "[", 
        RowBox[{"\[ScriptL]", ",", 
         RowBox[{"insurerValue", "[", 
          RowBox[{"distribution", ",", 
           RowBox[{"reasonablenessAddition", "+", "\[ScriptL]"}], ",", "1", 
           ",", "litigationCostsInsurer"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"rs", "=", 
       RowBox[{"If", "[", 
        RowBox[{
        "coverageDiscount", ",", "rsWithCoverageDiscount", ",", 
         "rsWithoutCoverageDiscount"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"reasonableOfferQ", "[", "s_", "]"}], "=", 
       RowBox[{"s", "<", 
        RowBox[{"Min", "[", 
         RowBox[{"\[ScriptL]", ",", "rs"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"iv", "[", "s_", "]"}], "=", 
       RowBox[{"insurerValue", "[", 
        RowBox[{"distribution", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"reasonableOfferQ", "[", "s", "]"}], ",", 
           RowBox[{"\[ScriptL]", "+", "punishmentAddition"}], ",", 
           "\[ScriptL]"}], "]"}], ",", "coverageProbability", ",", 
         "litigationCostsInsurer"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"pv", "[", "s_", "]"}], "=", 
       RowBox[{"plaintiffValue", "[", 
        RowBox[{"distribution", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"reasonableOfferQ", "[", "s", "]"}], ",", 
           RowBox[{"\[ScriptL]", "+", "punishmentAddition"}], ",", 
           "\[ScriptL]"}], "]"}], ",", "a", ",", "coverageProbability", ",", 
         "litigationCostsPlaintiff"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"theplot", "=", 
       RowBox[{
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"s", "<", 
             RowBox[{"iv", "[", "s", "]"}]}], " ", ",", "s", ",", 
            RowBox[{"pv", "[", "s", "]"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"s", ",", "0", ",", "biggestJudgment"}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", "0.01", "]"}], "}"}], "}"}]}], ",", 
          RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
          RowBox[{"Method", " ", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "\"\<PiecewiseTimeConstraint\>\"", " ", "\[Rule]", " ", "1"}], 
            "}"}]}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"theplot", ",", "\[IndentingNewLine]", 
              RowBox[{"(*", "baseline", "*)"}], "\[IndentingNewLine]", 
              RowBox[{"Dashing", "[", 
               RowBox[{"{", 
                RowBox[{"0.02", ",", "0.02"}], "}"}], "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"biggestJudgment", ",", "0"}], "}"}]}], "}"}], 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"superimposed", " ", "frequencies"}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.7", "]"}], ",", 
                   RowBox[{
                    RowBox[{"ColorData", "[", "1", "]"}], "[", "5", "]"}], 
                   ",", 
                   RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Reverse", "[", "#", "]"}], "*", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"0.02", " ", "biggestJudgment"}], ",", "0"}], 
                    "}"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Reverse", "[", "#", "]"}], "*", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "biggestJudgment"}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"0.02", " ", "biggestJudgment"}], ",", "0"}], 
                    "}"}]}]}], "]"}], ",", 
                   RowBox[{
                    RowBox[{"ColorData", "[", "1", "]"}], "[", "6", "]"}], 
                   ",", 
                   RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "7"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"Reverse", "[", "#", "]"}], "*", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "biggestJudgment"}], "}"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], "}"}], "&"}], ",",
                 "distribution"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{
               "policy", " ", "limit", " ", "line", " ", "and", " ", "text"}],
                "*)"}], "\[IndentingNewLine]", 
              RowBox[{"Dashing", "[", 
               RowBox[{"{", 
                RowBox[{"0.01", ",", "0.01"}], "}"}], "]"}], ",", 
              RowBox[{
               RowBox[{"ColorData", "[", "1", "]"}], "[", "3", "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"\[ScriptL]", ",", 
                   RowBox[{"-", "litigationCostsPlaintiff"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"\[ScriptL]", ",", "biggestJudgment"}], "}"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{"\"\<\:8d54\:4ed8\:4e0a\:9650\>\"", ",", 
                RowBox[{"{", 
                 RowBox[{"\[ScriptL]", ",", 
                  RowBox[{"Mean", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "litigationCostsPlaintiff"}], ",", 
                    "biggestJudgment"}], "}"}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "1"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"reasonable", " ", "settlement", " ", "zone"}], "*)"}],
               "\[IndentingNewLine]", "Black", ",", 
              RowBox[{"Text", "[", 
               RowBox[{"\"\<\:5408\:7406\:88c1\:51b3\:533a\>\"", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"rs", "/", "2"}], ",", 
                  RowBox[{"0.6", "*", "biggestJudgment"}]}], "}"}]}], "]"}], 
              ",", 
              RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
              RowBox[{
               RowBox[{"ColorData", "[", "1", "]"}], "[", "2", "]"}], ",", 
              RowBox[{"Rectangle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "litigationCostsPlaintiff"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"rs", ",", "biggestJudgment"}], "}"}]}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"FrameLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
              "\"\<\:88c1\:51b3\:610f\:5411\>\"", ",", 
               "\"\<\:539f\:544a\:671f\:671b\:6570\>\""}], "}"}]}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "0.05"}], " ", "biggestJudgment"}], ",", 
                 RowBox[{"1.1", "biggestJudgment"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", " ", "litigationCostsPlaintiff"}], ",", 
                 "biggestJudgment"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"Axes", "\[Rule]", "False"}], ",", 
            RowBox[{"Frame", "\[Rule]", "True"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "320"}], ",", 
            RowBox[{"AspectRatio", "\[Rule]", "0.8"}], ",", 
            RowBox[{"ImagePadding", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"60", ",", "10"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"60", ",", "10"}], "}"}]}], "}"}]}]}], " ", "]"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"dashboard", "[", 
           RowBox[{
            RowBox[{"Round", "@", "\[ScriptL]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"coverageProbability", ",", 
              RowBox[{"{", 
               RowBox[{"4", ",", "3"}], "}"}]}], "]"}], ",", 
            RowBox[{"Round", "@", "litigationCostsPlaintiff"}], ",", 
            RowBox[{"Round", "@", "litigationCostsInsurer"}], ",", 
            RowBox[{"Round", "[", 
             RowBox[{"\[ScriptL]", "+", "reasonablenessAddition"}], "]"}], 
            ",", 
            RowBox[{"Round", "[", 
             RowBox[{"\[ScriptL]", "+", "punishmentAddition"}], "]"}], ",", 
            "coverageDiscount"}], "]"}], "}"}]}], "}"}], "]"}]}]}], "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "\"\<\:8bc9\:8bbc\:6848\:5217\>\""}], "}"}],
      ",", "1", ",", 
     RowBox[{"Length", "[", "dist", "]"}], ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   "\"\<\:8d54\:4ed8\:4e0a\:9650\:53ca\:627f\:4fdd\:8303\:56f4\:673a\:7387\>\"\
", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptL]fraction", ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "0.5"}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "50"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\:8bc9\:8bbc\:8d39\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"litigationCostsFraction", ",", 
       RowBox[{"{", 
        RowBox[{"0.25", ",", "0.25"}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "50"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   "\"\<\:4fdd\:9669\:4eba\:9644\:5e26\:8d44\:4ea7\:7387\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aFraction", ",", "0", ",", "\"\<\>\""}], "}"}], ",", "0", ",", 
     "1", ",", ".001", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<\:7406\:8d54\:8d23\:4efb\:611f\:5f3a\:5ea6\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"reasonablenessFraction", ",", " ", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "50"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   "\"\<\:627f\:4fdd\:8303\:56f4\:76f8\:5173\:6298\:6263\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"coverageDiscount", ",", "False", ",", "\"\<\>\""}], "}"}], ",",
      
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "i", ",", "\[ScriptL]fraction", ",", "litigationCostsFraction", ",", 
      "reasonablenessFraction", ",", "aFraction", ",", "coverageDiscount"}], 
     "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.385477353006379*^9, 3.385477357319704*^9}, {
   3.385557730393952*^9, 3.385557730533372*^9}, 3.419588701123837*^9},
 CellID->1299111428],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aFraction$$ = 
    0, $CellContext`coverageDiscount$$ = False, $CellContext`i$$ = 
    1, $CellContext`litigationCostsFraction$$ = {0.25, 
    0.25}, $CellContext`reasonablenessFraction$$ = {0, 
    0}, $CellContext`\[ScriptL]fraction$$ = {0.5, 0.5}, Typeset`show$$ = True,
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i$$], 1, "\:8bc9\:8bbc\:6848\:5217"}, 1, 20, 1}, {
      Hold[
      "\:8d54\:4ed8\:4e0a\:9650\:53ca\:627f\:4fdd\:8303\:56f4\:673a\:7387"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[ScriptL]fraction$$], {0.5, 0.5}, ""}, {0, 0}, {1, 
      1}}, {
      Hold["\:8bc9\:8bbc\:8d39"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`litigationCostsFraction$$], {0.25, 0.25}, ""}, {0, 
      0}, {1, 1}}, {
      Hold["\:4fdd\:9669\:4eba\:9644\:5e26\:8d44\:4ea7\:7387"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`aFraction$$], 0, ""}, 0, 1, 0.001}, {
      Hold["\:7406\:8d54\:8d23\:4efb\:611f\:5f3a\:5ea6"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`reasonablenessFraction$$], {0, 0}, ""}, {0, 0}, {1, 
      1}}, {
      Hold["\:627f\:4fdd\:8303\:56f4\:76f8\:5173\:6298\:6263"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`coverageDiscount$$], False, ""}, {True, False}}}, 
    Typeset`size$$ = {320., {206.375, 211.625}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`i$8347$$ = 
    0, $CellContext`\[ScriptL]fraction$8348$$ = {0, 
    0}, $CellContext`litigationCostsFraction$8349$$ = {0, 
    0}, $CellContext`aFraction$8350$$ = 
    0, $CellContext`reasonablenessFraction$8351$$ = {0, 
    0}, $CellContext`coverageDiscount$8352$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aFraction$$ = 
        0, $CellContext`coverageDiscount$$ = False, $CellContext`i$$ = 
        1, $CellContext`litigationCostsFraction$$ = {0.25, 
         0.25}, $CellContext`reasonablenessFraction$$ = {0, 
         0}, $CellContext`\[ScriptL]fraction$$ = {0.5, 0.5}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`i$$, $CellContext`i$8347$$, 0], 
        Hold[$CellContext`\[ScriptL]fraction$$, \
$CellContext`\[ScriptL]fraction$8348$$, {0, 0}], 
        Hold[$CellContext`litigationCostsFraction$$, \
$CellContext`litigationCostsFraction$8349$$, {0, 0}], 
        Hold[$CellContext`aFraction$$, $CellContext`aFraction$8350$$, 0], 
        Hold[$CellContext`reasonablenessFraction$$, \
$CellContext`reasonablenessFraction$8351$$, {0, 0}], 
        Hold[$CellContext`coverageDiscount$$, \
$CellContext`coverageDiscount$8352$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`rsWithCoverageDiscount$, \
$CellContext`rsWithoutCoverageDiscount$, $CellContext`iv$, $CellContext`pv$, \
$CellContext`reasonableOfferQ$, $CellContext`rs$, \
$CellContext`litigationCosts$, $CellContext`litigationCostsPlaintiff$, \
$CellContext`litigationCostsInsurer$, $CellContext`reasonablenessAddition$, \
$CellContext`punishmentAddition$, $CellContext`biggestJudgment$, \
$CellContext`\[ScriptL]$, $CellContext`distribution$, \
$CellContext`coverageProbability$, $CellContext`theplot$, \
$CellContext`controlSize$ = 50, $CellContext`cp$ = Left}, 
        SeedRandom[41407]; $CellContext`distribution$ = 
         Part[$CellContext`dist, $CellContext`i$$]; \
$CellContext`biggestJudgment$ = Max[
           Map[Last, 
            
            Part[$CellContext`dist, $CellContext`i$$]]]; $CellContext`\
\[ScriptL]$ = Rescale[
           Part[$CellContext`\[ScriptL]fraction$$, 1], {0, 1}, {
           0, $CellContext`biggestJudgment$}]; \
$CellContext`coverageProbability$ = 
         Part[$CellContext`\[ScriptL]fraction$$, 
           2]; $CellContext`litigationCosts$ = 
         Rescale[$CellContext`litigationCostsFraction$$, {0, 1}, {
           0, $CellContext`biggestJudgment$}]; $CellContext`a = 
         Rescale[$CellContext`aFraction$$, {0, 1}, {
           0, $CellContext`biggestJudgment$}]; \
$CellContext`litigationCostsPlaintiff$ = 
         First[$CellContext`litigationCosts$]; \
$CellContext`litigationCostsInsurer$ = 
         Last[$CellContext`litigationCosts$]; \
$CellContext`reasonablenessAddition$ = Rescale[
           First[$CellContext`reasonablenessFraction$$], {0, 1}, {
           0, $CellContext`biggestJudgment$}]; \
$CellContext`punishmentAddition$ = Rescale[
           Last[$CellContext`reasonablenessFraction$$], {0, 1}, {
           0, $CellContext`biggestJudgment$}]; \
$CellContext`rsWithCoverageDiscount$ = Min[$CellContext`\[ScriptL]$, 
           $CellContext`insurerValue[$CellContext`distribution$, \
$CellContext`reasonablenessAddition$ + $CellContext`\[ScriptL]$, \
$CellContext`coverageProbability$, $CellContext`litigationCostsInsurer$]]; \
$CellContext`rsWithoutCoverageDiscount$ = Min[$CellContext`\[ScriptL]$, 
           $CellContext`insurerValue[$CellContext`distribution$, \
$CellContext`reasonablenessAddition$ + $CellContext`\[ScriptL]$, 
            1, $CellContext`litigationCostsInsurer$]]; $CellContext`rs$ = 
         If[$CellContext`coverageDiscount$$, \
$CellContext`rsWithCoverageDiscount$, \
$CellContext`rsWithoutCoverageDiscount$]; $CellContext`reasonableOfferQ$[
           Pattern[$CellContext`s$, 
            Blank[]]] = $CellContext`s$ < 
          Min[$CellContext`\[ScriptL]$, $CellContext`rs$]; $CellContext`iv$[
           Pattern[$CellContext`s$, 
            Blank[]]] = $CellContext`insurerValue[$CellContext`distribution$, 
           
           If[
            $CellContext`reasonableOfferQ$[$CellContext`s$], $CellContext`\
\[ScriptL]$ + $CellContext`punishmentAddition$, $CellContext`\[ScriptL]$], \
$CellContext`coverageProbability$, $CellContext`litigationCostsInsurer$]; \
$CellContext`pv$[
           Pattern[$CellContext`s$, 
            
            Blank[]]] = \
$CellContext`plaintiffValue[$CellContext`distribution$, 
           If[
            $CellContext`reasonableOfferQ$[$CellContext`s$], $CellContext`\
\[ScriptL]$ + $CellContext`punishmentAddition$, $CellContext`\[ScriptL]$], \
$CellContext`a, $CellContext`coverageProbability$, \
$CellContext`litigationCostsPlaintiff$]; $CellContext`theplot$ = Part[
           Plot[
            
            If[$CellContext`s < $CellContext`iv$[$CellContext`s], \
$CellContext`s, 
             $CellContext`pv$[$CellContext`s]], {$CellContext`s, 
             0, $CellContext`biggestJudgment$}, PlotStyle -> {{
               Thickness[0.01]}}, Exclusions -> None, 
            Method -> {"PiecewiseTimeConstraint" -> 1}], 1]; Grid[{{
            Graphics[{$CellContext`theplot$, 
              Dashing[{0.02, 0.02}], 
              Line[{{0, 0}, {$CellContext`biggestJudgment$, 0}}], 
              Map[{
                Opacity[0.7], 
                ColorData[1][5], 
                Rectangle[
                Reverse[#] {1, 0} - {0.02 $CellContext`biggestJudgment$, 0}, 
                 Reverse[#] {1, $CellContext`biggestJudgment$} + {
                  0.02 $CellContext`biggestJudgment$, 0}], 
                ColorData[1][6], 
                Text[
                 Style[
                  Part[#, 1], 7], 
                 Reverse[#] {1, $CellContext`biggestJudgment$}, {
                 0, -1}]}& , $CellContext`distribution$], 
              Dashing[{0.01, 0.01}], 
              ColorData[1][3], 
              
              Line[{{$CellContext`\[ScriptL]$, \
-$CellContext`litigationCostsPlaintiff$}, {$CellContext`\[ScriptL]$, \
$CellContext`biggestJudgment$}}], 
              Text["\:8d54\:4ed8\:4e0a\:9650", {$CellContext`\[ScriptL]$, 
                
                Mean[{-$CellContext`litigationCostsPlaintiff$, \
$CellContext`biggestJudgment$}]}, {0, -1}, {0, -1}], Black, 
              Text[
              "\:5408\:7406\:88c1\:51b3\:533a", {$CellContext`rs$/2, 
                0.6 $CellContext`biggestJudgment$}], 
              Opacity[0.2], 
              ColorData[1][2], 
              
              Rectangle[{
               0, -$CellContext`litigationCostsPlaintiff$}, \
{$CellContext`rs$, $CellContext`biggestJudgment$}]}, 
             FrameLabel -> {
              "\:88c1\:51b3\:610f\:5411", "\:539f\:544a\:671f\:671b\:6570"}, 
             PlotRange -> {{(-0.05) $CellContext`biggestJudgment$, 
                1.1 $CellContext`biggestJudgment$}, \
{-$CellContext`litigationCostsPlaintiff$, $CellContext`biggestJudgment$}}, 
             Axes -> False, Frame -> True, ImageSize -> 320, AspectRatio -> 
             0.8, ImagePadding -> {{60, 10}, {60, 10}}]}, {
            $CellContext`dashboard[
             Round[$CellContext`\[ScriptL]$], 
             NumberForm[$CellContext`coverageProbability$, {4, 3}], 
             Round[$CellContext`litigationCostsPlaintiff$], 
             Round[$CellContext`litigationCostsInsurer$], 
             
             Round[$CellContext`\[ScriptL]$ + \
$CellContext`reasonablenessAddition$], 
             
             Round[$CellContext`\[ScriptL]$ + \
$CellContext`punishmentAddition$], $CellContext`coverageDiscount$$]}}]], 
      "Specifications" :> {{{$CellContext`i$$, 1, "\:8bc9\:8bbc\:6848\:5217"},
          1, 20, 1, ControlType -> SetterBar, ControlPlacement -> Top}, 
        "\:8d54\:4ed8\:4e0a\:9650\:53ca\:627f\:4fdd\:8303\:56f4\:673a\:7387", \
{{$CellContext`\[ScriptL]fraction$$, {0.5, 0.5}, ""}, {0, 0}, {1, 1}, 
         ImageSize -> 50}, 
        "\:8bc9\:8bbc\:8d39", {{$CellContext`litigationCostsFraction$$, {0.25,
           0.25}, ""}, {0, 0}, {1, 1}, ImageSize -> 50}, 
        "\:4fdd\:9669\:4eba\:9644\:5e26\:8d44\:4ea7\:7387", \
{{$CellContext`aFraction$$, 0, ""}, 0, 1, 0.001, Appearance -> "Labeled", 
         ImageSize -> Tiny}, Delimiter, 
        "\:7406\:8d54\:8d23\:4efb\:611f\:5f3a\:5ea6", \
{{$CellContext`reasonablenessFraction$$, {0, 0}, ""}, {0, 0}, {1, 1}, 
         ControlPlacement -> Left, ImageSize -> 50}, 
        "\:627f\:4fdd\:8303\:56f4\:76f8\:5173\:6298\:6263", \
{{$CellContext`coverageDiscount$$, False, ""}, {True, False}}}, 
      "Options" :> {
       ControlPlacement -> Left, 
        TrackedSymbols -> {$CellContext`i$$, \
$CellContext`\[ScriptL]fraction$$, $CellContext`litigationCostsFraction$$, \
$CellContext`reasonablenessFraction$$, $CellContext`aFraction$$, \
$CellContext`coverageDiscount$$}, AutorunSequencing -> {2, 3, 4, 5, 6}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{487., {249.375, 254.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`dist = {{{0.5, 0}, {0.1, 
          712989.9358579378}, {0.1, 1.4398157837102977`*^6}, {
          0.30000000000000004`, 2000000}}, {{0.7000000000000001, 0}, {0.1, 
          192597.24479319368`}, {0.1, 385656.5039496152}, {0.1, 
          578701.4707009123}}, {{0.30000000000000004`, 0}, {0.1, 
          22148.908410097974`}, {0.1, 24777.74116754202}, {0.1, 
          34430.34782911251}, {0.1, 45747.95815685355}, {0.1, 
          54026.94570262997}, {0.1, 65605.31093032722}, {0.1, 
          70703.50266242973}}, {{0.6000000000000001, 0}, {0.1, 
          22731.92081046749}, {0.1, 30076.231378401313`}, {0.1, 
          38173.29492961269}, {0.1, 45832.76387781609}}, {{0.9, 0}, {0.1, 
          25967.53598807067}}, {{0.9, 0}, {0.1, 22375.55030299202}}, {{
          0.7000000000000001, 0}, {0.1, 25602.47506544023}, {0.1, 
          32588.53933565601}, {0.1, 36929.44855447694}}, {{0.9, 0}, {0.1, 
          95419.609252729}}, {{0.8, 0}, {0.1, 23931.158635764812`}, {0.1, 
          44858.1640179339}}, {{0.8, 0}, {0.2, 2000000}}, {{
          0.6000000000000001, 0}, {0.1, 1.8160143018162046`*^6}, {
          0.30000000000000004`, 2000000}}, {{0.5, 0}, {0.1, 
          20301.42108772149}, {0.1, 40575.49038267275}, {0.1, 
          44366.314574934324`}, {0.1, 61107.431799254}, {0.1, 
          81351.47376818066}}, {{0.6000000000000001, 0}, {0.1, 
          92944.45834014856}, {0.1, 185300.08052954695`}, {0.1, 
          276325.3087682087}, {0.1, 369446.5951619379}}, {{0.2, 0}, {0.1, 
          44201.8130989996}, {0.1, 89964.11229620947}, {0.1, 
          135798.53787771935`}, {0.1, 176034.61425403086`}, {0.1, 
          221873.153512078}, {0.1, 267503.32829704334`}, {0.1, 
          308554.55338813417`}, {0.1, 352117.91575779696`}}, {{0.2, 0}, {0.1, 
          22147.165840966634`}, {0.1, 61931.143328519975`}, {0.1, 
          84872.49971492356}, {0.1, 124635.11312291134`}, {0.1, 
          147219.79944561498`}, {0.1, 186499.13131479706`}, {0.1, 
          207174.4661098227}, {0.1, 269899.15055621194`}}, {{0.2, 0}, {0.1, 
          35876.66993171538}, {0.1, 53588.23746362205}, {0.1, 
          71509.57334996367}, {0.1, 88640.34497335763}, {0.1, 
          106526.08164253563`}, {0.1, 124358.35233306713`}, {0.1, 
          142287.32136090074`}, {0.1, 159808.151258976}}, {{0.2, 0}, {0.1, 
          415101.3807711569}, {0.1, 844727.8094152698}, {0.1, 
          1.2530873998267376`*^6}, {0.1, 1.683403548781305*^6}, {
          0.4, 2000000}}, {{0.6000000000000001, 0}, {0.1, 333073.710394004}, {
          0.1, 665384.0347828909}, {0.1, 1.0003590312557248`*^6}, {0.1, 
          1.3351213742227147`*^6}}, {{0.7000000000000001, 0}, {0.1, 
          83296.85732840073}, {0.1, 156326.8233050917}, {0.1, 
          239864.303681548}}, {{0.6000000000000001, 0}, {0.1, 
          29252.714401239948`}, {0.1, 44081.347848015896`}, {0.1, 
          58677.75047057372}, {0.1, 73625.84871360098}}}, $CellContext`a = 
       0., $CellContext`insurerValue[
         Pattern[$CellContext`dist, 
          Blank[]], 
         Pattern[$CellContext`\[ScriptL], 
          Blank[]], 
         Pattern[$CellContext`c, 
          Blank[]], 
         Pattern[$CellContext`litcosts, 
          Blank[]]] := 
       With[{$CellContext`probs = 
          Map[First, $CellContext`dist], $CellContext`judgments = 
          Map[Last, $CellContext`dist]}, Dot[$CellContext`probs, 
           Map[
           Min[$CellContext`\[ScriptL], $CellContext`c #]& , \
$CellContext`judgments]] + 
         0 + $CellContext`litcosts], $CellContext`plaintiffValue[
         Pattern[$CellContext`dist, 
          Blank[]], 
         Pattern[$CellContext`\[ScriptL], 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`c, 
          Blank[]], 
         Pattern[$CellContext`litcosts, 
          Blank[]]] := 
       With[{$CellContext`probs = 
          Map[First, $CellContext`dist], $CellContext`judgments = 
          Map[Last, $CellContext`dist]}, $CellContext`c 
          Dot[$CellContext`probs, 
            Map[
            Min[$CellContext`\[ScriptL] + $CellContext`a, #]& , \
$CellContext`judgments]] + (1 - $CellContext`c) Dot[$CellContext`probs, 
            Map[
            Min[$CellContext`a, #]& , $CellContext`judgments]] - \
$CellContext`litcosts], 
       Attributes[PlotRange] = {ReadProtected}, $CellContext`dashboard[
         Pattern[$CellContext`limit, 
          Blank[]], 
         Pattern[$CellContext`coverage, 
          Blank[]], 
         Pattern[$CellContext`plaintiffcosts, 
          Blank[]], 
         Pattern[$CellContext`defensecosts, 
          Blank[]], 
         Pattern[$CellContext`reasonableness, 
          Blank[]], 
         Pattern[$CellContext`punishment, 
          Blank[]]] := Text[
         Grid[
          
          Transpose[{{
            "policy limit", "coverage probability", 
             "plantiff litigation costs", "insurer litigation costs", 
             "determine reasonableness as if limits were ...", 
             "policy limit if reasonable settlement offer refused"}, \
{$CellContext`limit, $CellContext`coverage, $CellContext`plaintiffcosts, \
$CellContext`defensecosts, $CellContext`reasonableness, \
$CellContext`punishment}}], Dividers -> All, Background -> Append[
            ColorData[1][8], 0.5]]], $CellContext`dashboard[
         Pattern[$CellContext`limit, 
          Blank[]], 
         Pattern[$CellContext`coverage, 
          Blank[]], 
         Pattern[$CellContext`plaintiffcosts, 
          Blank[]], 
         Pattern[$CellContext`defensecosts, 
          Blank[]], 
         Pattern[$CellContext`reasonableness, 
          Blank[]], 
         Pattern[$CellContext`punishment, 
          Blank[]], 
         Pattern[$CellContext`discount, 
          Blank[]]] := Text[
         Grid[
          
          Transpose[{{
            "\:8d54\:4ed8\:4e0a\:9650", 
             "\:627f\:4fdd\:8303\:56f4\:673a\:7387", 
             "\:539f\:544a\:8bc9\:8bbc\:8d39", 
             "\:4fdd\:9669\:4eba\:8bc9\:8bbc\:8d39", 
             "\:7528\:4ee5\:786e\:5b9a\:88c1\:51b3\:5408\:7406\:6027\:7684\
\:5047\:5b9a\:8d54\:4ed8\:4e0a\:9650\[Ellipsis]", 
             "\:62d2\:7edd\:5408\:7406\:88c1\:51b3\:610f\:5411\:540e\:7684\
\:8d54\:4ed8\:4e0a\:9650", 
             "\:627f\:4fdd\:8303\:56f4\:76f8\:5173\:6298\:6263"}, \
{$CellContext`limit, $CellContext`coverage, $CellContext`plaintiffcosts, \
$CellContext`defensecosts, $CellContext`reasonableness, \
$CellContext`punishment, $CellContext`discount}}], Alignment -> Left, 
          Dividers -> All, Background -> Append[
            ColorData[1][8], 0.5]]]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.419438837849875*^9, {3.4194388832405*^9, 3.419438918037375*^9}, 
   3.41944136408425*^9, 3.41944466814675*^9, {3.41946065071875*^9, 
   3.41946066303125*^9}, 3.419462458484375*^9, 3.41946309865625*^9, 
   3.419463132875*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Duty to Settle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheDutyToSettle/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheDutyToSettle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TheDutyToSettle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheDutyToSettle/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheDutyToSettle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Seth J. Chandler",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Seth+J.+\
Chandler"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Seth+J.+Chandler"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheDutyToSettle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
ClosingSaveDialog->False,
WindowSize->{651, 631},
WindowMargins->{{21, Automatic}, {Automatic, 6}},
ShowCellBracket->False,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 315, 6, 69, "Section"],
Cell[CellGroupData[{
Cell[930, 33, 23531, 588, 1312, "Input",
 CellID->1299111428],
Cell[24464, 623, 18219, 359, 522, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[42729, 988, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[43105, 999, 870, 24, 35, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44012, 1028, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[44352, 1039, 442, 14, 18, "Text"],
Cell[44797, 1055, 829, 24, 98, "Text"],
Cell[45629, 1081, 1191, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
