(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    103758,       1872]
NotebookOptionsPosition[    102942,       1843]
NotebookOutlinePosition[    103319,       1860]
CellTagsIndexPosition[    103276,       1857]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"Graphics", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Polygon", "[", 
      RowBox[{"Join", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            FractionBox["1", "3"]}], 
           FractionBox["1", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", "t"], "+", "1"}]], 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "t", "]"}], ",", 
             RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", 
            RowBox[{
             RowBox[{"-", "5"}], "Pi"}], ",", 
            RowBox[{"20", "Pi"}], ",", 
            RowBox[{"Pi", "/", "100."}]}], "}"}]}], "]"}], ",", 
        RowBox[{"Reverse", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            FractionBox["1", "3"], 
            FractionBox["1", 
             RowBox[{
              SuperscriptBox["\[ExponentialE]", "t"], "+", "1"}]], 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "t", "]"}], ",", 
              RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{
              RowBox[{"-", "4"}], "Pi"}], ",", 
             RowBox[{"20", "Pi"}], ",", 
             RowBox[{"Pi", "/", "100."}]}], "}"}]}], "]"}], "]"}]}], "]"}], 
      "]"}], "}"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.4202357440674677`*^9, 3.4202359090498123`*^9}, {
  3.420235959312048*^9, 3.420235997044689*^9}}],

Cell[BoxData[
 GraphicsBox[PolygonBox[CompressedData["
1:eJwsl3c8l9/7x8mMRPbMHpUtI+M+VpGRnRkayMpOUvYse0dlZO+93cfem7fI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   "]],
  AspectRatio->Automatic]], "Output",
 CellChangeTimes->{{3.420235951449106*^9, 3.420235997725868*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"PolarPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "3"]}], 
        FractionBox["1", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "x"], "+", "1"}]]}], ",", 
       RowBox[{
        FractionBox["1", "3"], 
        FractionBox["1", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", "x"], "+", "1"}]]}]}], "}"}], ",",
      
     RowBox[{"{", 
      RowBox[{"x", ",", "r1", ",", "r2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"r1", ",", 
     RowBox[{
      RowBox[{"-", "20"}], "\[Pi]"}], ",", 
     RowBox[{"20", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r2", ",", 
     RowBox[{
      RowBox[{"-", "20"}], "\[Pi]"}], ",", 
     RowBox[{"20", "\[Pi]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4201665297177467`*^9, 3.420166699632657*^9}, 
   3.4201737220914507`*^9, 3.4201739877327213`*^9, {3.420178784023692*^9, 
   3.420178784339897*^9}, {3.4201788346454678`*^9, 3.420178856600095*^9}, {
   3.420235497101297*^9, 3.420235497754217*^9}, {3.420235599423007*^9, 
   3.420235601860235*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"arc", "[", 
   RowBox[{"c_", ",", "r_", ",", 
    RowBox[{"{", 
     RowBox[{"a1_", ",", "a2_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"N", "[", 
     RowBox[{"c", "+", 
      RowBox[{"r", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", "t", "]"}], ",", 
         RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "a1", ",", "a2", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"a2", "-", "a1"}], ")"}], "/", "30"}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.420173756553944*^9, 3.420173843255227*^9}}],

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{"Line", "[", 
   RowBox[{"arc", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
     RowBox[{"{", 
      RowBox[{"Pi", ",", 
       RowBox[{"2", "Pi"}]}], "}"}]}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.420174267998623*^9, 3.420174282504579*^9}, {
  3.420177649316662*^9, 3.420177650118846*^9}}],

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{"Polygon", "[", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"arc", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", "1", ",", 
       RowBox[{"{", 
        RowBox[{"Pi", ",", 
         RowBox[{"2", "Pi"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"arc", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", "1", ",", 
       RowBox[{"{", 
        RowBox[{"Pi", ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"arc", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "2", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "Pi"}], "}"}]}], "]"}]}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.420174255955482*^9, 3.420174262564444*^9}, {
  3.420177691419582*^9, 3.4201776923769703`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\:9634", "=", 
   RowBox[{"Polygon", "[", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"arc", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", "1", ",", 
        RowBox[{"{", 
         RowBox[{"Pi", ",", 
          RowBox[{"2", "Pi"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"arc", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0"}], "}"}], ",", "1", ",", 
        RowBox[{"{", 
         RowBox[{"Pi", ",", "0"}], "}"}]}], "]"}], ",", 
      RowBox[{"arc", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", "2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "Pi"}], "}"}]}], "]"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.420174058411848*^9, 3.420174060325707*^9}, {
  3.420175221029976*^9, 3.420175245122027*^9}}],

Cell[BoxData[
 RowBox[{"Graphics", "[", "\:9634", "]"}]], "Input",
 CellChangeTimes->{{3.420174293288603*^9, 3.420174297226427*^9}, 
   3.4201752757761602`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\:9633", "=", 
   RowBox[{"Rotate", "[", 
    RowBox[{"\:9634", ",", "Pi", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.420174306904244*^9, 3.420174313549799*^9}, {
  3.420175264071554*^9, 3.420175276696247*^9}}],

Cell[BoxData[
 RowBox[{"Graphics", "[", "\:9633", "]"}]], "Input",
 CellChangeTimes->{{3.420174318713503*^9, 3.420174324810796*^9}, 
   3.4201752849757347`*^9}],

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Black", ",", "\:9634", ",", "White", ",", "\:9633"}], "}"}], ",",
    
   RowBox[{"Background", "\[Rule]", "Blue"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.420174338968107*^9, 3.4201743657398577`*^9}, {
  3.420175277569582*^9, 3.420175285824317*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Rotate", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
         "Black", ",", "\:9634", ",", "White", ",", "\:9633", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", "c"}], "]"}], ",", 
          "Black", ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "0"}], "}"}], ",", "c"}], "]"}]}], "}"}], ",", 
        "t", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "]"}], "}"}], ",", 
     RowBox[{"Background", "\[Rule]", "Blue"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "0.2"}], "}"}], ",", "0", ",", "0.5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"4", "Pi"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.42017380137963*^9, 3.420174229341666*^9}, {
  3.420174341903408*^9, 3.420174342190895*^9}, {3.420174376240967*^9, 
  3.420174411034019*^9}, {3.420175279434176*^9, 3.4201752865547123`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Rotate", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
         "c1", ",", "\:9634", ",", "c2", ",", "\:9633", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", "c"}], "]"}], ",", 
          "Black", ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", "0"}], "}"}], ",", "c"}], "]"}]}], "}"}], ",", 
        "t", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "]"}], "}"}], ",", 
     RowBox[{"Background", "\[Rule]", "c3"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "0.2"}], "}"}], ",", "0", ",", "0.5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"4", "Pi"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c1", ",", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c2", ",", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"1", ",", "1", ",", "1"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c3", ",", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "0", ",", "1"}], "]"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.42017380137963*^9, 3.420174229341666*^9}, {
  3.420174341903408*^9, 3.420174342190895*^9}, {3.420174376240967*^9, 
  3.420174411034019*^9}, {3.420175279434176*^9, 3.4201752865547123`*^9}, {
  3.420175807775445*^9, 3.420175931584482*^9}}]
},
WindowSize->{989, 960},
WindowMargins->{{Automatic, 102}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"6.1 for Mac OS X x86 (32-bit) (April 16, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 1718, 48, 113, "Input"],
Cell[2288, 72, 92417, 1517, 374, "Output"]
}, Open  ]],
Cell[94720, 1592, 1251, 36, 47, "Input"],
Cell[95974, 1630, 666, 21, 27, "Input"],
Cell[96643, 1653, 404, 11, 27, "Input"],
Cell[97050, 1666, 888, 27, 27, "Input"],
Cell[97941, 1695, 920, 28, 27, "Input"],
Cell[98864, 1725, 160, 3, 27, "Input"],
Cell[99027, 1730, 315, 8, 27, "Input"],
Cell[99345, 1740, 160, 3, 27, "Input"],
Cell[99508, 1745, 334, 8, 27, "Input"],
Cell[99845, 1755, 1293, 35, 58, "Input"],
Cell[101141, 1792, 1797, 49, 73, "Input"]
}
]
*)

(* End of internal cache information *)
